<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Name: Lab2Lab Aanvraagbericht (OML^O21)
Description: 
         
           Toelichting gebruik van het aanvraagbericht bij surveillancepanels op isolaten 
           
             
               MSH 
               Start van aanvraag met onder andere de LABID's van aanvrager/uitvoerder 
             
             
               PID 
               Met te anonimiseren - -> geanonimiseerd BSN + LIMS patiënt ID 
             
             
               PV1 
               Met informatie over de zorginstelling 
             
             
               { 
               
             
             
                 OML_O21.OBSERVATION_REQUEST 
               Aanvraaggroep 
             
             
                   ORC 
               Met placer ordernummer (referentienummer aanvraag bij aanvrager), filler ordernummer (referentienummer aanvraag bij uitvoerder) is leeg 
             
             
                     OBR 
               OBR aanvraag van een bepaalde diagnostische service of een product, normalerwijs een surveillancep
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502">
   <title>Lab2Lab Aanvraagbericht (OML^O21)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21" id="d41e2927-false-d106677e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:MSH) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:MSH is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:MSH) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:MSH komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OML_O21.PATIENT) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:OML_O21.PATIENT is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OML_O21.PATIENT) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OML_O21.PATIENT komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OML_O21.ORDER) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:OML_O21.ORDER is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:MSH
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:OML_O21/hl7v2:MSH
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.1) &gt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.1 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.1) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.2) &gt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.2 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.2) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.3) &gt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.3) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.4) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.5) &gt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.5 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.5) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.6) &gt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.6 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.6) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.7) &gt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.7 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.7) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.8) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.9) &gt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.9 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.9) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.10) &gt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.10 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.10) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.11) &gt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.11 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.11) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.12) &gt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.12 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.12) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.13) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.14) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.15) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.16) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.17) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.18) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.19) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.20) &lt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="count(hl7v2:MSH.21) &gt;= 1">(MSH_segment_Lab_algemeen): element hl7v2:MSH.21 is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.1
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('1') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '1' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('ST') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Field Separator') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Field Separator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.2
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('2') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '2' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('ST') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Encoding Characters') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Encoding Characters' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.3
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.3">
      <extends rule="d107064e0-false-d107070e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('3') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '3' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('HD') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Table) = ('HL70361') or not(@Table)">(MSH_segment_Lab_algemeen): de waarde van Table MOET 'HL70361' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Sending Application') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Sending Application' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d107064e0-false-d107070e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.3/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.3/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.3/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.3/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.3/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.3/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.3/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.3/hl7v2:HD.3">
      <extends rule="d107199e0-false-d107205e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.3/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d107199e0-false-d107205e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.4
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.4">
      <extends rule="d107257e0-false-d107263e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('4') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '4' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('HD') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Table) = ('HL70362') or not(@Table)">(MSH_segment_Lab_algemeen): de waarde van Table MOET 'HL70362' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Sending Facility') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Sending Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d107257e0-false-d107263e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.4/hl7v2:HD.3">
      <extends rule="d107392e0-false-d107398e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d107392e0-false-d107398e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.5
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.5">
      <extends rule="d107450e0-false-d107456e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('5') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '5' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('HD') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Table) = ('HL70361') or not(@Table)">(MSH_segment_Lab_algemeen): de waarde van Table MOET 'HL70361' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Receiving Application') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Receiving Application' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.5
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d107450e0-false-d107456e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.5/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.5/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.5/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.5/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.5/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.5/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.5/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.5/hl7v2:HD.3">
      <extends rule="d107585e0-false-d107591e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.5/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d107585e0-false-d107591e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.6
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.6">
      <extends rule="d107643e0-false-d107649e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('6') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '6' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('HD') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Table) = ('HL70362') or not(@Table)">(MSH_segment_Lab_algemeen): de waarde van Table MOET 'HL70362' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Receiving Facility') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Receiving Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d107643e0-false-d107649e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.6/hl7v2:HD.3">
      <extends rule="d107778e0-false-d107784e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d107778e0-false-d107784e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.7
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.7">
      <extends rule="d107830e0-false-d107836e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('7') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '7' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('TS') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Date/Time Of Message') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Date/Time Of Message' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.7
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d107830e0-false-d107836e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.7/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.7/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.7/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.7/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.7/hl7v2:TS.2">
      <extends rule="d107918e0-false-d107924e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.7/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d107918e0-false-d107924e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.8
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('8') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '8' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('ST') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Security') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Security' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.9
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.9">
      <extends rule="d108010e0-false-d108016e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('9') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '9' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('MSG') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'MSG' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Message Type') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Message Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.36
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.9
Item: (MSG_datatype)
-->
   <rule fpi="RULC-1" id="d108010e0-false-d108016e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.36-2013-02-10T000000.html"
              test="count(hl7v2:MSG.1) &lt;= 1">(MSG_datatype): element hl7v2:MSG.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.36-2013-02-10T000000.html"
              test="count(hl7v2:MSG.2) &lt;= 1">(MSG_datatype): element hl7v2:MSG.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.36-2013-02-10T000000.html"
              test="count(hl7v2:MSG.3) &lt;= 1">(MSG_datatype): element hl7v2:MSG.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.36
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.9/hl7v2:MSG.1
Item: (MSG_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.9/hl7v2:MSG.1">
      <extends rule="d108071e0-false-d108077e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.36-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(MSG_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.36-2013-02-10T000000.html"
              test="string(@Table) = ('HL70076') or not(@Table)">(MSG_datatype): de waarde van Table MOET 'HL70076' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.36-2013-02-10T000000.html"
              test="string(@LongName) = ('Message Code') or not(@LongName)">(MSG_datatype): de waarde van LongName MOET 'Message Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.9/hl7v2:MSG.1
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d108071e0-false-d108077e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.36
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.9/hl7v2:MSG.2
Item: (MSG_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.9/hl7v2:MSG.2">
      <extends rule="d108122e0-false-d108128e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.36-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(MSG_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.36-2013-02-10T000000.html"
              test="string(@Table) = ('HL70003') or not(@Table)">(MSG_datatype): de waarde van Table MOET 'HL70003' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.36-2013-02-10T000000.html"
              test="string(@LongName) = ('Trigger Event') or not(@LongName)">(MSG_datatype): de waarde van LongName MOET 'Trigger Event' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.9/hl7v2:MSG.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d108122e0-false-d108128e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.36
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.9/hl7v2:MSG.3
Item: (MSG_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.9/hl7v2:MSG.3">
      <extends rule="d108173e0-false-d108179e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.36-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(MSG_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.36-2013-02-10T000000.html"
              test="string(@Table) = ('HL70354') or not(@Table)">(MSG_datatype): de waarde van Table MOET 'HL70354' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.36-2013-02-10T000000.html"
              test="string(@LongName) = ('Message Structure') or not(@LongName)">(MSG_datatype): de waarde van LongName MOET 'Message Structure' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.9/hl7v2:MSG.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d108173e0-false-d108179e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.10
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('10') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '10' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('ST') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Message Control ID') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Message Control ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.11
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.11">
      <extends rule="d108265e0-false-d108271e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('11') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '11' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('PT') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'PT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Processing ID') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Processing ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.48
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.11
Item: (PT_datatype)
-->
   <rule fpi="RULC-1" id="d108265e0-false-d108271e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.48-2013-02-10T000000.html"
              test="count(hl7v2:PT.1) &lt;= 1">(PT_datatype): element hl7v2:PT.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.48-2013-02-10T000000.html"
              test="count(hl7v2:PT.2) &lt;= 1">(PT_datatype): element hl7v2:PT.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.48
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.11/hl7v2:PT.1
Item: (PT_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.11/hl7v2:PT.1">
      <extends rule="d108319e0-false-d108325e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.48-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(PT_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.48-2013-02-10T000000.html"
              test="string(@Table) = ('HL70103') or not(@Table)">(PT_datatype): de waarde van Table MOET 'HL70103' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Processing ID') or not(@LongName)">(PT_datatype): de waarde van LongName MOET 'Processing ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.11/hl7v2:PT.1
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d108319e0-false-d108325e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.48
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.11/hl7v2:PT.2
Item: (PT_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.11/hl7v2:PT.2">
      <extends rule="d108370e0-false-d108376e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.48-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(PT_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.48-2013-02-10T000000.html"
              test="string(@Table) = ('HL70207') or not(@Table)">(PT_datatype): de waarde van Table MOET 'HL70207' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Processing Mode') or not(@LongName)">(PT_datatype): de waarde van LongName MOET 'Processing Mode' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.11/hl7v2:PT.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d108370e0-false-d108376e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12">
      <extends rule="d108428e0-false-d108434e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('12') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '12' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('VID') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'VID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Version ID') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.69
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12
Item: (VID_datatype)
-->
   <rule fpi="RULC-1" id="d108428e0-false-d108434e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.69-2013-02-10T000000.html"
              test="text()='2.5'">(VID_datatype): de elementinhoud van hl7v2:MSH.12 MOET ''2.5'' zijn. Gevonden: "<value-of select="."/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.69-2013-02-10T000000.html"
              test="count(hl7v2:VID.1) &lt;= 1">(VID_datatype): element hl7v2:VID.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.69-2013-02-10T000000.html"
              test="count(hl7v2:VID.2) &lt;= 1">(VID_datatype): element hl7v2:VID.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.69-2013-02-10T000000.html"
              test="count(hl7v2:VID.3) &lt;= 1">(VID_datatype): element hl7v2:VID.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.69
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.1
Item: (VID_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.1">
      <extends rule="d108495e0-false-d108501e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.69-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(VID_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.69-2013-02-10T000000.html"
              test="string(@Table) = ('HL70104') or not(@Table)">(VID_datatype): de waarde van Table MOET 'HL70104' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.69-2013-02-10T000000.html"
              test="string(@LongName) = ('Version ID') or not(@LongName)">(VID_datatype): de waarde van LongName MOET 'Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.1
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d108495e0-false-d108501e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.69
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2
Item: (VID_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2">
      <extends rule="d108546e0-false-d108552e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.69-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(VID_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.69-2013-02-10T000000.html"
              test="string(@Table) = ('HL70399') or not(@Table)">(VID_datatype): de waarde van Table MOET 'HL70399' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.69-2013-02-10T000000.html"
              test="string(@LongName) = ('Internationalization Code') or not(@LongName)">(VID_datatype): de waarde van LongName MOET 'Internationalization Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d108546e0-false-d108552e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.3">
      <extends rule="d108696e0-false-d108702e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d108696e0-false-d108702e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.6">
      <extends rule="d108815e0-false-d108821e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.2/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d108815e0-false-d108821e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.69
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3
Item: (VID_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3">
      <extends rule="d108861e0-false-d108867e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.69-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(VID_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.69-2013-02-10T000000.html"
              test="string(@LongName) = ('International Version ID') or not(@LongName)">(VID_datatype): de waarde van LongName MOET 'International Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d108861e0-false-d108867e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.3">
      <extends rule="d109011e0-false-d109017e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d109011e0-false-d109017e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.6">
      <extends rule="d109130e0-false-d109136e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.12/hl7v2:VID.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d109130e0-false-d109136e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.13
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('13') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '13' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('NM') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Sequence Number') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Sequence Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.13
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.14
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('14') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '14' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('ST') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Continuation Pointer') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Continuation Pointer' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.14
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.15
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.15">
      <extends rule="d109269e0-false-d109275e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('15') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '15' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('ID') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Table) = ('HL70155') or not(@Table)">(MSH_segment_Lab_algemeen): de waarde van Table MOET 'HL70155' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Accept Acknowledgment Type') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Accept Acknowledgment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d109269e0-false-d109275e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.16
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.16">
      <extends rule="d109326e0-false-d109332e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('16') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '16' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('ID') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Table) = ('HL70155') or not(@Table)">(MSH_segment_Lab_algemeen): de waarde van Table MOET 'HL70155' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Application Acknowledgment Type') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Application Acknowledgment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.16
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d109326e0-false-d109332e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.17
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.17">
      <extends rule="d109389e0-false-d109395e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('17') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '17' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('ID') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Table) = ('HL70399') or not(@Table)">(MSH_segment_Lab_algemeen): de waarde van Table MOET 'HL70399' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Country Code') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Country Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.17
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d109389e0-false-d109395e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="text()='NLD'">(ID_datatype): de elementinhoud van hl7v2:MSH.17 MOET ''NLD'' zijn. Gevonden: "<value-of select="."/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.18
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.18">
      <extends rule="d109452e0-false-d109458e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('692') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '692' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('ID') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Table) = ('HL70211') or not(@Table)">(MSH_segment_Lab_algemeen): de waarde van Table MOET 'HL70211' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Character Set') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Character Set' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d109452e0-false-d109458e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.19
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.19">
      <extends rule="d109503e0-false-d109509e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('693') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '693' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('CE') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Principal Language Of Message') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Principal Language Of Message' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.19
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d109503e0-false-d109509e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.3">
      <extends rule="d109653e0-false-d109659e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d109653e0-false-d109659e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.6">
      <extends rule="d109772e0-false-d109778e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.19/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d109772e0-false-d109778e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.20
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.20">
      <extends rule="d109830e0-false-d109836e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('1317') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '1317' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('ID') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Table) = ('HL70356') or not(@Table)">(MSH_segment_Lab_algemeen): de waarde van Table MOET 'HL70356' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Alternate Character Set Handling Scheme') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Alternate Character Set Handling Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.20
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d109830e0-false-d109836e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.56
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.21
Item: (MSH_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.21">
      <extends rule="d109881e0-false-d109887e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Item) = ('1598') or not(@Item)">(MSH_segment_Lab_algemeen): de waarde van Item MOET '1598' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@Type) = ('EI') or not(@Type)">(MSH_segment_Lab_algemeen): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.56-2018-11-30T100013.html"
              test="string(@LongName) = ('Message Profile Identifier') or not(@LongName)">(MSH_segment_Lab_algemeen): de waarde van LongName MOET 'Message Profile Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.21
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d109881e0-false-d109887e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.21/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.21/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.21/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.21/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.21/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.21/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.21/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.21/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.21/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.21/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.21/hl7v2:EI.4">
      <extends rule="d110057e0-false-d110063e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:MSH/hl7v2:MSH.21/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d110057e0-false-d110063e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:SFT
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.135
Context: /hl7v2:OML_O21/hl7v2:SFT
Item: (SFT_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:SFT">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.135-2013-02-10T000000.html"
              test="count(hl7v2:SFT.1) &gt;= 1">(SFT_segment): element hl7v2:SFT.1 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.135-2013-02-10T000000.html"
              test="count(hl7v2:SFT.1) &lt;= 1">(SFT_segment): element hl7v2:SFT.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.135-2013-02-10T000000.html"
              test="count(hl7v2:SFT.2) &gt;= 1">(SFT_segment): element hl7v2:SFT.2 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.135-2013-02-10T000000.html"
              test="count(hl7v2:SFT.2) &lt;= 1">(SFT_segment): element hl7v2:SFT.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.135-2013-02-10T000000.html"
              test="count(hl7v2:SFT.3) &gt;= 1">(SFT_segment): element hl7v2:SFT.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.135-2013-02-10T000000.html"
              test="count(hl7v2:SFT.3) &lt;= 1">(SFT_segment): element hl7v2:SFT.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.135-2013-02-10T000000.html"
              test="count(hl7v2:SFT.4) &gt;= 1">(SFT_segment): element hl7v2:SFT.4 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.135-2013-02-10T000000.html"
              test="count(hl7v2:SFT.4) &lt;= 1">(SFT_segment): element hl7v2:SFT.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.135-2013-02-10T000000.html"
              test="count(hl7v2:SFT.5) &lt;= 1">(SFT_segment): element hl7v2:SFT.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.135-2013-02-10T000000.html"
              test="count(hl7v2:SFT.6) &lt;= 1">(SFT_segment): element hl7v2:SFT.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.135
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1
Item: (SFT_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1">
      <extends rule="d110197e0-false-d110203e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.135-2013-02-10T000000.html"
              test="string(@Item) = ('1834') or not(@Item)">(SFT_segment): de waarde van Item MOET '1834' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.135-2013-02-10T000000.html"
              test="string(@Type) = ('XON') or not(@Type)">(SFT_segment): de waarde van Type MOET 'XON' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.135-2013-02-10T000000.html"
              test="string(@LongName) = ('Software Vendor Organization') or not(@LongName)">(SFT_segment): de waarde van LongName MOET 'Software Vendor Organization' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1
Item: (XON_datatype)
-->
   <rule fpi="RULC-1" id="d110197e0-false-d110203e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.1) &lt;= 1">(XON_datatype): element hl7v2:XON.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.2) &lt;= 1">(XON_datatype): element hl7v2:XON.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.3) &lt;= 1">(XON_datatype): element hl7v2:XON.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.4) &lt;= 1">(XON_datatype): element hl7v2:XON.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.5) &lt;= 1">(XON_datatype): element hl7v2:XON.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.6) &lt;= 1">(XON_datatype): element hl7v2:XON.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.7) &lt;= 1">(XON_datatype): element hl7v2:XON.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.8) &lt;= 1">(XON_datatype): element hl7v2:XON.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.9) &lt;= 1">(XON_datatype): element hl7v2:XON.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.10) &lt;= 1">(XON_datatype): element hl7v2:XON.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.1
Item: (XON_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.2
Item: (XON_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XON_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70204') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70204' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.3
Item: (XON_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.4
Item: (XON_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.5
Item: (XON_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.5">
      <extends rule="d110449e0-false-d110455e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d110449e0-false-d110455e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.6
Item: (XON_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.6">
      <extends rule="d110500e0-false-d110506e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d110500e0-false-d110506e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.6/hl7v2:HD.3">
      <extends rule="d110635e0-false-d110641e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d110635e0-false-d110641e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.7
Item: (XON_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.7">
      <extends rule="d110687e0-false-d110693e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d110687e0-false-d110693e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.8
Item: (XON_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.8">
      <extends rule="d110732e0-false-d110738e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.8
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d110732e0-false-d110738e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.8/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.8/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.8/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.8/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.8/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.8/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.8/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.8/hl7v2:HD.3">
      <extends rule="d110867e0-false-d110873e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.8/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d110867e0-false-d110873e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.9
Item: (XON_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.9">
      <extends rule="d110919e0-false-d110925e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.9
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d110919e0-false-d110925e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.10
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Identifier') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.1/hl7v2:XON.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.135
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.2
Item: (SFT_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.135-2013-02-10T000000.html"
              test="string(@Item) = ('1835') or not(@Item)">(SFT_segment): de waarde van Item MOET '1835' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.135-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SFT_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.135-2013-02-10T000000.html"
              test="string(@LongName) = ('Software Certified Version or Release Number') or not(@LongName)">(SFT_segment): de waarde van LongName MOET 'Software Certified Version or Release Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.135
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.3
Item: (SFT_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.135-2013-02-10T000000.html"
              test="string(@Item) = ('1836') or not(@Item)">(SFT_segment): de waarde van Item MOET '1836' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.135-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SFT_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.135-2013-02-10T000000.html"
              test="string(@LongName) = ('Software Product Name') or not(@LongName)">(SFT_segment): de waarde van LongName MOET 'Software Product Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.135
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.4
Item: (SFT_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.135-2013-02-10T000000.html"
              test="string(@Item) = ('1837') or not(@Item)">(SFT_segment): de waarde van Item MOET '1837' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.135-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SFT_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.135-2013-02-10T000000.html"
              test="string(@LongName) = ('Software Binary ID') or not(@LongName)">(SFT_segment): de waarde van LongName MOET 'Software Binary ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.135
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.5
Item: (SFT_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.135-2013-02-10T000000.html"
              test="string(@Item) = ('1838') or not(@Item)">(SFT_segment): de waarde van Item MOET '1838' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.135-2013-02-10T000000.html"
              test="string(@Type) = ('TX') or not(@Type)">(SFT_segment): de waarde van Type MOET 'TX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.135-2013-02-10T000000.html"
              test="string(@LongName) = ('Software Product Information') or not(@LongName)">(SFT_segment): de waarde van LongName MOET 'Software Product Information' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.5
Item: (TX_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.5/hl7v2:escape
Item: (TX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.5/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.65-2013-02-10T000000.html"
              test="@V">(TX_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.5/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.5/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.5/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.5/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.5/hl7v2:escape/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.5/hl7v2:escape/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.135
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.6
Item: (SFT_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.6">
      <extends rule="d111245e0-false-d111251e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.135-2013-02-10T000000.html"
              test="string(@Item) = ('1839') or not(@Item)">(SFT_segment): de waarde van Item MOET '1839' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.135-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(SFT_segment): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.135-2013-02-10T000000.html"
              test="string(@LongName) = ('Software Install Date') or not(@LongName)">(SFT_segment): de waarde van LongName MOET 'Software Install Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.6
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d111245e0-false-d111251e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.6/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.6/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.6/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.6/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.6/hl7v2:TS.2">
      <extends rule="d111333e0-false-d111339e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:SFT/hl7v2:SFT.6/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d111333e0-false-d111339e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:NTE
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.39
Context: /hl7v2:OML_O21/hl7v2:NTE
Item: (NTE_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:NTE">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="count(hl7v2:NTE.1) &lt;= 1">(NTE_segment): element hl7v2:NTE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="count(hl7v2:NTE.2) &lt;= 1">(NTE_segment): element hl7v2:NTE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="count(hl7v2:NTE.3) &gt;= 1">(NTE_segment): element hl7v2:NTE.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="count(hl7v2:NTE.4) &lt;= 1">(NTE_segment): element hl7v2:NTE.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.39
Context: /hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.1
Item: (NTE_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Item) = ('96') or not(@Item)">(NTE_segment): de waarde van Item MOET '96' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Type) = ('SI') or not(@Type)">(NTE_segment): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@LongName) = ('Set ID - NTE') or not(@LongName)">(NTE_segment): de waarde van LongName MOET 'Set ID - NTE' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.39
Context: /hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.2
Item: (NTE_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.2">
      <extends rule="d111482e0-false-d111488e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Item) = ('97') or not(@Item)">(NTE_segment): de waarde van Item MOET '97' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(NTE_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Table) = ('HL70105') or not(@Table)">(NTE_segment): de waarde van Table MOET 'HL70105' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@LongName) = ('Source of Comment') or not(@LongName)">(NTE_segment): de waarde van LongName MOET 'Source of Comment' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d111482e0-false-d111488e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.39
Context: /hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.3
Item: (NTE_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Item) = ('98') or not(@Item)">(NTE_segment): de waarde van Item MOET '98' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Type) = ('FT') or not(@Type)">(NTE_segment): de waarde van Type MOET 'FT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@LongName) = ('Comment') or not(@LongName)">(NTE_segment): de waarde van LongName MOET 'Comment' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.27
Context: /hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.3
Item: (FT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.27
Context: /hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape
Item: (FT_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.27-2013-02-10T000000.html"
              test="@V">(FT_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.39
Context: /hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.4
Item: (NTE_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.4">
      <extends rule="d111659e0-false-d111665e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Item) = ('1318') or not(@Item)">(NTE_segment): de waarde van Item MOET '1318' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(NTE_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Table) = ('HL70364') or not(@Table)">(NTE_segment): de waarde van Table MOET 'HL70364' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@LongName) = ('Comment Type') or not(@LongName)">(NTE_segment): de waarde van LongName MOET 'Comment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d111659e0-false-d111665e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.3">
      <extends rule="d111809e0-false-d111815e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d111809e0-false-d111815e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.6">
      <extends rule="d111928e0-false-d111934e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d111928e0-false-d111934e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT"
         id="d41e3145-false-d111953e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:PID) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:PID is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:PID) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:PID komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:PD1) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:PD1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OML_O21.PATIENT_VISIT) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OML_O21.PATIENT_VISIT komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:GT1) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:GT1 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.1) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.2) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.3) &gt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.5) &gt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.5 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.7) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.8) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.12) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.15) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.16) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.17) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.18) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.19) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.20) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.23) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.23 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.24) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.24 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.25) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.25 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.27) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.27 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.28) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.28 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.29) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.29 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.30) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.30 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.31) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.31 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.33) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.33 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.34) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.34 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.35) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.35 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.36) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.36 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.37) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.37 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.38) &lt;= 2">(PID_segment_Lab_algemeen): element hl7v2:PID.38 komt te vaak voor [max 2x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.1
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('104') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '104' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('SI') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Set ID - PID') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Set ID - PID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2">
      <extends rule="d112306e0-false-d112312e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('105') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '105' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CX') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Patient ID') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Patient ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d112306e0-false-d112312e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.3">
      <extends rule="d112484e0-false-d112490e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d112484e0-false-d112490e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.4">
      <extends rule="d112535e0-false-d112541e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d112535e0-false-d112541e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d112670e0-false-d112676e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d112670e0-false-d112676e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.5">
      <extends rule="d112722e0-false-d112728e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d112722e0-false-d112728e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.6">
      <extends rule="d112767e0-false-d112773e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d112767e0-false-d112773e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d112902e0-false-d112908e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d112902e0-false-d112908e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9">
      <extends rule="d113016e0-false-d113022e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d113016e0-false-d113022e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d113187e0-false-d113193e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d113187e0-false-d113193e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d113306e0-false-d113312e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d113306e0-false-d113312e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10">
      <extends rule="d113454e0-false-d113460e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d113454e0-false-d113460e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d113625e0-false-d113631e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d113625e0-false-d113631e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d113744e0-false-d113750e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d113744e0-false-d113750e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3">
      <extends rule="d113899e0-false-d113905e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('106') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '106' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CX') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Patient Identifier List') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Patient Identifier List' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d113899e0-false-d113905e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.3">
      <extends rule="d114077e0-false-d114083e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d114077e0-false-d114083e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.4">
      <extends rule="d114128e0-false-d114134e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d114128e0-false-d114134e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d114263e0-false-d114269e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d114263e0-false-d114269e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.5">
      <extends rule="d114315e0-false-d114321e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d114315e0-false-d114321e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.6">
      <extends rule="d114360e0-false-d114366e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d114360e0-false-d114366e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d114495e0-false-d114501e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d114495e0-false-d114501e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9">
      <extends rule="d114609e0-false-d114615e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d114609e0-false-d114615e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d114780e0-false-d114786e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d114780e0-false-d114786e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d114899e0-false-d114905e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d114899e0-false-d114905e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10">
      <extends rule="d115047e0-false-d115053e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d115047e0-false-d115053e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d115218e0-false-d115224e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d115218e0-false-d115224e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d115337e0-false-d115343e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d115337e0-false-d115343e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4">
      <extends rule="d115492e0-false-d115498e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('107') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '107' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CX') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Alternate Patient ID - PID') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Alternate Patient ID - PID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d115492e0-false-d115498e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.3">
      <extends rule="d115670e0-false-d115676e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d115670e0-false-d115676e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.4">
      <extends rule="d115721e0-false-d115727e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d115721e0-false-d115727e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d115856e0-false-d115862e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d115856e0-false-d115862e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.5">
      <extends rule="d115908e0-false-d115914e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d115908e0-false-d115914e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.6">
      <extends rule="d115953e0-false-d115959e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d115953e0-false-d115959e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d116088e0-false-d116094e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d116088e0-false-d116094e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9">
      <extends rule="d116202e0-false-d116208e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d116202e0-false-d116208e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d116373e0-false-d116379e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d116373e0-false-d116379e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d116492e0-false-d116498e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d116492e0-false-d116498e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10">
      <extends rule="d116640e0-false-d116646e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d116640e0-false-d116646e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d116811e0-false-d116817e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d116811e0-false-d116817e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d116930e0-false-d116936e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d116930e0-false-d116936e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5">
      <extends rule="d117085e0-false-d117091e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('108') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '108' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('XPN') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'XPN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Patient Name') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Patient Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1" id="d117085e0-false-d117091e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.1) &lt;= 1">(XPN_datatype): element hl7v2:XPN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.2) &lt;= 1">(XPN_datatype): element hl7v2:XPN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.3) &lt;= 1">(XPN_datatype): element hl7v2:XPN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.4) &lt;= 1">(XPN_datatype): element hl7v2:XPN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.5) &lt;= 1">(XPN_datatype): element hl7v2:XPN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.6) &lt;= 1">(XPN_datatype): element hl7v2:XPN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.7) &lt;= 1">(XPN_datatype): element hl7v2:XPN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.8) &lt;= 1">(XPN_datatype): element hl7v2:XPN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.9) &lt;= 1">(XPN_datatype): element hl7v2:XPN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.10) &lt;= 1">(XPN_datatype): element hl7v2:XPN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.11) &lt;= 1">(XPN_datatype): element hl7v2:XPN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.12) &lt;= 1">(XPN_datatype): element hl7v2:XPN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.13) &lt;= 1">(XPN_datatype): element hl7v2:XPN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.14) &lt;= 1">(XPN_datatype): element hl7v2:XPN.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1">
      <extends rule="d117217e0-false-d117223e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d117217e0-false-d117223e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.2
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.3
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.4
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.5
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.6
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.7
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.7">
      <extends rule="d117639e0-false-d117645e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d117639e0-false-d117645e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.8
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.8">
      <extends rule="d117690e0-false-d117696e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.8
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d117690e0-false-d117696e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9">
      <extends rule="d117741e0-false-d117747e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d117741e0-false-d117747e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.3">
      <extends rule="d117891e0-false-d117897e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d117891e0-false-d117897e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.6">
      <extends rule="d118010e0-false-d118016e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d118010e0-false-d118016e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10">
      <extends rule="d118056e0-false-d118062e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d118056e0-false-d118062e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.1">
      <extends rule="d118104e0-false-d118110e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d118104e0-false-d118110e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d118192e0-false-d118198e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d118192e0-false-d118198e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.2">
      <extends rule="d118238e0-false-d118244e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d118238e0-false-d118244e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d118326e0-false-d118332e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d118326e0-false-d118332e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.11
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.11">
      <extends rule="d118379e0-false-d118385e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d118379e0-false-d118385e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.12
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.12">
      <extends rule="d118424e0-false-d118430e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d118424e0-false-d118430e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.12/hl7v2:TS.2">
      <extends rule="d118512e0-false-d118518e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d118512e0-false-d118518e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.13
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.13">
      <extends rule="d118558e0-false-d118564e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d118558e0-false-d118564e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.13/hl7v2:TS.2">
      <extends rule="d118646e0-false-d118652e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d118646e0-false-d118652e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.14
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.14
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6">
      <extends rule="d118733e0-false-d118739e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('109') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '109' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('XPN') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'XPN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Mother''s Maiden Name') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Mother''s Maiden Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1" id="d118733e0-false-d118739e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.1) &lt;= 1">(XPN_datatype): element hl7v2:XPN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.2) &lt;= 1">(XPN_datatype): element hl7v2:XPN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.3) &lt;= 1">(XPN_datatype): element hl7v2:XPN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.4) &lt;= 1">(XPN_datatype): element hl7v2:XPN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.5) &lt;= 1">(XPN_datatype): element hl7v2:XPN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.6) &lt;= 1">(XPN_datatype): element hl7v2:XPN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.7) &lt;= 1">(XPN_datatype): element hl7v2:XPN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.8) &lt;= 1">(XPN_datatype): element hl7v2:XPN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.9) &lt;= 1">(XPN_datatype): element hl7v2:XPN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.10) &lt;= 1">(XPN_datatype): element hl7v2:XPN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.11) &lt;= 1">(XPN_datatype): element hl7v2:XPN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.12) &lt;= 1">(XPN_datatype): element hl7v2:XPN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.13) &lt;= 1">(XPN_datatype): element hl7v2:XPN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.14) &lt;= 1">(XPN_datatype): element hl7v2:XPN.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1">
      <extends rule="d118865e0-false-d118871e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d118865e0-false-d118871e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.2
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.3
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.4
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.5
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.6
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.7
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.7">
      <extends rule="d119287e0-false-d119293e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d119287e0-false-d119293e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.8
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.8">
      <extends rule="d119338e0-false-d119344e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.8
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d119338e0-false-d119344e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9">
      <extends rule="d119389e0-false-d119395e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d119389e0-false-d119395e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.3">
      <extends rule="d119539e0-false-d119545e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d119539e0-false-d119545e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.6">
      <extends rule="d119658e0-false-d119664e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d119658e0-false-d119664e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10">
      <extends rule="d119704e0-false-d119710e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d119704e0-false-d119710e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.1">
      <extends rule="d119752e0-false-d119758e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d119752e0-false-d119758e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d119840e0-false-d119846e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d119840e0-false-d119846e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.2">
      <extends rule="d119886e0-false-d119892e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d119886e0-false-d119892e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d119974e0-false-d119980e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d119974e0-false-d119980e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.11
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.11">
      <extends rule="d120027e0-false-d120033e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d120027e0-false-d120033e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.12
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.12">
      <extends rule="d120072e0-false-d120078e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d120072e0-false-d120078e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.12/hl7v2:TS.2">
      <extends rule="d120160e0-false-d120166e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d120160e0-false-d120166e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.13
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.13">
      <extends rule="d120206e0-false-d120212e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d120206e0-false-d120212e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.13/hl7v2:TS.2">
      <extends rule="d120294e0-false-d120300e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d120294e0-false-d120300e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.14
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.14
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.7
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.7">
      <extends rule="d120381e0-false-d120387e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('110') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '110' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('TS') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Date/Time of Birth') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Date/Time of Birth' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.7
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d120381e0-false-d120387e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.7/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.7/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.7/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.7/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.7/hl7v2:TS.2">
      <extends rule="d120469e0-false-d120475e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.7/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d120469e0-false-d120475e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.8
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.8">
      <extends rule="d120536e0-false-d120542e0"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('111') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '111' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('IS') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70001') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70001' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Administrative Sex') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Administrative Sex' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.8
Item: (IS_datatype)
-->
   <rule fpi="RULC-1" id="d120536e0-false-d120542e0" abstract="true">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.84-2013-02-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.1937.777.10.11.1-2013-02-10T000000.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(IS_datatype): de elementwaarde MOET een zijn van '2.16.840.1.113883.3.1937.777.10.11.1 Administrative Sex (2013-02-10T00:00:00)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9">
      <extends rule="d120586e0-false-d120592e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('112') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '112' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('XPN') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'XPN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Patient Alias') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Patient Alias' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1" id="d120586e0-false-d120592e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.1) &lt;= 1">(XPN_datatype): element hl7v2:XPN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.2) &lt;= 1">(XPN_datatype): element hl7v2:XPN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.3) &lt;= 1">(XPN_datatype): element hl7v2:XPN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.4) &lt;= 1">(XPN_datatype): element hl7v2:XPN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.5) &lt;= 1">(XPN_datatype): element hl7v2:XPN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.6) &lt;= 1">(XPN_datatype): element hl7v2:XPN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.7) &lt;= 1">(XPN_datatype): element hl7v2:XPN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.8) &lt;= 1">(XPN_datatype): element hl7v2:XPN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.9) &lt;= 1">(XPN_datatype): element hl7v2:XPN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.10) &lt;= 1">(XPN_datatype): element hl7v2:XPN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.11) &lt;= 1">(XPN_datatype): element hl7v2:XPN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.12) &lt;= 1">(XPN_datatype): element hl7v2:XPN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.13) &lt;= 1">(XPN_datatype): element hl7v2:XPN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.14) &lt;= 1">(XPN_datatype): element hl7v2:XPN.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1">
      <extends rule="d120718e0-false-d120724e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d120718e0-false-d120724e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.2
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.3
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.4
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.5
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.6
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.7
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.7">
      <extends rule="d121140e0-false-d121146e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d121140e0-false-d121146e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.8
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.8">
      <extends rule="d121191e0-false-d121197e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.8
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d121191e0-false-d121197e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9">
      <extends rule="d121242e0-false-d121248e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d121242e0-false-d121248e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.3">
      <extends rule="d121392e0-false-d121398e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d121392e0-false-d121398e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.6">
      <extends rule="d121511e0-false-d121517e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d121511e0-false-d121517e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10">
      <extends rule="d121557e0-false-d121563e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d121557e0-false-d121563e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.1">
      <extends rule="d121605e0-false-d121611e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d121605e0-false-d121611e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d121693e0-false-d121699e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d121693e0-false-d121699e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.2">
      <extends rule="d121739e0-false-d121745e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d121739e0-false-d121745e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d121827e0-false-d121833e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d121827e0-false-d121833e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.11
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.11">
      <extends rule="d121880e0-false-d121886e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d121880e0-false-d121886e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.12
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.12">
      <extends rule="d121925e0-false-d121931e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d121925e0-false-d121931e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.12/hl7v2:TS.2">
      <extends rule="d122013e0-false-d122019e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d122013e0-false-d122019e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.13
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.13">
      <extends rule="d122059e0-false-d122065e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d122059e0-false-d122065e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.13/hl7v2:TS.2">
      <extends rule="d122147e0-false-d122153e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d122147e0-false-d122153e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.14
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.14
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.10
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.10">
      <extends rule="d122240e0-false-d122246e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('113') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '113' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CE') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70005') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70005' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Race') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Race' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.10
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d122240e0-false-d122246e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.3">
      <extends rule="d122390e0-false-d122396e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d122390e0-false-d122396e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.6">
      <extends rule="d122509e0-false-d122515e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d122509e0-false-d122515e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11">
      <extends rule="d122561e0-false-d122567e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('114') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '114' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('XAD') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'XAD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Patient Address') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Patient Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1" id="d122561e0-false-d122567e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.1) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.2) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.3) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.4) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.5) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.6) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.7) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.8) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.9) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.10) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.11) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.12) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.13) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.14) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.1
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.1">
      <extends rule="d122693e0-false-d122699e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('SAD') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'SAD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Street Address') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Street Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.1
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1" id="d122693e0-false-d122699e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.1) &lt;= 1">(SAD_datatype): element hl7v2:SAD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.2) &lt;= 1">(SAD_datatype): element hl7v2:SAD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.3) &lt;= 1">(SAD_datatype): element hl7v2:SAD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.1/hl7v2:SAD.1
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.1/hl7v2:SAD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Street or Mailing Address') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Street or Mailing Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.1/hl7v2:SAD.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.1/hl7v2:SAD.2
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.1/hl7v2:SAD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Street Name') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Street Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.1/hl7v2:SAD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.1/hl7v2:SAD.3
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.1/hl7v2:SAD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Dwelling Number') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Dwelling Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.1/hl7v2:SAD.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.2
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Other Designation') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Other Designation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.3
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('City') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'City' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.4
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('State or Province') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'State or Province' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.5
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Zip or Postal Code') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Zip or Postal Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.6
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.6">
      <extends rule="d122993e0-false-d122999e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70399') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70399' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Country') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Country' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d122993e0-false-d122999e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.7
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.7">
      <extends rule="d123055e0-false-d123061e0"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70190') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70190' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Address Type') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Address Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d123055e0-false-d123061e0" abstract="true">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.25.11.409-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ID_datatype): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.25.11.409 Adrestype HL7v2 NL (DYNAMISCH)'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.8
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Other Geographic Designation') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Other Geographic Designation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.9
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('IS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70289') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70289' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('County/Parish Code') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'County/Parish Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.10
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('IS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70288') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70288' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Census Tract') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Census Tract' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.10
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.11
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.11">
      <extends rule="d123231e0-false-d123237e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Address Representation Code') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Address Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d123231e0-false-d123237e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12">
      <extends rule="d123276e0-false-d123282e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('DR') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Address Validity Range') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Address Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d123276e0-false-d123282e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.1">
      <extends rule="d123324e0-false-d123330e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d123324e0-false-d123330e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d123412e0-false-d123418e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d123412e0-false-d123418e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.2">
      <extends rule="d123458e0-false-d123464e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d123458e0-false-d123464e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d123546e0-false-d123552e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d123546e0-false-d123552e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.13
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.13">
      <extends rule="d123593e0-false-d123599e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('TS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d123593e0-false-d123599e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.13/hl7v2:TS.2">
      <extends rule="d123681e0-false-d123687e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d123681e0-false-d123687e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.14
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.14">
      <extends rule="d123727e0-false-d123733e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('TS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d123727e0-false-d123733e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.14/hl7v2:TS.2">
      <extends rule="d123815e0-false-d123821e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d123815e0-false-d123821e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.12
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('115') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '115' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('IS') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70289') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70289' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('County Code') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'County Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.12
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13">
      <extends rule="d123914e0-false-d123920e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('116') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '116' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('XTN') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'XTN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Phone Number - Home') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Phone Number - Home' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" id="d123914e0-false-d123920e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.1) &lt;= 1">(XTN_datatype): element hl7v2:XTN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.2) &lt;= 1">(XTN_datatype): element hl7v2:XTN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.3) &lt;= 1">(XTN_datatype): element hl7v2:XTN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.4) &lt;= 1">(XTN_datatype): element hl7v2:XTN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.5) &lt;= 1">(XTN_datatype): element hl7v2:XTN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.6) &lt;= 1">(XTN_datatype): element hl7v2:XTN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.7) &lt;= 1">(XTN_datatype): element hl7v2:XTN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.8) &lt;= 1">(XTN_datatype): element hl7v2:XTN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.9) &lt;= 1">(XTN_datatype): element hl7v2:XTN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.10) &lt;= 1">(XTN_datatype): element hl7v2:XTN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.11) &lt;= 1">(XTN_datatype): element hl7v2:XTN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.12) &lt;= 1">(XTN_datatype): element hl7v2:XTN.12 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.1
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telephone Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telephone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.2
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.2">
      <extends rule="d124072e0-false-d124078e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70201') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70201' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Use Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Use Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d124072e0-false-d124078e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.3
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.3">
      <extends rule="d124123e0-false-d124129e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70202') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70202' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Equipment Type') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Equipment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d124123e0-false-d124129e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.4
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Email Address') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Email Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.5
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Country Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Country Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.6
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Area/City Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Area/City Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.6
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.7
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Local Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Local Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.7
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.8
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.8
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.9
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Any Text') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Any Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.10
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension Prefix') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.11
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Speed Dial Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Speed Dial Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.12
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Unformatted Telephone number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Unformatted Telephone number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.12
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14">
      <extends rule="d124481e0-false-d124487e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('117') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '117' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('XTN') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'XTN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Phone Number - Business') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Phone Number - Business' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" id="d124481e0-false-d124487e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.1) &lt;= 1">(XTN_datatype): element hl7v2:XTN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.2) &lt;= 1">(XTN_datatype): element hl7v2:XTN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.3) &lt;= 1">(XTN_datatype): element hl7v2:XTN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.4) &lt;= 1">(XTN_datatype): element hl7v2:XTN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.5) &lt;= 1">(XTN_datatype): element hl7v2:XTN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.6) &lt;= 1">(XTN_datatype): element hl7v2:XTN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.7) &lt;= 1">(XTN_datatype): element hl7v2:XTN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.8) &lt;= 1">(XTN_datatype): element hl7v2:XTN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.9) &lt;= 1">(XTN_datatype): element hl7v2:XTN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.10) &lt;= 1">(XTN_datatype): element hl7v2:XTN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.11) &lt;= 1">(XTN_datatype): element hl7v2:XTN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.12) &lt;= 1">(XTN_datatype): element hl7v2:XTN.12 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.1
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telephone Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telephone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.2
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.2">
      <extends rule="d124639e0-false-d124645e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70201') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70201' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Use Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Use Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d124639e0-false-d124645e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.3
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.3">
      <extends rule="d124690e0-false-d124696e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70202') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70202' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Equipment Type') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Equipment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d124690e0-false-d124696e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.4
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Email Address') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Email Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.5
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Country Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Country Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.6
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Area/City Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Area/City Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.6
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.7
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Local Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Local Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.7
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.8
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.8
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.9
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Any Text') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Any Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.10
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension Prefix') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.11
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Speed Dial Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Speed Dial Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.12
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Unformatted Telephone number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Unformatted Telephone number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.12
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.15
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.15">
      <extends rule="d125054e0-false-d125060e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('118') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '118' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CE') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70296') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70296' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Primary Language') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Primary Language' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.15
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d125054e0-false-d125060e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.3">
      <extends rule="d125204e0-false-d125210e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d125204e0-false-d125210e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.6">
      <extends rule="d125323e0-false-d125329e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d125323e0-false-d125329e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.16
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.16">
      <extends rule="d125381e0-false-d125387e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('119') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '119' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CE') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70002') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70002' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Marital Status') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Marital Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d125381e0-false-d125387e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.3">
      <extends rule="d125531e0-false-d125537e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d125531e0-false-d125537e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.6">
      <extends rule="d125650e0-false-d125656e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d125650e0-false-d125656e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.17
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.17">
      <extends rule="d125708e0-false-d125714e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('120') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '120' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CE') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70006') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70006' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Religion') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Religion' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.17
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d125708e0-false-d125714e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.3">
      <extends rule="d125858e0-false-d125864e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d125858e0-false-d125864e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.6">
      <extends rule="d125977e0-false-d125983e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d125977e0-false-d125983e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18">
      <extends rule="d126029e0-false-d126035e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('121') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '121' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CX') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Patient Account Number') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Patient Account Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d126029e0-false-d126035e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.3">
      <extends rule="d126207e0-false-d126213e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d126207e0-false-d126213e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.4">
      <extends rule="d126258e0-false-d126264e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d126258e0-false-d126264e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d126393e0-false-d126399e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d126393e0-false-d126399e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.5">
      <extends rule="d126445e0-false-d126451e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d126445e0-false-d126451e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.6">
      <extends rule="d126490e0-false-d126496e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d126490e0-false-d126496e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d126625e0-false-d126631e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d126625e0-false-d126631e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9">
      <extends rule="d126739e0-false-d126745e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d126739e0-false-d126745e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d126910e0-false-d126916e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d126910e0-false-d126916e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d127029e0-false-d127035e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d127029e0-false-d127035e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10">
      <extends rule="d127177e0-false-d127183e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d127177e0-false-d127183e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d127348e0-false-d127354e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d127348e0-false-d127354e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d127467e0-false-d127473e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d127467e0-false-d127473e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.19
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.19">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('122') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '122' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('ST') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('SSN Number - Patient') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'SSN Number - Patient' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.19
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.20
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.20">
      <extends rule="d127662e0-false-d127668e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('123') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '123' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('DLN') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'DLN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Driver''s License Number - Patient') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Driver''s License Number - Patient' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.16
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.20
Item: (DLN_datatype)
-->
   <rule fpi="RULC-1" id="d127662e0-false-d127668e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.16-2013-02-10T000000.html"
              test="count(hl7v2:DLN.1) &lt;= 1">(DLN_datatype): element hl7v2:DLN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.16-2013-02-10T000000.html"
              test="count(hl7v2:DLN.2) &lt;= 1">(DLN_datatype): element hl7v2:DLN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.16-2013-02-10T000000.html"
              test="count(hl7v2:DLN.3) &lt;= 1">(DLN_datatype): element hl7v2:DLN.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.16
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.20/hl7v2:DLN.1
Item: (DLN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.20/hl7v2:DLN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.16-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(DLN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.16-2013-02-10T000000.html"
              test="string(@LongName) = ('License Number') or not(@LongName)">(DLN_datatype): de waarde van LongName MOET 'License Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.20/hl7v2:DLN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.16
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.20/hl7v2:DLN.2
Item: (DLN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.20/hl7v2:DLN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.16-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(DLN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.16-2013-02-10T000000.html"
              test="string(@Table) = ('HL70333') or not(@Table)">(DLN_datatype): de waarde van Table MOET 'HL70333' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.16-2013-02-10T000000.html"
              test="string(@LongName) = ('Issuing State, Province, Country') or not(@LongName)">(DLN_datatype): de waarde van LongName MOET 'Issuing State, Province, Country' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.20/hl7v2:DLN.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.16
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.20/hl7v2:DLN.3
Item: (DLN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.20/hl7v2:DLN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.16-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(DLN_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.16-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(DLN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.20/hl7v2:DLN.3
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21">
      <extends rule="d127832e0-false-d127838e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('124') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '124' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CX') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Mother''s Identifier') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Mother''s Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d127832e0-false-d127838e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.3">
      <extends rule="d128010e0-false-d128016e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d128010e0-false-d128016e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.4">
      <extends rule="d128061e0-false-d128067e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d128061e0-false-d128067e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d128196e0-false-d128202e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d128196e0-false-d128202e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.5">
      <extends rule="d128248e0-false-d128254e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d128248e0-false-d128254e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.6">
      <extends rule="d128293e0-false-d128299e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d128293e0-false-d128299e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d128428e0-false-d128434e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d128428e0-false-d128434e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9">
      <extends rule="d128542e0-false-d128548e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d128542e0-false-d128548e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d128713e0-false-d128719e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d128713e0-false-d128719e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d128832e0-false-d128838e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d128832e0-false-d128838e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10">
      <extends rule="d128980e0-false-d128986e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d128980e0-false-d128986e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d129151e0-false-d129157e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d129151e0-false-d129157e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d129270e0-false-d129276e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d129270e0-false-d129276e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.22
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.22">
      <extends rule="d129431e0-false-d129437e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('125') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '125' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CE') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70189') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70189' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Ethnic Group') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Ethnic Group' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.22
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d129431e0-false-d129437e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.3">
      <extends rule="d129581e0-false-d129587e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d129581e0-false-d129587e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.6">
      <extends rule="d129700e0-false-d129706e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d129700e0-false-d129706e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.23
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.23">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('126') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '126' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('ST') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Birth Place') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Birth Place' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.23
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.24
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.24">
      <extends rule="d129798e0-false-d129804e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('127') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '127' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('ID') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Multiple Birth Indicator') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Multiple Birth Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.24
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d129798e0-false-d129804e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.25
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.25">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('128') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '128' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('NM') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Birth Order') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Birth Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.25
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.26
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.26">
      <extends rule="d129895e0-false-d129901e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('129') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '129' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CE') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70171') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70171' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Citizenship') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Citizenship' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.26
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d129895e0-false-d129901e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.3">
      <extends rule="d130045e0-false-d130051e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d130045e0-false-d130051e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.6">
      <extends rule="d130164e0-false-d130170e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d130164e0-false-d130170e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.27
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.27">
      <extends rule="d130222e0-false-d130228e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('130') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '130' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CE') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70172') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70172' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Veterans Military Status') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Veterans Military Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.27
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d130222e0-false-d130228e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.3">
      <extends rule="d130372e0-false-d130378e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d130372e0-false-d130378e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.6">
      <extends rule="d130491e0-false-d130497e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d130491e0-false-d130497e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.28
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.28">
      <extends rule="d130549e0-false-d130555e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('739') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '739' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CE') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70212') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70212' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Nationality') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Nationality' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.28
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d130549e0-false-d130555e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.3">
      <extends rule="d130699e0-false-d130705e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d130699e0-false-d130705e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.6">
      <extends rule="d130818e0-false-d130824e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d130818e0-false-d130824e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.29
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.29">
      <extends rule="d130870e0-false-d130876e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('740') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '740' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('TS') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Patient Death Date and Time') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Patient Death Date and Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.29
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d130870e0-false-d130876e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.29/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.29/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.29/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.29/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.29/hl7v2:TS.2">
      <extends rule="d130958e0-false-d130964e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.29/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d130958e0-false-d130964e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.30
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.30">
      <extends rule="d131016e0-false-d131022e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('741') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '741' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('ID') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Patient Death Indicator') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Patient Death Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.30
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d131016e0-false-d131022e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.31
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.31">
      <extends rule="d131073e0-false-d131079e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('1535') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '1535' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('ID') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Identity Unknown Indicator') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Identity Unknown Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.31
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d131073e0-false-d131079e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.32
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.32">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('1536') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '1536' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('IS') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70445') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70445' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Identity Reliability Code') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Identity Reliability Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.32
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.33
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.33">
      <extends rule="d131170e0-false-d131176e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('1537') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '1537' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('TS') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Last Update Date/Time') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Last Update Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.33
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d131170e0-false-d131176e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.33/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.33/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.33/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.33/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.33/hl7v2:TS.2">
      <extends rule="d131258e0-false-d131264e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.33/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d131258e0-false-d131264e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.34
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.34">
      <extends rule="d131310e0-false-d131316e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('1538') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '1538' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('HD') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Last Update Facility') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Last Update Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.34
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d131310e0-false-d131316e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.34/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.34/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.34/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.34/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.34/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.34/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.34/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.34/hl7v2:HD.3">
      <extends rule="d131445e0-false-d131451e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.34/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d131445e0-false-d131451e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.35
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.35">
      <extends rule="d131503e0-false-d131509e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('1539') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '1539' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CE') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70446') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70446' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Species Code') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Species Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.35
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d131503e0-false-d131509e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.3">
      <extends rule="d131653e0-false-d131659e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d131653e0-false-d131659e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.6">
      <extends rule="d131772e0-false-d131778e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d131772e0-false-d131778e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.36
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.36">
      <extends rule="d131830e0-false-d131836e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('1540') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '1540' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CE') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70447') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70447' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Breed Code') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Breed Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.36
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d131830e0-false-d131836e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.3">
      <extends rule="d131980e0-false-d131986e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d131980e0-false-d131986e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.6">
      <extends rule="d132099e0-false-d132105e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d132099e0-false-d132105e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.37
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.37">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('1541') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '1541' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('ST') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Strain') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Strain' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.37
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.38
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.38">
      <extends rule="d132197e0-false-d132203e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('1542') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '1542' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CE') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70429') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70429' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Production Class Code') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Production Class Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.38
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d132197e0-false-d132203e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.3">
      <extends rule="d132347e0-false-d132353e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d132347e0-false-d132353e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.6">
      <extends rule="d132466e0-false-d132472e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d132466e0-false-d132472e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.39
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.39">
      <extends rule="d132524e0-false-d132530e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('1840') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '1840' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CWE') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70171') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70171' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Tribal Citizenship') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Tribal Citizenship' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.39
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d132524e0-false-d132530e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.3">
      <extends rule="d132695e0-false-d132701e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d132695e0-false-d132701e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.6">
      <extends rule="d132814e0-false-d132820e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d132814e0-false-d132820e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1
Item: (PD1_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="count(hl7v2:PD1.2) &lt;= 1">(PD1_segment): element hl7v2:PD1.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="count(hl7v2:PD1.5) &lt;= 1">(PD1_segment): element hl7v2:PD1.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="count(hl7v2:PD1.6) &lt;= 1">(PD1_segment): element hl7v2:PD1.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="count(hl7v2:PD1.7) &lt;= 1">(PD1_segment): element hl7v2:PD1.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="count(hl7v2:PD1.8) &lt;= 1">(PD1_segment): element hl7v2:PD1.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="count(hl7v2:PD1.9) &lt;= 1">(PD1_segment): element hl7v2:PD1.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="count(hl7v2:PD1.11) &lt;= 1">(PD1_segment): element hl7v2:PD1.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="count(hl7v2:PD1.12) &lt;= 1">(PD1_segment): element hl7v2:PD1.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="count(hl7v2:PD1.13) &lt;= 1">(PD1_segment): element hl7v2:PD1.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="count(hl7v2:PD1.16) &lt;= 1">(PD1_segment): element hl7v2:PD1.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="count(hl7v2:PD1.17) &lt;= 1">(PD1_segment): element hl7v2:PD1.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="count(hl7v2:PD1.18) &lt;= 1">(PD1_segment): element hl7v2:PD1.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="count(hl7v2:PD1.19) &lt;= 1">(PD1_segment): element hl7v2:PD1.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="count(hl7v2:PD1.20) &lt;= 1">(PD1_segment): element hl7v2:PD1.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="count(hl7v2:PD1.21) &lt;= 1">(PD1_segment): element hl7v2:PD1.21 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.1
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('755') or not(@Item)">(PD1_segment): de waarde van Item MOET '755' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PD1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Table) = ('HL70223') or not(@Table)">(PD1_segment): de waarde van Table MOET 'HL70223' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Living Dependency') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Living Dependency' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.2
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('742') or not(@Item)">(PD1_segment): de waarde van Item MOET '742' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PD1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Table) = ('HL70220') or not(@Table)">(PD1_segment): de waarde van Table MOET 'HL70220' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Living Arrangement') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Living Arrangement' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3">
      <extends rule="d133199e0-false-d133205e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('756') or not(@Item)">(PD1_segment): de waarde van Item MOET '756' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('XON') or not(@Type)">(PD1_segment): de waarde van Type MOET 'XON' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Patient Primary Facility') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Patient Primary Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3
Item: (XON_datatype)
-->
   <rule fpi="RULC-1" id="d133199e0-false-d133205e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.1) &lt;= 1">(XON_datatype): element hl7v2:XON.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.2) &lt;= 1">(XON_datatype): element hl7v2:XON.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.3) &lt;= 1">(XON_datatype): element hl7v2:XON.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.4) &lt;= 1">(XON_datatype): element hl7v2:XON.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.5) &lt;= 1">(XON_datatype): element hl7v2:XON.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.6) &lt;= 1">(XON_datatype): element hl7v2:XON.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.7) &lt;= 1">(XON_datatype): element hl7v2:XON.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.8) &lt;= 1">(XON_datatype): element hl7v2:XON.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.9) &lt;= 1">(XON_datatype): element hl7v2:XON.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.10) &lt;= 1">(XON_datatype): element hl7v2:XON.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.1
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.2
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XON_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70204') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70204' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.3
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.4
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.5
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.5">
      <extends rule="d133451e0-false-d133457e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d133451e0-false-d133457e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.6
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.6">
      <extends rule="d133502e0-false-d133508e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d133502e0-false-d133508e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.6/hl7v2:HD.3">
      <extends rule="d133637e0-false-d133643e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d133637e0-false-d133643e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.7
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.7">
      <extends rule="d133689e0-false-d133695e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d133689e0-false-d133695e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.8
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.8">
      <extends rule="d133734e0-false-d133740e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.8
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d133734e0-false-d133740e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.8/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.8/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.8/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.8/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.8/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.8/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.8/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.8/hl7v2:HD.3">
      <extends rule="d133869e0-false-d133875e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.8/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d133869e0-false-d133875e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.9
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.9">
      <extends rule="d133921e0-false-d133927e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.9
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d133921e0-false-d133927e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.10
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Identifier') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4">
      <extends rule="d134007e0-false-d134013e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('757') or not(@Item)">(PD1_segment): de waarde van Item MOET '757' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(PD1_segment): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Patient Primary Care Provider Name &amp; ID No.') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Patient Primary Care Provider Name &amp; ID No.' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d134007e0-false-d134013e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2">
      <extends rule="d134236e0-false-d134242e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d134236e0-false-d134242e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.9">
      <extends rule="d134698e0-false-d134704e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d134698e0-false-d134704e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d134833e0-false-d134839e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d134833e0-false-d134839e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.10">
      <extends rule="d134885e0-false-d134891e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d134885e0-false-d134891e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.12">
      <extends rule="d134970e0-false-d134976e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d134970e0-false-d134976e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.13">
      <extends rule="d135021e0-false-d135027e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d135021e0-false-d135027e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.14">
      <extends rule="d135066e0-false-d135072e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d135066e0-false-d135072e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d135201e0-false-d135207e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d135201e0-false-d135207e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.15">
      <extends rule="d135253e0-false-d135259e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d135253e0-false-d135259e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16">
      <extends rule="d135304e0-false-d135310e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d135304e0-false-d135310e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d135454e0-false-d135460e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d135454e0-false-d135460e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d135573e0-false-d135579e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d135573e0-false-d135579e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17">
      <extends rule="d135619e0-false-d135625e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d135619e0-false-d135625e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d135667e0-false-d135673e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d135667e0-false-d135673e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d135755e0-false-d135761e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d135755e0-false-d135761e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d135801e0-false-d135807e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d135801e0-false-d135807e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d135889e0-false-d135895e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d135889e0-false-d135895e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.18">
      <extends rule="d135942e0-false-d135948e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d135942e0-false-d135948e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.19">
      <extends rule="d135987e0-false-d135993e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d135987e0-false-d135993e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d136075e0-false-d136081e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d136075e0-false-d136081e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.20">
      <extends rule="d136121e0-false-d136127e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d136121e0-false-d136127e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d136209e0-false-d136215e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d136209e0-false-d136215e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22">
      <extends rule="d136289e0-false-d136295e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d136289e0-false-d136295e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d136460e0-false-d136466e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d136460e0-false-d136466e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d136579e0-false-d136585e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d136579e0-false-d136585e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23">
      <extends rule="d136727e0-false-d136733e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d136727e0-false-d136733e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d136898e0-false-d136904e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d136898e0-false-d136904e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d137017e0-false-d137023e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d137017e0-false-d137023e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.5
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('745') or not(@Item)">(PD1_segment): de waarde van Item MOET '745' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PD1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Table) = ('HL70231') or not(@Table)">(PD1_segment): de waarde van Table MOET 'HL70231' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Student Indicator') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Student Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.5
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.6
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('753') or not(@Item)">(PD1_segment): de waarde van Item MOET '753' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PD1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Table) = ('HL70295') or not(@Table)">(PD1_segment): de waarde van Table MOET 'HL70295' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Handicap') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Handicap' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.7
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('759') or not(@Item)">(PD1_segment): de waarde van Item MOET '759' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PD1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Table) = ('HL70315') or not(@Table)">(PD1_segment): de waarde van Table MOET 'HL70315' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Living Will Code') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Living Will Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.8
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('760') or not(@Item)">(PD1_segment): de waarde van Item MOET '760' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PD1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Table) = ('HL70316') or not(@Table)">(PD1_segment): de waarde van Table MOET 'HL70316' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Organ Donor Code') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Organ Donor Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.9
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.9">
      <extends rule="d137362e0-false-d137368e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('761') or not(@Item)">(PD1_segment): de waarde van Item MOET '761' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(PD1_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(PD1_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Separate Bill') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Separate Bill' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.9
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d137362e0-false-d137368e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10">
      <extends rule="d137413e0-false-d137419e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('762') or not(@Item)">(PD1_segment): de waarde van Item MOET '762' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('CX') or not(@Type)">(PD1_segment): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Duplicate Patient') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Duplicate Patient' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d137413e0-false-d137419e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.3">
      <extends rule="d137591e0-false-d137597e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d137591e0-false-d137597e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.4">
      <extends rule="d137642e0-false-d137648e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d137642e0-false-d137648e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d137777e0-false-d137783e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d137777e0-false-d137783e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.5">
      <extends rule="d137829e0-false-d137835e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d137829e0-false-d137835e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.6">
      <extends rule="d137874e0-false-d137880e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d137874e0-false-d137880e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d138009e0-false-d138015e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d138009e0-false-d138015e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9">
      <extends rule="d138123e0-false-d138129e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d138123e0-false-d138129e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d138294e0-false-d138300e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d138294e0-false-d138300e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d138413e0-false-d138419e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d138413e0-false-d138419e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10">
      <extends rule="d138561e0-false-d138567e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d138561e0-false-d138567e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d138732e0-false-d138738e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d138732e0-false-d138738e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d138851e0-false-d138857e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d138851e0-false-d138857e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.11
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.11">
      <extends rule="d139012e0-false-d139018e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('743') or not(@Item)">(PD1_segment): de waarde van Item MOET '743' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(PD1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Table) = ('HL70215') or not(@Table)">(PD1_segment): de waarde van Table MOET 'HL70215' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Publicity Code') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Publicity Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.11
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d139012e0-false-d139018e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.3">
      <extends rule="d139162e0-false-d139168e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d139162e0-false-d139168e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.6">
      <extends rule="d139281e0-false-d139287e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d139281e0-false-d139287e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.12
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.12">
      <extends rule="d139339e0-false-d139345e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('744') or not(@Item)">(PD1_segment): de waarde van Item MOET '744' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(PD1_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(PD1_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Protection Indicator') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Protection Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d139339e0-false-d139345e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.13
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('1566') or not(@Item)">(PD1_segment): de waarde van Item MOET '1566' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(PD1_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Protection Indicator Effective Date') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Protection Indicator Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.13
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14">
      <extends rule="d139430e0-false-d139436e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('1567') or not(@Item)">(PD1_segment): de waarde van Item MOET '1567' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('XON') or not(@Type)">(PD1_segment): de waarde van Type MOET 'XON' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Place of Worship') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Place of Worship' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14
Item: (XON_datatype)
-->
   <rule fpi="RULC-1" id="d139430e0-false-d139436e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.1) &lt;= 1">(XON_datatype): element hl7v2:XON.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.2) &lt;= 1">(XON_datatype): element hl7v2:XON.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.3) &lt;= 1">(XON_datatype): element hl7v2:XON.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.4) &lt;= 1">(XON_datatype): element hl7v2:XON.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.5) &lt;= 1">(XON_datatype): element hl7v2:XON.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.6) &lt;= 1">(XON_datatype): element hl7v2:XON.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.7) &lt;= 1">(XON_datatype): element hl7v2:XON.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.8) &lt;= 1">(XON_datatype): element hl7v2:XON.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.9) &lt;= 1">(XON_datatype): element hl7v2:XON.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.10) &lt;= 1">(XON_datatype): element hl7v2:XON.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.1
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.2
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XON_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70204') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70204' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.3
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.4
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.5
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.5">
      <extends rule="d139682e0-false-d139688e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d139682e0-false-d139688e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.6
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.6">
      <extends rule="d139733e0-false-d139739e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d139733e0-false-d139739e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.6/hl7v2:HD.3">
      <extends rule="d139868e0-false-d139874e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d139868e0-false-d139874e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.7
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.7">
      <extends rule="d139920e0-false-d139926e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d139920e0-false-d139926e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.8
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.8">
      <extends rule="d139965e0-false-d139971e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.8
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d139965e0-false-d139971e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.8/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.8/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.8/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.8/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.8/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.8/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.8/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.8/hl7v2:HD.3">
      <extends rule="d140100e0-false-d140106e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.8/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d140100e0-false-d140106e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.9
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.9">
      <extends rule="d140152e0-false-d140158e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.9
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d140152e0-false-d140158e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.10
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Identifier') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.15
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.15">
      <extends rule="d140244e0-false-d140250e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('1568') or not(@Item)">(PD1_segment): de waarde van Item MOET '1568' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(PD1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Table) = ('HL70435') or not(@Table)">(PD1_segment): de waarde van Table MOET 'HL70435' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Advance Directive Code') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Advance Directive Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.15
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d140244e0-false-d140250e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.3">
      <extends rule="d140394e0-false-d140400e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d140394e0-false-d140400e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.6">
      <extends rule="d140513e0-false-d140519e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d140513e0-false-d140519e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.16
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.16">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('1569') or not(@Item)">(PD1_segment): de waarde van Item MOET '1569' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PD1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Table) = ('HL70441') or not(@Table)">(PD1_segment): de waarde van Table MOET 'HL70441' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Immunization Registry Status') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Immunization Registry Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.16
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.17
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.17">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('1570') or not(@Item)">(PD1_segment): de waarde van Item MOET '1570' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(PD1_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Immunization Registry Status Effective Date') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Immunization Registry Status Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.17
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.18
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.18">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('1571') or not(@Item)">(PD1_segment): de waarde van Item MOET '1571' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(PD1_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Publicity Code Effective Date') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Publicity Code Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.18
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.19
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.19">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('1572') or not(@Item)">(PD1_segment): de waarde van Item MOET '1572' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PD1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Table) = ('HL70140') or not(@Table)">(PD1_segment): de waarde van Table MOET 'HL70140' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Military Branch') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Military Branch' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.19
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.20
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.20">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('486') or not(@Item)">(PD1_segment): de waarde van Item MOET '486' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PD1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Table) = ('HL70141') or not(@Table)">(PD1_segment): de waarde van Table MOET 'HL70141' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Military Rank/Grade') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Military Rank/Grade' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.20
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.21
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('1573') or not(@Item)">(PD1_segment): de waarde van Item MOET '1573' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PD1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Table) = ('HL70142') or not(@Table)">(PD1_segment): de waarde van Table MOET 'HL70142' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Military Status') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Military Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:PD1/hl7v2:PD1.21
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.39
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE
Item: (NTE_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="count(hl7v2:NTE.1) &lt;= 1">(NTE_segment): element hl7v2:NTE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="count(hl7v2:NTE.2) &lt;= 1">(NTE_segment): element hl7v2:NTE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="count(hl7v2:NTE.3) &gt;= 1">(NTE_segment): element hl7v2:NTE.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="count(hl7v2:NTE.4) &lt;= 1">(NTE_segment): element hl7v2:NTE.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.39
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.1
Item: (NTE_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Item) = ('96') or not(@Item)">(NTE_segment): de waarde van Item MOET '96' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Type) = ('SI') or not(@Type)">(NTE_segment): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@LongName) = ('Set ID - NTE') or not(@LongName)">(NTE_segment): de waarde van LongName MOET 'Set ID - NTE' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.39
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.2
Item: (NTE_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.2">
      <extends rule="d140926e0-false-d140932e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Item) = ('97') or not(@Item)">(NTE_segment): de waarde van Item MOET '97' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(NTE_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Table) = ('HL70105') or not(@Table)">(NTE_segment): de waarde van Table MOET 'HL70105' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@LongName) = ('Source of Comment') or not(@LongName)">(NTE_segment): de waarde van LongName MOET 'Source of Comment' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d140926e0-false-d140932e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.39
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.3
Item: (NTE_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Item) = ('98') or not(@Item)">(NTE_segment): de waarde van Item MOET '98' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Type) = ('FT') or not(@Type)">(NTE_segment): de waarde van Type MOET 'FT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@LongName) = ('Comment') or not(@LongName)">(NTE_segment): de waarde van LongName MOET 'Comment' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.3
Item: (FT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape
Item: (FT_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.27-2013-02-10T000000.html"
              test="@V">(FT_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.39
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.4
Item: (NTE_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.4">
      <extends rule="d141103e0-false-d141109e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Item) = ('1318') or not(@Item)">(NTE_segment): de waarde van Item MOET '1318' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(NTE_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Table) = ('HL70364') or not(@Table)">(NTE_segment): de waarde van Table MOET 'HL70364' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@LongName) = ('Comment Type') or not(@LongName)">(NTE_segment): de waarde van LongName MOET 'Comment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d141103e0-false-d141109e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.3">
      <extends rule="d141253e0-false-d141259e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d141253e0-false-d141259e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.6">
      <extends rule="d141372e0-false-d141378e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d141372e0-false-d141378e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1
Item: (NK1_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="count(hl7v2:NK1.1) &gt;= 1">(NK1_segment): element hl7v2:NK1.1 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="count(hl7v2:NK1.1) &lt;= 1">(NK1_segment): element hl7v2:NK1.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="count(hl7v2:NK1.3) &lt;= 1">(NK1_segment): element hl7v2:NK1.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="count(hl7v2:NK1.7) &lt;= 1">(NK1_segment): element hl7v2:NK1.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="count(hl7v2:NK1.8) &lt;= 1">(NK1_segment): element hl7v2:NK1.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="count(hl7v2:NK1.9) &lt;= 1">(NK1_segment): element hl7v2:NK1.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="count(hl7v2:NK1.10) &lt;= 1">(NK1_segment): element hl7v2:NK1.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="count(hl7v2:NK1.11) &lt;= 1">(NK1_segment): element hl7v2:NK1.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="count(hl7v2:NK1.12) &lt;= 1">(NK1_segment): element hl7v2:NK1.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="count(hl7v2:NK1.14) &lt;= 1">(NK1_segment): element hl7v2:NK1.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="count(hl7v2:NK1.15) &lt;= 1">(NK1_segment): element hl7v2:NK1.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="count(hl7v2:NK1.16) &lt;= 1">(NK1_segment): element hl7v2:NK1.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="count(hl7v2:NK1.20) &lt;= 1">(NK1_segment): element hl7v2:NK1.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="count(hl7v2:NK1.21) &lt;= 1">(NK1_segment): element hl7v2:NK1.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="count(hl7v2:NK1.22) &lt;= 1">(NK1_segment): element hl7v2:NK1.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="count(hl7v2:NK1.23) &lt;= 1">(NK1_segment): element hl7v2:NK1.23 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="count(hl7v2:NK1.24) &lt;= 1">(NK1_segment): element hl7v2:NK1.24 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="count(hl7v2:NK1.25) &lt;= 1">(NK1_segment): element hl7v2:NK1.25 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="count(hl7v2:NK1.27) &lt;= 1">(NK1_segment): element hl7v2:NK1.27 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="count(hl7v2:NK1.34) &lt;= 1">(NK1_segment): element hl7v2:NK1.34 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="count(hl7v2:NK1.36) &lt;= 1">(NK1_segment): element hl7v2:NK1.36 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="count(hl7v2:NK1.37) &lt;= 1">(NK1_segment): element hl7v2:NK1.37 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="count(hl7v2:NK1.38) &lt;= 1">(NK1_segment): element hl7v2:NK1.38 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="count(hl7v2:NK1.39) &lt;= 1">(NK1_segment): element hl7v2:NK1.39 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.1
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('190') or not(@Item)">(NK1_segment): de waarde van Item MOET '190' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('SI') or not(@Type)">(NK1_segment): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Set ID - NK1') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Set ID - NK1' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2">
      <extends rule="d141685e0-false-d141691e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('191') or not(@Item)">(NK1_segment): de waarde van Item MOET '191' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('XPN') or not(@Type)">(NK1_segment): de waarde van Type MOET 'XPN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1" id="d141685e0-false-d141691e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.1) &lt;= 1">(XPN_datatype): element hl7v2:XPN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.2) &lt;= 1">(XPN_datatype): element hl7v2:XPN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.3) &lt;= 1">(XPN_datatype): element hl7v2:XPN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.4) &lt;= 1">(XPN_datatype): element hl7v2:XPN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.5) &lt;= 1">(XPN_datatype): element hl7v2:XPN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.6) &lt;= 1">(XPN_datatype): element hl7v2:XPN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.7) &lt;= 1">(XPN_datatype): element hl7v2:XPN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.8) &lt;= 1">(XPN_datatype): element hl7v2:XPN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.9) &lt;= 1">(XPN_datatype): element hl7v2:XPN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.10) &lt;= 1">(XPN_datatype): element hl7v2:XPN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.11) &lt;= 1">(XPN_datatype): element hl7v2:XPN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.12) &lt;= 1">(XPN_datatype): element hl7v2:XPN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.13) &lt;= 1">(XPN_datatype): element hl7v2:XPN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.14) &lt;= 1">(XPN_datatype): element hl7v2:XPN.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.1
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.1">
      <extends rule="d141817e0-false-d141823e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d141817e0-false-d141823e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.1/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.1/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.1/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.1/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.1/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.1/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.1/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.1/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.1/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.1/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.1/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.1/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.1/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.1/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.1/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.2
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.3
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.4
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.5
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.6
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.7
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.7">
      <extends rule="d142239e0-false-d142245e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d142239e0-false-d142245e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.8
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.8">
      <extends rule="d142290e0-false-d142296e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.8
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d142290e0-false-d142296e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.9
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.9">
      <extends rule="d142341e0-false-d142347e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.9
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d142341e0-false-d142347e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.9/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.9/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.9/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.9/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.9/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.9/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.9/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.9/hl7v2:CE.3">
      <extends rule="d142491e0-false-d142497e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.9/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d142491e0-false-d142497e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.9/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.9/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.9/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.9/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.9/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.9/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.9/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.9/hl7v2:CE.6">
      <extends rule="d142610e0-false-d142616e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.9/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d142610e0-false-d142616e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.10
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.10">
      <extends rule="d142656e0-false-d142662e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.10
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d142656e0-false-d142662e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.10/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.10/hl7v2:DR.1">
      <extends rule="d142704e0-false-d142710e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.10/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d142704e0-false-d142710e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d142792e0-false-d142798e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d142792e0-false-d142798e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.10/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.10/hl7v2:DR.2">
      <extends rule="d142838e0-false-d142844e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.10/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d142838e0-false-d142844e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d142926e0-false-d142932e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d142926e0-false-d142932e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.11
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.11">
      <extends rule="d142979e0-false-d142985e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d142979e0-false-d142985e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.12
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.12">
      <extends rule="d143024e0-false-d143030e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d143024e0-false-d143030e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.12/hl7v2:TS.2">
      <extends rule="d143112e0-false-d143118e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d143112e0-false-d143118e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.13
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.13">
      <extends rule="d143158e0-false-d143164e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d143158e0-false-d143164e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.13/hl7v2:TS.2">
      <extends rule="d143246e0-false-d143252e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d143246e0-false-d143252e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.14
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.2/hl7v2:XPN.14
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.3
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.3">
      <extends rule="d143339e0-false-d143345e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('192') or not(@Item)">(NK1_segment): de waarde van Item MOET '192' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(NK1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70063') or not(@Table)">(NK1_segment): de waarde van Table MOET 'HL70063' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Relationship') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Relationship' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d143339e0-false-d143345e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.3/hl7v2:CE.3">
      <extends rule="d143489e0-false-d143495e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d143489e0-false-d143495e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.3/hl7v2:CE.6">
      <extends rule="d143608e0-false-d143614e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d143608e0-false-d143614e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4">
      <extends rule="d143660e0-false-d143666e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('193') or not(@Item)">(NK1_segment): de waarde van Item MOET '193' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('XAD') or not(@Type)">(NK1_segment): de waarde van Type MOET 'XAD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Address') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1" id="d143660e0-false-d143666e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.1) &lt;= 1">(XAD_datatype): element hl7v2:XAD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.2) &lt;= 1">(XAD_datatype): element hl7v2:XAD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.3) &lt;= 1">(XAD_datatype): element hl7v2:XAD.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.4) &lt;= 1">(XAD_datatype): element hl7v2:XAD.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.5) &lt;= 1">(XAD_datatype): element hl7v2:XAD.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.6) &lt;= 1">(XAD_datatype): element hl7v2:XAD.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.7) &lt;= 1">(XAD_datatype): element hl7v2:XAD.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.8) &lt;= 1">(XAD_datatype): element hl7v2:XAD.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.9) &lt;= 1">(XAD_datatype): element hl7v2:XAD.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.10) &lt;= 1">(XAD_datatype): element hl7v2:XAD.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.11) &lt;= 1">(XAD_datatype): element hl7v2:XAD.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.12) &lt;= 1">(XAD_datatype): element hl7v2:XAD.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.13) &lt;= 1">(XAD_datatype): element hl7v2:XAD.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.14) &lt;= 1">(XAD_datatype): element hl7v2:XAD.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.1
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.1">
      <extends rule="d143792e0-false-d143798e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('SAD') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'SAD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Street Address') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Street Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.1
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1" id="d143792e0-false-d143798e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.1) &lt;= 1">(SAD_datatype): element hl7v2:SAD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.2) &lt;= 1">(SAD_datatype): element hl7v2:SAD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.3) &lt;= 1">(SAD_datatype): element hl7v2:SAD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.1/hl7v2:SAD.1
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.1/hl7v2:SAD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Street or Mailing Address') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Street or Mailing Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.1/hl7v2:SAD.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.1/hl7v2:SAD.2
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.1/hl7v2:SAD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Street Name') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Street Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.1/hl7v2:SAD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.1/hl7v2:SAD.3
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.1/hl7v2:SAD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Dwelling Number') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Dwelling Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.1/hl7v2:SAD.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.2
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Other Designation') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Other Designation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.3
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('City') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'City' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.4
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('State or Province') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'State or Province' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.5
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Zip or Postal Code') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Zip or Postal Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.6
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.6">
      <extends rule="d144092e0-false-d144098e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Table) = ('HL70399') or not(@Table)">(XAD_datatype): de waarde van Table MOET 'HL70399' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Country') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Country' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d144092e0-false-d144098e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.7
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.7">
      <extends rule="d144143e0-false-d144149e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Table) = ('HL70190') or not(@Table)">(XAD_datatype): de waarde van Table MOET 'HL70190' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Address Type') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Address Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d144143e0-false-d144149e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.8
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Other Geographic Designation') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Other Geographic Designation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.9
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Table) = ('HL70289') or not(@Table)">(XAD_datatype): de waarde van Table MOET 'HL70289' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('County/Parish Code') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'County/Parish Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.10
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Table) = ('HL70288') or not(@Table)">(XAD_datatype): de waarde van Table MOET 'HL70288' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Census Tract') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Census Tract' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.10
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.11
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.11">
      <extends rule="d144308e0-false-d144314e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XAD_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Address Representation Code') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Address Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d144308e0-false-d144314e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.12
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.12">
      <extends rule="d144353e0-false-d144359e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Address Validity Range') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Address Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.12
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d144353e0-false-d144359e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.12/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.12/hl7v2:DR.1">
      <extends rule="d144401e0-false-d144407e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.12/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d144401e0-false-d144407e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d144489e0-false-d144495e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d144489e0-false-d144495e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.12/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.12/hl7v2:DR.2">
      <extends rule="d144535e0-false-d144541e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.12/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d144535e0-false-d144541e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d144623e0-false-d144629e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d144623e0-false-d144629e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.13
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.13">
      <extends rule="d144670e0-false-d144676e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d144670e0-false-d144676e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.13/hl7v2:TS.2">
      <extends rule="d144758e0-false-d144764e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d144758e0-false-d144764e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.14
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.14">
      <extends rule="d144804e0-false-d144810e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d144804e0-false-d144810e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.14/hl7v2:TS.2">
      <extends rule="d144892e0-false-d144898e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.4/hl7v2:XAD.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d144892e0-false-d144898e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5">
      <extends rule="d144945e0-false-d144951e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('194') or not(@Item)">(NK1_segment): de waarde van Item MOET '194' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('XTN') or not(@Type)">(NK1_segment): de waarde van Type MOET 'XTN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Phone Number') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Phone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" id="d144945e0-false-d144951e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.1) &lt;= 1">(XTN_datatype): element hl7v2:XTN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.2) &lt;= 1">(XTN_datatype): element hl7v2:XTN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.3) &lt;= 1">(XTN_datatype): element hl7v2:XTN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.4) &lt;= 1">(XTN_datatype): element hl7v2:XTN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.5) &lt;= 1">(XTN_datatype): element hl7v2:XTN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.6) &lt;= 1">(XTN_datatype): element hl7v2:XTN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.7) &lt;= 1">(XTN_datatype): element hl7v2:XTN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.8) &lt;= 1">(XTN_datatype): element hl7v2:XTN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.9) &lt;= 1">(XTN_datatype): element hl7v2:XTN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.10) &lt;= 1">(XTN_datatype): element hl7v2:XTN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.11) &lt;= 1">(XTN_datatype): element hl7v2:XTN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.12) &lt;= 1">(XTN_datatype): element hl7v2:XTN.12 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.1
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telephone Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telephone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.2
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.2">
      <extends rule="d145103e0-false-d145109e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70201') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70201' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Use Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Use Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d145103e0-false-d145109e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.3
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.3">
      <extends rule="d145154e0-false-d145160e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70202') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70202' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Equipment Type') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Equipment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d145154e0-false-d145160e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.4
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Email Address') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Email Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.5
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Country Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Country Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.6
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Area/City Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Area/City Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.6
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.7
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Local Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Local Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.7
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.8
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.8
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.9
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Any Text') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Any Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.10
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension Prefix') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.11
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Speed Dial Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Speed Dial Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.12
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Unformatted Telephone number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Unformatted Telephone number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.5/hl7v2:XTN.12
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6">
      <extends rule="d145512e0-false-d145518e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('195') or not(@Item)">(NK1_segment): de waarde van Item MOET '195' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('XTN') or not(@Type)">(NK1_segment): de waarde van Type MOET 'XTN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Business Phone Number') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Business Phone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" id="d145512e0-false-d145518e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.1) &lt;= 1">(XTN_datatype): element hl7v2:XTN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.2) &lt;= 1">(XTN_datatype): element hl7v2:XTN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.3) &lt;= 1">(XTN_datatype): element hl7v2:XTN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.4) &lt;= 1">(XTN_datatype): element hl7v2:XTN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.5) &lt;= 1">(XTN_datatype): element hl7v2:XTN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.6) &lt;= 1">(XTN_datatype): element hl7v2:XTN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.7) &lt;= 1">(XTN_datatype): element hl7v2:XTN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.8) &lt;= 1">(XTN_datatype): element hl7v2:XTN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.9) &lt;= 1">(XTN_datatype): element hl7v2:XTN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.10) &lt;= 1">(XTN_datatype): element hl7v2:XTN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.11) &lt;= 1">(XTN_datatype): element hl7v2:XTN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.12) &lt;= 1">(XTN_datatype): element hl7v2:XTN.12 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.1
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telephone Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telephone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.2
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.2">
      <extends rule="d145670e0-false-d145676e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70201') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70201' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Use Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Use Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d145670e0-false-d145676e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.3
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.3">
      <extends rule="d145721e0-false-d145727e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70202') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70202' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Equipment Type') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Equipment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d145721e0-false-d145727e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.4
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Email Address') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Email Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.5
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Country Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Country Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.6
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Area/City Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Area/City Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.6
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.7
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Local Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Local Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.7
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.8
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.8
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.9
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Any Text') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Any Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.10
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension Prefix') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.11
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Speed Dial Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Speed Dial Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.12
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Unformatted Telephone number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Unformatted Telephone number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.6/hl7v2:XTN.12
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.7
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.7">
      <extends rule="d146085e0-false-d146091e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('196') or not(@Item)">(NK1_segment): de waarde van Item MOET '196' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(NK1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70131') or not(@Table)">(NK1_segment): de waarde van Table MOET 'HL70131' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Contact Role') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Contact Role' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.7
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d146085e0-false-d146091e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.7/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.7/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.7/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.7/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.7/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.7/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.7/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.7/hl7v2:CE.3">
      <extends rule="d146235e0-false-d146241e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.7/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d146235e0-false-d146241e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.7/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.7/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.7/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.7/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.7/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.7/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.7/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.7/hl7v2:CE.6">
      <extends rule="d146354e0-false-d146360e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.7/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d146354e0-false-d146360e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.8
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('197') or not(@Item)">(NK1_segment): de waarde van Item MOET '197' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(NK1_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Start Date') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Start Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.9
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('198') or not(@Item)">(NK1_segment): de waarde van Item MOET '198' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(NK1_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('End Date') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'End Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.9
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.10
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('199') or not(@Item)">(NK1_segment): de waarde van Item MOET '199' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(NK1_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Next of Kin / Associated Parties Job Title') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Next of Kin / Associated Parties Job Title' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.11
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.11">
      <extends rule="d146526e0-false-d146532e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('200') or not(@Item)">(NK1_segment): de waarde van Item MOET '200' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('JCC') or not(@Type)">(NK1_segment): de waarde van Type MOET 'JCC' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Next of Kin / Associated Parties Job Code/Class') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Next of Kin / Associated Parties Job Code/Class' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.30
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.11
Item: (JCC_datatype)
-->
   <rule fpi="RULC-1" id="d146526e0-false-d146532e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="count(hl7v2:JCC.1) &lt;= 1">(JCC_datatype): element hl7v2:JCC.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="count(hl7v2:JCC.2) &lt;= 1">(JCC_datatype): element hl7v2:JCC.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="count(hl7v2:JCC.3) &lt;= 1">(JCC_datatype): element hl7v2:JCC.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.30
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.11/hl7v2:JCC.1
Item: (JCC_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.11/hl7v2:JCC.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(JCC_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="string(@Table) = ('HL70327') or not(@Table)">(JCC_datatype): de waarde van Table MOET 'HL70327' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="string(@LongName) = ('Job Code') or not(@LongName)">(JCC_datatype): de waarde van LongName MOET 'Job Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.11/hl7v2:JCC.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.30
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.11/hl7v2:JCC.2
Item: (JCC_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.11/hl7v2:JCC.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(JCC_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="string(@Table) = ('HL70328') or not(@Table)">(JCC_datatype): de waarde van Table MOET 'HL70328' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="string(@LongName) = ('Job Class') or not(@LongName)">(JCC_datatype): de waarde van LongName MOET 'Job Class' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.11/hl7v2:JCC.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.30
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.11/hl7v2:JCC.3
Item: (JCC_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.11/hl7v2:JCC.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="string(@Type) = ('TX') or not(@Type)">(JCC_datatype): de waarde van Type MOET 'TX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="string(@LongName) = ('Job Description Text') or not(@LongName)">(JCC_datatype): de waarde van LongName MOET 'Job Description Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.11/hl7v2:JCC.3
Item: (TX_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.11/hl7v2:JCC.3/hl7v2:escape
Item: (TX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.11/hl7v2:JCC.3/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.65-2013-02-10T000000.html"
              test="@V">(TX_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.11/hl7v2:JCC.3/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.11/hl7v2:JCC.3/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.11/hl7v2:JCC.3/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.11/hl7v2:JCC.3/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.11/hl7v2:JCC.3/hl7v2:escape/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.11/hl7v2:JCC.3/hl7v2:escape/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12">
      <extends rule="d146782e0-false-d146788e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('201') or not(@Item)">(NK1_segment): de waarde van Item MOET '201' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('CX') or not(@Type)">(NK1_segment): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Next of Kin / Associated Parties Employee Number') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Next of Kin / Associated Parties Employee Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d146782e0-false-d146788e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.3">
      <extends rule="d146960e0-false-d146966e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d146960e0-false-d146966e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.4">
      <extends rule="d147011e0-false-d147017e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d147011e0-false-d147017e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d147146e0-false-d147152e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d147146e0-false-d147152e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.5">
      <extends rule="d147198e0-false-d147204e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d147198e0-false-d147204e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.6">
      <extends rule="d147243e0-false-d147249e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d147243e0-false-d147249e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d147378e0-false-d147384e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d147378e0-false-d147384e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.9">
      <extends rule="d147492e0-false-d147498e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d147492e0-false-d147498e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d147663e0-false-d147669e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d147663e0-false-d147669e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d147782e0-false-d147788e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d147782e0-false-d147788e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.10">
      <extends rule="d147930e0-false-d147936e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d147930e0-false-d147936e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d148101e0-false-d148107e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d148101e0-false-d148107e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d148220e0-false-d148226e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d148220e0-false-d148226e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.12/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13">
      <extends rule="d148375e0-false-d148381e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('202') or not(@Item)">(NK1_segment): de waarde van Item MOET '202' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('XON') or not(@Type)">(NK1_segment): de waarde van Type MOET 'XON' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name - NK1') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Organization Name - NK1' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13
Item: (XON_datatype)
-->
   <rule fpi="RULC-1" id="d148375e0-false-d148381e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.1) &lt;= 1">(XON_datatype): element hl7v2:XON.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.2) &lt;= 1">(XON_datatype): element hl7v2:XON.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.3) &lt;= 1">(XON_datatype): element hl7v2:XON.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.4) &lt;= 1">(XON_datatype): element hl7v2:XON.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.5) &lt;= 1">(XON_datatype): element hl7v2:XON.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.6) &lt;= 1">(XON_datatype): element hl7v2:XON.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.7) &lt;= 1">(XON_datatype): element hl7v2:XON.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.8) &lt;= 1">(XON_datatype): element hl7v2:XON.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.9) &lt;= 1">(XON_datatype): element hl7v2:XON.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.10) &lt;= 1">(XON_datatype): element hl7v2:XON.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.1
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.2
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XON_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70204') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70204' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.3
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.4
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.5
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.5">
      <extends rule="d148627e0-false-d148633e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d148627e0-false-d148633e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.6
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.6">
      <extends rule="d148678e0-false-d148684e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d148678e0-false-d148684e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.6/hl7v2:HD.3">
      <extends rule="d148813e0-false-d148819e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d148813e0-false-d148819e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.7
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.7">
      <extends rule="d148865e0-false-d148871e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d148865e0-false-d148871e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.8
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.8">
      <extends rule="d148910e0-false-d148916e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.8
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d148910e0-false-d148916e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.8/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.8/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.8/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.8/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.8/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.8/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.8/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.8/hl7v2:HD.3">
      <extends rule="d149045e0-false-d149051e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.8/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d149045e0-false-d149051e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.9
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.9">
      <extends rule="d149097e0-false-d149103e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.9
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d149097e0-false-d149103e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.10
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Identifier') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.13/hl7v2:XON.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.14
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.14">
      <extends rule="d149189e0-false-d149195e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('119') or not(@Item)">(NK1_segment): de waarde van Item MOET '119' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(NK1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70002') or not(@Table)">(NK1_segment): de waarde van Table MOET 'HL70002' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Marital Status') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Marital Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.14
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d149189e0-false-d149195e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.14/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.14/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.14/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.14/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.14/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.14/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.14/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.14/hl7v2:CE.3">
      <extends rule="d149339e0-false-d149345e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.14/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d149339e0-false-d149345e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.14/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.14/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.14/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.14/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.14/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.14/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.14/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.14/hl7v2:CE.6">
      <extends rule="d149458e0-false-d149464e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.14/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d149458e0-false-d149464e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.15
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.15">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('111') or not(@Item)">(NK1_segment): de waarde van Item MOET '111' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NK1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70001') or not(@Table)">(NK1_segment): de waarde van Table MOET 'HL70001' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Administrative Sex') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Administrative Sex' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.15
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.16
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.16">
      <extends rule="d149556e0-false-d149562e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('110') or not(@Item)">(NK1_segment): de waarde van Item MOET '110' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(NK1_segment): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Date/Time of Birth') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Date/Time of Birth' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.16
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d149556e0-false-d149562e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.16/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.16/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.16/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.16/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.16/hl7v2:TS.2">
      <extends rule="d149644e0-false-d149650e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.16/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d149644e0-false-d149650e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.17
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.17">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('755') or not(@Item)">(NK1_segment): de waarde van Item MOET '755' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NK1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70223') or not(@Table)">(NK1_segment): de waarde van Table MOET 'HL70223' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Living Dependency') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Living Dependency' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.17
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.18
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.18">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('145') or not(@Item)">(NK1_segment): de waarde van Item MOET '145' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NK1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70009') or not(@Table)">(NK1_segment): de waarde van Table MOET 'HL70009' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Ambulatory Status') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Ambulatory Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.18
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.19
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.19">
      <extends rule="d149794e0-false-d149800e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('129') or not(@Item)">(NK1_segment): de waarde van Item MOET '129' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(NK1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70171') or not(@Table)">(NK1_segment): de waarde van Table MOET 'HL70171' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Citizenship') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Citizenship' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.19
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d149794e0-false-d149800e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.19/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.19/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.19/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.19/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.19/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.19/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.19/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.19/hl7v2:CE.3">
      <extends rule="d149944e0-false-d149950e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.19/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d149944e0-false-d149950e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.19/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.19/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.19/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.19/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.19/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.19/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.19/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.19/hl7v2:CE.6">
      <extends rule="d150063e0-false-d150069e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.19/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d150063e0-false-d150069e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.20
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.20">
      <extends rule="d150121e0-false-d150127e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('118') or not(@Item)">(NK1_segment): de waarde van Item MOET '118' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(NK1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70296') or not(@Table)">(NK1_segment): de waarde van Table MOET 'HL70296' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Primary Language') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Primary Language' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.20
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d150121e0-false-d150127e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.20/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.20/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.20/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.20/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.20/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.20/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.20/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.20/hl7v2:CE.3">
      <extends rule="d150271e0-false-d150277e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.20/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d150271e0-false-d150277e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.20/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.20/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.20/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.20/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.20/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.20/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.20/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.20/hl7v2:CE.6">
      <extends rule="d150390e0-false-d150396e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.20/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d150390e0-false-d150396e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.21
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('742') or not(@Item)">(NK1_segment): de waarde van Item MOET '742' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NK1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70220') or not(@Table)">(NK1_segment): de waarde van Table MOET 'HL70220' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Living Arrangement') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Living Arrangement' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.21
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.22
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.22">
      <extends rule="d150494e0-false-d150500e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('743') or not(@Item)">(NK1_segment): de waarde van Item MOET '743' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(NK1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70215') or not(@Table)">(NK1_segment): de waarde van Table MOET 'HL70215' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Publicity Code') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Publicity Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.22
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d150494e0-false-d150500e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.22/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.22/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.22/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.22/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.22/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.22/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.22/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.22/hl7v2:CE.3">
      <extends rule="d150644e0-false-d150650e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.22/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d150644e0-false-d150650e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.22/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.22/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.22/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.22/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.22/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.22/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.22/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.22/hl7v2:CE.6">
      <extends rule="d150763e0-false-d150769e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.22/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d150763e0-false-d150769e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.23
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.23">
      <extends rule="d150821e0-false-d150827e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('744') or not(@Item)">(NK1_segment): de waarde van Item MOET '744' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(NK1_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(NK1_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Protection Indicator') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Protection Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.23
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d150821e0-false-d150827e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.24
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.24">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('745') or not(@Item)">(NK1_segment): de waarde van Item MOET '745' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NK1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70231') or not(@Table)">(NK1_segment): de waarde van Table MOET 'HL70231' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Student Indicator') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Student Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.24
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.25
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.25">
      <extends rule="d150924e0-false-d150930e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('120') or not(@Item)">(NK1_segment): de waarde van Item MOET '120' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(NK1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70006') or not(@Table)">(NK1_segment): de waarde van Table MOET 'HL70006' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Religion') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Religion' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.25
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d150924e0-false-d150930e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.25/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.25/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.25/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.25/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.25/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.25/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.25/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.25/hl7v2:CE.3">
      <extends rule="d151074e0-false-d151080e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.25/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d151074e0-false-d151080e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.25/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.25/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.25/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.25/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.25/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.25/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.25/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.25/hl7v2:CE.6">
      <extends rule="d151193e0-false-d151199e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.25/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d151193e0-false-d151199e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26">
      <extends rule="d151245e0-false-d151251e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('109') or not(@Item)">(NK1_segment): de waarde van Item MOET '109' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('XPN') or not(@Type)">(NK1_segment): de waarde van Type MOET 'XPN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Mother''s Maiden Name') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Mother''s Maiden Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1" id="d151245e0-false-d151251e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.1) &lt;= 1">(XPN_datatype): element hl7v2:XPN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.2) &lt;= 1">(XPN_datatype): element hl7v2:XPN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.3) &lt;= 1">(XPN_datatype): element hl7v2:XPN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.4) &lt;= 1">(XPN_datatype): element hl7v2:XPN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.5) &lt;= 1">(XPN_datatype): element hl7v2:XPN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.6) &lt;= 1">(XPN_datatype): element hl7v2:XPN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.7) &lt;= 1">(XPN_datatype): element hl7v2:XPN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.8) &lt;= 1">(XPN_datatype): element hl7v2:XPN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.9) &lt;= 1">(XPN_datatype): element hl7v2:XPN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.10) &lt;= 1">(XPN_datatype): element hl7v2:XPN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.11) &lt;= 1">(XPN_datatype): element hl7v2:XPN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.12) &lt;= 1">(XPN_datatype): element hl7v2:XPN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.13) &lt;= 1">(XPN_datatype): element hl7v2:XPN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.14) &lt;= 1">(XPN_datatype): element hl7v2:XPN.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.1
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.1">
      <extends rule="d151377e0-false-d151383e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d151377e0-false-d151383e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.1/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.1/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.1/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.1/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.1/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.1/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.1/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.1/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.1/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.1/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.1/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.1/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.1/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.1/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.1/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.2
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.3
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.4
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.5
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.6
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.7
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.7">
      <extends rule="d151799e0-false-d151805e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d151799e0-false-d151805e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.8
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.8">
      <extends rule="d151850e0-false-d151856e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.8
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d151850e0-false-d151856e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.9
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.9">
      <extends rule="d151901e0-false-d151907e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.9
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d151901e0-false-d151907e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.9/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.9/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.9/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.9/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.9/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.9/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.9/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.9/hl7v2:CE.3">
      <extends rule="d152051e0-false-d152057e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.9/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d152051e0-false-d152057e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.9/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.9/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.9/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.9/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.9/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.9/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.9/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.9/hl7v2:CE.6">
      <extends rule="d152170e0-false-d152176e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.9/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d152170e0-false-d152176e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.10
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.10">
      <extends rule="d152216e0-false-d152222e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.10
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d152216e0-false-d152222e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.10/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.10/hl7v2:DR.1">
      <extends rule="d152264e0-false-d152270e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.10/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d152264e0-false-d152270e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d152352e0-false-d152358e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d152352e0-false-d152358e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.10/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.10/hl7v2:DR.2">
      <extends rule="d152398e0-false-d152404e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.10/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d152398e0-false-d152404e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d152486e0-false-d152492e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d152486e0-false-d152492e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.11
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.11">
      <extends rule="d152539e0-false-d152545e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d152539e0-false-d152545e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.12
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.12">
      <extends rule="d152584e0-false-d152590e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d152584e0-false-d152590e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.12/hl7v2:TS.2">
      <extends rule="d152672e0-false-d152678e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d152672e0-false-d152678e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.13
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.13">
      <extends rule="d152718e0-false-d152724e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d152718e0-false-d152724e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.13/hl7v2:TS.2">
      <extends rule="d152806e0-false-d152812e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d152806e0-false-d152812e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.14
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.26/hl7v2:XPN.14
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.27
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.27">
      <extends rule="d152899e0-false-d152905e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('739') or not(@Item)">(NK1_segment): de waarde van Item MOET '739' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(NK1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70212') or not(@Table)">(NK1_segment): de waarde van Table MOET 'HL70212' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Nationality') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Nationality' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.27
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d152899e0-false-d152905e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.27/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.27/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.27/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.27/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.27/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.27/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.27/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.27/hl7v2:CE.3">
      <extends rule="d153049e0-false-d153055e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.27/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d153049e0-false-d153055e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.27/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.27/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.27/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.27/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.27/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.27/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.27/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.27/hl7v2:CE.6">
      <extends rule="d153168e0-false-d153174e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.27/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d153168e0-false-d153174e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.28
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.28">
      <extends rule="d153226e0-false-d153232e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('125') or not(@Item)">(NK1_segment): de waarde van Item MOET '125' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(NK1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70189') or not(@Table)">(NK1_segment): de waarde van Table MOET 'HL70189' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Ethnic Group') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Ethnic Group' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.28
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d153226e0-false-d153232e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.28/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.28/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.28/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.28/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.28/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.28/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.28/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.28/hl7v2:CE.3">
      <extends rule="d153376e0-false-d153382e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.28/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d153376e0-false-d153382e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.28/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.28/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.28/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.28/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.28/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.28/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.28/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.28/hl7v2:CE.6">
      <extends rule="d153495e0-false-d153501e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.28/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d153495e0-false-d153501e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.29
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.29">
      <extends rule="d153553e0-false-d153559e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('747') or not(@Item)">(NK1_segment): de waarde van Item MOET '747' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(NK1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70222') or not(@Table)">(NK1_segment): de waarde van Table MOET 'HL70222' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Contact Reason') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Contact Reason' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.29
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d153553e0-false-d153559e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.29/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.29/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.29/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.29/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.29/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.29/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.29/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.29/hl7v2:CE.3">
      <extends rule="d153703e0-false-d153709e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.29/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d153703e0-false-d153709e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.29/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.29/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.29/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.29/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.29/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.29/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.29/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.29/hl7v2:CE.6">
      <extends rule="d153822e0-false-d153828e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.29/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d153822e0-false-d153828e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30">
      <extends rule="d153874e0-false-d153880e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('748') or not(@Item)">(NK1_segment): de waarde van Item MOET '748' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('XPN') or not(@Type)">(NK1_segment): de waarde van Type MOET 'XPN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Contact Person''s Name') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Contact Person''s Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1" id="d153874e0-false-d153880e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.1) &lt;= 1">(XPN_datatype): element hl7v2:XPN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.2) &lt;= 1">(XPN_datatype): element hl7v2:XPN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.3) &lt;= 1">(XPN_datatype): element hl7v2:XPN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.4) &lt;= 1">(XPN_datatype): element hl7v2:XPN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.5) &lt;= 1">(XPN_datatype): element hl7v2:XPN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.6) &lt;= 1">(XPN_datatype): element hl7v2:XPN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.7) &lt;= 1">(XPN_datatype): element hl7v2:XPN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.8) &lt;= 1">(XPN_datatype): element hl7v2:XPN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.9) &lt;= 1">(XPN_datatype): element hl7v2:XPN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.10) &lt;= 1">(XPN_datatype): element hl7v2:XPN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.11) &lt;= 1">(XPN_datatype): element hl7v2:XPN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.12) &lt;= 1">(XPN_datatype): element hl7v2:XPN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.13) &lt;= 1">(XPN_datatype): element hl7v2:XPN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.14) &lt;= 1">(XPN_datatype): element hl7v2:XPN.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.1
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.1">
      <extends rule="d154006e0-false-d154012e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d154006e0-false-d154012e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.1/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.1/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.1/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.1/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.1/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.1/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.1/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.1/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.1/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.1/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.1/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.1/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.1/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.1/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.1/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.2
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.3
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.4
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.5
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.6
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.7
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.7">
      <extends rule="d154428e0-false-d154434e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d154428e0-false-d154434e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.8
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.8">
      <extends rule="d154479e0-false-d154485e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.8
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d154479e0-false-d154485e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.9
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.9">
      <extends rule="d154530e0-false-d154536e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.9
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d154530e0-false-d154536e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.9/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.9/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.9/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.9/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.9/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.9/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.9/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.9/hl7v2:CE.3">
      <extends rule="d154680e0-false-d154686e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.9/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d154680e0-false-d154686e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.9/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.9/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.9/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.9/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.9/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.9/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.9/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.9/hl7v2:CE.6">
      <extends rule="d154799e0-false-d154805e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.9/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d154799e0-false-d154805e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.10
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.10">
      <extends rule="d154845e0-false-d154851e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.10
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d154845e0-false-d154851e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.10/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.10/hl7v2:DR.1">
      <extends rule="d154893e0-false-d154899e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.10/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d154893e0-false-d154899e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d154981e0-false-d154987e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d154981e0-false-d154987e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.10/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.10/hl7v2:DR.2">
      <extends rule="d155027e0-false-d155033e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.10/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d155027e0-false-d155033e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d155115e0-false-d155121e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d155115e0-false-d155121e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.11
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.11">
      <extends rule="d155168e0-false-d155174e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d155168e0-false-d155174e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.12
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.12">
      <extends rule="d155213e0-false-d155219e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d155213e0-false-d155219e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.12/hl7v2:TS.2">
      <extends rule="d155301e0-false-d155307e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d155301e0-false-d155307e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.13
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.13">
      <extends rule="d155347e0-false-d155353e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d155347e0-false-d155353e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.13/hl7v2:TS.2">
      <extends rule="d155435e0-false-d155441e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d155435e0-false-d155441e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.14
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.30/hl7v2:XPN.14
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31">
      <extends rule="d155522e0-false-d155528e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('749') or not(@Item)">(NK1_segment): de waarde van Item MOET '749' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('XTN') or not(@Type)">(NK1_segment): de waarde van Type MOET 'XTN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Contact Person''s Telephone Number') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Contact Person''s Telephone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" id="d155522e0-false-d155528e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.1) &lt;= 1">(XTN_datatype): element hl7v2:XTN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.2) &lt;= 1">(XTN_datatype): element hl7v2:XTN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.3) &lt;= 1">(XTN_datatype): element hl7v2:XTN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.4) &lt;= 1">(XTN_datatype): element hl7v2:XTN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.5) &lt;= 1">(XTN_datatype): element hl7v2:XTN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.6) &lt;= 1">(XTN_datatype): element hl7v2:XTN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.7) &lt;= 1">(XTN_datatype): element hl7v2:XTN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.8) &lt;= 1">(XTN_datatype): element hl7v2:XTN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.9) &lt;= 1">(XTN_datatype): element hl7v2:XTN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.10) &lt;= 1">(XTN_datatype): element hl7v2:XTN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.11) &lt;= 1">(XTN_datatype): element hl7v2:XTN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.12) &lt;= 1">(XTN_datatype): element hl7v2:XTN.12 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.1
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telephone Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telephone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.2
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.2">
      <extends rule="d155680e0-false-d155686e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70201') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70201' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Use Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Use Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d155680e0-false-d155686e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.3
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.3">
      <extends rule="d155731e0-false-d155737e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70202') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70202' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Equipment Type') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Equipment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d155731e0-false-d155737e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.4
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Email Address') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Email Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.5
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Country Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Country Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.6
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Area/City Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Area/City Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.6
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.7
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Local Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Local Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.7
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.8
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.8
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.9
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Any Text') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Any Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.10
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension Prefix') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.11
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Speed Dial Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Speed Dial Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.12
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Unformatted Telephone number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Unformatted Telephone number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.31/hl7v2:XTN.12
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32">
      <extends rule="d156089e0-false-d156095e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('750') or not(@Item)">(NK1_segment): de waarde van Item MOET '750' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('XAD') or not(@Type)">(NK1_segment): de waarde van Type MOET 'XAD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Contact Person''s Address') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Contact Person''s Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1" id="d156089e0-false-d156095e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.1) &lt;= 1">(XAD_datatype): element hl7v2:XAD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.2) &lt;= 1">(XAD_datatype): element hl7v2:XAD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.3) &lt;= 1">(XAD_datatype): element hl7v2:XAD.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.4) &lt;= 1">(XAD_datatype): element hl7v2:XAD.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.5) &lt;= 1">(XAD_datatype): element hl7v2:XAD.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.6) &lt;= 1">(XAD_datatype): element hl7v2:XAD.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.7) &lt;= 1">(XAD_datatype): element hl7v2:XAD.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.8) &lt;= 1">(XAD_datatype): element hl7v2:XAD.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.9) &lt;= 1">(XAD_datatype): element hl7v2:XAD.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.10) &lt;= 1">(XAD_datatype): element hl7v2:XAD.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.11) &lt;= 1">(XAD_datatype): element hl7v2:XAD.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.12) &lt;= 1">(XAD_datatype): element hl7v2:XAD.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.13) &lt;= 1">(XAD_datatype): element hl7v2:XAD.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.14) &lt;= 1">(XAD_datatype): element hl7v2:XAD.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.1
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.1">
      <extends rule="d156221e0-false-d156227e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('SAD') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'SAD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Street Address') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Street Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.1
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1" id="d156221e0-false-d156227e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.1) &lt;= 1">(SAD_datatype): element hl7v2:SAD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.2) &lt;= 1">(SAD_datatype): element hl7v2:SAD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.3) &lt;= 1">(SAD_datatype): element hl7v2:SAD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.1/hl7v2:SAD.1
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.1/hl7v2:SAD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Street or Mailing Address') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Street or Mailing Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.1/hl7v2:SAD.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.1/hl7v2:SAD.2
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.1/hl7v2:SAD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Street Name') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Street Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.1/hl7v2:SAD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.1/hl7v2:SAD.3
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.1/hl7v2:SAD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Dwelling Number') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Dwelling Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.1/hl7v2:SAD.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.2
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Other Designation') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Other Designation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.3
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('City') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'City' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.4
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('State or Province') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'State or Province' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.5
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Zip or Postal Code') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Zip or Postal Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.6
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.6">
      <extends rule="d156521e0-false-d156527e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Table) = ('HL70399') or not(@Table)">(XAD_datatype): de waarde van Table MOET 'HL70399' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Country') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Country' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d156521e0-false-d156527e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.7
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.7">
      <extends rule="d156572e0-false-d156578e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Table) = ('HL70190') or not(@Table)">(XAD_datatype): de waarde van Table MOET 'HL70190' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Address Type') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Address Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d156572e0-false-d156578e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.8
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Other Geographic Designation') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Other Geographic Designation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.9
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Table) = ('HL70289') or not(@Table)">(XAD_datatype): de waarde van Table MOET 'HL70289' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('County/Parish Code') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'County/Parish Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.10
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Table) = ('HL70288') or not(@Table)">(XAD_datatype): de waarde van Table MOET 'HL70288' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Census Tract') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Census Tract' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.10
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.11
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.11">
      <extends rule="d156737e0-false-d156743e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XAD_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Address Representation Code') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Address Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d156737e0-false-d156743e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.12
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.12">
      <extends rule="d156782e0-false-d156788e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Address Validity Range') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Address Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.12
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d156782e0-false-d156788e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.12/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.12/hl7v2:DR.1">
      <extends rule="d156830e0-false-d156836e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.12/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d156830e0-false-d156836e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d156918e0-false-d156924e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d156918e0-false-d156924e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.12/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.12/hl7v2:DR.2">
      <extends rule="d156964e0-false-d156970e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.12/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d156964e0-false-d156970e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d157052e0-false-d157058e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d157052e0-false-d157058e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.13
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.13">
      <extends rule="d157099e0-false-d157105e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d157099e0-false-d157105e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.13/hl7v2:TS.2">
      <extends rule="d157187e0-false-d157193e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d157187e0-false-d157193e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.14
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.14">
      <extends rule="d157233e0-false-d157239e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d157233e0-false-d157239e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.14/hl7v2:TS.2">
      <extends rule="d157321e0-false-d157327e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.32/hl7v2:XAD.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d157321e0-false-d157327e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33">
      <extends rule="d157374e0-false-d157380e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('751') or not(@Item)">(NK1_segment): de waarde van Item MOET '751' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('CX') or not(@Type)">(NK1_segment): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Next of Kin/Associated Party''s Identifiers') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Next of Kin/Associated Party''s Identifiers' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d157374e0-false-d157380e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.3">
      <extends rule="d157552e0-false-d157558e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d157552e0-false-d157558e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.4">
      <extends rule="d157603e0-false-d157609e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d157603e0-false-d157609e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d157738e0-false-d157744e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d157738e0-false-d157744e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.5">
      <extends rule="d157790e0-false-d157796e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d157790e0-false-d157796e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.6">
      <extends rule="d157835e0-false-d157841e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d157835e0-false-d157841e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d157970e0-false-d157976e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d157970e0-false-d157976e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.9">
      <extends rule="d158084e0-false-d158090e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d158084e0-false-d158090e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d158255e0-false-d158261e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d158255e0-false-d158261e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d158374e0-false-d158380e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d158374e0-false-d158380e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.10">
      <extends rule="d158522e0-false-d158528e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d158522e0-false-d158528e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d158693e0-false-d158699e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d158693e0-false-d158699e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d158812e0-false-d158818e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d158812e0-false-d158818e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.33/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.34
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.34">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('752') or not(@Item)">(NK1_segment): de waarde van Item MOET '752' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NK1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70311') or not(@Table)">(NK1_segment): de waarde van Table MOET 'HL70311' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Job Status') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Job Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.34
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.35
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.35">
      <extends rule="d159019e0-false-d159025e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('113') or not(@Item)">(NK1_segment): de waarde van Item MOET '113' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(NK1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70005') or not(@Table)">(NK1_segment): de waarde van Table MOET 'HL70005' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Race') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Race' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.35
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d159019e0-false-d159025e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.35/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.35/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.35/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.35/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.35/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.35/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.35/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.35/hl7v2:CE.3">
      <extends rule="d159169e0-false-d159175e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.35/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d159169e0-false-d159175e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.35/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.35/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.35/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.35/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.35/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.35/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.35/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.35/hl7v2:CE.6">
      <extends rule="d159288e0-false-d159294e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.35/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d159288e0-false-d159294e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.36
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.36">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('753') or not(@Item)">(NK1_segment): de waarde van Item MOET '753' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NK1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70295') or not(@Table)">(NK1_segment): de waarde van Table MOET 'HL70295' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Handicap') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Handicap' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.36
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.37
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.37">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('754') or not(@Item)">(NK1_segment): de waarde van Item MOET '754' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(NK1_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Contact Person Social Security Number') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Contact Person Social Security Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.37
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.38
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.38">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('1905') or not(@Item)">(NK1_segment): de waarde van Item MOET '1905' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(NK1_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Next of Kin Birth Place') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'Next of Kin Birth Place' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.38
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.39
Item: (NK1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.39">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Item) = ('146') or not(@Item)">(NK1_segment): de waarde van Item MOET '146' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NK1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70099') or not(@Table)">(NK1_segment): de waarde van Table MOET 'HL70099' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.76-2013-02-10T000000.html"
              test="string(@LongName) = ('VIP Indicator') or not(@LongName)">(NK1_segment): de waarde van LongName MOET 'VIP Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:NK1/hl7v2:NK1.39
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT"
         id="d41e3155-false-d159485e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:PV1) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:PV1 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:PV1) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:PV1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:PV2) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:PV2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.1) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.2) &gt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.2 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.2) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.3) &gt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.3) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.4) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.5) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.6) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.10) &gt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.10 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.10) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.11) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.12) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.13) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.14) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.16) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.18) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.19) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.21) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.22) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.23) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.23 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.28) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.28 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.29) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.29 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.30) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.30 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.31) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.31 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.32) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.32 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.33) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.33 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.34) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.34 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.35) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.35 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.36) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.36 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.37) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.37 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.38) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.38 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.39) &gt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.39 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.39) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.39 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.40) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.40 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.41) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.41 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.42) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.42 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.43) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.43 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.44) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.44 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.46) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.46 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.47) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.47 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.48) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.48 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.49) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.49 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.50) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.50 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="count(hl7v2:PV1.51) &lt;= 1">(PV1_segment_Lab_algemeen): element hl7v2:PV1.51 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.1
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('131') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '131' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('SI') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Set ID - PV1') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Set ID - PV1' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.2
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('132') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '132' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Table) = ('HL70004') or not(@Table)">(PV1_segment_Lab_algemeen): de waarde van Table MOET 'HL70004' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Patient Class') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Patient Class' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3">
      <extends rule="d159975e0-false-d159981e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('133') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '133' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('PL') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'PL' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Assigned Patient Location') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Assigned Patient Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.42
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3
Item: (PL_datatype_NL)
-->
   <rule fpi="RULC-1" id="d159975e0-false-d159981e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="count(hl7v2:PL.1) &lt;= 1">(PL_datatype_NL): element hl7v2:PL.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="count(hl7v2:PL.2) &lt;= 1">(PL_datatype_NL): element hl7v2:PL.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="count(hl7v2:PL.3) &lt;= 1">(PL_datatype_NL): element hl7v2:PL.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="count(hl7v2:PL.4) &lt;= 1">(PL_datatype_NL): element hl7v2:PL.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="count(hl7v2:PL.5) &lt;= 1">(PL_datatype_NL): element hl7v2:PL.5 komt te vaak voor [max 1x].</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="count(hl7v2:PL.6) &lt; 1">(PL_datatype_NL): element hl7v2:PL.6 is gecodeerd met bindingssterkte 'extensible' en bevat een code buiten de gespecificeerde set.</report>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="count(hl7v2:PL.6) &lt;= 1">(PL_datatype_NL): element hl7v2:PL.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="count(hl7v2:PL.7) &lt;= 1">(PL_datatype_NL): element hl7v2:PL.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="count(hl7v2:PL.8) &lt;= 1">(PL_datatype_NL): element hl7v2:PL.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="count(hl7v2:PL.9) &lt;= 1">(PL_datatype_NL): element hl7v2:PL.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="count(hl7v2:PL.10) &lt;= 1">(PL_datatype_NL): element hl7v2:PL.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="count(hl7v2:PL.11) &lt;= 1">(PL_datatype_NL): element hl7v2:PL.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.42
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.1
Item: (PL_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype_NL): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="string(@Table) = ('HL70302') or not(@Table)">(PL_datatype_NL): de waarde van Table MOET 'HL70302' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="string(@LongName) = ('Point of Care') or not(@LongName)">(PL_datatype_NL): de waarde van LongName MOET 'Point of Care' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.42
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.2
Item: (PL_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype_NL): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="string(@Table) = ('HL70303') or not(@Table)">(PL_datatype_NL): de waarde van Table MOET 'HL70303' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="string(@LongName) = ('Room') or not(@LongName)">(PL_datatype_NL): de waarde van LongName MOET 'Room' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.42
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.3
Item: (PL_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype_NL): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="string(@Table) = ('HL70304') or not(@Table)">(PL_datatype_NL): de waarde van Table MOET 'HL70304' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="string(@LongName) = ('Bed') or not(@LongName)">(PL_datatype_NL): de waarde van LongName MOET 'Bed' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.3
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.42
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.4
Item: (PL_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.4">
      <extends rule="d160211e0-false-d160217e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype_NL): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="string(@LongName) = ('Facility') or not(@LongName)">(PL_datatype_NL): de waarde van LongName MOET 'Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d160211e0-false-d160217e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.4/hl7v2:HD.3">
      <extends rule="d160346e0-false-d160352e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d160346e0-false-d160352e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.42
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.5
Item: (PL_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype_NL): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="string(@Table) = ('HL70306') or not(@Table)">(PL_datatype_NL): de waarde van Table MOET 'HL70306' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="string(@LongName) = ('Location Status') or not(@LongName)">(PL_datatype_NL): de waarde van LongName MOET 'Location Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.5
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.42
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.6
Item: (PL_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.6">
      <extends rule="d160449e0-false-d160455e0"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype_NL): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="string(@Table) = ('HL70305') or not(@Table)">(PL_datatype_NL): de waarde van Table MOET 'HL70305' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="string(@LongName) = ('Person Location Type') or not(@LongName)">(PL_datatype_NL): de waarde van LongName MOET 'Person Location Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.6
Item: (IS_datatype)
-->
   <rule fpi="RULC-1" id="d160449e0-false-d160455e0" abstract="true">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.84-2013-02-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.25.11.410-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(IS_datatype): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.25.11.410 Person location type NL (DYNAMISCH)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.42
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.7
Item: (PL_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype_NL): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="string(@Table) = ('HL70307') or not(@Table)">(PL_datatype_NL): de waarde van Table MOET 'HL70307' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="string(@LongName) = ('Building') or not(@LongName)">(PL_datatype_NL): de waarde van LongName MOET 'Building' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.42
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.8
Item: (PL_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype_NL): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="string(@Table) = ('HL70308') or not(@Table)">(PL_datatype_NL): de waarde van Table MOET 'HL70308' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="string(@LongName) = ('Floor') or not(@LongName)">(PL_datatype_NL): de waarde van LongName MOET 'Floor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.42
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.9
Item: (PL_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="string(@Type) = ('ST') or not(@Type)">(PL_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="string(@LongName) = ('Location Description') or not(@LongName)">(PL_datatype_NL): de waarde van LongName MOET 'Location Description' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.42
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.10
Item: (PL_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.10">
      <extends rule="d160609e0-false-d160615e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="string(@Type) = ('EI') or not(@Type)">(PL_datatype_NL): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="string(@LongName) = ('Comprehensive Location Identifier') or not(@LongName)">(PL_datatype_NL): de waarde van LongName MOET 'Comprehensive Location Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.10
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d160609e0-false-d160615e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.10/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.10/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.10/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.10/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.10/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.10/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.10/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.10/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.10/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.10/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.10/hl7v2:EI.4">
      <extends rule="d160785e0-false-d160791e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.10/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d160785e0-false-d160791e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.42
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.11
Item: (PL_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.11">
      <extends rule="d160831e0-false-d160837e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype_NL): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.42-2017-05-13T200604.html"
              test="string(@LongName) = ('Assigning Authority for Location') or not(@LongName)">(PL_datatype_NL): de waarde van LongName MOET 'Assigning Authority for Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.11
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d160831e0-false-d160837e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.11/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.11/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.11/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.11/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.11/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.11/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.11/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.11/hl7v2:HD.3">
      <extends rule="d160966e0-false-d160972e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.11/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d160966e0-false-d160972e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.4
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('134') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '134' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Table) = ('HL70007') or not(@Table)">(PV1_segment_Lab_algemeen): de waarde van Table MOET 'HL70007' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Admission Type') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Admission Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.4
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5">
      <extends rule="d161065e0-false-d161071e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('135') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '135' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('CX') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Preadmit Number') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Preadmit Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d161065e0-false-d161071e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.3">
      <extends rule="d161243e0-false-d161249e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d161243e0-false-d161249e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.4">
      <extends rule="d161294e0-false-d161300e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d161294e0-false-d161300e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d161429e0-false-d161435e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d161429e0-false-d161435e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.5">
      <extends rule="d161481e0-false-d161487e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d161481e0-false-d161487e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.6">
      <extends rule="d161526e0-false-d161532e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d161526e0-false-d161532e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d161661e0-false-d161667e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d161661e0-false-d161667e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9">
      <extends rule="d161775e0-false-d161781e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d161775e0-false-d161781e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d161946e0-false-d161952e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d161946e0-false-d161952e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d162065e0-false-d162071e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d162065e0-false-d162071e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10">
      <extends rule="d162213e0-false-d162219e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d162213e0-false-d162219e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d162384e0-false-d162390e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d162384e0-false-d162390e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d162503e0-false-d162509e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d162503e0-false-d162509e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6">
      <extends rule="d162658e0-false-d162664e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('136') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '136' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('PL') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'PL' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Prior Patient Location') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Prior Patient Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6
Item: (PL_datatype)
-->
   <rule fpi="RULC-1" id="d162658e0-false-d162664e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.1) &lt;= 1">(PL_datatype): element hl7v2:PL.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.2) &lt;= 1">(PL_datatype): element hl7v2:PL.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.3) &lt;= 1">(PL_datatype): element hl7v2:PL.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.4) &lt;= 1">(PL_datatype): element hl7v2:PL.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.5) &lt;= 1">(PL_datatype): element hl7v2:PL.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.6) &lt;= 1">(PL_datatype): element hl7v2:PL.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.7) &lt;= 1">(PL_datatype): element hl7v2:PL.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.8) &lt;= 1">(PL_datatype): element hl7v2:PL.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.9) &lt;= 1">(PL_datatype): element hl7v2:PL.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.10) &lt;= 1">(PL_datatype): element hl7v2:PL.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.11) &lt;= 1">(PL_datatype): element hl7v2:PL.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.1
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70302') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70302' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Point of Care') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Point of Care' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.2
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70303') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70303' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Room') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Room' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.3
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70304') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70304' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Bed') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Bed' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.3
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.4
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.4">
      <extends rule="d162889e0-false-d162895e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Facility') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d162889e0-false-d162895e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.4/hl7v2:HD.3">
      <extends rule="d163024e0-false-d163030e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d163024e0-false-d163030e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.5
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70306') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70306' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Status') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Location Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.5
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.6
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70305') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70305' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Person Location Type') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Person Location Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.7
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70307') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70307' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Building') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Building' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.8
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70308') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70308' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Floor') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Floor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.9
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(PL_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Description') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Location Description' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.10
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.10">
      <extends rule="d163264e0-false-d163270e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(PL_datatype): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Comprehensive Location Identifier') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Comprehensive Location Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.10
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d163264e0-false-d163270e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.10/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.10/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.10/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.10/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.10/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.10/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.10/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.10/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.10/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.10/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.10/hl7v2:EI.4">
      <extends rule="d163440e0-false-d163446e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.10/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d163440e0-false-d163446e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.11
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.11">
      <extends rule="d163486e0-false-d163492e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority for Location') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Assigning Authority for Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.11
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d163486e0-false-d163492e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.11/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.11/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.11/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.11/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.11/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.11/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.11/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.11/hl7v2:HD.3">
      <extends rule="d163621e0-false-d163627e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.11/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d163621e0-false-d163627e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7">
      <extends rule="d163680e0-false-d163686e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('137') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '137' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('XCN') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Table) = ('HL70010') or not(@Table)">(PV1_segment_Lab_algemeen): de waarde van Table MOET 'HL70010' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Attending Doctor') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Attending Doctor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d163680e0-false-d163686e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2">
      <extends rule="d163909e0-false-d163915e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d163909e0-false-d163915e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.9">
      <extends rule="d164371e0-false-d164377e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d164371e0-false-d164377e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d164506e0-false-d164512e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d164506e0-false-d164512e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.10">
      <extends rule="d164558e0-false-d164564e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d164558e0-false-d164564e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.12">
      <extends rule="d164643e0-false-d164649e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d164643e0-false-d164649e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.13">
      <extends rule="d164694e0-false-d164700e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d164694e0-false-d164700e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.14">
      <extends rule="d164739e0-false-d164745e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d164739e0-false-d164745e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d164874e0-false-d164880e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d164874e0-false-d164880e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.15">
      <extends rule="d164926e0-false-d164932e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d164926e0-false-d164932e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16">
      <extends rule="d164977e0-false-d164983e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d164977e0-false-d164983e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d165127e0-false-d165133e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d165127e0-false-d165133e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d165246e0-false-d165252e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d165246e0-false-d165252e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17">
      <extends rule="d165292e0-false-d165298e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d165292e0-false-d165298e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d165340e0-false-d165346e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d165340e0-false-d165346e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d165428e0-false-d165434e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d165428e0-false-d165434e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d165474e0-false-d165480e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d165474e0-false-d165480e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d165562e0-false-d165568e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d165562e0-false-d165568e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.18">
      <extends rule="d165615e0-false-d165621e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d165615e0-false-d165621e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.19">
      <extends rule="d165660e0-false-d165666e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d165660e0-false-d165666e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d165748e0-false-d165754e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d165748e0-false-d165754e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.20">
      <extends rule="d165794e0-false-d165800e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d165794e0-false-d165800e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d165882e0-false-d165888e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d165882e0-false-d165888e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22">
      <extends rule="d165962e0-false-d165968e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d165962e0-false-d165968e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d166133e0-false-d166139e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d166133e0-false-d166139e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d166252e0-false-d166258e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d166252e0-false-d166258e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23">
      <extends rule="d166400e0-false-d166406e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d166400e0-false-d166406e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d166571e0-false-d166577e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d166571e0-false-d166577e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d166690e0-false-d166696e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d166690e0-false-d166696e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8">
      <extends rule="d166851e0-false-d166857e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('138') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '138' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('XCN') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Table) = ('HL70010') or not(@Table)">(PV1_segment_Lab_algemeen): de waarde van Table MOET 'HL70010' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Referring Doctor') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Referring Doctor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d166851e0-false-d166857e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2">
      <extends rule="d167080e0-false-d167086e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d167080e0-false-d167086e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.9">
      <extends rule="d167542e0-false-d167548e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d167542e0-false-d167548e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d167677e0-false-d167683e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d167677e0-false-d167683e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.10">
      <extends rule="d167729e0-false-d167735e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d167729e0-false-d167735e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.12">
      <extends rule="d167814e0-false-d167820e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d167814e0-false-d167820e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.13">
      <extends rule="d167865e0-false-d167871e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d167865e0-false-d167871e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.14">
      <extends rule="d167910e0-false-d167916e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d167910e0-false-d167916e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d168045e0-false-d168051e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d168045e0-false-d168051e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.15">
      <extends rule="d168097e0-false-d168103e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d168097e0-false-d168103e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16">
      <extends rule="d168148e0-false-d168154e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d168148e0-false-d168154e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d168298e0-false-d168304e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d168298e0-false-d168304e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d168417e0-false-d168423e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d168417e0-false-d168423e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17">
      <extends rule="d168463e0-false-d168469e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d168463e0-false-d168469e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d168511e0-false-d168517e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d168511e0-false-d168517e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d168599e0-false-d168605e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d168599e0-false-d168605e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d168645e0-false-d168651e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d168645e0-false-d168651e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d168733e0-false-d168739e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d168733e0-false-d168739e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.18">
      <extends rule="d168786e0-false-d168792e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d168786e0-false-d168792e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.19">
      <extends rule="d168831e0-false-d168837e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d168831e0-false-d168837e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d168919e0-false-d168925e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d168919e0-false-d168925e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.20">
      <extends rule="d168965e0-false-d168971e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d168965e0-false-d168971e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d169053e0-false-d169059e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d169053e0-false-d169059e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22">
      <extends rule="d169133e0-false-d169139e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d169133e0-false-d169139e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d169304e0-false-d169310e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d169304e0-false-d169310e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d169423e0-false-d169429e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d169423e0-false-d169429e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23">
      <extends rule="d169571e0-false-d169577e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d169571e0-false-d169577e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d169742e0-false-d169748e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d169742e0-false-d169748e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d169861e0-false-d169867e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d169861e0-false-d169867e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9">
      <extends rule="d170022e0-false-d170028e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('139') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '139' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('XCN') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Table) = ('HL70010') or not(@Table)">(PV1_segment_Lab_algemeen): de waarde van Table MOET 'HL70010' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Consulting Doctor') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Consulting Doctor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d170022e0-false-d170028e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2">
      <extends rule="d170251e0-false-d170257e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d170251e0-false-d170257e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.9">
      <extends rule="d170713e0-false-d170719e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d170713e0-false-d170719e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d170848e0-false-d170854e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d170848e0-false-d170854e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.10">
      <extends rule="d170900e0-false-d170906e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d170900e0-false-d170906e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.12">
      <extends rule="d170985e0-false-d170991e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d170985e0-false-d170991e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.13">
      <extends rule="d171036e0-false-d171042e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d171036e0-false-d171042e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.14">
      <extends rule="d171081e0-false-d171087e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d171081e0-false-d171087e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d171216e0-false-d171222e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d171216e0-false-d171222e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.15">
      <extends rule="d171268e0-false-d171274e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d171268e0-false-d171274e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16">
      <extends rule="d171319e0-false-d171325e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d171319e0-false-d171325e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d171469e0-false-d171475e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d171469e0-false-d171475e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d171588e0-false-d171594e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d171588e0-false-d171594e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17">
      <extends rule="d171634e0-false-d171640e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d171634e0-false-d171640e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d171682e0-false-d171688e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d171682e0-false-d171688e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d171770e0-false-d171776e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d171770e0-false-d171776e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d171816e0-false-d171822e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d171816e0-false-d171822e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d171904e0-false-d171910e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d171904e0-false-d171910e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.18">
      <extends rule="d171957e0-false-d171963e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d171957e0-false-d171963e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.19">
      <extends rule="d172002e0-false-d172008e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d172002e0-false-d172008e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d172090e0-false-d172096e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d172090e0-false-d172096e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.20">
      <extends rule="d172136e0-false-d172142e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d172136e0-false-d172142e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d172224e0-false-d172230e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d172224e0-false-d172230e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22">
      <extends rule="d172304e0-false-d172310e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d172304e0-false-d172310e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d172475e0-false-d172481e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d172475e0-false-d172481e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d172594e0-false-d172600e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d172594e0-false-d172600e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23">
      <extends rule="d172742e0-false-d172748e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d172742e0-false-d172748e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d172913e0-false-d172919e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d172913e0-false-d172919e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d173032e0-false-d173038e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d173032e0-false-d173038e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.10
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.10">
      <extends rule="d173204e0-false-d173210e0"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('140') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '140' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Table) = ('HL70069') or not(@Table)">(PV1_segment_Lab_algemeen): de waarde van Table MOET 'HL70069' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Hospital Service') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Hospital Service' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.10
Item: (IS_datatype)
-->
   <rule fpi="RULC-1" id="d173204e0-false-d173210e0" abstract="true">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.84-2013-02-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.1.11.2-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(IS_datatype): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.1.11.2 RoleCodeNL - zorgverlenertype (personen) (DYNAMISCH)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11">
      <extends rule="d173256e0-false-d173262e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('141') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '141' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('PL') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'PL' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Temporary Location') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Temporary Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11
Item: (PL_datatype)
-->
   <rule fpi="RULC-1" id="d173256e0-false-d173262e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.1) &lt;= 1">(PL_datatype): element hl7v2:PL.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.2) &lt;= 1">(PL_datatype): element hl7v2:PL.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.3) &lt;= 1">(PL_datatype): element hl7v2:PL.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.4) &lt;= 1">(PL_datatype): element hl7v2:PL.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.5) &lt;= 1">(PL_datatype): element hl7v2:PL.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.6) &lt;= 1">(PL_datatype): element hl7v2:PL.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.7) &lt;= 1">(PL_datatype): element hl7v2:PL.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.8) &lt;= 1">(PL_datatype): element hl7v2:PL.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.9) &lt;= 1">(PL_datatype): element hl7v2:PL.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.10) &lt;= 1">(PL_datatype): element hl7v2:PL.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.11) &lt;= 1">(PL_datatype): element hl7v2:PL.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.1
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70302') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70302' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Point of Care') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Point of Care' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.2
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70303') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70303' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Room') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Room' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.3
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70304') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70304' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Bed') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Bed' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.3
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.4
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.4">
      <extends rule="d173487e0-false-d173493e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Facility') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d173487e0-false-d173493e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.4/hl7v2:HD.3">
      <extends rule="d173622e0-false-d173628e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d173622e0-false-d173628e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.5
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70306') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70306' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Status') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Location Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.5
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.6
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70305') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70305' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Person Location Type') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Person Location Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.7
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70307') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70307' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Building') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Building' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.8
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70308') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70308' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Floor') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Floor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.9
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(PL_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Description') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Location Description' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.10
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.10">
      <extends rule="d173862e0-false-d173868e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(PL_datatype): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Comprehensive Location Identifier') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Comprehensive Location Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.10
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d173862e0-false-d173868e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.10/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.10/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.10/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.10/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.10/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.10/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.10/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.10/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.10/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.10/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.10/hl7v2:EI.4">
      <extends rule="d174038e0-false-d174044e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.10/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d174038e0-false-d174044e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.11
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.11">
      <extends rule="d174084e0-false-d174090e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority for Location') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Assigning Authority for Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.11
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d174084e0-false-d174090e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.11/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.11/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.11/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.11/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.11/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.11/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.11/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.11/hl7v2:HD.3">
      <extends rule="d174219e0-false-d174225e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.11/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d174219e0-false-d174225e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.12
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('142') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '142' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Table) = ('HL70087') or not(@Table)">(PV1_segment_Lab_algemeen): de waarde van Table MOET 'HL70087' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Preadmit Test Indicator') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Preadmit Test Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.12
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.13
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('143') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '143' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Table) = ('HL70092') or not(@Table)">(PV1_segment_Lab_algemeen): de waarde van Table MOET 'HL70092' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Re-admission Indicator') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Re-admission Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.13
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.14
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('144') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '144' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Table) = ('HL70023') or not(@Table)">(PV1_segment_Lab_algemeen): de waarde van Table MOET 'HL70023' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Admit Source') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Admit Source' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.14
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.15
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.15">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('145') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '145' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Table) = ('HL70009') or not(@Table)">(PV1_segment_Lab_algemeen): de waarde van Table MOET 'HL70009' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Ambulatory Status') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Ambulatory Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.15
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.16
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.16">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('146') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '146' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Table) = ('HL70099') or not(@Table)">(PV1_segment_Lab_algemeen): de waarde van Table MOET 'HL70099' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('VIP Indicator') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'VIP Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.16
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17">
      <extends rule="d174508e0-false-d174514e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('147') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '147' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('XCN') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Table) = ('HL70010') or not(@Table)">(PV1_segment_Lab_algemeen): de waarde van Table MOET 'HL70010' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Admitting Doctor') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Admitting Doctor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d174508e0-false-d174514e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2">
      <extends rule="d174737e0-false-d174743e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d174737e0-false-d174743e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.9">
      <extends rule="d175199e0-false-d175205e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d175199e0-false-d175205e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d175334e0-false-d175340e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d175334e0-false-d175340e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.10">
      <extends rule="d175386e0-false-d175392e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d175386e0-false-d175392e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.12">
      <extends rule="d175471e0-false-d175477e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d175471e0-false-d175477e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.13">
      <extends rule="d175522e0-false-d175528e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d175522e0-false-d175528e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.14">
      <extends rule="d175567e0-false-d175573e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d175567e0-false-d175573e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d175702e0-false-d175708e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d175702e0-false-d175708e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.15">
      <extends rule="d175754e0-false-d175760e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d175754e0-false-d175760e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16">
      <extends rule="d175805e0-false-d175811e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d175805e0-false-d175811e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d175955e0-false-d175961e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d175955e0-false-d175961e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d176074e0-false-d176080e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d176074e0-false-d176080e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17">
      <extends rule="d176120e0-false-d176126e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d176120e0-false-d176126e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d176168e0-false-d176174e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d176168e0-false-d176174e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d176256e0-false-d176262e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d176256e0-false-d176262e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d176302e0-false-d176308e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d176302e0-false-d176308e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d176390e0-false-d176396e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d176390e0-false-d176396e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.18">
      <extends rule="d176443e0-false-d176449e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d176443e0-false-d176449e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.19">
      <extends rule="d176488e0-false-d176494e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d176488e0-false-d176494e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d176576e0-false-d176582e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d176576e0-false-d176582e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.20">
      <extends rule="d176622e0-false-d176628e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d176622e0-false-d176628e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d176710e0-false-d176716e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d176710e0-false-d176716e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22">
      <extends rule="d176790e0-false-d176796e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d176790e0-false-d176796e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d176961e0-false-d176967e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d176961e0-false-d176967e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d177080e0-false-d177086e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d177080e0-false-d177086e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23">
      <extends rule="d177228e0-false-d177234e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d177228e0-false-d177234e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d177399e0-false-d177405e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d177399e0-false-d177405e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d177518e0-false-d177524e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d177518e0-false-d177524e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.18
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.18">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('148') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '148' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Table) = ('HL70018') or not(@Table)">(PV1_segment_Lab_algemeen): de waarde van Table MOET 'HL70018' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Patient Type') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Patient Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.18
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19">
      <extends rule="d177719e0-false-d177725e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('149') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '149' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('CX') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Visit Number') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Visit Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d177719e0-false-d177725e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.3">
      <extends rule="d177897e0-false-d177903e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d177897e0-false-d177903e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.4">
      <extends rule="d177948e0-false-d177954e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d177948e0-false-d177954e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d178083e0-false-d178089e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d178083e0-false-d178089e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.5">
      <extends rule="d178135e0-false-d178141e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d178135e0-false-d178141e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.6">
      <extends rule="d178180e0-false-d178186e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d178180e0-false-d178186e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d178315e0-false-d178321e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d178315e0-false-d178321e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9">
      <extends rule="d178429e0-false-d178435e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d178429e0-false-d178435e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d178600e0-false-d178606e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d178600e0-false-d178606e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d178719e0-false-d178725e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d178719e0-false-d178725e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10">
      <extends rule="d178867e0-false-d178873e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d178867e0-false-d178873e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d179038e0-false-d179044e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d179038e0-false-d179044e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d179157e0-false-d179163e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d179157e0-false-d179163e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.20
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.20">
      <extends rule="d179318e0-false-d179324e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('150') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '150' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('FC') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'FC' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Table) = ('HL70064') or not(@Table)">(PV1_segment_Lab_algemeen): de waarde van Table MOET 'HL70064' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Financial Class') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Financial Class' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.25
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.20
Item: (FC_datatype)
-->
   <rule fpi="RULC-1" id="d179318e0-false-d179324e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.25-2013-02-10T000000.html"
              test="count(hl7v2:FC.1) &lt;= 1">(FC_datatype): element hl7v2:FC.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.25-2013-02-10T000000.html"
              test="count(hl7v2:FC.2) &lt;= 1">(FC_datatype): element hl7v2:FC.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.25
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.20/hl7v2:FC.1
Item: (FC_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.20/hl7v2:FC.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.25-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(FC_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.25-2013-02-10T000000.html"
              test="string(@Table) = ('HL70064') or not(@Table)">(FC_datatype): de waarde van Table MOET 'HL70064' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.25-2013-02-10T000000.html"
              test="string(@LongName) = ('Financial Class Code') or not(@LongName)">(FC_datatype): de waarde van LongName MOET 'Financial Class Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.20/hl7v2:FC.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.25
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.20/hl7v2:FC.2
Item: (FC_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.20/hl7v2:FC.2">
      <extends rule="d179406e0-false-d179412e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.25-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(FC_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.25-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(FC_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.20/hl7v2:FC.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d179406e0-false-d179412e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.20/hl7v2:FC.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.20/hl7v2:FC.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.20/hl7v2:FC.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.20/hl7v2:FC.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.20/hl7v2:FC.2/hl7v2:TS.2">
      <extends rule="d179494e0-false-d179500e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.20/hl7v2:FC.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d179494e0-false-d179500e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.21
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('151') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '151' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Table) = ('HL70032') or not(@Table)">(PV1_segment_Lab_algemeen): de waarde van Table MOET 'HL70032' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Charge Price Indicator') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Charge Price Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.21
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.22
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.22">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('152') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '152' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Table) = ('HL70045') or not(@Table)">(PV1_segment_Lab_algemeen): de waarde van Table MOET 'HL70045' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Courtesy Code') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Courtesy Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.22
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.23
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.23">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('153') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '153' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Table) = ('HL70046') or not(@Table)">(PV1_segment_Lab_algemeen): de waarde van Table MOET 'HL70046' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Credit Rating') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Credit Rating' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.23
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.24
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.24">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('154') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '154' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Table) = ('HL70044') or not(@Table)">(PV1_segment_Lab_algemeen): de waarde van Table MOET 'HL70044' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Contract Code') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Contract Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.24
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.25
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.25">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('155') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '155' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('DT') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Contract Effective Date') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Contract Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.25
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.26
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.26">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('156') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '156' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('NM') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Contract Amount') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Contract Amount' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.26
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.27
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.27">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('157') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '157' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('NM') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Contract Period') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Contract Period' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.27
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.28
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.28">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('158') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '158' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Table) = ('HL70073') or not(@Table)">(PV1_segment_Lab_algemeen): de waarde van Table MOET 'HL70073' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Interest Code') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Interest Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.28
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.29
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.29">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('159') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '159' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Table) = ('HL70110') or not(@Table)">(PV1_segment_Lab_algemeen): de waarde van Table MOET 'HL70110' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Transfer to Bad Debt Code') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Transfer to Bad Debt Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.29
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.30
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.30">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('160') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '160' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('DT') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Transfer to Bad Debt Date') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Transfer to Bad Debt Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.30
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.31
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.31">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('161') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '161' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Table) = ('HL70021') or not(@Table)">(PV1_segment_Lab_algemeen): de waarde van Table MOET 'HL70021' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Bad Debt Agency Code') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Bad Debt Agency Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.31
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.32
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.32">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('162') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '162' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('NM') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Bad Debt Transfer Amount') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Bad Debt Transfer Amount' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.32
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.33
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.33">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('163') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '163' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('NM') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Bad Debt Recovery Amount') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Bad Debt Recovery Amount' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.33
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.34
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.34">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('164') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '164' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Table) = ('HL70111') or not(@Table)">(PV1_segment_Lab_algemeen): de waarde van Table MOET 'HL70111' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Delete Account Indicator') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Delete Account Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.34
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.35
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.35">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('165') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '165' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('DT') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Delete Account Date') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Delete Account Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.35
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.36
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.36">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('166') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '166' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Table) = ('HL70112') or not(@Table)">(PV1_segment_Lab_algemeen): de waarde van Table MOET 'HL70112' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Discharge Disposition') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Discharge Disposition' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.36
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.37
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.37">
      <extends rule="d180247e0-false-d180253e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('167') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '167' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('DLD') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'DLD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Table) = ('HL70113') or not(@Table)">(PV1_segment_Lab_algemeen): de waarde van Table MOET 'HL70113' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Discharged to Location') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Discharged to Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.15
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.37
Item: (DLD_datatype)
-->
   <rule fpi="RULC-1" id="d180247e0-false-d180253e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.15-2013-02-10T000000.html"
              test="count(hl7v2:DLD.1) &lt;= 1">(DLD_datatype): element hl7v2:DLD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.15-2013-02-10T000000.html"
              test="count(hl7v2:DLD.2) &lt;= 1">(DLD_datatype): element hl7v2:DLD.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.15
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.37/hl7v2:DLD.1
Item: (DLD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.37/hl7v2:DLD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.15-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(DLD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.15-2013-02-10T000000.html"
              test="string(@Table) = ('HL70113') or not(@Table)">(DLD_datatype): de waarde van Table MOET 'HL70113' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.15-2013-02-10T000000.html"
              test="string(@LongName) = ('Discharge Location') or not(@LongName)">(DLD_datatype): de waarde van LongName MOET 'Discharge Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.37/hl7v2:DLD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.15
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.37/hl7v2:DLD.2
Item: (DLD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.37/hl7v2:DLD.2">
      <extends rule="d180335e0-false-d180341e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.15-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DLD_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.15-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(DLD_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.37/hl7v2:DLD.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d180335e0-false-d180341e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.37/hl7v2:DLD.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.37/hl7v2:DLD.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.37/hl7v2:DLD.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.37/hl7v2:DLD.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.37/hl7v2:DLD.2/hl7v2:TS.2">
      <extends rule="d180423e0-false-d180429e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.37/hl7v2:DLD.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d180423e0-false-d180429e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.38
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.38">
      <extends rule="d180482e0-false-d180488e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('168') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '168' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('CE') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Table) = ('HL70114') or not(@Table)">(PV1_segment_Lab_algemeen): de waarde van Table MOET 'HL70114' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Diet Type') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Diet Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.38
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d180482e0-false-d180488e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.3">
      <extends rule="d180632e0-false-d180638e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d180632e0-false-d180638e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.6">
      <extends rule="d180751e0-false-d180757e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d180751e0-false-d180757e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.39
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.39">
      <extends rule="d180820e0-false-d180826e0"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('169') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '169' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Table) = ('HL70115') or not(@Table)">(PV1_segment_Lab_algemeen): de waarde van Table MOET 'HL70115' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Servicing Facility') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Servicing Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.39
Item: (IS_datatype)
-->
   <rule fpi="RULC-1" id="d180820e0-false-d180826e0" abstract="true">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.84-2013-02-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.25.11.412-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(IS_datatype): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.25.11.412 RIVM ISIS-AR Instellingstypen (DYNAMISCH)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.40
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.40">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('170') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '170' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Table) = ('HL70116') or not(@Table)">(PV1_segment_Lab_algemeen): de waarde van Table MOET 'HL70116' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Bed Status') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Bed Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.40
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.41
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.41">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('171') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '171' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Table) = ('HL70117') or not(@Table)">(PV1_segment_Lab_algemeen): de waarde van Table MOET 'HL70117' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Account Status') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Account Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.41
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42">
      <extends rule="d180964e0-false-d180970e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('172') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '172' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('PL') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'PL' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Pending Location') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Pending Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42
Item: (PL_datatype)
-->
   <rule fpi="RULC-1" id="d180964e0-false-d180970e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.1) &lt;= 1">(PL_datatype): element hl7v2:PL.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.2) &lt;= 1">(PL_datatype): element hl7v2:PL.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.3) &lt;= 1">(PL_datatype): element hl7v2:PL.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.4) &lt;= 1">(PL_datatype): element hl7v2:PL.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.5) &lt;= 1">(PL_datatype): element hl7v2:PL.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.6) &lt;= 1">(PL_datatype): element hl7v2:PL.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.7) &lt;= 1">(PL_datatype): element hl7v2:PL.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.8) &lt;= 1">(PL_datatype): element hl7v2:PL.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.9) &lt;= 1">(PL_datatype): element hl7v2:PL.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.10) &lt;= 1">(PL_datatype): element hl7v2:PL.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.11) &lt;= 1">(PL_datatype): element hl7v2:PL.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.1
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70302') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70302' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Point of Care') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Point of Care' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.2
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70303') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70303' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Room') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Room' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.3
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70304') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70304' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Bed') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Bed' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.3
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.4
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.4">
      <extends rule="d181195e0-false-d181201e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Facility') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d181195e0-false-d181201e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.4/hl7v2:HD.3">
      <extends rule="d181330e0-false-d181336e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d181330e0-false-d181336e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.5
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70306') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70306' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Status') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Location Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.5
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.6
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70305') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70305' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Person Location Type') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Person Location Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.7
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70307') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70307' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Building') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Building' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.8
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70308') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70308' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Floor') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Floor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.9
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(PL_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Description') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Location Description' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.10
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.10">
      <extends rule="d181570e0-false-d181576e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(PL_datatype): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Comprehensive Location Identifier') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Comprehensive Location Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.10
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d181570e0-false-d181576e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.10/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.10/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.10/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.10/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.10/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.10/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.10/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.10/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.10/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.10/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.10/hl7v2:EI.4">
      <extends rule="d181746e0-false-d181752e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.10/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d181746e0-false-d181752e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.11
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.11">
      <extends rule="d181792e0-false-d181798e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority for Location') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Assigning Authority for Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.11
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d181792e0-false-d181798e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.11/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.11/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.11/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.11/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.11/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.11/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.11/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.11/hl7v2:HD.3">
      <extends rule="d181927e0-false-d181933e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.11/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d181927e0-false-d181933e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43">
      <extends rule="d181980e0-false-d181986e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('173') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '173' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('PL') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'PL' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Prior Temporary Location') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Prior Temporary Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43
Item: (PL_datatype)
-->
   <rule fpi="RULC-1" id="d181980e0-false-d181986e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.1) &lt;= 1">(PL_datatype): element hl7v2:PL.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.2) &lt;= 1">(PL_datatype): element hl7v2:PL.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.3) &lt;= 1">(PL_datatype): element hl7v2:PL.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.4) &lt;= 1">(PL_datatype): element hl7v2:PL.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.5) &lt;= 1">(PL_datatype): element hl7v2:PL.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.6) &lt;= 1">(PL_datatype): element hl7v2:PL.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.7) &lt;= 1">(PL_datatype): element hl7v2:PL.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.8) &lt;= 1">(PL_datatype): element hl7v2:PL.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.9) &lt;= 1">(PL_datatype): element hl7v2:PL.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.10) &lt;= 1">(PL_datatype): element hl7v2:PL.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.11) &lt;= 1">(PL_datatype): element hl7v2:PL.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.1
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70302') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70302' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Point of Care') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Point of Care' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.2
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70303') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70303' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Room') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Room' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.3
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70304') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70304' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Bed') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Bed' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.3
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.4
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.4">
      <extends rule="d182211e0-false-d182217e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Facility') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d182211e0-false-d182217e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.4/hl7v2:HD.3">
      <extends rule="d182346e0-false-d182352e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d182346e0-false-d182352e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.5
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70306') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70306' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Status') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Location Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.5
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.6
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70305') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70305' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Person Location Type') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Person Location Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.7
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70307') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70307' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Building') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Building' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.8
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70308') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70308' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Floor') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Floor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.9
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(PL_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Description') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Location Description' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.10
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.10">
      <extends rule="d182586e0-false-d182592e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(PL_datatype): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Comprehensive Location Identifier') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Comprehensive Location Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.10
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d182586e0-false-d182592e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.10/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.10/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.10/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.10/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.10/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.10/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.10/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.10/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.10/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.10/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.10/hl7v2:EI.4">
      <extends rule="d182762e0-false-d182768e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.10/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d182762e0-false-d182768e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.11
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.11">
      <extends rule="d182808e0-false-d182814e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority for Location') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Assigning Authority for Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.11
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d182808e0-false-d182814e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.11/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.11/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.11/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.11/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.11/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.11/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.11/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.11/hl7v2:HD.3">
      <extends rule="d182943e0-false-d182949e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.11/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d182943e0-false-d182949e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.44
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.44">
      <extends rule="d182996e0-false-d183002e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('174') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '174' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('TS') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Admit Date/Time') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Admit Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.44
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d182996e0-false-d183002e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.44/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.44/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.44/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.44/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.44/hl7v2:TS.2">
      <extends rule="d183084e0-false-d183090e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.44/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d183084e0-false-d183090e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.45
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.45">
      <extends rule="d183136e0-false-d183142e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('175') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '175' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('TS') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Discharge Date/Time') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Discharge Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.45
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d183136e0-false-d183142e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.45/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.45/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.45/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.45/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.45/hl7v2:TS.2">
      <extends rule="d183224e0-false-d183230e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.45/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d183224e0-false-d183230e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.46
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.46">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('176') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '176' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('NM') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Current Patient Balance') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Current Patient Balance' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.46
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.47
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.47">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('177') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '177' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('NM') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Total Charges') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Total Charges' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.47
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.48
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.48">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('178') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '178' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('NM') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Total Adjustments') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Total Adjustments' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.48
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.49
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.49">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('179') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '179' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('NM') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Total Payments') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Total Payments' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.49
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50">
      <extends rule="d183442e0-false-d183448e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('180') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '180' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('CX') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(PV1_segment_Lab_algemeen): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Alternate Visit ID') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Alternate Visit ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d183442e0-false-d183448e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.3">
      <extends rule="d183620e0-false-d183626e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d183620e0-false-d183626e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.4">
      <extends rule="d183671e0-false-d183677e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d183671e0-false-d183677e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d183806e0-false-d183812e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d183806e0-false-d183812e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.5">
      <extends rule="d183858e0-false-d183864e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d183858e0-false-d183864e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.6">
      <extends rule="d183903e0-false-d183909e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d183903e0-false-d183909e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d184038e0-false-d184044e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d184038e0-false-d184044e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9">
      <extends rule="d184152e0-false-d184158e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d184152e0-false-d184158e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d184323e0-false-d184329e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d184323e0-false-d184329e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d184442e0-false-d184448e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d184442e0-false-d184448e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10">
      <extends rule="d184590e0-false-d184596e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d184590e0-false-d184596e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d184761e0-false-d184767e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d184761e0-false-d184767e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d184880e0-false-d184886e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d184880e0-false-d184886e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.51
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.51">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('1226') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '1226' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Table) = ('HL70326') or not(@Table)">(PV1_segment_Lab_algemeen): de waarde van Table MOET 'HL70326' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Visit Indicator') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Visit Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.51
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52
Item: (PV1_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52">
      <extends rule="d185087e0-false-d185093e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Item) = ('1274') or not(@Item)">(PV1_segment_Lab_algemeen): de waarde van Item MOET '1274' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Type) = ('XCN') or not(@Type)">(PV1_segment_Lab_algemeen): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@Table) = ('HL70010') or not(@Table)">(PV1_segment_Lab_algemeen): de waarde van Table MOET 'HL70010' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.47-2017-05-13T193935.html"
              test="string(@LongName) = ('Other Healthcare Provider') or not(@LongName)">(PV1_segment_Lab_algemeen): de waarde van LongName MOET 'Other Healthcare Provider' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d185087e0-false-d185093e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2">
      <extends rule="d185316e0-false-d185322e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d185316e0-false-d185322e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.9">
      <extends rule="d185778e0-false-d185784e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d185778e0-false-d185784e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d185913e0-false-d185919e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d185913e0-false-d185919e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.10">
      <extends rule="d185965e0-false-d185971e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d185965e0-false-d185971e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.12">
      <extends rule="d186050e0-false-d186056e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d186050e0-false-d186056e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.13">
      <extends rule="d186101e0-false-d186107e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d186101e0-false-d186107e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.14">
      <extends rule="d186146e0-false-d186152e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d186146e0-false-d186152e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d186281e0-false-d186287e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d186281e0-false-d186287e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.15">
      <extends rule="d186333e0-false-d186339e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d186333e0-false-d186339e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16">
      <extends rule="d186384e0-false-d186390e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d186384e0-false-d186390e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d186534e0-false-d186540e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d186534e0-false-d186540e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d186653e0-false-d186659e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d186653e0-false-d186659e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17">
      <extends rule="d186699e0-false-d186705e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d186699e0-false-d186705e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d186747e0-false-d186753e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d186747e0-false-d186753e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d186835e0-false-d186841e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d186835e0-false-d186841e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d186881e0-false-d186887e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d186881e0-false-d186887e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d186969e0-false-d186975e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d186969e0-false-d186975e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.18">
      <extends rule="d187022e0-false-d187028e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d187022e0-false-d187028e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.19">
      <extends rule="d187067e0-false-d187073e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d187067e0-false-d187073e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d187155e0-false-d187161e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d187155e0-false-d187161e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.20">
      <extends rule="d187201e0-false-d187207e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d187201e0-false-d187207e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d187289e0-false-d187295e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d187289e0-false-d187295e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22">
      <extends rule="d187369e0-false-d187375e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d187369e0-false-d187375e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d187540e0-false-d187546e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d187540e0-false-d187546e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d187659e0-false-d187665e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d187659e0-false-d187665e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23">
      <extends rule="d187807e0-false-d187813e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d187807e0-false-d187813e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d187978e0-false-d187984e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d187978e0-false-d187984e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d188097e0-false-d188103e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d188097e0-false-d188103e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.1) &lt;= 1">(PV2_segment): element hl7v2:PV2.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.2) &lt;= 1">(PV2_segment): element hl7v2:PV2.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.3) &lt;= 1">(PV2_segment): element hl7v2:PV2.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.4) &lt;= 1">(PV2_segment): element hl7v2:PV2.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.6) &lt;= 1">(PV2_segment): element hl7v2:PV2.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.8) &lt;= 1">(PV2_segment): element hl7v2:PV2.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.9) &lt;= 1">(PV2_segment): element hl7v2:PV2.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.10) &lt;= 1">(PV2_segment): element hl7v2:PV2.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.11) &lt;= 1">(PV2_segment): element hl7v2:PV2.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.12) &lt;= 1">(PV2_segment): element hl7v2:PV2.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.14) &lt;= 1">(PV2_segment): element hl7v2:PV2.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.15) &lt;= 1">(PV2_segment): element hl7v2:PV2.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.16) &lt;= 1">(PV2_segment): element hl7v2:PV2.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.17) &lt;= 1">(PV2_segment): element hl7v2:PV2.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.18) &lt;= 1">(PV2_segment): element hl7v2:PV2.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.19) &lt;= 1">(PV2_segment): element hl7v2:PV2.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.20) &lt;= 1">(PV2_segment): element hl7v2:PV2.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.21) &lt;= 1">(PV2_segment): element hl7v2:PV2.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.22) &lt;= 1">(PV2_segment): element hl7v2:PV2.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.24) &lt;= 1">(PV2_segment): element hl7v2:PV2.24 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.25) &lt;= 1">(PV2_segment): element hl7v2:PV2.25 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.26) &lt;= 1">(PV2_segment): element hl7v2:PV2.26 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.27) &lt;= 1">(PV2_segment): element hl7v2:PV2.27 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.28) &lt;= 1">(PV2_segment): element hl7v2:PV2.28 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.29) &lt;= 1">(PV2_segment): element hl7v2:PV2.29 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.30) &lt;= 1">(PV2_segment): element hl7v2:PV2.30 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.31) &lt;= 1">(PV2_segment): element hl7v2:PV2.31 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.32) &lt;= 1">(PV2_segment): element hl7v2:PV2.32 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.33) &lt;= 1">(PV2_segment): element hl7v2:PV2.33 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.34) &lt;= 1">(PV2_segment): element hl7v2:PV2.34 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.35) &lt;= 1">(PV2_segment): element hl7v2:PV2.35 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.36) &lt;= 1">(PV2_segment): element hl7v2:PV2.36 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.37) &lt;= 1">(PV2_segment): element hl7v2:PV2.37 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.38) &lt;= 1">(PV2_segment): element hl7v2:PV2.38 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.40) &lt;= 1">(PV2_segment): element hl7v2:PV2.40 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.42) &lt;= 1">(PV2_segment): element hl7v2:PV2.42 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.43) &lt;= 1">(PV2_segment): element hl7v2:PV2.43 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.44) &lt;= 1">(PV2_segment): element hl7v2:PV2.44 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.46) &lt;= 1">(PV2_segment): element hl7v2:PV2.46 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.47) &lt;= 1">(PV2_segment): element hl7v2:PV2.47 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.48) &lt;= 1">(PV2_segment): element hl7v2:PV2.48 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1">
      <extends rule="d188577e0-false-d188583e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('181') or not(@Item)">(PV2_segment): de waarde van Item MOET '181' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('PL') or not(@Type)">(PV2_segment): de waarde van Type MOET 'PL' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Prior Pending Location') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Prior Pending Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1
Item: (PL_datatype)
-->
   <rule fpi="RULC-1" id="d188577e0-false-d188583e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.1) &lt;= 1">(PL_datatype): element hl7v2:PL.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.2) &lt;= 1">(PL_datatype): element hl7v2:PL.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.3) &lt;= 1">(PL_datatype): element hl7v2:PL.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.4) &lt;= 1">(PL_datatype): element hl7v2:PL.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.5) &lt;= 1">(PL_datatype): element hl7v2:PL.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.6) &lt;= 1">(PL_datatype): element hl7v2:PL.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.7) &lt;= 1">(PL_datatype): element hl7v2:PL.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.8) &lt;= 1">(PL_datatype): element hl7v2:PL.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.9) &lt;= 1">(PL_datatype): element hl7v2:PL.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.10) &lt;= 1">(PL_datatype): element hl7v2:PL.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.11) &lt;= 1">(PL_datatype): element hl7v2:PL.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.1
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70302') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70302' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Point of Care') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Point of Care' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.2
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70303') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70303' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Room') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Room' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.3
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70304') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70304' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Bed') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Bed' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.3
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.4
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.4">
      <extends rule="d188808e0-false-d188814e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Facility') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d188808e0-false-d188814e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.4/hl7v2:HD.3">
      <extends rule="d188943e0-false-d188949e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d188943e0-false-d188949e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.5
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70306') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70306' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Status') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Location Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.5
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.6
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70305') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70305' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Person Location Type') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Person Location Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.7
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70307') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70307' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Building') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Building' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.8
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70308') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70308' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Floor') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Floor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.9
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(PL_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Description') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Location Description' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.10
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.10">
      <extends rule="d189183e0-false-d189189e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(PL_datatype): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Comprehensive Location Identifier') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Comprehensive Location Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.10
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d189183e0-false-d189189e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.10/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.10/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.10/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.10/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.10/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.10/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.10/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.10/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.10/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.10/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.10/hl7v2:EI.4">
      <extends rule="d189359e0-false-d189365e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.10/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d189359e0-false-d189365e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.11
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.11">
      <extends rule="d189405e0-false-d189411e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority for Location') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Assigning Authority for Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.11
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d189405e0-false-d189411e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.11/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.11/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.11/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.11/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.11/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.11/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.11/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.11/hl7v2:HD.3">
      <extends rule="d189540e0-false-d189546e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.11/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d189540e0-false-d189546e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.2
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.2">
      <extends rule="d189599e0-false-d189605e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('182') or not(@Item)">(PV2_segment): de waarde van Item MOET '182' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(PV2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70129') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70129' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Accommodation Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Accommodation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d189599e0-false-d189605e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.3">
      <extends rule="d189749e0-false-d189755e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d189749e0-false-d189755e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.6">
      <extends rule="d189868e0-false-d189874e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d189868e0-false-d189874e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.3
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.3">
      <extends rule="d189920e0-false-d189926e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('183') or not(@Item)">(PV2_segment): de waarde van Item MOET '183' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(PV2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Admit Reason') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Admit Reason' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d189920e0-false-d189926e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.3">
      <extends rule="d190070e0-false-d190076e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d190070e0-false-d190076e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.6">
      <extends rule="d190189e0-false-d190195e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d190189e0-false-d190195e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.4
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.4">
      <extends rule="d190241e0-false-d190247e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('184') or not(@Item)">(PV2_segment): de waarde van Item MOET '184' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(PV2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Transfer Reason') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Transfer Reason' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d190241e0-false-d190247e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.3">
      <extends rule="d190391e0-false-d190397e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d190391e0-false-d190397e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.6">
      <extends rule="d190510e0-false-d190516e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d190510e0-false-d190516e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.5
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('185') or not(@Item)">(PV2_segment): de waarde van Item MOET '185' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(PV2_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Patient Valuables') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Patient Valuables' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.6
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('186') or not(@Item)">(PV2_segment): de waarde van Item MOET '186' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(PV2_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Patient Valuables Location') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Patient Valuables Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.7
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('187') or not(@Item)">(PV2_segment): de waarde van Item MOET '187' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70130') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70130' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Visit User Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Visit User Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.8
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.8">
      <extends rule="d190688e0-false-d190694e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('188') or not(@Item)">(PV2_segment): de waarde van Item MOET '188' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Expected Admit Date/Time') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Expected Admit Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.8
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d190688e0-false-d190694e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.8/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.8/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.8/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.8/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.8/hl7v2:TS.2">
      <extends rule="d190776e0-false-d190782e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.8/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d190776e0-false-d190782e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.9
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.9">
      <extends rule="d190828e0-false-d190834e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('189') or not(@Item)">(PV2_segment): de waarde van Item MOET '189' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Expected Discharge Date/Time') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Expected Discharge Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.9
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d190828e0-false-d190834e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.9/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.9/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.9/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.9/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.9/hl7v2:TS.2">
      <extends rule="d190916e0-false-d190922e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.9/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d190916e0-false-d190922e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.10
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('711') or not(@Item)">(PV2_segment): de waarde van Item MOET '711' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(PV2_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Estimated Length of Inpatient Stay') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Estimated Length of Inpatient Stay' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.10
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.11
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('712') or not(@Item)">(PV2_segment): de waarde van Item MOET '712' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(PV2_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Actual Length of Inpatient Stay') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Actual Length of Inpatient Stay' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.11
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.12
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('713') or not(@Item)">(PV2_segment): de waarde van Item MOET '713' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(PV2_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Visit Description') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Visit Description' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.12
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13">
      <extends rule="d191088e0-false-d191094e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('714') or not(@Item)">(PV2_segment): de waarde van Item MOET '714' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(PV2_segment): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Referral Source Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Referral Source Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d191088e0-false-d191094e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2">
      <extends rule="d191317e0-false-d191323e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d191317e0-false-d191323e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.9">
      <extends rule="d191779e0-false-d191785e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d191779e0-false-d191785e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d191914e0-false-d191920e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d191914e0-false-d191920e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.10">
      <extends rule="d191966e0-false-d191972e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d191966e0-false-d191972e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.12">
      <extends rule="d192051e0-false-d192057e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d192051e0-false-d192057e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.13">
      <extends rule="d192102e0-false-d192108e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d192102e0-false-d192108e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.14">
      <extends rule="d192147e0-false-d192153e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d192147e0-false-d192153e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d192282e0-false-d192288e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d192282e0-false-d192288e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.15">
      <extends rule="d192334e0-false-d192340e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d192334e0-false-d192340e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16">
      <extends rule="d192385e0-false-d192391e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d192385e0-false-d192391e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d192535e0-false-d192541e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d192535e0-false-d192541e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d192654e0-false-d192660e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d192654e0-false-d192660e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17">
      <extends rule="d192700e0-false-d192706e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d192700e0-false-d192706e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d192748e0-false-d192754e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d192748e0-false-d192754e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d192836e0-false-d192842e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d192836e0-false-d192842e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d192882e0-false-d192888e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d192882e0-false-d192888e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d192970e0-false-d192976e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d192970e0-false-d192976e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.18">
      <extends rule="d193023e0-false-d193029e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d193023e0-false-d193029e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.19">
      <extends rule="d193068e0-false-d193074e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d193068e0-false-d193074e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d193156e0-false-d193162e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d193156e0-false-d193162e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.20">
      <extends rule="d193202e0-false-d193208e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d193202e0-false-d193208e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d193290e0-false-d193296e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d193290e0-false-d193296e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22">
      <extends rule="d193370e0-false-d193376e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d193370e0-false-d193376e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d193541e0-false-d193547e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d193541e0-false-d193547e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d193660e0-false-d193666e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d193660e0-false-d193666e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23">
      <extends rule="d193808e0-false-d193814e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d193808e0-false-d193814e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d193979e0-false-d193985e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d193979e0-false-d193985e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d194098e0-false-d194104e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d194098e0-false-d194104e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.14
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('715') or not(@Item)">(PV2_segment): de waarde van Item MOET '715' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(PV2_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Previous Service Date') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Previous Service Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.14
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.15
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.15">
      <extends rule="d194299e0-false-d194305e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('716') or not(@Item)">(PV2_segment): de waarde van Item MOET '716' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(PV2_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Employment Illness Related Indicator') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Employment Illness Related Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d194299e0-false-d194305e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.16
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.16">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('717') or not(@Item)">(PV2_segment): de waarde van Item MOET '717' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70213') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70213' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Purge Status Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Purge Status Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.16
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.17
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.17">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('718') or not(@Item)">(PV2_segment): de waarde van Item MOET '718' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(PV2_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Purge Status Date') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Purge Status Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.17
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.18
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.18">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('719') or not(@Item)">(PV2_segment): de waarde van Item MOET '719' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70214') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70214' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Special Program Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Special Program Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.18
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.19
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.19">
      <extends rule="d194488e0-false-d194494e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('720') or not(@Item)">(PV2_segment): de waarde van Item MOET '720' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(PV2_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Retention Indicator') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Retention Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.19
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d194488e0-false-d194494e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.20
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.20">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('721') or not(@Item)">(PV2_segment): de waarde van Item MOET '721' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(PV2_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Expected Number of Insurance Plans') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Expected Number of Insurance Plans' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.20
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.21
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('722') or not(@Item)">(PV2_segment): de waarde van Item MOET '722' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70215') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70215' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Visit Publicity Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Visit Publicity Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.21
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.22
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.22">
      <extends rule="d194631e0-false-d194637e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('723') or not(@Item)">(PV2_segment): de waarde van Item MOET '723' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(PV2_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Visit Protection Indicator') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Visit Protection Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.22
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d194631e0-false-d194637e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23">
      <extends rule="d194682e0-false-d194688e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('724') or not(@Item)">(PV2_segment): de waarde van Item MOET '724' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('XON') or not(@Type)">(PV2_segment): de waarde van Type MOET 'XON' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Clinic Organization Name') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Clinic Organization Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23
Item: (XON_datatype)
-->
   <rule fpi="RULC-1" id="d194682e0-false-d194688e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.1) &lt;= 1">(XON_datatype): element hl7v2:XON.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.2) &lt;= 1">(XON_datatype): element hl7v2:XON.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.3) &lt;= 1">(XON_datatype): element hl7v2:XON.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.4) &lt;= 1">(XON_datatype): element hl7v2:XON.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.5) &lt;= 1">(XON_datatype): element hl7v2:XON.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.6) &lt;= 1">(XON_datatype): element hl7v2:XON.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.7) &lt;= 1">(XON_datatype): element hl7v2:XON.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.8) &lt;= 1">(XON_datatype): element hl7v2:XON.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.9) &lt;= 1">(XON_datatype): element hl7v2:XON.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.10) &lt;= 1">(XON_datatype): element hl7v2:XON.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.1
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.2
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XON_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70204') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70204' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.3
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.4
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.5
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.5">
      <extends rule="d194934e0-false-d194940e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d194934e0-false-d194940e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.6
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.6">
      <extends rule="d194985e0-false-d194991e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d194985e0-false-d194991e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.6/hl7v2:HD.3">
      <extends rule="d195120e0-false-d195126e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d195120e0-false-d195126e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.7
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.7">
      <extends rule="d195172e0-false-d195178e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d195172e0-false-d195178e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.8
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.8">
      <extends rule="d195217e0-false-d195223e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.8
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d195217e0-false-d195223e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.8/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.8/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.8/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.8/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.8/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.8/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.8/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.8/hl7v2:HD.3">
      <extends rule="d195352e0-false-d195358e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.8/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d195352e0-false-d195358e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.9
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.9">
      <extends rule="d195404e0-false-d195410e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.9
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d195404e0-false-d195410e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.10
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Identifier') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.24
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.24">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('725') or not(@Item)">(PV2_segment): de waarde van Item MOET '725' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70216') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70216' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Patient Status Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Patient Status Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.24
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.25
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.25">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('726') or not(@Item)">(PV2_segment): de waarde van Item MOET '726' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70217') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70217' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Visit Priority Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Visit Priority Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.25
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.26
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.26">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('727') or not(@Item)">(PV2_segment): de waarde van Item MOET '727' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(PV2_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Previous Treatment Date') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Previous Treatment Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.26
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.27
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.27">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('728') or not(@Item)">(PV2_segment): de waarde van Item MOET '728' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70112') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70112' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Expected Discharge Disposition') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Expected Discharge Disposition' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.27
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.28
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.28">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('729') or not(@Item)">(PV2_segment): de waarde van Item MOET '729' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(PV2_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Signature on File Date') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Signature on File Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.28
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.29
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.29">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('730') or not(@Item)">(PV2_segment): de waarde van Item MOET '730' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(PV2_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('First Similar Illness Date') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'First Similar Illness Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.29
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.30
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.30">
      <extends rule="d195754e0-false-d195760e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('731') or not(@Item)">(PV2_segment): de waarde van Item MOET '731' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(PV2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70218') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70218' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Patient Charge Adjustment Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Patient Charge Adjustment Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.30
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d195754e0-false-d195760e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.3">
      <extends rule="d195904e0-false-d195910e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d195904e0-false-d195910e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.6">
      <extends rule="d196023e0-false-d196029e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d196023e0-false-d196029e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.31
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.31">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('732') or not(@Item)">(PV2_segment): de waarde van Item MOET '732' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70219') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70219' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Recurring Service Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Recurring Service Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.31
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.32
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.32">
      <extends rule="d196127e0-false-d196133e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('733') or not(@Item)">(PV2_segment): de waarde van Item MOET '733' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(PV2_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Billing Media Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Billing Media Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.32
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d196127e0-false-d196133e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.33
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.33">
      <extends rule="d196178e0-false-d196184e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('734') or not(@Item)">(PV2_segment): de waarde van Item MOET '734' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Expected Surgery Date and Time') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Expected Surgery Date and Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.33
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d196178e0-false-d196184e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.33/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.33/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.33/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.33/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.33/hl7v2:TS.2">
      <extends rule="d196266e0-false-d196272e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.33/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d196266e0-false-d196272e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.34
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.34">
      <extends rule="d196324e0-false-d196330e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('735') or not(@Item)">(PV2_segment): de waarde van Item MOET '735' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(PV2_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Military Partnership Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Military Partnership Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.34
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d196324e0-false-d196330e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.35
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.35">
      <extends rule="d196381e0-false-d196387e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('736') or not(@Item)">(PV2_segment): de waarde van Item MOET '736' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(PV2_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Military Non-Availability Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Military Non-Availability Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.35
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d196381e0-false-d196387e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.36
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.36">
      <extends rule="d196438e0-false-d196444e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('737') or not(@Item)">(PV2_segment): de waarde van Item MOET '737' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(PV2_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Newborn Baby Indicator') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Newborn Baby Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.36
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d196438e0-false-d196444e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.37
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.37">
      <extends rule="d196495e0-false-d196501e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('738') or not(@Item)">(PV2_segment): de waarde van Item MOET '738' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(PV2_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Baby Detained Indicator') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Baby Detained Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.37
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d196495e0-false-d196501e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.38
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.38">
      <extends rule="d196552e0-false-d196558e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('1543') or not(@Item)">(PV2_segment): de waarde van Item MOET '1543' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(PV2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70430') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70430' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Mode of Arrival Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Mode of Arrival Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.38
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d196552e0-false-d196558e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.3">
      <extends rule="d196702e0-false-d196708e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d196702e0-false-d196708e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.6">
      <extends rule="d196821e0-false-d196827e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d196821e0-false-d196827e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.39
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.39">
      <extends rule="d196879e0-false-d196885e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('1544') or not(@Item)">(PV2_segment): de waarde van Item MOET '1544' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(PV2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70431') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70431' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Recreational Drug Use Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Recreational Drug Use Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.39
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d196879e0-false-d196885e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.3">
      <extends rule="d197029e0-false-d197035e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d197029e0-false-d197035e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.6">
      <extends rule="d197148e0-false-d197154e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d197148e0-false-d197154e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.40
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.40">
      <extends rule="d197206e0-false-d197212e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('1545') or not(@Item)">(PV2_segment): de waarde van Item MOET '1545' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(PV2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70432') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70432' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Admission Level of Care Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Admission Level of Care Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.40
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d197206e0-false-d197212e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.3">
      <extends rule="d197356e0-false-d197362e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d197356e0-false-d197362e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.6">
      <extends rule="d197475e0-false-d197481e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d197475e0-false-d197481e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.41
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.41">
      <extends rule="d197533e0-false-d197539e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('1546') or not(@Item)">(PV2_segment): de waarde van Item MOET '1546' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(PV2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70433') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70433' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Precaution Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Precaution Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.41
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d197533e0-false-d197539e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.3">
      <extends rule="d197683e0-false-d197689e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d197683e0-false-d197689e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.6">
      <extends rule="d197802e0-false-d197808e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d197802e0-false-d197808e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.42
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.42">
      <extends rule="d197860e0-false-d197866e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('1547') or not(@Item)">(PV2_segment): de waarde van Item MOET '1547' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(PV2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70434') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70434' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Patient Condition Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Patient Condition Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.42
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d197860e0-false-d197866e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.3">
      <extends rule="d198010e0-false-d198016e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d198010e0-false-d198016e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.6">
      <extends rule="d198129e0-false-d198135e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d198129e0-false-d198135e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.43
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.43">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('759') or not(@Item)">(PV2_segment): de waarde van Item MOET '759' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70315') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70315' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Living Will Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Living Will Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.43
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.44
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.44">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('760') or not(@Item)">(PV2_segment): de waarde van Item MOET '760' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70316') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70316' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Organ Donor Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Organ Donor Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.44
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.45
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.45">
      <extends rule="d198279e0-false-d198285e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('1548') or not(@Item)">(PV2_segment): de waarde van Item MOET '1548' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(PV2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70435') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70435' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Advance Directive Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Advance Directive Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.45
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d198279e0-false-d198285e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.3">
      <extends rule="d198429e0-false-d198435e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d198429e0-false-d198435e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.6">
      <extends rule="d198548e0-false-d198554e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d198548e0-false-d198554e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.46
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.46">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('1549') or not(@Item)">(PV2_segment): de waarde van Item MOET '1549' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(PV2_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Patient Status Effective Date') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Patient Status Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.46
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.47
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.47">
      <extends rule="d198640e0-false-d198646e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('1550') or not(@Item)">(PV2_segment): de waarde van Item MOET '1550' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Expected LOA Return Date/Time') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Expected LOA Return Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.47
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d198640e0-false-d198646e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.47/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.47/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.47/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.47/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.47/hl7v2:TS.2">
      <extends rule="d198728e0-false-d198734e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.47/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d198728e0-false-d198734e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.48
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.48">
      <extends rule="d198780e0-false-d198786e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('1841') or not(@Item)">(PV2_segment): de waarde van Item MOET '1841' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Expected Pre-admission Testing Date/Time') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Expected Pre-admission Testing Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.48
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d198780e0-false-d198786e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.48/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.48/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.48/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.48/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.48/hl7v2:TS.2">
      <extends rule="d198868e0-false-d198874e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.48/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d198868e0-false-d198874e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.49
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.49">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('1842') or not(@Item)">(PV2_segment): de waarde van Item MOET '1842' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70534') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70534' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Notify Clergy Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Notify Clergy Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.PATIENT_VISIT/hl7v2:PV2/hl7v2:PV2.49
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE"
         id="d41e3163-false-d198939e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:IN1) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:IN1 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:IN1) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:IN1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:IN2) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:IN2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:IN3) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:IN3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.1) &gt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.1 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.1) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.2) &gt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.2 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.2) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.3) &gt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.8) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.12) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.13) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.14) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.15) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.17) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.18) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.20) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.21) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.22) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.23) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.23 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.24) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.24 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.25) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.25 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.26) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.26 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.27) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.27 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.28) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.28 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.29) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.29 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.31) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.31 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.32) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.32 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.33) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.33 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.34) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.34 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.35) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.35 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.36) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.36 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.37) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.37 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.38) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.38 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.39) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.39 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.40) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.40 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.41) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.41 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.42) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.42 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.43) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.43 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.45) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.45 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.46) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.46 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.47) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.47 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.48) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.48 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.50) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.50 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.51) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.51 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.52) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.52 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="count(hl7v2:IN1.53) &lt;= 1">(IN1_segment_Lab2Lab): element hl7v2:IN1.53 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.1
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('426') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '426' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('SI') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Set ID - IN1') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Set ID - IN1' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.2
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.2">
      <extends rule="d199392e0-false-d199398e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('368') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '368' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('CE') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Table) = ('HL70072') or not(@Table)">(IN1_segment_Lab2Lab): de waarde van Table MOET 'HL70072' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Insurance Plan ID') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Insurance Plan ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d199392e0-false-d199398e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.2/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.2/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.2/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.2/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.2/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.2/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.2/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.2/hl7v2:CE.3">
      <extends rule="d199542e0-false-d199548e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.2/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d199542e0-false-d199548e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.2/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.2/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.2/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.2/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.2/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.2/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.2/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.2/hl7v2:CE.6">
      <extends rule="d199661e0-false-d199667e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.2/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d199661e0-false-d199667e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3">
      <extends rule="d199713e0-false-d199719e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('428') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '428' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('CX') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Insurance Company ID') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Insurance Company ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d199713e0-false-d199719e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.3">
      <extends rule="d199891e0-false-d199897e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d199891e0-false-d199897e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.4">
      <extends rule="d199942e0-false-d199948e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d199942e0-false-d199948e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d200077e0-false-d200083e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d200077e0-false-d200083e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.5">
      <extends rule="d200129e0-false-d200135e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d200129e0-false-d200135e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.6">
      <extends rule="d200174e0-false-d200180e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d200174e0-false-d200180e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d200309e0-false-d200315e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d200309e0-false-d200315e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.9">
      <extends rule="d200423e0-false-d200429e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d200423e0-false-d200429e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d200594e0-false-d200600e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d200594e0-false-d200600e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d200713e0-false-d200719e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d200713e0-false-d200719e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.10">
      <extends rule="d200861e0-false-d200867e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d200861e0-false-d200867e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d201032e0-false-d201038e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d201032e0-false-d201038e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d201151e0-false-d201157e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d201151e0-false-d201157e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.3/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4">
      <extends rule="d201306e0-false-d201312e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('429') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '429' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('XON') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'XON' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Insurance Company Name') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Insurance Company Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4
Item: (XON_datatype)
-->
   <rule fpi="RULC-1" id="d201306e0-false-d201312e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.1) &lt;= 1">(XON_datatype): element hl7v2:XON.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.2) &lt;= 1">(XON_datatype): element hl7v2:XON.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.3) &lt;= 1">(XON_datatype): element hl7v2:XON.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.4) &lt;= 1">(XON_datatype): element hl7v2:XON.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.5) &lt;= 1">(XON_datatype): element hl7v2:XON.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.6) &lt;= 1">(XON_datatype): element hl7v2:XON.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.7) &lt;= 1">(XON_datatype): element hl7v2:XON.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.8) &lt;= 1">(XON_datatype): element hl7v2:XON.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.9) &lt;= 1">(XON_datatype): element hl7v2:XON.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.10) &lt;= 1">(XON_datatype): element hl7v2:XON.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.1
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.2
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XON_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70204') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70204' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.3
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.4
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.5
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.5">
      <extends rule="d201558e0-false-d201564e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d201558e0-false-d201564e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.6
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.6">
      <extends rule="d201609e0-false-d201615e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d201609e0-false-d201615e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.6/hl7v2:HD.3">
      <extends rule="d201744e0-false-d201750e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d201744e0-false-d201750e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.7
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.7">
      <extends rule="d201796e0-false-d201802e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d201796e0-false-d201802e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.8
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.8">
      <extends rule="d201841e0-false-d201847e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.8
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d201841e0-false-d201847e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.8/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.8/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.8/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.8/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.8/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.8/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.8/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.8/hl7v2:HD.3">
      <extends rule="d201976e0-false-d201982e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.8/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d201976e0-false-d201982e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.9
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.9">
      <extends rule="d202028e0-false-d202034e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.9
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d202028e0-false-d202034e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.10
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Identifier') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.4/hl7v2:XON.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5">
      <extends rule="d202114e0-false-d202120e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('430') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '430' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('XAD') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'XAD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Insurance Company Address') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Insurance Company Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1" id="d202114e0-false-d202120e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.1) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.2) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.3) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.4) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.5) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.6) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.7) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.8) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.9) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.10) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.11) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.12) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.13) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.14) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.1
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.1">
      <extends rule="d202246e0-false-d202252e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('SAD') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'SAD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Street Address') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Street Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.1
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1" id="d202246e0-false-d202252e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.1) &lt;= 1">(SAD_datatype): element hl7v2:SAD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.2) &lt;= 1">(SAD_datatype): element hl7v2:SAD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.3) &lt;= 1">(SAD_datatype): element hl7v2:SAD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.1/hl7v2:SAD.1
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.1/hl7v2:SAD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Street or Mailing Address') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Street or Mailing Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.1/hl7v2:SAD.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.1/hl7v2:SAD.2
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.1/hl7v2:SAD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Street Name') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Street Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.1/hl7v2:SAD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.1/hl7v2:SAD.3
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.1/hl7v2:SAD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Dwelling Number') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Dwelling Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.1/hl7v2:SAD.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.2
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Other Designation') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Other Designation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.3
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('City') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'City' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.4
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('State or Province') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'State or Province' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.5
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Zip or Postal Code') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Zip or Postal Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.6
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.6">
      <extends rule="d202546e0-false-d202552e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70399') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70399' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Country') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Country' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d202546e0-false-d202552e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.7
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.7">
      <extends rule="d202608e0-false-d202614e0"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70190') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70190' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Address Type') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Address Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d202608e0-false-d202614e0" abstract="true">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.25.11.409-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ID_datatype): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.25.11.409 Adrestype HL7v2 NL (DYNAMISCH)'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.8
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Other Geographic Designation') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Other Geographic Designation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.9
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('IS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70289') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70289' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('County/Parish Code') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'County/Parish Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.10
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('IS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70288') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70288' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Census Tract') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Census Tract' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.10
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.11
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.11">
      <extends rule="d202784e0-false-d202790e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Address Representation Code') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Address Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d202784e0-false-d202790e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.12
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.12">
      <extends rule="d202829e0-false-d202835e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('DR') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Address Validity Range') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Address Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.12
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d202829e0-false-d202835e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.12/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.12/hl7v2:DR.1">
      <extends rule="d202877e0-false-d202883e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.12/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d202877e0-false-d202883e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d202965e0-false-d202971e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d202965e0-false-d202971e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.12/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.12/hl7v2:DR.2">
      <extends rule="d203011e0-false-d203017e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.12/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d203011e0-false-d203017e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d203099e0-false-d203105e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d203099e0-false-d203105e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.13
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.13">
      <extends rule="d203146e0-false-d203152e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('TS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d203146e0-false-d203152e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.13/hl7v2:TS.2">
      <extends rule="d203234e0-false-d203240e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d203234e0-false-d203240e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.14
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.14">
      <extends rule="d203280e0-false-d203286e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('TS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d203280e0-false-d203286e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.14/hl7v2:TS.2">
      <extends rule="d203368e0-false-d203374e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.5/hl7v2:XAD.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d203368e0-false-d203374e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6">
      <extends rule="d203421e0-false-d203427e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('431') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '431' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('XPN') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'XPN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Insurance Co Contact Person') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Insurance Co Contact Person' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1" id="d203421e0-false-d203427e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.1) &lt;= 1">(XPN_datatype): element hl7v2:XPN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.2) &lt;= 1">(XPN_datatype): element hl7v2:XPN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.3) &lt;= 1">(XPN_datatype): element hl7v2:XPN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.4) &lt;= 1">(XPN_datatype): element hl7v2:XPN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.5) &lt;= 1">(XPN_datatype): element hl7v2:XPN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.6) &lt;= 1">(XPN_datatype): element hl7v2:XPN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.7) &lt;= 1">(XPN_datatype): element hl7v2:XPN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.8) &lt;= 1">(XPN_datatype): element hl7v2:XPN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.9) &lt;= 1">(XPN_datatype): element hl7v2:XPN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.10) &lt;= 1">(XPN_datatype): element hl7v2:XPN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.11) &lt;= 1">(XPN_datatype): element hl7v2:XPN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.12) &lt;= 1">(XPN_datatype): element hl7v2:XPN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.13) &lt;= 1">(XPN_datatype): element hl7v2:XPN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.14) &lt;= 1">(XPN_datatype): element hl7v2:XPN.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.1
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.1">
      <extends rule="d203553e0-false-d203559e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d203553e0-false-d203559e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.1/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.1/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.1/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.1/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.1/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.1/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.1/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.1/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.1/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.1/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.1/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.1/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.1/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.1/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.1/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.2
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.3
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.4
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.5
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.6
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.7
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.7">
      <extends rule="d203975e0-false-d203981e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d203975e0-false-d203981e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.8
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.8">
      <extends rule="d204026e0-false-d204032e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.8
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d204026e0-false-d204032e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.9
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.9">
      <extends rule="d204077e0-false-d204083e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.9
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d204077e0-false-d204083e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.9/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.9/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.9/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.9/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.9/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.9/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.9/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.9/hl7v2:CE.3">
      <extends rule="d204227e0-false-d204233e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.9/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d204227e0-false-d204233e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.9/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.9/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.9/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.9/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.9/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.9/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.9/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.9/hl7v2:CE.6">
      <extends rule="d204346e0-false-d204352e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.9/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d204346e0-false-d204352e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.10
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.10">
      <extends rule="d204392e0-false-d204398e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.10
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d204392e0-false-d204398e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.10/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.10/hl7v2:DR.1">
      <extends rule="d204440e0-false-d204446e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.10/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d204440e0-false-d204446e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d204528e0-false-d204534e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d204528e0-false-d204534e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.10/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.10/hl7v2:DR.2">
      <extends rule="d204574e0-false-d204580e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.10/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d204574e0-false-d204580e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d204662e0-false-d204668e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d204662e0-false-d204668e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.11
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.11">
      <extends rule="d204715e0-false-d204721e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d204715e0-false-d204721e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.12
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.12">
      <extends rule="d204760e0-false-d204766e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d204760e0-false-d204766e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.12/hl7v2:TS.2">
      <extends rule="d204848e0-false-d204854e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d204848e0-false-d204854e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.13
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.13">
      <extends rule="d204894e0-false-d204900e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d204894e0-false-d204900e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.13/hl7v2:TS.2">
      <extends rule="d204982e0-false-d204988e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d204982e0-false-d204988e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.14
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.6/hl7v2:XPN.14
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7">
      <extends rule="d205069e0-false-d205075e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('432') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '432' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('XTN') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'XTN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Insurance Co Phone Number') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Insurance Co Phone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" id="d205069e0-false-d205075e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.1) &lt;= 1">(XTN_datatype): element hl7v2:XTN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.2) &lt;= 1">(XTN_datatype): element hl7v2:XTN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.3) &lt;= 1">(XTN_datatype): element hl7v2:XTN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.4) &lt;= 1">(XTN_datatype): element hl7v2:XTN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.5) &lt;= 1">(XTN_datatype): element hl7v2:XTN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.6) &lt;= 1">(XTN_datatype): element hl7v2:XTN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.7) &lt;= 1">(XTN_datatype): element hl7v2:XTN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.8) &lt;= 1">(XTN_datatype): element hl7v2:XTN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.9) &lt;= 1">(XTN_datatype): element hl7v2:XTN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.10) &lt;= 1">(XTN_datatype): element hl7v2:XTN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.11) &lt;= 1">(XTN_datatype): element hl7v2:XTN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.12) &lt;= 1">(XTN_datatype): element hl7v2:XTN.12 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.1
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telephone Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telephone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.2
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.2">
      <extends rule="d205227e0-false-d205233e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70201') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70201' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Use Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Use Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d205227e0-false-d205233e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.3
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.3">
      <extends rule="d205278e0-false-d205284e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70202') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70202' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Equipment Type') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Equipment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d205278e0-false-d205284e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.4
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Email Address') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Email Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.5
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Country Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Country Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.6
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Area/City Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Area/City Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.6
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.7
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Local Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Local Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.7
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.8
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.8
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.9
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Any Text') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Any Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.10
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension Prefix') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.11
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Speed Dial Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Speed Dial Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.12
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Unformatted Telephone number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Unformatted Telephone number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.7/hl7v2:XTN.12
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.8
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('433') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '433' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('ST') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Group Number') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Group Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9">
      <extends rule="d205676e0-false-d205682e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('434') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '434' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('XON') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'XON' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Group Name') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Group Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9
Item: (XON_datatype)
-->
   <rule fpi="RULC-1" id="d205676e0-false-d205682e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.1) &lt;= 1">(XON_datatype): element hl7v2:XON.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.2) &lt;= 1">(XON_datatype): element hl7v2:XON.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.3) &lt;= 1">(XON_datatype): element hl7v2:XON.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.4) &lt;= 1">(XON_datatype): element hl7v2:XON.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.5) &lt;= 1">(XON_datatype): element hl7v2:XON.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.6) &lt;= 1">(XON_datatype): element hl7v2:XON.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.7) &lt;= 1">(XON_datatype): element hl7v2:XON.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.8) &lt;= 1">(XON_datatype): element hl7v2:XON.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.9) &lt;= 1">(XON_datatype): element hl7v2:XON.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.10) &lt;= 1">(XON_datatype): element hl7v2:XON.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.1
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.2
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XON_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70204') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70204' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.3
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.4
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.5
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.5">
      <extends rule="d205928e0-false-d205934e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d205928e0-false-d205934e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.6
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.6">
      <extends rule="d205979e0-false-d205985e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d205979e0-false-d205985e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.6/hl7v2:HD.3">
      <extends rule="d206114e0-false-d206120e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d206114e0-false-d206120e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.7
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.7">
      <extends rule="d206166e0-false-d206172e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d206166e0-false-d206172e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.8
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.8">
      <extends rule="d206211e0-false-d206217e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.8
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d206211e0-false-d206217e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.8/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.8/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.8/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.8/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.8/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.8/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.8/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.8/hl7v2:HD.3">
      <extends rule="d206346e0-false-d206352e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.8/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d206346e0-false-d206352e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.9
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.9">
      <extends rule="d206398e0-false-d206404e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.9
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d206398e0-false-d206404e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.10
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Identifier') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.9/hl7v2:XON.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10">
      <extends rule="d206484e0-false-d206490e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('435') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '435' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('CX') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Insured''s Group Emp ID') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Insured''s Group Emp ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d206484e0-false-d206490e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.3">
      <extends rule="d206662e0-false-d206668e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d206662e0-false-d206668e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.4">
      <extends rule="d206713e0-false-d206719e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d206713e0-false-d206719e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d206848e0-false-d206854e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d206848e0-false-d206854e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.5">
      <extends rule="d206900e0-false-d206906e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d206900e0-false-d206906e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.6">
      <extends rule="d206945e0-false-d206951e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d206945e0-false-d206951e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d207080e0-false-d207086e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d207080e0-false-d207086e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.9">
      <extends rule="d207194e0-false-d207200e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d207194e0-false-d207200e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d207365e0-false-d207371e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d207365e0-false-d207371e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d207484e0-false-d207490e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d207484e0-false-d207490e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.10">
      <extends rule="d207632e0-false-d207638e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d207632e0-false-d207638e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d207803e0-false-d207809e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d207803e0-false-d207809e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d207922e0-false-d207928e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d207922e0-false-d207928e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.10/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11">
      <extends rule="d208077e0-false-d208083e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('436') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '436' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('XON') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'XON' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Insured''s Group Emp Name') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Insured''s Group Emp Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11
Item: (XON_datatype)
-->
   <rule fpi="RULC-1" id="d208077e0-false-d208083e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.1) &lt;= 1">(XON_datatype): element hl7v2:XON.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.2) &lt;= 1">(XON_datatype): element hl7v2:XON.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.3) &lt;= 1">(XON_datatype): element hl7v2:XON.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.4) &lt;= 1">(XON_datatype): element hl7v2:XON.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.5) &lt;= 1">(XON_datatype): element hl7v2:XON.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.6) &lt;= 1">(XON_datatype): element hl7v2:XON.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.7) &lt;= 1">(XON_datatype): element hl7v2:XON.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.8) &lt;= 1">(XON_datatype): element hl7v2:XON.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.9) &lt;= 1">(XON_datatype): element hl7v2:XON.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.10) &lt;= 1">(XON_datatype): element hl7v2:XON.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.1
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.2
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XON_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70204') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70204' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.3
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.4
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.5
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.5">
      <extends rule="d208329e0-false-d208335e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d208329e0-false-d208335e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.6
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.6">
      <extends rule="d208380e0-false-d208386e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d208380e0-false-d208386e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.6/hl7v2:HD.3">
      <extends rule="d208515e0-false-d208521e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d208515e0-false-d208521e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.7
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.7">
      <extends rule="d208567e0-false-d208573e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d208567e0-false-d208573e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.8
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.8">
      <extends rule="d208612e0-false-d208618e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.8
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d208612e0-false-d208618e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.8/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.8/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.8/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.8/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.8/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.8/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.8/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.8/hl7v2:HD.3">
      <extends rule="d208747e0-false-d208753e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.8/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d208747e0-false-d208753e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.9
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.9">
      <extends rule="d208799e0-false-d208805e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.9
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d208799e0-false-d208805e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.10
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Identifier') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.11/hl7v2:XON.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.12
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('437') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '437' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('DT') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Plan Effective Date') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Plan Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.12
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.13
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('438') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '438' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('DT') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Plan Expiration Date') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Plan Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.13
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.14
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.14">
      <extends rule="d208965e0-false-d208971e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('439') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '439' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('AUI') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'AUI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Authorization Information') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Authorization Information' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.2
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.14
Item: (AUI_datatype)
-->
   <rule fpi="RULC-1" id="d208965e0-false-d208971e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.2-2013-02-10T000000.html"
              test="count(hl7v2:AUI.1) &lt;= 1">(AUI_datatype): element hl7v2:AUI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.2-2013-02-10T000000.html"
              test="count(hl7v2:AUI.2) &lt;= 1">(AUI_datatype): element hl7v2:AUI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.2-2013-02-10T000000.html"
              test="count(hl7v2:AUI.3) &lt;= 1">(AUI_datatype): element hl7v2:AUI.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.2
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.14/hl7v2:AUI.1
Item: (AUI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.14/hl7v2:AUI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.2-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(AUI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.2-2013-02-10T000000.html"
              test="string(@LongName) = ('Authorization Number') or not(@LongName)">(AUI_datatype): de waarde van LongName MOET 'Authorization Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.14/hl7v2:AUI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.2
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.14/hl7v2:AUI.2
Item: (AUI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.14/hl7v2:AUI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.2-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(AUI_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.2-2013-02-10T000000.html"
              test="string(@LongName) = ('Date') or not(@LongName)">(AUI_datatype): de waarde van LongName MOET 'Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.14/hl7v2:AUI.2
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.2
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.14/hl7v2:AUI.3
Item: (AUI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.14/hl7v2:AUI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.2-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(AUI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.2-2013-02-10T000000.html"
              test="string(@LongName) = ('Source') or not(@LongName)">(AUI_datatype): de waarde van LongName MOET 'Source' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.14/hl7v2:AUI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.15
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.15">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('440') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '440' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Table) = ('HL70086') or not(@Table)">(IN1_segment_Lab2Lab): de waarde van Table MOET 'HL70086' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Plan Type') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Plan Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.15
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16">
      <extends rule="d209175e0-false-d209181e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('441') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '441' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('XPN') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'XPN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Name Of Insured') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Name Of Insured' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1" id="d209175e0-false-d209181e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.1) &lt;= 1">(XPN_datatype): element hl7v2:XPN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.2) &lt;= 1">(XPN_datatype): element hl7v2:XPN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.3) &lt;= 1">(XPN_datatype): element hl7v2:XPN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.4) &lt;= 1">(XPN_datatype): element hl7v2:XPN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.5) &lt;= 1">(XPN_datatype): element hl7v2:XPN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.6) &lt;= 1">(XPN_datatype): element hl7v2:XPN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.7) &lt;= 1">(XPN_datatype): element hl7v2:XPN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.8) &lt;= 1">(XPN_datatype): element hl7v2:XPN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.9) &lt;= 1">(XPN_datatype): element hl7v2:XPN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.10) &lt;= 1">(XPN_datatype): element hl7v2:XPN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.11) &lt;= 1">(XPN_datatype): element hl7v2:XPN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.12) &lt;= 1">(XPN_datatype): element hl7v2:XPN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.13) &lt;= 1">(XPN_datatype): element hl7v2:XPN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.14) &lt;= 1">(XPN_datatype): element hl7v2:XPN.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.1
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.1">
      <extends rule="d209307e0-false-d209313e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d209307e0-false-d209313e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.1/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.1/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.1/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.1/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.1/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.1/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.1/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.1/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.1/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.1/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.1/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.1/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.1/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.1/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.1/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.2
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.3
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.4
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.5
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.6
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.7
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.7">
      <extends rule="d209729e0-false-d209735e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d209729e0-false-d209735e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.8
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.8">
      <extends rule="d209780e0-false-d209786e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.8
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d209780e0-false-d209786e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.9
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.9">
      <extends rule="d209831e0-false-d209837e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.9
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d209831e0-false-d209837e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.9/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.9/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.9/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.9/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.9/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.9/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.9/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.9/hl7v2:CE.3">
      <extends rule="d209981e0-false-d209987e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.9/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d209981e0-false-d209987e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.9/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.9/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.9/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.9/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.9/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.9/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.9/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.9/hl7v2:CE.6">
      <extends rule="d210100e0-false-d210106e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.9/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d210100e0-false-d210106e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.10
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.10">
      <extends rule="d210146e0-false-d210152e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.10
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d210146e0-false-d210152e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.10/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.10/hl7v2:DR.1">
      <extends rule="d210194e0-false-d210200e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.10/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d210194e0-false-d210200e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d210282e0-false-d210288e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d210282e0-false-d210288e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.10/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.10/hl7v2:DR.2">
      <extends rule="d210328e0-false-d210334e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.10/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d210328e0-false-d210334e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d210416e0-false-d210422e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d210416e0-false-d210422e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.11
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.11">
      <extends rule="d210469e0-false-d210475e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d210469e0-false-d210475e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.12
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.12">
      <extends rule="d210514e0-false-d210520e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d210514e0-false-d210520e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.12/hl7v2:TS.2">
      <extends rule="d210602e0-false-d210608e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d210602e0-false-d210608e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.13
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.13">
      <extends rule="d210648e0-false-d210654e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d210648e0-false-d210654e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.13/hl7v2:TS.2">
      <extends rule="d210736e0-false-d210742e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d210736e0-false-d210742e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.14
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.16/hl7v2:XPN.14
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.17
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.17">
      <extends rule="d210829e0-false-d210835e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('442') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '442' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('CE') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Table) = ('HL70063') or not(@Table)">(IN1_segment_Lab2Lab): de waarde van Table MOET 'HL70063' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Insured''s Relationship To Patient') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Insured''s Relationship To Patient' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.17
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d210829e0-false-d210835e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.17/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.17/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.17/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.17/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.17/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.17/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.17/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.17/hl7v2:CE.3">
      <extends rule="d210979e0-false-d210985e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.17/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d210979e0-false-d210985e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.17/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.17/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.17/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.17/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.17/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.17/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.17/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.17/hl7v2:CE.6">
      <extends rule="d211098e0-false-d211104e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.17/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d211098e0-false-d211104e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.18
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.18">
      <extends rule="d211150e0-false-d211156e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('443') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '443' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('TS') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Insured''s Date Of Birth') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Insured''s Date Of Birth' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.18
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d211150e0-false-d211156e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.18/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.18/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.18/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.18/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.18/hl7v2:TS.2">
      <extends rule="d211238e0-false-d211244e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.18/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d211238e0-false-d211244e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19">
      <extends rule="d211290e0-false-d211296e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('444') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '444' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('XAD') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'XAD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Insured''s Address') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Insured''s Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1" id="d211290e0-false-d211296e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.1) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.2) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.3) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.4) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.5) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.6) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.7) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.8) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.9) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.10) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.11) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.12) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.13) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.14) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.1
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.1">
      <extends rule="d211422e0-false-d211428e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('SAD') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'SAD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Street Address') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Street Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.1
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1" id="d211422e0-false-d211428e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.1) &lt;= 1">(SAD_datatype): element hl7v2:SAD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.2) &lt;= 1">(SAD_datatype): element hl7v2:SAD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.3) &lt;= 1">(SAD_datatype): element hl7v2:SAD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.1/hl7v2:SAD.1
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.1/hl7v2:SAD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Street or Mailing Address') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Street or Mailing Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.1/hl7v2:SAD.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.1/hl7v2:SAD.2
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.1/hl7v2:SAD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Street Name') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Street Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.1/hl7v2:SAD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.1/hl7v2:SAD.3
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.1/hl7v2:SAD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Dwelling Number') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Dwelling Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.1/hl7v2:SAD.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.2
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Other Designation') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Other Designation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.3
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('City') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'City' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.4
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('State or Province') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'State or Province' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.5
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Zip or Postal Code') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Zip or Postal Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.6
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.6">
      <extends rule="d211722e0-false-d211728e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70399') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70399' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Country') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Country' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d211722e0-false-d211728e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.7
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.7">
      <extends rule="d211784e0-false-d211790e0"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70190') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70190' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Address Type') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Address Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d211784e0-false-d211790e0" abstract="true">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.25.11.409-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ID_datatype): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.25.11.409 Adrestype HL7v2 NL (DYNAMISCH)'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.8
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Other Geographic Designation') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Other Geographic Designation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.9
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('IS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70289') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70289' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('County/Parish Code') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'County/Parish Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.10
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('IS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70288') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70288' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Census Tract') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Census Tract' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.10
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.11
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.11">
      <extends rule="d211960e0-false-d211966e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Address Representation Code') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Address Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d211960e0-false-d211966e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.12
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.12">
      <extends rule="d212005e0-false-d212011e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('DR') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Address Validity Range') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Address Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.12
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d212005e0-false-d212011e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.12/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.12/hl7v2:DR.1">
      <extends rule="d212053e0-false-d212059e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.12/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d212053e0-false-d212059e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d212141e0-false-d212147e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d212141e0-false-d212147e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.12/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.12/hl7v2:DR.2">
      <extends rule="d212187e0-false-d212193e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.12/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d212187e0-false-d212193e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d212275e0-false-d212281e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d212275e0-false-d212281e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.13
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.13">
      <extends rule="d212322e0-false-d212328e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('TS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d212322e0-false-d212328e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.13/hl7v2:TS.2">
      <extends rule="d212410e0-false-d212416e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d212410e0-false-d212416e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.14
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.14">
      <extends rule="d212456e0-false-d212462e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('TS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d212456e0-false-d212462e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.14/hl7v2:TS.2">
      <extends rule="d212544e0-false-d212550e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.19/hl7v2:XAD.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d212544e0-false-d212550e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.20
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.20">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('445') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '445' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Table) = ('HL70135') or not(@Table)">(IN1_segment_Lab2Lab): de waarde van Table MOET 'HL70135' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Assignment Of Benefits') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Assignment Of Benefits' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.20
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.21
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('446') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '446' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Table) = ('HL70173') or not(@Table)">(IN1_segment_Lab2Lab): de waarde van Table MOET 'HL70173' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Coordination Of Benefits') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Coordination Of Benefits' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.21
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.22
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.22">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('447') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '447' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('ST') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Coord Of Ben. Priority') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Coord Of Ben. Priority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.22
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.23
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.23">
      <extends rule="d212735e0-false-d212741e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('448') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '448' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('ID') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(IN1_segment_Lab2Lab): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Notice Of Admission Flag') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Notice Of Admission Flag' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.23
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d212735e0-false-d212741e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.24
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.24">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('449') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '449' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('DT') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Notice Of Admission Date') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Notice Of Admission Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.24
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.25
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.25">
      <extends rule="d212832e0-false-d212838e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('450') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '450' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('ID') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(IN1_segment_Lab2Lab): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Report Of Eligibility Flag') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Report Of Eligibility Flag' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.25
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d212832e0-false-d212838e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.26
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.26">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('451') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '451' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('DT') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Report Of Eligibility Date') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Report Of Eligibility Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.26
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.27
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.27">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('452') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '452' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Table) = ('HL70093') or not(@Table)">(IN1_segment_Lab2Lab): de waarde van Table MOET 'HL70093' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Release Information Code') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Release Information Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.27
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.28
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.28">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('453') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '453' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('ST') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Pre-Admit Cert (PAC)') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Pre-Admit Cert (PAC)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.28
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.29
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.29">
      <extends rule="d213009e0-false-d213015e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('454') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '454' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('TS') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Verification Date/Time') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Verification Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.29
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d213009e0-false-d213015e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.29/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.29/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.29/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.29/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.29/hl7v2:TS.2">
      <extends rule="d213097e0-false-d213103e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.29/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d213097e0-false-d213103e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30">
      <extends rule="d213149e0-false-d213155e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('455') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '455' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('XCN') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Verification By') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Verification By' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d213149e0-false-d213155e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.2">
      <extends rule="d213378e0-false-d213384e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d213378e0-false-d213384e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.9">
      <extends rule="d213840e0-false-d213846e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d213840e0-false-d213846e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d213975e0-false-d213981e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d213975e0-false-d213981e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.10">
      <extends rule="d214027e0-false-d214033e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d214027e0-false-d214033e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.12">
      <extends rule="d214112e0-false-d214118e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d214112e0-false-d214118e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.13">
      <extends rule="d214163e0-false-d214169e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d214163e0-false-d214169e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.14">
      <extends rule="d214208e0-false-d214214e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d214208e0-false-d214214e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d214343e0-false-d214349e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d214343e0-false-d214349e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.15">
      <extends rule="d214395e0-false-d214401e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d214395e0-false-d214401e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.16">
      <extends rule="d214446e0-false-d214452e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d214446e0-false-d214452e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d214596e0-false-d214602e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d214596e0-false-d214602e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d214715e0-false-d214721e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d214715e0-false-d214721e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.17">
      <extends rule="d214761e0-false-d214767e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d214761e0-false-d214767e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d214809e0-false-d214815e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d214809e0-false-d214815e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d214897e0-false-d214903e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d214897e0-false-d214903e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d214943e0-false-d214949e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d214943e0-false-d214949e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d215031e0-false-d215037e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d215031e0-false-d215037e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.18">
      <extends rule="d215084e0-false-d215090e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d215084e0-false-d215090e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.19">
      <extends rule="d215129e0-false-d215135e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d215129e0-false-d215135e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d215217e0-false-d215223e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d215217e0-false-d215223e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.20">
      <extends rule="d215263e0-false-d215269e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d215263e0-false-d215269e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d215351e0-false-d215357e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d215351e0-false-d215357e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.22">
      <extends rule="d215431e0-false-d215437e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d215431e0-false-d215437e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d215602e0-false-d215608e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d215602e0-false-d215608e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d215721e0-false-d215727e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d215721e0-false-d215727e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.23">
      <extends rule="d215869e0-false-d215875e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d215869e0-false-d215875e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d216040e0-false-d216046e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d216040e0-false-d216046e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d216159e0-false-d216165e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d216159e0-false-d216165e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.30/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.31
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.31">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('456') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '456' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Table) = ('HL70098') or not(@Table)">(IN1_segment_Lab2Lab): de waarde van Table MOET 'HL70098' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Type Of Agreement Code') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Type Of Agreement Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.31
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.32
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.32">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('457') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '457' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Table) = ('HL70022') or not(@Table)">(IN1_segment_Lab2Lab): de waarde van Table MOET 'HL70022' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Billing Status') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Billing Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.32
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.33
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.33">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('458') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '458' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('NM') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Lifetime Reserve Days') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Lifetime Reserve Days' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.33
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.34
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.34">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('459') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '459' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('NM') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Delay Before L.R. Day') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Delay Before L.R. Day' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.34
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.35
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.35">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('460') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '460' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Table) = ('HL70042') or not(@Table)">(IN1_segment_Lab2Lab): de waarde van Table MOET 'HL70042' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Company Plan Code') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Company Plan Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.35
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.36
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.36">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('461') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '461' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('ST') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Policy Number') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Policy Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.36
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37">
      <extends rule="d216572e0-false-d216578e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('462') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '462' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('CP') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'CP' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Policy Deductible') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Policy Deductible' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37
Item: (CP_datatype)
-->
   <rule fpi="RULC-1" id="d216572e0-false-d216578e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.1) &lt;= 1">(CP_datatype): element hl7v2:CP.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.2) &lt;= 1">(CP_datatype): element hl7v2:CP.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.3) &lt;= 1">(CP_datatype): element hl7v2:CP.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.4) &lt;= 1">(CP_datatype): element hl7v2:CP.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.5) &lt;= 1">(CP_datatype): element hl7v2:CP.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.6) &lt;= 1">(CP_datatype): element hl7v2:CP.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.1
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.1">
      <extends rule="d216648e0-false-d216654e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('MO') or not(@Type)">(CP_datatype): de waarde van Type MOET 'MO' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Price') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Price' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.1
Item: (MO_datatype)
-->
   <rule fpi="RULC-1" id="d216648e0-false-d216654e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="count(hl7v2:MO.1) &lt;= 1">(MO_datatype): element hl7v2:MO.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="count(hl7v2:MO.2) &lt;= 1">(MO_datatype): element hl7v2:MO.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.1/hl7v2:MO.1
Item: (MO_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.1/hl7v2:MO.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(MO_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(MO_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.1/hl7v2:MO.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.1/hl7v2:MO.2
Item: (MO_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.1/hl7v2:MO.2">
      <extends rule="d216730e0-false-d216736e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(MO_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Denomination') or not(@LongName)">(MO_datatype): de waarde van LongName MOET 'Denomination' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.1/hl7v2:MO.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d216730e0-false-d216736e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.2
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.2">
      <extends rule="d216782e0-false-d216788e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CP_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Table) = ('HL70205') or not(@Table)">(CP_datatype): de waarde van Table MOET 'HL70205' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Price Type') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Price Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d216782e0-false-d216788e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.3
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CP_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('To Value') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'To Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.4
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CP_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('To Value') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'To Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.5
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.5">
      <extends rule="d216895e0-false-d216901e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CP_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Units') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Range Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d216895e0-false-d216901e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.5/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.5/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.5/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.5/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.5/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.5/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.5/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.5/hl7v2:CE.3">
      <extends rule="d217045e0-false-d217051e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.5/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d217045e0-false-d217051e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.5/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.5/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.5/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.5/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.5/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.5/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.5/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.5/hl7v2:CE.6">
      <extends rule="d217164e0-false-d217170e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.5/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d217164e0-false-d217170e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.6
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.6">
      <extends rule="d217216e0-false-d217222e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CP_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Table) = ('HL70298') or not(@Table)">(CP_datatype): de waarde van Table MOET 'HL70298' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Type') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Range Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.37/hl7v2:CP.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d217216e0-false-d217222e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38">
      <extends rule="d217268e0-false-d217274e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('463') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '463' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('CP') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'CP' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Policy Limit - Amount') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Policy Limit - Amount' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38
Item: (CP_datatype)
-->
   <rule fpi="RULC-1" id="d217268e0-false-d217274e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.1) &lt;= 1">(CP_datatype): element hl7v2:CP.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.2) &lt;= 1">(CP_datatype): element hl7v2:CP.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.3) &lt;= 1">(CP_datatype): element hl7v2:CP.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.4) &lt;= 1">(CP_datatype): element hl7v2:CP.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.5) &lt;= 1">(CP_datatype): element hl7v2:CP.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.6) &lt;= 1">(CP_datatype): element hl7v2:CP.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.1
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.1">
      <extends rule="d217344e0-false-d217350e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('MO') or not(@Type)">(CP_datatype): de waarde van Type MOET 'MO' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Price') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Price' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.1
Item: (MO_datatype)
-->
   <rule fpi="RULC-1" id="d217344e0-false-d217350e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="count(hl7v2:MO.1) &lt;= 1">(MO_datatype): element hl7v2:MO.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="count(hl7v2:MO.2) &lt;= 1">(MO_datatype): element hl7v2:MO.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.1/hl7v2:MO.1
Item: (MO_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.1/hl7v2:MO.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(MO_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(MO_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.1/hl7v2:MO.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.1/hl7v2:MO.2
Item: (MO_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.1/hl7v2:MO.2">
      <extends rule="d217426e0-false-d217432e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(MO_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Denomination') or not(@LongName)">(MO_datatype): de waarde van LongName MOET 'Denomination' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.1/hl7v2:MO.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d217426e0-false-d217432e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.2
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.2">
      <extends rule="d217478e0-false-d217484e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CP_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Table) = ('HL70205') or not(@Table)">(CP_datatype): de waarde van Table MOET 'HL70205' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Price Type') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Price Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d217478e0-false-d217484e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.3
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CP_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('To Value') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'To Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.4
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CP_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('To Value') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'To Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.5
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.5">
      <extends rule="d217591e0-false-d217597e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CP_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Units') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Range Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d217591e0-false-d217597e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.5/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.5/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.5/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.5/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.5/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.5/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.5/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.5/hl7v2:CE.3">
      <extends rule="d217741e0-false-d217747e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.5/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d217741e0-false-d217747e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.5/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.5/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.5/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.5/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.5/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.5/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.5/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.5/hl7v2:CE.6">
      <extends rule="d217860e0-false-d217866e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.5/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d217860e0-false-d217866e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.6
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.6">
      <extends rule="d217912e0-false-d217918e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CP_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Table) = ('HL70298') or not(@Table)">(CP_datatype): de waarde van Table MOET 'HL70298' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Type') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Range Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.38/hl7v2:CP.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d217912e0-false-d217918e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.39
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.39">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('464') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '464' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('NM') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Policy Limit - Days') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Policy Limit - Days' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.39
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40">
      <extends rule="d218004e0-false-d218010e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('465') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '465' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('CP') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'CP' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Room Rate - Semi-Private') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Room Rate - Semi-Private' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40
Item: (CP_datatype)
-->
   <rule fpi="RULC-1" id="d218004e0-false-d218010e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.1) &lt;= 1">(CP_datatype): element hl7v2:CP.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.2) &lt;= 1">(CP_datatype): element hl7v2:CP.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.3) &lt;= 1">(CP_datatype): element hl7v2:CP.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.4) &lt;= 1">(CP_datatype): element hl7v2:CP.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.5) &lt;= 1">(CP_datatype): element hl7v2:CP.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.6) &lt;= 1">(CP_datatype): element hl7v2:CP.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.1
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.1">
      <extends rule="d218080e0-false-d218086e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('MO') or not(@Type)">(CP_datatype): de waarde van Type MOET 'MO' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Price') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Price' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.1
Item: (MO_datatype)
-->
   <rule fpi="RULC-1" id="d218080e0-false-d218086e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="count(hl7v2:MO.1) &lt;= 1">(MO_datatype): element hl7v2:MO.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="count(hl7v2:MO.2) &lt;= 1">(MO_datatype): element hl7v2:MO.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.1/hl7v2:MO.1
Item: (MO_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.1/hl7v2:MO.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(MO_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(MO_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.1/hl7v2:MO.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.1/hl7v2:MO.2
Item: (MO_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.1/hl7v2:MO.2">
      <extends rule="d218162e0-false-d218168e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(MO_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Denomination') or not(@LongName)">(MO_datatype): de waarde van LongName MOET 'Denomination' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.1/hl7v2:MO.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d218162e0-false-d218168e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.2
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.2">
      <extends rule="d218214e0-false-d218220e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CP_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Table) = ('HL70205') or not(@Table)">(CP_datatype): de waarde van Table MOET 'HL70205' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Price Type') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Price Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d218214e0-false-d218220e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.3
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CP_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('To Value') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'To Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.4
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CP_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('To Value') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'To Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.5
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.5">
      <extends rule="d218327e0-false-d218333e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CP_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Units') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Range Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d218327e0-false-d218333e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.5/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.5/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.5/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.5/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.5/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.5/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.5/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.5/hl7v2:CE.3">
      <extends rule="d218477e0-false-d218483e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.5/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d218477e0-false-d218483e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.5/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.5/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.5/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.5/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.5/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.5/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.5/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.5/hl7v2:CE.6">
      <extends rule="d218596e0-false-d218602e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.5/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d218596e0-false-d218602e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.6
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.6">
      <extends rule="d218648e0-false-d218654e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CP_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Table) = ('HL70298') or not(@Table)">(CP_datatype): de waarde van Table MOET 'HL70298' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Type') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Range Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.40/hl7v2:CP.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d218648e0-false-d218654e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41">
      <extends rule="d218700e0-false-d218706e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('466') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '466' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('CP') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'CP' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Room Rate - Private') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Room Rate - Private' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41
Item: (CP_datatype)
-->
   <rule fpi="RULC-1" id="d218700e0-false-d218706e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.1) &lt;= 1">(CP_datatype): element hl7v2:CP.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.2) &lt;= 1">(CP_datatype): element hl7v2:CP.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.3) &lt;= 1">(CP_datatype): element hl7v2:CP.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.4) &lt;= 1">(CP_datatype): element hl7v2:CP.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.5) &lt;= 1">(CP_datatype): element hl7v2:CP.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.6) &lt;= 1">(CP_datatype): element hl7v2:CP.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.1
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.1">
      <extends rule="d218776e0-false-d218782e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('MO') or not(@Type)">(CP_datatype): de waarde van Type MOET 'MO' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Price') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Price' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.1
Item: (MO_datatype)
-->
   <rule fpi="RULC-1" id="d218776e0-false-d218782e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="count(hl7v2:MO.1) &lt;= 1">(MO_datatype): element hl7v2:MO.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="count(hl7v2:MO.2) &lt;= 1">(MO_datatype): element hl7v2:MO.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.1/hl7v2:MO.1
Item: (MO_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.1/hl7v2:MO.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(MO_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(MO_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.1/hl7v2:MO.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.1/hl7v2:MO.2
Item: (MO_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.1/hl7v2:MO.2">
      <extends rule="d218858e0-false-d218864e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(MO_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Denomination') or not(@LongName)">(MO_datatype): de waarde van LongName MOET 'Denomination' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.1/hl7v2:MO.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d218858e0-false-d218864e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.2
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.2">
      <extends rule="d218910e0-false-d218916e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CP_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Table) = ('HL70205') or not(@Table)">(CP_datatype): de waarde van Table MOET 'HL70205' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Price Type') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Price Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d218910e0-false-d218916e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.3
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CP_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('To Value') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'To Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.4
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CP_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('To Value') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'To Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.5
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.5">
      <extends rule="d219023e0-false-d219029e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CP_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Units') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Range Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d219023e0-false-d219029e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.5/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.5/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.5/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.5/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.5/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.5/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.5/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.5/hl7v2:CE.3">
      <extends rule="d219173e0-false-d219179e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.5/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d219173e0-false-d219179e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.5/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.5/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.5/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.5/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.5/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.5/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.5/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.5/hl7v2:CE.6">
      <extends rule="d219292e0-false-d219298e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.5/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d219292e0-false-d219298e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.6
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.6">
      <extends rule="d219344e0-false-d219350e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CP_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Table) = ('HL70298') or not(@Table)">(CP_datatype): de waarde van Table MOET 'HL70298' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Type') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Range Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.41/hl7v2:CP.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d219344e0-false-d219350e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.42
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.42">
      <extends rule="d219402e0-false-d219408e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('467') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '467' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('CE') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Table) = ('HL70066') or not(@Table)">(IN1_segment_Lab2Lab): de waarde van Table MOET 'HL70066' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Insured''s Employment Status') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Insured''s Employment Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.42
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d219402e0-false-d219408e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.42/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.42/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.42/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.42/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.42/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.42/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.42/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.42/hl7v2:CE.3">
      <extends rule="d219552e0-false-d219558e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.42/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d219552e0-false-d219558e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.42/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.42/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.42/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.42/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.42/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.42/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.42/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.42/hl7v2:CE.6">
      <extends rule="d219671e0-false-d219677e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.42/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d219671e0-false-d219677e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.43
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.43">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('468') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '468' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Table) = ('HL70001') or not(@Table)">(IN1_segment_Lab2Lab): de waarde van Table MOET 'HL70001' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Insured''s Administrative Sex') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Insured''s Administrative Sex' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.43
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44">
      <extends rule="d219769e0-false-d219775e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('469') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '469' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('XAD') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'XAD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Insured''s Employer''s Address') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Insured''s Employer''s Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1" id="d219769e0-false-d219775e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.1) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.2) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.3) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.4) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.5) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.6) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.7) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.8) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.9) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.10) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.11) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.12) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.13) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.14) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.1
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.1">
      <extends rule="d219901e0-false-d219907e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('SAD') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'SAD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Street Address') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Street Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.1
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1" id="d219901e0-false-d219907e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.1) &lt;= 1">(SAD_datatype): element hl7v2:SAD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.2) &lt;= 1">(SAD_datatype): element hl7v2:SAD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.3) &lt;= 1">(SAD_datatype): element hl7v2:SAD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.1/hl7v2:SAD.1
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.1/hl7v2:SAD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Street or Mailing Address') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Street or Mailing Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.1/hl7v2:SAD.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.1/hl7v2:SAD.2
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.1/hl7v2:SAD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Street Name') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Street Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.1/hl7v2:SAD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.1/hl7v2:SAD.3
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.1/hl7v2:SAD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Dwelling Number') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Dwelling Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.1/hl7v2:SAD.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.2
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Other Designation') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Other Designation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.3
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('City') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'City' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.4
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('State or Province') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'State or Province' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.5
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Zip or Postal Code') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Zip or Postal Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.6
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.6">
      <extends rule="d220201e0-false-d220207e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70399') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70399' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Country') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Country' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d220201e0-false-d220207e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.7
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.7">
      <extends rule="d220263e0-false-d220269e0"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70190') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70190' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Address Type') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Address Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d220263e0-false-d220269e0" abstract="true">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.25.11.409-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ID_datatype): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.25.11.409 Adrestype HL7v2 NL (DYNAMISCH)'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.8
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Other Geographic Designation') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Other Geographic Designation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.9
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('IS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70289') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70289' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('County/Parish Code') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'County/Parish Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.10
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('IS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70288') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70288' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Census Tract') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Census Tract' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.10
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.11
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.11">
      <extends rule="d220439e0-false-d220445e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Address Representation Code') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Address Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d220439e0-false-d220445e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.12
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.12">
      <extends rule="d220484e0-false-d220490e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('DR') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Address Validity Range') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Address Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.12
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d220484e0-false-d220490e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.12/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.12/hl7v2:DR.1">
      <extends rule="d220532e0-false-d220538e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.12/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d220532e0-false-d220538e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d220620e0-false-d220626e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d220620e0-false-d220626e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.12/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.12/hl7v2:DR.2">
      <extends rule="d220666e0-false-d220672e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.12/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d220666e0-false-d220672e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d220754e0-false-d220760e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d220754e0-false-d220760e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.13
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.13">
      <extends rule="d220801e0-false-d220807e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('TS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d220801e0-false-d220807e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.13/hl7v2:TS.2">
      <extends rule="d220889e0-false-d220895e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d220889e0-false-d220895e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.14
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.14">
      <extends rule="d220935e0-false-d220941e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('TS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d220935e0-false-d220941e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.14/hl7v2:TS.2">
      <extends rule="d221023e0-false-d221029e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.44/hl7v2:XAD.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d221023e0-false-d221029e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.45
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.45">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('470') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '470' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('ST') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Verification Status') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Verification Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.45
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.46
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.46">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('471') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '471' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Table) = ('HL70072') or not(@Table)">(IN1_segment_Lab2Lab): de waarde van Table MOET 'HL70072' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Prior Insurance Plan ID') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Prior Insurance Plan ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.46
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.47
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.47">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('1227') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '1227' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Table) = ('HL70309') or not(@Table)">(IN1_segment_Lab2Lab): de waarde van Table MOET 'HL70309' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Coverage Type') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Coverage Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.47
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.48
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.48">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('753') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '753' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Table) = ('HL70295') or not(@Table)">(IN1_segment_Lab2Lab): de waarde van Table MOET 'HL70295' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Handicap') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Handicap' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.48
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49">
      <extends rule="d221254e0-false-d221260e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('1230') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '1230' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('CX') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Insured''s ID Number') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Insured''s ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d221254e0-false-d221260e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.3">
      <extends rule="d221432e0-false-d221438e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d221432e0-false-d221438e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.4">
      <extends rule="d221483e0-false-d221489e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d221483e0-false-d221489e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d221618e0-false-d221624e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d221618e0-false-d221624e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.5">
      <extends rule="d221670e0-false-d221676e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d221670e0-false-d221676e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.6">
      <extends rule="d221715e0-false-d221721e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d221715e0-false-d221721e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d221850e0-false-d221856e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d221850e0-false-d221856e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.9">
      <extends rule="d221964e0-false-d221970e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d221964e0-false-d221970e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d222135e0-false-d222141e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d222135e0-false-d222141e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d222254e0-false-d222260e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d222254e0-false-d222260e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.10">
      <extends rule="d222402e0-false-d222408e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d222402e0-false-d222408e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d222573e0-false-d222579e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d222573e0-false-d222579e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d222692e0-false-d222698e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d222692e0-false-d222698e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.49/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.50
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.50">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('1854') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '1854' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Table) = ('HL70535') or not(@Table)">(IN1_segment_Lab2Lab): de waarde van Table MOET 'HL70535' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Signature Code') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Signature Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.50
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.51
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.51">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('1855') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '1855' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('DT') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Signature Code Date') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Signature Code Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.51
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.52
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.52">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('1899') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '1899' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('ST') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('Insured_s Birth Place') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'Insured_s Birth Place' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.52
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.4
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.53
Item: (IN1_segment_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.53">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Item) = ('1852') or not(@Item)">(IN1_segment_Lab2Lab): de waarde van Item MOET '1852' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN1_segment_Lab2Lab): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@Table) = ('HL70099') or not(@Table)">(IN1_segment_Lab2Lab): de waarde van Table MOET 'HL70099' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.4-2015-07-21T144808.html"
              test="string(@LongName) = ('VIP Indicator') or not(@LongName)">(IN1_segment_Lab2Lab): de waarde van LongName MOET 'VIP Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN1/hl7v2:IN1.53
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.2) &lt;= 1">(IN2_segment): element hl7v2:IN2.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.4) &lt;= 1">(IN2_segment): element hl7v2:IN2.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.6) &lt;= 1">(IN2_segment): element hl7v2:IN2.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.8) &lt;= 1">(IN2_segment): element hl7v2:IN2.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.10) &lt;= 1">(IN2_segment): element hl7v2:IN2.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.11) &lt;= 1">(IN2_segment): element hl7v2:IN2.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.12) &lt;= 1">(IN2_segment): element hl7v2:IN2.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.13) &lt;= 1">(IN2_segment): element hl7v2:IN2.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.14) &lt;= 1">(IN2_segment): element hl7v2:IN2.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.15) &lt;= 1">(IN2_segment): element hl7v2:IN2.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.16) &lt;= 1">(IN2_segment): element hl7v2:IN2.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.17) &lt;= 1">(IN2_segment): element hl7v2:IN2.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.18) &lt;= 1">(IN2_segment): element hl7v2:IN2.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.19) &lt;= 1">(IN2_segment): element hl7v2:IN2.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.20) &lt;= 1">(IN2_segment): element hl7v2:IN2.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.21) &lt;= 1">(IN2_segment): element hl7v2:IN2.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.23) &lt;= 1">(IN2_segment): element hl7v2:IN2.23 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.27) &lt;= 1">(IN2_segment): element hl7v2:IN2.27 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.30) &lt;= 1">(IN2_segment): element hl7v2:IN2.30 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.31) &lt;= 1">(IN2_segment): element hl7v2:IN2.31 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.34) &lt;= 1">(IN2_segment): element hl7v2:IN2.34 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.35) &lt;= 1">(IN2_segment): element hl7v2:IN2.35 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.36) &lt;= 1">(IN2_segment): element hl7v2:IN2.36 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.37) &lt;= 1">(IN2_segment): element hl7v2:IN2.37 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.38) &lt;= 1">(IN2_segment): element hl7v2:IN2.38 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.39) &lt;= 1">(IN2_segment): element hl7v2:IN2.39 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.41) &lt;= 1">(IN2_segment): element hl7v2:IN2.41 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.44) &lt;= 1">(IN2_segment): element hl7v2:IN2.44 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.45) &lt;= 1">(IN2_segment): element hl7v2:IN2.45 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.46) &lt;= 1">(IN2_segment): element hl7v2:IN2.46 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.47) &lt;= 1">(IN2_segment): element hl7v2:IN2.47 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.48) &lt;= 1">(IN2_segment): element hl7v2:IN2.48 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.51) &lt;= 1">(IN2_segment): element hl7v2:IN2.51 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.55) &lt;= 1">(IN2_segment): element hl7v2:IN2.55 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.57) &lt;= 1">(IN2_segment): element hl7v2:IN2.57 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.58) &lt;= 1">(IN2_segment): element hl7v2:IN2.58 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.59) &lt;= 1">(IN2_segment): element hl7v2:IN2.59 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.60) &lt;= 1">(IN2_segment): element hl7v2:IN2.60 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.61) &lt;= 1">(IN2_segment): element hl7v2:IN2.61 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.62) &lt;= 1">(IN2_segment): element hl7v2:IN2.62 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.65) &lt;= 1">(IN2_segment): element hl7v2:IN2.65 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.66) &lt;= 1">(IN2_segment): element hl7v2:IN2.66 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.67) &lt;= 1">(IN2_segment): element hl7v2:IN2.67 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.68) &lt;= 1">(IN2_segment): element hl7v2:IN2.68 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="count(hl7v2:IN2.72) &lt;= 1">(IN2_segment): element hl7v2:IN2.72 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1">
      <extends rule="d223410e0-false-d223416e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('472') or not(@Item)">(IN2_segment): de waarde van Item MOET '472' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('CX') or not(@Type)">(IN2_segment): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Insured''s Employee ID') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Insured''s Employee ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d223410e0-false-d223416e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.3">
      <extends rule="d223588e0-false-d223594e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d223588e0-false-d223594e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.4">
      <extends rule="d223639e0-false-d223645e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d223639e0-false-d223645e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d223774e0-false-d223780e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d223774e0-false-d223780e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.5">
      <extends rule="d223826e0-false-d223832e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d223826e0-false-d223832e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.6">
      <extends rule="d223871e0-false-d223877e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d223871e0-false-d223877e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d224006e0-false-d224012e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d224006e0-false-d224012e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.9">
      <extends rule="d224120e0-false-d224126e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d224120e0-false-d224126e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d224291e0-false-d224297e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d224291e0-false-d224297e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d224410e0-false-d224416e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d224410e0-false-d224416e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.10">
      <extends rule="d224558e0-false-d224564e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d224558e0-false-d224564e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d224729e0-false-d224735e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d224729e0-false-d224735e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d224848e0-false-d224854e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d224848e0-false-d224854e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.1/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.2
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('473') or not(@Item)">(IN2_segment): de waarde van Item MOET '473' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(IN2_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Insured''s Social Security Number') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Insured''s Social Security Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3">
      <extends rule="d225043e0-false-d225049e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('474') or not(@Item)">(IN2_segment): de waarde van Item MOET '474' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(IN2_segment): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Insured''s Employer''s Name and ID') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Insured''s Employer''s Name and ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d225043e0-false-d225049e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.2">
      <extends rule="d225272e0-false-d225278e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d225272e0-false-d225278e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.9">
      <extends rule="d225734e0-false-d225740e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d225734e0-false-d225740e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d225869e0-false-d225875e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d225869e0-false-d225875e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.10">
      <extends rule="d225921e0-false-d225927e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d225921e0-false-d225927e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.12">
      <extends rule="d226006e0-false-d226012e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d226006e0-false-d226012e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.13">
      <extends rule="d226057e0-false-d226063e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d226057e0-false-d226063e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.14">
      <extends rule="d226102e0-false-d226108e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d226102e0-false-d226108e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d226237e0-false-d226243e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d226237e0-false-d226243e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.15">
      <extends rule="d226289e0-false-d226295e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d226289e0-false-d226295e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.16">
      <extends rule="d226340e0-false-d226346e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d226340e0-false-d226346e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d226490e0-false-d226496e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d226490e0-false-d226496e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d226609e0-false-d226615e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d226609e0-false-d226615e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.17">
      <extends rule="d226655e0-false-d226661e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d226655e0-false-d226661e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d226703e0-false-d226709e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d226703e0-false-d226709e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d226791e0-false-d226797e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d226791e0-false-d226797e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d226837e0-false-d226843e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d226837e0-false-d226843e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d226925e0-false-d226931e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d226925e0-false-d226931e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.18">
      <extends rule="d226978e0-false-d226984e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d226978e0-false-d226984e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.19">
      <extends rule="d227023e0-false-d227029e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d227023e0-false-d227029e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d227111e0-false-d227117e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d227111e0-false-d227117e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.20">
      <extends rule="d227157e0-false-d227163e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d227157e0-false-d227163e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d227245e0-false-d227251e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d227245e0-false-d227251e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.22">
      <extends rule="d227325e0-false-d227331e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d227325e0-false-d227331e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d227496e0-false-d227502e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d227496e0-false-d227502e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d227615e0-false-d227621e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d227615e0-false-d227621e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.23">
      <extends rule="d227763e0-false-d227769e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d227763e0-false-d227769e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d227934e0-false-d227940e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d227934e0-false-d227940e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d228053e0-false-d228059e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d228053e0-false-d228059e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.3/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.4
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('475') or not(@Item)">(IN2_segment): de waarde van Item MOET '475' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70139') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70139' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Employer Information Data') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Employer Information Data' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.4
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.5
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('476') or not(@Item)">(IN2_segment): de waarde van Item MOET '476' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70137') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70137' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Mail Claim Party') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Mail Claim Party' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.5
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.6
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('477') or not(@Item)">(IN2_segment): de waarde van Item MOET '477' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(IN2_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Medicare Health Ins Card Number') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Medicare Health Ins Card Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7">
      <extends rule="d228340e0-false-d228346e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('478') or not(@Item)">(IN2_segment): de waarde van Item MOET '478' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('XPN') or not(@Type)">(IN2_segment): de waarde van Type MOET 'XPN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Medicaid Case Name') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Medicaid Case Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1" id="d228340e0-false-d228346e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.1) &lt;= 1">(XPN_datatype): element hl7v2:XPN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.2) &lt;= 1">(XPN_datatype): element hl7v2:XPN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.3) &lt;= 1">(XPN_datatype): element hl7v2:XPN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.4) &lt;= 1">(XPN_datatype): element hl7v2:XPN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.5) &lt;= 1">(XPN_datatype): element hl7v2:XPN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.6) &lt;= 1">(XPN_datatype): element hl7v2:XPN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.7) &lt;= 1">(XPN_datatype): element hl7v2:XPN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.8) &lt;= 1">(XPN_datatype): element hl7v2:XPN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.9) &lt;= 1">(XPN_datatype): element hl7v2:XPN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.10) &lt;= 1">(XPN_datatype): element hl7v2:XPN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.11) &lt;= 1">(XPN_datatype): element hl7v2:XPN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.12) &lt;= 1">(XPN_datatype): element hl7v2:XPN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.13) &lt;= 1">(XPN_datatype): element hl7v2:XPN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.14) &lt;= 1">(XPN_datatype): element hl7v2:XPN.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.1
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.1">
      <extends rule="d228472e0-false-d228478e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d228472e0-false-d228478e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.1/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.1/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.1/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.1/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.1/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.1/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.1/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.1/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.1/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.1/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.1/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.1/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.1/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.1/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.1/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.2
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.3
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.4
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.5
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.6
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.7
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.7">
      <extends rule="d228894e0-false-d228900e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d228894e0-false-d228900e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.8
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.8">
      <extends rule="d228945e0-false-d228951e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.8
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d228945e0-false-d228951e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.9
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.9">
      <extends rule="d228996e0-false-d229002e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.9
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d228996e0-false-d229002e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.9/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.9/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.9/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.9/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.9/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.9/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.9/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.9/hl7v2:CE.3">
      <extends rule="d229146e0-false-d229152e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.9/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d229146e0-false-d229152e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.9/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.9/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.9/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.9/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.9/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.9/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.9/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.9/hl7v2:CE.6">
      <extends rule="d229265e0-false-d229271e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.9/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d229265e0-false-d229271e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.10
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.10">
      <extends rule="d229311e0-false-d229317e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.10
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d229311e0-false-d229317e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.10/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.10/hl7v2:DR.1">
      <extends rule="d229359e0-false-d229365e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.10/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d229359e0-false-d229365e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d229447e0-false-d229453e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d229447e0-false-d229453e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.10/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.10/hl7v2:DR.2">
      <extends rule="d229493e0-false-d229499e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.10/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d229493e0-false-d229499e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d229581e0-false-d229587e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d229581e0-false-d229587e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.11
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.11">
      <extends rule="d229634e0-false-d229640e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d229634e0-false-d229640e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.12
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.12">
      <extends rule="d229679e0-false-d229685e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d229679e0-false-d229685e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.12/hl7v2:TS.2">
      <extends rule="d229767e0-false-d229773e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d229767e0-false-d229773e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.13
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.13">
      <extends rule="d229813e0-false-d229819e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d229813e0-false-d229819e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.13/hl7v2:TS.2">
      <extends rule="d229901e0-false-d229907e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d229901e0-false-d229907e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.14
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.7/hl7v2:XPN.14
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.8
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('479') or not(@Item)">(IN2_segment): de waarde van Item MOET '479' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(IN2_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Medicaid Case Number') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Medicaid Case Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9">
      <extends rule="d230028e0-false-d230034e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('480') or not(@Item)">(IN2_segment): de waarde van Item MOET '480' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('XPN') or not(@Type)">(IN2_segment): de waarde van Type MOET 'XPN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Military Sponsor Name') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Military Sponsor Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1" id="d230028e0-false-d230034e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.1) &lt;= 1">(XPN_datatype): element hl7v2:XPN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.2) &lt;= 1">(XPN_datatype): element hl7v2:XPN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.3) &lt;= 1">(XPN_datatype): element hl7v2:XPN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.4) &lt;= 1">(XPN_datatype): element hl7v2:XPN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.5) &lt;= 1">(XPN_datatype): element hl7v2:XPN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.6) &lt;= 1">(XPN_datatype): element hl7v2:XPN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.7) &lt;= 1">(XPN_datatype): element hl7v2:XPN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.8) &lt;= 1">(XPN_datatype): element hl7v2:XPN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.9) &lt;= 1">(XPN_datatype): element hl7v2:XPN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.10) &lt;= 1">(XPN_datatype): element hl7v2:XPN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.11) &lt;= 1">(XPN_datatype): element hl7v2:XPN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.12) &lt;= 1">(XPN_datatype): element hl7v2:XPN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.13) &lt;= 1">(XPN_datatype): element hl7v2:XPN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.14) &lt;= 1">(XPN_datatype): element hl7v2:XPN.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.1
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.1">
      <extends rule="d230160e0-false-d230166e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d230160e0-false-d230166e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.1/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.1/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.1/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.1/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.1/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.1/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.1/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.1/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.1/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.1/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.1/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.1/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.1/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.1/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.1/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.2
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.3
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.4
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.5
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.6
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.7
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.7">
      <extends rule="d230582e0-false-d230588e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d230582e0-false-d230588e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.8
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.8">
      <extends rule="d230633e0-false-d230639e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.8
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d230633e0-false-d230639e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.9
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.9">
      <extends rule="d230684e0-false-d230690e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.9
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d230684e0-false-d230690e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.9/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.9/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.9/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.9/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.9/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.9/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.9/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.9/hl7v2:CE.3">
      <extends rule="d230834e0-false-d230840e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.9/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d230834e0-false-d230840e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.9/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.9/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.9/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.9/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.9/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.9/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.9/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.9/hl7v2:CE.6">
      <extends rule="d230953e0-false-d230959e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.9/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d230953e0-false-d230959e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.10
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.10">
      <extends rule="d230999e0-false-d231005e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.10
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d230999e0-false-d231005e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.10/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.10/hl7v2:DR.1">
      <extends rule="d231047e0-false-d231053e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.10/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d231047e0-false-d231053e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d231135e0-false-d231141e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d231135e0-false-d231141e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.10/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.10/hl7v2:DR.2">
      <extends rule="d231181e0-false-d231187e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.10/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d231181e0-false-d231187e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d231269e0-false-d231275e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d231269e0-false-d231275e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.11
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.11">
      <extends rule="d231322e0-false-d231328e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d231322e0-false-d231328e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.12
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.12">
      <extends rule="d231367e0-false-d231373e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d231367e0-false-d231373e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.12/hl7v2:TS.2">
      <extends rule="d231455e0-false-d231461e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d231455e0-false-d231461e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.13
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.13">
      <extends rule="d231501e0-false-d231507e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d231501e0-false-d231507e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.13/hl7v2:TS.2">
      <extends rule="d231589e0-false-d231595e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d231589e0-false-d231595e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.14
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.9/hl7v2:XPN.14
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.10
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('481') or not(@Item)">(IN2_segment): de waarde van Item MOET '481' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(IN2_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Military ID Number') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Military ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.11
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.11">
      <extends rule="d231722e0-false-d231728e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('482') or not(@Item)">(IN2_segment): de waarde van Item MOET '482' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(IN2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70342') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70342' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Dependent Of Military Recipient') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Dependent Of Military Recipient' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.11
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d231722e0-false-d231728e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.11/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.11/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.11/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.11/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.11/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.11/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.11/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.11/hl7v2:CE.3">
      <extends rule="d231872e0-false-d231878e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.11/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d231872e0-false-d231878e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.11/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.11/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.11/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.11/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.11/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.11/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.11/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.11/hl7v2:CE.6">
      <extends rule="d231991e0-false-d231997e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.11/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d231991e0-false-d231997e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.12
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('483') or not(@Item)">(IN2_segment): de waarde van Item MOET '483' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(IN2_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Military Organization') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Military Organization' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.12
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.13
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('484') or not(@Item)">(IN2_segment): de waarde van Item MOET '484' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(IN2_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Military Station') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Military Station' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.13
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.14
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('485') or not(@Item)">(IN2_segment): de waarde van Item MOET '485' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70140') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70140' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Military Service') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Military Service' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.14
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.15
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.15">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('486') or not(@Item)">(IN2_segment): de waarde van Item MOET '486' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70141') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70141' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Military Rank/Grade') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Military Rank/Grade' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.15
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.16
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.16">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('487') or not(@Item)">(IN2_segment): de waarde van Item MOET '487' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70142') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70142' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Military Status') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Military Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.16
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.17
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.17">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('488') or not(@Item)">(IN2_segment): de waarde van Item MOET '488' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(IN2_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Military Retire Date') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Military Retire Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.17
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.18
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.18">
      <extends rule="d232307e0-false-d232313e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('489') or not(@Item)">(IN2_segment): de waarde van Item MOET '489' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(IN2_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Military Non-Avail Cert On File') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Military Non-Avail Cert On File' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d232307e0-false-d232313e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.19
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.19">
      <extends rule="d232364e0-false-d232370e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('490') or not(@Item)">(IN2_segment): de waarde van Item MOET '490' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(IN2_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Baby Coverage') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Baby Coverage' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.19
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d232364e0-false-d232370e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.20
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.20">
      <extends rule="d232421e0-false-d232427e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('491') or not(@Item)">(IN2_segment): de waarde van Item MOET '491' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(IN2_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Combine Baby Bill') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Combine Baby Bill' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.20
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d232421e0-false-d232427e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.21
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('492') or not(@Item)">(IN2_segment): de waarde van Item MOET '492' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(IN2_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Blood Deductible') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Blood Deductible' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22">
      <extends rule="d232512e0-false-d232518e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('493') or not(@Item)">(IN2_segment): de waarde van Item MOET '493' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('XPN') or not(@Type)">(IN2_segment): de waarde van Type MOET 'XPN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Special Coverage Approval Name') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Special Coverage Approval Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1" id="d232512e0-false-d232518e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.1) &lt;= 1">(XPN_datatype): element hl7v2:XPN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.2) &lt;= 1">(XPN_datatype): element hl7v2:XPN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.3) &lt;= 1">(XPN_datatype): element hl7v2:XPN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.4) &lt;= 1">(XPN_datatype): element hl7v2:XPN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.5) &lt;= 1">(XPN_datatype): element hl7v2:XPN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.6) &lt;= 1">(XPN_datatype): element hl7v2:XPN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.7) &lt;= 1">(XPN_datatype): element hl7v2:XPN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.8) &lt;= 1">(XPN_datatype): element hl7v2:XPN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.9) &lt;= 1">(XPN_datatype): element hl7v2:XPN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.10) &lt;= 1">(XPN_datatype): element hl7v2:XPN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.11) &lt;= 1">(XPN_datatype): element hl7v2:XPN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.12) &lt;= 1">(XPN_datatype): element hl7v2:XPN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.13) &lt;= 1">(XPN_datatype): element hl7v2:XPN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.14) &lt;= 1">(XPN_datatype): element hl7v2:XPN.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.1
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.1">
      <extends rule="d232644e0-false-d232650e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d232644e0-false-d232650e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.1/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.1/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.1/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.1/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.1/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.1/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.1/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.1/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.1/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.1/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.1/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.1/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.1/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.1/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.1/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.2
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.3
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.4
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.5
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.6
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.7
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.7">
      <extends rule="d233066e0-false-d233072e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d233066e0-false-d233072e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.8
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.8">
      <extends rule="d233117e0-false-d233123e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.8
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d233117e0-false-d233123e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.9
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.9">
      <extends rule="d233168e0-false-d233174e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.9
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d233168e0-false-d233174e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.9/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.9/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.9/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.9/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.9/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.9/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.9/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.9/hl7v2:CE.3">
      <extends rule="d233318e0-false-d233324e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.9/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d233318e0-false-d233324e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.9/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.9/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.9/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.9/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.9/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.9/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.9/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.9/hl7v2:CE.6">
      <extends rule="d233437e0-false-d233443e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.9/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d233437e0-false-d233443e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.10
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.10">
      <extends rule="d233483e0-false-d233489e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.10
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d233483e0-false-d233489e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.10/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.10/hl7v2:DR.1">
      <extends rule="d233531e0-false-d233537e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.10/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d233531e0-false-d233537e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d233619e0-false-d233625e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d233619e0-false-d233625e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.10/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.10/hl7v2:DR.2">
      <extends rule="d233665e0-false-d233671e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.10/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d233665e0-false-d233671e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d233753e0-false-d233759e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d233753e0-false-d233759e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.11
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.11">
      <extends rule="d233806e0-false-d233812e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d233806e0-false-d233812e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.12
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.12">
      <extends rule="d233851e0-false-d233857e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d233851e0-false-d233857e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.12/hl7v2:TS.2">
      <extends rule="d233939e0-false-d233945e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d233939e0-false-d233945e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.13
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.13">
      <extends rule="d233985e0-false-d233991e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d233985e0-false-d233991e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.13/hl7v2:TS.2">
      <extends rule="d234073e0-false-d234079e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d234073e0-false-d234079e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.14
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.22/hl7v2:XPN.14
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.23
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.23">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('494') or not(@Item)">(IN2_segment): de waarde van Item MOET '494' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(IN2_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Special Coverage Approval Title') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Special Coverage Approval Title' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.23
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.24
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.24">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('495') or not(@Item)">(IN2_segment): de waarde van Item MOET '495' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70143') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70143' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Non-Covered Insurance Code') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Non-Covered Insurance Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.24
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25">
      <extends rule="d234246e0-false-d234252e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('496') or not(@Item)">(IN2_segment): de waarde van Item MOET '496' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('CX') or not(@Type)">(IN2_segment): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Payor ID') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Payor ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d234246e0-false-d234252e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.3">
      <extends rule="d234424e0-false-d234430e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d234424e0-false-d234430e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.4">
      <extends rule="d234475e0-false-d234481e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d234475e0-false-d234481e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d234610e0-false-d234616e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d234610e0-false-d234616e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.5">
      <extends rule="d234662e0-false-d234668e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d234662e0-false-d234668e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.6">
      <extends rule="d234707e0-false-d234713e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d234707e0-false-d234713e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d234842e0-false-d234848e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d234842e0-false-d234848e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.9">
      <extends rule="d234956e0-false-d234962e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d234956e0-false-d234962e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d235127e0-false-d235133e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d235127e0-false-d235133e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d235246e0-false-d235252e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d235246e0-false-d235252e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.10">
      <extends rule="d235394e0-false-d235400e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d235394e0-false-d235400e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d235565e0-false-d235571e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d235565e0-false-d235571e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d235684e0-false-d235690e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d235684e0-false-d235690e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.25/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26">
      <extends rule="d235839e0-false-d235845e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('497') or not(@Item)">(IN2_segment): de waarde van Item MOET '497' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('CX') or not(@Type)">(IN2_segment): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Payor Subscriber ID') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Payor Subscriber ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d235839e0-false-d235845e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.3">
      <extends rule="d236017e0-false-d236023e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d236017e0-false-d236023e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.4">
      <extends rule="d236068e0-false-d236074e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d236068e0-false-d236074e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d236203e0-false-d236209e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d236203e0-false-d236209e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.5">
      <extends rule="d236255e0-false-d236261e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d236255e0-false-d236261e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.6">
      <extends rule="d236300e0-false-d236306e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d236300e0-false-d236306e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d236435e0-false-d236441e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d236435e0-false-d236441e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.9">
      <extends rule="d236549e0-false-d236555e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d236549e0-false-d236555e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d236720e0-false-d236726e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d236720e0-false-d236726e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d236839e0-false-d236845e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d236839e0-false-d236845e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.10">
      <extends rule="d236987e0-false-d236993e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d236987e0-false-d236993e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d237158e0-false-d237164e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d237158e0-false-d237164e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d237277e0-false-d237283e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d237277e0-false-d237283e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.26/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.27
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.27">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('498') or not(@Item)">(IN2_segment): de waarde van Item MOET '498' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70144') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70144' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Eligibility Source') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Eligibility Source' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.27
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.28
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.28">
      <extends rule="d237478e0-false-d237484e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('499') or not(@Item)">(IN2_segment): de waarde van Item MOET '499' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('RMC') or not(@Type)">(IN2_segment): de waarde van Type MOET 'RMC' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Room Coverage Type/Amount') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Room Coverage Type/Amount' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.55
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.28
Item: (RMC_datatype)
-->
   <rule fpi="RULC-1" id="d237478e0-false-d237484e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.55-2013-02-10T000000.html"
              test="count(hl7v2:RMC.1) &lt;= 1">(RMC_datatype): element hl7v2:RMC.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.55-2013-02-10T000000.html"
              test="count(hl7v2:RMC.2) &lt;= 1">(RMC_datatype): element hl7v2:RMC.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.55-2013-02-10T000000.html"
              test="count(hl7v2:RMC.3) &lt;= 1">(RMC_datatype): element hl7v2:RMC.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.55-2013-02-10T000000.html"
              test="count(hl7v2:RMC.4) &lt;= 1">(RMC_datatype): element hl7v2:RMC.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.55
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.28/hl7v2:RMC.1
Item: (RMC_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.28/hl7v2:RMC.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.55-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(RMC_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.55-2013-02-10T000000.html"
              test="string(@Table) = ('HL70145') or not(@Table)">(RMC_datatype): de waarde van Table MOET 'HL70145' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.55-2013-02-10T000000.html"
              test="string(@LongName) = ('Room Type') or not(@LongName)">(RMC_datatype): de waarde van LongName MOET 'Room Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.28/hl7v2:RMC.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.55
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.28/hl7v2:RMC.2
Item: (RMC_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.28/hl7v2:RMC.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.55-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(RMC_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.55-2013-02-10T000000.html"
              test="string(@Table) = ('HL70146') or not(@Table)">(RMC_datatype): de waarde van Table MOET 'HL70146' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.55-2013-02-10T000000.html"
              test="string(@LongName) = ('Amount Type') or not(@LongName)">(RMC_datatype): de waarde van LongName MOET 'Amount Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.28/hl7v2:RMC.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.55
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.28/hl7v2:RMC.3
Item: (RMC_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.28/hl7v2:RMC.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.55-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(RMC_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.55-2013-02-10T000000.html"
              test="string(@LongName) = ('Coverage Amount') or not(@LongName)">(RMC_datatype): de waarde van LongName MOET 'Coverage Amount' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.28/hl7v2:RMC.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.55
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.28/hl7v2:RMC.4
Item: (RMC_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.28/hl7v2:RMC.4">
      <extends rule="d237654e0-false-d237660e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.55-2013-02-10T000000.html"
              test="string(@Type) = ('MOP') or not(@Type)">(RMC_datatype): de waarde van Type MOET 'MOP' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.55-2013-02-10T000000.html"
              test="string(@LongName) = ('Money or Percentage') or not(@LongName)">(RMC_datatype): de waarde van LongName MOET 'Money or Percentage' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.35
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.28/hl7v2:RMC.4
Item: (MOP_datatype)
-->
   <rule fpi="RULC-1" id="d237654e0-false-d237660e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.35-2013-02-10T000000.html"
              test="count(hl7v2:MOP.1) &lt;= 1">(MOP_datatype): element hl7v2:MOP.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.35-2013-02-10T000000.html"
              test="count(hl7v2:MOP.2) &lt;= 1">(MOP_datatype): element hl7v2:MOP.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.35-2013-02-10T000000.html"
              test="count(hl7v2:MOP.3) &lt;= 1">(MOP_datatype): element hl7v2:MOP.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.35
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.28/hl7v2:RMC.4/hl7v2:MOP.1
Item: (MOP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.28/hl7v2:RMC.4/hl7v2:MOP.1">
      <extends rule="d237715e0-false-d237721e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.35-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(MOP_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.35-2013-02-10T000000.html"
              test="string(@Table) = ('HL70148') or not(@Table)">(MOP_datatype): de waarde van Table MOET 'HL70148' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.35-2013-02-10T000000.html"
              test="string(@LongName) = ('Money or Percentage Indicator') or not(@LongName)">(MOP_datatype): de waarde van LongName MOET 'Money or Percentage Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.28/hl7v2:RMC.4/hl7v2:MOP.1
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d237715e0-false-d237721e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.35
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.28/hl7v2:RMC.4/hl7v2:MOP.2
Item: (MOP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.28/hl7v2:RMC.4/hl7v2:MOP.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.35-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(MOP_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.35-2013-02-10T000000.html"
              test="string(@LongName) = ('Money or Percentage Quantity') or not(@LongName)">(MOP_datatype): de waarde van LongName MOET 'Money or Percentage Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.28/hl7v2:RMC.4/hl7v2:MOP.2
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.35
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.28/hl7v2:RMC.4/hl7v2:MOP.3
Item: (MOP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.28/hl7v2:RMC.4/hl7v2:MOP.3">
      <extends rule="d237794e0-false-d237800e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.35-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(MOP_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.35-2013-02-10T000000.html"
              test="string(@LongName) = ('Currency Denomination') or not(@LongName)">(MOP_datatype): de waarde van LongName MOET 'Currency Denomination' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.28/hl7v2:RMC.4/hl7v2:MOP.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d237794e0-false-d237800e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.29
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.29">
      <extends rule="d237847e0-false-d237853e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('500') or not(@Item)">(IN2_segment): de waarde van Item MOET '500' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('PTA') or not(@Type)">(IN2_segment): de waarde van Type MOET 'PTA' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Policy Type/Amount') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Policy Type/Amount' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.49
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.29
Item: (PTA_datatype)
-->
   <rule fpi="RULC-1" id="d237847e0-false-d237853e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.49-2013-02-10T000000.html"
              test="count(hl7v2:PTA.1) &lt;= 1">(PTA_datatype): element hl7v2:PTA.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.49-2013-02-10T000000.html"
              test="count(hl7v2:PTA.2) &lt;= 1">(PTA_datatype): element hl7v2:PTA.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.49-2013-02-10T000000.html"
              test="count(hl7v2:PTA.3) &lt;= 1">(PTA_datatype): element hl7v2:PTA.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.49-2013-02-10T000000.html"
              test="count(hl7v2:PTA.4) &lt;= 1">(PTA_datatype): element hl7v2:PTA.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.49
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.29/hl7v2:PTA.1
Item: (PTA_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.29/hl7v2:PTA.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.49-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PTA_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.49-2013-02-10T000000.html"
              test="string(@Table) = ('HL70147') or not(@Table)">(PTA_datatype): de waarde van Table MOET 'HL70147' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.49-2013-02-10T000000.html"
              test="string(@LongName) = ('Policy Type') or not(@LongName)">(PTA_datatype): de waarde van LongName MOET 'Policy Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.29/hl7v2:PTA.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.49
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.29/hl7v2:PTA.2
Item: (PTA_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.29/hl7v2:PTA.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.49-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PTA_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.49-2013-02-10T000000.html"
              test="string(@Table) = ('HL70193') or not(@Table)">(PTA_datatype): de waarde van Table MOET 'HL70193' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.49-2013-02-10T000000.html"
              test="string(@LongName) = ('Amount Class') or not(@LongName)">(PTA_datatype): de waarde van LongName MOET 'Amount Class' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.29/hl7v2:PTA.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.49
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.29/hl7v2:PTA.3
Item: (PTA_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.29/hl7v2:PTA.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.49-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(PTA_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.49-2013-02-10T000000.html"
              test="string(@LongName) = ('Money or Percentage Quantity') or not(@LongName)">(PTA_datatype): de waarde van LongName MOET 'Money or Percentage Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.29/hl7v2:PTA.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.49
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.29/hl7v2:PTA.4
Item: (PTA_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.29/hl7v2:PTA.4">
      <extends rule="d238023e0-false-d238029e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.49-2013-02-10T000000.html"
              test="string(@Type) = ('MOP') or not(@Type)">(PTA_datatype): de waarde van Type MOET 'MOP' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.49-2013-02-10T000000.html"
              test="string(@LongName) = ('Money or Percentage') or not(@LongName)">(PTA_datatype): de waarde van LongName MOET 'Money or Percentage' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.35
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.29/hl7v2:PTA.4
Item: (MOP_datatype)
-->
   <rule fpi="RULC-1" id="d238023e0-false-d238029e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.35-2013-02-10T000000.html"
              test="count(hl7v2:MOP.1) &lt;= 1">(MOP_datatype): element hl7v2:MOP.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.35-2013-02-10T000000.html"
              test="count(hl7v2:MOP.2) &lt;= 1">(MOP_datatype): element hl7v2:MOP.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.35-2013-02-10T000000.html"
              test="count(hl7v2:MOP.3) &lt;= 1">(MOP_datatype): element hl7v2:MOP.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.35
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.29/hl7v2:PTA.4/hl7v2:MOP.1
Item: (MOP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.29/hl7v2:PTA.4/hl7v2:MOP.1">
      <extends rule="d238084e0-false-d238090e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.35-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(MOP_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.35-2013-02-10T000000.html"
              test="string(@Table) = ('HL70148') or not(@Table)">(MOP_datatype): de waarde van Table MOET 'HL70148' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.35-2013-02-10T000000.html"
              test="string(@LongName) = ('Money or Percentage Indicator') or not(@LongName)">(MOP_datatype): de waarde van LongName MOET 'Money or Percentage Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.29/hl7v2:PTA.4/hl7v2:MOP.1
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d238084e0-false-d238090e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.35
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.29/hl7v2:PTA.4/hl7v2:MOP.2
Item: (MOP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.29/hl7v2:PTA.4/hl7v2:MOP.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.35-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(MOP_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.35-2013-02-10T000000.html"
              test="string(@LongName) = ('Money or Percentage Quantity') or not(@LongName)">(MOP_datatype): de waarde van LongName MOET 'Money or Percentage Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.29/hl7v2:PTA.4/hl7v2:MOP.2
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.35
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.29/hl7v2:PTA.4/hl7v2:MOP.3
Item: (MOP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.29/hl7v2:PTA.4/hl7v2:MOP.3">
      <extends rule="d238163e0-false-d238169e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.35-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(MOP_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.35-2013-02-10T000000.html"
              test="string(@LongName) = ('Currency Denomination') or not(@LongName)">(MOP_datatype): de waarde van LongName MOET 'Currency Denomination' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.29/hl7v2:PTA.4/hl7v2:MOP.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d238163e0-false-d238169e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.30
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.30">
      <extends rule="d238216e0-false-d238222e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('501') or not(@Item)">(IN2_segment): de waarde van Item MOET '501' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('DDI') or not(@Type)">(IN2_segment): de waarde van Type MOET 'DDI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Daily Deductible') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Daily Deductible' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.13
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.30
Item: (DDI_datatype)
-->
   <rule fpi="RULC-1" id="d238216e0-false-d238222e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.13-2013-02-10T000000.html"
              test="count(hl7v2:DDI.1) &lt;= 1">(DDI_datatype): element hl7v2:DDI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.13-2013-02-10T000000.html"
              test="count(hl7v2:DDI.2) &lt;= 1">(DDI_datatype): element hl7v2:DDI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.13-2013-02-10T000000.html"
              test="count(hl7v2:DDI.3) &lt;= 1">(DDI_datatype): element hl7v2:DDI.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.13
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.30/hl7v2:DDI.1
Item: (DDI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.30/hl7v2:DDI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.13-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(DDI_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.13-2013-02-10T000000.html"
              test="string(@LongName) = ('Delay Days') or not(@LongName)">(DDI_datatype): de waarde van LongName MOET 'Delay Days' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.30/hl7v2:DDI.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.13
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.30/hl7v2:DDI.2
Item: (DDI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.30/hl7v2:DDI.2">
      <extends rule="d238305e0-false-d238311e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.13-2013-02-10T000000.html"
              test="string(@Type) = ('MO') or not(@Type)">(DDI_datatype): de waarde van Type MOET 'MO' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.13-2013-02-10T000000.html"
              test="string(@LongName) = ('Monetary Amount') or not(@LongName)">(DDI_datatype): de waarde van LongName MOET 'Monetary Amount' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.30/hl7v2:DDI.2
Item: (MO_datatype)
-->
   <rule fpi="RULC-1" id="d238305e0-false-d238311e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="count(hl7v2:MO.1) &lt;= 1">(MO_datatype): element hl7v2:MO.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="count(hl7v2:MO.2) &lt;= 1">(MO_datatype): element hl7v2:MO.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.30/hl7v2:DDI.2/hl7v2:MO.1
Item: (MO_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.30/hl7v2:DDI.2/hl7v2:MO.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(MO_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(MO_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.30/hl7v2:DDI.2/hl7v2:MO.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.30/hl7v2:DDI.2/hl7v2:MO.2
Item: (MO_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.30/hl7v2:DDI.2/hl7v2:MO.2">
      <extends rule="d238387e0-false-d238393e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(MO_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Denomination') or not(@LongName)">(MO_datatype): de waarde van LongName MOET 'Denomination' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.30/hl7v2:DDI.2/hl7v2:MO.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d238387e0-false-d238393e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.13
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.30/hl7v2:DDI.3
Item: (DDI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.30/hl7v2:DDI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.13-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(DDI_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.13-2013-02-10T000000.html"
              test="string(@LongName) = ('Number of Days') or not(@LongName)">(DDI_datatype): de waarde van LongName MOET 'Number of Days' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.30/hl7v2:DDI.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.31
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.31">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('755') or not(@Item)">(IN2_segment): de waarde van Item MOET '755' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70223') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70223' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Living Dependency') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Living Dependency' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.31
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.32
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.32">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('145') or not(@Item)">(IN2_segment): de waarde van Item MOET '145' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70009') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70009' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Ambulatory Status') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Ambulatory Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.32
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.33
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.33">
      <extends rule="d238572e0-false-d238578e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('129') or not(@Item)">(IN2_segment): de waarde van Item MOET '129' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(IN2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70171') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70171' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Citizenship') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Citizenship' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.33
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d238572e0-false-d238578e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.33/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.33/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.33/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.33/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.33/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.33/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.33/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.33/hl7v2:CE.3">
      <extends rule="d238722e0-false-d238728e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.33/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d238722e0-false-d238728e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.33/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.33/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.33/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.33/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.33/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.33/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.33/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.33/hl7v2:CE.6">
      <extends rule="d238841e0-false-d238847e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.33/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d238841e0-false-d238847e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.34
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.34">
      <extends rule="d238899e0-false-d238905e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('118') or not(@Item)">(IN2_segment): de waarde van Item MOET '118' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(IN2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70296') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70296' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Primary Language') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Primary Language' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.34
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d238899e0-false-d238905e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.34/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.34/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.34/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.34/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.34/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.34/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.34/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.34/hl7v2:CE.3">
      <extends rule="d239049e0-false-d239055e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.34/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d239049e0-false-d239055e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.34/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.34/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.34/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.34/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.34/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.34/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.34/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.34/hl7v2:CE.6">
      <extends rule="d239168e0-false-d239174e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.34/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d239168e0-false-d239174e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.35
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.35">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('742') or not(@Item)">(IN2_segment): de waarde van Item MOET '742' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70220') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70220' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Living Arrangement') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Living Arrangement' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.35
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.36
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.36">
      <extends rule="d239272e0-false-d239278e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('743') or not(@Item)">(IN2_segment): de waarde van Item MOET '743' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(IN2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70215') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70215' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Publicity Code') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Publicity Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.36
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d239272e0-false-d239278e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.36/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.36/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.36/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.36/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.36/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.36/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.36/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.36/hl7v2:CE.3">
      <extends rule="d239422e0-false-d239428e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.36/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d239422e0-false-d239428e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.36/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.36/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.36/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.36/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.36/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.36/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.36/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.36/hl7v2:CE.6">
      <extends rule="d239541e0-false-d239547e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.36/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d239541e0-false-d239547e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.37
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.37">
      <extends rule="d239599e0-false-d239605e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('744') or not(@Item)">(IN2_segment): de waarde van Item MOET '744' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(IN2_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Protection Indicator') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Protection Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.37
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d239599e0-false-d239605e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.38
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.38">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('745') or not(@Item)">(IN2_segment): de waarde van Item MOET '745' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70231') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70231' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Student Indicator') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Student Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.38
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.39
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.39">
      <extends rule="d239702e0-false-d239708e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('120') or not(@Item)">(IN2_segment): de waarde van Item MOET '120' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(IN2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70006') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70006' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Religion') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Religion' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.39
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d239702e0-false-d239708e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.39/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.39/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.39/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.39/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.39/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.39/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.39/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.39/hl7v2:CE.3">
      <extends rule="d239852e0-false-d239858e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.39/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d239852e0-false-d239858e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.39/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.39/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.39/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.39/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.39/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.39/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.39/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.39/hl7v2:CE.6">
      <extends rule="d239971e0-false-d239977e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.39/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d239971e0-false-d239977e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40">
      <extends rule="d240023e0-false-d240029e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('109') or not(@Item)">(IN2_segment): de waarde van Item MOET '109' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('XPN') or not(@Type)">(IN2_segment): de waarde van Type MOET 'XPN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Mother''s Maiden Name') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Mother''s Maiden Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1" id="d240023e0-false-d240029e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.1) &lt;= 1">(XPN_datatype): element hl7v2:XPN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.2) &lt;= 1">(XPN_datatype): element hl7v2:XPN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.3) &lt;= 1">(XPN_datatype): element hl7v2:XPN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.4) &lt;= 1">(XPN_datatype): element hl7v2:XPN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.5) &lt;= 1">(XPN_datatype): element hl7v2:XPN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.6) &lt;= 1">(XPN_datatype): element hl7v2:XPN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.7) &lt;= 1">(XPN_datatype): element hl7v2:XPN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.8) &lt;= 1">(XPN_datatype): element hl7v2:XPN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.9) &lt;= 1">(XPN_datatype): element hl7v2:XPN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.10) &lt;= 1">(XPN_datatype): element hl7v2:XPN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.11) &lt;= 1">(XPN_datatype): element hl7v2:XPN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.12) &lt;= 1">(XPN_datatype): element hl7v2:XPN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.13) &lt;= 1">(XPN_datatype): element hl7v2:XPN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.14) &lt;= 1">(XPN_datatype): element hl7v2:XPN.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.1
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.1">
      <extends rule="d240155e0-false-d240161e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d240155e0-false-d240161e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.1/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.1/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.1/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.1/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.1/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.1/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.1/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.1/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.1/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.1/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.1/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.1/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.1/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.1/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.1/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.2
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.3
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.4
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.5
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.6
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.7
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.7">
      <extends rule="d240577e0-false-d240583e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d240577e0-false-d240583e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.8
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.8">
      <extends rule="d240628e0-false-d240634e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.8
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d240628e0-false-d240634e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.9
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.9">
      <extends rule="d240679e0-false-d240685e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.9
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d240679e0-false-d240685e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.9/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.9/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.9/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.9/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.9/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.9/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.9/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.9/hl7v2:CE.3">
      <extends rule="d240829e0-false-d240835e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.9/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d240829e0-false-d240835e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.9/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.9/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.9/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.9/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.9/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.9/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.9/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.9/hl7v2:CE.6">
      <extends rule="d240948e0-false-d240954e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.9/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d240948e0-false-d240954e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.10
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.10">
      <extends rule="d240994e0-false-d241000e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.10
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d240994e0-false-d241000e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.10/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.10/hl7v2:DR.1">
      <extends rule="d241042e0-false-d241048e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.10/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d241042e0-false-d241048e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d241130e0-false-d241136e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d241130e0-false-d241136e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.10/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.10/hl7v2:DR.2">
      <extends rule="d241176e0-false-d241182e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.10/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d241176e0-false-d241182e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d241264e0-false-d241270e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d241264e0-false-d241270e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.11
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.11">
      <extends rule="d241317e0-false-d241323e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d241317e0-false-d241323e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.12
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.12">
      <extends rule="d241362e0-false-d241368e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d241362e0-false-d241368e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.12/hl7v2:TS.2">
      <extends rule="d241450e0-false-d241456e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d241450e0-false-d241456e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.13
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.13">
      <extends rule="d241496e0-false-d241502e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d241496e0-false-d241502e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.13/hl7v2:TS.2">
      <extends rule="d241584e0-false-d241590e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d241584e0-false-d241590e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.14
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.40/hl7v2:XPN.14
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.41
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.41">
      <extends rule="d241677e0-false-d241683e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('739') or not(@Item)">(IN2_segment): de waarde van Item MOET '739' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(IN2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70212') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70212' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Nationality') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Nationality' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.41
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d241677e0-false-d241683e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.41/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.41/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.41/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.41/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.41/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.41/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.41/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.41/hl7v2:CE.3">
      <extends rule="d241827e0-false-d241833e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.41/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d241827e0-false-d241833e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.41/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.41/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.41/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.41/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.41/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.41/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.41/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.41/hl7v2:CE.6">
      <extends rule="d241946e0-false-d241952e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.41/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d241946e0-false-d241952e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.42
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.42">
      <extends rule="d242004e0-false-d242010e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('125') or not(@Item)">(IN2_segment): de waarde van Item MOET '125' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(IN2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70189') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70189' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Ethnic Group') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Ethnic Group' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.42
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d242004e0-false-d242010e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.42/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.42/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.42/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.42/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.42/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.42/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.42/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.42/hl7v2:CE.3">
      <extends rule="d242154e0-false-d242160e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.42/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d242154e0-false-d242160e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.42/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.42/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.42/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.42/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.42/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.42/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.42/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.42/hl7v2:CE.6">
      <extends rule="d242273e0-false-d242279e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.42/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d242273e0-false-d242279e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.43
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.43">
      <extends rule="d242331e0-false-d242337e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('119') or not(@Item)">(IN2_segment): de waarde van Item MOET '119' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(IN2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70002') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70002' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Marital Status') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Marital Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.43
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d242331e0-false-d242337e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.43/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.43/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.43/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.43/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.43/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.43/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.43/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.43/hl7v2:CE.3">
      <extends rule="d242481e0-false-d242487e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.43/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d242481e0-false-d242487e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.43/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.43/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.43/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.43/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.43/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.43/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.43/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.43/hl7v2:CE.6">
      <extends rule="d242600e0-false-d242606e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.43/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d242600e0-false-d242606e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.44
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.44">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('787') or not(@Item)">(IN2_segment): de waarde van Item MOET '787' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(IN2_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Insured''s Employment Start Date') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Insured''s Employment Start Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.44
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.45
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.45">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('783') or not(@Item)">(IN2_segment): de waarde van Item MOET '783' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(IN2_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Employment Stop Date') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Employment Stop Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.45
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.46
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.46">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('785') or not(@Item)">(IN2_segment): de waarde van Item MOET '785' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(IN2_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Job Title') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Job Title' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.46
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.47
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.47">
      <extends rule="d242772e0-false-d242778e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('786') or not(@Item)">(IN2_segment): de waarde van Item MOET '786' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('JCC') or not(@Type)">(IN2_segment): de waarde van Type MOET 'JCC' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Job Code/Class') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Job Code/Class' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.30
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.47
Item: (JCC_datatype)
-->
   <rule fpi="RULC-1" id="d242772e0-false-d242778e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="count(hl7v2:JCC.1) &lt;= 1">(JCC_datatype): element hl7v2:JCC.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="count(hl7v2:JCC.2) &lt;= 1">(JCC_datatype): element hl7v2:JCC.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="count(hl7v2:JCC.3) &lt;= 1">(JCC_datatype): element hl7v2:JCC.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.30
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.47/hl7v2:JCC.1
Item: (JCC_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.47/hl7v2:JCC.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(JCC_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="string(@Table) = ('HL70327') or not(@Table)">(JCC_datatype): de waarde van Table MOET 'HL70327' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="string(@LongName) = ('Job Code') or not(@LongName)">(JCC_datatype): de waarde van LongName MOET 'Job Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.47/hl7v2:JCC.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.30
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.47/hl7v2:JCC.2
Item: (JCC_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.47/hl7v2:JCC.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(JCC_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="string(@Table) = ('HL70328') or not(@Table)">(JCC_datatype): de waarde van Table MOET 'HL70328' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="string(@LongName) = ('Job Class') or not(@LongName)">(JCC_datatype): de waarde van LongName MOET 'Job Class' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.47/hl7v2:JCC.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.30
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.47/hl7v2:JCC.3
Item: (JCC_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.47/hl7v2:JCC.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="string(@Type) = ('TX') or not(@Type)">(JCC_datatype): de waarde van Type MOET 'TX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="string(@LongName) = ('Job Description Text') or not(@LongName)">(JCC_datatype): de waarde van LongName MOET 'Job Description Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.47/hl7v2:JCC.3
Item: (TX_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.47/hl7v2:JCC.3/hl7v2:escape
Item: (TX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.47/hl7v2:JCC.3/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.65-2013-02-10T000000.html"
              test="@V">(TX_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.47/hl7v2:JCC.3/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.47/hl7v2:JCC.3/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.47/hl7v2:JCC.3/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.47/hl7v2:JCC.3/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.47/hl7v2:JCC.3/hl7v2:escape/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.47/hl7v2:JCC.3/hl7v2:escape/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.48
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.48">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('752') or not(@Item)">(IN2_segment): de waarde van Item MOET '752' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70311') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70311' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Job Status') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Job Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.48
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49">
      <extends rule="d243074e0-false-d243080e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('789') or not(@Item)">(IN2_segment): de waarde van Item MOET '789' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('XPN') or not(@Type)">(IN2_segment): de waarde van Type MOET 'XPN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Employer Contact Person Name') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Employer Contact Person Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1" id="d243074e0-false-d243080e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.1) &lt;= 1">(XPN_datatype): element hl7v2:XPN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.2) &lt;= 1">(XPN_datatype): element hl7v2:XPN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.3) &lt;= 1">(XPN_datatype): element hl7v2:XPN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.4) &lt;= 1">(XPN_datatype): element hl7v2:XPN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.5) &lt;= 1">(XPN_datatype): element hl7v2:XPN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.6) &lt;= 1">(XPN_datatype): element hl7v2:XPN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.7) &lt;= 1">(XPN_datatype): element hl7v2:XPN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.8) &lt;= 1">(XPN_datatype): element hl7v2:XPN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.9) &lt;= 1">(XPN_datatype): element hl7v2:XPN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.10) &lt;= 1">(XPN_datatype): element hl7v2:XPN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.11) &lt;= 1">(XPN_datatype): element hl7v2:XPN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.12) &lt;= 1">(XPN_datatype): element hl7v2:XPN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.13) &lt;= 1">(XPN_datatype): element hl7v2:XPN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.14) &lt;= 1">(XPN_datatype): element hl7v2:XPN.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.1
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.1">
      <extends rule="d243206e0-false-d243212e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d243206e0-false-d243212e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.1/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.1/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.1/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.1/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.1/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.1/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.1/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.1/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.1/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.1/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.1/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.1/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.1/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.1/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.1/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.2
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.3
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.4
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.5
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.6
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.7
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.7">
      <extends rule="d243628e0-false-d243634e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d243628e0-false-d243634e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.8
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.8">
      <extends rule="d243679e0-false-d243685e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.8
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d243679e0-false-d243685e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.9
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.9">
      <extends rule="d243730e0-false-d243736e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.9
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d243730e0-false-d243736e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.9/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.9/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.9/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.9/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.9/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.9/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.9/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.9/hl7v2:CE.3">
      <extends rule="d243880e0-false-d243886e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.9/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d243880e0-false-d243886e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.9/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.9/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.9/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.9/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.9/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.9/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.9/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.9/hl7v2:CE.6">
      <extends rule="d243999e0-false-d244005e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.9/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d243999e0-false-d244005e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.10
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.10">
      <extends rule="d244045e0-false-d244051e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.10
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d244045e0-false-d244051e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.10/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.10/hl7v2:DR.1">
      <extends rule="d244093e0-false-d244099e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.10/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d244093e0-false-d244099e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d244181e0-false-d244187e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d244181e0-false-d244187e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.10/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.10/hl7v2:DR.2">
      <extends rule="d244227e0-false-d244233e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.10/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d244227e0-false-d244233e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d244315e0-false-d244321e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d244315e0-false-d244321e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.11
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.11">
      <extends rule="d244368e0-false-d244374e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d244368e0-false-d244374e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.12
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.12">
      <extends rule="d244413e0-false-d244419e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d244413e0-false-d244419e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.12/hl7v2:TS.2">
      <extends rule="d244501e0-false-d244507e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d244501e0-false-d244507e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.13
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.13">
      <extends rule="d244547e0-false-d244553e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d244547e0-false-d244553e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.13/hl7v2:TS.2">
      <extends rule="d244635e0-false-d244641e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d244635e0-false-d244641e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.14
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.49/hl7v2:XPN.14
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50">
      <extends rule="d244722e0-false-d244728e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('790') or not(@Item)">(IN2_segment): de waarde van Item MOET '790' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('XTN') or not(@Type)">(IN2_segment): de waarde van Type MOET 'XTN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Employer Contact Person Phone Number') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Employer Contact Person Phone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" id="d244722e0-false-d244728e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.1) &lt;= 1">(XTN_datatype): element hl7v2:XTN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.2) &lt;= 1">(XTN_datatype): element hl7v2:XTN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.3) &lt;= 1">(XTN_datatype): element hl7v2:XTN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.4) &lt;= 1">(XTN_datatype): element hl7v2:XTN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.5) &lt;= 1">(XTN_datatype): element hl7v2:XTN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.6) &lt;= 1">(XTN_datatype): element hl7v2:XTN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.7) &lt;= 1">(XTN_datatype): element hl7v2:XTN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.8) &lt;= 1">(XTN_datatype): element hl7v2:XTN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.9) &lt;= 1">(XTN_datatype): element hl7v2:XTN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.10) &lt;= 1">(XTN_datatype): element hl7v2:XTN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.11) &lt;= 1">(XTN_datatype): element hl7v2:XTN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.12) &lt;= 1">(XTN_datatype): element hl7v2:XTN.12 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.1
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telephone Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telephone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.2
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.2">
      <extends rule="d244880e0-false-d244886e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70201') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70201' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Use Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Use Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d244880e0-false-d244886e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.3
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.3">
      <extends rule="d244931e0-false-d244937e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70202') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70202' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Equipment Type') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Equipment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d244931e0-false-d244937e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.4
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Email Address') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Email Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.5
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Country Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Country Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.6
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Area/City Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Area/City Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.6
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.7
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Local Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Local Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.7
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.8
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.8
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.9
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Any Text') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Any Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.10
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension Prefix') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.11
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Speed Dial Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Speed Dial Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.12
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Unformatted Telephone number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Unformatted Telephone number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.50/hl7v2:XTN.12
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.51
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.51">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('791') or not(@Item)">(IN2_segment): de waarde van Item MOET '791' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70222') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70222' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Employer Contact Reason') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Employer Contact Reason' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.51
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52">
      <extends rule="d245335e0-false-d245341e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('792') or not(@Item)">(IN2_segment): de waarde van Item MOET '792' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('XPN') or not(@Type)">(IN2_segment): de waarde van Type MOET 'XPN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Insured''s Contact Person''s Name') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Insured''s Contact Person''s Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1" id="d245335e0-false-d245341e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.1) &lt;= 1">(XPN_datatype): element hl7v2:XPN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.2) &lt;= 1">(XPN_datatype): element hl7v2:XPN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.3) &lt;= 1">(XPN_datatype): element hl7v2:XPN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.4) &lt;= 1">(XPN_datatype): element hl7v2:XPN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.5) &lt;= 1">(XPN_datatype): element hl7v2:XPN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.6) &lt;= 1">(XPN_datatype): element hl7v2:XPN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.7) &lt;= 1">(XPN_datatype): element hl7v2:XPN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.8) &lt;= 1">(XPN_datatype): element hl7v2:XPN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.9) &lt;= 1">(XPN_datatype): element hl7v2:XPN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.10) &lt;= 1">(XPN_datatype): element hl7v2:XPN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.11) &lt;= 1">(XPN_datatype): element hl7v2:XPN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.12) &lt;= 1">(XPN_datatype): element hl7v2:XPN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.13) &lt;= 1">(XPN_datatype): element hl7v2:XPN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.14) &lt;= 1">(XPN_datatype): element hl7v2:XPN.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.1
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.1">
      <extends rule="d245467e0-false-d245473e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d245467e0-false-d245473e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.1/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.1/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.1/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.1/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.1/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.1/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.1/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.1/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.1/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.1/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.1/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.1/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.1/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.1/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.1/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.2
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.3
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.4
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.5
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.6
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.7
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.7">
      <extends rule="d245889e0-false-d245895e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d245889e0-false-d245895e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.8
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.8">
      <extends rule="d245940e0-false-d245946e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.8
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d245940e0-false-d245946e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.9
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.9">
      <extends rule="d245991e0-false-d245997e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.9
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d245991e0-false-d245997e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.9/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.9/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.9/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.9/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.9/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.9/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.9/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.9/hl7v2:CE.3">
      <extends rule="d246141e0-false-d246147e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.9/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d246141e0-false-d246147e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.9/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.9/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.9/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.9/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.9/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.9/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.9/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.9/hl7v2:CE.6">
      <extends rule="d246260e0-false-d246266e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.9/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d246260e0-false-d246266e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.10
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.10">
      <extends rule="d246306e0-false-d246312e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.10
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d246306e0-false-d246312e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.10/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.10/hl7v2:DR.1">
      <extends rule="d246354e0-false-d246360e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.10/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d246354e0-false-d246360e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d246442e0-false-d246448e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d246442e0-false-d246448e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.10/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.10/hl7v2:DR.2">
      <extends rule="d246488e0-false-d246494e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.10/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d246488e0-false-d246494e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d246576e0-false-d246582e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d246576e0-false-d246582e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.11
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.11">
      <extends rule="d246629e0-false-d246635e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d246629e0-false-d246635e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.12
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.12">
      <extends rule="d246674e0-false-d246680e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d246674e0-false-d246680e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.12/hl7v2:TS.2">
      <extends rule="d246762e0-false-d246768e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d246762e0-false-d246768e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.13
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.13">
      <extends rule="d246808e0-false-d246814e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d246808e0-false-d246814e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.13/hl7v2:TS.2">
      <extends rule="d246896e0-false-d246902e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d246896e0-false-d246902e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.14
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.52/hl7v2:XPN.14
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53">
      <extends rule="d246983e0-false-d246989e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('793') or not(@Item)">(IN2_segment): de waarde van Item MOET '793' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('XTN') or not(@Type)">(IN2_segment): de waarde van Type MOET 'XTN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Insured''s Contact Person Phone Number') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Insured''s Contact Person Phone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" id="d246983e0-false-d246989e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.1) &lt;= 1">(XTN_datatype): element hl7v2:XTN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.2) &lt;= 1">(XTN_datatype): element hl7v2:XTN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.3) &lt;= 1">(XTN_datatype): element hl7v2:XTN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.4) &lt;= 1">(XTN_datatype): element hl7v2:XTN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.5) &lt;= 1">(XTN_datatype): element hl7v2:XTN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.6) &lt;= 1">(XTN_datatype): element hl7v2:XTN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.7) &lt;= 1">(XTN_datatype): element hl7v2:XTN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.8) &lt;= 1">(XTN_datatype): element hl7v2:XTN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.9) &lt;= 1">(XTN_datatype): element hl7v2:XTN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.10) &lt;= 1">(XTN_datatype): element hl7v2:XTN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.11) &lt;= 1">(XTN_datatype): element hl7v2:XTN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.12) &lt;= 1">(XTN_datatype): element hl7v2:XTN.12 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.1
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telephone Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telephone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.2
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.2">
      <extends rule="d247141e0-false-d247147e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70201') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70201' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Use Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Use Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d247141e0-false-d247147e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.3
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.3">
      <extends rule="d247192e0-false-d247198e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70202') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70202' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Equipment Type') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Equipment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d247192e0-false-d247198e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.4
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Email Address') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Email Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.5
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Country Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Country Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.6
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Area/City Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Area/City Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.6
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.7
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Local Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Local Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.7
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.8
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.8
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.9
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Any Text') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Any Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.10
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension Prefix') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.11
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Speed Dial Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Speed Dial Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.12
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Unformatted Telephone number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Unformatted Telephone number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.53/hl7v2:XTN.12
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.54
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.54">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('794') or not(@Item)">(IN2_segment): de waarde van Item MOET '794' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70222') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70222' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Insured''s Contact Person Reason') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Insured''s Contact Person Reason' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.54
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.55
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.55">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('795') or not(@Item)">(IN2_segment): de waarde van Item MOET '795' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(IN2_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Relationship to the Patient Start Date') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Relationship to the Patient Start Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.55
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.56
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.56">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('796') or not(@Item)">(IN2_segment): de waarde van Item MOET '796' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(IN2_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Relationship to the Patient Stop Date') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Relationship to the Patient Stop Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.56
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.57
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.57">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('797') or not(@Item)">(IN2_segment): de waarde van Item MOET '797' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70232') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70232' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Insurance Co. Contact Reason') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Insurance Co. Contact Reason' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.57
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58">
      <extends rule="d247722e0-false-d247728e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('798') or not(@Item)">(IN2_segment): de waarde van Item MOET '798' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('XTN') or not(@Type)">(IN2_segment): de waarde van Type MOET 'XTN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Insurance Co Contact Phone Number') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Insurance Co Contact Phone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" id="d247722e0-false-d247728e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.1) &lt;= 1">(XTN_datatype): element hl7v2:XTN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.2) &lt;= 1">(XTN_datatype): element hl7v2:XTN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.3) &lt;= 1">(XTN_datatype): element hl7v2:XTN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.4) &lt;= 1">(XTN_datatype): element hl7v2:XTN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.5) &lt;= 1">(XTN_datatype): element hl7v2:XTN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.6) &lt;= 1">(XTN_datatype): element hl7v2:XTN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.7) &lt;= 1">(XTN_datatype): element hl7v2:XTN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.8) &lt;= 1">(XTN_datatype): element hl7v2:XTN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.9) &lt;= 1">(XTN_datatype): element hl7v2:XTN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.10) &lt;= 1">(XTN_datatype): element hl7v2:XTN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.11) &lt;= 1">(XTN_datatype): element hl7v2:XTN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.12) &lt;= 1">(XTN_datatype): element hl7v2:XTN.12 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.1
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telephone Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telephone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.2
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.2">
      <extends rule="d247880e0-false-d247886e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70201') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70201' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Use Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Use Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d247880e0-false-d247886e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.3
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.3">
      <extends rule="d247931e0-false-d247937e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70202') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70202' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Equipment Type') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Equipment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d247931e0-false-d247937e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.4
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Email Address') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Email Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.5
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Country Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Country Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.6
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Area/City Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Area/City Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.6
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.7
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Local Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Local Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.7
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.8
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.8
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.9
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Any Text') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Any Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.10
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension Prefix') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.11
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Speed Dial Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Speed Dial Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.12
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Unformatted Telephone number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Unformatted Telephone number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.58/hl7v2:XTN.12
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.59
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.59">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('799') or not(@Item)">(IN2_segment): de waarde van Item MOET '799' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70312') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70312' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Policy Scope') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Policy Scope' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.59
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.60
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.60">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('800') or not(@Item)">(IN2_segment): de waarde van Item MOET '800' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70313') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70313' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Policy Source') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Policy Source' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.60
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61">
      <extends rule="d248381e0-false-d248387e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('801') or not(@Item)">(IN2_segment): de waarde van Item MOET '801' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('CX') or not(@Type)">(IN2_segment): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Patient Member Number') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Patient Member Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d248381e0-false-d248387e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.3">
      <extends rule="d248559e0-false-d248565e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d248559e0-false-d248565e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.4">
      <extends rule="d248610e0-false-d248616e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d248610e0-false-d248616e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d248745e0-false-d248751e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d248745e0-false-d248751e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.5">
      <extends rule="d248797e0-false-d248803e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d248797e0-false-d248803e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.6">
      <extends rule="d248842e0-false-d248848e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d248842e0-false-d248848e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d248977e0-false-d248983e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d248977e0-false-d248983e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.9">
      <extends rule="d249091e0-false-d249097e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d249091e0-false-d249097e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d249262e0-false-d249268e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d249262e0-false-d249268e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d249381e0-false-d249387e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d249381e0-false-d249387e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.10">
      <extends rule="d249529e0-false-d249535e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d249529e0-false-d249535e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d249700e0-false-d249706e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d249700e0-false-d249706e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d249819e0-false-d249825e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d249819e0-false-d249825e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.61/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.62
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.62">
      <extends rule="d249980e0-false-d249986e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('802') or not(@Item)">(IN2_segment): de waarde van Item MOET '802' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(IN2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70063') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70063' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor''s Relationship To Insured') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Guarantor''s Relationship To Insured' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.62
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d249980e0-false-d249986e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.62/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.62/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.62/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.62/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.62/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.62/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.62/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.62/hl7v2:CE.3">
      <extends rule="d250130e0-false-d250136e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.62/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d250130e0-false-d250136e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.62/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.62/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.62/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.62/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.62/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.62/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.62/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.62/hl7v2:CE.6">
      <extends rule="d250249e0-false-d250255e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.62/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d250249e0-false-d250255e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63">
      <extends rule="d250301e0-false-d250307e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('803') or not(@Item)">(IN2_segment): de waarde van Item MOET '803' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('XTN') or not(@Type)">(IN2_segment): de waarde van Type MOET 'XTN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Insured''s Phone Number - Home') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Insured''s Phone Number - Home' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" id="d250301e0-false-d250307e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.1) &lt;= 1">(XTN_datatype): element hl7v2:XTN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.2) &lt;= 1">(XTN_datatype): element hl7v2:XTN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.3) &lt;= 1">(XTN_datatype): element hl7v2:XTN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.4) &lt;= 1">(XTN_datatype): element hl7v2:XTN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.5) &lt;= 1">(XTN_datatype): element hl7v2:XTN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.6) &lt;= 1">(XTN_datatype): element hl7v2:XTN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.7) &lt;= 1">(XTN_datatype): element hl7v2:XTN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.8) &lt;= 1">(XTN_datatype): element hl7v2:XTN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.9) &lt;= 1">(XTN_datatype): element hl7v2:XTN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.10) &lt;= 1">(XTN_datatype): element hl7v2:XTN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.11) &lt;= 1">(XTN_datatype): element hl7v2:XTN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.12) &lt;= 1">(XTN_datatype): element hl7v2:XTN.12 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.1
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telephone Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telephone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.2
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.2">
      <extends rule="d250459e0-false-d250465e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70201') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70201' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Use Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Use Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d250459e0-false-d250465e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.3
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.3">
      <extends rule="d250510e0-false-d250516e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70202') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70202' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Equipment Type') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Equipment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d250510e0-false-d250516e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.4
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Email Address') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Email Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.5
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Country Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Country Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.6
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Area/City Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Area/City Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.6
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.7
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Local Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Local Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.7
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.8
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.8
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.9
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Any Text') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Any Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.10
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension Prefix') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.11
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Speed Dial Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Speed Dial Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.12
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Unformatted Telephone number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Unformatted Telephone number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.63/hl7v2:XTN.12
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64">
      <extends rule="d250868e0-false-d250874e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('804') or not(@Item)">(IN2_segment): de waarde van Item MOET '804' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('XTN') or not(@Type)">(IN2_segment): de waarde van Type MOET 'XTN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Insured''s Employer Phone Number') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Insured''s Employer Phone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" id="d250868e0-false-d250874e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.1) &lt;= 1">(XTN_datatype): element hl7v2:XTN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.2) &lt;= 1">(XTN_datatype): element hl7v2:XTN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.3) &lt;= 1">(XTN_datatype): element hl7v2:XTN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.4) &lt;= 1">(XTN_datatype): element hl7v2:XTN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.5) &lt;= 1">(XTN_datatype): element hl7v2:XTN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.6) &lt;= 1">(XTN_datatype): element hl7v2:XTN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.7) &lt;= 1">(XTN_datatype): element hl7v2:XTN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.8) &lt;= 1">(XTN_datatype): element hl7v2:XTN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.9) &lt;= 1">(XTN_datatype): element hl7v2:XTN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.10) &lt;= 1">(XTN_datatype): element hl7v2:XTN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.11) &lt;= 1">(XTN_datatype): element hl7v2:XTN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.12) &lt;= 1">(XTN_datatype): element hl7v2:XTN.12 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.1
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telephone Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telephone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.2
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.2">
      <extends rule="d251026e0-false-d251032e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70201') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70201' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Use Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Use Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d251026e0-false-d251032e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.3
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.3">
      <extends rule="d251077e0-false-d251083e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70202') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70202' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Equipment Type') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Equipment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d251077e0-false-d251083e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.4
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Email Address') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Email Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.5
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Country Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Country Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.6
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Area/City Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Area/City Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.6
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.7
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Local Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Local Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.7
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.8
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.8
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.9
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Any Text') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Any Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.10
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension Prefix') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.11
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Speed Dial Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Speed Dial Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.12
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Unformatted Telephone number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Unformatted Telephone number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.64/hl7v2:XTN.12
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.65
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.65">
      <extends rule="d251441e0-false-d251447e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('805') or not(@Item)">(IN2_segment): de waarde van Item MOET '805' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(IN2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70343') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70343' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Military Handicapped Program') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Military Handicapped Program' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.65
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d251441e0-false-d251447e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.65/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.65/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.65/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.65/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.65/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.65/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.65/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.65/hl7v2:CE.3">
      <extends rule="d251591e0-false-d251597e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.65/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d251591e0-false-d251597e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.65/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.65/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.65/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.65/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.65/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.65/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.65/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.65/hl7v2:CE.6">
      <extends rule="d251710e0-false-d251716e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.65/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d251710e0-false-d251716e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.66
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.66">
      <extends rule="d251768e0-false-d251774e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('806') or not(@Item)">(IN2_segment): de waarde van Item MOET '806' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(IN2_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Suspend Flag') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Suspend Flag' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.66
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d251768e0-false-d251774e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.67
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.67">
      <extends rule="d251825e0-false-d251831e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('807') or not(@Item)">(IN2_segment): de waarde van Item MOET '807' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(IN2_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Copay Limit Flag') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Copay Limit Flag' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.67
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d251825e0-false-d251831e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.68
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.68">
      <extends rule="d251882e0-false-d251888e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('808') or not(@Item)">(IN2_segment): de waarde van Item MOET '808' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(IN2_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Stoploss Limit Flag') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Stoploss Limit Flag' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.68
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d251882e0-false-d251888e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69">
      <extends rule="d251933e0-false-d251939e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('809') or not(@Item)">(IN2_segment): de waarde van Item MOET '809' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('XON') or not(@Type)">(IN2_segment): de waarde van Type MOET 'XON' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Insured Organization Name and ID') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Insured Organization Name and ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69
Item: (XON_datatype)
-->
   <rule fpi="RULC-1" id="d251933e0-false-d251939e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.1) &lt;= 1">(XON_datatype): element hl7v2:XON.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.2) &lt;= 1">(XON_datatype): element hl7v2:XON.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.3) &lt;= 1">(XON_datatype): element hl7v2:XON.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.4) &lt;= 1">(XON_datatype): element hl7v2:XON.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.5) &lt;= 1">(XON_datatype): element hl7v2:XON.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.6) &lt;= 1">(XON_datatype): element hl7v2:XON.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.7) &lt;= 1">(XON_datatype): element hl7v2:XON.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.8) &lt;= 1">(XON_datatype): element hl7v2:XON.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.9) &lt;= 1">(XON_datatype): element hl7v2:XON.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.10) &lt;= 1">(XON_datatype): element hl7v2:XON.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.1
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.2
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XON_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70204') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70204' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.3
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.4
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.5
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.5">
      <extends rule="d252185e0-false-d252191e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d252185e0-false-d252191e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.6
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.6">
      <extends rule="d252236e0-false-d252242e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d252236e0-false-d252242e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.6/hl7v2:HD.3">
      <extends rule="d252371e0-false-d252377e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d252371e0-false-d252377e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.7
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.7">
      <extends rule="d252423e0-false-d252429e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d252423e0-false-d252429e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.8
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.8">
      <extends rule="d252468e0-false-d252474e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.8
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d252468e0-false-d252474e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.8/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.8/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.8/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.8/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.8/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.8/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.8/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.8/hl7v2:HD.3">
      <extends rule="d252603e0-false-d252609e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.8/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d252603e0-false-d252609e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.9
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.9">
      <extends rule="d252655e0-false-d252661e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.9
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d252655e0-false-d252661e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.10
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Identifier') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.69/hl7v2:XON.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70">
      <extends rule="d252741e0-false-d252747e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('810') or not(@Item)">(IN2_segment): de waarde van Item MOET '810' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('XON') or not(@Type)">(IN2_segment): de waarde van Type MOET 'XON' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Insured Employer Organization Name and ID') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Insured Employer Organization Name and ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70
Item: (XON_datatype)
-->
   <rule fpi="RULC-1" id="d252741e0-false-d252747e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.1) &lt;= 1">(XON_datatype): element hl7v2:XON.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.2) &lt;= 1">(XON_datatype): element hl7v2:XON.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.3) &lt;= 1">(XON_datatype): element hl7v2:XON.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.4) &lt;= 1">(XON_datatype): element hl7v2:XON.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.5) &lt;= 1">(XON_datatype): element hl7v2:XON.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.6) &lt;= 1">(XON_datatype): element hl7v2:XON.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.7) &lt;= 1">(XON_datatype): element hl7v2:XON.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.8) &lt;= 1">(XON_datatype): element hl7v2:XON.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.9) &lt;= 1">(XON_datatype): element hl7v2:XON.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.10) &lt;= 1">(XON_datatype): element hl7v2:XON.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.1
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.2
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XON_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70204') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70204' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.3
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.4
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.5
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.5">
      <extends rule="d252993e0-false-d252999e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d252993e0-false-d252999e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.6
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.6">
      <extends rule="d253044e0-false-d253050e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d253044e0-false-d253050e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.6/hl7v2:HD.3">
      <extends rule="d253179e0-false-d253185e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d253179e0-false-d253185e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.7
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.7">
      <extends rule="d253231e0-false-d253237e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d253231e0-false-d253237e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.8
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.8">
      <extends rule="d253276e0-false-d253282e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.8
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d253276e0-false-d253282e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.8/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.8/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.8/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.8/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.8/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.8/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.8/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.8/hl7v2:HD.3">
      <extends rule="d253411e0-false-d253417e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.8/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d253411e0-false-d253417e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.9
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.9">
      <extends rule="d253463e0-false-d253469e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.9
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d253463e0-false-d253469e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.10
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Identifier') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.70/hl7v2:XON.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.71
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.71">
      <extends rule="d253555e0-false-d253561e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('113') or not(@Item)">(IN2_segment): de waarde van Item MOET '113' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(IN2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70005') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70005' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Race') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'Race' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.71
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d253555e0-false-d253561e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.71/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.71/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.71/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.71/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.71/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.71/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.71/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.71/hl7v2:CE.3">
      <extends rule="d253705e0-false-d253711e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.71/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d253705e0-false-d253711e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.71/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.71/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.71/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.71/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.71/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.71/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.71/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.71/hl7v2:CE.6">
      <extends rule="d253824e0-false-d253830e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.71/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d253824e0-false-d253830e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.72
Item: (IN2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.72">
      <extends rule="d253882e0-false-d253888e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Item) = ('811') or not(@Item)">(IN2_segment): de waarde van Item MOET '811' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(IN2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@Table) = ('HL70344') or not(@Table)">(IN2_segment): de waarde van Table MOET 'HL70344' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.57-2013-02-10T000000.html"
              test="string(@LongName) = ('CMS Patient_s Relationship to Insured') or not(@LongName)">(IN2_segment): de waarde van LongName MOET 'CMS Patient_s Relationship to Insured' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.72
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d253882e0-false-d253888e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.72/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.72/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.72/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.72/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.72/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.72/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.72/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.72/hl7v2:CE.3">
      <extends rule="d254032e0-false-d254038e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.72/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d254032e0-false-d254038e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.72/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.72/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.72/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.72/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.72/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.72/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.72/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.72/hl7v2:CE.6">
      <extends rule="d254151e0-false-d254157e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN2/hl7v2:IN2.72/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d254151e0-false-d254157e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.58
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3
Item: (IN3_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="count(hl7v2:IN3.1) &gt;= 1">(IN3_segment): element hl7v2:IN3.1 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="count(hl7v2:IN3.1) &lt;= 1">(IN3_segment): element hl7v2:IN3.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="count(hl7v2:IN3.2) &lt;= 1">(IN3_segment): element hl7v2:IN3.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="count(hl7v2:IN3.4) &lt;= 1">(IN3_segment): element hl7v2:IN3.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="count(hl7v2:IN3.5) &lt;= 1">(IN3_segment): element hl7v2:IN3.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="count(hl7v2:IN3.6) &lt;= 1">(IN3_segment): element hl7v2:IN3.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="count(hl7v2:IN3.7) &lt;= 1">(IN3_segment): element hl7v2:IN3.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="count(hl7v2:IN3.9) &lt;= 1">(IN3_segment): element hl7v2:IN3.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="count(hl7v2:IN3.10) &lt;= 1">(IN3_segment): element hl7v2:IN3.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="count(hl7v2:IN3.11) &lt;= 1">(IN3_segment): element hl7v2:IN3.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="count(hl7v2:IN3.12) &lt;= 1">(IN3_segment): element hl7v2:IN3.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="count(hl7v2:IN3.13) &lt;= 1">(IN3_segment): element hl7v2:IN3.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="count(hl7v2:IN3.15) &lt;= 1">(IN3_segment): element hl7v2:IN3.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="count(hl7v2:IN3.17) &lt;= 1">(IN3_segment): element hl7v2:IN3.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="count(hl7v2:IN3.18) &lt;= 1">(IN3_segment): element hl7v2:IN3.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="count(hl7v2:IN3.21) &lt;= 1">(IN3_segment): element hl7v2:IN3.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="count(hl7v2:IN3.22) &lt;= 1">(IN3_segment): element hl7v2:IN3.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="count(hl7v2:IN3.23) &lt;= 1">(IN3_segment): element hl7v2:IN3.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.58
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.1
Item: (IN3_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Item) = ('502') or not(@Item)">(IN3_segment): de waarde van Item MOET '502' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Type) = ('SI') or not(@Type)">(IN3_segment): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@LongName) = ('Set ID - IN3') or not(@LongName)">(IN3_segment): de waarde van LongName MOET 'Set ID - IN3' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.58
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2
Item: (IN3_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2">
      <extends rule="d254406e0-false-d254412e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Item) = ('503') or not(@Item)">(IN3_segment): de waarde van Item MOET '503' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Type) = ('CX') or not(@Type)">(IN3_segment): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@LongName) = ('Certification Number') or not(@LongName)">(IN3_segment): de waarde van LongName MOET 'Certification Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d254406e0-false-d254412e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.3">
      <extends rule="d254584e0-false-d254590e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d254584e0-false-d254590e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.4">
      <extends rule="d254635e0-false-d254641e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d254635e0-false-d254641e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d254770e0-false-d254776e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d254770e0-false-d254776e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.5">
      <extends rule="d254822e0-false-d254828e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d254822e0-false-d254828e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.6">
      <extends rule="d254867e0-false-d254873e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d254867e0-false-d254873e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d255002e0-false-d255008e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d255002e0-false-d255008e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.9">
      <extends rule="d255116e0-false-d255122e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d255116e0-false-d255122e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d255287e0-false-d255293e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d255287e0-false-d255293e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d255406e0-false-d255412e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d255406e0-false-d255412e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.10">
      <extends rule="d255554e0-false-d255560e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d255554e0-false-d255560e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d255725e0-false-d255731e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d255725e0-false-d255731e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d255844e0-false-d255850e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d255844e0-false-d255850e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.2/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.58
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3
Item: (IN3_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3">
      <extends rule="d255999e0-false-d256005e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Item) = ('504') or not(@Item)">(IN3_segment): de waarde van Item MOET '504' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(IN3_segment): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@LongName) = ('Certified By') or not(@LongName)">(IN3_segment): de waarde van LongName MOET 'Certified By' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d255999e0-false-d256005e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.2">
      <extends rule="d256228e0-false-d256234e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d256228e0-false-d256234e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.9">
      <extends rule="d256690e0-false-d256696e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d256690e0-false-d256696e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d256825e0-false-d256831e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d256825e0-false-d256831e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.10">
      <extends rule="d256877e0-false-d256883e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d256877e0-false-d256883e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.12">
      <extends rule="d256962e0-false-d256968e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d256962e0-false-d256968e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.13">
      <extends rule="d257013e0-false-d257019e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d257013e0-false-d257019e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.14">
      <extends rule="d257058e0-false-d257064e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d257058e0-false-d257064e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d257193e0-false-d257199e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d257193e0-false-d257199e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.15">
      <extends rule="d257245e0-false-d257251e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d257245e0-false-d257251e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.16">
      <extends rule="d257296e0-false-d257302e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d257296e0-false-d257302e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d257446e0-false-d257452e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d257446e0-false-d257452e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d257565e0-false-d257571e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d257565e0-false-d257571e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.17">
      <extends rule="d257611e0-false-d257617e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d257611e0-false-d257617e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d257659e0-false-d257665e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d257659e0-false-d257665e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d257747e0-false-d257753e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d257747e0-false-d257753e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d257793e0-false-d257799e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d257793e0-false-d257799e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d257881e0-false-d257887e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d257881e0-false-d257887e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.18">
      <extends rule="d257934e0-false-d257940e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d257934e0-false-d257940e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.19">
      <extends rule="d257979e0-false-d257985e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d257979e0-false-d257985e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d258067e0-false-d258073e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d258067e0-false-d258073e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.20">
      <extends rule="d258113e0-false-d258119e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d258113e0-false-d258119e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d258201e0-false-d258207e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d258201e0-false-d258207e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.22">
      <extends rule="d258281e0-false-d258287e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d258281e0-false-d258287e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d258452e0-false-d258458e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d258452e0-false-d258458e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d258571e0-false-d258577e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d258571e0-false-d258577e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.23">
      <extends rule="d258719e0-false-d258725e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d258719e0-false-d258725e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d258890e0-false-d258896e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d258890e0-false-d258896e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d259009e0-false-d259015e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d259009e0-false-d259015e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.3/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.58
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.4
Item: (IN3_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.4">
      <extends rule="d259170e0-false-d259176e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Item) = ('505') or not(@Item)">(IN3_segment): de waarde van Item MOET '505' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(IN3_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(IN3_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@LongName) = ('Certification Required') or not(@LongName)">(IN3_segment): de waarde van LongName MOET 'Certification Required' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d259170e0-false-d259176e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.58
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.5
Item: (IN3_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.5">
      <extends rule="d259221e0-false-d259227e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Item) = ('506') or not(@Item)">(IN3_segment): de waarde van Item MOET '506' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Type) = ('MOP') or not(@Type)">(IN3_segment): de waarde van Type MOET 'MOP' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@LongName) = ('Penalty') or not(@LongName)">(IN3_segment): de waarde van LongName MOET 'Penalty' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.35
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.5
Item: (MOP_datatype)
-->
   <rule fpi="RULC-1" id="d259221e0-false-d259227e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.35-2013-02-10T000000.html"
              test="count(hl7v2:MOP.1) &lt;= 1">(MOP_datatype): element hl7v2:MOP.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.35-2013-02-10T000000.html"
              test="count(hl7v2:MOP.2) &lt;= 1">(MOP_datatype): element hl7v2:MOP.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.35-2013-02-10T000000.html"
              test="count(hl7v2:MOP.3) &lt;= 1">(MOP_datatype): element hl7v2:MOP.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.35
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.5/hl7v2:MOP.1
Item: (MOP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.5/hl7v2:MOP.1">
      <extends rule="d259282e0-false-d259288e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.35-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(MOP_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.35-2013-02-10T000000.html"
              test="string(@Table) = ('HL70148') or not(@Table)">(MOP_datatype): de waarde van Table MOET 'HL70148' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.35-2013-02-10T000000.html"
              test="string(@LongName) = ('Money or Percentage Indicator') or not(@LongName)">(MOP_datatype): de waarde van LongName MOET 'Money or Percentage Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.5/hl7v2:MOP.1
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d259282e0-false-d259288e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.35
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.5/hl7v2:MOP.2
Item: (MOP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.5/hl7v2:MOP.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.35-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(MOP_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.35-2013-02-10T000000.html"
              test="string(@LongName) = ('Money or Percentage Quantity') or not(@LongName)">(MOP_datatype): de waarde van LongName MOET 'Money or Percentage Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.5/hl7v2:MOP.2
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.35
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.5/hl7v2:MOP.3
Item: (MOP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.5/hl7v2:MOP.3">
      <extends rule="d259361e0-false-d259367e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.35-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(MOP_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.35-2013-02-10T000000.html"
              test="string(@LongName) = ('Currency Denomination') or not(@LongName)">(MOP_datatype): de waarde van LongName MOET 'Currency Denomination' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.5/hl7v2:MOP.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d259361e0-false-d259367e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.58
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.6
Item: (IN3_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.6">
      <extends rule="d259413e0-false-d259419e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Item) = ('507') or not(@Item)">(IN3_segment): de waarde van Item MOET '507' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(IN3_segment): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@LongName) = ('Certification Date/Time') or not(@LongName)">(IN3_segment): de waarde van LongName MOET 'Certification Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.6
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d259413e0-false-d259419e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.6/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.6/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.6/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.6/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.6/hl7v2:TS.2">
      <extends rule="d259501e0-false-d259507e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.6/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d259501e0-false-d259507e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.58
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.7
Item: (IN3_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.7">
      <extends rule="d259553e0-false-d259559e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Item) = ('508') or not(@Item)">(IN3_segment): de waarde van Item MOET '508' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(IN3_segment): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@LongName) = ('Certification Modify Date/Time') or not(@LongName)">(IN3_segment): de waarde van LongName MOET 'Certification Modify Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.7
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d259553e0-false-d259559e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.7/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.7/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.7/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.7/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.7/hl7v2:TS.2">
      <extends rule="d259641e0-false-d259647e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.7/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d259641e0-false-d259647e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.58
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8
Item: (IN3_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8">
      <extends rule="d259693e0-false-d259699e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Item) = ('509') or not(@Item)">(IN3_segment): de waarde van Item MOET '509' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(IN3_segment): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@LongName) = ('Operator') or not(@LongName)">(IN3_segment): de waarde van LongName MOET 'Operator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d259693e0-false-d259699e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.2">
      <extends rule="d259922e0-false-d259928e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d259922e0-false-d259928e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.9">
      <extends rule="d260384e0-false-d260390e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d260384e0-false-d260390e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d260519e0-false-d260525e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d260519e0-false-d260525e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.10">
      <extends rule="d260571e0-false-d260577e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d260571e0-false-d260577e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.12">
      <extends rule="d260656e0-false-d260662e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d260656e0-false-d260662e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.13">
      <extends rule="d260707e0-false-d260713e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d260707e0-false-d260713e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.14">
      <extends rule="d260752e0-false-d260758e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d260752e0-false-d260758e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d260887e0-false-d260893e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d260887e0-false-d260893e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.15">
      <extends rule="d260939e0-false-d260945e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d260939e0-false-d260945e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.16">
      <extends rule="d260990e0-false-d260996e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d260990e0-false-d260996e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d261140e0-false-d261146e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d261140e0-false-d261146e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d261259e0-false-d261265e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d261259e0-false-d261265e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.17">
      <extends rule="d261305e0-false-d261311e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d261305e0-false-d261311e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d261353e0-false-d261359e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d261353e0-false-d261359e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d261441e0-false-d261447e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d261441e0-false-d261447e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d261487e0-false-d261493e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d261487e0-false-d261493e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d261575e0-false-d261581e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d261575e0-false-d261581e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.18">
      <extends rule="d261628e0-false-d261634e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d261628e0-false-d261634e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.19">
      <extends rule="d261673e0-false-d261679e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d261673e0-false-d261679e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d261761e0-false-d261767e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d261761e0-false-d261767e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.20">
      <extends rule="d261807e0-false-d261813e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d261807e0-false-d261813e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d261895e0-false-d261901e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d261895e0-false-d261901e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.22">
      <extends rule="d261975e0-false-d261981e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d261975e0-false-d261981e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d262146e0-false-d262152e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d262146e0-false-d262152e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d262265e0-false-d262271e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d262265e0-false-d262271e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.23">
      <extends rule="d262413e0-false-d262419e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d262413e0-false-d262419e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d262584e0-false-d262590e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d262584e0-false-d262590e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d262703e0-false-d262709e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d262703e0-false-d262709e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.8/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.58
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.9
Item: (IN3_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Item) = ('510') or not(@Item)">(IN3_segment): de waarde van Item MOET '510' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(IN3_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@LongName) = ('Certification Begin Date') or not(@LongName)">(IN3_segment): de waarde van LongName MOET 'Certification Begin Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.9
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.58
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.10
Item: (IN3_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Item) = ('511') or not(@Item)">(IN3_segment): de waarde van Item MOET '511' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(IN3_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@LongName) = ('Certification End Date') or not(@LongName)">(IN3_segment): de waarde van LongName MOET 'Certification End Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.10
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.58
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.11
Item: (IN3_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.11">
      <extends rule="d262938e0-false-d262944e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Item) = ('512') or not(@Item)">(IN3_segment): de waarde van Item MOET '512' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Type) = ('DTN') or not(@Type)">(IN3_segment): de waarde van Type MOET 'DTN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@LongName) = ('Days') or not(@LongName)">(IN3_segment): de waarde van LongName MOET 'Days' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.19
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.11
Item: (DTN_datatype)
-->
   <rule fpi="RULC-1" id="d262938e0-false-d262944e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.19-2013-02-10T000000.html"
              test="count(hl7v2:DTN.1) &lt;= 1">(DTN_datatype): element hl7v2:DTN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.19-2013-02-10T000000.html"
              test="count(hl7v2:DTN.2) &lt;= 1">(DTN_datatype): element hl7v2:DTN.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.19
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.11/hl7v2:DTN.1
Item: (DTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.11/hl7v2:DTN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.19-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(DTN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.19-2013-02-10T000000.html"
              test="string(@Table) = ('HL70149') or not(@Table)">(DTN_datatype): de waarde van Table MOET 'HL70149' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.19-2013-02-10T000000.html"
              test="string(@LongName) = ('Day Type') or not(@LongName)">(DTN_datatype): de waarde van LongName MOET 'Day Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.11/hl7v2:DTN.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.19
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.11/hl7v2:DTN.2
Item: (DTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.11/hl7v2:DTN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.19-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(DTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.19-2013-02-10T000000.html"
              test="string(@LongName) = ('Number of Days') or not(@LongName)">(DTN_datatype): de waarde van LongName MOET 'Number of Days' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.11/hl7v2:DTN.2
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.58
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.12
Item: (IN3_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.12">
      <extends rule="d263073e0-false-d263079e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Item) = ('513') or not(@Item)">(IN3_segment): de waarde van Item MOET '513' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(IN3_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Table) = ('HL70233') or not(@Table)">(IN3_segment): de waarde van Table MOET 'HL70233' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@LongName) = ('Non-Concur Code/Description') or not(@LongName)">(IN3_segment): de waarde van LongName MOET 'Non-Concur Code/Description' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.12
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d263073e0-false-d263079e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.12/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.12/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.12/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.12/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.12/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.12/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.12/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.12/hl7v2:CE.3">
      <extends rule="d263223e0-false-d263229e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.12/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d263223e0-false-d263229e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.12/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.12/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.12/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.12/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.12/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.12/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.12/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.12/hl7v2:CE.6">
      <extends rule="d263342e0-false-d263348e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.12/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d263342e0-false-d263348e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.58
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.13
Item: (IN3_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.13">
      <extends rule="d263394e0-false-d263400e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Item) = ('514') or not(@Item)">(IN3_segment): de waarde van Item MOET '514' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(IN3_segment): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@LongName) = ('Non-Concur Effective Date/Time') or not(@LongName)">(IN3_segment): de waarde van LongName MOET 'Non-Concur Effective Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d263394e0-false-d263400e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.13/hl7v2:TS.2">
      <extends rule="d263482e0-false-d263488e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d263482e0-false-d263488e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.58
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14
Item: (IN3_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14">
      <extends rule="d263540e0-false-d263546e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Item) = ('515') or not(@Item)">(IN3_segment): de waarde van Item MOET '515' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(IN3_segment): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Table) = ('HL70010') or not(@Table)">(IN3_segment): de waarde van Table MOET 'HL70010' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@LongName) = ('Physician Reviewer') or not(@LongName)">(IN3_segment): de waarde van LongName MOET 'Physician Reviewer' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d263540e0-false-d263546e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.2">
      <extends rule="d263769e0-false-d263775e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d263769e0-false-d263775e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.9">
      <extends rule="d264231e0-false-d264237e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d264231e0-false-d264237e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d264366e0-false-d264372e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d264366e0-false-d264372e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.10">
      <extends rule="d264418e0-false-d264424e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d264418e0-false-d264424e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.12">
      <extends rule="d264503e0-false-d264509e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d264503e0-false-d264509e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.13">
      <extends rule="d264554e0-false-d264560e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d264554e0-false-d264560e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.14">
      <extends rule="d264599e0-false-d264605e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d264599e0-false-d264605e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d264734e0-false-d264740e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d264734e0-false-d264740e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.15">
      <extends rule="d264786e0-false-d264792e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d264786e0-false-d264792e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.16">
      <extends rule="d264837e0-false-d264843e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d264837e0-false-d264843e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d264987e0-false-d264993e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d264987e0-false-d264993e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d265106e0-false-d265112e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d265106e0-false-d265112e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.17">
      <extends rule="d265152e0-false-d265158e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d265152e0-false-d265158e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d265200e0-false-d265206e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d265200e0-false-d265206e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d265288e0-false-d265294e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d265288e0-false-d265294e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d265334e0-false-d265340e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d265334e0-false-d265340e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d265422e0-false-d265428e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d265422e0-false-d265428e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.18">
      <extends rule="d265475e0-false-d265481e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d265475e0-false-d265481e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.19">
      <extends rule="d265520e0-false-d265526e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d265520e0-false-d265526e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d265608e0-false-d265614e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d265608e0-false-d265614e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.20">
      <extends rule="d265654e0-false-d265660e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d265654e0-false-d265660e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d265742e0-false-d265748e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d265742e0-false-d265748e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.22">
      <extends rule="d265822e0-false-d265828e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d265822e0-false-d265828e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d265993e0-false-d265999e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d265993e0-false-d265999e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d266112e0-false-d266118e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d266112e0-false-d266118e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.23">
      <extends rule="d266260e0-false-d266266e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d266260e0-false-d266266e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d266431e0-false-d266437e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d266431e0-false-d266437e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d266550e0-false-d266556e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d266550e0-false-d266556e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.14/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.58
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.15
Item: (IN3_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.15">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Item) = ('516') or not(@Item)">(IN3_segment): de waarde van Item MOET '516' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(IN3_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@LongName) = ('Certification Contact') or not(@LongName)">(IN3_segment): de waarde van LongName MOET 'Certification Contact' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.15
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.58
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16
Item: (IN3_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16">
      <extends rule="d266745e0-false-d266751e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Item) = ('517') or not(@Item)">(IN3_segment): de waarde van Item MOET '517' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Type) = ('XTN') or not(@Type)">(IN3_segment): de waarde van Type MOET 'XTN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@LongName) = ('Certification Contact Phone Number') or not(@LongName)">(IN3_segment): de waarde van LongName MOET 'Certification Contact Phone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" id="d266745e0-false-d266751e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.1) &lt;= 1">(XTN_datatype): element hl7v2:XTN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.2) &lt;= 1">(XTN_datatype): element hl7v2:XTN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.3) &lt;= 1">(XTN_datatype): element hl7v2:XTN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.4) &lt;= 1">(XTN_datatype): element hl7v2:XTN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.5) &lt;= 1">(XTN_datatype): element hl7v2:XTN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.6) &lt;= 1">(XTN_datatype): element hl7v2:XTN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.7) &lt;= 1">(XTN_datatype): element hl7v2:XTN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.8) &lt;= 1">(XTN_datatype): element hl7v2:XTN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.9) &lt;= 1">(XTN_datatype): element hl7v2:XTN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.10) &lt;= 1">(XTN_datatype): element hl7v2:XTN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.11) &lt;= 1">(XTN_datatype): element hl7v2:XTN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.12) &lt;= 1">(XTN_datatype): element hl7v2:XTN.12 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.1
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telephone Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telephone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.2
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.2">
      <extends rule="d266903e0-false-d266909e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70201') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70201' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Use Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Use Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d266903e0-false-d266909e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.3
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.3">
      <extends rule="d266954e0-false-d266960e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70202') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70202' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Equipment Type') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Equipment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d266954e0-false-d266960e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.4
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Email Address') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Email Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.5
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Country Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Country Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.6
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Area/City Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Area/City Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.6
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.7
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Local Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Local Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.7
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.8
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.8
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.9
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Any Text') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Any Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.10
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension Prefix') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.11
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Speed Dial Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Speed Dial Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.12
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Unformatted Telephone number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Unformatted Telephone number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.16/hl7v2:XTN.12
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.58
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.17
Item: (IN3_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.17">
      <extends rule="d267318e0-false-d267324e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Item) = ('518') or not(@Item)">(IN3_segment): de waarde van Item MOET '518' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(IN3_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Table) = ('HL70345') or not(@Table)">(IN3_segment): de waarde van Table MOET 'HL70345' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@LongName) = ('Appeal Reason') or not(@LongName)">(IN3_segment): de waarde van LongName MOET 'Appeal Reason' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.17
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d267318e0-false-d267324e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.17/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.17/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.17/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.17/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.17/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.17/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.17/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.17/hl7v2:CE.3">
      <extends rule="d267468e0-false-d267474e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.17/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d267468e0-false-d267474e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.17/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.17/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.17/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.17/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.17/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.17/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.17/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.17/hl7v2:CE.6">
      <extends rule="d267587e0-false-d267593e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.17/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d267587e0-false-d267593e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.58
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.18
Item: (IN3_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.18">
      <extends rule="d267645e0-false-d267651e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Item) = ('519') or not(@Item)">(IN3_segment): de waarde van Item MOET '519' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(IN3_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Table) = ('HL70346') or not(@Table)">(IN3_segment): de waarde van Table MOET 'HL70346' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@LongName) = ('Certification Agency') or not(@LongName)">(IN3_segment): de waarde van LongName MOET 'Certification Agency' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.18
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d267645e0-false-d267651e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.18/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.18/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.18/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.18/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.18/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.18/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.18/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.18/hl7v2:CE.3">
      <extends rule="d267795e0-false-d267801e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.18/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d267795e0-false-d267801e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.18/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.18/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.18/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.18/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.18/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.18/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.18/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.18/hl7v2:CE.6">
      <extends rule="d267914e0-false-d267920e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.18/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d267914e0-false-d267920e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.58
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19
Item: (IN3_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19">
      <extends rule="d267966e0-false-d267972e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Item) = ('520') or not(@Item)">(IN3_segment): de waarde van Item MOET '520' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Type) = ('XTN') or not(@Type)">(IN3_segment): de waarde van Type MOET 'XTN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@LongName) = ('Certification Agency Phone Number') or not(@LongName)">(IN3_segment): de waarde van LongName MOET 'Certification Agency Phone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" id="d267966e0-false-d267972e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.1) &lt;= 1">(XTN_datatype): element hl7v2:XTN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.2) &lt;= 1">(XTN_datatype): element hl7v2:XTN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.3) &lt;= 1">(XTN_datatype): element hl7v2:XTN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.4) &lt;= 1">(XTN_datatype): element hl7v2:XTN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.5) &lt;= 1">(XTN_datatype): element hl7v2:XTN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.6) &lt;= 1">(XTN_datatype): element hl7v2:XTN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.7) &lt;= 1">(XTN_datatype): element hl7v2:XTN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.8) &lt;= 1">(XTN_datatype): element hl7v2:XTN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.9) &lt;= 1">(XTN_datatype): element hl7v2:XTN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.10) &lt;= 1">(XTN_datatype): element hl7v2:XTN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.11) &lt;= 1">(XTN_datatype): element hl7v2:XTN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.12) &lt;= 1">(XTN_datatype): element hl7v2:XTN.12 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.1
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telephone Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telephone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.2
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.2">
      <extends rule="d268124e0-false-d268130e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70201') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70201' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Use Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Use Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d268124e0-false-d268130e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.3
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.3">
      <extends rule="d268175e0-false-d268181e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70202') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70202' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Equipment Type') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Equipment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d268175e0-false-d268181e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.4
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Email Address') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Email Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.5
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Country Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Country Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.6
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Area/City Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Area/City Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.6
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.7
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Local Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Local Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.7
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.8
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.8
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.9
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Any Text') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Any Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.10
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension Prefix') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.11
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Speed Dial Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Speed Dial Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.12
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Unformatted Telephone number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Unformatted Telephone number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.19/hl7v2:XTN.12
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.58
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.20
Item: (IN3_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.20">
      <extends rule="d268533e0-false-d268539e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Item) = ('521') or not(@Item)">(IN3_segment): de waarde van Item MOET '521' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Type) = ('ICD') or not(@Type)">(IN3_segment): de waarde van Type MOET 'ICD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@LongName) = ('Pre-Certification Requirement') or not(@LongName)">(IN3_segment): de waarde van LongName MOET 'Pre-Certification Requirement' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.29
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.20
Item: (ICD_datatype)
-->
   <rule fpi="RULC-1" id="d268533e0-false-d268539e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.29-2013-02-10T000000.html"
              test="count(hl7v2:ICD.1) &lt;= 1">(ICD_datatype): element hl7v2:ICD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.29-2013-02-10T000000.html"
              test="count(hl7v2:ICD.2) &lt;= 1">(ICD_datatype): element hl7v2:ICD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.29-2013-02-10T000000.html"
              test="count(hl7v2:ICD.3) &lt;= 1">(ICD_datatype): element hl7v2:ICD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.29
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.20/hl7v2:ICD.1
Item: (ICD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.20/hl7v2:ICD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.29-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(ICD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.29-2013-02-10T000000.html"
              test="string(@Table) = ('HL70150') or not(@Table)">(ICD_datatype): de waarde van Table MOET 'HL70150' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.29-2013-02-10T000000.html"
              test="string(@LongName) = ('Certification Patient Type') or not(@LongName)">(ICD_datatype): de waarde van LongName MOET 'Certification Patient Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.20/hl7v2:ICD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.29
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.20/hl7v2:ICD.2
Item: (ICD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.20/hl7v2:ICD.2">
      <extends rule="d268634e0-false-d268640e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.29-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(ICD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.29-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(ICD_datatype): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.29-2013-02-10T000000.html"
              test="string(@LongName) = ('Certification Required') or not(@LongName)">(ICD_datatype): de waarde van LongName MOET 'Certification Required' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.20/hl7v2:ICD.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d268634e0-false-d268640e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.29
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.20/hl7v2:ICD.3
Item: (ICD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.20/hl7v2:ICD.3">
      <extends rule="d268679e0-false-d268685e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.29-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(ICD_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.29-2013-02-10T000000.html"
              test="string(@LongName) = ('Date/Time Certification Required') or not(@LongName)">(ICD_datatype): de waarde van LongName MOET 'Date/Time Certification Required' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.20/hl7v2:ICD.3
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d268679e0-false-d268685e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.20/hl7v2:ICD.3/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.20/hl7v2:ICD.3/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.20/hl7v2:ICD.3/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.20/hl7v2:ICD.3/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.20/hl7v2:ICD.3/hl7v2:TS.2">
      <extends rule="d268767e0-false-d268773e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.20/hl7v2:ICD.3/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d268767e0-false-d268773e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.58
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.21
Item: (IN3_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Item) = ('522') or not(@Item)">(IN3_segment): de waarde van Item MOET '522' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(IN3_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@LongName) = ('Case Manager') or not(@LongName)">(IN3_segment): de waarde van LongName MOET 'Case Manager' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.58
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.22
Item: (IN3_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.22">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Item) = ('523') or not(@Item)">(IN3_segment): de waarde van Item MOET '523' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(IN3_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@LongName) = ('Second Opinion Date') or not(@LongName)">(IN3_segment): de waarde van LongName MOET 'Second Opinion Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.22
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.58
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.23
Item: (IN3_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.23">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Item) = ('524') or not(@Item)">(IN3_segment): de waarde van Item MOET '524' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN3_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Table) = ('HL70151') or not(@Table)">(IN3_segment): de waarde van Table MOET 'HL70151' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@LongName) = ('Second Opinion Status') or not(@LongName)">(IN3_segment): de waarde van LongName MOET 'Second Opinion Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.23
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.58
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.24
Item: (IN3_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.24">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Item) = ('525') or not(@Item)">(IN3_segment): de waarde van Item MOET '525' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(IN3_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Table) = ('HL70152') or not(@Table)">(IN3_segment): de waarde van Table MOET 'HL70152' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@LongName) = ('Second Opinion Documentation Received') or not(@LongName)">(IN3_segment): de waarde van LongName MOET 'Second Opinion Documentation Received' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.24
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.58
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25
Item: (IN3_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25">
      <extends rule="d268998e0-false-d269004e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Item) = ('526') or not(@Item)">(IN3_segment): de waarde van Item MOET '526' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(IN3_segment): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@Table) = ('HL70010') or not(@Table)">(IN3_segment): de waarde van Table MOET 'HL70010' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.58-2013-02-10T000000.html"
              test="string(@LongName) = ('Second Opinion Physician') or not(@LongName)">(IN3_segment): de waarde van LongName MOET 'Second Opinion Physician' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d268998e0-false-d269004e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.2">
      <extends rule="d269227e0-false-d269233e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d269227e0-false-d269233e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.9">
      <extends rule="d269689e0-false-d269695e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d269689e0-false-d269695e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d269824e0-false-d269830e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d269824e0-false-d269830e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.10">
      <extends rule="d269876e0-false-d269882e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d269876e0-false-d269882e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.12">
      <extends rule="d269961e0-false-d269967e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d269961e0-false-d269967e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.13">
      <extends rule="d270012e0-false-d270018e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d270012e0-false-d270018e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.14">
      <extends rule="d270057e0-false-d270063e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d270057e0-false-d270063e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d270192e0-false-d270198e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d270192e0-false-d270198e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.15">
      <extends rule="d270244e0-false-d270250e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d270244e0-false-d270250e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.16">
      <extends rule="d270295e0-false-d270301e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d270295e0-false-d270301e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d270445e0-false-d270451e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d270445e0-false-d270451e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d270564e0-false-d270570e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d270564e0-false-d270570e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.17">
      <extends rule="d270610e0-false-d270616e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d270610e0-false-d270616e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d270658e0-false-d270664e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d270658e0-false-d270664e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d270746e0-false-d270752e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d270746e0-false-d270752e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d270792e0-false-d270798e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d270792e0-false-d270798e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d270880e0-false-d270886e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d270880e0-false-d270886e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.18">
      <extends rule="d270933e0-false-d270939e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d270933e0-false-d270939e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.19">
      <extends rule="d270978e0-false-d270984e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d270978e0-false-d270984e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d271066e0-false-d271072e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d271066e0-false-d271072e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.20">
      <extends rule="d271112e0-false-d271118e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d271112e0-false-d271118e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d271200e0-false-d271206e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d271200e0-false-d271206e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.22">
      <extends rule="d271280e0-false-d271286e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d271280e0-false-d271286e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d271451e0-false-d271457e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d271451e0-false-d271457e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d271570e0-false-d271576e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d271570e0-false-d271576e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.23">
      <extends rule="d271718e0-false-d271724e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d271718e0-false-d271724e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d271889e0-false-d271895e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d271889e0-false-d271895e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d272008e0-false-d272014e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d272008e0-false-d272014e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:OML_O21.INSURANCE/hl7v2:IN3/hl7v2:IN3.25/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1
Item: (GT1_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.1) &gt;= 1">(GT1_segment): element hl7v2:GT1.1 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.1) &lt;= 1">(GT1_segment): element hl7v2:GT1.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.3) &gt;= 1">(GT1_segment): element hl7v2:GT1.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.8) &lt;= 1">(GT1_segment): element hl7v2:GT1.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.9) &lt;= 1">(GT1_segment): element hl7v2:GT1.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.10) &lt;= 1">(GT1_segment): element hl7v2:GT1.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.11) &lt;= 1">(GT1_segment): element hl7v2:GT1.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.12) &lt;= 1">(GT1_segment): element hl7v2:GT1.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.13) &lt;= 1">(GT1_segment): element hl7v2:GT1.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.14) &lt;= 1">(GT1_segment): element hl7v2:GT1.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.15) &lt;= 1">(GT1_segment): element hl7v2:GT1.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.20) &lt;= 1">(GT1_segment): element hl7v2:GT1.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.22) &lt;= 1">(GT1_segment): element hl7v2:GT1.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.23) &lt;= 1">(GT1_segment): element hl7v2:GT1.23 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.24) &lt;= 1">(GT1_segment): element hl7v2:GT1.24 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.25) &lt;= 1">(GT1_segment): element hl7v2:GT1.25 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.26) &lt;= 1">(GT1_segment): element hl7v2:GT1.26 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.27) &lt;= 1">(GT1_segment): element hl7v2:GT1.27 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.28) &lt;= 1">(GT1_segment): element hl7v2:GT1.28 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.30) &lt;= 1">(GT1_segment): element hl7v2:GT1.30 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.31) &lt;= 1">(GT1_segment): element hl7v2:GT1.31 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.32) &lt;= 1">(GT1_segment): element hl7v2:GT1.32 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.33) &lt;= 1">(GT1_segment): element hl7v2:GT1.33 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.36) &lt;= 1">(GT1_segment): element hl7v2:GT1.36 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.37) &lt;= 1">(GT1_segment): element hl7v2:GT1.37 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.38) &lt;= 1">(GT1_segment): element hl7v2:GT1.38 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.39) &lt;= 1">(GT1_segment): element hl7v2:GT1.39 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.40) &lt;= 1">(GT1_segment): element hl7v2:GT1.40 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.41) &lt;= 1">(GT1_segment): element hl7v2:GT1.41 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.43) &lt;= 1">(GT1_segment): element hl7v2:GT1.43 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.47) &lt;= 1">(GT1_segment): element hl7v2:GT1.47 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.48) &lt;= 1">(GT1_segment): element hl7v2:GT1.48 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.49) &lt;= 1">(GT1_segment): element hl7v2:GT1.49 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.50) &lt;= 1">(GT1_segment): element hl7v2:GT1.50 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.52) &lt;= 1">(GT1_segment): element hl7v2:GT1.52 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.53) &lt;= 1">(GT1_segment): element hl7v2:GT1.53 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.54) &lt;= 1">(GT1_segment): element hl7v2:GT1.54 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.56) &lt;= 1">(GT1_segment): element hl7v2:GT1.56 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="count(hl7v2:GT1.57) &lt;= 1">(GT1_segment): element hl7v2:GT1.57 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.1
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('405') or not(@Item)">(GT1_segment): de waarde van Item MOET '405' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('SI') or not(@Type)">(GT1_segment): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Set ID - GT1') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Set ID - GT1' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2">
      <extends rule="d272536e0-false-d272542e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('406') or not(@Item)">(GT1_segment): de waarde van Item MOET '406' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('CX') or not(@Type)">(GT1_segment): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Number') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d272536e0-false-d272542e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.3">
      <extends rule="d272714e0-false-d272720e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d272714e0-false-d272720e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.4">
      <extends rule="d272765e0-false-d272771e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d272765e0-false-d272771e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d272900e0-false-d272906e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d272900e0-false-d272906e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.5">
      <extends rule="d272952e0-false-d272958e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d272952e0-false-d272958e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.6">
      <extends rule="d272997e0-false-d273003e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d272997e0-false-d273003e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d273132e0-false-d273138e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d273132e0-false-d273138e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.9">
      <extends rule="d273246e0-false-d273252e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d273246e0-false-d273252e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d273417e0-false-d273423e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d273417e0-false-d273423e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d273536e0-false-d273542e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d273536e0-false-d273542e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.10">
      <extends rule="d273684e0-false-d273690e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d273684e0-false-d273690e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d273855e0-false-d273861e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d273855e0-false-d273861e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d273974e0-false-d273980e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d273974e0-false-d273980e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.2/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3">
      <extends rule="d274129e0-false-d274135e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('407') or not(@Item)">(GT1_segment): de waarde van Item MOET '407' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('XPN') or not(@Type)">(GT1_segment): de waarde van Type MOET 'XPN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Name') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1" id="d274129e0-false-d274135e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.1) &lt;= 1">(XPN_datatype): element hl7v2:XPN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.2) &lt;= 1">(XPN_datatype): element hl7v2:XPN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.3) &lt;= 1">(XPN_datatype): element hl7v2:XPN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.4) &lt;= 1">(XPN_datatype): element hl7v2:XPN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.5) &lt;= 1">(XPN_datatype): element hl7v2:XPN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.6) &lt;= 1">(XPN_datatype): element hl7v2:XPN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.7) &lt;= 1">(XPN_datatype): element hl7v2:XPN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.8) &lt;= 1">(XPN_datatype): element hl7v2:XPN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.9) &lt;= 1">(XPN_datatype): element hl7v2:XPN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.10) &lt;= 1">(XPN_datatype): element hl7v2:XPN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.11) &lt;= 1">(XPN_datatype): element hl7v2:XPN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.12) &lt;= 1">(XPN_datatype): element hl7v2:XPN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.13) &lt;= 1">(XPN_datatype): element hl7v2:XPN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.14) &lt;= 1">(XPN_datatype): element hl7v2:XPN.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.1
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.1">
      <extends rule="d274261e0-false-d274267e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d274261e0-false-d274267e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.1/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.1/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.1/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.1/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.1/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.1/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.1/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.1/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.1/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.1/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.1/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.1/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.1/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.1/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.1/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.2
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.3
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.4
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.5
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.6
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.7
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.7">
      <extends rule="d274683e0-false-d274689e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d274683e0-false-d274689e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.8
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.8">
      <extends rule="d274734e0-false-d274740e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.8
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d274734e0-false-d274740e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.9
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.9">
      <extends rule="d274785e0-false-d274791e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.9
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d274785e0-false-d274791e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.9/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.9/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.9/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.9/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.9/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.9/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.9/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.9/hl7v2:CE.3">
      <extends rule="d274935e0-false-d274941e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.9/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d274935e0-false-d274941e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.9/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.9/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.9/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.9/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.9/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.9/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.9/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.9/hl7v2:CE.6">
      <extends rule="d275054e0-false-d275060e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.9/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d275054e0-false-d275060e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.10
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.10">
      <extends rule="d275100e0-false-d275106e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.10
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d275100e0-false-d275106e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.10/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.10/hl7v2:DR.1">
      <extends rule="d275148e0-false-d275154e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.10/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d275148e0-false-d275154e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d275236e0-false-d275242e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d275236e0-false-d275242e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.10/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.10/hl7v2:DR.2">
      <extends rule="d275282e0-false-d275288e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.10/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d275282e0-false-d275288e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d275370e0-false-d275376e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d275370e0-false-d275376e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.11
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.11">
      <extends rule="d275423e0-false-d275429e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d275423e0-false-d275429e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.12
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.12">
      <extends rule="d275468e0-false-d275474e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d275468e0-false-d275474e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.12/hl7v2:TS.2">
      <extends rule="d275556e0-false-d275562e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d275556e0-false-d275562e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.13
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.13">
      <extends rule="d275602e0-false-d275608e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d275602e0-false-d275608e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.13/hl7v2:TS.2">
      <extends rule="d275690e0-false-d275696e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d275690e0-false-d275696e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.14
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.3/hl7v2:XPN.14
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4">
      <extends rule="d275777e0-false-d275783e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('408') or not(@Item)">(GT1_segment): de waarde van Item MOET '408' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('XPN') or not(@Type)">(GT1_segment): de waarde van Type MOET 'XPN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Spouse Name') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Spouse Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1" id="d275777e0-false-d275783e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.1) &lt;= 1">(XPN_datatype): element hl7v2:XPN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.2) &lt;= 1">(XPN_datatype): element hl7v2:XPN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.3) &lt;= 1">(XPN_datatype): element hl7v2:XPN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.4) &lt;= 1">(XPN_datatype): element hl7v2:XPN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.5) &lt;= 1">(XPN_datatype): element hl7v2:XPN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.6) &lt;= 1">(XPN_datatype): element hl7v2:XPN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.7) &lt;= 1">(XPN_datatype): element hl7v2:XPN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.8) &lt;= 1">(XPN_datatype): element hl7v2:XPN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.9) &lt;= 1">(XPN_datatype): element hl7v2:XPN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.10) &lt;= 1">(XPN_datatype): element hl7v2:XPN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.11) &lt;= 1">(XPN_datatype): element hl7v2:XPN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.12) &lt;= 1">(XPN_datatype): element hl7v2:XPN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.13) &lt;= 1">(XPN_datatype): element hl7v2:XPN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.14) &lt;= 1">(XPN_datatype): element hl7v2:XPN.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.1
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.1">
      <extends rule="d275909e0-false-d275915e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d275909e0-false-d275915e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.1/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.1/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.1/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.1/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.1/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.1/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.1/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.1/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.1/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.1/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.1/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.1/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.1/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.1/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.1/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.2
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.3
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.4
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.5
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.6
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.7
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.7">
      <extends rule="d276331e0-false-d276337e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d276331e0-false-d276337e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.8
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.8">
      <extends rule="d276382e0-false-d276388e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.8
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d276382e0-false-d276388e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.9
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.9">
      <extends rule="d276433e0-false-d276439e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.9
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d276433e0-false-d276439e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.9/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.9/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.9/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.9/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.9/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.9/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.9/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.9/hl7v2:CE.3">
      <extends rule="d276583e0-false-d276589e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.9/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d276583e0-false-d276589e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.9/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.9/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.9/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.9/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.9/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.9/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.9/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.9/hl7v2:CE.6">
      <extends rule="d276702e0-false-d276708e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.9/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d276702e0-false-d276708e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.10
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.10">
      <extends rule="d276748e0-false-d276754e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.10
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d276748e0-false-d276754e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.10/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.10/hl7v2:DR.1">
      <extends rule="d276796e0-false-d276802e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.10/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d276796e0-false-d276802e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d276884e0-false-d276890e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d276884e0-false-d276890e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.10/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.10/hl7v2:DR.2">
      <extends rule="d276930e0-false-d276936e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.10/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d276930e0-false-d276936e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d277018e0-false-d277024e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d277018e0-false-d277024e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.11
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.11">
      <extends rule="d277071e0-false-d277077e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d277071e0-false-d277077e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.12
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.12">
      <extends rule="d277116e0-false-d277122e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d277116e0-false-d277122e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.12/hl7v2:TS.2">
      <extends rule="d277204e0-false-d277210e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d277204e0-false-d277210e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.13
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.13">
      <extends rule="d277250e0-false-d277256e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d277250e0-false-d277256e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.13/hl7v2:TS.2">
      <extends rule="d277338e0-false-d277344e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d277338e0-false-d277344e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.14
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.4/hl7v2:XPN.14
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5">
      <extends rule="d277425e0-false-d277431e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('409') or not(@Item)">(GT1_segment): de waarde van Item MOET '409' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('XAD') or not(@Type)">(GT1_segment): de waarde van Type MOET 'XAD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Address') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1" id="d277425e0-false-d277431e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.1) &lt;= 1">(XAD_datatype): element hl7v2:XAD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.2) &lt;= 1">(XAD_datatype): element hl7v2:XAD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.3) &lt;= 1">(XAD_datatype): element hl7v2:XAD.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.4) &lt;= 1">(XAD_datatype): element hl7v2:XAD.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.5) &lt;= 1">(XAD_datatype): element hl7v2:XAD.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.6) &lt;= 1">(XAD_datatype): element hl7v2:XAD.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.7) &lt;= 1">(XAD_datatype): element hl7v2:XAD.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.8) &lt;= 1">(XAD_datatype): element hl7v2:XAD.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.9) &lt;= 1">(XAD_datatype): element hl7v2:XAD.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.10) &lt;= 1">(XAD_datatype): element hl7v2:XAD.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.11) &lt;= 1">(XAD_datatype): element hl7v2:XAD.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.12) &lt;= 1">(XAD_datatype): element hl7v2:XAD.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.13) &lt;= 1">(XAD_datatype): element hl7v2:XAD.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.14) &lt;= 1">(XAD_datatype): element hl7v2:XAD.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.1
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.1">
      <extends rule="d277557e0-false-d277563e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('SAD') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'SAD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Street Address') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Street Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.1
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1" id="d277557e0-false-d277563e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.1) &lt;= 1">(SAD_datatype): element hl7v2:SAD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.2) &lt;= 1">(SAD_datatype): element hl7v2:SAD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.3) &lt;= 1">(SAD_datatype): element hl7v2:SAD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.1/hl7v2:SAD.1
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.1/hl7v2:SAD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Street or Mailing Address') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Street or Mailing Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.1/hl7v2:SAD.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.1/hl7v2:SAD.2
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.1/hl7v2:SAD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Street Name') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Street Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.1/hl7v2:SAD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.1/hl7v2:SAD.3
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.1/hl7v2:SAD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Dwelling Number') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Dwelling Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.1/hl7v2:SAD.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.2
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Other Designation') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Other Designation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.3
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('City') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'City' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.4
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('State or Province') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'State or Province' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.5
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Zip or Postal Code') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Zip or Postal Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.6
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.6">
      <extends rule="d277857e0-false-d277863e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Table) = ('HL70399') or not(@Table)">(XAD_datatype): de waarde van Table MOET 'HL70399' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Country') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Country' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d277857e0-false-d277863e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.7
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.7">
      <extends rule="d277908e0-false-d277914e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Table) = ('HL70190') or not(@Table)">(XAD_datatype): de waarde van Table MOET 'HL70190' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Address Type') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Address Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d277908e0-false-d277914e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.8
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Other Geographic Designation') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Other Geographic Designation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.9
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Table) = ('HL70289') or not(@Table)">(XAD_datatype): de waarde van Table MOET 'HL70289' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('County/Parish Code') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'County/Parish Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.10
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Table) = ('HL70288') or not(@Table)">(XAD_datatype): de waarde van Table MOET 'HL70288' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Census Tract') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Census Tract' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.10
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.11
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.11">
      <extends rule="d278073e0-false-d278079e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XAD_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Address Representation Code') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Address Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d278073e0-false-d278079e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.12
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.12">
      <extends rule="d278118e0-false-d278124e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Address Validity Range') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Address Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.12
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d278118e0-false-d278124e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.12/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.12/hl7v2:DR.1">
      <extends rule="d278166e0-false-d278172e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.12/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d278166e0-false-d278172e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d278254e0-false-d278260e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d278254e0-false-d278260e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.12/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.12/hl7v2:DR.2">
      <extends rule="d278300e0-false-d278306e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.12/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d278300e0-false-d278306e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d278388e0-false-d278394e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d278388e0-false-d278394e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.13
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.13">
      <extends rule="d278435e0-false-d278441e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d278435e0-false-d278441e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.13/hl7v2:TS.2">
      <extends rule="d278523e0-false-d278529e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d278523e0-false-d278529e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.14
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.14">
      <extends rule="d278569e0-false-d278575e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d278569e0-false-d278575e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.14/hl7v2:TS.2">
      <extends rule="d278657e0-false-d278663e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.5/hl7v2:XAD.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d278657e0-false-d278663e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6">
      <extends rule="d278710e0-false-d278716e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('410') or not(@Item)">(GT1_segment): de waarde van Item MOET '410' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('XTN') or not(@Type)">(GT1_segment): de waarde van Type MOET 'XTN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Ph Num - Home') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Ph Num - Home' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" id="d278710e0-false-d278716e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.1) &lt;= 1">(XTN_datatype): element hl7v2:XTN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.2) &lt;= 1">(XTN_datatype): element hl7v2:XTN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.3) &lt;= 1">(XTN_datatype): element hl7v2:XTN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.4) &lt;= 1">(XTN_datatype): element hl7v2:XTN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.5) &lt;= 1">(XTN_datatype): element hl7v2:XTN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.6) &lt;= 1">(XTN_datatype): element hl7v2:XTN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.7) &lt;= 1">(XTN_datatype): element hl7v2:XTN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.8) &lt;= 1">(XTN_datatype): element hl7v2:XTN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.9) &lt;= 1">(XTN_datatype): element hl7v2:XTN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.10) &lt;= 1">(XTN_datatype): element hl7v2:XTN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.11) &lt;= 1">(XTN_datatype): element hl7v2:XTN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.12) &lt;= 1">(XTN_datatype): element hl7v2:XTN.12 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.1
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telephone Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telephone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.2
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.2">
      <extends rule="d278868e0-false-d278874e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70201') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70201' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Use Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Use Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d278868e0-false-d278874e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.3
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.3">
      <extends rule="d278919e0-false-d278925e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70202') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70202' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Equipment Type') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Equipment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d278919e0-false-d278925e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.4
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Email Address') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Email Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.5
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Country Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Country Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.6
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Area/City Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Area/City Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.6
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.7
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Local Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Local Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.7
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.8
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.8
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.9
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Any Text') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Any Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.10
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension Prefix') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.11
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Speed Dial Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Speed Dial Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.12
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Unformatted Telephone number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Unformatted Telephone number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.6/hl7v2:XTN.12
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7">
      <extends rule="d279277e0-false-d279283e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('411') or not(@Item)">(GT1_segment): de waarde van Item MOET '411' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('XTN') or not(@Type)">(GT1_segment): de waarde van Type MOET 'XTN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Ph Num - Business') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Ph Num - Business' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" id="d279277e0-false-d279283e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.1) &lt;= 1">(XTN_datatype): element hl7v2:XTN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.2) &lt;= 1">(XTN_datatype): element hl7v2:XTN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.3) &lt;= 1">(XTN_datatype): element hl7v2:XTN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.4) &lt;= 1">(XTN_datatype): element hl7v2:XTN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.5) &lt;= 1">(XTN_datatype): element hl7v2:XTN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.6) &lt;= 1">(XTN_datatype): element hl7v2:XTN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.7) &lt;= 1">(XTN_datatype): element hl7v2:XTN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.8) &lt;= 1">(XTN_datatype): element hl7v2:XTN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.9) &lt;= 1">(XTN_datatype): element hl7v2:XTN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.10) &lt;= 1">(XTN_datatype): element hl7v2:XTN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.11) &lt;= 1">(XTN_datatype): element hl7v2:XTN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.12) &lt;= 1">(XTN_datatype): element hl7v2:XTN.12 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.1
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telephone Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telephone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.2
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.2">
      <extends rule="d279435e0-false-d279441e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70201') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70201' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Use Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Use Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d279435e0-false-d279441e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.3
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.3">
      <extends rule="d279486e0-false-d279492e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70202') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70202' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Equipment Type') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Equipment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d279486e0-false-d279492e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.4
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Email Address') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Email Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.5
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Country Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Country Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.6
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Area/City Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Area/City Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.6
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.7
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Local Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Local Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.7
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.8
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.8
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.9
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Any Text') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Any Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.10
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension Prefix') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.11
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Speed Dial Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Speed Dial Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.12
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Unformatted Telephone number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Unformatted Telephone number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.7/hl7v2:XTN.12
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.8
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.8">
      <extends rule="d279844e0-false-d279850e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('412') or not(@Item)">(GT1_segment): de waarde van Item MOET '412' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(GT1_segment): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Date/Time Of Birth') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Date/Time Of Birth' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.8
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d279844e0-false-d279850e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.8/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.8/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.8/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.8/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.8/hl7v2:TS.2">
      <extends rule="d279932e0-false-d279938e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.8/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d279932e0-false-d279938e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.9
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('413') or not(@Item)">(GT1_segment): de waarde van Item MOET '413' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(GT1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Table) = ('HL70001') or not(@Table)">(GT1_segment): de waarde van Table MOET 'HL70001' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Administrative Sex') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Administrative Sex' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.10
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('414') or not(@Item)">(GT1_segment): de waarde van Item MOET '414' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(GT1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Table) = ('HL70068') or not(@Table)">(GT1_segment): de waarde van Table MOET 'HL70068' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Type') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.10
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.11
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.11">
      <extends rule="d280082e0-false-d280088e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('415') or not(@Item)">(GT1_segment): de waarde van Item MOET '415' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(GT1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Table) = ('HL70063') or not(@Table)">(GT1_segment): de waarde van Table MOET 'HL70063' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Relationship') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Relationship' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.11
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d280082e0-false-d280088e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.11/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.11/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.11/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.11/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.11/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.11/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.11/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.11/hl7v2:CE.3">
      <extends rule="d280232e0-false-d280238e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.11/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d280232e0-false-d280238e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.11/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.11/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.11/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.11/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.11/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.11/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.11/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.11/hl7v2:CE.6">
      <extends rule="d280351e0-false-d280357e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.11/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d280351e0-false-d280357e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.12
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('416') or not(@Item)">(GT1_segment): de waarde van Item MOET '416' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(GT1_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor SSN') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor SSN' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.12
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.13
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('417') or not(@Item)">(GT1_segment): de waarde van Item MOET '417' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(GT1_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Date - Begin') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Date - Begin' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.13
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.14
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('418') or not(@Item)">(GT1_segment): de waarde van Item MOET '418' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(GT1_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Date - End') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Date - End' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.14
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.15
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.15">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('419') or not(@Item)">(GT1_segment): de waarde van Item MOET '419' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(GT1_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Priority') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Priority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.15
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16">
      <extends rule="d280563e0-false-d280569e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('420') or not(@Item)">(GT1_segment): de waarde van Item MOET '420' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('XPN') or not(@Type)">(GT1_segment): de waarde van Type MOET 'XPN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Employer Name') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Employer Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1" id="d280563e0-false-d280569e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.1) &lt;= 1">(XPN_datatype): element hl7v2:XPN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.2) &lt;= 1">(XPN_datatype): element hl7v2:XPN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.3) &lt;= 1">(XPN_datatype): element hl7v2:XPN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.4) &lt;= 1">(XPN_datatype): element hl7v2:XPN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.5) &lt;= 1">(XPN_datatype): element hl7v2:XPN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.6) &lt;= 1">(XPN_datatype): element hl7v2:XPN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.7) &lt;= 1">(XPN_datatype): element hl7v2:XPN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.8) &lt;= 1">(XPN_datatype): element hl7v2:XPN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.9) &lt;= 1">(XPN_datatype): element hl7v2:XPN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.10) &lt;= 1">(XPN_datatype): element hl7v2:XPN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.11) &lt;= 1">(XPN_datatype): element hl7v2:XPN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.12) &lt;= 1">(XPN_datatype): element hl7v2:XPN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.13) &lt;= 1">(XPN_datatype): element hl7v2:XPN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.14) &lt;= 1">(XPN_datatype): element hl7v2:XPN.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.1
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.1">
      <extends rule="d280695e0-false-d280701e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d280695e0-false-d280701e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.1/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.1/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.1/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.1/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.1/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.1/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.1/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.1/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.1/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.1/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.1/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.1/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.1/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.1/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.1/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.2
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.3
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.4
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.5
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.6
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.7
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.7">
      <extends rule="d281117e0-false-d281123e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d281117e0-false-d281123e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.8
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.8">
      <extends rule="d281168e0-false-d281174e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.8
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d281168e0-false-d281174e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.9
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.9">
      <extends rule="d281219e0-false-d281225e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.9
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d281219e0-false-d281225e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.9/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.9/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.9/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.9/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.9/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.9/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.9/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.9/hl7v2:CE.3">
      <extends rule="d281369e0-false-d281375e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.9/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d281369e0-false-d281375e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.9/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.9/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.9/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.9/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.9/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.9/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.9/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.9/hl7v2:CE.6">
      <extends rule="d281488e0-false-d281494e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.9/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d281488e0-false-d281494e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.10
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.10">
      <extends rule="d281534e0-false-d281540e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.10
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d281534e0-false-d281540e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.10/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.10/hl7v2:DR.1">
      <extends rule="d281582e0-false-d281588e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.10/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d281582e0-false-d281588e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d281670e0-false-d281676e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d281670e0-false-d281676e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.10/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.10/hl7v2:DR.2">
      <extends rule="d281716e0-false-d281722e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.10/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d281716e0-false-d281722e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d281804e0-false-d281810e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d281804e0-false-d281810e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.11
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.11">
      <extends rule="d281857e0-false-d281863e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d281857e0-false-d281863e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.12
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.12">
      <extends rule="d281902e0-false-d281908e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d281902e0-false-d281908e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.12/hl7v2:TS.2">
      <extends rule="d281990e0-false-d281996e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d281990e0-false-d281996e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.13
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.13">
      <extends rule="d282036e0-false-d282042e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d282036e0-false-d282042e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.13/hl7v2:TS.2">
      <extends rule="d282124e0-false-d282130e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d282124e0-false-d282130e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.14
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.16/hl7v2:XPN.14
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17">
      <extends rule="d282211e0-false-d282217e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('421') or not(@Item)">(GT1_segment): de waarde van Item MOET '421' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('XAD') or not(@Type)">(GT1_segment): de waarde van Type MOET 'XAD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Employer Address') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Employer Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1" id="d282211e0-false-d282217e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.1) &lt;= 1">(XAD_datatype): element hl7v2:XAD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.2) &lt;= 1">(XAD_datatype): element hl7v2:XAD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.3) &lt;= 1">(XAD_datatype): element hl7v2:XAD.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.4) &lt;= 1">(XAD_datatype): element hl7v2:XAD.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.5) &lt;= 1">(XAD_datatype): element hl7v2:XAD.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.6) &lt;= 1">(XAD_datatype): element hl7v2:XAD.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.7) &lt;= 1">(XAD_datatype): element hl7v2:XAD.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.8) &lt;= 1">(XAD_datatype): element hl7v2:XAD.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.9) &lt;= 1">(XAD_datatype): element hl7v2:XAD.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.10) &lt;= 1">(XAD_datatype): element hl7v2:XAD.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.11) &lt;= 1">(XAD_datatype): element hl7v2:XAD.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.12) &lt;= 1">(XAD_datatype): element hl7v2:XAD.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.13) &lt;= 1">(XAD_datatype): element hl7v2:XAD.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.14) &lt;= 1">(XAD_datatype): element hl7v2:XAD.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.1
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.1">
      <extends rule="d282343e0-false-d282349e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('SAD') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'SAD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Street Address') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Street Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.1
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1" id="d282343e0-false-d282349e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.1) &lt;= 1">(SAD_datatype): element hl7v2:SAD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.2) &lt;= 1">(SAD_datatype): element hl7v2:SAD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.3) &lt;= 1">(SAD_datatype): element hl7v2:SAD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.1/hl7v2:SAD.1
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.1/hl7v2:SAD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Street or Mailing Address') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Street or Mailing Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.1/hl7v2:SAD.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.1/hl7v2:SAD.2
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.1/hl7v2:SAD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Street Name') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Street Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.1/hl7v2:SAD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.1/hl7v2:SAD.3
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.1/hl7v2:SAD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Dwelling Number') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Dwelling Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.1/hl7v2:SAD.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.2
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Other Designation') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Other Designation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.3
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('City') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'City' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.4
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('State or Province') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'State or Province' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.5
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Zip or Postal Code') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Zip or Postal Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.6
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.6">
      <extends rule="d282643e0-false-d282649e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Table) = ('HL70399') or not(@Table)">(XAD_datatype): de waarde van Table MOET 'HL70399' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Country') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Country' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d282643e0-false-d282649e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.7
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.7">
      <extends rule="d282694e0-false-d282700e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Table) = ('HL70190') or not(@Table)">(XAD_datatype): de waarde van Table MOET 'HL70190' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Address Type') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Address Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d282694e0-false-d282700e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.8
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Other Geographic Designation') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Other Geographic Designation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.9
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Table) = ('HL70289') or not(@Table)">(XAD_datatype): de waarde van Table MOET 'HL70289' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('County/Parish Code') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'County/Parish Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.10
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Table) = ('HL70288') or not(@Table)">(XAD_datatype): de waarde van Table MOET 'HL70288' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Census Tract') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Census Tract' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.10
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.11
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.11">
      <extends rule="d282859e0-false-d282865e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XAD_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Address Representation Code') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Address Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d282859e0-false-d282865e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.12
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.12">
      <extends rule="d282904e0-false-d282910e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Address Validity Range') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Address Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.12
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d282904e0-false-d282910e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.12/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.12/hl7v2:DR.1">
      <extends rule="d282952e0-false-d282958e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.12/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d282952e0-false-d282958e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d283040e0-false-d283046e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d283040e0-false-d283046e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.12/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.12/hl7v2:DR.2">
      <extends rule="d283086e0-false-d283092e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.12/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d283086e0-false-d283092e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d283174e0-false-d283180e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d283174e0-false-d283180e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.13
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.13">
      <extends rule="d283221e0-false-d283227e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d283221e0-false-d283227e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.13/hl7v2:TS.2">
      <extends rule="d283309e0-false-d283315e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d283309e0-false-d283315e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.14
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.14">
      <extends rule="d283355e0-false-d283361e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d283355e0-false-d283361e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.14/hl7v2:TS.2">
      <extends rule="d283443e0-false-d283449e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.17/hl7v2:XAD.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d283443e0-false-d283449e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18">
      <extends rule="d283496e0-false-d283502e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('422') or not(@Item)">(GT1_segment): de waarde van Item MOET '422' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('XTN') or not(@Type)">(GT1_segment): de waarde van Type MOET 'XTN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Employer Phone Number') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Employer Phone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" id="d283496e0-false-d283502e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.1) &lt;= 1">(XTN_datatype): element hl7v2:XTN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.2) &lt;= 1">(XTN_datatype): element hl7v2:XTN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.3) &lt;= 1">(XTN_datatype): element hl7v2:XTN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.4) &lt;= 1">(XTN_datatype): element hl7v2:XTN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.5) &lt;= 1">(XTN_datatype): element hl7v2:XTN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.6) &lt;= 1">(XTN_datatype): element hl7v2:XTN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.7) &lt;= 1">(XTN_datatype): element hl7v2:XTN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.8) &lt;= 1">(XTN_datatype): element hl7v2:XTN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.9) &lt;= 1">(XTN_datatype): element hl7v2:XTN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.10) &lt;= 1">(XTN_datatype): element hl7v2:XTN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.11) &lt;= 1">(XTN_datatype): element hl7v2:XTN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.12) &lt;= 1">(XTN_datatype): element hl7v2:XTN.12 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.1
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telephone Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telephone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.2
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.2">
      <extends rule="d283654e0-false-d283660e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70201') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70201' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Use Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Use Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d283654e0-false-d283660e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.3
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.3">
      <extends rule="d283705e0-false-d283711e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70202') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70202' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Equipment Type') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Equipment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d283705e0-false-d283711e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.4
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Email Address') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Email Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.5
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Country Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Country Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.6
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Area/City Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Area/City Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.6
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.7
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Local Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Local Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.7
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.8
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.8
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.9
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Any Text') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Any Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.10
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension Prefix') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.11
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Speed Dial Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Speed Dial Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.12
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Unformatted Telephone number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Unformatted Telephone number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.18/hl7v2:XTN.12
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19">
      <extends rule="d284063e0-false-d284069e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('423') or not(@Item)">(GT1_segment): de waarde van Item MOET '423' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('CX') or not(@Type)">(GT1_segment): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Employee ID Number') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Employee ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d284063e0-false-d284069e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.3">
      <extends rule="d284241e0-false-d284247e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d284241e0-false-d284247e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.4">
      <extends rule="d284292e0-false-d284298e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d284292e0-false-d284298e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d284427e0-false-d284433e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d284427e0-false-d284433e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.5">
      <extends rule="d284479e0-false-d284485e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d284479e0-false-d284485e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.6">
      <extends rule="d284524e0-false-d284530e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d284524e0-false-d284530e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d284659e0-false-d284665e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d284659e0-false-d284665e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.9">
      <extends rule="d284773e0-false-d284779e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d284773e0-false-d284779e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d284944e0-false-d284950e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d284944e0-false-d284950e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d285063e0-false-d285069e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d285063e0-false-d285069e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.10">
      <extends rule="d285211e0-false-d285217e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d285211e0-false-d285217e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d285382e0-false-d285388e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d285382e0-false-d285388e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d285501e0-false-d285507e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d285501e0-false-d285507e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.19/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.20
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.20">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('424') or not(@Item)">(GT1_segment): de waarde van Item MOET '424' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(GT1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Table) = ('HL70066') or not(@Table)">(GT1_segment): de waarde van Table MOET 'HL70066' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Employment Status') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Employment Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.20
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21">
      <extends rule="d285702e0-false-d285708e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('425') or not(@Item)">(GT1_segment): de waarde van Item MOET '425' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('XON') or not(@Type)">(GT1_segment): de waarde van Type MOET 'XON' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Organization Name') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Organization Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21
Item: (XON_datatype)
-->
   <rule fpi="RULC-1" id="d285702e0-false-d285708e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.1) &lt;= 1">(XON_datatype): element hl7v2:XON.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.2) &lt;= 1">(XON_datatype): element hl7v2:XON.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.3) &lt;= 1">(XON_datatype): element hl7v2:XON.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.4) &lt;= 1">(XON_datatype): element hl7v2:XON.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.5) &lt;= 1">(XON_datatype): element hl7v2:XON.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.6) &lt;= 1">(XON_datatype): element hl7v2:XON.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.7) &lt;= 1">(XON_datatype): element hl7v2:XON.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.8) &lt;= 1">(XON_datatype): element hl7v2:XON.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.9) &lt;= 1">(XON_datatype): element hl7v2:XON.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.10) &lt;= 1">(XON_datatype): element hl7v2:XON.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.1
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.2
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XON_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70204') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70204' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.3
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.4
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.5
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.5">
      <extends rule="d285954e0-false-d285960e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d285954e0-false-d285960e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.6
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.6">
      <extends rule="d286005e0-false-d286011e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d286005e0-false-d286011e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.6/hl7v2:HD.3">
      <extends rule="d286140e0-false-d286146e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d286140e0-false-d286146e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.7
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.7">
      <extends rule="d286192e0-false-d286198e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d286192e0-false-d286198e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.8
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.8">
      <extends rule="d286237e0-false-d286243e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.8
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d286237e0-false-d286243e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.8/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.8/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.8/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.8/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.8/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.8/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.8/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.8/hl7v2:HD.3">
      <extends rule="d286372e0-false-d286378e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.8/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d286372e0-false-d286378e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.9
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.9">
      <extends rule="d286424e0-false-d286430e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.9
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d286424e0-false-d286430e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.10
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Identifier') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.21/hl7v2:XON.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.22
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.22">
      <extends rule="d286516e0-false-d286522e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('773') or not(@Item)">(GT1_segment): de waarde van Item MOET '773' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(GT1_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(GT1_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Billing Hold Flag') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Billing Hold Flag' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.22
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d286516e0-false-d286522e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.23
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.23">
      <extends rule="d286573e0-false-d286579e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('774') or not(@Item)">(GT1_segment): de waarde van Item MOET '774' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(GT1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Table) = ('HL70341') or not(@Table)">(GT1_segment): de waarde van Table MOET 'HL70341' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Credit Rating Code') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Credit Rating Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.23
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d286573e0-false-d286579e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.23/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.23/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.23/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.23/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.23/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.23/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.23/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.23/hl7v2:CE.3">
      <extends rule="d286723e0-false-d286729e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.23/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d286723e0-false-d286729e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.23/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.23/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.23/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.23/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.23/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.23/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.23/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.23/hl7v2:CE.6">
      <extends rule="d286842e0-false-d286848e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.23/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d286842e0-false-d286848e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.24
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.24">
      <extends rule="d286894e0-false-d286900e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('775') or not(@Item)">(GT1_segment): de waarde van Item MOET '775' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(GT1_segment): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Death Date And Time') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Death Date And Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.24
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d286894e0-false-d286900e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.24/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.24/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.24/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.24/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.24/hl7v2:TS.2">
      <extends rule="d286982e0-false-d286988e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.24/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d286982e0-false-d286988e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.25
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.25">
      <extends rule="d287040e0-false-d287046e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('776') or not(@Item)">(GT1_segment): de waarde van Item MOET '776' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(GT1_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(GT1_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Death Flag') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Death Flag' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.25
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d287040e0-false-d287046e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.26
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.26">
      <extends rule="d287097e0-false-d287103e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('777') or not(@Item)">(GT1_segment): de waarde van Item MOET '777' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(GT1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Table) = ('HL70218') or not(@Table)">(GT1_segment): de waarde van Table MOET 'HL70218' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Charge Adjustment Code') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Charge Adjustment Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.26
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d287097e0-false-d287103e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.26/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.26/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.26/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.26/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.26/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.26/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.26/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.26/hl7v2:CE.3">
      <extends rule="d287247e0-false-d287253e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.26/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d287247e0-false-d287253e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.26/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.26/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.26/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.26/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.26/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.26/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.26/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.26/hl7v2:CE.6">
      <extends rule="d287366e0-false-d287372e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.26/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d287366e0-false-d287372e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27">
      <extends rule="d287418e0-false-d287424e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('778') or not(@Item)">(GT1_segment): de waarde van Item MOET '778' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('CP') or not(@Type)">(GT1_segment): de waarde van Type MOET 'CP' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Household Annual Income') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Household Annual Income' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27
Item: (CP_datatype)
-->
   <rule fpi="RULC-1" id="d287418e0-false-d287424e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.1) &lt;= 1">(CP_datatype): element hl7v2:CP.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.2) &lt;= 1">(CP_datatype): element hl7v2:CP.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.3) &lt;= 1">(CP_datatype): element hl7v2:CP.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.4) &lt;= 1">(CP_datatype): element hl7v2:CP.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.5) &lt;= 1">(CP_datatype): element hl7v2:CP.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.6) &lt;= 1">(CP_datatype): element hl7v2:CP.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.1
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.1">
      <extends rule="d287494e0-false-d287500e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('MO') or not(@Type)">(CP_datatype): de waarde van Type MOET 'MO' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Price') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Price' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.1
Item: (MO_datatype)
-->
   <rule fpi="RULC-1" id="d287494e0-false-d287500e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="count(hl7v2:MO.1) &lt;= 1">(MO_datatype): element hl7v2:MO.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="count(hl7v2:MO.2) &lt;= 1">(MO_datatype): element hl7v2:MO.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.1/hl7v2:MO.1
Item: (MO_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.1/hl7v2:MO.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(MO_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(MO_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.1/hl7v2:MO.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.1/hl7v2:MO.2
Item: (MO_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.1/hl7v2:MO.2">
      <extends rule="d287576e0-false-d287582e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(MO_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Denomination') or not(@LongName)">(MO_datatype): de waarde van LongName MOET 'Denomination' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.1/hl7v2:MO.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d287576e0-false-d287582e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.2
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.2">
      <extends rule="d287628e0-false-d287634e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CP_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Table) = ('HL70205') or not(@Table)">(CP_datatype): de waarde van Table MOET 'HL70205' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Price Type') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Price Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d287628e0-false-d287634e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.3
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CP_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('To Value') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'To Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.4
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CP_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('To Value') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'To Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.5
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.5">
      <extends rule="d287741e0-false-d287747e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CP_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Units') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Range Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d287741e0-false-d287747e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.5/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.5/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.5/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.5/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.5/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.5/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.5/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.5/hl7v2:CE.3">
      <extends rule="d287891e0-false-d287897e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.5/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d287891e0-false-d287897e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.5/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.5/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.5/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.5/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.5/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.5/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.5/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.5/hl7v2:CE.6">
      <extends rule="d288010e0-false-d288016e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.5/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d288010e0-false-d288016e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.6
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.6">
      <extends rule="d288062e0-false-d288068e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CP_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Table) = ('HL70298') or not(@Table)">(CP_datatype): de waarde van Table MOET 'HL70298' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Type') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Range Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.27/hl7v2:CP.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d288062e0-false-d288068e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.28
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.28">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('779') or not(@Item)">(GT1_segment): de waarde van Item MOET '779' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(GT1_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Household Size') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Household Size' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.28
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29">
      <extends rule="d288154e0-false-d288160e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('780') or not(@Item)">(GT1_segment): de waarde van Item MOET '780' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('CX') or not(@Type)">(GT1_segment): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Employer ID Number') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Employer ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d288154e0-false-d288160e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.3">
      <extends rule="d288332e0-false-d288338e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d288332e0-false-d288338e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.4">
      <extends rule="d288383e0-false-d288389e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d288383e0-false-d288389e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d288518e0-false-d288524e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d288518e0-false-d288524e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.5">
      <extends rule="d288570e0-false-d288576e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d288570e0-false-d288576e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.6">
      <extends rule="d288615e0-false-d288621e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d288615e0-false-d288621e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d288750e0-false-d288756e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d288750e0-false-d288756e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.9">
      <extends rule="d288864e0-false-d288870e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d288864e0-false-d288870e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d289035e0-false-d289041e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d289035e0-false-d289041e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d289154e0-false-d289160e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d289154e0-false-d289160e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.10">
      <extends rule="d289302e0-false-d289308e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d289302e0-false-d289308e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d289473e0-false-d289479e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d289473e0-false-d289479e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d289592e0-false-d289598e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d289592e0-false-d289598e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.29/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.30
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.30">
      <extends rule="d289753e0-false-d289759e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('781') or not(@Item)">(GT1_segment): de waarde van Item MOET '781' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(GT1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Table) = ('HL70002') or not(@Table)">(GT1_segment): de waarde van Table MOET 'HL70002' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Marital Status Code') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Marital Status Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.30
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d289753e0-false-d289759e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.30/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.30/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.30/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.30/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.30/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.30/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.30/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.30/hl7v2:CE.3">
      <extends rule="d289903e0-false-d289909e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.30/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d289903e0-false-d289909e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.30/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.30/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.30/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.30/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.30/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.30/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.30/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.30/hl7v2:CE.6">
      <extends rule="d290022e0-false-d290028e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.30/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d290022e0-false-d290028e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.31
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.31">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('782') or not(@Item)">(GT1_segment): de waarde van Item MOET '782' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(GT1_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Hire Effective Date') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Hire Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.31
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.32
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.32">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('783') or not(@Item)">(GT1_segment): de waarde van Item MOET '783' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(GT1_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Employment Stop Date') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Employment Stop Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.32
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.33
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.33">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('755') or not(@Item)">(GT1_segment): de waarde van Item MOET '755' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(GT1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Table) = ('HL70223') or not(@Table)">(GT1_segment): de waarde van Table MOET 'HL70223' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Living Dependency') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Living Dependency' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.33
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.34
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.34">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('145') or not(@Item)">(GT1_segment): de waarde van Item MOET '145' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(GT1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Table) = ('HL70009') or not(@Table)">(GT1_segment): de waarde van Table MOET 'HL70009' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Ambulatory Status') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Ambulatory Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.34
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.35
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.35">
      <extends rule="d290252e0-false-d290258e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('129') or not(@Item)">(GT1_segment): de waarde van Item MOET '129' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(GT1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Table) = ('HL70171') or not(@Table)">(GT1_segment): de waarde van Table MOET 'HL70171' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Citizenship') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Citizenship' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.35
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d290252e0-false-d290258e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.35/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.35/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.35/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.35/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.35/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.35/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.35/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.35/hl7v2:CE.3">
      <extends rule="d290402e0-false-d290408e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.35/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d290402e0-false-d290408e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.35/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.35/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.35/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.35/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.35/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.35/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.35/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.35/hl7v2:CE.6">
      <extends rule="d290521e0-false-d290527e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.35/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d290521e0-false-d290527e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.36
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.36">
      <extends rule="d290579e0-false-d290585e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('118') or not(@Item)">(GT1_segment): de waarde van Item MOET '118' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(GT1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Table) = ('HL70296') or not(@Table)">(GT1_segment): de waarde van Table MOET 'HL70296' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Primary Language') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Primary Language' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.36
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d290579e0-false-d290585e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.36/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.36/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.36/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.36/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.36/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.36/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.36/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.36/hl7v2:CE.3">
      <extends rule="d290729e0-false-d290735e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.36/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d290729e0-false-d290735e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.36/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.36/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.36/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.36/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.36/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.36/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.36/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.36/hl7v2:CE.6">
      <extends rule="d290848e0-false-d290854e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.36/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d290848e0-false-d290854e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.37
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.37">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('742') or not(@Item)">(GT1_segment): de waarde van Item MOET '742' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(GT1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Table) = ('HL70220') or not(@Table)">(GT1_segment): de waarde van Table MOET 'HL70220' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Living Arrangement') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Living Arrangement' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.37
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.38
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.38">
      <extends rule="d290952e0-false-d290958e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('743') or not(@Item)">(GT1_segment): de waarde van Item MOET '743' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(GT1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Table) = ('HL70215') or not(@Table)">(GT1_segment): de waarde van Table MOET 'HL70215' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Publicity Code') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Publicity Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.38
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d290952e0-false-d290958e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.38/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.38/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.38/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.38/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.38/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.38/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.38/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.38/hl7v2:CE.3">
      <extends rule="d291102e0-false-d291108e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.38/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d291102e0-false-d291108e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.38/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.38/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.38/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.38/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.38/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.38/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.38/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.38/hl7v2:CE.6">
      <extends rule="d291221e0-false-d291227e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.38/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d291221e0-false-d291227e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.39
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.39">
      <extends rule="d291279e0-false-d291285e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('744') or not(@Item)">(GT1_segment): de waarde van Item MOET '744' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(GT1_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(GT1_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Protection Indicator') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Protection Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.39
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d291279e0-false-d291285e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.40
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.40">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('745') or not(@Item)">(GT1_segment): de waarde van Item MOET '745' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(GT1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Table) = ('HL70231') or not(@Table)">(GT1_segment): de waarde van Table MOET 'HL70231' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Student Indicator') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Student Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.40
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.41
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.41">
      <extends rule="d291382e0-false-d291388e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('120') or not(@Item)">(GT1_segment): de waarde van Item MOET '120' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(GT1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Table) = ('HL70006') or not(@Table)">(GT1_segment): de waarde van Table MOET 'HL70006' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Religion') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Religion' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.41
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d291382e0-false-d291388e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.41/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.41/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.41/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.41/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.41/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.41/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.41/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.41/hl7v2:CE.3">
      <extends rule="d291532e0-false-d291538e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.41/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d291532e0-false-d291538e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.41/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.41/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.41/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.41/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.41/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.41/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.41/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.41/hl7v2:CE.6">
      <extends rule="d291651e0-false-d291657e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.41/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d291651e0-false-d291657e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42">
      <extends rule="d291703e0-false-d291709e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('109') or not(@Item)">(GT1_segment): de waarde van Item MOET '109' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('XPN') or not(@Type)">(GT1_segment): de waarde van Type MOET 'XPN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Mother''s Maiden Name') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Mother''s Maiden Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1" id="d291703e0-false-d291709e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.1) &lt;= 1">(XPN_datatype): element hl7v2:XPN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.2) &lt;= 1">(XPN_datatype): element hl7v2:XPN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.3) &lt;= 1">(XPN_datatype): element hl7v2:XPN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.4) &lt;= 1">(XPN_datatype): element hl7v2:XPN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.5) &lt;= 1">(XPN_datatype): element hl7v2:XPN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.6) &lt;= 1">(XPN_datatype): element hl7v2:XPN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.7) &lt;= 1">(XPN_datatype): element hl7v2:XPN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.8) &lt;= 1">(XPN_datatype): element hl7v2:XPN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.9) &lt;= 1">(XPN_datatype): element hl7v2:XPN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.10) &lt;= 1">(XPN_datatype): element hl7v2:XPN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.11) &lt;= 1">(XPN_datatype): element hl7v2:XPN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.12) &lt;= 1">(XPN_datatype): element hl7v2:XPN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.13) &lt;= 1">(XPN_datatype): element hl7v2:XPN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.14) &lt;= 1">(XPN_datatype): element hl7v2:XPN.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.1
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.1">
      <extends rule="d291835e0-false-d291841e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d291835e0-false-d291841e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.1/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.1/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.1/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.1/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.1/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.1/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.1/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.1/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.1/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.1/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.1/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.1/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.1/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.1/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.1/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.2
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.3
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.4
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.5
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.6
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.7
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.7">
      <extends rule="d292257e0-false-d292263e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d292257e0-false-d292263e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.8
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.8">
      <extends rule="d292308e0-false-d292314e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.8
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d292308e0-false-d292314e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.9
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.9">
      <extends rule="d292359e0-false-d292365e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.9
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d292359e0-false-d292365e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.9/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.9/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.9/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.9/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.9/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.9/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.9/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.9/hl7v2:CE.3">
      <extends rule="d292509e0-false-d292515e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.9/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d292509e0-false-d292515e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.9/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.9/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.9/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.9/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.9/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.9/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.9/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.9/hl7v2:CE.6">
      <extends rule="d292628e0-false-d292634e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.9/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d292628e0-false-d292634e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.10
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.10">
      <extends rule="d292674e0-false-d292680e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.10
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d292674e0-false-d292680e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.10/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.10/hl7v2:DR.1">
      <extends rule="d292722e0-false-d292728e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.10/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d292722e0-false-d292728e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d292810e0-false-d292816e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d292810e0-false-d292816e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.10/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.10/hl7v2:DR.2">
      <extends rule="d292856e0-false-d292862e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.10/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d292856e0-false-d292862e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d292944e0-false-d292950e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d292944e0-false-d292950e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.11
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.11">
      <extends rule="d292997e0-false-d293003e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d292997e0-false-d293003e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.12
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.12">
      <extends rule="d293042e0-false-d293048e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d293042e0-false-d293048e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.12/hl7v2:TS.2">
      <extends rule="d293130e0-false-d293136e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d293130e0-false-d293136e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.13
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.13">
      <extends rule="d293176e0-false-d293182e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d293176e0-false-d293182e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.13/hl7v2:TS.2">
      <extends rule="d293264e0-false-d293270e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d293264e0-false-d293270e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.14
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.42/hl7v2:XPN.14
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.43
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.43">
      <extends rule="d293357e0-false-d293363e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('739') or not(@Item)">(GT1_segment): de waarde van Item MOET '739' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(GT1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Table) = ('HL70212') or not(@Table)">(GT1_segment): de waarde van Table MOET 'HL70212' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Nationality') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Nationality' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.43
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d293357e0-false-d293363e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.43/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.43/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.43/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.43/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.43/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.43/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.43/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.43/hl7v2:CE.3">
      <extends rule="d293507e0-false-d293513e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.43/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d293507e0-false-d293513e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.43/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.43/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.43/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.43/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.43/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.43/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.43/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.43/hl7v2:CE.6">
      <extends rule="d293626e0-false-d293632e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.43/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d293626e0-false-d293632e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.44
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.44">
      <extends rule="d293684e0-false-d293690e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('125') or not(@Item)">(GT1_segment): de waarde van Item MOET '125' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(GT1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Table) = ('HL70189') or not(@Table)">(GT1_segment): de waarde van Table MOET 'HL70189' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Ethnic Group') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Ethnic Group' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.44
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d293684e0-false-d293690e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.44/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.44/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.44/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.44/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.44/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.44/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.44/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.44/hl7v2:CE.3">
      <extends rule="d293834e0-false-d293840e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.44/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d293834e0-false-d293840e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.44/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.44/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.44/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.44/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.44/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.44/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.44/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.44/hl7v2:CE.6">
      <extends rule="d293953e0-false-d293959e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.44/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d293953e0-false-d293959e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45">
      <extends rule="d294005e0-false-d294011e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('748') or not(@Item)">(GT1_segment): de waarde van Item MOET '748' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('XPN') or not(@Type)">(GT1_segment): de waarde van Type MOET 'XPN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Contact Person''s Name') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Contact Person''s Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1" id="d294005e0-false-d294011e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.1) &lt;= 1">(XPN_datatype): element hl7v2:XPN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.2) &lt;= 1">(XPN_datatype): element hl7v2:XPN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.3) &lt;= 1">(XPN_datatype): element hl7v2:XPN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.4) &lt;= 1">(XPN_datatype): element hl7v2:XPN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.5) &lt;= 1">(XPN_datatype): element hl7v2:XPN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.6) &lt;= 1">(XPN_datatype): element hl7v2:XPN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.7) &lt;= 1">(XPN_datatype): element hl7v2:XPN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.8) &lt;= 1">(XPN_datatype): element hl7v2:XPN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.9) &lt;= 1">(XPN_datatype): element hl7v2:XPN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.10) &lt;= 1">(XPN_datatype): element hl7v2:XPN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.11) &lt;= 1">(XPN_datatype): element hl7v2:XPN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.12) &lt;= 1">(XPN_datatype): element hl7v2:XPN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.13) &lt;= 1">(XPN_datatype): element hl7v2:XPN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.14) &lt;= 1">(XPN_datatype): element hl7v2:XPN.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.1
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.1">
      <extends rule="d294137e0-false-d294143e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d294137e0-false-d294143e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.1/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.1/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.1/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.1/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.1/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.1/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.1/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.1/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.1/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.1/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.1/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.1/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.1/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.1/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.1/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.2
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.3
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.4
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.5
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.6
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.7
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.7">
      <extends rule="d294559e0-false-d294565e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d294559e0-false-d294565e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.8
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.8">
      <extends rule="d294610e0-false-d294616e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.8
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d294610e0-false-d294616e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.9
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.9">
      <extends rule="d294661e0-false-d294667e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.9
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d294661e0-false-d294667e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.9/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.9/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.9/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.9/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.9/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.9/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.9/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.9/hl7v2:CE.3">
      <extends rule="d294811e0-false-d294817e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.9/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d294811e0-false-d294817e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.9/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.9/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.9/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.9/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.9/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.9/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.9/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.9/hl7v2:CE.6">
      <extends rule="d294930e0-false-d294936e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.9/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d294930e0-false-d294936e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.10
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.10">
      <extends rule="d294976e0-false-d294982e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.10
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d294976e0-false-d294982e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.10/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.10/hl7v2:DR.1">
      <extends rule="d295024e0-false-d295030e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.10/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d295024e0-false-d295030e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d295112e0-false-d295118e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d295112e0-false-d295118e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.10/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.10/hl7v2:DR.2">
      <extends rule="d295158e0-false-d295164e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.10/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d295158e0-false-d295164e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d295246e0-false-d295252e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d295246e0-false-d295252e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.11
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.11">
      <extends rule="d295299e0-false-d295305e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d295299e0-false-d295305e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.12
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.12">
      <extends rule="d295344e0-false-d295350e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d295344e0-false-d295350e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.12/hl7v2:TS.2">
      <extends rule="d295432e0-false-d295438e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d295432e0-false-d295438e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.13
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.13">
      <extends rule="d295478e0-false-d295484e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d295478e0-false-d295484e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.13/hl7v2:TS.2">
      <extends rule="d295566e0-false-d295572e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d295566e0-false-d295572e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.14
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.45/hl7v2:XPN.14
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46">
      <extends rule="d295653e0-false-d295659e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('749') or not(@Item)">(GT1_segment): de waarde van Item MOET '749' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('XTN') or not(@Type)">(GT1_segment): de waarde van Type MOET 'XTN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Contact Person''s Telephone Number') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Contact Person''s Telephone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" id="d295653e0-false-d295659e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.1) &lt;= 1">(XTN_datatype): element hl7v2:XTN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.2) &lt;= 1">(XTN_datatype): element hl7v2:XTN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.3) &lt;= 1">(XTN_datatype): element hl7v2:XTN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.4) &lt;= 1">(XTN_datatype): element hl7v2:XTN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.5) &lt;= 1">(XTN_datatype): element hl7v2:XTN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.6) &lt;= 1">(XTN_datatype): element hl7v2:XTN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.7) &lt;= 1">(XTN_datatype): element hl7v2:XTN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.8) &lt;= 1">(XTN_datatype): element hl7v2:XTN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.9) &lt;= 1">(XTN_datatype): element hl7v2:XTN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.10) &lt;= 1">(XTN_datatype): element hl7v2:XTN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.11) &lt;= 1">(XTN_datatype): element hl7v2:XTN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.12) &lt;= 1">(XTN_datatype): element hl7v2:XTN.12 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.1
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telephone Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telephone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.2
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.2">
      <extends rule="d295811e0-false-d295817e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70201') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70201' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Use Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Use Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d295811e0-false-d295817e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.3
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.3">
      <extends rule="d295862e0-false-d295868e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70202') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70202' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Equipment Type') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Equipment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d295862e0-false-d295868e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.4
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Email Address') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Email Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.5
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Country Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Country Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.6
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Area/City Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Area/City Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.6
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.7
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Local Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Local Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.7
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.8
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.8
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.9
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Any Text') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Any Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.10
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension Prefix') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.11
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Speed Dial Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Speed Dial Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.12
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Unformatted Telephone number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Unformatted Telephone number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.46/hl7v2:XTN.12
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.47
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.47">
      <extends rule="d296226e0-false-d296232e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('747') or not(@Item)">(GT1_segment): de waarde van Item MOET '747' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(GT1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Table) = ('HL70222') or not(@Table)">(GT1_segment): de waarde van Table MOET 'HL70222' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Contact Reason') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Contact Reason' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.47
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d296226e0-false-d296232e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.47/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.47/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.47/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.47/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.47/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.47/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.47/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.47/hl7v2:CE.3">
      <extends rule="d296376e0-false-d296382e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.47/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d296376e0-false-d296382e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.47/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.47/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.47/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.47/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.47/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.47/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.47/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.47/hl7v2:CE.6">
      <extends rule="d296495e0-false-d296501e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.47/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d296495e0-false-d296501e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.48
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.48">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('784') or not(@Item)">(GT1_segment): de waarde van Item MOET '784' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(GT1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Table) = ('HL70063') or not(@Table)">(GT1_segment): de waarde van Table MOET 'HL70063' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Contact Relationship') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Contact Relationship' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.48
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.49
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.49">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('785') or not(@Item)">(GT1_segment): de waarde van Item MOET '785' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(GT1_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Job Title') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Job Title' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.49
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.50
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.50">
      <extends rule="d296633e0-false-d296639e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('786') or not(@Item)">(GT1_segment): de waarde van Item MOET '786' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('JCC') or not(@Type)">(GT1_segment): de waarde van Type MOET 'JCC' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Job Code/Class') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Job Code/Class' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.30
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.50
Item: (JCC_datatype)
-->
   <rule fpi="RULC-1" id="d296633e0-false-d296639e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="count(hl7v2:JCC.1) &lt;= 1">(JCC_datatype): element hl7v2:JCC.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="count(hl7v2:JCC.2) &lt;= 1">(JCC_datatype): element hl7v2:JCC.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="count(hl7v2:JCC.3) &lt;= 1">(JCC_datatype): element hl7v2:JCC.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.30
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.50/hl7v2:JCC.1
Item: (JCC_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.50/hl7v2:JCC.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(JCC_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="string(@Table) = ('HL70327') or not(@Table)">(JCC_datatype): de waarde van Table MOET 'HL70327' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="string(@LongName) = ('Job Code') or not(@LongName)">(JCC_datatype): de waarde van LongName MOET 'Job Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.50/hl7v2:JCC.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.30
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.50/hl7v2:JCC.2
Item: (JCC_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.50/hl7v2:JCC.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(JCC_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="string(@Table) = ('HL70328') or not(@Table)">(JCC_datatype): de waarde van Table MOET 'HL70328' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="string(@LongName) = ('Job Class') or not(@LongName)">(JCC_datatype): de waarde van LongName MOET 'Job Class' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.50/hl7v2:JCC.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.30
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.50/hl7v2:JCC.3
Item: (JCC_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.50/hl7v2:JCC.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="string(@Type) = ('TX') or not(@Type)">(JCC_datatype): de waarde van Type MOET 'TX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.30-2013-02-10T000000.html"
              test="string(@LongName) = ('Job Description Text') or not(@LongName)">(JCC_datatype): de waarde van LongName MOET 'Job Description Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.50/hl7v2:JCC.3
Item: (TX_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.50/hl7v2:JCC.3/hl7v2:escape
Item: (TX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.50/hl7v2:JCC.3/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.65-2013-02-10T000000.html"
              test="@V">(TX_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.50/hl7v2:JCC.3/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.50/hl7v2:JCC.3/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.50/hl7v2:JCC.3/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.50/hl7v2:JCC.3/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.50/hl7v2:JCC.3/hl7v2:escape/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.50/hl7v2:JCC.3/hl7v2:escape/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51">
      <extends rule="d296889e0-false-d296895e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('1299') or not(@Item)">(GT1_segment): de waarde van Item MOET '1299' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('XON') or not(@Type)">(GT1_segment): de waarde van Type MOET 'XON' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Employer''s Organization Name') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Employer''s Organization Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51
Item: (XON_datatype)
-->
   <rule fpi="RULC-1" id="d296889e0-false-d296895e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.1) &lt;= 1">(XON_datatype): element hl7v2:XON.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.2) &lt;= 1">(XON_datatype): element hl7v2:XON.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.3) &lt;= 1">(XON_datatype): element hl7v2:XON.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.4) &lt;= 1">(XON_datatype): element hl7v2:XON.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.5) &lt;= 1">(XON_datatype): element hl7v2:XON.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.6) &lt;= 1">(XON_datatype): element hl7v2:XON.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.7) &lt;= 1">(XON_datatype): element hl7v2:XON.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.8) &lt;= 1">(XON_datatype): element hl7v2:XON.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.9) &lt;= 1">(XON_datatype): element hl7v2:XON.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.10) &lt;= 1">(XON_datatype): element hl7v2:XON.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.1
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.2
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XON_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70204') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70204' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.3
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.4
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.5
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.5">
      <extends rule="d297141e0-false-d297147e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d297141e0-false-d297147e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.6
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.6">
      <extends rule="d297192e0-false-d297198e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d297192e0-false-d297198e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.6/hl7v2:HD.3">
      <extends rule="d297327e0-false-d297333e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d297327e0-false-d297333e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.7
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.7">
      <extends rule="d297379e0-false-d297385e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d297379e0-false-d297385e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.8
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.8">
      <extends rule="d297424e0-false-d297430e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.8
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d297424e0-false-d297430e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.8/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.8/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.8/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.8/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.8/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.8/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.8/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.8/hl7v2:HD.3">
      <extends rule="d297559e0-false-d297565e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.8/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d297559e0-false-d297565e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.9
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.9">
      <extends rule="d297611e0-false-d297617e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.9
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d297611e0-false-d297617e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.10
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Identifier') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.51/hl7v2:XON.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.52
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.52">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('753') or not(@Item)">(GT1_segment): de waarde van Item MOET '753' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(GT1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Table) = ('HL70295') or not(@Table)">(GT1_segment): de waarde van Table MOET 'HL70295' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Handicap') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Handicap' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.52
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.53
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.53">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('752') or not(@Item)">(GT1_segment): de waarde van Item MOET '752' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(GT1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Table) = ('HL70311') or not(@Table)">(GT1_segment): de waarde van Table MOET 'HL70311' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Job Status') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Job Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.53
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.54
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.54">
      <extends rule="d297789e0-false-d297795e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('1231') or not(@Item)">(GT1_segment): de waarde van Item MOET '1231' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('FC') or not(@Type)">(GT1_segment): de waarde van Type MOET 'FC' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Financial Class') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Financial Class' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.25
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.54
Item: (FC_datatype)
-->
   <rule fpi="RULC-1" id="d297789e0-false-d297795e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.25-2013-02-10T000000.html"
              test="count(hl7v2:FC.1) &lt;= 1">(FC_datatype): element hl7v2:FC.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.25-2013-02-10T000000.html"
              test="count(hl7v2:FC.2) &lt;= 1">(FC_datatype): element hl7v2:FC.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.25
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.54/hl7v2:FC.1
Item: (FC_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.54/hl7v2:FC.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.25-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(FC_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.25-2013-02-10T000000.html"
              test="string(@Table) = ('HL70064') or not(@Table)">(FC_datatype): de waarde van Table MOET 'HL70064' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.25-2013-02-10T000000.html"
              test="string(@LongName) = ('Financial Class Code') or not(@LongName)">(FC_datatype): de waarde van LongName MOET 'Financial Class Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.54/hl7v2:FC.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.25
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.54/hl7v2:FC.2
Item: (FC_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.54/hl7v2:FC.2">
      <extends rule="d297877e0-false-d297883e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.25-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(FC_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.25-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(FC_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.54/hl7v2:FC.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d297877e0-false-d297883e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.54/hl7v2:FC.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.54/hl7v2:FC.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.54/hl7v2:FC.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.54/hl7v2:FC.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.54/hl7v2:FC.2/hl7v2:TS.2">
      <extends rule="d297965e0-false-d297971e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.54/hl7v2:FC.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d297965e0-false-d297971e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.55
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.55">
      <extends rule="d298024e0-false-d298030e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('1291') or not(@Item)">(GT1_segment): de waarde van Item MOET '1291' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(GT1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Table) = ('HL70005') or not(@Table)">(GT1_segment): de waarde van Table MOET 'HL70005' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Race') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Race' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.55
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d298024e0-false-d298030e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.55/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.55/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.55/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.55/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.55/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.55/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.55/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.55/hl7v2:CE.3">
      <extends rule="d298174e0-false-d298180e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.55/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d298174e0-false-d298180e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.55/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.55/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.55/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.55/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.55/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.55/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.55/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.55/hl7v2:CE.6">
      <extends rule="d298293e0-false-d298299e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.55/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d298293e0-false-d298299e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.56
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.56">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('1851') or not(@Item)">(GT1_segment): de waarde van Item MOET '1851' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(GT1_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('Guarantor Birth Place') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'Guarantor Birth Place' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.56
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.53
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.57
Item: (GT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.57">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Item) = ('146') or not(@Item)">(GT1_segment): de waarde van Item MOET '146' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(GT1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@Table) = ('HL70099') or not(@Table)">(GT1_segment): de waarde van Table MOET 'HL70099' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.53-2013-02-10T000000.html"
              test="string(@LongName) = ('VIP Indicator') or not(@LongName)">(GT1_segment): de waarde van LongName MOET 'VIP Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:GT1/hl7v2:GT1.57
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.31
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1
Item: (AL1_segment_Relevante_allergieen_antibiotica_overgevoeligheden)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.31-2015-07-21T172000.html"
              test="count(hl7v2:AL1.1) &gt;= 1">(AL1_segment_Relevante_allergieen_antibiotica_overgevoeligheden): element hl7v2:AL1.1 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.31-2015-07-21T172000.html"
              test="count(hl7v2:AL1.1) &lt;= 1">(AL1_segment_Relevante_allergieen_antibiotica_overgevoeligheden): element hl7v2:AL1.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.31-2015-07-21T172000.html"
              test="count(hl7v2:AL1.2) &lt;= 1">(AL1_segment_Relevante_allergieen_antibiotica_overgevoeligheden): element hl7v2:AL1.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.31-2015-07-21T172000.html"
              test="count(hl7v2:AL1.3) &gt;= 1">(AL1_segment_Relevante_allergieen_antibiotica_overgevoeligheden): element hl7v2:AL1.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.31-2015-07-21T172000.html"
              test="count(hl7v2:AL1.3) &lt;= 1">(AL1_segment_Relevante_allergieen_antibiotica_overgevoeligheden): element hl7v2:AL1.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.31-2015-07-21T172000.html"
              test="count(hl7v2:AL1.4) &lt;= 1">(AL1_segment_Relevante_allergieen_antibiotica_overgevoeligheden): element hl7v2:AL1.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.31
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.1
Item: (AL1_segment_Relevante_allergieen_antibiotica_overgevoeligheden)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.31-2015-07-21T172000.html"
              test="string(@Item) = ('203') or not(@Item)">(AL1_segment_Relevante_allergieen_antibiotica_overgevoeligheden): de waarde van Item MOET '203' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.31-2015-07-21T172000.html"
              test="string(@Type) = ('SI') or not(@Type)">(AL1_segment_Relevante_allergieen_antibiotica_overgevoeligheden): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.31-2015-07-21T172000.html"
              test="string(@LongName) = ('Set ID - AL1') or not(@LongName)">(AL1_segment_Relevante_allergieen_antibiotica_overgevoeligheden): de waarde van LongName MOET 'Set ID - AL1' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.31
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.2
Item: (AL1_segment_Relevante_allergieen_antibiotica_overgevoeligheden)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.2">
      <extends rule="d298539e0-false-d298545e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.31-2015-07-21T172000.html"
              test="string(@Item) = ('204') or not(@Item)">(AL1_segment_Relevante_allergieen_antibiotica_overgevoeligheden): de waarde van Item MOET '204' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.31-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(AL1_segment_Relevante_allergieen_antibiotica_overgevoeligheden): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.31-2015-07-21T172000.html"
              test="string(@Table) = ('HL70127') or not(@Table)">(AL1_segment_Relevante_allergieen_antibiotica_overgevoeligheden): de waarde van Table MOET 'HL70127' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.31-2015-07-21T172000.html"
              test="string(@LongName) = ('Allergen Type Code') or not(@LongName)">(AL1_segment_Relevante_allergieen_antibiotica_overgevoeligheden): de waarde van LongName MOET 'Allergen Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d298539e0-false-d298545e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.3">
      <extends rule="d298689e0-false-d298695e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d298689e0-false-d298695e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.6">
      <extends rule="d298808e0-false-d298814e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d298808e0-false-d298814e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.31
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.3
Item: (AL1_segment_Relevante_allergieen_antibiotica_overgevoeligheden)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.3">
      <extends rule="d298860e0-false-d298866e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.31-2015-07-21T172000.html"
              test="string(@Item) = ('205') or not(@Item)">(AL1_segment_Relevante_allergieen_antibiotica_overgevoeligheden): de waarde van Item MOET '205' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.31-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(AL1_segment_Relevante_allergieen_antibiotica_overgevoeligheden): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.31-2015-07-21T172000.html"
              test="string(@LongName) = ('Allergen Code/Mnemonic/Description') or not(@LongName)">(AL1_segment_Relevante_allergieen_antibiotica_overgevoeligheden): de waarde van LongName MOET 'Allergen Code/Mnemonic/Description' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d298860e0-false-d298866e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.3">
      <extends rule="d299010e0-false-d299016e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d299010e0-false-d299016e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.6">
      <extends rule="d299129e0-false-d299135e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d299129e0-false-d299135e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.31
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.4
Item: (AL1_segment_Relevante_allergieen_antibiotica_overgevoeligheden)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.4">
      <extends rule="d299187e0-false-d299193e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.31-2015-07-21T172000.html"
              test="string(@Item) = ('206') or not(@Item)">(AL1_segment_Relevante_allergieen_antibiotica_overgevoeligheden): de waarde van Item MOET '206' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.31-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(AL1_segment_Relevante_allergieen_antibiotica_overgevoeligheden): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.31-2015-07-21T172000.html"
              test="string(@Table) = ('HL70128') or not(@Table)">(AL1_segment_Relevante_allergieen_antibiotica_overgevoeligheden): de waarde van Table MOET 'HL70128' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.31-2015-07-21T172000.html"
              test="string(@LongName) = ('Allergy Severity Code') or not(@LongName)">(AL1_segment_Relevante_allergieen_antibiotica_overgevoeligheden): de waarde van LongName MOET 'Allergy Severity Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d299187e0-false-d299193e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.3">
      <extends rule="d299337e0-false-d299343e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d299337e0-false-d299343e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.6">
      <extends rule="d299456e0-false-d299462e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.PATIENT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d299456e0-false-d299462e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER"
         id="d41e3177-false-d299481e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:ORC) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:ORC is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:ORC) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:ORC komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OML_O21.OBSERVATION_REQUEST) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OML_O21.OBSERVATION_REQUEST komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:BLG) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:BLG komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.1) &gt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.1 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.1) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.2) &gt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.2 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.2) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.3) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.4) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.5) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.6) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.8) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.9) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.13) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.15) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.16) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.17) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.18) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.20) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.25) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.25 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.26) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.26 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.27) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.27 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.28) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.28 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.29) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.29 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.30) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.30 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.1
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.1">
      <extends rule="d299748e0-false-d299754e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('215') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '215' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('ID') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Table) = ('HL70119') or not(@Table)">(ORC_segment_Lab_algemeen): de waarde van Table MOET 'HL70119' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Order Control') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Order Control' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.1
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d299748e0-false-d299754e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.2
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.2">
      <extends rule="d299799e0-false-d299805e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('216') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '216' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('EI') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Placer Order Number') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Placer Order Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d299799e0-false-d299805e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.2/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.2/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.2/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.2/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.2/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.2/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.2/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.2/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.2/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.2/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.2/hl7v2:EI.4">
      <extends rule="d299975e0-false-d299981e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.2/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d299975e0-false-d299981e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.3
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.3">
      <extends rule="d300027e0-false-d300033e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('217') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '217' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('EI') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Filler Order Number') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Filler Order Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d300027e0-false-d300033e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.3/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.3/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.3/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.3/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.3/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.3/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.3/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.3/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.3/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.3/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.3/hl7v2:EI.4">
      <extends rule="d300203e0-false-d300209e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.3/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d300203e0-false-d300209e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.4
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.4">
      <extends rule="d300255e0-false-d300261e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('218') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '218' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('EI') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Placer Group Number') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Placer Group Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d300255e0-false-d300261e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.4/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.4/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.4/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.4/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.4/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.4/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.4/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.4/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.4/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.4/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.4/hl7v2:EI.4">
      <extends rule="d300431e0-false-d300437e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.4/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d300431e0-false-d300437e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.5
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.5">
      <extends rule="d300489e0-false-d300495e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('219') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '219' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('ID') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Table) = ('HL70038') or not(@Table)">(ORC_segment_Lab_algemeen): de waarde van Table MOET 'HL70038' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Order Status') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Order Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d300489e0-false-d300495e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.6
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.6">
      <extends rule="d300546e0-false-d300552e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('220') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '220' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('ID') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Table) = ('HL70121') or not(@Table)">(ORC_segment_Lab_algemeen): de waarde van Table MOET 'HL70121' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Response Flag') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Response Flag' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d300546e0-false-d300552e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7">
      <extends rule="d300597e0-false-d300603e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('221') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '221' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('TQ') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'TQ' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Quantity/Timing') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Quantity/Timing' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1" id="d300597e0-false-d300603e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.1) &lt;= 1">(TQ_datatype): element hl7v2:TQ.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.2) &lt;= 1">(TQ_datatype): element hl7v2:TQ.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.3) &lt;= 1">(TQ_datatype): element hl7v2:TQ.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.4) &lt;= 1">(TQ_datatype): element hl7v2:TQ.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.5) &lt;= 1">(TQ_datatype): element hl7v2:TQ.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.6) &lt;= 1">(TQ_datatype): element hl7v2:TQ.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.7) &lt;= 1">(TQ_datatype): element hl7v2:TQ.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.8) &lt;= 1">(TQ_datatype): element hl7v2:TQ.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.9) &lt;= 1">(TQ_datatype): element hl7v2:TQ.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.10) &lt;= 1">(TQ_datatype): element hl7v2:TQ.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.11) &lt;= 1">(TQ_datatype): element hl7v2:TQ.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.12) &lt;= 1">(TQ_datatype): element hl7v2:TQ.12 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1">
      <extends rule="d300715e0-false-d300721e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('CQ') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'CQ' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1" id="d300715e0-false-d300721e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.1) &lt;= 1">(CQ_datatype): element hl7v2:CQ.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.2) &lt;= 1">(CQ_datatype): element hl7v2:CQ.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.1
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2">
      <extends rule="d300797e0-false-d300803e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d300797e0-false-d300803e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.3">
      <extends rule="d300947e0-false-d300953e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d300947e0-false-d300953e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.6">
      <extends rule="d301066e0-false-d301072e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d301066e0-false-d301072e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.2
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.2">
      <extends rule="d301113e0-false-d301119e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('RI') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'RI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Interval') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Interval' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.54
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.2
Item: (RI_datatype)
-->
   <rule fpi="RULC-1" id="d301113e0-false-d301119e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.54-2013-02-10T000000.html"
              test="count(hl7v2:RI.1) &lt;= 1">(RI_datatype): element hl7v2:RI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.54-2013-02-10T000000.html"
              test="count(hl7v2:RI.2) &lt;= 1">(RI_datatype): element hl7v2:RI.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.54
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.2/hl7v2:RI.1
Item: (RI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.2/hl7v2:RI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.54-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(RI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.54-2013-02-10T000000.html"
              test="string(@Table) = ('HL70335') or not(@Table)">(RI_datatype): de waarde van Table MOET 'HL70335' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.54-2013-02-10T000000.html"
              test="string(@LongName) = ('Repeat Pattern') or not(@LongName)">(RI_datatype): de waarde van LongName MOET 'Repeat Pattern' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.2/hl7v2:RI.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.54
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.2/hl7v2:RI.2
Item: (RI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.2/hl7v2:RI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.54-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(RI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.54-2013-02-10T000000.html"
              test="string(@LongName) = ('Explicit Time Interval') or not(@LongName)">(RI_datatype): de waarde van LongName MOET 'Explicit Time Interval' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.2/hl7v2:RI.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.3
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Duration') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Duration' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.4
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.4">
      <extends rule="d301270e0-false-d301276e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Start Date/Time') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.4
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d301270e0-false-d301276e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.4/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.4/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.4/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.4/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.4/hl7v2:TS.2">
      <extends rule="d301358e0-false-d301364e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.4/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d301358e0-false-d301364e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.5
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.5">
      <extends rule="d301404e0-false-d301410e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('End Date/Time') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.5
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d301404e0-false-d301410e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.5/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.5/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.5/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.5/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.5/hl7v2:TS.2">
      <extends rule="d301492e0-false-d301498e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.5/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d301492e0-false-d301498e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.6
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Priority') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Priority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.7
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Condition') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Condition' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.8
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('TX') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'TX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.8
Item: (TX_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.8/hl7v2:escape
Item: (TX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.8/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.65-2013-02-10T000000.html"
              test="@V">(TX_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.8/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.8/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.8/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.8/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.8/hl7v2:escape/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.8/hl7v2:escape/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.9
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.9">
      <extends rule="d301726e0-false-d301732e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Table) = ('HL70472') or not(@Table)">(TQ_datatype): de waarde van Table MOET 'HL70472' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Conjunction') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Conjunction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.9
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d301726e0-false-d301732e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10">
      <extends rule="d301771e0-false-d301777e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('OSD') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'OSD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Order Sequencing') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Order Sequencing' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1" id="d301771e0-false-d301777e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.1) &lt;= 1">(OSD_datatype): element hl7v2:OSD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.2) &lt;= 1">(OSD_datatype): element hl7v2:OSD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.3) &lt;= 1">(OSD_datatype): element hl7v2:OSD.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.4) &lt;= 1">(OSD_datatype): element hl7v2:OSD.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.5) &lt;= 1">(OSD_datatype): element hl7v2:OSD.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.6) &lt;= 1">(OSD_datatype): element hl7v2:OSD.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.7) &lt;= 1">(OSD_datatype): element hl7v2:OSD.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.8) &lt;= 1">(OSD_datatype): element hl7v2:OSD.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.9) &lt;= 1">(OSD_datatype): element hl7v2:OSD.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.10) &lt;= 1">(OSD_datatype): element hl7v2:OSD.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.11) &lt;= 1">(OSD_datatype): element hl7v2:OSD.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.1
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.1">
      <extends rule="d301888e0-false-d301894e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Table) = ('HL70524') or not(@Table)">(OSD_datatype): de waarde van Table MOET 'HL70524' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Sequence/Results Flag') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Sequence/Results Flag' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.1
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d301888e0-false-d301894e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.2
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Placer Order Number: Entity Identifier') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Placer Order Number: Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.3
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(OSD_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Placer Order Number: Namespace ID') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Placer Order Number: Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.3
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.4
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Filler Order Number: Entity Identifier') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Filler Order Number: Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.5
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(OSD_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Filler Order Number: Namespace ID') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Filler Order Number: Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.5
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.6
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Sequence Condition Value') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Sequence Condition Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.7
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Maximum Number of Repeats') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Maximum Number of Repeats' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.7
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.8
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Placer Order Number: Universal ID') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Placer Order Number: Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.9
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.9">
      <extends rule="d302189e0-false-d302195e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(OSD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Placer Order Number: Universal ID Type') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Placer Order Number: Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.9
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d302189e0-false-d302195e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.10
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Filler Order Number: Universal ID') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Filler Order Number: Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.11
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.11">
      <extends rule="d302274e0-false-d302280e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(OSD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Filler Order Number: Universal ID Type') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Filler Order Number: Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d302274e0-false-d302280e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11">
      <extends rule="d302320e0-false-d302326e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Occurrence Duration') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Occurrence Duration' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d302320e0-false-d302326e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.3">
      <extends rule="d302470e0-false-d302476e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d302470e0-false-d302476e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.6">
      <extends rule="d302589e0-false-d302595e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d302589e0-false-d302595e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.12
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Total Occurrences') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Total Occurrences' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.12
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8">
      <extends rule="d302676e0-false-d302682e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('222') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '222' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('EIP') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'EIP' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Parent') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Parent' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8
Item: (EIP_datatype)
-->
   <rule fpi="RULC-1" id="d302676e0-false-d302682e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="count(hl7v2:EIP.1) &lt;= 1">(EIP_datatype): element hl7v2:EIP.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="count(hl7v2:EIP.2) &lt;= 1">(EIP_datatype): element hl7v2:EIP.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.1
Item: (EIP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.1">
      <extends rule="d302724e0-false-d302730e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(EIP_datatype): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="string(@LongName) = ('Placer Assigned Identifier') or not(@LongName)">(EIP_datatype): de waarde van LongName MOET 'Placer Assigned Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d302724e0-false-d302730e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.1/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.1/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.1/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.1/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.1/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.1/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.1/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.1/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.1/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.1/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.1/hl7v2:EI.4">
      <extends rule="d302900e0-false-d302906e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.1/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d302900e0-false-d302906e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.2
Item: (EIP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.2">
      <extends rule="d302946e0-false-d302952e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(EIP_datatype): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="string(@LongName) = ('Filler Assigned Identifier') or not(@LongName)">(EIP_datatype): de waarde van LongName MOET 'Filler Assigned Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d302946e0-false-d302952e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.2/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.2/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.2/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.2/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.2/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.2/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.2/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.2/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.2/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.2/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.2/hl7v2:EI.4">
      <extends rule="d303122e0-false-d303128e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.2/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d303122e0-false-d303128e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.9
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.9">
      <extends rule="d303175e0-false-d303181e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('223') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '223' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('TS') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Date/Time of Transaction') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Date/Time of Transaction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.9
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d303175e0-false-d303181e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.9/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.9/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.9/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.9/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.9/hl7v2:TS.2">
      <extends rule="d303263e0-false-d303269e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.9/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d303263e0-false-d303269e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10">
      <extends rule="d303315e0-false-d303321e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('224') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '224' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('XCN') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Entered By') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Entered By' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d303315e0-false-d303321e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2">
      <extends rule="d303544e0-false-d303550e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d303544e0-false-d303550e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.9">
      <extends rule="d304006e0-false-d304012e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d304006e0-false-d304012e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d304141e0-false-d304147e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d304141e0-false-d304147e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.10">
      <extends rule="d304193e0-false-d304199e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d304193e0-false-d304199e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.12">
      <extends rule="d304278e0-false-d304284e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d304278e0-false-d304284e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.13">
      <extends rule="d304329e0-false-d304335e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d304329e0-false-d304335e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.14">
      <extends rule="d304374e0-false-d304380e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d304374e0-false-d304380e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d304509e0-false-d304515e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d304509e0-false-d304515e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.15">
      <extends rule="d304561e0-false-d304567e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d304561e0-false-d304567e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16">
      <extends rule="d304612e0-false-d304618e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d304612e0-false-d304618e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d304762e0-false-d304768e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d304762e0-false-d304768e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d304881e0-false-d304887e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d304881e0-false-d304887e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17">
      <extends rule="d304927e0-false-d304933e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d304927e0-false-d304933e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d304975e0-false-d304981e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d304975e0-false-d304981e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d305063e0-false-d305069e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d305063e0-false-d305069e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d305109e0-false-d305115e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d305109e0-false-d305115e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d305197e0-false-d305203e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d305197e0-false-d305203e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.18">
      <extends rule="d305250e0-false-d305256e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d305250e0-false-d305256e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.19">
      <extends rule="d305295e0-false-d305301e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d305295e0-false-d305301e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d305383e0-false-d305389e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d305383e0-false-d305389e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.20">
      <extends rule="d305429e0-false-d305435e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d305429e0-false-d305435e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d305517e0-false-d305523e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d305517e0-false-d305523e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22">
      <extends rule="d305597e0-false-d305603e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d305597e0-false-d305603e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d305768e0-false-d305774e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d305768e0-false-d305774e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d305887e0-false-d305893e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d305887e0-false-d305893e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23">
      <extends rule="d306035e0-false-d306041e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d306035e0-false-d306041e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d306206e0-false-d306212e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d306206e0-false-d306212e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d306325e0-false-d306331e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d306325e0-false-d306331e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11">
      <extends rule="d306480e0-false-d306486e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('225') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '225' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('XCN') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Verified By') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Verified By' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d306480e0-false-d306486e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2">
      <extends rule="d306709e0-false-d306715e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d306709e0-false-d306715e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.9">
      <extends rule="d307171e0-false-d307177e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d307171e0-false-d307177e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d307306e0-false-d307312e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d307306e0-false-d307312e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.10">
      <extends rule="d307358e0-false-d307364e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d307358e0-false-d307364e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.12">
      <extends rule="d307443e0-false-d307449e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d307443e0-false-d307449e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.13">
      <extends rule="d307494e0-false-d307500e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d307494e0-false-d307500e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.14">
      <extends rule="d307539e0-false-d307545e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d307539e0-false-d307545e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d307674e0-false-d307680e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d307674e0-false-d307680e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.15">
      <extends rule="d307726e0-false-d307732e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d307726e0-false-d307732e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16">
      <extends rule="d307777e0-false-d307783e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d307777e0-false-d307783e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d307927e0-false-d307933e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d307927e0-false-d307933e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d308046e0-false-d308052e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d308046e0-false-d308052e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17">
      <extends rule="d308092e0-false-d308098e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d308092e0-false-d308098e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d308140e0-false-d308146e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d308140e0-false-d308146e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d308228e0-false-d308234e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d308228e0-false-d308234e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d308274e0-false-d308280e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d308274e0-false-d308280e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d308362e0-false-d308368e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d308362e0-false-d308368e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.18">
      <extends rule="d308415e0-false-d308421e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d308415e0-false-d308421e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.19">
      <extends rule="d308460e0-false-d308466e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d308460e0-false-d308466e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d308548e0-false-d308554e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d308548e0-false-d308554e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.20">
      <extends rule="d308594e0-false-d308600e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d308594e0-false-d308600e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d308682e0-false-d308688e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d308682e0-false-d308688e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22">
      <extends rule="d308762e0-false-d308768e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d308762e0-false-d308768e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d308933e0-false-d308939e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d308933e0-false-d308939e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d309052e0-false-d309058e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d309052e0-false-d309058e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23">
      <extends rule="d309200e0-false-d309206e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d309200e0-false-d309206e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d309371e0-false-d309377e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d309371e0-false-d309377e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d309490e0-false-d309496e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d309490e0-false-d309496e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12">
      <extends rule="d309645e0-false-d309651e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('226') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '226' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('XCN') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Ordering Provider') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Ordering Provider' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d309645e0-false-d309651e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2">
      <extends rule="d309874e0-false-d309880e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d309874e0-false-d309880e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.9">
      <extends rule="d310336e0-false-d310342e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d310336e0-false-d310342e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d310471e0-false-d310477e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d310471e0-false-d310477e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.10">
      <extends rule="d310523e0-false-d310529e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d310523e0-false-d310529e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.12">
      <extends rule="d310608e0-false-d310614e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d310608e0-false-d310614e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.13">
      <extends rule="d310659e0-false-d310665e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d310659e0-false-d310665e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.14">
      <extends rule="d310704e0-false-d310710e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d310704e0-false-d310710e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d310839e0-false-d310845e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d310839e0-false-d310845e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.15">
      <extends rule="d310891e0-false-d310897e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d310891e0-false-d310897e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16">
      <extends rule="d310942e0-false-d310948e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d310942e0-false-d310948e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d311092e0-false-d311098e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d311092e0-false-d311098e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d311211e0-false-d311217e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d311211e0-false-d311217e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17">
      <extends rule="d311257e0-false-d311263e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d311257e0-false-d311263e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d311305e0-false-d311311e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d311305e0-false-d311311e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d311393e0-false-d311399e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d311393e0-false-d311399e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d311439e0-false-d311445e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d311439e0-false-d311445e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d311527e0-false-d311533e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d311527e0-false-d311533e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.18">
      <extends rule="d311580e0-false-d311586e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d311580e0-false-d311586e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.19">
      <extends rule="d311625e0-false-d311631e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d311625e0-false-d311631e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d311713e0-false-d311719e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d311713e0-false-d311719e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.20">
      <extends rule="d311759e0-false-d311765e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d311759e0-false-d311765e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d311847e0-false-d311853e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d311847e0-false-d311853e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22">
      <extends rule="d311927e0-false-d311933e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d311927e0-false-d311933e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d312098e0-false-d312104e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d312098e0-false-d312104e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d312217e0-false-d312223e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d312217e0-false-d312223e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23">
      <extends rule="d312365e0-false-d312371e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d312365e0-false-d312371e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d312536e0-false-d312542e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d312536e0-false-d312542e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d312655e0-false-d312661e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d312655e0-false-d312661e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13">
      <extends rule="d312810e0-false-d312816e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('227') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '227' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('PL') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'PL' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Enterer''s Location') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Enterer''s Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13
Item: (PL_datatype)
-->
   <rule fpi="RULC-1" id="d312810e0-false-d312816e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.1) &lt;= 1">(PL_datatype): element hl7v2:PL.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.2) &lt;= 1">(PL_datatype): element hl7v2:PL.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.3) &lt;= 1">(PL_datatype): element hl7v2:PL.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.4) &lt;= 1">(PL_datatype): element hl7v2:PL.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.5) &lt;= 1">(PL_datatype): element hl7v2:PL.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.6) &lt;= 1">(PL_datatype): element hl7v2:PL.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.7) &lt;= 1">(PL_datatype): element hl7v2:PL.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.8) &lt;= 1">(PL_datatype): element hl7v2:PL.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.9) &lt;= 1">(PL_datatype): element hl7v2:PL.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.10) &lt;= 1">(PL_datatype): element hl7v2:PL.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.11) &lt;= 1">(PL_datatype): element hl7v2:PL.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.1
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70302') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70302' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Point of Care') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Point of Care' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.2
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70303') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70303' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Room') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Room' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.3
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70304') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70304' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Bed') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Bed' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.3
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.4
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.4">
      <extends rule="d313041e0-false-d313047e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Facility') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d313041e0-false-d313047e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.4/hl7v2:HD.3">
      <extends rule="d313176e0-false-d313182e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d313176e0-false-d313182e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.5
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70306') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70306' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Status') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Location Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.5
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.6
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70305') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70305' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Person Location Type') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Person Location Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.7
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70307') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70307' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Building') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Building' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.8
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70308') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70308' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Floor') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Floor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.9
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(PL_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Description') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Location Description' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.10
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.10">
      <extends rule="d313416e0-false-d313422e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(PL_datatype): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Comprehensive Location Identifier') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Comprehensive Location Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.10
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d313416e0-false-d313422e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.10/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.10/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.10/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.10/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.10/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.10/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.10/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.10/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.10/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.10/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.10/hl7v2:EI.4">
      <extends rule="d313592e0-false-d313598e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.10/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d313592e0-false-d313598e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.11
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.11">
      <extends rule="d313638e0-false-d313644e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority for Location') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Assigning Authority for Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.11
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d313638e0-false-d313644e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.11/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.11/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.11/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.11/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.11/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.11/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.11/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.11/hl7v2:HD.3">
      <extends rule="d313773e0-false-d313779e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.11/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d313773e0-false-d313779e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14">
      <extends rule="d313826e0-false-d313832e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('228') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '228' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('XTN') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'XTN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Call Back Phone Number') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Call Back Phone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" id="d313826e0-false-d313832e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.1) &lt;= 1">(XTN_datatype): element hl7v2:XTN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.2) &lt;= 1">(XTN_datatype): element hl7v2:XTN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.3) &lt;= 1">(XTN_datatype): element hl7v2:XTN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.4) &lt;= 1">(XTN_datatype): element hl7v2:XTN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.5) &lt;= 1">(XTN_datatype): element hl7v2:XTN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.6) &lt;= 1">(XTN_datatype): element hl7v2:XTN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.7) &lt;= 1">(XTN_datatype): element hl7v2:XTN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.8) &lt;= 1">(XTN_datatype): element hl7v2:XTN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.9) &lt;= 1">(XTN_datatype): element hl7v2:XTN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.10) &lt;= 1">(XTN_datatype): element hl7v2:XTN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.11) &lt;= 1">(XTN_datatype): element hl7v2:XTN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.12) &lt;= 1">(XTN_datatype): element hl7v2:XTN.12 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.1
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telephone Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telephone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.2
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.2">
      <extends rule="d313984e0-false-d313990e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70201') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70201' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Use Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Use Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d313984e0-false-d313990e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.3
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.3">
      <extends rule="d314035e0-false-d314041e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70202') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70202' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Equipment Type') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Equipment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d314035e0-false-d314041e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.4
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Email Address') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Email Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.5
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Country Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Country Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.6
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Area/City Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Area/City Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.6
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.7
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Local Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Local Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.7
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.8
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.8
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.9
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Any Text') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Any Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.10
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension Prefix') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.11
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Speed Dial Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Speed Dial Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.12
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Unformatted Telephone number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Unformatted Telephone number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.12
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.15
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.15">
      <extends rule="d314393e0-false-d314399e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('229') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '229' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('TS') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Order Effective Date/Time') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Order Effective Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.15
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d314393e0-false-d314399e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.15/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.15/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.15/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.15/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.15/hl7v2:TS.2">
      <extends rule="d314481e0-false-d314487e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.15/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d314481e0-false-d314487e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.16
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.16">
      <extends rule="d314533e0-false-d314539e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('230') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '230' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('CE') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Order Control Code Reason') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Order Control Code Reason' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d314533e0-false-d314539e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.3">
      <extends rule="d314683e0-false-d314689e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d314683e0-false-d314689e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.6">
      <extends rule="d314802e0-false-d314808e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d314802e0-false-d314808e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.17
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.17">
      <extends rule="d314854e0-false-d314860e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('231') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '231' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('CE') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Entering Organization') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Entering Organization' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.17
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d314854e0-false-d314860e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.3">
      <extends rule="d315004e0-false-d315010e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d315004e0-false-d315010e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.6">
      <extends rule="d315123e0-false-d315129e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d315123e0-false-d315129e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.18
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.18">
      <extends rule="d315175e0-false-d315181e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('232') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '232' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('CE') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Entering Device') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Entering Device' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.18
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d315175e0-false-d315181e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.3">
      <extends rule="d315325e0-false-d315331e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d315325e0-false-d315331e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.6">
      <extends rule="d315444e0-false-d315450e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d315444e0-false-d315450e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19">
      <extends rule="d315496e0-false-d315502e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('233') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '233' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('XCN') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Action By') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Action By' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d315496e0-false-d315502e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2">
      <extends rule="d315725e0-false-d315731e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d315725e0-false-d315731e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.9">
      <extends rule="d316187e0-false-d316193e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d316187e0-false-d316193e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d316322e0-false-d316328e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d316322e0-false-d316328e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.10">
      <extends rule="d316374e0-false-d316380e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d316374e0-false-d316380e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.12">
      <extends rule="d316459e0-false-d316465e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d316459e0-false-d316465e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.13">
      <extends rule="d316510e0-false-d316516e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d316510e0-false-d316516e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.14">
      <extends rule="d316555e0-false-d316561e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d316555e0-false-d316561e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d316690e0-false-d316696e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d316690e0-false-d316696e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.15">
      <extends rule="d316742e0-false-d316748e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d316742e0-false-d316748e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16">
      <extends rule="d316793e0-false-d316799e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d316793e0-false-d316799e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d316943e0-false-d316949e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d316943e0-false-d316949e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d317062e0-false-d317068e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d317062e0-false-d317068e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17">
      <extends rule="d317108e0-false-d317114e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d317108e0-false-d317114e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d317156e0-false-d317162e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d317156e0-false-d317162e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d317244e0-false-d317250e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d317244e0-false-d317250e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d317290e0-false-d317296e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d317290e0-false-d317296e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d317378e0-false-d317384e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d317378e0-false-d317384e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.18">
      <extends rule="d317431e0-false-d317437e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d317431e0-false-d317437e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.19">
      <extends rule="d317476e0-false-d317482e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d317476e0-false-d317482e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d317564e0-false-d317570e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d317564e0-false-d317570e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.20">
      <extends rule="d317610e0-false-d317616e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d317610e0-false-d317616e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d317698e0-false-d317704e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d317698e0-false-d317704e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22">
      <extends rule="d317778e0-false-d317784e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d317778e0-false-d317784e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d317949e0-false-d317955e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d317949e0-false-d317955e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d318068e0-false-d318074e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d318068e0-false-d318074e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23">
      <extends rule="d318216e0-false-d318222e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d318216e0-false-d318222e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d318387e0-false-d318393e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d318387e0-false-d318393e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d318506e0-false-d318512e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d318506e0-false-d318512e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.20
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.20">
      <extends rule="d318667e0-false-d318673e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('1310') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '1310' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('CE') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Table) = ('HL70339') or not(@Table)">(ORC_segment_Lab_algemeen): de waarde van Table MOET 'HL70339' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Advanced Beneficiary Notice Code') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Advanced Beneficiary Notice Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.20
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d318667e0-false-d318673e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.3">
      <extends rule="d318817e0-false-d318823e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d318817e0-false-d318823e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.6">
      <extends rule="d318936e0-false-d318942e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d318936e0-false-d318942e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21">
      <extends rule="d318988e0-false-d318994e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('1311') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '1311' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('XON') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'XON' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Ordering Facility Name') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Ordering Facility Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21
Item: (XON_datatype)
-->
   <rule fpi="RULC-1" id="d318988e0-false-d318994e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.1) &lt;= 1">(XON_datatype): element hl7v2:XON.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.2) &lt;= 1">(XON_datatype): element hl7v2:XON.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.3) &lt;= 1">(XON_datatype): element hl7v2:XON.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.4) &lt;= 1">(XON_datatype): element hl7v2:XON.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.5) &lt;= 1">(XON_datatype): element hl7v2:XON.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.6) &lt;= 1">(XON_datatype): element hl7v2:XON.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.7) &lt;= 1">(XON_datatype): element hl7v2:XON.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.8) &lt;= 1">(XON_datatype): element hl7v2:XON.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.9) &lt;= 1">(XON_datatype): element hl7v2:XON.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.10) &lt;= 1">(XON_datatype): element hl7v2:XON.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.1
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.2
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XON_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70204') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70204' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.3
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.4
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.5
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.5">
      <extends rule="d319240e0-false-d319246e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d319240e0-false-d319246e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.6
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.6">
      <extends rule="d319291e0-false-d319297e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d319291e0-false-d319297e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.6/hl7v2:HD.3">
      <extends rule="d319426e0-false-d319432e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d319426e0-false-d319432e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.7
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.7">
      <extends rule="d319478e0-false-d319484e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d319478e0-false-d319484e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.8
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.8">
      <extends rule="d319523e0-false-d319529e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.8
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d319523e0-false-d319529e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.8/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.8/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.8/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.8/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.8/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.8/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.8/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.8/hl7v2:HD.3">
      <extends rule="d319658e0-false-d319664e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.8/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d319658e0-false-d319664e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.9
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.9">
      <extends rule="d319710e0-false-d319716e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.9
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d319710e0-false-d319716e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.10
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Identifier') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22">
      <extends rule="d319796e0-false-d319802e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('1312') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '1312' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('XAD') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'XAD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Ordering Facility Address') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Ordering Facility Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1" id="d319796e0-false-d319802e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.1) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.2) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.3) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.4) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.5) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.6) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.7) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.8) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.9) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.10) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.11) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.12) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.13) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.14) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.1
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.1">
      <extends rule="d319928e0-false-d319934e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('SAD') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'SAD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Street Address') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Street Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.1
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1" id="d319928e0-false-d319934e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.1) &lt;= 1">(SAD_datatype): element hl7v2:SAD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.2) &lt;= 1">(SAD_datatype): element hl7v2:SAD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.3) &lt;= 1">(SAD_datatype): element hl7v2:SAD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.1/hl7v2:SAD.1
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.1/hl7v2:SAD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Street or Mailing Address') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Street or Mailing Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.1/hl7v2:SAD.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.1/hl7v2:SAD.2
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.1/hl7v2:SAD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Street Name') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Street Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.1/hl7v2:SAD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.1/hl7v2:SAD.3
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.1/hl7v2:SAD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Dwelling Number') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Dwelling Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.1/hl7v2:SAD.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.2
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Other Designation') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Other Designation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.3
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('City') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'City' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.4
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('State or Province') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'State or Province' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.5
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Zip or Postal Code') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Zip or Postal Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.6
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.6">
      <extends rule="d320228e0-false-d320234e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70399') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70399' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Country') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Country' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d320228e0-false-d320234e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.7
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.7">
      <extends rule="d320290e0-false-d320296e0"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70190') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70190' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Address Type') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Address Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d320290e0-false-d320296e0" abstract="true">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.25.11.409-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ID_datatype): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.25.11.409 Adrestype HL7v2 NL (DYNAMISCH)'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.8
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Other Geographic Designation') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Other Geographic Designation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.9
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('IS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70289') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70289' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('County/Parish Code') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'County/Parish Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.10
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('IS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70288') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70288' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Census Tract') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Census Tract' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.10
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.11
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.11">
      <extends rule="d320466e0-false-d320472e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Address Representation Code') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Address Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d320466e0-false-d320472e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12">
      <extends rule="d320511e0-false-d320517e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('DR') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Address Validity Range') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Address Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d320511e0-false-d320517e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.1">
      <extends rule="d320559e0-false-d320565e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d320559e0-false-d320565e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d320647e0-false-d320653e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d320647e0-false-d320653e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.2">
      <extends rule="d320693e0-false-d320699e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d320693e0-false-d320699e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d320781e0-false-d320787e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d320781e0-false-d320787e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.13
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.13">
      <extends rule="d320828e0-false-d320834e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('TS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d320828e0-false-d320834e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.13/hl7v2:TS.2">
      <extends rule="d320916e0-false-d320922e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d320916e0-false-d320922e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.14
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.14">
      <extends rule="d320962e0-false-d320968e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('TS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d320962e0-false-d320968e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.14/hl7v2:TS.2">
      <extends rule="d321050e0-false-d321056e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d321050e0-false-d321056e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23">
      <extends rule="d321103e0-false-d321109e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('1313') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '1313' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('XTN') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'XTN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Ordering Facility Phone Number') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Ordering Facility Phone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" id="d321103e0-false-d321109e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.1) &lt;= 1">(XTN_datatype): element hl7v2:XTN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.2) &lt;= 1">(XTN_datatype): element hl7v2:XTN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.3) &lt;= 1">(XTN_datatype): element hl7v2:XTN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.4) &lt;= 1">(XTN_datatype): element hl7v2:XTN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.5) &lt;= 1">(XTN_datatype): element hl7v2:XTN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.6) &lt;= 1">(XTN_datatype): element hl7v2:XTN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.7) &lt;= 1">(XTN_datatype): element hl7v2:XTN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.8) &lt;= 1">(XTN_datatype): element hl7v2:XTN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.9) &lt;= 1">(XTN_datatype): element hl7v2:XTN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.10) &lt;= 1">(XTN_datatype): element hl7v2:XTN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.11) &lt;= 1">(XTN_datatype): element hl7v2:XTN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.12) &lt;= 1">(XTN_datatype): element hl7v2:XTN.12 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.1
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telephone Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telephone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.2
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.2">
      <extends rule="d321261e0-false-d321267e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70201') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70201' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Use Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Use Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d321261e0-false-d321267e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.3
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.3">
      <extends rule="d321312e0-false-d321318e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70202') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70202' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Equipment Type') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Equipment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d321312e0-false-d321318e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.4
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Email Address') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Email Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.5
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Country Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Country Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.6
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Area/City Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Area/City Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.6
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.7
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Local Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Local Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.7
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.8
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.8
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.9
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Any Text') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Any Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.10
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension Prefix') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.11
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Speed Dial Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Speed Dial Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.12
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Unformatted Telephone number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Unformatted Telephone number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.12
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24">
      <extends rule="d321670e0-false-d321676e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('1314') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '1314' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('XAD') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'XAD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Ordering Provider Address') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Ordering Provider Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1" id="d321670e0-false-d321676e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.1) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.2) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.3) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.4) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.5) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.6) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.7) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.8) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.9) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.10) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.11) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.12) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.13) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.14) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.1
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.1">
      <extends rule="d321802e0-false-d321808e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('SAD') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'SAD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Street Address') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Street Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.1
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1" id="d321802e0-false-d321808e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.1) &lt;= 1">(SAD_datatype): element hl7v2:SAD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.2) &lt;= 1">(SAD_datatype): element hl7v2:SAD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.3) &lt;= 1">(SAD_datatype): element hl7v2:SAD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.1/hl7v2:SAD.1
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.1/hl7v2:SAD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Street or Mailing Address') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Street or Mailing Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.1/hl7v2:SAD.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.1/hl7v2:SAD.2
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.1/hl7v2:SAD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Street Name') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Street Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.1/hl7v2:SAD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.1/hl7v2:SAD.3
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.1/hl7v2:SAD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Dwelling Number') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Dwelling Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.1/hl7v2:SAD.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.2
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Other Designation') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Other Designation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.3
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('City') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'City' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.4
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('State or Province') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'State or Province' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.5
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Zip or Postal Code') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Zip or Postal Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.6
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.6">
      <extends rule="d322102e0-false-d322108e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70399') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70399' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Country') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Country' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d322102e0-false-d322108e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.7
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.7">
      <extends rule="d322164e0-false-d322170e0"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70190') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70190' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Address Type') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Address Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d322164e0-false-d322170e0" abstract="true">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.25.11.409-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ID_datatype): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.25.11.409 Adrestype HL7v2 NL (DYNAMISCH)'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.8
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Other Geographic Designation') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Other Geographic Designation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.9
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('IS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70289') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70289' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('County/Parish Code') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'County/Parish Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.10
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('IS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70288') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70288' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Census Tract') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Census Tract' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.10
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.11
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.11">
      <extends rule="d322340e0-false-d322346e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Address Representation Code') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Address Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d322340e0-false-d322346e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12">
      <extends rule="d322385e0-false-d322391e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('DR') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Address Validity Range') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Address Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d322385e0-false-d322391e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.1">
      <extends rule="d322433e0-false-d322439e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d322433e0-false-d322439e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d322521e0-false-d322527e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d322521e0-false-d322527e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.2">
      <extends rule="d322567e0-false-d322573e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d322567e0-false-d322573e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d322655e0-false-d322661e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d322655e0-false-d322661e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.13
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.13">
      <extends rule="d322702e0-false-d322708e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('TS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d322702e0-false-d322708e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.13/hl7v2:TS.2">
      <extends rule="d322790e0-false-d322796e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d322790e0-false-d322796e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.14
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.14">
      <extends rule="d322836e0-false-d322842e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('TS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d322836e0-false-d322842e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.14/hl7v2:TS.2">
      <extends rule="d322924e0-false-d322930e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d322924e0-false-d322930e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.25
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.25">
      <extends rule="d322977e0-false-d322983e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('1473') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '1473' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('CWE') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Order Status Modifier') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Order Status Modifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.25
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d322977e0-false-d322983e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.3">
      <extends rule="d323148e0-false-d323154e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d323148e0-false-d323154e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.6">
      <extends rule="d323267e0-false-d323273e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d323267e0-false-d323273e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.26
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.26">
      <extends rule="d323427e0-false-d323433e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('1641') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '1641' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('CWE') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Table) = ('HL70552') or not(@Table)">(ORC_segment_Lab_algemeen): de waarde van Table MOET 'HL70552' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Advanced Beneficiary Notice Override Reason') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Advanced Beneficiary Notice Override Reason' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.26
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d323427e0-false-d323433e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.3">
      <extends rule="d323598e0-false-d323604e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d323598e0-false-d323604e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.6">
      <extends rule="d323717e0-false-d323723e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d323717e0-false-d323723e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.27
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.27">
      <extends rule="d323871e0-false-d323877e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('1642') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '1642' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('TS') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Filler''s Expected Availability Date/Time') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Filler''s Expected Availability Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.27
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d323871e0-false-d323877e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.27/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.27/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.27/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.27/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.27/hl7v2:TS.2">
      <extends rule="d323959e0-false-d323965e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.27/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d323959e0-false-d323965e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.28
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.28">
      <extends rule="d324017e0-false-d324023e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('615') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '615' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('CWE') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Table) = ('HL70177') or not(@Table)">(ORC_segment_Lab_algemeen): de waarde van Table MOET 'HL70177' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Confidentiality Code') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Confidentiality Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.28
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d324017e0-false-d324023e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.3">
      <extends rule="d324188e0-false-d324194e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d324188e0-false-d324194e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.6">
      <extends rule="d324307e0-false-d324313e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d324307e0-false-d324313e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.29
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.29">
      <extends rule="d324467e0-false-d324473e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('1643') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '1643' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('CWE') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Table) = ('HL70482') or not(@Table)">(ORC_segment_Lab_algemeen): de waarde van Table MOET 'HL70482' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Order Type') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Order Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.29
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d324467e0-false-d324473e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.3">
      <extends rule="d324638e0-false-d324644e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d324638e0-false-d324644e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.6">
      <extends rule="d324757e0-false-d324763e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d324757e0-false-d324763e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.30
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.30">
      <extends rule="d324917e0-false-d324923e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('1644') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '1644' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('CNE') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'CNE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Table) = ('HL70483') or not(@Table)">(ORC_segment_Lab_algemeen): de waarde van Table MOET 'HL70483' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Enterer Authorization Mode') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Enterer Authorization Mode' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.30
Item: (CNE_datatype)
-->
   <rule fpi="RULC-1" id="d324917e0-false-d324923e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="count(hl7v2:CNE.1) &lt;= 1">(CNE_datatype): element hl7v2:CNE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="count(hl7v2:CNE.2) &lt;= 1">(CNE_datatype): element hl7v2:CNE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="count(hl7v2:CNE.3) &lt;= 1">(CNE_datatype): element hl7v2:CNE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="count(hl7v2:CNE.4) &lt;= 1">(CNE_datatype): element hl7v2:CNE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="count(hl7v2:CNE.5) &lt;= 1">(CNE_datatype): element hl7v2:CNE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="count(hl7v2:CNE.6) &lt;= 1">(CNE_datatype): element hl7v2:CNE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="count(hl7v2:CNE.7) &lt;= 1">(CNE_datatype): element hl7v2:CNE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="count(hl7v2:CNE.8) &lt;= 1">(CNE_datatype): element hl7v2:CNE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="count(hl7v2:CNE.9) &lt;= 1">(CNE_datatype): element hl7v2:CNE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.1
Item: (CNE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CNE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.2
Item: (CNE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CNE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.3
Item: (CNE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.3">
      <extends rule="d325088e0-false-d325094e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CNE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CNE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CNE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d325088e0-false-d325094e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.4
Item: (CNE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CNE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.5
Item: (CNE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CNE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.6
Item: (CNE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.6">
      <extends rule="d325207e0-false-d325213e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CNE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CNE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CNE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d325207e0-false-d325213e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.7
Item: (CNE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CNE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.8
Item: (CNE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CNE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.9
Item: (CNE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CNE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR"
         id="d41e3181-false-d325334e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:TQ1) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:TQ1 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:TQ1) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:TQ1 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.10
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1
Item: (TQ1_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="count(hl7v2:TQ1.1) &lt;= 1">(TQ1_segment_Lab2Lab_aanvraag): element hl7v2:TQ1.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="count(hl7v2:TQ1.2) &lt;= 1">(TQ1_segment_Lab2Lab_aanvraag): element hl7v2:TQ1.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="count(hl7v2:TQ1.6) &lt;= 1">(TQ1_segment_Lab2Lab_aanvraag): element hl7v2:TQ1.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="count(hl7v2:TQ1.7) &lt;= 1">(TQ1_segment_Lab2Lab_aanvraag): element hl7v2:TQ1.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="count(hl7v2:TQ1.8) &lt;= 1">(TQ1_segment_Lab2Lab_aanvraag): element hl7v2:TQ1.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="count(hl7v2:TQ1.10) &lt;= 1">(TQ1_segment_Lab2Lab_aanvraag): element hl7v2:TQ1.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="count(hl7v2:TQ1.11) &lt;= 1">(TQ1_segment_Lab2Lab_aanvraag): element hl7v2:TQ1.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="count(hl7v2:TQ1.12) &lt;= 1">(TQ1_segment_Lab2Lab_aanvraag): element hl7v2:TQ1.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="count(hl7v2:TQ1.13) &lt;= 1">(TQ1_segment_Lab2Lab_aanvraag): element hl7v2:TQ1.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="count(hl7v2:TQ1.14) &lt;= 1">(TQ1_segment_Lab2Lab_aanvraag): element hl7v2:TQ1.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.10
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.1
Item: (TQ1_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Item) = ('1627') or not(@Item)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1627' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Type) = ('SI') or not(@Type)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@LongName) = ('Set ID - TQ1') or not(@LongName)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Set ID - TQ1' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.10
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2
Item: (TQ1_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2">
      <extends rule="d325523e0-false-d325529e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Item) = ('1628') or not(@Item)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1628' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Type) = ('CQ') or not(@Type)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CQ' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1" id="d325523e0-false-d325529e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.1) &lt;= 1">(CQ_datatype): element hl7v2:CQ.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.2) &lt;= 1">(CQ_datatype): element hl7v2:CQ.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.1
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2">
      <extends rule="d325605e0-false-d325611e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d325605e0-false-d325611e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.3">
      <extends rule="d325755e0-false-d325761e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d325755e0-false-d325761e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.6">
      <extends rule="d325874e0-false-d325880e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d325874e0-false-d325880e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.10
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3
Item: (TQ1_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3">
      <extends rule="d325933e0-false-d325939e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Item) = ('1629') or not(@Item)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1629' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Type) = ('RPT') or not(@Type)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'RPT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Table) = ('HL70335') or not(@Table)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70335' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@LongName) = ('Repeat Pattern') or not(@LongName)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Repeat Pattern' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.56
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3
Item: (RPT_datatype)
-->
   <rule fpi="RULC-1" id="d325933e0-false-d325939e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="count(hl7v2:RPT.1) &lt;= 1">(RPT_datatype): element hl7v2:RPT.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="count(hl7v2:RPT.2) &lt;= 1">(RPT_datatype): element hl7v2:RPT.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="count(hl7v2:RPT.3) &lt;= 1">(RPT_datatype): element hl7v2:RPT.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="count(hl7v2:RPT.4) &lt;= 1">(RPT_datatype): element hl7v2:RPT.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="count(hl7v2:RPT.5) &lt;= 1">(RPT_datatype): element hl7v2:RPT.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="count(hl7v2:RPT.6) &lt;= 1">(RPT_datatype): element hl7v2:RPT.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="count(hl7v2:RPT.7) &lt;= 1">(RPT_datatype): element hl7v2:RPT.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="count(hl7v2:RPT.8) &lt;= 1">(RPT_datatype): element hl7v2:RPT.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="count(hl7v2:RPT.9) &lt;= 1">(RPT_datatype): element hl7v2:RPT.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="count(hl7v2:RPT.10) &lt;= 1">(RPT_datatype): element hl7v2:RPT.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="count(hl7v2:RPT.11) &lt;= 1">(RPT_datatype): element hl7v2:RPT.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.56
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1
Item: (RPT_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1">
      <extends rule="d326050e0-false-d326056e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(RPT_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@Table) = ('HL70335') or not(@Table)">(RPT_datatype): de waarde van Table MOET 'HL70335' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@LongName) = ('Repeat Pattern Code') or not(@LongName)">(RPT_datatype): de waarde van LongName MOET 'Repeat Pattern Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d326050e0-false-d326056e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.3">
      <extends rule="d326221e0-false-d326227e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d326221e0-false-d326227e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.6">
      <extends rule="d326340e0-false-d326346e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d326340e0-false-d326346e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.56
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.2
Item: (RPT_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.2">
      <extends rule="d326494e0-false-d326500e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(RPT_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@Table) = ('HL70527') or not(@Table)">(RPT_datatype): de waarde van Table MOET 'HL70527' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@LongName) = ('Calendar Alignment') or not(@LongName)">(RPT_datatype): de waarde van LongName MOET 'Calendar Alignment' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d326494e0-false-d326500e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.56
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.3
Item: (RPT_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(RPT_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@LongName) = ('Phase Range Begin Value') or not(@LongName)">(RPT_datatype): de waarde van LongName MOET 'Phase Range Begin Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.56
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.4
Item: (RPT_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(RPT_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@LongName) = ('Phase Range End Value') or not(@LongName)">(RPT_datatype): de waarde van LongName MOET 'Phase Range End Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.56
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.5
Item: (RPT_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(RPT_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@LongName) = ('Period Quantity') or not(@LongName)">(RPT_datatype): de waarde van LongName MOET 'Period Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.56
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.6
Item: (RPT_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(RPT_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@LongName) = ('Period Units') or not(@LongName)">(RPT_datatype): de waarde van LongName MOET 'Period Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.56
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.7
Item: (RPT_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.7">
      <extends rule="d326681e0-false-d326687e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(RPT_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(RPT_datatype): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@LongName) = ('Institution Specified Time') or not(@LongName)">(RPT_datatype): de waarde van LongName MOET 'Institution Specified Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d326681e0-false-d326687e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.56
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.8
Item: (RPT_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.8">
      <extends rule="d326732e0-false-d326738e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(RPT_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@Table) = ('HL70528') or not(@Table)">(RPT_datatype): de waarde van Table MOET 'HL70528' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@LongName) = ('Event') or not(@LongName)">(RPT_datatype): de waarde van LongName MOET 'Event' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.8
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d326732e0-false-d326738e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.56
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.9
Item: (RPT_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(RPT_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@LongName) = ('Event Offset Quantity') or not(@LongName)">(RPT_datatype): de waarde van LongName MOET 'Event Offset Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.9
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.56
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.10
Item: (RPT_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(RPT_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@LongName) = ('Event Offset Units') or not(@LongName)">(RPT_datatype): de waarde van LongName MOET 'Event Offset Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.10
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.56
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.11
Item: (RPT_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@Type) = ('GTS') or not(@Type)">(RPT_datatype): de waarde van Type MOET 'GTS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@LongName) = ('General Timing Specification') or not(@LongName)">(RPT_datatype): de waarde van LongName MOET 'General Timing Specification' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.82
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.11
Item: (GTS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.10
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.4
Item: (TQ1_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Item) = ('1630') or not(@Item)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1630' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Type) = ('TM') or not(@Type)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'TM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@LongName) = ('Explicit Time') or not(@LongName)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Explicit Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.90
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.4
Item: (TM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.10
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5
Item: (TQ1_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5">
      <extends rule="d326926e0-false-d326932e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Item) = ('1631') or not(@Item)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1631' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Type) = ('CQ') or not(@Type)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CQ' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@LongName) = ('Relative Time and Units') or not(@LongName)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Relative Time and Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1" id="d326926e0-false-d326932e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.1) &lt;= 1">(CQ_datatype): element hl7v2:CQ.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.2) &lt;= 1">(CQ_datatype): element hl7v2:CQ.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.1
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2">
      <extends rule="d327008e0-false-d327014e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d327008e0-false-d327014e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.3">
      <extends rule="d327158e0-false-d327164e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d327158e0-false-d327164e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.6">
      <extends rule="d327277e0-false-d327283e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d327277e0-false-d327283e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.10
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6
Item: (TQ1_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6">
      <extends rule="d327330e0-false-d327336e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Item) = ('1632') or not(@Item)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1632' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Type) = ('CQ') or not(@Type)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CQ' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@LongName) = ('Service Duration') or not(@LongName)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Service Duration' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1" id="d327330e0-false-d327336e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.1) &lt;= 1">(CQ_datatype): element hl7v2:CQ.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.2) &lt;= 1">(CQ_datatype): element hl7v2:CQ.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.1
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2">
      <extends rule="d327412e0-false-d327418e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d327412e0-false-d327418e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.3">
      <extends rule="d327562e0-false-d327568e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d327562e0-false-d327568e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.6">
      <extends rule="d327681e0-false-d327687e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d327681e0-false-d327687e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.10
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.7
Item: (TQ1_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.7">
      <extends rule="d327734e0-false-d327740e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Item) = ('1633') or not(@Item)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1633' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Type) = ('TS') or not(@Type)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@LongName) = ('Start date/time') or not(@LongName)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Start date/time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.7
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d327734e0-false-d327740e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.7/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.7/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.7/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.7/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.7/hl7v2:TS.2">
      <extends rule="d327822e0-false-d327828e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.7/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d327822e0-false-d327828e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.10
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.8
Item: (TQ1_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.8">
      <extends rule="d327874e0-false-d327880e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Item) = ('1634') or not(@Item)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1634' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Type) = ('TS') or not(@Type)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@LongName) = ('End date/time') or not(@LongName)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'End date/time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.8
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d327874e0-false-d327880e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.8/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.8/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.8/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.8/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.8/hl7v2:TS.2">
      <extends rule="d327962e0-false-d327968e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.8/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d327962e0-false-d327968e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.10
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9
Item: (TQ1_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9">
      <extends rule="d328020e0-false-d328026e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Item) = ('1635') or not(@Item)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1635' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Type) = ('CWE') or not(@Type)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Table) = ('HL70485') or not(@Table)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70485' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@LongName) = ('Priority') or not(@LongName)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Priority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d328020e0-false-d328026e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.3">
      <extends rule="d328191e0-false-d328197e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d328191e0-false-d328197e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.6">
      <extends rule="d328310e0-false-d328316e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d328310e0-false-d328316e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.10
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.10
Item: (TQ1_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Item) = ('1636') or not(@Item)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1636' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Type) = ('TX') or not(@Type)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'TX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@LongName) = ('Condition text') or not(@LongName)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Condition text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.10
Item: (TX_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.10/hl7v2:escape
Item: (TX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.10/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.65-2013-02-10T000000.html"
              test="@V">(TX_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.10/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.10/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.10/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.10/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.10/hl7v2:escape/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.10/hl7v2:escape/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.10
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.11
Item: (TQ1_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Item) = ('1637') or not(@Item)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1637' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Type) = ('TX') or not(@Type)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'TX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@LongName) = ('Text instruction') or not(@LongName)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Text instruction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.11
Item: (TX_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.11/hl7v2:escape
Item: (TX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.11/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.65-2013-02-10T000000.html"
              test="@V">(TX_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.11/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.11/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.11/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.11/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.11/hl7v2:escape/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.11/hl7v2:escape/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.10
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.12
Item: (TQ1_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.12">
      <extends rule="d328710e0-false-d328716e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Item) = ('1638') or not(@Item)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1638' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Type) = ('ID') or not(@Type)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Table) = ('HL70427') or not(@Table)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70427' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@LongName) = ('Conjunction') or not(@LongName)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Conjunction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d328710e0-false-d328716e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.10
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13
Item: (TQ1_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13">
      <extends rule="d328761e0-false-d328767e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Item) = ('1639') or not(@Item)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1639' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Type) = ('CQ') or not(@Type)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CQ' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@LongName) = ('Occurrence duration') or not(@LongName)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Occurrence duration' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1" id="d328761e0-false-d328767e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.1) &lt;= 1">(CQ_datatype): element hl7v2:CQ.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.2) &lt;= 1">(CQ_datatype): element hl7v2:CQ.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.1
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2">
      <extends rule="d328843e0-false-d328849e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d328843e0-false-d328849e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.3">
      <extends rule="d328993e0-false-d328999e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d328993e0-false-d328999e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.6">
      <extends rule="d329112e0-false-d329118e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d329112e0-false-d329118e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.10
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.14
Item: (TQ1_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Item) = ('1640') or not(@Item)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1640' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Type) = ('NM') or not(@Type)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@LongName) = ('Total occurrence''s') or not(@LongName)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Total occurrence''s' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.14
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.143
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2
Item: (TQ2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="count(hl7v2:TQ2.1) &lt;= 1">(TQ2_segment): element hl7v2:TQ2.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="count(hl7v2:TQ2.2) &lt;= 1">(TQ2_segment): element hl7v2:TQ2.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="count(hl7v2:TQ2.6) &lt;= 1">(TQ2_segment): element hl7v2:TQ2.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="count(hl7v2:TQ2.7) &lt;= 1">(TQ2_segment): element hl7v2:TQ2.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="count(hl7v2:TQ2.8) &lt;= 1">(TQ2_segment): element hl7v2:TQ2.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="count(hl7v2:TQ2.9) &lt;= 1">(TQ2_segment): element hl7v2:TQ2.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="count(hl7v2:TQ2.10) &lt;= 1">(TQ2_segment): element hl7v2:TQ2.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.143
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.1
Item: (TQ2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Item) = ('1648') or not(@Item)">(TQ2_segment): de waarde van Item MOET '1648' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Type) = ('SI') or not(@Type)">(TQ2_segment): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@LongName) = ('Set ID - TQ2') or not(@LongName)">(TQ2_segment): de waarde van LongName MOET 'Set ID - TQ2' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.143
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.2
Item: (TQ2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.2">
      <extends rule="d329328e0-false-d329334e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Item) = ('1649') or not(@Item)">(TQ2_segment): de waarde van Item MOET '1649' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TQ2_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Table) = ('HL70503') or not(@Table)">(TQ2_segment): de waarde van Table MOET 'HL70503' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@LongName) = ('Sequence/Results Flag') or not(@LongName)">(TQ2_segment): de waarde van LongName MOET 'Sequence/Results Flag' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d329328e0-false-d329334e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.143
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.3
Item: (TQ2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.3">
      <extends rule="d329379e0-false-d329385e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Item) = ('1650') or not(@Item)">(TQ2_segment): de waarde van Item MOET '1650' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(TQ2_segment): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@LongName) = ('Related Placer Number') or not(@LongName)">(TQ2_segment): de waarde van LongName MOET 'Related Placer Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d329379e0-false-d329385e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.3/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.3/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.3/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.3/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.3/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.3/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.3/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.3/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.3/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.3/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.3/hl7v2:EI.4">
      <extends rule="d329555e0-false-d329561e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.3/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d329555e0-false-d329561e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.143
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.4
Item: (TQ2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.4">
      <extends rule="d329607e0-false-d329613e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Item) = ('1651') or not(@Item)">(TQ2_segment): de waarde van Item MOET '1651' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(TQ2_segment): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@LongName) = ('Related Filler Number') or not(@LongName)">(TQ2_segment): de waarde van LongName MOET 'Related Filler Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d329607e0-false-d329613e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.4/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.4/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.4/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.4/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.4/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.4/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.4/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.4/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.4/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.4/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.4/hl7v2:EI.4">
      <extends rule="d329783e0-false-d329789e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.4/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d329783e0-false-d329789e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.143
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.5
Item: (TQ2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.5">
      <extends rule="d329835e0-false-d329841e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Item) = ('1652') or not(@Item)">(TQ2_segment): de waarde van Item MOET '1652' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(TQ2_segment): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@LongName) = ('Related Placer Group Number') or not(@LongName)">(TQ2_segment): de waarde van LongName MOET 'Related Placer Group Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.5
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d329835e0-false-d329841e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.5/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.5/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.5/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.5/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.5/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.5/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.5/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.5/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.5/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.5/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.5/hl7v2:EI.4">
      <extends rule="d330011e0-false-d330017e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.5/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d330011e0-false-d330017e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.143
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.6
Item: (TQ2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.6">
      <extends rule="d330069e0-false-d330075e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Item) = ('1653') or not(@Item)">(TQ2_segment): de waarde van Item MOET '1653' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TQ2_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Table) = ('HL70504') or not(@Table)">(TQ2_segment): de waarde van Table MOET 'HL70504' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@LongName) = ('Sequence Condition Code') or not(@LongName)">(TQ2_segment): de waarde van LongName MOET 'Sequence Condition Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d330069e0-false-d330075e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.143
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.7
Item: (TQ2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.7">
      <extends rule="d330126e0-false-d330132e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Item) = ('1654') or not(@Item)">(TQ2_segment): de waarde van Item MOET '1654' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TQ2_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Table) = ('HL70505') or not(@Table)">(TQ2_segment): de waarde van Table MOET 'HL70505' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@LongName) = ('Cyclic Entry/Exit Indicator') or not(@LongName)">(TQ2_segment): de waarde van LongName MOET 'Cyclic Entry/Exit Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d330126e0-false-d330132e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.143
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8
Item: (TQ2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8">
      <extends rule="d330177e0-false-d330183e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Item) = ('1655') or not(@Item)">(TQ2_segment): de waarde van Item MOET '1655' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Type) = ('CQ') or not(@Type)">(TQ2_segment): de waarde van Type MOET 'CQ' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@LongName) = ('Sequence Condition Time Interval') or not(@LongName)">(TQ2_segment): de waarde van LongName MOET 'Sequence Condition Time Interval' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1" id="d330177e0-false-d330183e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.1) &lt;= 1">(CQ_datatype): element hl7v2:CQ.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.2) &lt;= 1">(CQ_datatype): element hl7v2:CQ.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.1
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2">
      <extends rule="d330259e0-false-d330265e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d330259e0-false-d330265e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.3">
      <extends rule="d330409e0-false-d330415e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d330409e0-false-d330415e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.6">
      <extends rule="d330528e0-false-d330534e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d330528e0-false-d330534e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.143
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.9
Item: (TQ2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Item) = ('1656') or not(@Item)">(TQ2_segment): de waarde van Item MOET '1656' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(TQ2_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@LongName) = ('Cyclic Group Maximum Number of Repeats') or not(@LongName)">(TQ2_segment): de waarde van LongName MOET 'Cyclic Group Maximum Number of Repeats' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.9
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.143
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.10
Item: (TQ2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.10">
      <extends rule="d330627e0-false-d330633e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Item) = ('1657') or not(@Item)">(TQ2_segment): de waarde van Item MOET '1657' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TQ2_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Table) = ('HL70506') or not(@Table)">(TQ2_segment): de waarde van Table MOET 'HL70506' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@LongName) = ('Special Service Request Relationship') or not(@LongName)">(TQ2_segment): de waarde van LongName MOET 'Special Service Request Relationship' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d330627e0-false-d330633e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST"
         id="d41e3188-false-d330651e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBR) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBR is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBR) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBR komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:TCD) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:TCD komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:CTD) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:CTD komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OML_O21.OBSERVATION) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OML_O21.OBSERVATION komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OML_O21.OBSERVATION) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OML_O21.OBSERVATION komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OML_O21.OBSERVATION) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OML_O21.OBSERVATION komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OML_O21.OBSERVATION) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OML_O21.OBSERVATION komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OML_O21.OBSERVATION) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OML_O21.OBSERVATION komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OML_O21.OBSERVATION) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OML_O21.OBSERVATION komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OML_O21.OBSERVATION) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OML_O21.OBSERVATION komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OML_O21.OBSERVATION) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OML_O21.OBSERVATION komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OML_O21.OBSERVATION) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OML_O21.OBSERVATION komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OML_O21.OBSERVATION) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OML_O21.OBSERVATION komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OML_O21.OBSERVATION) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OML_O21.OBSERVATION komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OML_O21.OBSERVATION) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:OML_O21.OBSERVATION is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.1) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.2) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.3) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.4) &gt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.4 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.4) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.5) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.6) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.7) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.8) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.9) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.11) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.12) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.13) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.14) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.15) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.18) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.19) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.20) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.21) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.22) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.23) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.23 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.24) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.24 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.25) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.25 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.26) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.26 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.29) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.29 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.30) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.30 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.32) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.32 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.36) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.36 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.37) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.37 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.40) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.40 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.41) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.41 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.42) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.42 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.44) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.44 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.48) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.48 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.49) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.49 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.1
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('237') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '237' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('SI') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Set ID - OBR') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Set ID - OBR' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.2
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.2">
      <extends rule="d331159e0-false-d331165e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('216') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '216' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('EI') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Placer Order Number') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Placer Order Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d331159e0-false-d331165e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.2/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.2/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.2/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.2/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.2/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.2/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.2/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.2/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.2/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.2/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.2/hl7v2:EI.4">
      <extends rule="d331335e0-false-d331341e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.2/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d331335e0-false-d331341e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.3
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.3">
      <extends rule="d331387e0-false-d331393e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('217') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '217' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('EI') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Filler Order Number') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Filler Order Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d331387e0-false-d331393e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.3/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.3/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.3/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.3/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.3/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.3/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.3/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.3/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.3/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.3/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.3/hl7v2:EI.4">
      <extends rule="d331563e0-false-d331569e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.3/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d331563e0-false-d331569e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.4
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.4">
      <extends rule="d331622e0-false-d331628e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('238') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '238' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Universal Service Identifier') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Universal Service Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d331622e0-false-d331628e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.1' and @codeSystemName='LN')">(CE_datatype): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.6.1' codeSystemName='LN''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.3">
      <extends rule="d331779e0-false-d331785e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d331779e0-false-d331785e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.6">
      <extends rule="d331898e0-false-d331904e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d331898e0-false-d331904e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.5
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.5">
      <extends rule="d331950e0-false-d331956e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('239') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '239' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Priority _ OBR') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Priority _ OBR' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d331950e0-false-d331956e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.6
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.6">
      <extends rule="d332001e0-false-d332007e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('240') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '240' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Requested Date/Time') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Requested Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.6
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d332001e0-false-d332007e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.6/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.6/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.6/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.6/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.6/hl7v2:TS.2">
      <extends rule="d332089e0-false-d332095e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.6/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d332089e0-false-d332095e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.7
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.7">
      <extends rule="d332141e0-false-d332147e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('241') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '241' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Observation Date/Time') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Observation Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.7
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d332141e0-false-d332147e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.7/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.7/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.7/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.7/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.7/hl7v2:TS.2">
      <extends rule="d332229e0-false-d332235e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.7/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d332229e0-false-d332235e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.8
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.8">
      <extends rule="d332281e0-false-d332287e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('242') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '242' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Observation End Date/Time') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Observation End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.8
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d332281e0-false-d332287e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.8/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.8/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.8/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.8/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.8/hl7v2:TS.2">
      <extends rule="d332369e0-false-d332375e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.8/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d332369e0-false-d332375e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.9
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.9">
      <extends rule="d332421e0-false-d332427e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('243') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '243' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('CQ') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CQ' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Collection Volume') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Collection Volume' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.9
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1" id="d332421e0-false-d332427e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.1) &lt;= 1">(CQ_datatype): element hl7v2:CQ.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.2) &lt;= 1">(CQ_datatype): element hl7v2:CQ.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.1
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2">
      <extends rule="d332503e0-false-d332509e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d332503e0-false-d332509e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.3">
      <extends rule="d332653e0-false-d332659e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d332653e0-false-d332659e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.6">
      <extends rule="d332772e0-false-d332778e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d332772e0-false-d332778e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10">
      <extends rule="d332825e0-false-d332831e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('244') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '244' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('XCN') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Collector Identifier') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Collector Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d332825e0-false-d332831e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2">
      <extends rule="d333054e0-false-d333060e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d333054e0-false-d333060e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.9">
      <extends rule="d333516e0-false-d333522e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d333516e0-false-d333522e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d333651e0-false-d333657e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d333651e0-false-d333657e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.10">
      <extends rule="d333703e0-false-d333709e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d333703e0-false-d333709e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.12">
      <extends rule="d333788e0-false-d333794e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d333788e0-false-d333794e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.13">
      <extends rule="d333839e0-false-d333845e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d333839e0-false-d333845e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.14">
      <extends rule="d333884e0-false-d333890e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d333884e0-false-d333890e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d334019e0-false-d334025e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d334019e0-false-d334025e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.15">
      <extends rule="d334071e0-false-d334077e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d334071e0-false-d334077e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16">
      <extends rule="d334122e0-false-d334128e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d334122e0-false-d334128e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d334272e0-false-d334278e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d334272e0-false-d334278e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d334391e0-false-d334397e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d334391e0-false-d334397e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17">
      <extends rule="d334437e0-false-d334443e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d334437e0-false-d334443e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d334485e0-false-d334491e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d334485e0-false-d334491e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d334573e0-false-d334579e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d334573e0-false-d334579e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d334619e0-false-d334625e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d334619e0-false-d334625e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d334707e0-false-d334713e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d334707e0-false-d334713e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.18">
      <extends rule="d334760e0-false-d334766e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d334760e0-false-d334766e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.19">
      <extends rule="d334805e0-false-d334811e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d334805e0-false-d334811e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d334893e0-false-d334899e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d334893e0-false-d334899e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.20">
      <extends rule="d334939e0-false-d334945e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d334939e0-false-d334945e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d335027e0-false-d335033e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d335027e0-false-d335033e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22">
      <extends rule="d335107e0-false-d335113e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d335107e0-false-d335113e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d335278e0-false-d335284e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d335278e0-false-d335284e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d335397e0-false-d335403e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d335397e0-false-d335403e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23">
      <extends rule="d335545e0-false-d335551e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d335545e0-false-d335551e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d335716e0-false-d335722e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d335716e0-false-d335722e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d335835e0-false-d335841e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d335835e0-false-d335841e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.11
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.11">
      <extends rule="d335996e0-false-d336002e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('245') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '245' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Table) = ('HL70065') or not(@Table)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70065' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Specimen Action Code') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Specimen Action Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d335996e0-false-d336002e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.12
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.12">
      <extends rule="d336047e0-false-d336053e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('246') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '246' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Danger Code') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Danger Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.12
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d336047e0-false-d336053e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.3">
      <extends rule="d336197e0-false-d336203e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d336197e0-false-d336203e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.6">
      <extends rule="d336316e0-false-d336322e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d336316e0-false-d336322e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.13
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('247') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '247' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Relevant Clinical Information') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Relevant Clinical Information' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.13
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.14
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.14">
      <extends rule="d336408e0-false-d336414e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('248') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '248' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Specimen Received Date/Time') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Specimen Received Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d336408e0-false-d336414e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.14/hl7v2:TS.2">
      <extends rule="d336496e0-false-d336502e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d336496e0-false-d336502e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15">
      <extends rule="d336548e0-false-d336554e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('249') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '249' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('SPS') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'SPS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Specimen Source') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Specimen Source' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.61
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15
Item: (SPS_datatype)
-->
   <rule fpi="RULC-1" id="d336548e0-false-d336554e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="count(hl7v2:SPS.1) &lt;= 1">(SPS_datatype): element hl7v2:SPS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="count(hl7v2:SPS.2) &lt;= 1">(SPS_datatype): element hl7v2:SPS.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="count(hl7v2:SPS.3) &lt;= 1">(SPS_datatype): element hl7v2:SPS.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="count(hl7v2:SPS.4) &lt;= 1">(SPS_datatype): element hl7v2:SPS.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="count(hl7v2:SPS.5) &lt;= 1">(SPS_datatype): element hl7v2:SPS.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="count(hl7v2:SPS.6) &lt;= 1">(SPS_datatype): element hl7v2:SPS.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="count(hl7v2:SPS.7) &lt;= 1">(SPS_datatype): element hl7v2:SPS.7 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.61
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1
Item: (SPS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1">
      <extends rule="d336631e0-false-d336637e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPS_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@LongName) = ('Specimen Source Name or Code') or not(@LongName)">(SPS_datatype): de waarde van LongName MOET 'Specimen Source Name or Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d336631e0-false-d336637e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.3">
      <extends rule="d336802e0-false-d336808e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d336802e0-false-d336808e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.6">
      <extends rule="d336921e0-false-d336927e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d336921e0-false-d336927e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.61
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2
Item: (SPS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2">
      <extends rule="d337075e0-false-d337081e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPS_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Table) = ('HL70371') or not(@Table)">(SPS_datatype): de waarde van Table MOET 'HL70371' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@LongName) = ('Additives') or not(@LongName)">(SPS_datatype): de waarde van LongName MOET 'Additives' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d337075e0-false-d337081e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.3">
      <extends rule="d337246e0-false-d337252e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d337246e0-false-d337252e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.6">
      <extends rule="d337365e0-false-d337371e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d337365e0-false-d337371e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.61
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.3
Item: (SPS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Type) = ('TX') or not(@Type)">(SPS_datatype): de waarde van Type MOET 'TX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@LongName) = ('Specimen Collection Method') or not(@LongName)">(SPS_datatype): de waarde van LongName MOET 'Specimen Collection Method' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.3
Item: (TX_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.3/hl7v2:escape
Item: (TX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.3/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.65-2013-02-10T000000.html"
              test="@V">(TX_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.3/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.3/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.3/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.3/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.3/hl7v2:escape/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.3/hl7v2:escape/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.61
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4
Item: (SPS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4">
      <extends rule="d337633e0-false-d337639e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPS_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Table) = ('HL70163') or not(@Table)">(SPS_datatype): de waarde van Table MOET 'HL70163' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@LongName) = ('Body Site') or not(@LongName)">(SPS_datatype): de waarde van LongName MOET 'Body Site' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d337633e0-false-d337639e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.3">
      <extends rule="d337804e0-false-d337810e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d337804e0-false-d337810e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.6">
      <extends rule="d337923e0-false-d337929e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d337923e0-false-d337929e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.61
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5
Item: (SPS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5">
      <extends rule="d338077e0-false-d338083e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPS_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Table) = ('HL70495') or not(@Table)">(SPS_datatype): de waarde van Table MOET 'HL70495' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@LongName) = ('Site Modifier') or not(@LongName)">(SPS_datatype): de waarde van LongName MOET 'Site Modifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d338077e0-false-d338083e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.3">
      <extends rule="d338248e0-false-d338254e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d338248e0-false-d338254e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.6">
      <extends rule="d338367e0-false-d338373e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d338367e0-false-d338373e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.61
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6
Item: (SPS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6">
      <extends rule="d338515e0-false-d338521e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPS_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@LongName) = ('Collection Method Modifier Code') or not(@LongName)">(SPS_datatype): de waarde van LongName MOET 'Collection Method Modifier Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d338515e0-false-d338521e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.3">
      <extends rule="d338686e0-false-d338692e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d338686e0-false-d338692e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.6">
      <extends rule="d338805e0-false-d338811e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d338805e0-false-d338811e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.61
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7
Item: (SPS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7">
      <extends rule="d338959e0-false-d338965e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPS_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Table) = ('HL70369') or not(@Table)">(SPS_datatype): de waarde van Table MOET 'HL70369' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@LongName) = ('Specimen Role') or not(@LongName)">(SPS_datatype): de waarde van LongName MOET 'Specimen Role' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d338959e0-false-d338965e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.3">
      <extends rule="d339130e0-false-d339136e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d339130e0-false-d339136e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.6">
      <extends rule="d339249e0-false-d339255e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d339249e0-false-d339255e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16">
      <extends rule="d339404e0-false-d339410e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('226') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '226' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('XCN') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Ordering Provider') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Ordering Provider' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d339404e0-false-d339410e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2">
      <extends rule="d339633e0-false-d339639e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d339633e0-false-d339639e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.9">
      <extends rule="d340095e0-false-d340101e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d340095e0-false-d340101e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d340230e0-false-d340236e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d340230e0-false-d340236e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.10">
      <extends rule="d340282e0-false-d340288e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d340282e0-false-d340288e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.12">
      <extends rule="d340367e0-false-d340373e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d340367e0-false-d340373e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.13">
      <extends rule="d340418e0-false-d340424e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d340418e0-false-d340424e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.14">
      <extends rule="d340463e0-false-d340469e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d340463e0-false-d340469e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d340598e0-false-d340604e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d340598e0-false-d340604e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.15">
      <extends rule="d340650e0-false-d340656e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d340650e0-false-d340656e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16">
      <extends rule="d340701e0-false-d340707e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d340701e0-false-d340707e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d340851e0-false-d340857e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d340851e0-false-d340857e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d340970e0-false-d340976e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d340970e0-false-d340976e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17">
      <extends rule="d341016e0-false-d341022e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d341016e0-false-d341022e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d341064e0-false-d341070e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d341064e0-false-d341070e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d341152e0-false-d341158e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d341152e0-false-d341158e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d341198e0-false-d341204e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d341198e0-false-d341204e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d341286e0-false-d341292e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d341286e0-false-d341292e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.18">
      <extends rule="d341339e0-false-d341345e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d341339e0-false-d341345e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.19">
      <extends rule="d341384e0-false-d341390e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d341384e0-false-d341390e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d341472e0-false-d341478e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d341472e0-false-d341478e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.20">
      <extends rule="d341518e0-false-d341524e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d341518e0-false-d341524e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d341606e0-false-d341612e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d341606e0-false-d341612e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22">
      <extends rule="d341686e0-false-d341692e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d341686e0-false-d341692e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d341857e0-false-d341863e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d341857e0-false-d341863e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d341976e0-false-d341982e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d341976e0-false-d341982e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23">
      <extends rule="d342124e0-false-d342130e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d342124e0-false-d342130e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d342295e0-false-d342301e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d342295e0-false-d342301e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d342414e0-false-d342420e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d342414e0-false-d342420e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17">
      <extends rule="d342569e0-false-d342575e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('250') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '250' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('XTN') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'XTN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Order Callback Phone Number') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Order Callback Phone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" id="d342569e0-false-d342575e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.1) &lt;= 1">(XTN_datatype): element hl7v2:XTN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.2) &lt;= 1">(XTN_datatype): element hl7v2:XTN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.3) &lt;= 1">(XTN_datatype): element hl7v2:XTN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.4) &lt;= 1">(XTN_datatype): element hl7v2:XTN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.5) &lt;= 1">(XTN_datatype): element hl7v2:XTN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.6) &lt;= 1">(XTN_datatype): element hl7v2:XTN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.7) &lt;= 1">(XTN_datatype): element hl7v2:XTN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.8) &lt;= 1">(XTN_datatype): element hl7v2:XTN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.9) &lt;= 1">(XTN_datatype): element hl7v2:XTN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.10) &lt;= 1">(XTN_datatype): element hl7v2:XTN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.11) &lt;= 1">(XTN_datatype): element hl7v2:XTN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.12) &lt;= 1">(XTN_datatype): element hl7v2:XTN.12 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.1
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telephone Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telephone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.2
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.2">
      <extends rule="d342727e0-false-d342733e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70201') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70201' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Use Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Use Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d342727e0-false-d342733e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.3
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.3">
      <extends rule="d342778e0-false-d342784e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70202') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70202' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Equipment Type') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Equipment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d342778e0-false-d342784e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.4
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Email Address') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Email Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.5
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Country Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Country Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.6
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Area/City Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Area/City Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.6
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.7
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Local Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Local Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.7
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.8
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.8
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.9
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Any Text') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Any Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.10
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension Prefix') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.11
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Speed Dial Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Speed Dial Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.12
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Unformatted Telephone number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Unformatted Telephone number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.12
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.18
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.18">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('251') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '251' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Placer Field 1') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Placer Field 1' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.18
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.19
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.19">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('252') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '252' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Placer Field 2') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Placer Field 2' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.19
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.20
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.20">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('253') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '253' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Filler Field 1') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Filler Field 1' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.20
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.21
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('254') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '254' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Filler Field 2') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Filler Field 2' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.22
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.22">
      <extends rule="d343296e0-false-d343302e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('255') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '255' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Results Rpt/Status Chng - Date/Time') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Results Rpt/Status Chng - Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.22
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d343296e0-false-d343302e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.22/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.22/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.22/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.22/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.22/hl7v2:TS.2">
      <extends rule="d343384e0-false-d343390e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.22/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d343384e0-false-d343390e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23">
      <extends rule="d343436e0-false-d343442e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('256') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '256' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('MOC') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'MOC' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Charge to Practice') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Charge to Practice' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.34
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23
Item: (MOC_datatype)
-->
   <rule fpi="RULC-1" id="d343436e0-false-d343442e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.34-2013-02-10T000000.html"
              test="count(hl7v2:MOC.1) &lt;= 1">(MOC_datatype): element hl7v2:MOC.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.34-2013-02-10T000000.html"
              test="count(hl7v2:MOC.2) &lt;= 1">(MOC_datatype): element hl7v2:MOC.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.34
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.1
Item: (MOC_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.1">
      <extends rule="d343484e0-false-d343490e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.34-2013-02-10T000000.html"
              test="string(@Type) = ('MO') or not(@Type)">(MOC_datatype): de waarde van Type MOET 'MO' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.34-2013-02-10T000000.html"
              test="string(@LongName) = ('Monetary Amount') or not(@LongName)">(MOC_datatype): de waarde van LongName MOET 'Monetary Amount' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.1
Item: (MO_datatype)
-->
   <rule fpi="RULC-1" id="d343484e0-false-d343490e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="count(hl7v2:MO.1) &lt;= 1">(MO_datatype): element hl7v2:MO.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="count(hl7v2:MO.2) &lt;= 1">(MO_datatype): element hl7v2:MO.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.1/hl7v2:MO.1
Item: (MO_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.1/hl7v2:MO.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(MO_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(MO_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.1/hl7v2:MO.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.1/hl7v2:MO.2
Item: (MO_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.1/hl7v2:MO.2">
      <extends rule="d343566e0-false-d343572e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(MO_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Denomination') or not(@LongName)">(MO_datatype): de waarde van LongName MOET 'Denomination' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.1/hl7v2:MO.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d343566e0-false-d343572e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.34
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2
Item: (MOC_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2">
      <extends rule="d343612e0-false-d343618e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.34-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(MOC_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.34-2013-02-10T000000.html"
              test="string(@LongName) = ('Charge Code') or not(@LongName)">(MOC_datatype): de waarde van LongName MOET 'Charge Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d343612e0-false-d343618e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.3">
      <extends rule="d343762e0-false-d343768e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d343762e0-false-d343768e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.6">
      <extends rule="d343881e0-false-d343887e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d343881e0-false-d343887e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.24
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.24">
      <extends rule="d343940e0-false-d343946e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('257') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '257' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Table) = ('HL70074') or not(@Table)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70074' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Diagnostic Serv Sect ID') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Diagnostic Serv Sect ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.24
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d343940e0-false-d343946e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.25
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.25">
      <extends rule="d343997e0-false-d344003e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('258') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '258' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Table) = ('HL70123') or not(@Table)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70123' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Result Status') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Result Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.25
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d343997e0-false-d344003e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26">
      <extends rule="d344048e0-false-d344054e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('259') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '259' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('PRL') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'PRL' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Parent Result') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Parent Result' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26
Item: (PRL_datatype)
-->
   <rule fpi="RULC-1" id="d344048e0-false-d344054e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.47-2013-02-10T000000.html"
              test="count(hl7v2:PRL.1) &lt;= 1">(PRL_datatype): element hl7v2:PRL.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.47-2013-02-10T000000.html"
              test="count(hl7v2:PRL.2) &lt;= 1">(PRL_datatype): element hl7v2:PRL.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.47-2013-02-10T000000.html"
              test="count(hl7v2:PRL.3) &lt;= 1">(PRL_datatype): element hl7v2:PRL.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1
Item: (PRL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1">
      <extends rule="d344103e0-false-d344109e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.47-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(PRL_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.47-2013-02-10T000000.html"
              test="string(@LongName) = ('Parent Observation Identifier') or not(@LongName)">(PRL_datatype): de waarde van LongName MOET 'Parent Observation Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d344103e0-false-d344109e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.3">
      <extends rule="d344253e0-false-d344259e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d344253e0-false-d344259e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.6">
      <extends rule="d344372e0-false-d344378e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d344372e0-false-d344378e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.2
Item: (PRL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.47-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(PRL_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.47-2013-02-10T000000.html"
              test="string(@LongName) = ('Parent Observation Sub-identifier') or not(@LongName)">(PRL_datatype): de waarde van LongName MOET 'Parent Observation Sub-identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.3
Item: (PRL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.47-2013-02-10T000000.html"
              test="string(@Type) = ('TX') or not(@Type)">(PRL_datatype): de waarde van Type MOET 'TX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.47-2013-02-10T000000.html"
              test="string(@LongName) = ('Parent Observation Value Descriptor') or not(@LongName)">(PRL_datatype): de waarde van LongName MOET 'Parent Observation Value Descriptor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.3
Item: (TX_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.3/hl7v2:escape
Item: (TX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.3/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.65-2013-02-10T000000.html"
              test="@V">(TX_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.3/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.3/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.3/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.3/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.3/hl7v2:escape/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.3/hl7v2:escape/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27">
      <extends rule="d344573e0-false-d344579e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('221') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '221' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('TQ') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'TQ' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Quantity/Timing') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Quantity/Timing' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1" id="d344573e0-false-d344579e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.1) &lt;= 1">(TQ_datatype): element hl7v2:TQ.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.2) &lt;= 1">(TQ_datatype): element hl7v2:TQ.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.3) &lt;= 1">(TQ_datatype): element hl7v2:TQ.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.4) &lt;= 1">(TQ_datatype): element hl7v2:TQ.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.5) &lt;= 1">(TQ_datatype): element hl7v2:TQ.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.6) &lt;= 1">(TQ_datatype): element hl7v2:TQ.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.7) &lt;= 1">(TQ_datatype): element hl7v2:TQ.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.8) &lt;= 1">(TQ_datatype): element hl7v2:TQ.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.9) &lt;= 1">(TQ_datatype): element hl7v2:TQ.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.10) &lt;= 1">(TQ_datatype): element hl7v2:TQ.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.11) &lt;= 1">(TQ_datatype): element hl7v2:TQ.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.12) &lt;= 1">(TQ_datatype): element hl7v2:TQ.12 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1">
      <extends rule="d344691e0-false-d344697e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('CQ') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'CQ' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1" id="d344691e0-false-d344697e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.1) &lt;= 1">(CQ_datatype): element hl7v2:CQ.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.2) &lt;= 1">(CQ_datatype): element hl7v2:CQ.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.1
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2">
      <extends rule="d344773e0-false-d344779e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d344773e0-false-d344779e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.3">
      <extends rule="d344923e0-false-d344929e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d344923e0-false-d344929e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.6">
      <extends rule="d345042e0-false-d345048e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d345042e0-false-d345048e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.2
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.2">
      <extends rule="d345089e0-false-d345095e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('RI') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'RI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Interval') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Interval' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.54
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.2
Item: (RI_datatype)
-->
   <rule fpi="RULC-1" id="d345089e0-false-d345095e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.54-2013-02-10T000000.html"
              test="count(hl7v2:RI.1) &lt;= 1">(RI_datatype): element hl7v2:RI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.54-2013-02-10T000000.html"
              test="count(hl7v2:RI.2) &lt;= 1">(RI_datatype): element hl7v2:RI.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.54
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.2/hl7v2:RI.1
Item: (RI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.2/hl7v2:RI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.54-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(RI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.54-2013-02-10T000000.html"
              test="string(@Table) = ('HL70335') or not(@Table)">(RI_datatype): de waarde van Table MOET 'HL70335' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.54-2013-02-10T000000.html"
              test="string(@LongName) = ('Repeat Pattern') or not(@LongName)">(RI_datatype): de waarde van LongName MOET 'Repeat Pattern' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.2/hl7v2:RI.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.54
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.2/hl7v2:RI.2
Item: (RI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.2/hl7v2:RI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.54-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(RI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.54-2013-02-10T000000.html"
              test="string(@LongName) = ('Explicit Time Interval') or not(@LongName)">(RI_datatype): de waarde van LongName MOET 'Explicit Time Interval' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.2/hl7v2:RI.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.3
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Duration') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Duration' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.4
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.4">
      <extends rule="d345246e0-false-d345252e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Start Date/Time') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.4
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d345246e0-false-d345252e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.4/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.4/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.4/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.4/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.4/hl7v2:TS.2">
      <extends rule="d345334e0-false-d345340e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.4/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d345334e0-false-d345340e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.5
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.5">
      <extends rule="d345380e0-false-d345386e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('End Date/Time') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.5
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d345380e0-false-d345386e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.5/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.5/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.5/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.5/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.5/hl7v2:TS.2">
      <extends rule="d345468e0-false-d345474e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.5/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d345468e0-false-d345474e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.6
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Priority') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Priority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.7
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Condition') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Condition' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.8
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('TX') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'TX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.8
Item: (TX_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.8/hl7v2:escape
Item: (TX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.8/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.65-2013-02-10T000000.html"
              test="@V">(TX_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.8/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.8/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.8/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.8/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.8/hl7v2:escape/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.8/hl7v2:escape/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.9
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.9">
      <extends rule="d345702e0-false-d345708e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Table) = ('HL70472') or not(@Table)">(TQ_datatype): de waarde van Table MOET 'HL70472' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Conjunction') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Conjunction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.9
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d345702e0-false-d345708e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10">
      <extends rule="d345747e0-false-d345753e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('OSD') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'OSD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Order Sequencing') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Order Sequencing' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1" id="d345747e0-false-d345753e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.1) &lt;= 1">(OSD_datatype): element hl7v2:OSD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.2) &lt;= 1">(OSD_datatype): element hl7v2:OSD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.3) &lt;= 1">(OSD_datatype): element hl7v2:OSD.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.4) &lt;= 1">(OSD_datatype): element hl7v2:OSD.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.5) &lt;= 1">(OSD_datatype): element hl7v2:OSD.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.6) &lt;= 1">(OSD_datatype): element hl7v2:OSD.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.7) &lt;= 1">(OSD_datatype): element hl7v2:OSD.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.8) &lt;= 1">(OSD_datatype): element hl7v2:OSD.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.9) &lt;= 1">(OSD_datatype): element hl7v2:OSD.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.10) &lt;= 1">(OSD_datatype): element hl7v2:OSD.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.11) &lt;= 1">(OSD_datatype): element hl7v2:OSD.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.1
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.1">
      <extends rule="d345864e0-false-d345870e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Table) = ('HL70524') or not(@Table)">(OSD_datatype): de waarde van Table MOET 'HL70524' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Sequence/Results Flag') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Sequence/Results Flag' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.1
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d345864e0-false-d345870e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.2
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Placer Order Number: Entity Identifier') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Placer Order Number: Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.3
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(OSD_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Placer Order Number: Namespace ID') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Placer Order Number: Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.3
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.4
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Filler Order Number: Entity Identifier') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Filler Order Number: Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.5
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(OSD_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Filler Order Number: Namespace ID') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Filler Order Number: Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.5
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.6
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Sequence Condition Value') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Sequence Condition Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.7
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Maximum Number of Repeats') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Maximum Number of Repeats' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.7
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.8
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Placer Order Number: Universal ID') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Placer Order Number: Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.9
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.9">
      <extends rule="d346165e0-false-d346171e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(OSD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Placer Order Number: Universal ID Type') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Placer Order Number: Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.9
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d346165e0-false-d346171e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.10
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Filler Order Number: Universal ID') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Filler Order Number: Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.11
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.11">
      <extends rule="d346250e0-false-d346256e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(OSD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Filler Order Number: Universal ID Type') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Filler Order Number: Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d346250e0-false-d346256e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11">
      <extends rule="d346296e0-false-d346302e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Occurrence Duration') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Occurrence Duration' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d346296e0-false-d346302e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.3">
      <extends rule="d346446e0-false-d346452e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d346446e0-false-d346452e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.6">
      <extends rule="d346565e0-false-d346571e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d346565e0-false-d346571e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.12
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Total Occurrences') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Total Occurrences' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.12
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28">
      <extends rule="d346652e0-false-d346658e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('260') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '260' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('XCN') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Result Copies To') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Result Copies To' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d346652e0-false-d346658e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2">
      <extends rule="d346881e0-false-d346887e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d346881e0-false-d346887e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.9">
      <extends rule="d347343e0-false-d347349e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d347343e0-false-d347349e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d347478e0-false-d347484e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d347478e0-false-d347484e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.10">
      <extends rule="d347530e0-false-d347536e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d347530e0-false-d347536e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.12">
      <extends rule="d347615e0-false-d347621e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d347615e0-false-d347621e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.13">
      <extends rule="d347666e0-false-d347672e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d347666e0-false-d347672e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.14">
      <extends rule="d347711e0-false-d347717e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d347711e0-false-d347717e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d347846e0-false-d347852e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d347846e0-false-d347852e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.15">
      <extends rule="d347898e0-false-d347904e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d347898e0-false-d347904e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16">
      <extends rule="d347949e0-false-d347955e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d347949e0-false-d347955e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d348099e0-false-d348105e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d348099e0-false-d348105e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d348218e0-false-d348224e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d348218e0-false-d348224e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17">
      <extends rule="d348264e0-false-d348270e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d348264e0-false-d348270e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d348312e0-false-d348318e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d348312e0-false-d348318e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d348400e0-false-d348406e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d348400e0-false-d348406e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d348446e0-false-d348452e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d348446e0-false-d348452e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d348534e0-false-d348540e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d348534e0-false-d348540e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.18">
      <extends rule="d348587e0-false-d348593e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d348587e0-false-d348593e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.19">
      <extends rule="d348632e0-false-d348638e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d348632e0-false-d348638e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d348720e0-false-d348726e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d348720e0-false-d348726e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.20">
      <extends rule="d348766e0-false-d348772e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d348766e0-false-d348772e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d348854e0-false-d348860e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d348854e0-false-d348860e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22">
      <extends rule="d348934e0-false-d348940e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d348934e0-false-d348940e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d349105e0-false-d349111e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d349105e0-false-d349111e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d349224e0-false-d349230e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d349224e0-false-d349230e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23">
      <extends rule="d349372e0-false-d349378e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d349372e0-false-d349378e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d349543e0-false-d349549e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d349543e0-false-d349549e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d349662e0-false-d349668e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d349662e0-false-d349668e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29">
      <extends rule="d349817e0-false-d349823e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('261') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '261' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('EIP') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'EIP' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Parent') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Parent' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29
Item: (EIP_datatype)
-->
   <rule fpi="RULC-1" id="d349817e0-false-d349823e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="count(hl7v2:EIP.1) &lt;= 1">(EIP_datatype): element hl7v2:EIP.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="count(hl7v2:EIP.2) &lt;= 1">(EIP_datatype): element hl7v2:EIP.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.1
Item: (EIP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.1">
      <extends rule="d349865e0-false-d349871e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(EIP_datatype): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="string(@LongName) = ('Placer Assigned Identifier') or not(@LongName)">(EIP_datatype): de waarde van LongName MOET 'Placer Assigned Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d349865e0-false-d349871e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.1/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.1/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.1/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.1/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.1/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.1/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.1/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.1/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.1/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.1/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.1/hl7v2:EI.4">
      <extends rule="d350041e0-false-d350047e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.1/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d350041e0-false-d350047e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.2
Item: (EIP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.2">
      <extends rule="d350087e0-false-d350093e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(EIP_datatype): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="string(@LongName) = ('Filler Assigned Identifier') or not(@LongName)">(EIP_datatype): de waarde van LongName MOET 'Filler Assigned Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d350087e0-false-d350093e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.2/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.2/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.2/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.2/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.2/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.2/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.2/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.2/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.2/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.2/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.2/hl7v2:EI.4">
      <extends rule="d350263e0-false-d350269e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.2/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d350263e0-false-d350269e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.30
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.30">
      <extends rule="d350322e0-false-d350328e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('262') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '262' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Table) = ('HL70124') or not(@Table)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70124' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Transportation Mode') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Transportation Mode' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.30
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d350322e0-false-d350328e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.31
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.31">
      <extends rule="d350373e0-false-d350379e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('263') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '263' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Reason for Study') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Reason for Study' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.31
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d350373e0-false-d350379e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.3">
      <extends rule="d350523e0-false-d350529e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d350523e0-false-d350529e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.6">
      <extends rule="d350642e0-false-d350648e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d350642e0-false-d350648e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32">
      <extends rule="d350694e0-false-d350700e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('264') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '264' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('NDL') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'NDL' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Principal Result Interpreter') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Principal Result Interpreter' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1" id="d350694e0-false-d350700e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.1) &lt;= 1">(NDL_datatype): element hl7v2:NDL.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.2) &lt;= 1">(NDL_datatype): element hl7v2:NDL.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.3) &lt;= 1">(NDL_datatype): element hl7v2:NDL.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.4) &lt;= 1">(NDL_datatype): element hl7v2:NDL.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.5) &lt;= 1">(NDL_datatype): element hl7v2:NDL.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.6) &lt;= 1">(NDL_datatype): element hl7v2:NDL.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.7) &lt;= 1">(NDL_datatype): element hl7v2:NDL.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.8) &lt;= 1">(NDL_datatype): element hl7v2:NDL.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.9) &lt;= 1">(NDL_datatype): element hl7v2:NDL.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.10) &lt;= 1">(NDL_datatype): element hl7v2:NDL.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.11) &lt;= 1">(NDL_datatype): element hl7v2:NDL.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1">
      <extends rule="d350805e0-false-d350811e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('CNN') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'CNN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Name') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1" id="d350805e0-false-d350811e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.1) &lt;= 1">(CNN_datatype): element hl7v2:CNN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.2) &lt;= 1">(CNN_datatype): element hl7v2:CNN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.3) &lt;= 1">(CNN_datatype): element hl7v2:CNN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.4) &lt;= 1">(CNN_datatype): element hl7v2:CNN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.5) &lt;= 1">(CNN_datatype): element hl7v2:CNN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.6) &lt;= 1">(CNN_datatype): element hl7v2:CNN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.7) &lt;= 1">(CNN_datatype): element hl7v2:CNN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.8) &lt;= 1">(CNN_datatype): element hl7v2:CNN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.9) &lt;= 1">(CNN_datatype): element hl7v2:CNN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.10) &lt;= 1">(CNN_datatype): element hl7v2:CNN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.11) &lt;= 1">(CNN_datatype): element hl7v2:CNN.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.1
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.2
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.3
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.4
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.5
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.6
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.7
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Degree (e.g., MD' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.8
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.9
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority - Namespace ID') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Assigning Authority - Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.10
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority - Universal ID') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Assigning Authority - Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.11
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.11">
      <extends rule="d351280e0-false-d351286e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority - Universal ID Type') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Assigning Authority - Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d351280e0-false-d351286e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.2
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.2">
      <extends rule="d351326e0-false-d351332e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Start Date/time') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Start Date/time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d351326e0-false-d351332e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.2/hl7v2:TS.2">
      <extends rule="d351414e0-false-d351420e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d351414e0-false-d351420e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.3
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.3">
      <extends rule="d351460e0-false-d351466e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('End Date/time') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'End Date/time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.3
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d351460e0-false-d351466e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.3/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.3/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.3/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.3/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.3/hl7v2:TS.2">
      <extends rule="d351548e0-false-d351554e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.3/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d351548e0-false-d351554e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.4
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70302') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70302' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Point of Care') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Point of Care' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.4
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.5
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70303') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70303' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Room') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Room' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.5
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.6
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70304') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70304' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Bed') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Bed' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.7
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.7">
      <extends rule="d351714e0-false-d351720e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Facility') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.7
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d351714e0-false-d351720e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.7/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.7/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.7/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.7/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.7/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.7/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.7/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.7/hl7v2:HD.3">
      <extends rule="d351849e0-false-d351855e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.7/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d351849e0-false-d351855e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.8
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70306') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70306' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Status') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Location Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.9
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70305') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70305' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Patient Location Type') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Patient Location Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.10
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70307') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70307' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Building') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Building' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.10
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.11
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70308') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70308' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Floor') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Floor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.11
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33">
      <extends rule="d352062e0-false-d352068e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('265') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '265' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('NDL') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'NDL' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Assistant Result Interpreter') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Assistant Result Interpreter' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1" id="d352062e0-false-d352068e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.1) &lt;= 1">(NDL_datatype): element hl7v2:NDL.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.2) &lt;= 1">(NDL_datatype): element hl7v2:NDL.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.3) &lt;= 1">(NDL_datatype): element hl7v2:NDL.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.4) &lt;= 1">(NDL_datatype): element hl7v2:NDL.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.5) &lt;= 1">(NDL_datatype): element hl7v2:NDL.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.6) &lt;= 1">(NDL_datatype): element hl7v2:NDL.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.7) &lt;= 1">(NDL_datatype): element hl7v2:NDL.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.8) &lt;= 1">(NDL_datatype): element hl7v2:NDL.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.9) &lt;= 1">(NDL_datatype): element hl7v2:NDL.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.10) &lt;= 1">(NDL_datatype): element hl7v2:NDL.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.11) &lt;= 1">(NDL_datatype): element hl7v2:NDL.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1">
      <extends rule="d352173e0-false-d352179e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('CNN') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'CNN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Name') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1" id="d352173e0-false-d352179e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.1) &lt;= 1">(CNN_datatype): element hl7v2:CNN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.2) &lt;= 1">(CNN_datatype): element hl7v2:CNN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.3) &lt;= 1">(CNN_datatype): element hl7v2:CNN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.4) &lt;= 1">(CNN_datatype): element hl7v2:CNN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.5) &lt;= 1">(CNN_datatype): element hl7v2:CNN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.6) &lt;= 1">(CNN_datatype): element hl7v2:CNN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.7) &lt;= 1">(CNN_datatype): element hl7v2:CNN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.8) &lt;= 1">(CNN_datatype): element hl7v2:CNN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.9) &lt;= 1">(CNN_datatype): element hl7v2:CNN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.10) &lt;= 1">(CNN_datatype): element hl7v2:CNN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.11) &lt;= 1">(CNN_datatype): element hl7v2:CNN.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.1
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.2
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.3
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.4
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.5
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.6
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.7
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Degree (e.g., MD' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.8
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.9
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority - Namespace ID') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Assigning Authority - Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.10
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority - Universal ID') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Assigning Authority - Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.11
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.11">
      <extends rule="d352648e0-false-d352654e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority - Universal ID Type') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Assigning Authority - Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d352648e0-false-d352654e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.2
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.2">
      <extends rule="d352694e0-false-d352700e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Start Date/time') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Start Date/time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d352694e0-false-d352700e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.2/hl7v2:TS.2">
      <extends rule="d352782e0-false-d352788e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d352782e0-false-d352788e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.3
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.3">
      <extends rule="d352828e0-false-d352834e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('End Date/time') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'End Date/time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.3
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d352828e0-false-d352834e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.3/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.3/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.3/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.3/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.3/hl7v2:TS.2">
      <extends rule="d352916e0-false-d352922e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.3/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d352916e0-false-d352922e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.4
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70302') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70302' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Point of Care') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Point of Care' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.4
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.5
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70303') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70303' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Room') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Room' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.5
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.6
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70304') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70304' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Bed') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Bed' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.7
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.7">
      <extends rule="d353082e0-false-d353088e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Facility') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.7
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d353082e0-false-d353088e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.7/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.7/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.7/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.7/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.7/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.7/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.7/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.7/hl7v2:HD.3">
      <extends rule="d353217e0-false-d353223e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.7/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d353217e0-false-d353223e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.8
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70306') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70306' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Status') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Location Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.9
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70305') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70305' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Patient Location Type') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Patient Location Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.10
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70307') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70307' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Building') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Building' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.10
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.11
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70308') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70308' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Floor') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Floor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.11
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34">
      <extends rule="d353430e0-false-d353436e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('266') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '266' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('NDL') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'NDL' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Technician') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Technician' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1" id="d353430e0-false-d353436e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.1) &lt;= 1">(NDL_datatype): element hl7v2:NDL.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.2) &lt;= 1">(NDL_datatype): element hl7v2:NDL.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.3) &lt;= 1">(NDL_datatype): element hl7v2:NDL.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.4) &lt;= 1">(NDL_datatype): element hl7v2:NDL.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.5) &lt;= 1">(NDL_datatype): element hl7v2:NDL.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.6) &lt;= 1">(NDL_datatype): element hl7v2:NDL.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.7) &lt;= 1">(NDL_datatype): element hl7v2:NDL.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.8) &lt;= 1">(NDL_datatype): element hl7v2:NDL.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.9) &lt;= 1">(NDL_datatype): element hl7v2:NDL.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.10) &lt;= 1">(NDL_datatype): element hl7v2:NDL.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.11) &lt;= 1">(NDL_datatype): element hl7v2:NDL.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1">
      <extends rule="d353541e0-false-d353547e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('CNN') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'CNN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Name') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1" id="d353541e0-false-d353547e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.1) &lt;= 1">(CNN_datatype): element hl7v2:CNN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.2) &lt;= 1">(CNN_datatype): element hl7v2:CNN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.3) &lt;= 1">(CNN_datatype): element hl7v2:CNN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.4) &lt;= 1">(CNN_datatype): element hl7v2:CNN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.5) &lt;= 1">(CNN_datatype): element hl7v2:CNN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.6) &lt;= 1">(CNN_datatype): element hl7v2:CNN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.7) &lt;= 1">(CNN_datatype): element hl7v2:CNN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.8) &lt;= 1">(CNN_datatype): element hl7v2:CNN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.9) &lt;= 1">(CNN_datatype): element hl7v2:CNN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.10) &lt;= 1">(CNN_datatype): element hl7v2:CNN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.11) &lt;= 1">(CNN_datatype): element hl7v2:CNN.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.1
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.2
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.3
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.4
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.5
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.6
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.7
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Degree (e.g., MD' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.8
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.9
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority - Namespace ID') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Assigning Authority - Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.10
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority - Universal ID') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Assigning Authority - Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.11
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.11">
      <extends rule="d354016e0-false-d354022e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority - Universal ID Type') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Assigning Authority - Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d354016e0-false-d354022e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.2
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.2">
      <extends rule="d354062e0-false-d354068e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Start Date/time') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Start Date/time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d354062e0-false-d354068e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.2/hl7v2:TS.2">
      <extends rule="d354150e0-false-d354156e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d354150e0-false-d354156e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.3
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.3">
      <extends rule="d354196e0-false-d354202e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('End Date/time') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'End Date/time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.3
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d354196e0-false-d354202e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.3/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.3/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.3/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.3/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.3/hl7v2:TS.2">
      <extends rule="d354284e0-false-d354290e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.3/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d354284e0-false-d354290e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.4
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70302') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70302' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Point of Care') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Point of Care' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.4
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.5
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70303') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70303' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Room') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Room' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.5
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.6
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70304') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70304' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Bed') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Bed' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.7
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.7">
      <extends rule="d354450e0-false-d354456e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Facility') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.7
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d354450e0-false-d354456e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.7/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.7/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.7/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.7/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.7/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.7/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.7/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.7/hl7v2:HD.3">
      <extends rule="d354585e0-false-d354591e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.7/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d354585e0-false-d354591e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.8
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70306') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70306' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Status') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Location Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.9
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70305') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70305' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Patient Location Type') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Patient Location Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.10
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70307') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70307' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Building') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Building' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.10
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.11
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70308') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70308' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Floor') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Floor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.11
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35">
      <extends rule="d354798e0-false-d354804e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('267') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '267' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('NDL') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'NDL' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Transcriptionist') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Transcriptionist' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1" id="d354798e0-false-d354804e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.1) &lt;= 1">(NDL_datatype): element hl7v2:NDL.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.2) &lt;= 1">(NDL_datatype): element hl7v2:NDL.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.3) &lt;= 1">(NDL_datatype): element hl7v2:NDL.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.4) &lt;= 1">(NDL_datatype): element hl7v2:NDL.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.5) &lt;= 1">(NDL_datatype): element hl7v2:NDL.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.6) &lt;= 1">(NDL_datatype): element hl7v2:NDL.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.7) &lt;= 1">(NDL_datatype): element hl7v2:NDL.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.8) &lt;= 1">(NDL_datatype): element hl7v2:NDL.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.9) &lt;= 1">(NDL_datatype): element hl7v2:NDL.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.10) &lt;= 1">(NDL_datatype): element hl7v2:NDL.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.11) &lt;= 1">(NDL_datatype): element hl7v2:NDL.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1">
      <extends rule="d354909e0-false-d354915e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('CNN') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'CNN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Name') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1" id="d354909e0-false-d354915e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.1) &lt;= 1">(CNN_datatype): element hl7v2:CNN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.2) &lt;= 1">(CNN_datatype): element hl7v2:CNN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.3) &lt;= 1">(CNN_datatype): element hl7v2:CNN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.4) &lt;= 1">(CNN_datatype): element hl7v2:CNN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.5) &lt;= 1">(CNN_datatype): element hl7v2:CNN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.6) &lt;= 1">(CNN_datatype): element hl7v2:CNN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.7) &lt;= 1">(CNN_datatype): element hl7v2:CNN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.8) &lt;= 1">(CNN_datatype): element hl7v2:CNN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.9) &lt;= 1">(CNN_datatype): element hl7v2:CNN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.10) &lt;= 1">(CNN_datatype): element hl7v2:CNN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.11) &lt;= 1">(CNN_datatype): element hl7v2:CNN.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.1
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.2
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.3
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.4
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.5
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.6
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.7
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Degree (e.g., MD' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.8
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.9
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority - Namespace ID') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Assigning Authority - Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.10
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority - Universal ID') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Assigning Authority - Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.11
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.11">
      <extends rule="d355384e0-false-d355390e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority - Universal ID Type') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Assigning Authority - Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d355384e0-false-d355390e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.2
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.2">
      <extends rule="d355430e0-false-d355436e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Start Date/time') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Start Date/time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d355430e0-false-d355436e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.2/hl7v2:TS.2">
      <extends rule="d355518e0-false-d355524e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d355518e0-false-d355524e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.3
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.3">
      <extends rule="d355564e0-false-d355570e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('End Date/time') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'End Date/time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.3
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d355564e0-false-d355570e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.3/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.3/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.3/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.3/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.3/hl7v2:TS.2">
      <extends rule="d355652e0-false-d355658e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.3/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d355652e0-false-d355658e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.4
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70302') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70302' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Point of Care') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Point of Care' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.4
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.5
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70303') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70303' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Room') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Room' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.5
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.6
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70304') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70304' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Bed') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Bed' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.7
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.7">
      <extends rule="d355818e0-false-d355824e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Facility') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.7
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d355818e0-false-d355824e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.7/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.7/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.7/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.7/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.7/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.7/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.7/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.7/hl7v2:HD.3">
      <extends rule="d355953e0-false-d355959e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.7/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d355953e0-false-d355959e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.8
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70306') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70306' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Status') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Location Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.9
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70305') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70305' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Patient Location Type') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Patient Location Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.10
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70307') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70307' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Building') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Building' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.10
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.11
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70308') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70308' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Floor') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Floor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.11
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.36
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.36">
      <extends rule="d356166e0-false-d356172e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('268') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '268' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Scheduled Date/Time') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Scheduled Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.36
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d356166e0-false-d356172e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.36/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.36/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.36/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.36/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.36/hl7v2:TS.2">
      <extends rule="d356254e0-false-d356260e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.36/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d356254e0-false-d356260e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.37
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.37">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('1028') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1028' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('NM') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Number of Sample Containers *') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Number of Sample Containers *' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.37
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.38
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.38">
      <extends rule="d356346e0-false-d356352e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('1029') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1029' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Transport Logistics of Collected Sample') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Transport Logistics of Collected Sample' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.38
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d356346e0-false-d356352e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.3">
      <extends rule="d356496e0-false-d356502e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d356496e0-false-d356502e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.6">
      <extends rule="d356615e0-false-d356621e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d356615e0-false-d356621e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.39
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.39">
      <extends rule="d356667e0-false-d356673e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('1030') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1030' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Collector''s Comment *') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Collector''s Comment *' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.39
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d356667e0-false-d356673e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.3">
      <extends rule="d356817e0-false-d356823e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d356817e0-false-d356823e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.6">
      <extends rule="d356936e0-false-d356942e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d356936e0-false-d356942e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.40
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.40">
      <extends rule="d356988e0-false-d356994e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('1031') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1031' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Transport Arrangement Responsibility') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Transport Arrangement Responsibility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.40
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d356988e0-false-d356994e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.3">
      <extends rule="d357138e0-false-d357144e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d357138e0-false-d357144e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.6">
      <extends rule="d357257e0-false-d357263e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d357257e0-false-d357263e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.41
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.41">
      <extends rule="d357315e0-false-d357321e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('1032') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1032' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Table) = ('HL70224') or not(@Table)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70224' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Transport Arranged') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Transport Arranged' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.41
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d357315e0-false-d357321e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.42
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.42">
      <extends rule="d357372e0-false-d357378e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('1033') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1033' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Table) = ('HL70225') or not(@Table)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70225' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Escort Required') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Escort Required' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.42
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d357372e0-false-d357378e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.43
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.43">
      <extends rule="d357423e0-false-d357429e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('1034') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1034' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Planned Patient Transport Comment') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Planned Patient Transport Comment' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.43
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d357423e0-false-d357429e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.3">
      <extends rule="d357573e0-false-d357579e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d357573e0-false-d357579e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.6">
      <extends rule="d357692e0-false-d357698e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d357692e0-false-d357698e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.44
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.44">
      <extends rule="d357750e0-false-d357756e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('393') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '393' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Table) = ('HL70088') or not(@Table)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70088' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Procedure Code') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Procedure Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.44
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d357750e0-false-d357756e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.3">
      <extends rule="d357900e0-false-d357906e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d357900e0-false-d357906e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.6">
      <extends rule="d358019e0-false-d358025e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d358019e0-false-d358025e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.45
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.45">
      <extends rule="d358077e0-false-d358083e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('1316') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1316' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Table) = ('HL70340') or not(@Table)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70340' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Procedure Code Modifier') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Procedure Code Modifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.45
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d358077e0-false-d358083e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.3">
      <extends rule="d358227e0-false-d358233e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d358227e0-false-d358233e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.6">
      <extends rule="d358346e0-false-d358352e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d358346e0-false-d358352e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.46
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.46">
      <extends rule="d358404e0-false-d358410e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('1474') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1474' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Table) = ('HL70411') or not(@Table)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70411' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Placer Supplemental Service Information') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Placer Supplemental Service Information' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.46
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d358404e0-false-d358410e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.3">
      <extends rule="d358554e0-false-d358560e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d358554e0-false-d358560e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.6">
      <extends rule="d358673e0-false-d358679e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d358673e0-false-d358679e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.47
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.47">
      <extends rule="d358731e0-false-d358737e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('1475') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1475' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Table) = ('HL70411') or not(@Table)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70411' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Filler Supplemental Service Information') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Filler Supplemental Service Information' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.47
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d358731e0-false-d358737e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.3">
      <extends rule="d358881e0-false-d358887e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d358881e0-false-d358887e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.6">
      <extends rule="d359000e0-false-d359006e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d359000e0-false-d359006e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.48
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.48">
      <extends rule="d359058e0-false-d359064e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('1646') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1646' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('CWE') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Table) = ('HL70476') or not(@Table)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70476' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Medically Necessary Duplicate Procedure Reason.') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Medically Necessary Duplicate Procedure Reason.' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.48
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d359058e0-false-d359064e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.3">
      <extends rule="d359229e0-false-d359235e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d359229e0-false-d359235e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.6">
      <extends rule="d359348e0-false-d359354e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d359348e0-false-d359354e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.49
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.49">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('1647') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1647' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('IS') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Table) = ('HL70507') or not(@Table)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70507' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Result Handling') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Result Handling' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OBR/hl7v2:OBR.49
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.141
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD
Item: (TCD_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="count(hl7v2:TCD.1) &gt;= 1">(TCD_segment): element hl7v2:TCD.1 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="count(hl7v2:TCD.1) &lt;= 1">(TCD_segment): element hl7v2:TCD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="count(hl7v2:TCD.2) &lt;= 1">(TCD_segment): element hl7v2:TCD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="count(hl7v2:TCD.3) &lt;= 1">(TCD_segment): element hl7v2:TCD.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="count(hl7v2:TCD.4) &lt;= 1">(TCD_segment): element hl7v2:TCD.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="count(hl7v2:TCD.5) &lt;= 1">(TCD_segment): element hl7v2:TCD.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="count(hl7v2:TCD.6) &lt;= 1">(TCD_segment): element hl7v2:TCD.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="count(hl7v2:TCD.7) &lt;= 1">(TCD_segment): element hl7v2:TCD.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="count(hl7v2:TCD.8) &lt;= 1">(TCD_segment): element hl7v2:TCD.8 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.141
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.1
Item: (TCD_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.1">
      <extends rule="d359632e0-false-d359638e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Item) = ('238') or not(@Item)">(TCD_segment): de waarde van Item MOET '238' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(TCD_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal Service Identifier') or not(@LongName)">(TCD_segment): de waarde van LongName MOET 'Universal Service Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d359632e0-false-d359638e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.3">
      <extends rule="d359782e0-false-d359788e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d359782e0-false-d359788e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.6">
      <extends rule="d359901e0-false-d359907e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d359901e0-false-d359907e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.141
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.2
Item: (TCD_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.2">
      <extends rule="d359953e0-false-d359959e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Item) = ('1420') or not(@Item)">(TCD_segment): de waarde van Item MOET '1420' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Type) = ('SN') or not(@Type)">(TCD_segment): de waarde van Type MOET 'SN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@LongName) = ('Auto-Dilution Factor') or not(@LongName)">(TCD_segment): de waarde van LongName MOET 'Auto-Dilution Factor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.2
Item: (SN_datatype)
-->
   <rule fpi="RULC-1" id="d359953e0-false-d359959e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.1) &lt;= 1">(SN_datatype): element hl7v2:SN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.2) &lt;= 1">(SN_datatype): element hl7v2:SN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.3) &lt;= 1">(SN_datatype): element hl7v2:SN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.4) &lt;= 1">(SN_datatype): element hl7v2:SN.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.2/hl7v2:SN.1
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.2/hl7v2:SN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Comparator') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Comparator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.2/hl7v2:SN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.2/hl7v2:SN.2
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.2/hl7v2:SN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(SN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Num1') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Num1' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.2/hl7v2:SN.2
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.2/hl7v2:SN.3
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.2/hl7v2:SN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Separator/Suffix') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Separator/Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.2/hl7v2:SN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.2/hl7v2:SN.4
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.2/hl7v2:SN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(SN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Num2') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Num2' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.2/hl7v2:SN.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.141
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.3
Item: (TCD_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.3">
      <extends rule="d360158e0-false-d360164e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Item) = ('1421') or not(@Item)">(TCD_segment): de waarde van Item MOET '1421' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Type) = ('SN') or not(@Type)">(TCD_segment): de waarde van Type MOET 'SN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@LongName) = ('Rerun Dilution Factor') or not(@LongName)">(TCD_segment): de waarde van LongName MOET 'Rerun Dilution Factor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.3
Item: (SN_datatype)
-->
   <rule fpi="RULC-1" id="d360158e0-false-d360164e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.1) &lt;= 1">(SN_datatype): element hl7v2:SN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.2) &lt;= 1">(SN_datatype): element hl7v2:SN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.3) &lt;= 1">(SN_datatype): element hl7v2:SN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.4) &lt;= 1">(SN_datatype): element hl7v2:SN.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.3/hl7v2:SN.1
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.3/hl7v2:SN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Comparator') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Comparator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.3/hl7v2:SN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.3/hl7v2:SN.2
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.3/hl7v2:SN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(SN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Num1') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Num1' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.3/hl7v2:SN.2
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.3/hl7v2:SN.3
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.3/hl7v2:SN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Separator/Suffix') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Separator/Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.3/hl7v2:SN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.3/hl7v2:SN.4
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.3/hl7v2:SN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(SN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Num2') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Num2' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.3/hl7v2:SN.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.141
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.4
Item: (TCD_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.4">
      <extends rule="d360363e0-false-d360369e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Item) = ('1422') or not(@Item)">(TCD_segment): de waarde van Item MOET '1422' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Type) = ('SN') or not(@Type)">(TCD_segment): de waarde van Type MOET 'SN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@LongName) = ('Pre-Dilution Factor') or not(@LongName)">(TCD_segment): de waarde van LongName MOET 'Pre-Dilution Factor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.4
Item: (SN_datatype)
-->
   <rule fpi="RULC-1" id="d360363e0-false-d360369e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.1) &lt;= 1">(SN_datatype): element hl7v2:SN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.2) &lt;= 1">(SN_datatype): element hl7v2:SN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.3) &lt;= 1">(SN_datatype): element hl7v2:SN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.4) &lt;= 1">(SN_datatype): element hl7v2:SN.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.4/hl7v2:SN.1
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.4/hl7v2:SN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Comparator') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Comparator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.4/hl7v2:SN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.4/hl7v2:SN.2
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.4/hl7v2:SN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(SN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Num1') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Num1' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.4/hl7v2:SN.2
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.4/hl7v2:SN.3
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.4/hl7v2:SN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Separator/Suffix') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Separator/Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.4/hl7v2:SN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.4/hl7v2:SN.4
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.4/hl7v2:SN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(SN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Num2') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Num2' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.4/hl7v2:SN.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.141
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.5
Item: (TCD_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.5">
      <extends rule="d360568e0-false-d360574e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Item) = ('1413') or not(@Item)">(TCD_segment): de waarde van Item MOET '1413' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Type) = ('SN') or not(@Type)">(TCD_segment): de waarde van Type MOET 'SN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@LongName) = ('Endogenous Content of Pre-Dilution Diluent') or not(@LongName)">(TCD_segment): de waarde van LongName MOET 'Endogenous Content of Pre-Dilution Diluent' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.5
Item: (SN_datatype)
-->
   <rule fpi="RULC-1" id="d360568e0-false-d360574e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.1) &lt;= 1">(SN_datatype): element hl7v2:SN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.2) &lt;= 1">(SN_datatype): element hl7v2:SN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.3) &lt;= 1">(SN_datatype): element hl7v2:SN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.4) &lt;= 1">(SN_datatype): element hl7v2:SN.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.5/hl7v2:SN.1
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.5/hl7v2:SN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Comparator') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Comparator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.5/hl7v2:SN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.5/hl7v2:SN.2
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.5/hl7v2:SN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(SN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Num1') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Num1' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.5/hl7v2:SN.2
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.5/hl7v2:SN.3
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.5/hl7v2:SN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Separator/Suffix') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Separator/Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.5/hl7v2:SN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.5/hl7v2:SN.4
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.5/hl7v2:SN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(SN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Num2') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Num2' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.5/hl7v2:SN.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.141
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.6
Item: (TCD_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.6">
      <extends rule="d360779e0-false-d360785e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Item) = ('1416') or not(@Item)">(TCD_segment): de waarde van Item MOET '1416' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TCD_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(TCD_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@LongName) = ('Automatic Repeat Allowed') or not(@LongName)">(TCD_segment): de waarde van LongName MOET 'Automatic Repeat Allowed' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d360779e0-false-d360785e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.141
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.7
Item: (TCD_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.7">
      <extends rule="d360836e0-false-d360842e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Item) = ('1424') or not(@Item)">(TCD_segment): de waarde van Item MOET '1424' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TCD_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(TCD_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@LongName) = ('Reflex Allowed') or not(@LongName)">(TCD_segment): de waarde van LongName MOET 'Reflex Allowed' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d360836e0-false-d360842e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.141
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.8
Item: (TCD_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.8">
      <extends rule="d360893e0-false-d360899e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Item) = ('1425') or not(@Item)">(TCD_segment): de waarde van Item MOET '1425' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(TCD_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Table) = ('HL70389') or not(@Table)">(TCD_segment): de waarde van Table MOET 'HL70389' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@LongName) = ('Analyte Repeat Status') or not(@LongName)">(TCD_segment): de waarde van LongName MOET 'Analyte Repeat Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.8
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d360893e0-false-d360899e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.3">
      <extends rule="d361043e0-false-d361049e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d361043e0-false-d361049e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.6">
      <extends rule="d361162e0-false-d361168e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d361162e0-false-d361168e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.39
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE
Item: (NTE_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="count(hl7v2:NTE.1) &lt;= 1">(NTE_segment): element hl7v2:NTE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="count(hl7v2:NTE.2) &lt;= 1">(NTE_segment): element hl7v2:NTE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="count(hl7v2:NTE.3) &gt;= 1">(NTE_segment): element hl7v2:NTE.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="count(hl7v2:NTE.4) &lt;= 1">(NTE_segment): element hl7v2:NTE.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.39
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.1
Item: (NTE_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Item) = ('96') or not(@Item)">(NTE_segment): de waarde van Item MOET '96' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Type) = ('SI') or not(@Type)">(NTE_segment): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@LongName) = ('Set ID - NTE') or not(@LongName)">(NTE_segment): de waarde van LongName MOET 'Set ID - NTE' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.39
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.2
Item: (NTE_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.2">
      <extends rule="d361311e0-false-d361317e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Item) = ('97') or not(@Item)">(NTE_segment): de waarde van Item MOET '97' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(NTE_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Table) = ('HL70105') or not(@Table)">(NTE_segment): de waarde van Table MOET 'HL70105' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@LongName) = ('Source of Comment') or not(@LongName)">(NTE_segment): de waarde van LongName MOET 'Source of Comment' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d361311e0-false-d361317e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.39
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.3
Item: (NTE_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Item) = ('98') or not(@Item)">(NTE_segment): de waarde van Item MOET '98' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Type) = ('FT') or not(@Type)">(NTE_segment): de waarde van Type MOET 'FT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@LongName) = ('Comment') or not(@LongName)">(NTE_segment): de waarde van LongName MOET 'Comment' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.3
Item: (FT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape
Item: (FT_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.27-2013-02-10T000000.html"
              test="@V">(FT_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.39
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.4
Item: (NTE_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.4">
      <extends rule="d361488e0-false-d361494e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Item) = ('1318') or not(@Item)">(NTE_segment): de waarde van Item MOET '1318' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(NTE_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Table) = ('HL70364') or not(@Table)">(NTE_segment): de waarde van Table MOET 'HL70364' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@LongName) = ('Comment Type') or not(@LongName)">(NTE_segment): de waarde van LongName MOET 'Comment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d361488e0-false-d361494e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.3">
      <extends rule="d361638e0-false-d361644e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d361638e0-false-d361644e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.6">
      <extends rule="d361757e0-false-d361763e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d361757e0-false-d361763e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.30
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD
Item: (CTD_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.30-2013-02-10T000000.html"
              test="count(hl7v2:CTD.1) &gt;= 1">(CTD_segment): element hl7v2:CTD.1 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.30-2013-02-10T000000.html"
              test="count(hl7v2:CTD.4) &lt;= 1">(CTD_segment): element hl7v2:CTD.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.30-2013-02-10T000000.html"
              test="count(hl7v2:CTD.6) &lt;= 1">(CTD_segment): element hl7v2:CTD.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.30
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.1
Item: (CTD_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.1">
      <extends rule="d361867e0-false-d361873e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.30-2013-02-10T000000.html"
              test="string(@Item) = ('196') or not(@Item)">(CTD_segment): de waarde van Item MOET '196' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.30-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CTD_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.30-2013-02-10T000000.html"
              test="string(@Table) = ('HL70131') or not(@Table)">(CTD_segment): de waarde van Table MOET 'HL70131' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.30-2013-02-10T000000.html"
              test="string(@LongName) = ('Contact Role') or not(@LongName)">(CTD_segment): de waarde van LongName MOET 'Contact Role' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d361867e0-false-d361873e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.1/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.1/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.1/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.1/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.1/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.1/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.1/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.1/hl7v2:CE.3">
      <extends rule="d362017e0-false-d362023e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.1/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d362017e0-false-d362023e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.1/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.1/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.1/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.1/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.1/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.1/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.1/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.1/hl7v2:CE.6">
      <extends rule="d362136e0-false-d362142e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.1/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d362136e0-false-d362142e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.30
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2
Item: (CTD_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2">
      <extends rule="d362188e0-false-d362194e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.30-2013-02-10T000000.html"
              test="string(@Item) = ('1165') or not(@Item)">(CTD_segment): de waarde van Item MOET '1165' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.30-2013-02-10T000000.html"
              test="string(@Type) = ('XPN') or not(@Type)">(CTD_segment): de waarde van Type MOET 'XPN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.30-2013-02-10T000000.html"
              test="string(@LongName) = ('Contact Name') or not(@LongName)">(CTD_segment): de waarde van LongName MOET 'Contact Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1" id="d362188e0-false-d362194e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.1) &lt;= 1">(XPN_datatype): element hl7v2:XPN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.2) &lt;= 1">(XPN_datatype): element hl7v2:XPN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.3) &lt;= 1">(XPN_datatype): element hl7v2:XPN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.4) &lt;= 1">(XPN_datatype): element hl7v2:XPN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.5) &lt;= 1">(XPN_datatype): element hl7v2:XPN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.6) &lt;= 1">(XPN_datatype): element hl7v2:XPN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.7) &lt;= 1">(XPN_datatype): element hl7v2:XPN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.8) &lt;= 1">(XPN_datatype): element hl7v2:XPN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.9) &lt;= 1">(XPN_datatype): element hl7v2:XPN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.10) &lt;= 1">(XPN_datatype): element hl7v2:XPN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.11) &lt;= 1">(XPN_datatype): element hl7v2:XPN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.12) &lt;= 1">(XPN_datatype): element hl7v2:XPN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.13) &lt;= 1">(XPN_datatype): element hl7v2:XPN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.14) &lt;= 1">(XPN_datatype): element hl7v2:XPN.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.1
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.1">
      <extends rule="d362320e0-false-d362326e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d362320e0-false-d362326e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.1/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.1/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.1/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.1/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.1/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.1/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.1/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.1/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.1/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.1/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.1/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.1/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.1/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.1/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.1/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.2
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.3
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.4
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.5
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.6
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.7
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.7">
      <extends rule="d362742e0-false-d362748e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d362742e0-false-d362748e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.8
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.8">
      <extends rule="d362793e0-false-d362799e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.8
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d362793e0-false-d362799e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.9
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.9">
      <extends rule="d362844e0-false-d362850e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.9
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d362844e0-false-d362850e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.9/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.9/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.9/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.9/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.9/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.9/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.9/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.9/hl7v2:CE.3">
      <extends rule="d362994e0-false-d363000e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.9/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d362994e0-false-d363000e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.9/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.9/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.9/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.9/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.9/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.9/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.9/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.9/hl7v2:CE.6">
      <extends rule="d363113e0-false-d363119e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.9/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d363113e0-false-d363119e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.10
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.10">
      <extends rule="d363159e0-false-d363165e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.10
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d363159e0-false-d363165e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.10/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.10/hl7v2:DR.1">
      <extends rule="d363207e0-false-d363213e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.10/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d363207e0-false-d363213e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d363295e0-false-d363301e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d363295e0-false-d363301e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.10/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.10/hl7v2:DR.2">
      <extends rule="d363341e0-false-d363347e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.10/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d363341e0-false-d363347e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d363429e0-false-d363435e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d363429e0-false-d363435e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.11
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.11">
      <extends rule="d363482e0-false-d363488e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d363482e0-false-d363488e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.12
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.12">
      <extends rule="d363527e0-false-d363533e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d363527e0-false-d363533e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.12/hl7v2:TS.2">
      <extends rule="d363615e0-false-d363621e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d363615e0-false-d363621e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.13
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.13">
      <extends rule="d363661e0-false-d363667e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d363661e0-false-d363667e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.13/hl7v2:TS.2">
      <extends rule="d363749e0-false-d363755e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d363749e0-false-d363755e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.14
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.2/hl7v2:XPN.14
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.30
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3
Item: (CTD_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3">
      <extends rule="d363836e0-false-d363842e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.30-2013-02-10T000000.html"
              test="string(@Item) = ('1166') or not(@Item)">(CTD_segment): de waarde van Item MOET '1166' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.30-2013-02-10T000000.html"
              test="string(@Type) = ('XAD') or not(@Type)">(CTD_segment): de waarde van Type MOET 'XAD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.30-2013-02-10T000000.html"
              test="string(@LongName) = ('Contact Address') or not(@LongName)">(CTD_segment): de waarde van LongName MOET 'Contact Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1" id="d363836e0-false-d363842e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.1) &lt;= 1">(XAD_datatype): element hl7v2:XAD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.2) &lt;= 1">(XAD_datatype): element hl7v2:XAD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.3) &lt;= 1">(XAD_datatype): element hl7v2:XAD.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.4) &lt;= 1">(XAD_datatype): element hl7v2:XAD.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.5) &lt;= 1">(XAD_datatype): element hl7v2:XAD.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.6) &lt;= 1">(XAD_datatype): element hl7v2:XAD.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.7) &lt;= 1">(XAD_datatype): element hl7v2:XAD.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.8) &lt;= 1">(XAD_datatype): element hl7v2:XAD.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.9) &lt;= 1">(XAD_datatype): element hl7v2:XAD.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.10) &lt;= 1">(XAD_datatype): element hl7v2:XAD.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.11) &lt;= 1">(XAD_datatype): element hl7v2:XAD.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.12) &lt;= 1">(XAD_datatype): element hl7v2:XAD.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.13) &lt;= 1">(XAD_datatype): element hl7v2:XAD.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="count(hl7v2:XAD.14) &lt;= 1">(XAD_datatype): element hl7v2:XAD.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.1
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.1">
      <extends rule="d363968e0-false-d363974e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('SAD') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'SAD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Street Address') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Street Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.1
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1" id="d363968e0-false-d363974e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.1) &lt;= 1">(SAD_datatype): element hl7v2:SAD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.2) &lt;= 1">(SAD_datatype): element hl7v2:SAD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.3) &lt;= 1">(SAD_datatype): element hl7v2:SAD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.1/hl7v2:SAD.1
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.1/hl7v2:SAD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Street or Mailing Address') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Street or Mailing Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.1/hl7v2:SAD.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.1/hl7v2:SAD.2
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.1/hl7v2:SAD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Street Name') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Street Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.1/hl7v2:SAD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.1/hl7v2:SAD.3
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.1/hl7v2:SAD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Dwelling Number') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Dwelling Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.1/hl7v2:SAD.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.2
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Other Designation') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Other Designation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.3
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('City') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'City' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.4
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('State or Province') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'State or Province' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.5
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Zip or Postal Code') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Zip or Postal Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.6
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.6">
      <extends rule="d364268e0-false-d364274e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Table) = ('HL70399') or not(@Table)">(XAD_datatype): de waarde van Table MOET 'HL70399' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Country') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Country' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d364268e0-false-d364274e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.7
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.7">
      <extends rule="d364319e0-false-d364325e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Table) = ('HL70190') or not(@Table)">(XAD_datatype): de waarde van Table MOET 'HL70190' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Address Type') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Address Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d364319e0-false-d364325e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.8
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Other Geographic Designation') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Other Geographic Designation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.9
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Table) = ('HL70289') or not(@Table)">(XAD_datatype): de waarde van Table MOET 'HL70289' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('County/Parish Code') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'County/Parish Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.10
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Table) = ('HL70288') or not(@Table)">(XAD_datatype): de waarde van Table MOET 'HL70288' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Census Tract') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Census Tract' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.10
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.11
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.11">
      <extends rule="d364484e0-false-d364490e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XAD_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Address Representation Code') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Address Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d364484e0-false-d364490e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.12
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.12">
      <extends rule="d364529e0-false-d364535e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Address Validity Range') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Address Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.12
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d364529e0-false-d364535e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.12/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.12/hl7v2:DR.1">
      <extends rule="d364577e0-false-d364583e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.12/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d364577e0-false-d364583e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d364665e0-false-d364671e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d364665e0-false-d364671e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.12/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.12/hl7v2:DR.2">
      <extends rule="d364711e0-false-d364717e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.12/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d364711e0-false-d364717e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d364799e0-false-d364805e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d364799e0-false-d364805e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.13
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.13">
      <extends rule="d364846e0-false-d364852e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d364846e0-false-d364852e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.13/hl7v2:TS.2">
      <extends rule="d364934e0-false-d364940e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d364934e0-false-d364940e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.73
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.14
Item: (XAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.14">
      <extends rule="d364980e0-false-d364986e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XAD_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.73-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XAD_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d364980e0-false-d364986e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.14/hl7v2:TS.2">
      <extends rule="d365068e0-false-d365074e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.3/hl7v2:XAD.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d365068e0-false-d365074e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.30
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4
Item: (CTD_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4">
      <extends rule="d365121e0-false-d365127e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.30-2013-02-10T000000.html"
              test="string(@Item) = ('1167') or not(@Item)">(CTD_segment): de waarde van Item MOET '1167' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.30-2013-02-10T000000.html"
              test="string(@Type) = ('PL') or not(@Type)">(CTD_segment): de waarde van Type MOET 'PL' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.30-2013-02-10T000000.html"
              test="string(@LongName) = ('Contact Location') or not(@LongName)">(CTD_segment): de waarde van LongName MOET 'Contact Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4
Item: (PL_datatype)
-->
   <rule fpi="RULC-1" id="d365121e0-false-d365127e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.1) &lt;= 1">(PL_datatype): element hl7v2:PL.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.2) &lt;= 1">(PL_datatype): element hl7v2:PL.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.3) &lt;= 1">(PL_datatype): element hl7v2:PL.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.4) &lt;= 1">(PL_datatype): element hl7v2:PL.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.5) &lt;= 1">(PL_datatype): element hl7v2:PL.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.6) &lt;= 1">(PL_datatype): element hl7v2:PL.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.7) &lt;= 1">(PL_datatype): element hl7v2:PL.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.8) &lt;= 1">(PL_datatype): element hl7v2:PL.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.9) &lt;= 1">(PL_datatype): element hl7v2:PL.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.10) &lt;= 1">(PL_datatype): element hl7v2:PL.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.11) &lt;= 1">(PL_datatype): element hl7v2:PL.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.1
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70302') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70302' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Point of Care') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Point of Care' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.2
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70303') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70303' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Room') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Room' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.3
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70304') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70304' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Bed') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Bed' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.3
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.4
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.4">
      <extends rule="d365352e0-false-d365358e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Facility') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d365352e0-false-d365358e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.4/hl7v2:HD.3">
      <extends rule="d365487e0-false-d365493e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d365487e0-false-d365493e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.5
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70306') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70306' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Status') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Location Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.5
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.6
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70305') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70305' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Person Location Type') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Person Location Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.7
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70307') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70307' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Building') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Building' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.8
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70308') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70308' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Floor') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Floor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.9
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(PL_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Description') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Location Description' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.10
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.10">
      <extends rule="d365727e0-false-d365733e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(PL_datatype): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Comprehensive Location Identifier') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Comprehensive Location Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.10
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d365727e0-false-d365733e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.10/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.10/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.10/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.10/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.10/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.10/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.10/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.10/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.10/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.10/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.10/hl7v2:EI.4">
      <extends rule="d365903e0-false-d365909e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.10/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d365903e0-false-d365909e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.11
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.11">
      <extends rule="d365949e0-false-d365955e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority for Location') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Assigning Authority for Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.11
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d365949e0-false-d365955e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.11/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.11/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.11/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.11/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.11/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.11/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.11/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.11/hl7v2:HD.3">
      <extends rule="d366084e0-false-d366090e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.4/hl7v2:PL.11/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d366084e0-false-d366090e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.30
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5
Item: (CTD_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5">
      <extends rule="d366137e0-false-d366143e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.30-2013-02-10T000000.html"
              test="string(@Item) = ('1168') or not(@Item)">(CTD_segment): de waarde van Item MOET '1168' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.30-2013-02-10T000000.html"
              test="string(@Type) = ('XTN') or not(@Type)">(CTD_segment): de waarde van Type MOET 'XTN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.30-2013-02-10T000000.html"
              test="string(@LongName) = ('Contact Communication Information') or not(@LongName)">(CTD_segment): de waarde van LongName MOET 'Contact Communication Information' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" id="d366137e0-false-d366143e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.1) &lt;= 1">(XTN_datatype): element hl7v2:XTN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.2) &lt;= 1">(XTN_datatype): element hl7v2:XTN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.3) &lt;= 1">(XTN_datatype): element hl7v2:XTN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.4) &lt;= 1">(XTN_datatype): element hl7v2:XTN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.5) &lt;= 1">(XTN_datatype): element hl7v2:XTN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.6) &lt;= 1">(XTN_datatype): element hl7v2:XTN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.7) &lt;= 1">(XTN_datatype): element hl7v2:XTN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.8) &lt;= 1">(XTN_datatype): element hl7v2:XTN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.9) &lt;= 1">(XTN_datatype): element hl7v2:XTN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.10) &lt;= 1">(XTN_datatype): element hl7v2:XTN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.11) &lt;= 1">(XTN_datatype): element hl7v2:XTN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.12) &lt;= 1">(XTN_datatype): element hl7v2:XTN.12 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.1
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telephone Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telephone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.2
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.2">
      <extends rule="d366295e0-false-d366301e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70201') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70201' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Use Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Use Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d366295e0-false-d366301e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.3
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.3">
      <extends rule="d366346e0-false-d366352e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70202') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70202' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Equipment Type') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Equipment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d366346e0-false-d366352e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.4
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Email Address') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Email Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.5
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Country Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Country Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.6
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Area/City Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Area/City Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.6
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.7
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Local Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Local Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.7
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.8
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.8
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.9
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Any Text') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Any Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.10
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension Prefix') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.11
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Speed Dial Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Speed Dial Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.12
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Unformatted Telephone number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Unformatted Telephone number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.5/hl7v2:XTN.12
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.30
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.6
Item: (CTD_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.6">
      <extends rule="d366710e0-false-d366716e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.30-2013-02-10T000000.html"
              test="string(@Item) = ('684') or not(@Item)">(CTD_segment): de waarde van Item MOET '684' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.30-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CTD_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.30-2013-02-10T000000.html"
              test="string(@Table) = ('HL70185') or not(@Table)">(CTD_segment): de waarde van Table MOET 'HL70185' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.30-2013-02-10T000000.html"
              test="string(@LongName) = ('Preferred Method of Contact') or not(@LongName)">(CTD_segment): de waarde van LongName MOET 'Preferred Method of Contact' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d366710e0-false-d366716e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.6/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.6/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.6/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.6/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.6/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.6/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.6/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.6/hl7v2:CE.3">
      <extends rule="d366860e0-false-d366866e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.6/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d366860e0-false-d366866e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.6/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.6/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.6/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.6/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.6/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.6/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.6/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.6/hl7v2:CE.6">
      <extends rule="d366979e0-false-d366985e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.6/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d366979e0-false-d366985e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.30
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.7
Item: (CTD_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.7">
      <extends rule="d367031e0-false-d367037e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.30-2013-02-10T000000.html"
              test="string(@Item) = ('1171') or not(@Item)">(CTD_segment): de waarde van Item MOET '1171' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.30-2013-02-10T000000.html"
              test="string(@Type) = ('PLN') or not(@Type)">(CTD_segment): de waarde van Type MOET 'PLN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.30-2013-02-10T000000.html"
              test="string(@LongName) = ('Contact Identifiers') or not(@LongName)">(CTD_segment): de waarde van LongName MOET 'Contact Identifiers' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.7
Item: (PLN_datatype)
-->
   <rule fpi="RULC-1" id="d367031e0-false-d367037e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.45-2013-02-10T000000.html"
              test="count(hl7v2:PLN.1) &lt;= 1">(PLN_datatype): element hl7v2:PLN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.45-2013-02-10T000000.html"
              test="count(hl7v2:PLN.2) &lt;= 1">(PLN_datatype): element hl7v2:PLN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.45-2013-02-10T000000.html"
              test="count(hl7v2:PLN.3) &lt;= 1">(PLN_datatype): element hl7v2:PLN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.45-2013-02-10T000000.html"
              test="count(hl7v2:PLN.4) &lt;= 1">(PLN_datatype): element hl7v2:PLN.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.7/hl7v2:PLN.1
Item: (PLN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.7/hl7v2:PLN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.45-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(PLN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.45-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(PLN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.7/hl7v2:PLN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.7/hl7v2:PLN.2
Item: (PLN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.7/hl7v2:PLN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.45-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PLN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.45-2013-02-10T000000.html"
              test="string(@Table) = ('HL70338') or not(@Table)">(PLN_datatype): de waarde van Table MOET 'HL70338' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.45-2013-02-10T000000.html"
              test="string(@LongName) = ('Type of ID Number') or not(@LongName)">(PLN_datatype): de waarde van LongName MOET 'Type of ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.7/hl7v2:PLN.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.7/hl7v2:PLN.3
Item: (PLN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.7/hl7v2:PLN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.45-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(PLN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.45-2013-02-10T000000.html"
              test="string(@LongName) = ('State/other Qualifying Information') or not(@LongName)">(PLN_datatype): de waarde van LongName MOET 'State/other Qualifying Information' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.7/hl7v2:PLN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.7/hl7v2:PLN.4
Item: (PLN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.7/hl7v2:PLN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.45-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(PLN_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.45-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(PLN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:CTD/hl7v2:CTD.7/hl7v2:PLN.4
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1
Item: (DG1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="count(hl7v2:DG1.1) &gt;= 1">(DG1_segment): element hl7v2:DG1.1 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="count(hl7v2:DG1.1) &lt;= 1">(DG1_segment): element hl7v2:DG1.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="count(hl7v2:DG1.2) &gt;= 1">(DG1_segment): element hl7v2:DG1.2 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="count(hl7v2:DG1.2) &lt;= 1">(DG1_segment): element hl7v2:DG1.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="count(hl7v2:DG1.3) &lt;= 1">(DG1_segment): element hl7v2:DG1.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="count(hl7v2:DG1.4) &lt;= 1">(DG1_segment): element hl7v2:DG1.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="count(hl7v2:DG1.5) &lt;= 1">(DG1_segment): element hl7v2:DG1.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="count(hl7v2:DG1.6) &gt;= 1">(DG1_segment): element hl7v2:DG1.6 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="count(hl7v2:DG1.6) &lt;= 1">(DG1_segment): element hl7v2:DG1.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="count(hl7v2:DG1.7) &lt;= 1">(DG1_segment): element hl7v2:DG1.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="count(hl7v2:DG1.8) &lt;= 1">(DG1_segment): element hl7v2:DG1.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="count(hl7v2:DG1.9) &lt;= 1">(DG1_segment): element hl7v2:DG1.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="count(hl7v2:DG1.10) &lt;= 1">(DG1_segment): element hl7v2:DG1.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="count(hl7v2:DG1.11) &lt;= 1">(DG1_segment): element hl7v2:DG1.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="count(hl7v2:DG1.12) &lt;= 1">(DG1_segment): element hl7v2:DG1.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="count(hl7v2:DG1.13) &lt;= 1">(DG1_segment): element hl7v2:DG1.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="count(hl7v2:DG1.14) &lt;= 1">(DG1_segment): element hl7v2:DG1.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="count(hl7v2:DG1.15) &lt;= 1">(DG1_segment): element hl7v2:DG1.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="count(hl7v2:DG1.17) &lt;= 1">(DG1_segment): element hl7v2:DG1.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="count(hl7v2:DG1.18) &lt;= 1">(DG1_segment): element hl7v2:DG1.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="count(hl7v2:DG1.19) &lt;= 1">(DG1_segment): element hl7v2:DG1.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="count(hl7v2:DG1.20) &lt;= 1">(DG1_segment): element hl7v2:DG1.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="count(hl7v2:DG1.21) &lt;= 1">(DG1_segment): element hl7v2:DG1.21 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.1
Item: (DG1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Item) = ('375') or not(@Item)">(DG1_segment): de waarde van Item MOET '375' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Type) = ('SI') or not(@Type)">(DG1_segment): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Set ID - DG1') or not(@LongName)">(DG1_segment): de waarde van LongName MOET 'Set ID - DG1' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.2
Item: (DG1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.2">
      <extends rule="d367470e0-false-d367476e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Item) = ('376') or not(@Item)">(DG1_segment): de waarde van Item MOET '376' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(DG1_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Table) = ('HL70053') or not(@Table)">(DG1_segment): de waarde van Table MOET 'HL70053' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Diagnosis Coding Method') or not(@LongName)">(DG1_segment): de waarde van LongName MOET 'Diagnosis Coding Method' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d367470e0-false-d367476e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.3
Item: (DG1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.3">
      <extends rule="d367527e0-false-d367533e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Item) = ('377') or not(@Item)">(DG1_segment): de waarde van Item MOET '377' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(DG1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Table) = ('HL70051') or not(@Table)">(DG1_segment): de waarde van Table MOET 'HL70051' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Diagnosis Code - DG1') or not(@LongName)">(DG1_segment): de waarde van LongName MOET 'Diagnosis Code - DG1' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d367527e0-false-d367533e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.3/hl7v2:CE.3">
      <extends rule="d367677e0-false-d367683e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d367677e0-false-d367683e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.3/hl7v2:CE.6">
      <extends rule="d367796e0-false-d367802e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d367796e0-false-d367802e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.4
Item: (DG1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Item) = ('378') or not(@Item)">(DG1_segment): de waarde van Item MOET '378' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(DG1_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Diagnosis Description') or not(@LongName)">(DG1_segment): de waarde van LongName MOET 'Diagnosis Description' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.5
Item: (DG1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.5">
      <extends rule="d367888e0-false-d367894e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Item) = ('379') or not(@Item)">(DG1_segment): de waarde van Item MOET '379' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DG1_segment): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Diagnosis Date/Time') or not(@LongName)">(DG1_segment): de waarde van LongName MOET 'Diagnosis Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.5
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d367888e0-false-d367894e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.5/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.5/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.5/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.5/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.5/hl7v2:TS.2">
      <extends rule="d367976e0-false-d367982e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.5/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d367976e0-false-d367982e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.6
Item: (DG1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Item) = ('380') or not(@Item)">(DG1_segment): de waarde van Item MOET '380' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(DG1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Table) = ('HL70052') or not(@Table)">(DG1_segment): de waarde van Table MOET 'HL70052' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Diagnosis Type') or not(@LongName)">(DG1_segment): de waarde van LongName MOET 'Diagnosis Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.7
Item: (DG1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.7">
      <extends rule="d368080e0-false-d368086e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Item) = ('381') or not(@Item)">(DG1_segment): de waarde van Item MOET '381' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(DG1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Table) = ('HL70118') or not(@Table)">(DG1_segment): de waarde van Table MOET 'HL70118' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Major Diagnostic Category') or not(@LongName)">(DG1_segment): de waarde van LongName MOET 'Major Diagnostic Category' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.7
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d368080e0-false-d368086e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.7/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.7/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.7/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.7/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.7/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.7/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.7/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.7/hl7v2:CE.3">
      <extends rule="d368230e0-false-d368236e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.7/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d368230e0-false-d368236e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.7/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.7/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.7/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.7/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.7/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.7/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.7/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.7/hl7v2:CE.6">
      <extends rule="d368349e0-false-d368355e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.7/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d368349e0-false-d368355e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.8
Item: (DG1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.8">
      <extends rule="d368407e0-false-d368413e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Item) = ('382') or not(@Item)">(DG1_segment): de waarde van Item MOET '382' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(DG1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Table) = ('HL70055') or not(@Table)">(DG1_segment): de waarde van Table MOET 'HL70055' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Diagnostic Related Group') or not(@LongName)">(DG1_segment): de waarde van LongName MOET 'Diagnostic Related Group' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.8
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d368407e0-false-d368413e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.8/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.8/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.8/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.8/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.8/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.8/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.8/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.8/hl7v2:CE.3">
      <extends rule="d368557e0-false-d368563e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.8/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d368557e0-false-d368563e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.8/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.8/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.8/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.8/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.8/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.8/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.8/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.8/hl7v2:CE.6">
      <extends rule="d368676e0-false-d368682e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.8/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d368676e0-false-d368682e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.9
Item: (DG1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.9">
      <extends rule="d368734e0-false-d368740e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Item) = ('383') or not(@Item)">(DG1_segment): de waarde van Item MOET '383' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(DG1_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(DG1_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@LongName) = ('DRG Approval Indicator') or not(@LongName)">(DG1_segment): de waarde van LongName MOET 'DRG Approval Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.9
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d368734e0-false-d368740e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.10
Item: (DG1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Item) = ('384') or not(@Item)">(DG1_segment): de waarde van Item MOET '384' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(DG1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Table) = ('HL70056') or not(@Table)">(DG1_segment): de waarde van Table MOET 'HL70056' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@LongName) = ('DRG Grouper Review Code') or not(@LongName)">(DG1_segment): de waarde van LongName MOET 'DRG Grouper Review Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.10
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.11
Item: (DG1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.11">
      <extends rule="d368837e0-false-d368843e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Item) = ('385') or not(@Item)">(DG1_segment): de waarde van Item MOET '385' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(DG1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Table) = ('HL70083') or not(@Table)">(DG1_segment): de waarde van Table MOET 'HL70083' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Outlier Type') or not(@LongName)">(DG1_segment): de waarde van LongName MOET 'Outlier Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.11
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d368837e0-false-d368843e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.11/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.11/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.11/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.11/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.11/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.11/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.11/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.11/hl7v2:CE.3">
      <extends rule="d368987e0-false-d368993e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.11/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d368987e0-false-d368993e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.11/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.11/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.11/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.11/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.11/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.11/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.11/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.11/hl7v2:CE.6">
      <extends rule="d369106e0-false-d369112e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.11/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d369106e0-false-d369112e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.12
Item: (DG1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Item) = ('386') or not(@Item)">(DG1_segment): de waarde van Item MOET '386' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(DG1_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Outlier Days') or not(@LongName)">(DG1_segment): de waarde van LongName MOET 'Outlier Days' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.12
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13
Item: (DG1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13">
      <extends rule="d369198e0-false-d369204e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Item) = ('387') or not(@Item)">(DG1_segment): de waarde van Item MOET '387' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Type) = ('CP') or not(@Type)">(DG1_segment): de waarde van Type MOET 'CP' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Outlier Cost') or not(@LongName)">(DG1_segment): de waarde van LongName MOET 'Outlier Cost' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13
Item: (CP_datatype)
-->
   <rule fpi="RULC-1" id="d369198e0-false-d369204e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.1) &lt;= 1">(CP_datatype): element hl7v2:CP.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.2) &lt;= 1">(CP_datatype): element hl7v2:CP.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.3) &lt;= 1">(CP_datatype): element hl7v2:CP.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.4) &lt;= 1">(CP_datatype): element hl7v2:CP.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.5) &lt;= 1">(CP_datatype): element hl7v2:CP.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.6) &lt;= 1">(CP_datatype): element hl7v2:CP.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.1
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.1">
      <extends rule="d369274e0-false-d369280e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('MO') or not(@Type)">(CP_datatype): de waarde van Type MOET 'MO' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Price') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Price' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.1
Item: (MO_datatype)
-->
   <rule fpi="RULC-1" id="d369274e0-false-d369280e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="count(hl7v2:MO.1) &lt;= 1">(MO_datatype): element hl7v2:MO.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="count(hl7v2:MO.2) &lt;= 1">(MO_datatype): element hl7v2:MO.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.1/hl7v2:MO.1
Item: (MO_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.1/hl7v2:MO.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(MO_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(MO_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.1/hl7v2:MO.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.1/hl7v2:MO.2
Item: (MO_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.1/hl7v2:MO.2">
      <extends rule="d369356e0-false-d369362e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(MO_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Denomination') or not(@LongName)">(MO_datatype): de waarde van LongName MOET 'Denomination' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.1/hl7v2:MO.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d369356e0-false-d369362e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.2
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.2">
      <extends rule="d369408e0-false-d369414e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CP_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Table) = ('HL70205') or not(@Table)">(CP_datatype): de waarde van Table MOET 'HL70205' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Price Type') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Price Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d369408e0-false-d369414e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.3
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CP_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('To Value') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'To Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.4
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CP_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('To Value') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'To Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.5
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.5">
      <extends rule="d369521e0-false-d369527e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CP_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Units') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Range Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d369521e0-false-d369527e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.5/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.5/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.5/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.5/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.5/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.5/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.5/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.5/hl7v2:CE.3">
      <extends rule="d369671e0-false-d369677e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.5/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d369671e0-false-d369677e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.5/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.5/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.5/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.5/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.5/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.5/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.5/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.5/hl7v2:CE.6">
      <extends rule="d369790e0-false-d369796e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.5/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d369790e0-false-d369796e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.6
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.6">
      <extends rule="d369842e0-false-d369848e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CP_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Table) = ('HL70298') or not(@Table)">(CP_datatype): de waarde van Table MOET 'HL70298' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Type') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Range Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.13/hl7v2:CP.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d369842e0-false-d369848e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.14
Item: (DG1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Item) = ('388') or not(@Item)">(DG1_segment): de waarde van Item MOET '388' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(DG1_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Grouper Version And Type') or not(@LongName)">(DG1_segment): de waarde van LongName MOET 'Grouper Version And Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.14
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.15
Item: (DG1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.15">
      <extends rule="d369940e0-false-d369946e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Item) = ('389') or not(@Item)">(DG1_segment): de waarde van Item MOET '389' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(DG1_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Table) = ('HL70359') or not(@Table)">(DG1_segment): de waarde van Table MOET 'HL70359' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Diagnosis Priority') or not(@LongName)">(DG1_segment): de waarde van LongName MOET 'Diagnosis Priority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d369940e0-false-d369946e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16
Item: (DG1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16">
      <extends rule="d369991e0-false-d369997e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Item) = ('390') or not(@Item)">(DG1_segment): de waarde van Item MOET '390' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(DG1_segment): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Diagnosing Clinician') or not(@LongName)">(DG1_segment): de waarde van LongName MOET 'Diagnosing Clinician' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d369991e0-false-d369997e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.2">
      <extends rule="d370220e0-false-d370226e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d370220e0-false-d370226e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.9">
      <extends rule="d370682e0-false-d370688e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d370682e0-false-d370688e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d370817e0-false-d370823e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d370817e0-false-d370823e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.10">
      <extends rule="d370869e0-false-d370875e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d370869e0-false-d370875e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.12">
      <extends rule="d370954e0-false-d370960e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d370954e0-false-d370960e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.13">
      <extends rule="d371005e0-false-d371011e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d371005e0-false-d371011e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.14">
      <extends rule="d371050e0-false-d371056e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d371050e0-false-d371056e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d371185e0-false-d371191e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d371185e0-false-d371191e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.15">
      <extends rule="d371237e0-false-d371243e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d371237e0-false-d371243e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.16">
      <extends rule="d371288e0-false-d371294e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d371288e0-false-d371294e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d371438e0-false-d371444e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d371438e0-false-d371444e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d371557e0-false-d371563e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d371557e0-false-d371563e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.17">
      <extends rule="d371603e0-false-d371609e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d371603e0-false-d371609e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d371651e0-false-d371657e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d371651e0-false-d371657e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d371739e0-false-d371745e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d371739e0-false-d371745e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d371785e0-false-d371791e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d371785e0-false-d371791e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d371873e0-false-d371879e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d371873e0-false-d371879e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.18">
      <extends rule="d371926e0-false-d371932e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d371926e0-false-d371932e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.19">
      <extends rule="d371971e0-false-d371977e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d371971e0-false-d371977e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d372059e0-false-d372065e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d372059e0-false-d372065e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.20">
      <extends rule="d372105e0-false-d372111e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d372105e0-false-d372111e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d372193e0-false-d372199e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d372193e0-false-d372199e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.22">
      <extends rule="d372273e0-false-d372279e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d372273e0-false-d372279e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d372444e0-false-d372450e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d372444e0-false-d372450e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d372563e0-false-d372569e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d372563e0-false-d372569e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.23">
      <extends rule="d372711e0-false-d372717e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d372711e0-false-d372717e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d372882e0-false-d372888e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d372882e0-false-d372888e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d373001e0-false-d373007e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d373001e0-false-d373007e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.17
Item: (DG1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.17">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Item) = ('766') or not(@Item)">(DG1_segment): de waarde van Item MOET '766' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(DG1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Table) = ('HL70228') or not(@Table)">(DG1_segment): de waarde van Table MOET 'HL70228' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Diagnosis Classification') or not(@LongName)">(DG1_segment): de waarde van LongName MOET 'Diagnosis Classification' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.17
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.18
Item: (DG1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.18">
      <extends rule="d373208e0-false-d373214e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Item) = ('767') or not(@Item)">(DG1_segment): de waarde van Item MOET '767' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(DG1_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(DG1_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Confidential Indicator') or not(@LongName)">(DG1_segment): de waarde van LongName MOET 'Confidential Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d373208e0-false-d373214e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.19
Item: (DG1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.19">
      <extends rule="d373259e0-false-d373265e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Item) = ('768') or not(@Item)">(DG1_segment): de waarde van Item MOET '768' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DG1_segment): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Attestation Date/Time') or not(@LongName)">(DG1_segment): de waarde van LongName MOET 'Attestation Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d373259e0-false-d373265e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.19/hl7v2:TS.2">
      <extends rule="d373347e0-false-d373353e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d373347e0-false-d373353e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.20
Item: (DG1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.20">
      <extends rule="d373399e0-false-d373405e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Item) = ('1850') or not(@Item)">(DG1_segment): de waarde van Item MOET '1850' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(DG1_segment): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Diagnosis Identifier') or not(@LongName)">(DG1_segment): de waarde van LongName MOET 'Diagnosis Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.20
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d373399e0-false-d373405e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.20/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.20/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.20/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.20/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.20/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.20/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.20/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.20/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.20/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.20/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.20/hl7v2:EI.4">
      <extends rule="d373575e0-false-d373581e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.20/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d373575e0-false-d373581e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.21
Item: (DG1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.21">
      <extends rule="d373633e0-false-d373639e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Item) = ('1894') or not(@Item)">(DG1_segment): de waarde van Item MOET '1894' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(DG1_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@Table) = ('HL70206') or not(@Table)">(DG1_segment): de waarde van Table MOET 'HL70206' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Diagnosis Action Code') or not(@LongName)">(DG1_segment): de waarde van LongName MOET 'Diagnosis Action Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:DG1/hl7v2:DG1.21
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d373633e0-false-d373639e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION"
         id="d41e3201-false-d373657e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.50
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OBX_segment_Vraagstelling)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="count(hl7v2:OBX.1) &lt;= 1">(OBX_segment_Vraagstelling): element hl7v2:OBX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &gt;= 1">(OBX_segment_Vraagstelling): element hl7v2:OBX.2 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &lt;= 1">(OBX_segment_Vraagstelling): element hl7v2:OBX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &gt;= 1">(OBX_segment_Vraagstelling): element hl7v2:OBX.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &lt;= 1">(OBX_segment_Vraagstelling): element hl7v2:OBX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="count(hl7v2:OBX.4) &lt;= 1">(OBX_segment_Vraagstelling): element hl7v2:OBX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &gt;= 1">(OBX_segment_Vraagstelling): element hl7v2:OBX.5 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &lt;= 1">(OBX_segment_Vraagstelling): element hl7v2:OBX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="count(hl7v2:OBX.6) &gt;= 1">(OBX_segment_Vraagstelling): element hl7v2:OBX.6 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="count(hl7v2:OBX.6) &lt;= 1">(OBX_segment_Vraagstelling): element hl7v2:OBX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="count(hl7v2:OBX.7) &lt;= 1">(OBX_segment_Vraagstelling): element hl7v2:OBX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="count(hl7v2:OBX.9) &lt;= 1">(OBX_segment_Vraagstelling): element hl7v2:OBX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &gt;= 1">(OBX_segment_Vraagstelling): element hl7v2:OBX.11 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &lt;= 1">(OBX_segment_Vraagstelling): element hl7v2:OBX.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="count(hl7v2:OBX.12) &lt;= 1">(OBX_segment_Vraagstelling): element hl7v2:OBX.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="count(hl7v2:OBX.13) &lt;= 1">(OBX_segment_Vraagstelling): element hl7v2:OBX.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="count(hl7v2:OBX.14) &lt;= 1">(OBX_segment_Vraagstelling): element hl7v2:OBX.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="count(hl7v2:OBX.15) &lt;= 1">(OBX_segment_Vraagstelling): element hl7v2:OBX.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="count(hl7v2:OBX.19) &lt;= 1">(OBX_segment_Vraagstelling): element hl7v2:OBX.19 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.50
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (OBX_segment_Vraagstelling)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Item) = ('569') or not(@Item)">(OBX_segment_Vraagstelling): de waarde van Item MOET '569' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Type) = ('SI') or not(@Type)">(OBX_segment_Vraagstelling): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@LongName) = ('Set ID - OBX') or not(@LongName)">(OBX_segment_Vraagstelling): de waarde van LongName MOET 'Set ID - OBX' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.50
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (OBX_segment_Vraagstelling)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2">
      <extends rule="d373918e0-false-d373924e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Item) = ('570') or not(@Item)">(OBX_segment_Vraagstelling): de waarde van Item MOET '570' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Vraagstelling): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Table) = ('HL70125') or not(@Table)">(OBX_segment_Vraagstelling): de waarde van Table MOET 'HL70125' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@LongName) = ('Value Type') or not(@LongName)">(OBX_segment_Vraagstelling): de waarde van LongName MOET 'Value Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d373918e0-false-d373924e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="text()='CNE' or text()='ST'">(ID_datatype): de elementinhoud van hl7v2:OBX.2 MOET ''CNE' of 'ST'' zijn. Gevonden: "<value-of select="."/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.50
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (OBX_segment_Vraagstelling)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3">
      <extends rule="d373984e0-false-d373990e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Item) = ('571') or not(@Item)">(OBX_segment_Vraagstelling): de waarde van Item MOET '571' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Vraagstelling): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Identifier') or not(@LongName)">(OBX_segment_Vraagstelling): de waarde van LongName MOET 'Observation Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d373984e0-false-d373990e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="@nullFlavor or (@code='55607006' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Problem (finding)' and @codeSystemName='SCT')">(CE_datatype): de elementwaarde MOET een zijn van 'code '55607006' codeSystem '2.16.840.1.113883.6.96' displayName='Problem (finding)' codeSystemName='SCT''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3">
      <extends rule="d374141e0-false-d374147e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d374141e0-false-d374147e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6">
      <extends rule="d374260e0-false-d374266e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d374260e0-false-d374266e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.50
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (OBX_segment_Vraagstelling)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Item) = ('572') or not(@Item)">(OBX_segment_Vraagstelling): de waarde van Item MOET '572' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Vraagstelling): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Sub-ID') or not(@LongName)">(OBX_segment_Vraagstelling): de waarde van LongName MOET 'Observation Sub-ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.50
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (OBX_segment_Vraagstelling)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5">
      <extends rule="d374366e0-false-d374372e0"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.25.11.406-2015-07-09T104307.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Item) = ('573') or not(@Item)">(OBX_segment_Vraagstelling): de waarde van Item MOET '573' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Type) = ('varies') or not(@Type)">(OBX_segment_Vraagstelling): de waarde van Type MOET 'varies' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Value') or not(@LongName)">(OBX_segment_Vraagstelling): de waarde van LongName MOET 'Observation Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (NM_datatype)
-->
   <rule fpi="RULC-1" id="d374366e0-false-d374372e0" abstract="true">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.86-2013-02-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.25.11.406-2015-07-09T104307.xml')//valueSet[1][completeCodeSystem[@codeSystem=$theCodeSystem]])">(NM_datatype): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.25.11.406 VraagstellingAanvraag (2015-07-09T10:43:07)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.25.11.406-2015-07-09T104307.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.86-2013-02-10T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(NM_datatype): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.25.11.406 VraagstellingAanvraag (2015-07-09T10:43:07).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.50
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (OBX_segment_Vraagstelling)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6">
      <extends rule="d374430e0-false-d374436e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Item) = ('574') or not(@Item)">(OBX_segment_Vraagstelling): de waarde van Item MOET '574' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Vraagstelling): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(OBX_segment_Vraagstelling): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d374430e0-false-d374436e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="@nullFlavor or (@code='kg') or (@code='g')">(CE_datatype): de elementwaarde MOET een zijn van 'code 'kg' of code 'g''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3">
      <extends rule="d374589e0-false-d374595e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d374589e0-false-d374595e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6">
      <extends rule="d374708e0-false-d374714e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d374708e0-false-d374714e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.50
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (OBX_segment_Vraagstelling)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Item) = ('575') or not(@Item)">(OBX_segment_Vraagstelling): de waarde van Item MOET '575' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Vraagstelling): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@LongName) = ('References Range') or not(@LongName)">(OBX_segment_Vraagstelling): de waarde van LongName MOET 'References Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.50
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (OBX_segment_Vraagstelling)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Item) = ('576') or not(@Item)">(OBX_segment_Vraagstelling): de waarde van Item MOET '576' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OBX_segment_Vraagstelling): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Table) = ('HL70078') or not(@Table)">(OBX_segment_Vraagstelling): de waarde van Table MOET 'HL70078' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@LongName) = ('Abnormal Flags') or not(@LongName)">(OBX_segment_Vraagstelling): de waarde van LongName MOET 'Abnormal Flags' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.50
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (OBX_segment_Vraagstelling)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Item) = ('577') or not(@Item)">(OBX_segment_Vraagstelling): de waarde van Item MOET '577' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Type) = ('NM') or not(@Type)">(OBX_segment_Vraagstelling): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@LongName) = ('Probability') or not(@LongName)">(OBX_segment_Vraagstelling): de waarde van LongName MOET 'Probability' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.50
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (OBX_segment_Vraagstelling)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10">
      <extends rule="d374892e0-false-d374898e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Item) = ('578') or not(@Item)">(OBX_segment_Vraagstelling): de waarde van Item MOET '578' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Vraagstelling): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Table) = ('HL70080') or not(@Table)">(OBX_segment_Vraagstelling): de waarde van Table MOET 'HL70080' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@LongName) = ('Nature of Abnormal Test') or not(@LongName)">(OBX_segment_Vraagstelling): de waarde van LongName MOET 'Nature of Abnormal Test' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d374892e0-false-d374898e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.50
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (OBX_segment_Vraagstelling)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11">
      <extends rule="d374949e0-false-d374955e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Item) = ('579') or not(@Item)">(OBX_segment_Vraagstelling): de waarde van Item MOET '579' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Vraagstelling): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Table) = ('HL70085') or not(@Table)">(OBX_segment_Vraagstelling): de waarde van Table MOET 'HL70085' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Result Status') or not(@LongName)">(OBX_segment_Vraagstelling): de waarde van LongName MOET 'Observation Result Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d374949e0-false-d374955e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.50
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (OBX_segment_Vraagstelling)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12">
      <extends rule="d375000e0-false-d375006e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Item) = ('580') or not(@Item)">(OBX_segment_Vraagstelling): de waarde van Item MOET '580' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Vraagstelling): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@LongName) = ('Effective Date of Reference Range') or not(@LongName)">(OBX_segment_Vraagstelling): de waarde van LongName MOET 'Effective Date of Reference Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d375000e0-false-d375006e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2">
      <extends rule="d375088e0-false-d375094e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d375088e0-false-d375094e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.50
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (OBX_segment_Vraagstelling)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Item) = ('581') or not(@Item)">(OBX_segment_Vraagstelling): de waarde van Item MOET '581' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Vraagstelling): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@LongName) = ('User Defined Access Checks') or not(@LongName)">(OBX_segment_Vraagstelling): de waarde van LongName MOET 'User Defined Access Checks' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.50
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (OBX_segment_Vraagstelling)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14">
      <extends rule="d375180e0-false-d375186e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Item) = ('582') or not(@Item)">(OBX_segment_Vraagstelling): de waarde van Item MOET '582' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Vraagstelling): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Observation') or not(@LongName)">(OBX_segment_Vraagstelling): de waarde van LongName MOET 'Date/Time of the Observation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d375180e0-false-d375186e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2">
      <extends rule="d375268e0-false-d375274e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d375268e0-false-d375274e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.50
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (OBX_segment_Vraagstelling)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15">
      <extends rule="d375320e0-false-d375326e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Item) = ('583') or not(@Item)">(OBX_segment_Vraagstelling): de waarde van Item MOET '583' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Vraagstelling): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@LongName) = ('Producer''s ID') or not(@LongName)">(OBX_segment_Vraagstelling): de waarde van LongName MOET 'Producer''s ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d375320e0-false-d375326e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3">
      <extends rule="d375470e0-false-d375476e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d375470e0-false-d375476e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6">
      <extends rule="d375589e0-false-d375595e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d375589e0-false-d375595e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.50
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (OBX_segment_Vraagstelling)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16">
      <extends rule="d375641e0-false-d375647e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Item) = ('584') or not(@Item)">(OBX_segment_Vraagstelling): de waarde van Item MOET '584' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(OBX_segment_Vraagstelling): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@LongName) = ('Responsible Observer') or not(@LongName)">(OBX_segment_Vraagstelling): de waarde van LongName MOET 'Responsible Observer' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d375641e0-false-d375647e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2">
      <extends rule="d375870e0-false-d375876e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d375870e0-false-d375876e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9">
      <extends rule="d376332e0-false-d376338e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d376332e0-false-d376338e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d376467e0-false-d376473e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d376467e0-false-d376473e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10">
      <extends rule="d376519e0-false-d376525e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d376519e0-false-d376525e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12">
      <extends rule="d376604e0-false-d376610e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d376604e0-false-d376610e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13">
      <extends rule="d376655e0-false-d376661e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d376655e0-false-d376661e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14">
      <extends rule="d376700e0-false-d376706e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d376700e0-false-d376706e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d376835e0-false-d376841e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d376835e0-false-d376841e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15">
      <extends rule="d376887e0-false-d376893e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d376887e0-false-d376893e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16">
      <extends rule="d376938e0-false-d376944e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d376938e0-false-d376944e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d377088e0-false-d377094e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d377088e0-false-d377094e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d377207e0-false-d377213e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d377207e0-false-d377213e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17">
      <extends rule="d377253e0-false-d377259e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d377253e0-false-d377259e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d377301e0-false-d377307e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d377301e0-false-d377307e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d377389e0-false-d377395e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d377389e0-false-d377395e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d377435e0-false-d377441e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d377435e0-false-d377441e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d377523e0-false-d377529e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d377523e0-false-d377529e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18">
      <extends rule="d377576e0-false-d377582e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d377576e0-false-d377582e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19">
      <extends rule="d377621e0-false-d377627e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d377621e0-false-d377627e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d377709e0-false-d377715e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d377709e0-false-d377715e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20">
      <extends rule="d377755e0-false-d377761e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d377755e0-false-d377761e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d377843e0-false-d377849e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d377843e0-false-d377849e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22">
      <extends rule="d377923e0-false-d377929e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d377923e0-false-d377929e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d378094e0-false-d378100e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d378094e0-false-d378100e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d378213e0-false-d378219e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d378213e0-false-d378219e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23">
      <extends rule="d378361e0-false-d378367e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d378361e0-false-d378367e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d378532e0-false-d378538e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d378532e0-false-d378538e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d378651e0-false-d378657e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d378651e0-false-d378657e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.50
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (OBX_segment_Vraagstelling)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17">
      <extends rule="d378806e0-false-d378812e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Item) = ('936') or not(@Item)">(OBX_segment_Vraagstelling): de waarde van Item MOET '936' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Vraagstelling): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Method') or not(@LongName)">(OBX_segment_Vraagstelling): de waarde van LongName MOET 'Observation Method' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d378806e0-false-d378812e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3">
      <extends rule="d378956e0-false-d378962e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d378956e0-false-d378962e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6">
      <extends rule="d379075e0-false-d379081e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d379075e0-false-d379081e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.50
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (OBX_segment_Vraagstelling)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18">
      <extends rule="d379127e0-false-d379133e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Item) = ('1479') or not(@Item)">(OBX_segment_Vraagstelling): de waarde van Item MOET '1479' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Type) = ('EI') or not(@Type)">(OBX_segment_Vraagstelling): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@LongName) = ('Equipment Instance Identifier') or not(@LongName)">(OBX_segment_Vraagstelling): de waarde van LongName MOET 'Equipment Instance Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d379127e0-false-d379133e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4">
      <extends rule="d379303e0-false-d379309e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d379303e0-false-d379309e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.50
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (OBX_segment_Vraagstelling)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19">
      <extends rule="d379355e0-false-d379361e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Item) = ('1480') or not(@Item)">(OBX_segment_Vraagstelling): de waarde van Item MOET '1480' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Vraagstelling): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.50-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Analysis') or not(@LongName)">(OBX_segment_Vraagstelling): de waarde van LongName MOET 'Date/Time of the Analysis' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d379355e0-false-d379361e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2">
      <extends rule="d379443e0-false-d379449e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d379443e0-false-d379449e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION"
         id="d41e3209-false-d379468e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OBX_segment_Onderliggend_lijden)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="count(hl7v2:OBX.1) &lt;= 1">(OBX_segment_Onderliggend_lijden): element hl7v2:OBX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &gt;= 1">(OBX_segment_Onderliggend_lijden): element hl7v2:OBX.2 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &lt;= 1">(OBX_segment_Onderliggend_lijden): element hl7v2:OBX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &gt;= 1">(OBX_segment_Onderliggend_lijden): element hl7v2:OBX.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &lt;= 1">(OBX_segment_Onderliggend_lijden): element hl7v2:OBX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="count(hl7v2:OBX.4) &lt;= 1">(OBX_segment_Onderliggend_lijden): element hl7v2:OBX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &gt;= 1">(OBX_segment_Onderliggend_lijden): element hl7v2:OBX.5 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &lt;= 1">(OBX_segment_Onderliggend_lijden): element hl7v2:OBX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="count(hl7v2:OBX.6) &lt;= 1">(OBX_segment_Onderliggend_lijden): element hl7v2:OBX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="count(hl7v2:OBX.7) &lt;= 1">(OBX_segment_Onderliggend_lijden): element hl7v2:OBX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="count(hl7v2:OBX.9) &lt;= 1">(OBX_segment_Onderliggend_lijden): element hl7v2:OBX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &gt;= 1">(OBX_segment_Onderliggend_lijden): element hl7v2:OBX.11 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &lt;= 1">(OBX_segment_Onderliggend_lijden): element hl7v2:OBX.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="count(hl7v2:OBX.12) &lt;= 1">(OBX_segment_Onderliggend_lijden): element hl7v2:OBX.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="count(hl7v2:OBX.13) &lt;= 1">(OBX_segment_Onderliggend_lijden): element hl7v2:OBX.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="count(hl7v2:OBX.14) &lt;= 1">(OBX_segment_Onderliggend_lijden): element hl7v2:OBX.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="count(hl7v2:OBX.15) &lt;= 1">(OBX_segment_Onderliggend_lijden): element hl7v2:OBX.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="count(hl7v2:OBX.19) &lt;= 1">(OBX_segment_Onderliggend_lijden): element hl7v2:OBX.19 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (OBX_segment_Onderliggend_lijden)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Item) = ('569') or not(@Item)">(OBX_segment_Onderliggend_lijden): de waarde van Item MOET '569' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Type) = ('SI') or not(@Type)">(OBX_segment_Onderliggend_lijden): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@LongName) = ('Set ID - OBX') or not(@LongName)">(OBX_segment_Onderliggend_lijden): de waarde van LongName MOET 'Set ID - OBX' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (OBX_segment_Onderliggend_lijden)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2">
      <extends rule="d379715e0-false-d379721e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Item) = ('570') or not(@Item)">(OBX_segment_Onderliggend_lijden): de waarde van Item MOET '570' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Onderliggend_lijden): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Table) = ('HL70125') or not(@Table)">(OBX_segment_Onderliggend_lijden): de waarde van Table MOET 'HL70125' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@LongName) = ('Value Type') or not(@LongName)">(OBX_segment_Onderliggend_lijden): de waarde van LongName MOET 'Value Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d379715e0-false-d379721e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (OBX_segment_Onderliggend_lijden)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3">
      <extends rule="d379773e0-false-d379779e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Item) = ('571') or not(@Item)">(OBX_segment_Onderliggend_lijden): de waarde van Item MOET '571' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Onderliggend_lijden): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Identifier') or not(@LongName)">(OBX_segment_Onderliggend_lijden): de waarde van LongName MOET 'Observation Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d379773e0-false-d379779e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="@nullFlavor or (@code='282291009' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Diagnosis interpretation (observable entity)' and @codeSystemName='SCT')">(CE_datatype): de elementwaarde MOET een zijn van 'code '282291009' codeSystem '2.16.840.1.113883.6.96' displayName='Diagnosis interpretation (observable entity)' codeSystemName='SCT''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3">
      <extends rule="d379930e0-false-d379936e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d379930e0-false-d379936e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6">
      <extends rule="d380049e0-false-d380055e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d380049e0-false-d380055e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (OBX_segment_Onderliggend_lijden)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Item) = ('572') or not(@Item)">(OBX_segment_Onderliggend_lijden): de waarde van Item MOET '572' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Onderliggend_lijden): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Sub-ID') or not(@LongName)">(OBX_segment_Onderliggend_lijden): de waarde van LongName MOET 'Observation Sub-ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (OBX_segment_Onderliggend_lijden)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Item) = ('573') or not(@Item)">(OBX_segment_Onderliggend_lijden): de waarde van Item MOET '573' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Type) = ('varies') or not(@Type)">(OBX_segment_Onderliggend_lijden): de waarde van Type MOET 'varies' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Value') or not(@LongName)">(OBX_segment_Onderliggend_lijden): de waarde van LongName MOET 'Observation Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.67
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (varies_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (OBX_segment_Onderliggend_lijden)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6">
      <extends rule="d380181e0-false-d380187e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Item) = ('574') or not(@Item)">(OBX_segment_Onderliggend_lijden): de waarde van Item MOET '574' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Onderliggend_lijden): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(OBX_segment_Onderliggend_lijden): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d380181e0-false-d380187e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3">
      <extends rule="d380331e0-false-d380337e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d380331e0-false-d380337e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6">
      <extends rule="d380450e0-false-d380456e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d380450e0-false-d380456e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (OBX_segment_Onderliggend_lijden)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Item) = ('575') or not(@Item)">(OBX_segment_Onderliggend_lijden): de waarde van Item MOET '575' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Onderliggend_lijden): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@LongName) = ('References Range') or not(@LongName)">(OBX_segment_Onderliggend_lijden): de waarde van LongName MOET 'References Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (OBX_segment_Onderliggend_lijden)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Item) = ('576') or not(@Item)">(OBX_segment_Onderliggend_lijden): de waarde van Item MOET '576' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OBX_segment_Onderliggend_lijden): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Table) = ('HL70078') or not(@Table)">(OBX_segment_Onderliggend_lijden): de waarde van Table MOET 'HL70078' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@LongName) = ('Abnormal Flags') or not(@LongName)">(OBX_segment_Onderliggend_lijden): de waarde van LongName MOET 'Abnormal Flags' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (OBX_segment_Onderliggend_lijden)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Item) = ('577') or not(@Item)">(OBX_segment_Onderliggend_lijden): de waarde van Item MOET '577' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Type) = ('NM') or not(@Type)">(OBX_segment_Onderliggend_lijden): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@LongName) = ('Probability') or not(@LongName)">(OBX_segment_Onderliggend_lijden): de waarde van LongName MOET 'Probability' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (OBX_segment_Onderliggend_lijden)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10">
      <extends rule="d380634e0-false-d380640e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Item) = ('578') or not(@Item)">(OBX_segment_Onderliggend_lijden): de waarde van Item MOET '578' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Onderliggend_lijden): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Table) = ('HL70080') or not(@Table)">(OBX_segment_Onderliggend_lijden): de waarde van Table MOET 'HL70080' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@LongName) = ('Nature of Abnormal Test') or not(@LongName)">(OBX_segment_Onderliggend_lijden): de waarde van LongName MOET 'Nature of Abnormal Test' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d380634e0-false-d380640e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (OBX_segment_Onderliggend_lijden)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11">
      <extends rule="d380691e0-false-d380697e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Item) = ('579') or not(@Item)">(OBX_segment_Onderliggend_lijden): de waarde van Item MOET '579' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Onderliggend_lijden): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Table) = ('HL70085') or not(@Table)">(OBX_segment_Onderliggend_lijden): de waarde van Table MOET 'HL70085' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Result Status') or not(@LongName)">(OBX_segment_Onderliggend_lijden): de waarde van LongName MOET 'Observation Result Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d380691e0-false-d380697e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (OBX_segment_Onderliggend_lijden)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12">
      <extends rule="d380742e0-false-d380748e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Item) = ('580') or not(@Item)">(OBX_segment_Onderliggend_lijden): de waarde van Item MOET '580' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Onderliggend_lijden): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@LongName) = ('Effective Date of Reference Range') or not(@LongName)">(OBX_segment_Onderliggend_lijden): de waarde van LongName MOET 'Effective Date of Reference Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d380742e0-false-d380748e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2">
      <extends rule="d380830e0-false-d380836e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d380830e0-false-d380836e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (OBX_segment_Onderliggend_lijden)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Item) = ('581') or not(@Item)">(OBX_segment_Onderliggend_lijden): de waarde van Item MOET '581' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Onderliggend_lijden): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@LongName) = ('User Defined Access Checks') or not(@LongName)">(OBX_segment_Onderliggend_lijden): de waarde van LongName MOET 'User Defined Access Checks' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (OBX_segment_Onderliggend_lijden)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14">
      <extends rule="d380922e0-false-d380928e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Item) = ('582') or not(@Item)">(OBX_segment_Onderliggend_lijden): de waarde van Item MOET '582' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Onderliggend_lijden): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Observation') or not(@LongName)">(OBX_segment_Onderliggend_lijden): de waarde van LongName MOET 'Date/Time of the Observation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d380922e0-false-d380928e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2">
      <extends rule="d381010e0-false-d381016e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d381010e0-false-d381016e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (OBX_segment_Onderliggend_lijden)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15">
      <extends rule="d381062e0-false-d381068e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Item) = ('583') or not(@Item)">(OBX_segment_Onderliggend_lijden): de waarde van Item MOET '583' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Onderliggend_lijden): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@LongName) = ('Producer''s ID') or not(@LongName)">(OBX_segment_Onderliggend_lijden): de waarde van LongName MOET 'Producer''s ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d381062e0-false-d381068e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3">
      <extends rule="d381212e0-false-d381218e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d381212e0-false-d381218e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6">
      <extends rule="d381331e0-false-d381337e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d381331e0-false-d381337e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (OBX_segment_Onderliggend_lijden)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16">
      <extends rule="d381383e0-false-d381389e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Item) = ('584') or not(@Item)">(OBX_segment_Onderliggend_lijden): de waarde van Item MOET '584' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(OBX_segment_Onderliggend_lijden): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@LongName) = ('Responsible Observer') or not(@LongName)">(OBX_segment_Onderliggend_lijden): de waarde van LongName MOET 'Responsible Observer' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d381383e0-false-d381389e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2">
      <extends rule="d381612e0-false-d381618e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d381612e0-false-d381618e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9">
      <extends rule="d382074e0-false-d382080e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d382074e0-false-d382080e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d382209e0-false-d382215e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d382209e0-false-d382215e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10">
      <extends rule="d382261e0-false-d382267e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d382261e0-false-d382267e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12">
      <extends rule="d382346e0-false-d382352e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d382346e0-false-d382352e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13">
      <extends rule="d382397e0-false-d382403e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d382397e0-false-d382403e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14">
      <extends rule="d382442e0-false-d382448e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d382442e0-false-d382448e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d382577e0-false-d382583e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d382577e0-false-d382583e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15">
      <extends rule="d382629e0-false-d382635e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d382629e0-false-d382635e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16">
      <extends rule="d382680e0-false-d382686e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d382680e0-false-d382686e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d382830e0-false-d382836e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d382830e0-false-d382836e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d382949e0-false-d382955e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d382949e0-false-d382955e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17">
      <extends rule="d382995e0-false-d383001e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d382995e0-false-d383001e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d383043e0-false-d383049e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d383043e0-false-d383049e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d383131e0-false-d383137e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d383131e0-false-d383137e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d383177e0-false-d383183e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d383177e0-false-d383183e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d383265e0-false-d383271e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d383265e0-false-d383271e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18">
      <extends rule="d383318e0-false-d383324e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d383318e0-false-d383324e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19">
      <extends rule="d383363e0-false-d383369e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d383363e0-false-d383369e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d383451e0-false-d383457e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d383451e0-false-d383457e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20">
      <extends rule="d383497e0-false-d383503e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d383497e0-false-d383503e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d383585e0-false-d383591e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d383585e0-false-d383591e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22">
      <extends rule="d383665e0-false-d383671e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d383665e0-false-d383671e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d383836e0-false-d383842e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d383836e0-false-d383842e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d383955e0-false-d383961e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d383955e0-false-d383961e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23">
      <extends rule="d384103e0-false-d384109e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d384103e0-false-d384109e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d384274e0-false-d384280e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d384274e0-false-d384280e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d384393e0-false-d384399e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d384393e0-false-d384399e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (OBX_segment_Onderliggend_lijden)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17">
      <extends rule="d384548e0-false-d384554e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Item) = ('936') or not(@Item)">(OBX_segment_Onderliggend_lijden): de waarde van Item MOET '936' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Onderliggend_lijden): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Method') or not(@LongName)">(OBX_segment_Onderliggend_lijden): de waarde van LongName MOET 'Observation Method' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d384548e0-false-d384554e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3">
      <extends rule="d384698e0-false-d384704e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d384698e0-false-d384704e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6">
      <extends rule="d384817e0-false-d384823e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d384817e0-false-d384823e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (OBX_segment_Onderliggend_lijden)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18">
      <extends rule="d384869e0-false-d384875e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Item) = ('1479') or not(@Item)">(OBX_segment_Onderliggend_lijden): de waarde van Item MOET '1479' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Type) = ('EI') or not(@Type)">(OBX_segment_Onderliggend_lijden): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@LongName) = ('Equipment Instance Identifier') or not(@LongName)">(OBX_segment_Onderliggend_lijden): de waarde van LongName MOET 'Equipment Instance Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d384869e0-false-d384875e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4">
      <extends rule="d385045e0-false-d385051e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d385045e0-false-d385051e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (OBX_segment_Onderliggend_lijden)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19">
      <extends rule="d385097e0-false-d385103e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Item) = ('1480') or not(@Item)">(OBX_segment_Onderliggend_lijden): de waarde van Item MOET '1480' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Onderliggend_lijden): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.11-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Analysis') or not(@LongName)">(OBX_segment_Onderliggend_lijden): de waarde van LongName MOET 'Date/Time of the Analysis' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d385097e0-false-d385103e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2">
      <extends rule="d385185e0-false-d385191e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d385185e0-false-d385191e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION"
         id="d41e3217-false-d385210e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OBX_segment_Gewicht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="count(hl7v2:OBX.1) &lt;= 1">(OBX_segment_Gewicht): element hl7v2:OBX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &gt;= 1">(OBX_segment_Gewicht): element hl7v2:OBX.2 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &lt;= 1">(OBX_segment_Gewicht): element hl7v2:OBX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &gt;= 1">(OBX_segment_Gewicht): element hl7v2:OBX.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &lt;= 1">(OBX_segment_Gewicht): element hl7v2:OBX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="count(hl7v2:OBX.4) &lt;= 1">(OBX_segment_Gewicht): element hl7v2:OBX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &gt;= 1">(OBX_segment_Gewicht): element hl7v2:OBX.5 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &lt;= 1">(OBX_segment_Gewicht): element hl7v2:OBX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="count(hl7v2:OBX.6) &gt;= 1">(OBX_segment_Gewicht): element hl7v2:OBX.6 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="count(hl7v2:OBX.6) &lt;= 1">(OBX_segment_Gewicht): element hl7v2:OBX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="count(hl7v2:OBX.7) &lt;= 1">(OBX_segment_Gewicht): element hl7v2:OBX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="count(hl7v2:OBX.9) &lt;= 1">(OBX_segment_Gewicht): element hl7v2:OBX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &gt;= 1">(OBX_segment_Gewicht): element hl7v2:OBX.11 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &lt;= 1">(OBX_segment_Gewicht): element hl7v2:OBX.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="count(hl7v2:OBX.12) &lt;= 1">(OBX_segment_Gewicht): element hl7v2:OBX.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="count(hl7v2:OBX.13) &lt;= 1">(OBX_segment_Gewicht): element hl7v2:OBX.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="count(hl7v2:OBX.14) &lt;= 1">(OBX_segment_Gewicht): element hl7v2:OBX.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="count(hl7v2:OBX.15) &lt;= 1">(OBX_segment_Gewicht): element hl7v2:OBX.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="count(hl7v2:OBX.19) &lt;= 1">(OBX_segment_Gewicht): element hl7v2:OBX.19 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (OBX_segment_Gewicht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Item) = ('569') or not(@Item)">(OBX_segment_Gewicht): de waarde van Item MOET '569' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Type) = ('SI') or not(@Type)">(OBX_segment_Gewicht): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@LongName) = ('Set ID - OBX') or not(@LongName)">(OBX_segment_Gewicht): de waarde van LongName MOET 'Set ID - OBX' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (OBX_segment_Gewicht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2">
      <extends rule="d385469e0-false-d385475e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Item) = ('570') or not(@Item)">(OBX_segment_Gewicht): de waarde van Item MOET '570' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Gewicht): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Table) = ('HL70125') or not(@Table)">(OBX_segment_Gewicht): de waarde van Table MOET 'HL70125' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@LongName) = ('Value Type') or not(@LongName)">(OBX_segment_Gewicht): de waarde van LongName MOET 'Value Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d385469e0-false-d385475e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="text()='NM'">(ID_datatype): de elementinhoud van hl7v2:OBX.2 MOET ''NM'' zijn. Gevonden: "<value-of select="."/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (OBX_segment_Gewicht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3">
      <extends rule="d385533e0-false-d385539e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Item) = ('571') or not(@Item)">(OBX_segment_Gewicht): de waarde van Item MOET '571' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Gewicht): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Identifier') or not(@LongName)">(OBX_segment_Gewicht): de waarde van LongName MOET 'Observation Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d385533e0-false-d385539e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="@nullFlavor or (@code='29463-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Body weight' and @codeSystemName='LN')">(CE_datatype): de elementwaarde MOET een zijn van 'code '29463-7' codeSystem '2.16.840.1.113883.6.1' displayName='Body weight' codeSystemName='LN''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3">
      <extends rule="d385690e0-false-d385696e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d385690e0-false-d385696e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6">
      <extends rule="d385809e0-false-d385815e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d385809e0-false-d385815e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (OBX_segment_Gewicht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Item) = ('572') or not(@Item)">(OBX_segment_Gewicht): de waarde van Item MOET '572' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Gewicht): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Sub-ID') or not(@LongName)">(OBX_segment_Gewicht): de waarde van LongName MOET 'Observation Sub-ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (OBX_segment_Gewicht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Item) = ('573') or not(@Item)">(OBX_segment_Gewicht): de waarde van Item MOET '573' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Type) = ('varies') or not(@Type)">(OBX_segment_Gewicht): de waarde van Type MOET 'varies' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Value') or not(@LongName)">(OBX_segment_Gewicht): de waarde van LongName MOET 'Observation Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (OBX_segment_Gewicht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6">
      <extends rule="d385950e0-false-d385956e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Item) = ('574') or not(@Item)">(OBX_segment_Gewicht): de waarde van Item MOET '574' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Gewicht): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(OBX_segment_Gewicht): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d385950e0-false-d385956e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="@nullFlavor or (@code='kg') or (@code='g')">(CE_datatype): de elementwaarde MOET een zijn van 'code 'kg' of code 'g''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3">
      <extends rule="d386109e0-false-d386115e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d386109e0-false-d386115e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6">
      <extends rule="d386228e0-false-d386234e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d386228e0-false-d386234e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (OBX_segment_Gewicht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Item) = ('575') or not(@Item)">(OBX_segment_Gewicht): de waarde van Item MOET '575' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Gewicht): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@LongName) = ('References Range') or not(@LongName)">(OBX_segment_Gewicht): de waarde van LongName MOET 'References Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (OBX_segment_Gewicht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Item) = ('576') or not(@Item)">(OBX_segment_Gewicht): de waarde van Item MOET '576' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OBX_segment_Gewicht): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Table) = ('HL70078') or not(@Table)">(OBX_segment_Gewicht): de waarde van Table MOET 'HL70078' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@LongName) = ('Abnormal Flags') or not(@LongName)">(OBX_segment_Gewicht): de waarde van LongName MOET 'Abnormal Flags' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (OBX_segment_Gewicht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Item) = ('577') or not(@Item)">(OBX_segment_Gewicht): de waarde van Item MOET '577' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Type) = ('NM') or not(@Type)">(OBX_segment_Gewicht): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@LongName) = ('Probability') or not(@LongName)">(OBX_segment_Gewicht): de waarde van LongName MOET 'Probability' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (OBX_segment_Gewicht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10">
      <extends rule="d386412e0-false-d386418e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Item) = ('578') or not(@Item)">(OBX_segment_Gewicht): de waarde van Item MOET '578' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Gewicht): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Table) = ('HL70080') or not(@Table)">(OBX_segment_Gewicht): de waarde van Table MOET 'HL70080' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@LongName) = ('Nature of Abnormal Test') or not(@LongName)">(OBX_segment_Gewicht): de waarde van LongName MOET 'Nature of Abnormal Test' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d386412e0-false-d386418e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (OBX_segment_Gewicht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11">
      <extends rule="d386469e0-false-d386475e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Item) = ('579') or not(@Item)">(OBX_segment_Gewicht): de waarde van Item MOET '579' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Gewicht): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Table) = ('HL70085') or not(@Table)">(OBX_segment_Gewicht): de waarde van Table MOET 'HL70085' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Result Status') or not(@LongName)">(OBX_segment_Gewicht): de waarde van LongName MOET 'Observation Result Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d386469e0-false-d386475e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (OBX_segment_Gewicht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12">
      <extends rule="d386520e0-false-d386526e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Item) = ('580') or not(@Item)">(OBX_segment_Gewicht): de waarde van Item MOET '580' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Gewicht): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@LongName) = ('Effective Date of Reference Range') or not(@LongName)">(OBX_segment_Gewicht): de waarde van LongName MOET 'Effective Date of Reference Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d386520e0-false-d386526e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2">
      <extends rule="d386608e0-false-d386614e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d386608e0-false-d386614e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (OBX_segment_Gewicht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Item) = ('581') or not(@Item)">(OBX_segment_Gewicht): de waarde van Item MOET '581' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Gewicht): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@LongName) = ('User Defined Access Checks') or not(@LongName)">(OBX_segment_Gewicht): de waarde van LongName MOET 'User Defined Access Checks' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (OBX_segment_Gewicht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14">
      <extends rule="d386700e0-false-d386706e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Item) = ('582') or not(@Item)">(OBX_segment_Gewicht): de waarde van Item MOET '582' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Gewicht): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Observation') or not(@LongName)">(OBX_segment_Gewicht): de waarde van LongName MOET 'Date/Time of the Observation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d386700e0-false-d386706e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2">
      <extends rule="d386788e0-false-d386794e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d386788e0-false-d386794e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (OBX_segment_Gewicht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15">
      <extends rule="d386840e0-false-d386846e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Item) = ('583') or not(@Item)">(OBX_segment_Gewicht): de waarde van Item MOET '583' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Gewicht): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@LongName) = ('Producer''s ID') or not(@LongName)">(OBX_segment_Gewicht): de waarde van LongName MOET 'Producer''s ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d386840e0-false-d386846e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3">
      <extends rule="d386990e0-false-d386996e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d386990e0-false-d386996e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6">
      <extends rule="d387109e0-false-d387115e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d387109e0-false-d387115e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (OBX_segment_Gewicht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16">
      <extends rule="d387161e0-false-d387167e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Item) = ('584') or not(@Item)">(OBX_segment_Gewicht): de waarde van Item MOET '584' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(OBX_segment_Gewicht): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@LongName) = ('Responsible Observer') or not(@LongName)">(OBX_segment_Gewicht): de waarde van LongName MOET 'Responsible Observer' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d387161e0-false-d387167e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2">
      <extends rule="d387390e0-false-d387396e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d387390e0-false-d387396e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9">
      <extends rule="d387852e0-false-d387858e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d387852e0-false-d387858e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d387987e0-false-d387993e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d387987e0-false-d387993e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10">
      <extends rule="d388039e0-false-d388045e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d388039e0-false-d388045e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12">
      <extends rule="d388124e0-false-d388130e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d388124e0-false-d388130e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13">
      <extends rule="d388175e0-false-d388181e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d388175e0-false-d388181e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14">
      <extends rule="d388220e0-false-d388226e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d388220e0-false-d388226e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d388355e0-false-d388361e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d388355e0-false-d388361e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15">
      <extends rule="d388407e0-false-d388413e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d388407e0-false-d388413e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16">
      <extends rule="d388458e0-false-d388464e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d388458e0-false-d388464e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d388608e0-false-d388614e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d388608e0-false-d388614e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d388727e0-false-d388733e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d388727e0-false-d388733e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17">
      <extends rule="d388773e0-false-d388779e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d388773e0-false-d388779e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d388821e0-false-d388827e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d388821e0-false-d388827e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d388909e0-false-d388915e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d388909e0-false-d388915e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d388955e0-false-d388961e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d388955e0-false-d388961e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d389043e0-false-d389049e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d389043e0-false-d389049e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18">
      <extends rule="d389096e0-false-d389102e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d389096e0-false-d389102e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19">
      <extends rule="d389141e0-false-d389147e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d389141e0-false-d389147e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d389229e0-false-d389235e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d389229e0-false-d389235e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20">
      <extends rule="d389275e0-false-d389281e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d389275e0-false-d389281e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d389363e0-false-d389369e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d389363e0-false-d389369e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22">
      <extends rule="d389443e0-false-d389449e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d389443e0-false-d389449e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d389614e0-false-d389620e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d389614e0-false-d389620e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d389733e0-false-d389739e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d389733e0-false-d389739e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23">
      <extends rule="d389881e0-false-d389887e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d389881e0-false-d389887e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d390052e0-false-d390058e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d390052e0-false-d390058e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d390171e0-false-d390177e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d390171e0-false-d390177e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (OBX_segment_Gewicht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17">
      <extends rule="d390326e0-false-d390332e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Item) = ('936') or not(@Item)">(OBX_segment_Gewicht): de waarde van Item MOET '936' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Gewicht): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Method') or not(@LongName)">(OBX_segment_Gewicht): de waarde van LongName MOET 'Observation Method' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d390326e0-false-d390332e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3">
      <extends rule="d390476e0-false-d390482e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d390476e0-false-d390482e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6">
      <extends rule="d390595e0-false-d390601e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d390595e0-false-d390601e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (OBX_segment_Gewicht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18">
      <extends rule="d390647e0-false-d390653e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Item) = ('1479') or not(@Item)">(OBX_segment_Gewicht): de waarde van Item MOET '1479' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Type) = ('EI') or not(@Type)">(OBX_segment_Gewicht): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@LongName) = ('Equipment Instance Identifier') or not(@LongName)">(OBX_segment_Gewicht): de waarde van LongName MOET 'Equipment Instance Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d390647e0-false-d390653e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4">
      <extends rule="d390823e0-false-d390829e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d390823e0-false-d390829e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (OBX_segment_Gewicht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19">
      <extends rule="d390875e0-false-d390881e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Item) = ('1480') or not(@Item)">(OBX_segment_Gewicht): de waarde van Item MOET '1480' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Gewicht): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.12-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Analysis') or not(@LongName)">(OBX_segment_Gewicht): de waarde van LongName MOET 'Date/Time of the Analysis' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d390875e0-false-d390881e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2">
      <extends rule="d390963e0-false-d390969e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d390963e0-false-d390969e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION"
         id="d41e3225-false-d390988e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.13
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OBX_segment_Lengte)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="count(hl7v2:OBX.1) &lt;= 1">(OBX_segment_Lengte): element hl7v2:OBX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &gt;= 1">(OBX_segment_Lengte): element hl7v2:OBX.2 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &lt;= 1">(OBX_segment_Lengte): element hl7v2:OBX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &gt;= 1">(OBX_segment_Lengte): element hl7v2:OBX.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &lt;= 1">(OBX_segment_Lengte): element hl7v2:OBX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="count(hl7v2:OBX.4) &lt;= 1">(OBX_segment_Lengte): element hl7v2:OBX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &gt;= 1">(OBX_segment_Lengte): element hl7v2:OBX.5 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &lt;= 1">(OBX_segment_Lengte): element hl7v2:OBX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="count(hl7v2:OBX.6) &gt;= 1">(OBX_segment_Lengte): element hl7v2:OBX.6 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="count(hl7v2:OBX.6) &lt;= 1">(OBX_segment_Lengte): element hl7v2:OBX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="count(hl7v2:OBX.7) &lt;= 1">(OBX_segment_Lengte): element hl7v2:OBX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="count(hl7v2:OBX.9) &lt;= 1">(OBX_segment_Lengte): element hl7v2:OBX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &gt;= 1">(OBX_segment_Lengte): element hl7v2:OBX.11 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &lt;= 1">(OBX_segment_Lengte): element hl7v2:OBX.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="count(hl7v2:OBX.12) &lt;= 1">(OBX_segment_Lengte): element hl7v2:OBX.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="count(hl7v2:OBX.13) &lt;= 1">(OBX_segment_Lengte): element hl7v2:OBX.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="count(hl7v2:OBX.14) &lt;= 1">(OBX_segment_Lengte): element hl7v2:OBX.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="count(hl7v2:OBX.15) &lt;= 1">(OBX_segment_Lengte): element hl7v2:OBX.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="count(hl7v2:OBX.19) &lt;= 1">(OBX_segment_Lengte): element hl7v2:OBX.19 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.13
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (OBX_segment_Lengte)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Item) = ('569') or not(@Item)">(OBX_segment_Lengte): de waarde van Item MOET '569' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Type) = ('SI') or not(@Type)">(OBX_segment_Lengte): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@LongName) = ('Set ID - OBX') or not(@LongName)">(OBX_segment_Lengte): de waarde van LongName MOET 'Set ID - OBX' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.13
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (OBX_segment_Lengte)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2">
      <extends rule="d391247e0-false-d391253e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Item) = ('570') or not(@Item)">(OBX_segment_Lengte): de waarde van Item MOET '570' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Lengte): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Table) = ('HL70125') or not(@Table)">(OBX_segment_Lengte): de waarde van Table MOET 'HL70125' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@LongName) = ('Value Type') or not(@LongName)">(OBX_segment_Lengte): de waarde van LongName MOET 'Value Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d391247e0-false-d391253e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="text()='NM'">(ID_datatype): de elementinhoud van hl7v2:OBX.2 MOET ''NM'' zijn. Gevonden: "<value-of select="."/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.13
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (OBX_segment_Lengte)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3">
      <extends rule="d391311e0-false-d391317e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Item) = ('571') or not(@Item)">(OBX_segment_Lengte): de waarde van Item MOET '571' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Lengte): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Identifier') or not(@LongName)">(OBX_segment_Lengte): de waarde van LongName MOET 'Observation Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d391311e0-false-d391317e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="@nullFlavor or (@code='8302-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Body height' and @codeSystemName='LN')">(CE_datatype): de elementwaarde MOET een zijn van 'code '8302-2' codeSystem '2.16.840.1.113883.6.1' displayName='Body height' codeSystemName='LN''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3">
      <extends rule="d391468e0-false-d391474e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d391468e0-false-d391474e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6">
      <extends rule="d391587e0-false-d391593e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d391587e0-false-d391593e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.13
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (OBX_segment_Lengte)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Item) = ('572') or not(@Item)">(OBX_segment_Lengte): de waarde van Item MOET '572' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Lengte): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Sub-ID') or not(@LongName)">(OBX_segment_Lengte): de waarde van LongName MOET 'Observation Sub-ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.13
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (OBX_segment_Lengte)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Item) = ('573') or not(@Item)">(OBX_segment_Lengte): de waarde van Item MOET '573' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Type) = ('varies') or not(@Type)">(OBX_segment_Lengte): de waarde van Type MOET 'varies' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Value') or not(@LongName)">(OBX_segment_Lengte): de waarde van LongName MOET 'Observation Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.13
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (OBX_segment_Lengte)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6">
      <extends rule="d391726e0-false-d391732e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Item) = ('574') or not(@Item)">(OBX_segment_Lengte): de waarde van Item MOET '574' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Lengte): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(OBX_segment_Lengte): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d391726e0-false-d391732e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="@nullFlavor or (@code='cm')">(CE_datatype): de elementwaarde MOET een zijn van 'code 'cm''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3">
      <extends rule="d391883e0-false-d391889e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d391883e0-false-d391889e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6">
      <extends rule="d392002e0-false-d392008e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d392002e0-false-d392008e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.13
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (OBX_segment_Lengte)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Item) = ('575') or not(@Item)">(OBX_segment_Lengte): de waarde van Item MOET '575' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Lengte): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@LongName) = ('References Range') or not(@LongName)">(OBX_segment_Lengte): de waarde van LongName MOET 'References Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.13
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (OBX_segment_Lengte)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Item) = ('576') or not(@Item)">(OBX_segment_Lengte): de waarde van Item MOET '576' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OBX_segment_Lengte): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Table) = ('HL70078') or not(@Table)">(OBX_segment_Lengte): de waarde van Table MOET 'HL70078' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@LongName) = ('Abnormal Flags') or not(@LongName)">(OBX_segment_Lengte): de waarde van LongName MOET 'Abnormal Flags' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.13
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (OBX_segment_Lengte)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Item) = ('577') or not(@Item)">(OBX_segment_Lengte): de waarde van Item MOET '577' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Type) = ('NM') or not(@Type)">(OBX_segment_Lengte): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@LongName) = ('Probability') or not(@LongName)">(OBX_segment_Lengte): de waarde van LongName MOET 'Probability' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.13
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (OBX_segment_Lengte)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10">
      <extends rule="d392186e0-false-d392192e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Item) = ('578') or not(@Item)">(OBX_segment_Lengte): de waarde van Item MOET '578' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Lengte): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Table) = ('HL70080') or not(@Table)">(OBX_segment_Lengte): de waarde van Table MOET 'HL70080' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@LongName) = ('Nature of Abnormal Test') or not(@LongName)">(OBX_segment_Lengte): de waarde van LongName MOET 'Nature of Abnormal Test' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d392186e0-false-d392192e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.13
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (OBX_segment_Lengte)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11">
      <extends rule="d392243e0-false-d392249e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Item) = ('579') or not(@Item)">(OBX_segment_Lengte): de waarde van Item MOET '579' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Lengte): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Table) = ('HL70085') or not(@Table)">(OBX_segment_Lengte): de waarde van Table MOET 'HL70085' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Result Status') or not(@LongName)">(OBX_segment_Lengte): de waarde van LongName MOET 'Observation Result Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d392243e0-false-d392249e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.13
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (OBX_segment_Lengte)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12">
      <extends rule="d392294e0-false-d392300e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Item) = ('580') or not(@Item)">(OBX_segment_Lengte): de waarde van Item MOET '580' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Lengte): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@LongName) = ('Effective Date of Reference Range') or not(@LongName)">(OBX_segment_Lengte): de waarde van LongName MOET 'Effective Date of Reference Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d392294e0-false-d392300e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2">
      <extends rule="d392382e0-false-d392388e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d392382e0-false-d392388e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.13
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (OBX_segment_Lengte)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Item) = ('581') or not(@Item)">(OBX_segment_Lengte): de waarde van Item MOET '581' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Lengte): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@LongName) = ('User Defined Access Checks') or not(@LongName)">(OBX_segment_Lengte): de waarde van LongName MOET 'User Defined Access Checks' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.13
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (OBX_segment_Lengte)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14">
      <extends rule="d392474e0-false-d392480e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Item) = ('582') or not(@Item)">(OBX_segment_Lengte): de waarde van Item MOET '582' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Lengte): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Observation') or not(@LongName)">(OBX_segment_Lengte): de waarde van LongName MOET 'Date/Time of the Observation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d392474e0-false-d392480e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2">
      <extends rule="d392562e0-false-d392568e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d392562e0-false-d392568e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.13
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (OBX_segment_Lengte)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15">
      <extends rule="d392614e0-false-d392620e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Item) = ('583') or not(@Item)">(OBX_segment_Lengte): de waarde van Item MOET '583' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Lengte): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@LongName) = ('Producer''s ID') or not(@LongName)">(OBX_segment_Lengte): de waarde van LongName MOET 'Producer''s ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d392614e0-false-d392620e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3">
      <extends rule="d392764e0-false-d392770e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d392764e0-false-d392770e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6">
      <extends rule="d392883e0-false-d392889e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d392883e0-false-d392889e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.13
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (OBX_segment_Lengte)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16">
      <extends rule="d392935e0-false-d392941e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Item) = ('584') or not(@Item)">(OBX_segment_Lengte): de waarde van Item MOET '584' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(OBX_segment_Lengte): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@LongName) = ('Responsible Observer') or not(@LongName)">(OBX_segment_Lengte): de waarde van LongName MOET 'Responsible Observer' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d392935e0-false-d392941e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2">
      <extends rule="d393164e0-false-d393170e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d393164e0-false-d393170e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9">
      <extends rule="d393626e0-false-d393632e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d393626e0-false-d393632e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d393761e0-false-d393767e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d393761e0-false-d393767e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10">
      <extends rule="d393813e0-false-d393819e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d393813e0-false-d393819e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12">
      <extends rule="d393898e0-false-d393904e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d393898e0-false-d393904e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13">
      <extends rule="d393949e0-false-d393955e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d393949e0-false-d393955e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14">
      <extends rule="d393994e0-false-d394000e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d393994e0-false-d394000e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d394129e0-false-d394135e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d394129e0-false-d394135e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15">
      <extends rule="d394181e0-false-d394187e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d394181e0-false-d394187e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16">
      <extends rule="d394232e0-false-d394238e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d394232e0-false-d394238e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d394382e0-false-d394388e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d394382e0-false-d394388e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d394501e0-false-d394507e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d394501e0-false-d394507e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17">
      <extends rule="d394547e0-false-d394553e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d394547e0-false-d394553e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d394595e0-false-d394601e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d394595e0-false-d394601e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d394683e0-false-d394689e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d394683e0-false-d394689e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d394729e0-false-d394735e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d394729e0-false-d394735e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d394817e0-false-d394823e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d394817e0-false-d394823e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18">
      <extends rule="d394870e0-false-d394876e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d394870e0-false-d394876e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19">
      <extends rule="d394915e0-false-d394921e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d394915e0-false-d394921e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d395003e0-false-d395009e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d395003e0-false-d395009e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20">
      <extends rule="d395049e0-false-d395055e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d395049e0-false-d395055e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d395137e0-false-d395143e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d395137e0-false-d395143e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22">
      <extends rule="d395217e0-false-d395223e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d395217e0-false-d395223e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d395388e0-false-d395394e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d395388e0-false-d395394e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d395507e0-false-d395513e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d395507e0-false-d395513e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23">
      <extends rule="d395655e0-false-d395661e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d395655e0-false-d395661e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d395826e0-false-d395832e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d395826e0-false-d395832e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d395945e0-false-d395951e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d395945e0-false-d395951e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.13
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (OBX_segment_Lengte)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17">
      <extends rule="d396100e0-false-d396106e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Item) = ('936') or not(@Item)">(OBX_segment_Lengte): de waarde van Item MOET '936' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Lengte): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Method') or not(@LongName)">(OBX_segment_Lengte): de waarde van LongName MOET 'Observation Method' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d396100e0-false-d396106e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3">
      <extends rule="d396250e0-false-d396256e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d396250e0-false-d396256e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6">
      <extends rule="d396369e0-false-d396375e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d396369e0-false-d396375e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.13
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (OBX_segment_Lengte)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18">
      <extends rule="d396421e0-false-d396427e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Item) = ('1479') or not(@Item)">(OBX_segment_Lengte): de waarde van Item MOET '1479' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Type) = ('EI') or not(@Type)">(OBX_segment_Lengte): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@LongName) = ('Equipment Instance Identifier') or not(@LongName)">(OBX_segment_Lengte): de waarde van LongName MOET 'Equipment Instance Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d396421e0-false-d396427e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4">
      <extends rule="d396597e0-false-d396603e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d396597e0-false-d396603e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.13
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (OBX_segment_Lengte)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19">
      <extends rule="d396649e0-false-d396655e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Item) = ('1480') or not(@Item)">(OBX_segment_Lengte): de waarde van Item MOET '1480' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Lengte): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.13-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Analysis') or not(@LongName)">(OBX_segment_Lengte): de waarde van LongName MOET 'Date/Time of the Analysis' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d396649e0-false-d396655e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2">
      <extends rule="d396737e0-false-d396743e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d396737e0-false-d396743e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION"
         id="d41e3233-false-d396762e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.14
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OBX_segment_Eerste_ziektedag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="count(hl7v2:OBX.1) &lt;= 1">(OBX_segment_Eerste_ziektedag): element hl7v2:OBX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &gt;= 1">(OBX_segment_Eerste_ziektedag): element hl7v2:OBX.2 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &lt;= 1">(OBX_segment_Eerste_ziektedag): element hl7v2:OBX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &gt;= 1">(OBX_segment_Eerste_ziektedag): element hl7v2:OBX.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &lt;= 1">(OBX_segment_Eerste_ziektedag): element hl7v2:OBX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="count(hl7v2:OBX.4) &lt;= 1">(OBX_segment_Eerste_ziektedag): element hl7v2:OBX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &gt;= 1">(OBX_segment_Eerste_ziektedag): element hl7v2:OBX.5 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &lt;= 1">(OBX_segment_Eerste_ziektedag): element hl7v2:OBX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="count(hl7v2:OBX.6) &lt;= 1">(OBX_segment_Eerste_ziektedag): element hl7v2:OBX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="count(hl7v2:OBX.7) &lt;= 1">(OBX_segment_Eerste_ziektedag): element hl7v2:OBX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="count(hl7v2:OBX.9) &lt;= 1">(OBX_segment_Eerste_ziektedag): element hl7v2:OBX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &gt;= 1">(OBX_segment_Eerste_ziektedag): element hl7v2:OBX.11 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &lt;= 1">(OBX_segment_Eerste_ziektedag): element hl7v2:OBX.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="count(hl7v2:OBX.12) &lt;= 1">(OBX_segment_Eerste_ziektedag): element hl7v2:OBX.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="count(hl7v2:OBX.13) &lt;= 1">(OBX_segment_Eerste_ziektedag): element hl7v2:OBX.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="count(hl7v2:OBX.14) &lt;= 1">(OBX_segment_Eerste_ziektedag): element hl7v2:OBX.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="count(hl7v2:OBX.15) &lt;= 1">(OBX_segment_Eerste_ziektedag): element hl7v2:OBX.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="count(hl7v2:OBX.19) &lt;= 1">(OBX_segment_Eerste_ziektedag): element hl7v2:OBX.19 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.14
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (OBX_segment_Eerste_ziektedag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Item) = ('569') or not(@Item)">(OBX_segment_Eerste_ziektedag): de waarde van Item MOET '569' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Type) = ('SI') or not(@Type)">(OBX_segment_Eerste_ziektedag): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@LongName) = ('Set ID - OBX') or not(@LongName)">(OBX_segment_Eerste_ziektedag): de waarde van LongName MOET 'Set ID - OBX' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.14
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (OBX_segment_Eerste_ziektedag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2">
      <extends rule="d397015e0-false-d397021e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Item) = ('570') or not(@Item)">(OBX_segment_Eerste_ziektedag): de waarde van Item MOET '570' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Eerste_ziektedag): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Table) = ('HL70125') or not(@Table)">(OBX_segment_Eerste_ziektedag): de waarde van Table MOET 'HL70125' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@LongName) = ('Value Type') or not(@LongName)">(OBX_segment_Eerste_ziektedag): de waarde van LongName MOET 'Value Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d397015e0-false-d397021e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="text()='TS'">(ID_datatype): de elementinhoud van hl7v2:OBX.2 MOET ''TS'' zijn. Gevonden: "<value-of select="."/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.14
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (OBX_segment_Eerste_ziektedag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3">
      <extends rule="d397079e0-false-d397085e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Item) = ('571') or not(@Item)">(OBX_segment_Eerste_ziektedag): de waarde van Item MOET '571' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Eerste_ziektedag): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Identifier') or not(@LongName)">(OBX_segment_Eerste_ziektedag): de waarde van LongName MOET 'Observation Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d397079e0-false-d397085e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="@nullFlavor or (@code='11368-8' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Illness or injury onset date and time' and @codeSystemName='LN')">(CE_datatype): de elementwaarde MOET een zijn van 'code '11368-8' codeSystem '2.16.840.1.113883.6.1' displayName='Illness or injury onset date and time' codeSystemName='LN''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3">
      <extends rule="d397236e0-false-d397242e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d397236e0-false-d397242e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6">
      <extends rule="d397355e0-false-d397361e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d397355e0-false-d397361e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.14
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (OBX_segment_Eerste_ziektedag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Item) = ('572') or not(@Item)">(OBX_segment_Eerste_ziektedag): de waarde van Item MOET '572' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Eerste_ziektedag): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Sub-ID') or not(@LongName)">(OBX_segment_Eerste_ziektedag): de waarde van LongName MOET 'Observation Sub-ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.14
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (OBX_segment_Eerste_ziektedag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5">
      <extends rule="d397447e0-false-d397453e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Item) = ('573') or not(@Item)">(OBX_segment_Eerste_ziektedag): de waarde van Item MOET '573' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Type) = ('varies') or not(@Type)">(OBX_segment_Eerste_ziektedag): de waarde van Type MOET 'varies' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Value') or not(@LongName)">(OBX_segment_Eerste_ziektedag): de waarde van LongName MOET 'Observation Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d397447e0-false-d397453e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5/hl7v2:TS.2">
      <extends rule="d397535e0-false-d397541e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d397535e0-false-d397541e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.14
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (OBX_segment_Eerste_ziektedag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6">
      <extends rule="d397587e0-false-d397593e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Item) = ('574') or not(@Item)">(OBX_segment_Eerste_ziektedag): de waarde van Item MOET '574' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Eerste_ziektedag): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(OBX_segment_Eerste_ziektedag): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d397587e0-false-d397593e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3">
      <extends rule="d397737e0-false-d397743e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d397737e0-false-d397743e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6">
      <extends rule="d397856e0-false-d397862e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d397856e0-false-d397862e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.14
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (OBX_segment_Eerste_ziektedag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Item) = ('575') or not(@Item)">(OBX_segment_Eerste_ziektedag): de waarde van Item MOET '575' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Eerste_ziektedag): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@LongName) = ('References Range') or not(@LongName)">(OBX_segment_Eerste_ziektedag): de waarde van LongName MOET 'References Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.14
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (OBX_segment_Eerste_ziektedag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Item) = ('576') or not(@Item)">(OBX_segment_Eerste_ziektedag): de waarde van Item MOET '576' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OBX_segment_Eerste_ziektedag): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Table) = ('HL70078') or not(@Table)">(OBX_segment_Eerste_ziektedag): de waarde van Table MOET 'HL70078' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@LongName) = ('Abnormal Flags') or not(@LongName)">(OBX_segment_Eerste_ziektedag): de waarde van LongName MOET 'Abnormal Flags' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.14
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (OBX_segment_Eerste_ziektedag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Item) = ('577') or not(@Item)">(OBX_segment_Eerste_ziektedag): de waarde van Item MOET '577' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Type) = ('NM') or not(@Type)">(OBX_segment_Eerste_ziektedag): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@LongName) = ('Probability') or not(@LongName)">(OBX_segment_Eerste_ziektedag): de waarde van LongName MOET 'Probability' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.14
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (OBX_segment_Eerste_ziektedag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10">
      <extends rule="d398040e0-false-d398046e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Item) = ('578') or not(@Item)">(OBX_segment_Eerste_ziektedag): de waarde van Item MOET '578' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Eerste_ziektedag): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Table) = ('HL70080') or not(@Table)">(OBX_segment_Eerste_ziektedag): de waarde van Table MOET 'HL70080' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@LongName) = ('Nature of Abnormal Test') or not(@LongName)">(OBX_segment_Eerste_ziektedag): de waarde van LongName MOET 'Nature of Abnormal Test' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d398040e0-false-d398046e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.14
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (OBX_segment_Eerste_ziektedag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11">
      <extends rule="d398097e0-false-d398103e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Item) = ('579') or not(@Item)">(OBX_segment_Eerste_ziektedag): de waarde van Item MOET '579' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Eerste_ziektedag): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Table) = ('HL70085') or not(@Table)">(OBX_segment_Eerste_ziektedag): de waarde van Table MOET 'HL70085' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Result Status') or not(@LongName)">(OBX_segment_Eerste_ziektedag): de waarde van LongName MOET 'Observation Result Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d398097e0-false-d398103e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.14
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (OBX_segment_Eerste_ziektedag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12">
      <extends rule="d398148e0-false-d398154e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Item) = ('580') or not(@Item)">(OBX_segment_Eerste_ziektedag): de waarde van Item MOET '580' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Eerste_ziektedag): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@LongName) = ('Effective Date of Reference Range') or not(@LongName)">(OBX_segment_Eerste_ziektedag): de waarde van LongName MOET 'Effective Date of Reference Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d398148e0-false-d398154e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2">
      <extends rule="d398236e0-false-d398242e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d398236e0-false-d398242e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.14
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (OBX_segment_Eerste_ziektedag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Item) = ('581') or not(@Item)">(OBX_segment_Eerste_ziektedag): de waarde van Item MOET '581' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Eerste_ziektedag): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@LongName) = ('User Defined Access Checks') or not(@LongName)">(OBX_segment_Eerste_ziektedag): de waarde van LongName MOET 'User Defined Access Checks' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.14
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (OBX_segment_Eerste_ziektedag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14">
      <extends rule="d398328e0-false-d398334e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Item) = ('582') or not(@Item)">(OBX_segment_Eerste_ziektedag): de waarde van Item MOET '582' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Eerste_ziektedag): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Observation') or not(@LongName)">(OBX_segment_Eerste_ziektedag): de waarde van LongName MOET 'Date/Time of the Observation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d398328e0-false-d398334e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2">
      <extends rule="d398416e0-false-d398422e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d398416e0-false-d398422e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.14
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (OBX_segment_Eerste_ziektedag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15">
      <extends rule="d398468e0-false-d398474e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Item) = ('583') or not(@Item)">(OBX_segment_Eerste_ziektedag): de waarde van Item MOET '583' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Eerste_ziektedag): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@LongName) = ('Producer''s ID') or not(@LongName)">(OBX_segment_Eerste_ziektedag): de waarde van LongName MOET 'Producer''s ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d398468e0-false-d398474e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3">
      <extends rule="d398618e0-false-d398624e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d398618e0-false-d398624e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6">
      <extends rule="d398737e0-false-d398743e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d398737e0-false-d398743e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.14
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (OBX_segment_Eerste_ziektedag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16">
      <extends rule="d398789e0-false-d398795e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Item) = ('584') or not(@Item)">(OBX_segment_Eerste_ziektedag): de waarde van Item MOET '584' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(OBX_segment_Eerste_ziektedag): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@LongName) = ('Responsible Observer') or not(@LongName)">(OBX_segment_Eerste_ziektedag): de waarde van LongName MOET 'Responsible Observer' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d398789e0-false-d398795e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2">
      <extends rule="d399018e0-false-d399024e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d399018e0-false-d399024e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9">
      <extends rule="d399480e0-false-d399486e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d399480e0-false-d399486e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d399615e0-false-d399621e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d399615e0-false-d399621e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10">
      <extends rule="d399667e0-false-d399673e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d399667e0-false-d399673e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12">
      <extends rule="d399752e0-false-d399758e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d399752e0-false-d399758e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13">
      <extends rule="d399803e0-false-d399809e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d399803e0-false-d399809e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14">
      <extends rule="d399848e0-false-d399854e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d399848e0-false-d399854e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d399983e0-false-d399989e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d399983e0-false-d399989e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15">
      <extends rule="d400035e0-false-d400041e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d400035e0-false-d400041e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16">
      <extends rule="d400086e0-false-d400092e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d400086e0-false-d400092e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d400236e0-false-d400242e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d400236e0-false-d400242e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d400355e0-false-d400361e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d400355e0-false-d400361e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17">
      <extends rule="d400401e0-false-d400407e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d400401e0-false-d400407e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d400449e0-false-d400455e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d400449e0-false-d400455e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d400537e0-false-d400543e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d400537e0-false-d400543e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d400583e0-false-d400589e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d400583e0-false-d400589e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d400671e0-false-d400677e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d400671e0-false-d400677e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18">
      <extends rule="d400724e0-false-d400730e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d400724e0-false-d400730e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19">
      <extends rule="d400769e0-false-d400775e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d400769e0-false-d400775e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d400857e0-false-d400863e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d400857e0-false-d400863e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20">
      <extends rule="d400903e0-false-d400909e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d400903e0-false-d400909e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d400991e0-false-d400997e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d400991e0-false-d400997e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22">
      <extends rule="d401071e0-false-d401077e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d401071e0-false-d401077e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d401242e0-false-d401248e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d401242e0-false-d401248e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d401361e0-false-d401367e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d401361e0-false-d401367e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23">
      <extends rule="d401509e0-false-d401515e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d401509e0-false-d401515e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d401680e0-false-d401686e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d401680e0-false-d401686e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d401799e0-false-d401805e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d401799e0-false-d401805e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.14
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (OBX_segment_Eerste_ziektedag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17">
      <extends rule="d401954e0-false-d401960e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Item) = ('936') or not(@Item)">(OBX_segment_Eerste_ziektedag): de waarde van Item MOET '936' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Eerste_ziektedag): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Method') or not(@LongName)">(OBX_segment_Eerste_ziektedag): de waarde van LongName MOET 'Observation Method' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d401954e0-false-d401960e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3">
      <extends rule="d402104e0-false-d402110e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d402104e0-false-d402110e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6">
      <extends rule="d402223e0-false-d402229e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d402223e0-false-d402229e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.14
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (OBX_segment_Eerste_ziektedag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18">
      <extends rule="d402275e0-false-d402281e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Item) = ('1479') or not(@Item)">(OBX_segment_Eerste_ziektedag): de waarde van Item MOET '1479' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Type) = ('EI') or not(@Type)">(OBX_segment_Eerste_ziektedag): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@LongName) = ('Equipment Instance Identifier') or not(@LongName)">(OBX_segment_Eerste_ziektedag): de waarde van LongName MOET 'Equipment Instance Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d402275e0-false-d402281e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4">
      <extends rule="d402451e0-false-d402457e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d402451e0-false-d402457e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.14
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (OBX_segment_Eerste_ziektedag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19">
      <extends rule="d402503e0-false-d402509e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Item) = ('1480') or not(@Item)">(OBX_segment_Eerste_ziektedag): de waarde van Item MOET '1480' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Eerste_ziektedag): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.14-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Analysis') or not(@LongName)">(OBX_segment_Eerste_ziektedag): de waarde van LongName MOET 'Date/Time of the Analysis' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d402503e0-false-d402509e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2">
      <extends rule="d402591e0-false-d402597e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d402591e0-false-d402597e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION"
         id="d41e3241-false-d402616e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.15
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OBX_segment_Duur_van_de_klacht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="count(hl7v2:OBX.1) &lt;= 1">(OBX_segment_Duur_van_de_klacht): element hl7v2:OBX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &gt;= 1">(OBX_segment_Duur_van_de_klacht): element hl7v2:OBX.2 is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &lt;= 1">(OBX_segment_Duur_van_de_klacht): element hl7v2:OBX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &gt;= 1">(OBX_segment_Duur_van_de_klacht): element hl7v2:OBX.3 is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &lt;= 1">(OBX_segment_Duur_van_de_klacht): element hl7v2:OBX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="count(hl7v2:OBX.4) &lt;= 1">(OBX_segment_Duur_van_de_klacht): element hl7v2:OBX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &gt;= 1">(OBX_segment_Duur_van_de_klacht): element hl7v2:OBX.5 is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &lt;= 1">(OBX_segment_Duur_van_de_klacht): element hl7v2:OBX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &gt;= 1">(OBX_segment_Duur_van_de_klacht): element hl7v2:OBX.11 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &lt;= 1">(OBX_segment_Duur_van_de_klacht): element hl7v2:OBX.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="count(hl7v2:OBX.6) &lt;= 1">(OBX_segment_Duur_van_de_klacht): element hl7v2:OBX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="count(hl7v2:OBX.7) &lt;= 1">(OBX_segment_Duur_van_de_klacht): element hl7v2:OBX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="count(hl7v2:OBX.9) &lt;= 1">(OBX_segment_Duur_van_de_klacht): element hl7v2:OBX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="count(hl7v2:OBX.12) &lt;= 1">(OBX_segment_Duur_van_de_klacht): element hl7v2:OBX.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="count(hl7v2:OBX.13) &lt;= 1">(OBX_segment_Duur_van_de_klacht): element hl7v2:OBX.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="count(hl7v2:OBX.14) &lt;= 1">(OBX_segment_Duur_van_de_klacht): element hl7v2:OBX.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="count(hl7v2:OBX.15) &lt;= 1">(OBX_segment_Duur_van_de_klacht): element hl7v2:OBX.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="count(hl7v2:OBX.19) &lt;= 1">(OBX_segment_Duur_van_de_klacht): element hl7v2:OBX.19 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.15
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (OBX_segment_Duur_van_de_klacht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Item) = ('569') or not(@Item)">(OBX_segment_Duur_van_de_klacht): de waarde van Item MOET '569' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Type) = ('SI') or not(@Type)">(OBX_segment_Duur_van_de_klacht): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@LongName) = ('Set ID - OBX') or not(@LongName)">(OBX_segment_Duur_van_de_klacht): de waarde van LongName MOET 'Set ID - OBX' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.15
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (OBX_segment_Duur_van_de_klacht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2">
      <extends rule="d402869e0-false-d402875e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Item) = ('570') or not(@Item)">(OBX_segment_Duur_van_de_klacht): de waarde van Item MOET '570' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Duur_van_de_klacht): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Table) = ('HL70125') or not(@Table)">(OBX_segment_Duur_van_de_klacht): de waarde van Table MOET 'HL70125' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@LongName) = ('Value Type') or not(@LongName)">(OBX_segment_Duur_van_de_klacht): de waarde van LongName MOET 'Value Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d402869e0-false-d402875e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="text()='ST'">(ID_datatype): de elementinhoud van hl7v2:OBX.2 MOET ''ST'' zijn. Gevonden: "<value-of select="."/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.15
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (OBX_segment_Duur_van_de_klacht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3">
      <extends rule="d402926e0-false-d402932e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Item) = ('571') or not(@Item)">(OBX_segment_Duur_van_de_klacht): de waarde van Item MOET '571' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Duur_van_de_klacht): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Identifier') or not(@LongName)">(OBX_segment_Duur_van_de_klacht): de waarde van LongName MOET 'Observation Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d402926e0-false-d402932e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3">
      <extends rule="d403076e0-false-d403082e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d403076e0-false-d403082e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6">
      <extends rule="d403195e0-false-d403201e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d403195e0-false-d403201e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.15
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (OBX_segment_Duur_van_de_klacht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Item) = ('572') or not(@Item)">(OBX_segment_Duur_van_de_klacht): de waarde van Item MOET '572' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Duur_van_de_klacht): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Sub-ID') or not(@LongName)">(OBX_segment_Duur_van_de_klacht): de waarde van LongName MOET 'Observation Sub-ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.15
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (OBX_segment_Duur_van_de_klacht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Item) = ('573') or not(@Item)">(OBX_segment_Duur_van_de_klacht): de waarde van Item MOET '573' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Type) = ('varies') or not(@Type)">(OBX_segment_Duur_van_de_klacht): de waarde van Type MOET 'varies' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Value') or not(@LongName)">(OBX_segment_Duur_van_de_klacht): de waarde van LongName MOET 'Observation Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.67
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (varies_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.15
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (OBX_segment_Duur_van_de_klacht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11">
      <extends rule="d403333e0-false-d403339e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Item) = ('579') or not(@Item)">(OBX_segment_Duur_van_de_klacht): de waarde van Item MOET '579' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Duur_van_de_klacht): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Table) = ('HL70085') or not(@Table)">(OBX_segment_Duur_van_de_klacht): de waarde van Table MOET 'HL70085' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Result Status') or not(@LongName)">(OBX_segment_Duur_van_de_klacht): de waarde van LongName MOET 'Observation Result Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d403333e0-false-d403339e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.15
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (OBX_segment_Duur_van_de_klacht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6">
      <extends rule="d403384e0-false-d403390e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Item) = ('574') or not(@Item)">(OBX_segment_Duur_van_de_klacht): de waarde van Item MOET '574' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Duur_van_de_klacht): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(OBX_segment_Duur_van_de_klacht): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d403384e0-false-d403390e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3">
      <extends rule="d403534e0-false-d403540e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d403534e0-false-d403540e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6">
      <extends rule="d403653e0-false-d403659e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d403653e0-false-d403659e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.15
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (OBX_segment_Duur_van_de_klacht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Item) = ('575') or not(@Item)">(OBX_segment_Duur_van_de_klacht): de waarde van Item MOET '575' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Duur_van_de_klacht): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@LongName) = ('References Range') or not(@LongName)">(OBX_segment_Duur_van_de_klacht): de waarde van LongName MOET 'References Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.15
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (OBX_segment_Duur_van_de_klacht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Item) = ('576') or not(@Item)">(OBX_segment_Duur_van_de_klacht): de waarde van Item MOET '576' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OBX_segment_Duur_van_de_klacht): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Table) = ('HL70078') or not(@Table)">(OBX_segment_Duur_van_de_klacht): de waarde van Table MOET 'HL70078' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@LongName) = ('Abnormal Flags') or not(@LongName)">(OBX_segment_Duur_van_de_klacht): de waarde van LongName MOET 'Abnormal Flags' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.15
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (OBX_segment_Duur_van_de_klacht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Item) = ('577') or not(@Item)">(OBX_segment_Duur_van_de_klacht): de waarde van Item MOET '577' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Type) = ('NM') or not(@Type)">(OBX_segment_Duur_van_de_klacht): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@LongName) = ('Probability') or not(@LongName)">(OBX_segment_Duur_van_de_klacht): de waarde van LongName MOET 'Probability' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.15
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (OBX_segment_Duur_van_de_klacht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10">
      <extends rule="d403837e0-false-d403843e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Item) = ('578') or not(@Item)">(OBX_segment_Duur_van_de_klacht): de waarde van Item MOET '578' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Duur_van_de_klacht): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Table) = ('HL70080') or not(@Table)">(OBX_segment_Duur_van_de_klacht): de waarde van Table MOET 'HL70080' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@LongName) = ('Nature of Abnormal Test') or not(@LongName)">(OBX_segment_Duur_van_de_klacht): de waarde van LongName MOET 'Nature of Abnormal Test' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d403837e0-false-d403843e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.15
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (OBX_segment_Duur_van_de_klacht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12">
      <extends rule="d403888e0-false-d403894e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Item) = ('580') or not(@Item)">(OBX_segment_Duur_van_de_klacht): de waarde van Item MOET '580' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Duur_van_de_klacht): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@LongName) = ('Effective Date of Reference Range') or not(@LongName)">(OBX_segment_Duur_van_de_klacht): de waarde van LongName MOET 'Effective Date of Reference Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d403888e0-false-d403894e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2">
      <extends rule="d403976e0-false-d403982e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d403976e0-false-d403982e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.15
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (OBX_segment_Duur_van_de_klacht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Item) = ('581') or not(@Item)">(OBX_segment_Duur_van_de_klacht): de waarde van Item MOET '581' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Duur_van_de_klacht): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@LongName) = ('User Defined Access Checks') or not(@LongName)">(OBX_segment_Duur_van_de_klacht): de waarde van LongName MOET 'User Defined Access Checks' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.15
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (OBX_segment_Duur_van_de_klacht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14">
      <extends rule="d404068e0-false-d404074e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Item) = ('582') or not(@Item)">(OBX_segment_Duur_van_de_klacht): de waarde van Item MOET '582' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Duur_van_de_klacht): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Observation') or not(@LongName)">(OBX_segment_Duur_van_de_klacht): de waarde van LongName MOET 'Date/Time of the Observation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d404068e0-false-d404074e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2">
      <extends rule="d404156e0-false-d404162e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d404156e0-false-d404162e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.15
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (OBX_segment_Duur_van_de_klacht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15">
      <extends rule="d404208e0-false-d404214e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Item) = ('583') or not(@Item)">(OBX_segment_Duur_van_de_klacht): de waarde van Item MOET '583' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Duur_van_de_klacht): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@LongName) = ('Producer''s ID') or not(@LongName)">(OBX_segment_Duur_van_de_klacht): de waarde van LongName MOET 'Producer''s ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d404208e0-false-d404214e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3">
      <extends rule="d404358e0-false-d404364e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d404358e0-false-d404364e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6">
      <extends rule="d404477e0-false-d404483e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d404477e0-false-d404483e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.15
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (OBX_segment_Duur_van_de_klacht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16">
      <extends rule="d404529e0-false-d404535e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Item) = ('584') or not(@Item)">(OBX_segment_Duur_van_de_klacht): de waarde van Item MOET '584' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(OBX_segment_Duur_van_de_klacht): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@LongName) = ('Responsible Observer') or not(@LongName)">(OBX_segment_Duur_van_de_klacht): de waarde van LongName MOET 'Responsible Observer' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d404529e0-false-d404535e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2">
      <extends rule="d404758e0-false-d404764e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d404758e0-false-d404764e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9">
      <extends rule="d405220e0-false-d405226e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d405220e0-false-d405226e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d405355e0-false-d405361e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d405355e0-false-d405361e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10">
      <extends rule="d405407e0-false-d405413e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d405407e0-false-d405413e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12">
      <extends rule="d405492e0-false-d405498e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d405492e0-false-d405498e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13">
      <extends rule="d405543e0-false-d405549e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d405543e0-false-d405549e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14">
      <extends rule="d405588e0-false-d405594e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d405588e0-false-d405594e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d405723e0-false-d405729e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d405723e0-false-d405729e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15">
      <extends rule="d405775e0-false-d405781e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d405775e0-false-d405781e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16">
      <extends rule="d405826e0-false-d405832e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d405826e0-false-d405832e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d405976e0-false-d405982e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d405976e0-false-d405982e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d406095e0-false-d406101e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d406095e0-false-d406101e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17">
      <extends rule="d406141e0-false-d406147e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d406141e0-false-d406147e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d406189e0-false-d406195e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d406189e0-false-d406195e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d406277e0-false-d406283e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d406277e0-false-d406283e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d406323e0-false-d406329e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d406323e0-false-d406329e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d406411e0-false-d406417e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d406411e0-false-d406417e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18">
      <extends rule="d406464e0-false-d406470e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d406464e0-false-d406470e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19">
      <extends rule="d406509e0-false-d406515e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d406509e0-false-d406515e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d406597e0-false-d406603e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d406597e0-false-d406603e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20">
      <extends rule="d406643e0-false-d406649e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d406643e0-false-d406649e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d406731e0-false-d406737e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d406731e0-false-d406737e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22">
      <extends rule="d406811e0-false-d406817e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d406811e0-false-d406817e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d406982e0-false-d406988e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d406982e0-false-d406988e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d407101e0-false-d407107e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d407101e0-false-d407107e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23">
      <extends rule="d407249e0-false-d407255e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d407249e0-false-d407255e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d407420e0-false-d407426e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d407420e0-false-d407426e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d407539e0-false-d407545e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d407539e0-false-d407545e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.15
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (OBX_segment_Duur_van_de_klacht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17">
      <extends rule="d407694e0-false-d407700e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Item) = ('936') or not(@Item)">(OBX_segment_Duur_van_de_klacht): de waarde van Item MOET '936' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Duur_van_de_klacht): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Method') or not(@LongName)">(OBX_segment_Duur_van_de_klacht): de waarde van LongName MOET 'Observation Method' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d407694e0-false-d407700e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3">
      <extends rule="d407844e0-false-d407850e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d407844e0-false-d407850e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6">
      <extends rule="d407963e0-false-d407969e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d407963e0-false-d407969e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.15
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (OBX_segment_Duur_van_de_klacht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18">
      <extends rule="d408015e0-false-d408021e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Item) = ('1479') or not(@Item)">(OBX_segment_Duur_van_de_klacht): de waarde van Item MOET '1479' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Type) = ('EI') or not(@Type)">(OBX_segment_Duur_van_de_klacht): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@LongName) = ('Equipment Instance Identifier') or not(@LongName)">(OBX_segment_Duur_van_de_klacht): de waarde van LongName MOET 'Equipment Instance Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d408015e0-false-d408021e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4">
      <extends rule="d408191e0-false-d408197e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d408191e0-false-d408197e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.15
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (OBX_segment_Duur_van_de_klacht)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19">
      <extends rule="d408243e0-false-d408249e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Item) = ('1480') or not(@Item)">(OBX_segment_Duur_van_de_klacht): de waarde van Item MOET '1480' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Duur_van_de_klacht): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.15-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Analysis') or not(@LongName)">(OBX_segment_Duur_van_de_klacht): de waarde van LongName MOET 'Date/Time of the Analysis' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d408243e0-false-d408249e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2">
      <extends rule="d408331e0-false-d408337e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d408331e0-false-d408337e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION"
         id="d41e3250-false-d408356e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.16
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OBX_segment_Zwangerschap_zwanger)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="count(hl7v2:OBX.1) &lt;= 1">(OBX_segment_Zwangerschap_zwanger): element hl7v2:OBX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &gt;= 1">(OBX_segment_Zwangerschap_zwanger): element hl7v2:OBX.2 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &lt;= 1">(OBX_segment_Zwangerschap_zwanger): element hl7v2:OBX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &gt;= 1">(OBX_segment_Zwangerschap_zwanger): element hl7v2:OBX.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &lt;= 1">(OBX_segment_Zwangerschap_zwanger): element hl7v2:OBX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="count(hl7v2:OBX.4) &lt;= 1">(OBX_segment_Zwangerschap_zwanger): element hl7v2:OBX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &gt;= 1">(OBX_segment_Zwangerschap_zwanger): element hl7v2:OBX.5 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &lt;= 1">(OBX_segment_Zwangerschap_zwanger): element hl7v2:OBX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="count(hl7v2:OBX.6) &lt;= 1">(OBX_segment_Zwangerschap_zwanger): element hl7v2:OBX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="count(hl7v2:OBX.7) &lt;= 1">(OBX_segment_Zwangerschap_zwanger): element hl7v2:OBX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="count(hl7v2:OBX.9) &lt;= 1">(OBX_segment_Zwangerschap_zwanger): element hl7v2:OBX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &gt;= 1">(OBX_segment_Zwangerschap_zwanger): element hl7v2:OBX.11 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &lt;= 1">(OBX_segment_Zwangerschap_zwanger): element hl7v2:OBX.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="count(hl7v2:OBX.12) &lt;= 1">(OBX_segment_Zwangerschap_zwanger): element hl7v2:OBX.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="count(hl7v2:OBX.13) &lt;= 1">(OBX_segment_Zwangerschap_zwanger): element hl7v2:OBX.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="count(hl7v2:OBX.14) &lt;= 1">(OBX_segment_Zwangerschap_zwanger): element hl7v2:OBX.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="count(hl7v2:OBX.15) &lt;= 1">(OBX_segment_Zwangerschap_zwanger): element hl7v2:OBX.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="count(hl7v2:OBX.19) &lt;= 1">(OBX_segment_Zwangerschap_zwanger): element hl7v2:OBX.19 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.16
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (OBX_segment_Zwangerschap_zwanger)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Item) = ('569') or not(@Item)">(OBX_segment_Zwangerschap_zwanger): de waarde van Item MOET '569' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Type) = ('SI') or not(@Type)">(OBX_segment_Zwangerschap_zwanger): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@LongName) = ('Set ID - OBX') or not(@LongName)">(OBX_segment_Zwangerschap_zwanger): de waarde van LongName MOET 'Set ID - OBX' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.16
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (OBX_segment_Zwangerschap_zwanger)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2">
      <extends rule="d408609e0-false-d408615e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Item) = ('570') or not(@Item)">(OBX_segment_Zwangerschap_zwanger): de waarde van Item MOET '570' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Zwangerschap_zwanger): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Table) = ('HL70125') or not(@Table)">(OBX_segment_Zwangerschap_zwanger): de waarde van Table MOET 'HL70125' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@LongName) = ('Value Type') or not(@LongName)">(OBX_segment_Zwangerschap_zwanger): de waarde van LongName MOET 'Value Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d408609e0-false-d408615e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="text()='CNE'">(ID_datatype): de elementinhoud van hl7v2:OBX.2 MOET ''CNE'' zijn. Gevonden: "<value-of select="."/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.16
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (OBX_segment_Zwangerschap_zwanger)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3">
      <extends rule="d408673e0-false-d408679e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Item) = ('571') or not(@Item)">(OBX_segment_Zwangerschap_zwanger): de waarde van Item MOET '571' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Zwangerschap_zwanger): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Identifier') or not(@LongName)">(OBX_segment_Zwangerschap_zwanger): de waarde van LongName MOET 'Observation Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d408673e0-false-d408679e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="@nullFlavor or (@code='77386006' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Pregnant (finding)' and @codeSystemName='SCT')">(CE_datatype): de elementwaarde MOET een zijn van 'code '77386006' codeSystem '2.16.840.1.113883.6.96' displayName='Pregnant (finding)' codeSystemName='SCT''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3">
      <extends rule="d408830e0-false-d408836e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d408830e0-false-d408836e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6">
      <extends rule="d408949e0-false-d408955e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d408949e0-false-d408955e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.16
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (OBX_segment_Zwangerschap_zwanger)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Item) = ('572') or not(@Item)">(OBX_segment_Zwangerschap_zwanger): de waarde van Item MOET '572' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Zwangerschap_zwanger): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Sub-ID') or not(@LongName)">(OBX_segment_Zwangerschap_zwanger): de waarde van LongName MOET 'Observation Sub-ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.16
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (OBX_segment_Zwangerschap_zwanger)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Item) = ('573') or not(@Item)">(OBX_segment_Zwangerschap_zwanger): de waarde van Item MOET '573' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Type) = ('varies') or not(@Type)">(OBX_segment_Zwangerschap_zwanger): de waarde van Type MOET 'varies' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Value') or not(@LongName)">(OBX_segment_Zwangerschap_zwanger): de waarde van LongName MOET 'Observation Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.67
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (varies_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.16
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (OBX_segment_Zwangerschap_zwanger)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6">
      <extends rule="d409081e0-false-d409087e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Item) = ('574') or not(@Item)">(OBX_segment_Zwangerschap_zwanger): de waarde van Item MOET '574' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Zwangerschap_zwanger): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(OBX_segment_Zwangerschap_zwanger): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d409081e0-false-d409087e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3">
      <extends rule="d409231e0-false-d409237e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d409231e0-false-d409237e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6">
      <extends rule="d409350e0-false-d409356e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d409350e0-false-d409356e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.16
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (OBX_segment_Zwangerschap_zwanger)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Item) = ('575') or not(@Item)">(OBX_segment_Zwangerschap_zwanger): de waarde van Item MOET '575' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Zwangerschap_zwanger): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@LongName) = ('References Range') or not(@LongName)">(OBX_segment_Zwangerschap_zwanger): de waarde van LongName MOET 'References Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.16
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (OBX_segment_Zwangerschap_zwanger)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Item) = ('576') or not(@Item)">(OBX_segment_Zwangerschap_zwanger): de waarde van Item MOET '576' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OBX_segment_Zwangerschap_zwanger): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Table) = ('HL70078') or not(@Table)">(OBX_segment_Zwangerschap_zwanger): de waarde van Table MOET 'HL70078' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@LongName) = ('Abnormal Flags') or not(@LongName)">(OBX_segment_Zwangerschap_zwanger): de waarde van LongName MOET 'Abnormal Flags' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.16
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (OBX_segment_Zwangerschap_zwanger)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Item) = ('577') or not(@Item)">(OBX_segment_Zwangerschap_zwanger): de waarde van Item MOET '577' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Type) = ('NM') or not(@Type)">(OBX_segment_Zwangerschap_zwanger): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@LongName) = ('Probability') or not(@LongName)">(OBX_segment_Zwangerschap_zwanger): de waarde van LongName MOET 'Probability' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.16
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (OBX_segment_Zwangerschap_zwanger)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10">
      <extends rule="d409534e0-false-d409540e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Item) = ('578') or not(@Item)">(OBX_segment_Zwangerschap_zwanger): de waarde van Item MOET '578' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Zwangerschap_zwanger): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Table) = ('HL70080') or not(@Table)">(OBX_segment_Zwangerschap_zwanger): de waarde van Table MOET 'HL70080' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@LongName) = ('Nature of Abnormal Test') or not(@LongName)">(OBX_segment_Zwangerschap_zwanger): de waarde van LongName MOET 'Nature of Abnormal Test' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d409534e0-false-d409540e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.16
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (OBX_segment_Zwangerschap_zwanger)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11">
      <extends rule="d409591e0-false-d409597e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Item) = ('579') or not(@Item)">(OBX_segment_Zwangerschap_zwanger): de waarde van Item MOET '579' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Zwangerschap_zwanger): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Table) = ('HL70085') or not(@Table)">(OBX_segment_Zwangerschap_zwanger): de waarde van Table MOET 'HL70085' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Result Status') or not(@LongName)">(OBX_segment_Zwangerschap_zwanger): de waarde van LongName MOET 'Observation Result Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d409591e0-false-d409597e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.16
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (OBX_segment_Zwangerschap_zwanger)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12">
      <extends rule="d409642e0-false-d409648e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Item) = ('580') or not(@Item)">(OBX_segment_Zwangerschap_zwanger): de waarde van Item MOET '580' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Zwangerschap_zwanger): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@LongName) = ('Effective Date of Reference Range') or not(@LongName)">(OBX_segment_Zwangerschap_zwanger): de waarde van LongName MOET 'Effective Date of Reference Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d409642e0-false-d409648e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2">
      <extends rule="d409730e0-false-d409736e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d409730e0-false-d409736e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.16
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (OBX_segment_Zwangerschap_zwanger)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Item) = ('581') or not(@Item)">(OBX_segment_Zwangerschap_zwanger): de waarde van Item MOET '581' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Zwangerschap_zwanger): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@LongName) = ('User Defined Access Checks') or not(@LongName)">(OBX_segment_Zwangerschap_zwanger): de waarde van LongName MOET 'User Defined Access Checks' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.16
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (OBX_segment_Zwangerschap_zwanger)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14">
      <extends rule="d409822e0-false-d409828e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Item) = ('582') or not(@Item)">(OBX_segment_Zwangerschap_zwanger): de waarde van Item MOET '582' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Zwangerschap_zwanger): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Observation') or not(@LongName)">(OBX_segment_Zwangerschap_zwanger): de waarde van LongName MOET 'Date/Time of the Observation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d409822e0-false-d409828e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2">
      <extends rule="d409910e0-false-d409916e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d409910e0-false-d409916e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.16
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (OBX_segment_Zwangerschap_zwanger)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15">
      <extends rule="d409962e0-false-d409968e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Item) = ('583') or not(@Item)">(OBX_segment_Zwangerschap_zwanger): de waarde van Item MOET '583' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Zwangerschap_zwanger): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@LongName) = ('Producer''s ID') or not(@LongName)">(OBX_segment_Zwangerschap_zwanger): de waarde van LongName MOET 'Producer''s ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d409962e0-false-d409968e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3">
      <extends rule="d410112e0-false-d410118e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d410112e0-false-d410118e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6">
      <extends rule="d410231e0-false-d410237e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d410231e0-false-d410237e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.16
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (OBX_segment_Zwangerschap_zwanger)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16">
      <extends rule="d410283e0-false-d410289e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Item) = ('584') or not(@Item)">(OBX_segment_Zwangerschap_zwanger): de waarde van Item MOET '584' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(OBX_segment_Zwangerschap_zwanger): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@LongName) = ('Responsible Observer') or not(@LongName)">(OBX_segment_Zwangerschap_zwanger): de waarde van LongName MOET 'Responsible Observer' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d410283e0-false-d410289e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2">
      <extends rule="d410512e0-false-d410518e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d410512e0-false-d410518e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9">
      <extends rule="d410974e0-false-d410980e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d410974e0-false-d410980e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d411109e0-false-d411115e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d411109e0-false-d411115e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10">
      <extends rule="d411161e0-false-d411167e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d411161e0-false-d411167e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12">
      <extends rule="d411246e0-false-d411252e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d411246e0-false-d411252e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13">
      <extends rule="d411297e0-false-d411303e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d411297e0-false-d411303e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14">
      <extends rule="d411342e0-false-d411348e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d411342e0-false-d411348e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d411477e0-false-d411483e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d411477e0-false-d411483e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15">
      <extends rule="d411529e0-false-d411535e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d411529e0-false-d411535e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16">
      <extends rule="d411580e0-false-d411586e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d411580e0-false-d411586e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d411730e0-false-d411736e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d411730e0-false-d411736e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d411849e0-false-d411855e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d411849e0-false-d411855e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17">
      <extends rule="d411895e0-false-d411901e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d411895e0-false-d411901e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d411943e0-false-d411949e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d411943e0-false-d411949e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d412031e0-false-d412037e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d412031e0-false-d412037e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d412077e0-false-d412083e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d412077e0-false-d412083e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d412165e0-false-d412171e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d412165e0-false-d412171e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18">
      <extends rule="d412218e0-false-d412224e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d412218e0-false-d412224e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19">
      <extends rule="d412263e0-false-d412269e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d412263e0-false-d412269e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d412351e0-false-d412357e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d412351e0-false-d412357e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20">
      <extends rule="d412397e0-false-d412403e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d412397e0-false-d412403e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d412485e0-false-d412491e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d412485e0-false-d412491e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22">
      <extends rule="d412565e0-false-d412571e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d412565e0-false-d412571e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d412736e0-false-d412742e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d412736e0-false-d412742e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d412855e0-false-d412861e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d412855e0-false-d412861e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23">
      <extends rule="d413003e0-false-d413009e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d413003e0-false-d413009e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d413174e0-false-d413180e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d413174e0-false-d413180e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d413293e0-false-d413299e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d413293e0-false-d413299e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.16
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (OBX_segment_Zwangerschap_zwanger)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17">
      <extends rule="d413448e0-false-d413454e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Item) = ('936') or not(@Item)">(OBX_segment_Zwangerschap_zwanger): de waarde van Item MOET '936' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Zwangerschap_zwanger): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Method') or not(@LongName)">(OBX_segment_Zwangerschap_zwanger): de waarde van LongName MOET 'Observation Method' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d413448e0-false-d413454e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3">
      <extends rule="d413598e0-false-d413604e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d413598e0-false-d413604e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6">
      <extends rule="d413717e0-false-d413723e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d413717e0-false-d413723e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.16
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (OBX_segment_Zwangerschap_zwanger)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18">
      <extends rule="d413769e0-false-d413775e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Item) = ('1479') or not(@Item)">(OBX_segment_Zwangerschap_zwanger): de waarde van Item MOET '1479' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Type) = ('EI') or not(@Type)">(OBX_segment_Zwangerschap_zwanger): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@LongName) = ('Equipment Instance Identifier') or not(@LongName)">(OBX_segment_Zwangerschap_zwanger): de waarde van LongName MOET 'Equipment Instance Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d413769e0-false-d413775e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4">
      <extends rule="d413945e0-false-d413951e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d413945e0-false-d413951e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.16
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (OBX_segment_Zwangerschap_zwanger)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19">
      <extends rule="d413997e0-false-d414003e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Item) = ('1480') or not(@Item)">(OBX_segment_Zwangerschap_zwanger): de waarde van Item MOET '1480' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Zwangerschap_zwanger): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.16-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Analysis') or not(@LongName)">(OBX_segment_Zwangerschap_zwanger): de waarde van LongName MOET 'Date/Time of the Analysis' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d413997e0-false-d414003e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2">
      <extends rule="d414085e0-false-d414091e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d414085e0-false-d414091e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION"
         id="d41e3258-false-d414110e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.17
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OBX_segment_Zwangerschap_graviditeit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="count(hl7v2:OBX.1) &lt;= 1">(OBX_segment_Zwangerschap_graviditeit): element hl7v2:OBX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &gt;= 1">(OBX_segment_Zwangerschap_graviditeit): element hl7v2:OBX.2 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &lt;= 1">(OBX_segment_Zwangerschap_graviditeit): element hl7v2:OBX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &gt;= 1">(OBX_segment_Zwangerschap_graviditeit): element hl7v2:OBX.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &lt;= 1">(OBX_segment_Zwangerschap_graviditeit): element hl7v2:OBX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="count(hl7v2:OBX.4) &lt;= 1">(OBX_segment_Zwangerschap_graviditeit): element hl7v2:OBX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &gt;= 1">(OBX_segment_Zwangerschap_graviditeit): element hl7v2:OBX.5 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &lt;= 1">(OBX_segment_Zwangerschap_graviditeit): element hl7v2:OBX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="count(hl7v2:OBX.6) &lt;= 1">(OBX_segment_Zwangerschap_graviditeit): element hl7v2:OBX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="count(hl7v2:OBX.7) &lt;= 1">(OBX_segment_Zwangerschap_graviditeit): element hl7v2:OBX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="count(hl7v2:OBX.9) &lt;= 1">(OBX_segment_Zwangerschap_graviditeit): element hl7v2:OBX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &gt;= 1">(OBX_segment_Zwangerschap_graviditeit): element hl7v2:OBX.11 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &lt;= 1">(OBX_segment_Zwangerschap_graviditeit): element hl7v2:OBX.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="count(hl7v2:OBX.12) &lt;= 1">(OBX_segment_Zwangerschap_graviditeit): element hl7v2:OBX.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="count(hl7v2:OBX.13) &lt;= 1">(OBX_segment_Zwangerschap_graviditeit): element hl7v2:OBX.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="count(hl7v2:OBX.14) &lt;= 1">(OBX_segment_Zwangerschap_graviditeit): element hl7v2:OBX.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="count(hl7v2:OBX.15) &lt;= 1">(OBX_segment_Zwangerschap_graviditeit): element hl7v2:OBX.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="count(hl7v2:OBX.19) &lt;= 1">(OBX_segment_Zwangerschap_graviditeit): element hl7v2:OBX.19 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.17
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (OBX_segment_Zwangerschap_graviditeit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Item) = ('569') or not(@Item)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Item MOET '569' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Type) = ('SI') or not(@Type)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@LongName) = ('Set ID - OBX') or not(@LongName)">(OBX_segment_Zwangerschap_graviditeit): de waarde van LongName MOET 'Set ID - OBX' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.17
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (OBX_segment_Zwangerschap_graviditeit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2">
      <extends rule="d414363e0-false-d414369e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Item) = ('570') or not(@Item)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Item MOET '570' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Table) = ('HL70125') or not(@Table)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Table MOET 'HL70125' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@LongName) = ('Value Type') or not(@LongName)">(OBX_segment_Zwangerschap_graviditeit): de waarde van LongName MOET 'Value Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d414363e0-false-d414369e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="text()='NM'">(ID_datatype): de elementinhoud van hl7v2:OBX.2 MOET ''NM'' zijn. Gevonden: "<value-of select="."/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.17
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (OBX_segment_Zwangerschap_graviditeit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3">
      <extends rule="d414427e0-false-d414433e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Item) = ('571') or not(@Item)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Item MOET '571' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Identifier') or not(@LongName)">(OBX_segment_Zwangerschap_graviditeit): de waarde van LongName MOET 'Observation Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d414427e0-false-d414433e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="@nullFlavor or (@code='11996-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='[#] Pregnancies' and @codeSystemName='LN')">(CE_datatype): de elementwaarde MOET een zijn van 'code '11996-6' codeSystem '2.16.840.1.113883.6.1' displayName='[#] Pregnancies' codeSystemName='LN''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3">
      <extends rule="d414584e0-false-d414590e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d414584e0-false-d414590e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6">
      <extends rule="d414703e0-false-d414709e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d414703e0-false-d414709e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.17
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (OBX_segment_Zwangerschap_graviditeit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Item) = ('572') or not(@Item)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Item MOET '572' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Sub-ID') or not(@LongName)">(OBX_segment_Zwangerschap_graviditeit): de waarde van LongName MOET 'Observation Sub-ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.17
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (OBX_segment_Zwangerschap_graviditeit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Item) = ('573') or not(@Item)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Item MOET '573' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Type) = ('varies') or not(@Type)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Type MOET 'varies' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Value') or not(@LongName)">(OBX_segment_Zwangerschap_graviditeit): de waarde van LongName MOET 'Observation Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.17
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (OBX_segment_Zwangerschap_graviditeit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6">
      <extends rule="d414835e0-false-d414841e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Item) = ('574') or not(@Item)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Item MOET '574' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(OBX_segment_Zwangerschap_graviditeit): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d414835e0-false-d414841e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3">
      <extends rule="d414985e0-false-d414991e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d414985e0-false-d414991e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6">
      <extends rule="d415104e0-false-d415110e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d415104e0-false-d415110e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.17
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (OBX_segment_Zwangerschap_graviditeit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Item) = ('575') or not(@Item)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Item MOET '575' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@LongName) = ('References Range') or not(@LongName)">(OBX_segment_Zwangerschap_graviditeit): de waarde van LongName MOET 'References Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.17
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (OBX_segment_Zwangerschap_graviditeit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Item) = ('576') or not(@Item)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Item MOET '576' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Table) = ('HL70078') or not(@Table)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Table MOET 'HL70078' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@LongName) = ('Abnormal Flags') or not(@LongName)">(OBX_segment_Zwangerschap_graviditeit): de waarde van LongName MOET 'Abnormal Flags' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.17
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (OBX_segment_Zwangerschap_graviditeit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Item) = ('577') or not(@Item)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Item MOET '577' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Type) = ('NM') or not(@Type)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@LongName) = ('Probability') or not(@LongName)">(OBX_segment_Zwangerschap_graviditeit): de waarde van LongName MOET 'Probability' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.17
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (OBX_segment_Zwangerschap_graviditeit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10">
      <extends rule="d415288e0-false-d415294e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Item) = ('578') or not(@Item)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Item MOET '578' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Table) = ('HL70080') or not(@Table)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Table MOET 'HL70080' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@LongName) = ('Nature of Abnormal Test') or not(@LongName)">(OBX_segment_Zwangerschap_graviditeit): de waarde van LongName MOET 'Nature of Abnormal Test' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d415288e0-false-d415294e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.17
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (OBX_segment_Zwangerschap_graviditeit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11">
      <extends rule="d415345e0-false-d415351e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Item) = ('579') or not(@Item)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Item MOET '579' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Table) = ('HL70085') or not(@Table)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Table MOET 'HL70085' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Result Status') or not(@LongName)">(OBX_segment_Zwangerschap_graviditeit): de waarde van LongName MOET 'Observation Result Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d415345e0-false-d415351e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.17
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (OBX_segment_Zwangerschap_graviditeit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12">
      <extends rule="d415396e0-false-d415402e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Item) = ('580') or not(@Item)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Item MOET '580' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@LongName) = ('Effective Date of Reference Range') or not(@LongName)">(OBX_segment_Zwangerschap_graviditeit): de waarde van LongName MOET 'Effective Date of Reference Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d415396e0-false-d415402e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2">
      <extends rule="d415484e0-false-d415490e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d415484e0-false-d415490e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.17
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (OBX_segment_Zwangerschap_graviditeit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Item) = ('581') or not(@Item)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Item MOET '581' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@LongName) = ('User Defined Access Checks') or not(@LongName)">(OBX_segment_Zwangerschap_graviditeit): de waarde van LongName MOET 'User Defined Access Checks' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.17
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (OBX_segment_Zwangerschap_graviditeit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14">
      <extends rule="d415576e0-false-d415582e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Item) = ('582') or not(@Item)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Item MOET '582' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Observation') or not(@LongName)">(OBX_segment_Zwangerschap_graviditeit): de waarde van LongName MOET 'Date/Time of the Observation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d415576e0-false-d415582e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2">
      <extends rule="d415664e0-false-d415670e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d415664e0-false-d415670e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.17
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (OBX_segment_Zwangerschap_graviditeit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15">
      <extends rule="d415716e0-false-d415722e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Item) = ('583') or not(@Item)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Item MOET '583' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@LongName) = ('Producer''s ID') or not(@LongName)">(OBX_segment_Zwangerschap_graviditeit): de waarde van LongName MOET 'Producer''s ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d415716e0-false-d415722e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3">
      <extends rule="d415866e0-false-d415872e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d415866e0-false-d415872e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6">
      <extends rule="d415985e0-false-d415991e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d415985e0-false-d415991e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.17
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (OBX_segment_Zwangerschap_graviditeit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16">
      <extends rule="d416037e0-false-d416043e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Item) = ('584') or not(@Item)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Item MOET '584' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@LongName) = ('Responsible Observer') or not(@LongName)">(OBX_segment_Zwangerschap_graviditeit): de waarde van LongName MOET 'Responsible Observer' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d416037e0-false-d416043e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2">
      <extends rule="d416266e0-false-d416272e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d416266e0-false-d416272e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9">
      <extends rule="d416728e0-false-d416734e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d416728e0-false-d416734e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d416863e0-false-d416869e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d416863e0-false-d416869e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10">
      <extends rule="d416915e0-false-d416921e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d416915e0-false-d416921e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12">
      <extends rule="d417000e0-false-d417006e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d417000e0-false-d417006e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13">
      <extends rule="d417051e0-false-d417057e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d417051e0-false-d417057e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14">
      <extends rule="d417096e0-false-d417102e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d417096e0-false-d417102e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d417231e0-false-d417237e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d417231e0-false-d417237e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15">
      <extends rule="d417283e0-false-d417289e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d417283e0-false-d417289e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16">
      <extends rule="d417334e0-false-d417340e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d417334e0-false-d417340e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d417484e0-false-d417490e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d417484e0-false-d417490e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d417603e0-false-d417609e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d417603e0-false-d417609e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17">
      <extends rule="d417649e0-false-d417655e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d417649e0-false-d417655e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d417697e0-false-d417703e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d417697e0-false-d417703e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d417785e0-false-d417791e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d417785e0-false-d417791e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d417831e0-false-d417837e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d417831e0-false-d417837e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d417919e0-false-d417925e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d417919e0-false-d417925e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18">
      <extends rule="d417972e0-false-d417978e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d417972e0-false-d417978e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19">
      <extends rule="d418017e0-false-d418023e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d418017e0-false-d418023e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d418105e0-false-d418111e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d418105e0-false-d418111e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20">
      <extends rule="d418151e0-false-d418157e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d418151e0-false-d418157e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d418239e0-false-d418245e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d418239e0-false-d418245e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22">
      <extends rule="d418319e0-false-d418325e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d418319e0-false-d418325e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d418490e0-false-d418496e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d418490e0-false-d418496e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d418609e0-false-d418615e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d418609e0-false-d418615e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23">
      <extends rule="d418757e0-false-d418763e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d418757e0-false-d418763e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d418928e0-false-d418934e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d418928e0-false-d418934e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d419047e0-false-d419053e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d419047e0-false-d419053e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.17
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (OBX_segment_Zwangerschap_graviditeit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17">
      <extends rule="d419202e0-false-d419208e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Item) = ('936') or not(@Item)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Item MOET '936' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Method') or not(@LongName)">(OBX_segment_Zwangerschap_graviditeit): de waarde van LongName MOET 'Observation Method' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d419202e0-false-d419208e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3">
      <extends rule="d419352e0-false-d419358e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d419352e0-false-d419358e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6">
      <extends rule="d419471e0-false-d419477e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d419471e0-false-d419477e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.17
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (OBX_segment_Zwangerschap_graviditeit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18">
      <extends rule="d419523e0-false-d419529e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Item) = ('1479') or not(@Item)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Item MOET '1479' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Type) = ('EI') or not(@Type)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@LongName) = ('Equipment Instance Identifier') or not(@LongName)">(OBX_segment_Zwangerschap_graviditeit): de waarde van LongName MOET 'Equipment Instance Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d419523e0-false-d419529e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4">
      <extends rule="d419699e0-false-d419705e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d419699e0-false-d419705e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.17
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (OBX_segment_Zwangerschap_graviditeit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19">
      <extends rule="d419751e0-false-d419757e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Item) = ('1480') or not(@Item)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Item MOET '1480' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Zwangerschap_graviditeit): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.17-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Analysis') or not(@LongName)">(OBX_segment_Zwangerschap_graviditeit): de waarde van LongName MOET 'Date/Time of the Analysis' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d419751e0-false-d419757e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2">
      <extends rule="d419839e0-false-d419845e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d419839e0-false-d419845e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION"
         id="d41e3266-false-d419864e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OBX_segment_Zwangerschap_pariteit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="count(hl7v2:OBX.1) &lt;= 1">(OBX_segment_Zwangerschap_pariteit): element hl7v2:OBX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &gt;= 1">(OBX_segment_Zwangerschap_pariteit): element hl7v2:OBX.2 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &lt;= 1">(OBX_segment_Zwangerschap_pariteit): element hl7v2:OBX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &gt;= 1">(OBX_segment_Zwangerschap_pariteit): element hl7v2:OBX.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &lt;= 1">(OBX_segment_Zwangerschap_pariteit): element hl7v2:OBX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="count(hl7v2:OBX.4) &lt;= 1">(OBX_segment_Zwangerschap_pariteit): element hl7v2:OBX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &gt;= 1">(OBX_segment_Zwangerschap_pariteit): element hl7v2:OBX.5 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &lt;= 1">(OBX_segment_Zwangerschap_pariteit): element hl7v2:OBX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="count(hl7v2:OBX.6) &lt;= 1">(OBX_segment_Zwangerschap_pariteit): element hl7v2:OBX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="count(hl7v2:OBX.7) &lt;= 1">(OBX_segment_Zwangerschap_pariteit): element hl7v2:OBX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="count(hl7v2:OBX.9) &lt;= 1">(OBX_segment_Zwangerschap_pariteit): element hl7v2:OBX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &gt;= 1">(OBX_segment_Zwangerschap_pariteit): element hl7v2:OBX.11 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &lt;= 1">(OBX_segment_Zwangerschap_pariteit): element hl7v2:OBX.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="count(hl7v2:OBX.12) &lt;= 1">(OBX_segment_Zwangerschap_pariteit): element hl7v2:OBX.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="count(hl7v2:OBX.13) &lt;= 1">(OBX_segment_Zwangerschap_pariteit): element hl7v2:OBX.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="count(hl7v2:OBX.14) &lt;= 1">(OBX_segment_Zwangerschap_pariteit): element hl7v2:OBX.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="count(hl7v2:OBX.15) &lt;= 1">(OBX_segment_Zwangerschap_pariteit): element hl7v2:OBX.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="count(hl7v2:OBX.19) &lt;= 1">(OBX_segment_Zwangerschap_pariteit): element hl7v2:OBX.19 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (OBX_segment_Zwangerschap_pariteit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Item) = ('569') or not(@Item)">(OBX_segment_Zwangerschap_pariteit): de waarde van Item MOET '569' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Type) = ('SI') or not(@Type)">(OBX_segment_Zwangerschap_pariteit): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@LongName) = ('Set ID - OBX') or not(@LongName)">(OBX_segment_Zwangerschap_pariteit): de waarde van LongName MOET 'Set ID - OBX' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (OBX_segment_Zwangerschap_pariteit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2">
      <extends rule="d420117e0-false-d420123e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Item) = ('570') or not(@Item)">(OBX_segment_Zwangerschap_pariteit): de waarde van Item MOET '570' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Zwangerschap_pariteit): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Table) = ('HL70125') or not(@Table)">(OBX_segment_Zwangerschap_pariteit): de waarde van Table MOET 'HL70125' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@LongName) = ('Value Type') or not(@LongName)">(OBX_segment_Zwangerschap_pariteit): de waarde van LongName MOET 'Value Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d420117e0-false-d420123e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="text()='NM'">(ID_datatype): de elementinhoud van hl7v2:OBX.2 MOET ''NM'' zijn. Gevonden: "<value-of select="."/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (OBX_segment_Zwangerschap_pariteit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3">
      <extends rule="d420181e0-false-d420187e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Item) = ('571') or not(@Item)">(OBX_segment_Zwangerschap_pariteit): de waarde van Item MOET '571' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Zwangerschap_pariteit): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Identifier') or not(@LongName)">(OBX_segment_Zwangerschap_pariteit): de waarde van LongName MOET 'Observation Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d420181e0-false-d420187e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="@nullFlavor or (@code='11977-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='[#] Parity' and @codeSystemName='LN')">(CE_datatype): de elementwaarde MOET een zijn van 'code '11977-6' codeSystem '2.16.840.1.113883.6.1' displayName='[#] Parity' codeSystemName='LN''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3">
      <extends rule="d420338e0-false-d420344e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d420338e0-false-d420344e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6">
      <extends rule="d420457e0-false-d420463e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d420457e0-false-d420463e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (OBX_segment_Zwangerschap_pariteit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Item) = ('572') or not(@Item)">(OBX_segment_Zwangerschap_pariteit): de waarde van Item MOET '572' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Zwangerschap_pariteit): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Sub-ID') or not(@LongName)">(OBX_segment_Zwangerschap_pariteit): de waarde van LongName MOET 'Observation Sub-ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (OBX_segment_Zwangerschap_pariteit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Item) = ('573') or not(@Item)">(OBX_segment_Zwangerschap_pariteit): de waarde van Item MOET '573' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Type) = ('varies') or not(@Type)">(OBX_segment_Zwangerschap_pariteit): de waarde van Type MOET 'varies' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Value') or not(@LongName)">(OBX_segment_Zwangerschap_pariteit): de waarde van LongName MOET 'Observation Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (OBX_segment_Zwangerschap_pariteit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6">
      <extends rule="d420589e0-false-d420595e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Item) = ('574') or not(@Item)">(OBX_segment_Zwangerschap_pariteit): de waarde van Item MOET '574' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Zwangerschap_pariteit): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(OBX_segment_Zwangerschap_pariteit): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d420589e0-false-d420595e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3">
      <extends rule="d420739e0-false-d420745e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d420739e0-false-d420745e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6">
      <extends rule="d420858e0-false-d420864e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d420858e0-false-d420864e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (OBX_segment_Zwangerschap_pariteit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Item) = ('575') or not(@Item)">(OBX_segment_Zwangerschap_pariteit): de waarde van Item MOET '575' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Zwangerschap_pariteit): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@LongName) = ('References Range') or not(@LongName)">(OBX_segment_Zwangerschap_pariteit): de waarde van LongName MOET 'References Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (OBX_segment_Zwangerschap_pariteit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Item) = ('576') or not(@Item)">(OBX_segment_Zwangerschap_pariteit): de waarde van Item MOET '576' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OBX_segment_Zwangerschap_pariteit): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Table) = ('HL70078') or not(@Table)">(OBX_segment_Zwangerschap_pariteit): de waarde van Table MOET 'HL70078' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@LongName) = ('Abnormal Flags') or not(@LongName)">(OBX_segment_Zwangerschap_pariteit): de waarde van LongName MOET 'Abnormal Flags' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (OBX_segment_Zwangerschap_pariteit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Item) = ('577') or not(@Item)">(OBX_segment_Zwangerschap_pariteit): de waarde van Item MOET '577' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Type) = ('NM') or not(@Type)">(OBX_segment_Zwangerschap_pariteit): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@LongName) = ('Probability') or not(@LongName)">(OBX_segment_Zwangerschap_pariteit): de waarde van LongName MOET 'Probability' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (OBX_segment_Zwangerschap_pariteit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10">
      <extends rule="d421042e0-false-d421048e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Item) = ('578') or not(@Item)">(OBX_segment_Zwangerschap_pariteit): de waarde van Item MOET '578' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Zwangerschap_pariteit): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Table) = ('HL70080') or not(@Table)">(OBX_segment_Zwangerschap_pariteit): de waarde van Table MOET 'HL70080' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@LongName) = ('Nature of Abnormal Test') or not(@LongName)">(OBX_segment_Zwangerschap_pariteit): de waarde van LongName MOET 'Nature of Abnormal Test' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d421042e0-false-d421048e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (OBX_segment_Zwangerschap_pariteit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11">
      <extends rule="d421099e0-false-d421105e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Item) = ('579') or not(@Item)">(OBX_segment_Zwangerschap_pariteit): de waarde van Item MOET '579' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Zwangerschap_pariteit): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Table) = ('HL70085') or not(@Table)">(OBX_segment_Zwangerschap_pariteit): de waarde van Table MOET 'HL70085' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Result Status') or not(@LongName)">(OBX_segment_Zwangerschap_pariteit): de waarde van LongName MOET 'Observation Result Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d421099e0-false-d421105e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (OBX_segment_Zwangerschap_pariteit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12">
      <extends rule="d421150e0-false-d421156e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Item) = ('580') or not(@Item)">(OBX_segment_Zwangerschap_pariteit): de waarde van Item MOET '580' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Zwangerschap_pariteit): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@LongName) = ('Effective Date of Reference Range') or not(@LongName)">(OBX_segment_Zwangerschap_pariteit): de waarde van LongName MOET 'Effective Date of Reference Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d421150e0-false-d421156e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2">
      <extends rule="d421238e0-false-d421244e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d421238e0-false-d421244e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (OBX_segment_Zwangerschap_pariteit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Item) = ('581') or not(@Item)">(OBX_segment_Zwangerschap_pariteit): de waarde van Item MOET '581' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Zwangerschap_pariteit): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@LongName) = ('User Defined Access Checks') or not(@LongName)">(OBX_segment_Zwangerschap_pariteit): de waarde van LongName MOET 'User Defined Access Checks' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (OBX_segment_Zwangerschap_pariteit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14">
      <extends rule="d421330e0-false-d421336e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Item) = ('582') or not(@Item)">(OBX_segment_Zwangerschap_pariteit): de waarde van Item MOET '582' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Zwangerschap_pariteit): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Observation') or not(@LongName)">(OBX_segment_Zwangerschap_pariteit): de waarde van LongName MOET 'Date/Time of the Observation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d421330e0-false-d421336e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2">
      <extends rule="d421418e0-false-d421424e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d421418e0-false-d421424e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (OBX_segment_Zwangerschap_pariteit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15">
      <extends rule="d421470e0-false-d421476e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Item) = ('583') or not(@Item)">(OBX_segment_Zwangerschap_pariteit): de waarde van Item MOET '583' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Zwangerschap_pariteit): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@LongName) = ('Producer''s ID') or not(@LongName)">(OBX_segment_Zwangerschap_pariteit): de waarde van LongName MOET 'Producer''s ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d421470e0-false-d421476e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3">
      <extends rule="d421620e0-false-d421626e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d421620e0-false-d421626e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6">
      <extends rule="d421739e0-false-d421745e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d421739e0-false-d421745e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (OBX_segment_Zwangerschap_pariteit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16">
      <extends rule="d421791e0-false-d421797e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Item) = ('584') or not(@Item)">(OBX_segment_Zwangerschap_pariteit): de waarde van Item MOET '584' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(OBX_segment_Zwangerschap_pariteit): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@LongName) = ('Responsible Observer') or not(@LongName)">(OBX_segment_Zwangerschap_pariteit): de waarde van LongName MOET 'Responsible Observer' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d421791e0-false-d421797e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2">
      <extends rule="d422020e0-false-d422026e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d422020e0-false-d422026e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9">
      <extends rule="d422482e0-false-d422488e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d422482e0-false-d422488e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d422617e0-false-d422623e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d422617e0-false-d422623e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10">
      <extends rule="d422669e0-false-d422675e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d422669e0-false-d422675e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12">
      <extends rule="d422754e0-false-d422760e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d422754e0-false-d422760e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13">
      <extends rule="d422805e0-false-d422811e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d422805e0-false-d422811e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14">
      <extends rule="d422850e0-false-d422856e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d422850e0-false-d422856e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d422985e0-false-d422991e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d422985e0-false-d422991e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15">
      <extends rule="d423037e0-false-d423043e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d423037e0-false-d423043e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16">
      <extends rule="d423088e0-false-d423094e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d423088e0-false-d423094e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d423238e0-false-d423244e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d423238e0-false-d423244e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d423357e0-false-d423363e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d423357e0-false-d423363e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17">
      <extends rule="d423403e0-false-d423409e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d423403e0-false-d423409e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d423451e0-false-d423457e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d423451e0-false-d423457e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d423539e0-false-d423545e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d423539e0-false-d423545e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d423585e0-false-d423591e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d423585e0-false-d423591e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d423673e0-false-d423679e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d423673e0-false-d423679e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18">
      <extends rule="d423726e0-false-d423732e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d423726e0-false-d423732e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19">
      <extends rule="d423771e0-false-d423777e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d423771e0-false-d423777e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d423859e0-false-d423865e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d423859e0-false-d423865e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20">
      <extends rule="d423905e0-false-d423911e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d423905e0-false-d423911e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d423993e0-false-d423999e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d423993e0-false-d423999e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22">
      <extends rule="d424073e0-false-d424079e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d424073e0-false-d424079e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d424244e0-false-d424250e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d424244e0-false-d424250e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d424363e0-false-d424369e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d424363e0-false-d424369e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23">
      <extends rule="d424511e0-false-d424517e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d424511e0-false-d424517e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d424682e0-false-d424688e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d424682e0-false-d424688e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d424801e0-false-d424807e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d424801e0-false-d424807e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (OBX_segment_Zwangerschap_pariteit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17">
      <extends rule="d424956e0-false-d424962e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Item) = ('936') or not(@Item)">(OBX_segment_Zwangerschap_pariteit): de waarde van Item MOET '936' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Zwangerschap_pariteit): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Method') or not(@LongName)">(OBX_segment_Zwangerschap_pariteit): de waarde van LongName MOET 'Observation Method' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d424956e0-false-d424962e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3">
      <extends rule="d425106e0-false-d425112e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d425106e0-false-d425112e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6">
      <extends rule="d425225e0-false-d425231e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d425225e0-false-d425231e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (OBX_segment_Zwangerschap_pariteit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18">
      <extends rule="d425277e0-false-d425283e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Item) = ('1479') or not(@Item)">(OBX_segment_Zwangerschap_pariteit): de waarde van Item MOET '1479' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Type) = ('EI') or not(@Type)">(OBX_segment_Zwangerschap_pariteit): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@LongName) = ('Equipment Instance Identifier') or not(@LongName)">(OBX_segment_Zwangerschap_pariteit): de waarde van LongName MOET 'Equipment Instance Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d425277e0-false-d425283e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4">
      <extends rule="d425453e0-false-d425459e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d425453e0-false-d425459e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (OBX_segment_Zwangerschap_pariteit)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19">
      <extends rule="d425505e0-false-d425511e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Item) = ('1480') or not(@Item)">(OBX_segment_Zwangerschap_pariteit): de waarde van Item MOET '1480' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Zwangerschap_pariteit): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.18-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Analysis') or not(@LongName)">(OBX_segment_Zwangerschap_pariteit): de waarde van LongName MOET 'Date/Time of the Analysis' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d425505e0-false-d425511e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2">
      <extends rule="d425593e0-false-d425599e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d425593e0-false-d425599e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION"
         id="d41e3274-false-d425618e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.19
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OBX_segment_Zwangerschap_a_terme_datum)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="count(hl7v2:OBX.1) &lt;= 1">(OBX_segment_Zwangerschap_a_terme_datum): element hl7v2:OBX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &gt;= 1">(OBX_segment_Zwangerschap_a_terme_datum): element hl7v2:OBX.2 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &lt;= 1">(OBX_segment_Zwangerschap_a_terme_datum): element hl7v2:OBX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &gt;= 1">(OBX_segment_Zwangerschap_a_terme_datum): element hl7v2:OBX.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &lt;= 1">(OBX_segment_Zwangerschap_a_terme_datum): element hl7v2:OBX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="count(hl7v2:OBX.4) &lt;= 1">(OBX_segment_Zwangerschap_a_terme_datum): element hl7v2:OBX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &gt;= 1">(OBX_segment_Zwangerschap_a_terme_datum): element hl7v2:OBX.5 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &lt;= 1">(OBX_segment_Zwangerschap_a_terme_datum): element hl7v2:OBX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="count(hl7v2:OBX.6) &lt;= 1">(OBX_segment_Zwangerschap_a_terme_datum): element hl7v2:OBX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="count(hl7v2:OBX.7) &lt;= 1">(OBX_segment_Zwangerschap_a_terme_datum): element hl7v2:OBX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="count(hl7v2:OBX.9) &lt;= 1">(OBX_segment_Zwangerschap_a_terme_datum): element hl7v2:OBX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &gt;= 1">(OBX_segment_Zwangerschap_a_terme_datum): element hl7v2:OBX.11 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &lt;= 1">(OBX_segment_Zwangerschap_a_terme_datum): element hl7v2:OBX.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="count(hl7v2:OBX.12) &lt;= 1">(OBX_segment_Zwangerschap_a_terme_datum): element hl7v2:OBX.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="count(hl7v2:OBX.13) &lt;= 1">(OBX_segment_Zwangerschap_a_terme_datum): element hl7v2:OBX.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="count(hl7v2:OBX.14) &lt;= 1">(OBX_segment_Zwangerschap_a_terme_datum): element hl7v2:OBX.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="count(hl7v2:OBX.15) &lt;= 1">(OBX_segment_Zwangerschap_a_terme_datum): element hl7v2:OBX.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="count(hl7v2:OBX.19) &lt;= 1">(OBX_segment_Zwangerschap_a_terme_datum): element hl7v2:OBX.19 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.19
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (OBX_segment_Zwangerschap_a_terme_datum)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Item) = ('569') or not(@Item)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Item MOET '569' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Type) = ('SI') or not(@Type)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@LongName) = ('Set ID - OBX') or not(@LongName)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van LongName MOET 'Set ID - OBX' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.19
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (OBX_segment_Zwangerschap_a_terme_datum)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2">
      <extends rule="d425871e0-false-d425877e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Item) = ('570') or not(@Item)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Item MOET '570' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Table) = ('HL70125') or not(@Table)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Table MOET 'HL70125' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@LongName) = ('Value Type') or not(@LongName)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van LongName MOET 'Value Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d425871e0-false-d425877e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="text()='TS'">(ID_datatype): de elementinhoud van hl7v2:OBX.2 MOET ''TS'' zijn. Gevonden: "<value-of select="."/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.19
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (OBX_segment_Zwangerschap_a_terme_datum)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3">
      <extends rule="d425935e0-false-d425941e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Item) = ('571') or not(@Item)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Item MOET '571' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Identifier') or not(@LongName)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van LongName MOET 'Observation Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d425935e0-false-d425941e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="@nullFlavor or (@code='11778-8' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Delivery date Estimated' and @codeSystemName='LN')">(CE_datatype): de elementwaarde MOET een zijn van 'code '11778-8' codeSystem '2.16.840.1.113883.6.1' displayName='Delivery date Estimated' codeSystemName='LN''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3">
      <extends rule="d426092e0-false-d426098e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d426092e0-false-d426098e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6">
      <extends rule="d426211e0-false-d426217e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d426211e0-false-d426217e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.19
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (OBX_segment_Zwangerschap_a_terme_datum)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Item) = ('572') or not(@Item)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Item MOET '572' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Sub-ID') or not(@LongName)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van LongName MOET 'Observation Sub-ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.19
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (OBX_segment_Zwangerschap_a_terme_datum)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5">
      <extends rule="d426303e0-false-d426309e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Item) = ('573') or not(@Item)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Item MOET '573' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Type) = ('varies') or not(@Type)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Type MOET 'varies' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Value') or not(@LongName)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van LongName MOET 'Observation Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d426303e0-false-d426309e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5/hl7v2:TS.2">
      <extends rule="d426391e0-false-d426397e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d426391e0-false-d426397e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.19
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (OBX_segment_Zwangerschap_a_terme_datum)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6">
      <extends rule="d426443e0-false-d426449e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Item) = ('574') or not(@Item)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Item MOET '574' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d426443e0-false-d426449e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3">
      <extends rule="d426593e0-false-d426599e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d426593e0-false-d426599e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6">
      <extends rule="d426712e0-false-d426718e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d426712e0-false-d426718e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.19
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (OBX_segment_Zwangerschap_a_terme_datum)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Item) = ('575') or not(@Item)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Item MOET '575' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@LongName) = ('References Range') or not(@LongName)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van LongName MOET 'References Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.19
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (OBX_segment_Zwangerschap_a_terme_datum)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Item) = ('576') or not(@Item)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Item MOET '576' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Table) = ('HL70078') or not(@Table)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Table MOET 'HL70078' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@LongName) = ('Abnormal Flags') or not(@LongName)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van LongName MOET 'Abnormal Flags' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.19
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (OBX_segment_Zwangerschap_a_terme_datum)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Item) = ('577') or not(@Item)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Item MOET '577' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Type) = ('NM') or not(@Type)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@LongName) = ('Probability') or not(@LongName)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van LongName MOET 'Probability' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.19
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (OBX_segment_Zwangerschap_a_terme_datum)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10">
      <extends rule="d426896e0-false-d426902e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Item) = ('578') or not(@Item)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Item MOET '578' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Table) = ('HL70080') or not(@Table)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Table MOET 'HL70080' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@LongName) = ('Nature of Abnormal Test') or not(@LongName)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van LongName MOET 'Nature of Abnormal Test' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d426896e0-false-d426902e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.19
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (OBX_segment_Zwangerschap_a_terme_datum)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11">
      <extends rule="d426953e0-false-d426959e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Item) = ('579') or not(@Item)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Item MOET '579' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Table) = ('HL70085') or not(@Table)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Table MOET 'HL70085' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Result Status') or not(@LongName)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van LongName MOET 'Observation Result Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d426953e0-false-d426959e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.19
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (OBX_segment_Zwangerschap_a_terme_datum)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12">
      <extends rule="d427004e0-false-d427010e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Item) = ('580') or not(@Item)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Item MOET '580' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@LongName) = ('Effective Date of Reference Range') or not(@LongName)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van LongName MOET 'Effective Date of Reference Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d427004e0-false-d427010e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2">
      <extends rule="d427092e0-false-d427098e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d427092e0-false-d427098e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.19
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (OBX_segment_Zwangerschap_a_terme_datum)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Item) = ('581') or not(@Item)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Item MOET '581' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@LongName) = ('User Defined Access Checks') or not(@LongName)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van LongName MOET 'User Defined Access Checks' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.19
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (OBX_segment_Zwangerschap_a_terme_datum)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14">
      <extends rule="d427184e0-false-d427190e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Item) = ('582') or not(@Item)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Item MOET '582' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Observation') or not(@LongName)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van LongName MOET 'Date/Time of the Observation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d427184e0-false-d427190e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2">
      <extends rule="d427272e0-false-d427278e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d427272e0-false-d427278e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.19
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (OBX_segment_Zwangerschap_a_terme_datum)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15">
      <extends rule="d427324e0-false-d427330e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Item) = ('583') or not(@Item)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Item MOET '583' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@LongName) = ('Producer''s ID') or not(@LongName)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van LongName MOET 'Producer''s ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d427324e0-false-d427330e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3">
      <extends rule="d427474e0-false-d427480e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d427474e0-false-d427480e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6">
      <extends rule="d427593e0-false-d427599e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d427593e0-false-d427599e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.19
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (OBX_segment_Zwangerschap_a_terme_datum)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16">
      <extends rule="d427645e0-false-d427651e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Item) = ('584') or not(@Item)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Item MOET '584' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@LongName) = ('Responsible Observer') or not(@LongName)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van LongName MOET 'Responsible Observer' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d427645e0-false-d427651e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2">
      <extends rule="d427874e0-false-d427880e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d427874e0-false-d427880e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9">
      <extends rule="d428336e0-false-d428342e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d428336e0-false-d428342e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d428471e0-false-d428477e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d428471e0-false-d428477e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10">
      <extends rule="d428523e0-false-d428529e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d428523e0-false-d428529e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12">
      <extends rule="d428608e0-false-d428614e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d428608e0-false-d428614e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13">
      <extends rule="d428659e0-false-d428665e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d428659e0-false-d428665e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14">
      <extends rule="d428704e0-false-d428710e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d428704e0-false-d428710e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d428839e0-false-d428845e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d428839e0-false-d428845e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15">
      <extends rule="d428891e0-false-d428897e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d428891e0-false-d428897e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16">
      <extends rule="d428942e0-false-d428948e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d428942e0-false-d428948e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d429092e0-false-d429098e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d429092e0-false-d429098e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d429211e0-false-d429217e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d429211e0-false-d429217e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17">
      <extends rule="d429257e0-false-d429263e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d429257e0-false-d429263e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d429305e0-false-d429311e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d429305e0-false-d429311e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d429393e0-false-d429399e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d429393e0-false-d429399e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d429439e0-false-d429445e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d429439e0-false-d429445e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d429527e0-false-d429533e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d429527e0-false-d429533e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18">
      <extends rule="d429580e0-false-d429586e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d429580e0-false-d429586e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19">
      <extends rule="d429625e0-false-d429631e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d429625e0-false-d429631e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d429713e0-false-d429719e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d429713e0-false-d429719e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20">
      <extends rule="d429759e0-false-d429765e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d429759e0-false-d429765e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d429847e0-false-d429853e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d429847e0-false-d429853e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22">
      <extends rule="d429927e0-false-d429933e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d429927e0-false-d429933e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d430098e0-false-d430104e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d430098e0-false-d430104e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d430217e0-false-d430223e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d430217e0-false-d430223e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23">
      <extends rule="d430365e0-false-d430371e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d430365e0-false-d430371e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d430536e0-false-d430542e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d430536e0-false-d430542e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d430655e0-false-d430661e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d430655e0-false-d430661e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.19
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (OBX_segment_Zwangerschap_a_terme_datum)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17">
      <extends rule="d430810e0-false-d430816e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Item) = ('936') or not(@Item)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Item MOET '936' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Method') or not(@LongName)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van LongName MOET 'Observation Method' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d430810e0-false-d430816e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3">
      <extends rule="d430960e0-false-d430966e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d430960e0-false-d430966e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6">
      <extends rule="d431079e0-false-d431085e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d431079e0-false-d431085e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.19
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (OBX_segment_Zwangerschap_a_terme_datum)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18">
      <extends rule="d431131e0-false-d431137e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Item) = ('1479') or not(@Item)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Item MOET '1479' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Type) = ('EI') or not(@Type)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@LongName) = ('Equipment Instance Identifier') or not(@LongName)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van LongName MOET 'Equipment Instance Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d431131e0-false-d431137e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4">
      <extends rule="d431307e0-false-d431313e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d431307e0-false-d431313e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.19
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (OBX_segment_Zwangerschap_a_terme_datum)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19">
      <extends rule="d431359e0-false-d431365e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Item) = ('1480') or not(@Item)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Item MOET '1480' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.19-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Analysis') or not(@LongName)">(OBX_segment_Zwangerschap_a_terme_datum): de waarde van LongName MOET 'Date/Time of the Analysis' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d431359e0-false-d431365e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2">
      <extends rule="d431447e0-false-d431453e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d431447e0-false-d431453e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION"
         id="d41e3282-false-d431472e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.20
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OBX_segment_Zwangerschap_duur_in_dagen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="count(hl7v2:OBX.1) &lt;= 1">(OBX_segment_Zwangerschap_duur_in_dagen): element hl7v2:OBX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &gt;= 1">(OBX_segment_Zwangerschap_duur_in_dagen): element hl7v2:OBX.2 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &lt;= 1">(OBX_segment_Zwangerschap_duur_in_dagen): element hl7v2:OBX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &gt;= 1">(OBX_segment_Zwangerschap_duur_in_dagen): element hl7v2:OBX.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &lt;= 1">(OBX_segment_Zwangerschap_duur_in_dagen): element hl7v2:OBX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="count(hl7v2:OBX.4) &lt;= 1">(OBX_segment_Zwangerschap_duur_in_dagen): element hl7v2:OBX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &gt;= 1">(OBX_segment_Zwangerschap_duur_in_dagen): element hl7v2:OBX.5 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &lt;= 1">(OBX_segment_Zwangerschap_duur_in_dagen): element hl7v2:OBX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="count(hl7v2:OBX.6) &gt;= 1">(OBX_segment_Zwangerschap_duur_in_dagen): element hl7v2:OBX.6 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="count(hl7v2:OBX.6) &lt;= 1">(OBX_segment_Zwangerschap_duur_in_dagen): element hl7v2:OBX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="count(hl7v2:OBX.7) &lt;= 1">(OBX_segment_Zwangerschap_duur_in_dagen): element hl7v2:OBX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="count(hl7v2:OBX.9) &lt;= 1">(OBX_segment_Zwangerschap_duur_in_dagen): element hl7v2:OBX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &gt;= 1">(OBX_segment_Zwangerschap_duur_in_dagen): element hl7v2:OBX.11 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &lt;= 1">(OBX_segment_Zwangerschap_duur_in_dagen): element hl7v2:OBX.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="count(hl7v2:OBX.12) &lt;= 1">(OBX_segment_Zwangerschap_duur_in_dagen): element hl7v2:OBX.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="count(hl7v2:OBX.13) &lt;= 1">(OBX_segment_Zwangerschap_duur_in_dagen): element hl7v2:OBX.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="count(hl7v2:OBX.14) &lt;= 1">(OBX_segment_Zwangerschap_duur_in_dagen): element hl7v2:OBX.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="count(hl7v2:OBX.15) &lt;= 1">(OBX_segment_Zwangerschap_duur_in_dagen): element hl7v2:OBX.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="count(hl7v2:OBX.19) &lt;= 1">(OBX_segment_Zwangerschap_duur_in_dagen): element hl7v2:OBX.19 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.20
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (OBX_segment_Zwangerschap_duur_in_dagen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Item) = ('569') or not(@Item)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Item MOET '569' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Type) = ('SI') or not(@Type)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@LongName) = ('Set ID - OBX') or not(@LongName)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van LongName MOET 'Set ID - OBX' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.20
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (OBX_segment_Zwangerschap_duur_in_dagen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2">
      <extends rule="d431731e0-false-d431737e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Item) = ('570') or not(@Item)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Item MOET '570' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Table) = ('HL70125') or not(@Table)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Table MOET 'HL70125' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@LongName) = ('Value Type') or not(@LongName)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van LongName MOET 'Value Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d431731e0-false-d431737e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="text()='NM'">(ID_datatype): de elementinhoud van hl7v2:OBX.2 MOET ''NM'' zijn. Gevonden: "<value-of select="."/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.20
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (OBX_segment_Zwangerschap_duur_in_dagen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3">
      <extends rule="d431788e0-false-d431794e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Item) = ('571') or not(@Item)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Item MOET '571' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Identifier') or not(@LongName)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van LongName MOET 'Observation Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d431788e0-false-d431794e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3">
      <extends rule="d431938e0-false-d431944e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d431938e0-false-d431944e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6">
      <extends rule="d432057e0-false-d432063e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d432057e0-false-d432063e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.20
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (OBX_segment_Zwangerschap_duur_in_dagen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Item) = ('572') or not(@Item)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Item MOET '572' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Sub-ID') or not(@LongName)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van LongName MOET 'Observation Sub-ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.20
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (OBX_segment_Zwangerschap_duur_in_dagen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Item) = ('573') or not(@Item)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Item MOET '573' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Type) = ('varies') or not(@Type)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Type MOET 'varies' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Value') or not(@LongName)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van LongName MOET 'Observation Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.67
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (varies_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.20
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (OBX_segment_Zwangerschap_duur_in_dagen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6">
      <extends rule="d432196e0-false-d432202e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Item) = ('574') or not(@Item)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Item MOET '574' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d432196e0-false-d432202e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="@nullFlavor or (@code='d')">(CE_datatype): de elementwaarde MOET een zijn van 'code 'd''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3">
      <extends rule="d432353e0-false-d432359e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d432353e0-false-d432359e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6">
      <extends rule="d432472e0-false-d432478e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d432472e0-false-d432478e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.20
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (OBX_segment_Zwangerschap_duur_in_dagen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Item) = ('575') or not(@Item)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Item MOET '575' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@LongName) = ('References Range') or not(@LongName)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van LongName MOET 'References Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.20
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (OBX_segment_Zwangerschap_duur_in_dagen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Item) = ('576') or not(@Item)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Item MOET '576' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Table) = ('HL70078') or not(@Table)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Table MOET 'HL70078' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@LongName) = ('Abnormal Flags') or not(@LongName)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van LongName MOET 'Abnormal Flags' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.20
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (OBX_segment_Zwangerschap_duur_in_dagen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Item) = ('577') or not(@Item)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Item MOET '577' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Type) = ('NM') or not(@Type)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@LongName) = ('Probability') or not(@LongName)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van LongName MOET 'Probability' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.20
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (OBX_segment_Zwangerschap_duur_in_dagen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10">
      <extends rule="d432656e0-false-d432662e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Item) = ('578') or not(@Item)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Item MOET '578' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Table) = ('HL70080') or not(@Table)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Table MOET 'HL70080' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@LongName) = ('Nature of Abnormal Test') or not(@LongName)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van LongName MOET 'Nature of Abnormal Test' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d432656e0-false-d432662e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.20
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (OBX_segment_Zwangerschap_duur_in_dagen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11">
      <extends rule="d432713e0-false-d432719e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Item) = ('579') or not(@Item)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Item MOET '579' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Table) = ('HL70085') or not(@Table)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Table MOET 'HL70085' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Result Status') or not(@LongName)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van LongName MOET 'Observation Result Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d432713e0-false-d432719e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.20
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (OBX_segment_Zwangerschap_duur_in_dagen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12">
      <extends rule="d432764e0-false-d432770e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Item) = ('580') or not(@Item)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Item MOET '580' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@LongName) = ('Effective Date of Reference Range') or not(@LongName)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van LongName MOET 'Effective Date of Reference Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d432764e0-false-d432770e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2">
      <extends rule="d432852e0-false-d432858e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d432852e0-false-d432858e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.20
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (OBX_segment_Zwangerschap_duur_in_dagen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Item) = ('581') or not(@Item)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Item MOET '581' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@LongName) = ('User Defined Access Checks') or not(@LongName)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van LongName MOET 'User Defined Access Checks' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.20
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (OBX_segment_Zwangerschap_duur_in_dagen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14">
      <extends rule="d432944e0-false-d432950e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Item) = ('582') or not(@Item)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Item MOET '582' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Observation') or not(@LongName)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van LongName MOET 'Date/Time of the Observation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d432944e0-false-d432950e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2">
      <extends rule="d433032e0-false-d433038e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d433032e0-false-d433038e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.20
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (OBX_segment_Zwangerschap_duur_in_dagen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15">
      <extends rule="d433084e0-false-d433090e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Item) = ('583') or not(@Item)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Item MOET '583' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@LongName) = ('Producer''s ID') or not(@LongName)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van LongName MOET 'Producer''s ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d433084e0-false-d433090e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3">
      <extends rule="d433234e0-false-d433240e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d433234e0-false-d433240e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6">
      <extends rule="d433353e0-false-d433359e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d433353e0-false-d433359e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.20
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (OBX_segment_Zwangerschap_duur_in_dagen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16">
      <extends rule="d433405e0-false-d433411e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Item) = ('584') or not(@Item)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Item MOET '584' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@LongName) = ('Responsible Observer') or not(@LongName)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van LongName MOET 'Responsible Observer' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d433405e0-false-d433411e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2">
      <extends rule="d433634e0-false-d433640e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d433634e0-false-d433640e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9">
      <extends rule="d434096e0-false-d434102e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d434096e0-false-d434102e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d434231e0-false-d434237e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d434231e0-false-d434237e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10">
      <extends rule="d434283e0-false-d434289e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d434283e0-false-d434289e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12">
      <extends rule="d434368e0-false-d434374e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d434368e0-false-d434374e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13">
      <extends rule="d434419e0-false-d434425e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d434419e0-false-d434425e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14">
      <extends rule="d434464e0-false-d434470e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d434464e0-false-d434470e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d434599e0-false-d434605e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d434599e0-false-d434605e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15">
      <extends rule="d434651e0-false-d434657e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d434651e0-false-d434657e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16">
      <extends rule="d434702e0-false-d434708e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d434702e0-false-d434708e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d434852e0-false-d434858e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d434852e0-false-d434858e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d434971e0-false-d434977e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d434971e0-false-d434977e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17">
      <extends rule="d435017e0-false-d435023e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d435017e0-false-d435023e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d435065e0-false-d435071e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d435065e0-false-d435071e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d435153e0-false-d435159e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d435153e0-false-d435159e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d435199e0-false-d435205e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d435199e0-false-d435205e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d435287e0-false-d435293e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d435287e0-false-d435293e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18">
      <extends rule="d435340e0-false-d435346e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d435340e0-false-d435346e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19">
      <extends rule="d435385e0-false-d435391e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d435385e0-false-d435391e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d435473e0-false-d435479e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d435473e0-false-d435479e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20">
      <extends rule="d435519e0-false-d435525e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d435519e0-false-d435525e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d435607e0-false-d435613e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d435607e0-false-d435613e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22">
      <extends rule="d435687e0-false-d435693e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d435687e0-false-d435693e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d435858e0-false-d435864e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d435858e0-false-d435864e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d435977e0-false-d435983e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d435977e0-false-d435983e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23">
      <extends rule="d436125e0-false-d436131e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d436125e0-false-d436131e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d436296e0-false-d436302e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d436296e0-false-d436302e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d436415e0-false-d436421e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d436415e0-false-d436421e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.20
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (OBX_segment_Zwangerschap_duur_in_dagen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17">
      <extends rule="d436570e0-false-d436576e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Item) = ('936') or not(@Item)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Item MOET '936' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Method') or not(@LongName)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van LongName MOET 'Observation Method' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d436570e0-false-d436576e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3">
      <extends rule="d436720e0-false-d436726e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d436720e0-false-d436726e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6">
      <extends rule="d436839e0-false-d436845e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d436839e0-false-d436845e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.20
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (OBX_segment_Zwangerschap_duur_in_dagen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18">
      <extends rule="d436891e0-false-d436897e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Item) = ('1479') or not(@Item)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Item MOET '1479' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Type) = ('EI') or not(@Type)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@LongName) = ('Equipment Instance Identifier') or not(@LongName)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van LongName MOET 'Equipment Instance Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d436891e0-false-d436897e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4">
      <extends rule="d437067e0-false-d437073e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d437067e0-false-d437073e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.20
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (OBX_segment_Zwangerschap_duur_in_dagen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19">
      <extends rule="d437119e0-false-d437125e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Item) = ('1480') or not(@Item)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Item MOET '1480' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.20-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Analysis') or not(@LongName)">(OBX_segment_Zwangerschap_duur_in_dagen): de waarde van LongName MOET 'Date/Time of the Analysis' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d437119e0-false-d437125e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2">
      <extends rule="d437207e0-false-d437213e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d437207e0-false-d437213e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION"
         id="d41e3290-false-d437232e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OBX_segment_Relevante_medicatie)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="count(hl7v2:OBX.1) &lt;= 1">(OBX_segment_Relevante_medicatie): element hl7v2:OBX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &gt;= 1">(OBX_segment_Relevante_medicatie): element hl7v2:OBX.2 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &lt;= 1">(OBX_segment_Relevante_medicatie): element hl7v2:OBX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &gt;= 1">(OBX_segment_Relevante_medicatie): element hl7v2:OBX.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &lt;= 1">(OBX_segment_Relevante_medicatie): element hl7v2:OBX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="count(hl7v2:OBX.4) &lt;= 1">(OBX_segment_Relevante_medicatie): element hl7v2:OBX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &gt;= 1">(OBX_segment_Relevante_medicatie): element hl7v2:OBX.5 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &lt;= 1">(OBX_segment_Relevante_medicatie): element hl7v2:OBX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="count(hl7v2:OBX.6) &lt;= 1">(OBX_segment_Relevante_medicatie): element hl7v2:OBX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="count(hl7v2:OBX.7) &lt;= 1">(OBX_segment_Relevante_medicatie): element hl7v2:OBX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="count(hl7v2:OBX.9) &lt;= 1">(OBX_segment_Relevante_medicatie): element hl7v2:OBX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &gt;= 1">(OBX_segment_Relevante_medicatie): element hl7v2:OBX.11 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &lt;= 1">(OBX_segment_Relevante_medicatie): element hl7v2:OBX.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="count(hl7v2:OBX.12) &lt;= 1">(OBX_segment_Relevante_medicatie): element hl7v2:OBX.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="count(hl7v2:OBX.13) &lt;= 1">(OBX_segment_Relevante_medicatie): element hl7v2:OBX.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="count(hl7v2:OBX.14) &lt;= 1">(OBX_segment_Relevante_medicatie): element hl7v2:OBX.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="count(hl7v2:OBX.15) &lt;= 1">(OBX_segment_Relevante_medicatie): element hl7v2:OBX.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="count(hl7v2:OBX.19) &lt;= 1">(OBX_segment_Relevante_medicatie): element hl7v2:OBX.19 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (OBX_segment_Relevante_medicatie)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Item) = ('569') or not(@Item)">(OBX_segment_Relevante_medicatie): de waarde van Item MOET '569' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Type) = ('SI') or not(@Type)">(OBX_segment_Relevante_medicatie): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@LongName) = ('Set ID - OBX') or not(@LongName)">(OBX_segment_Relevante_medicatie): de waarde van LongName MOET 'Set ID - OBX' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (OBX_segment_Relevante_medicatie)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2">
      <extends rule="d437485e0-false-d437491e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Item) = ('570') or not(@Item)">(OBX_segment_Relevante_medicatie): de waarde van Item MOET '570' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Relevante_medicatie): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Table) = ('HL70125') or not(@Table)">(OBX_segment_Relevante_medicatie): de waarde van Table MOET 'HL70125' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@LongName) = ('Value Type') or not(@LongName)">(OBX_segment_Relevante_medicatie): de waarde van LongName MOET 'Value Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d437485e0-false-d437491e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="text()='ST'">(ID_datatype): de elementinhoud van hl7v2:OBX.2 MOET ''ST'' zijn. Gevonden: "<value-of select="."/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (OBX_segment_Relevante_medicatie)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3">
      <extends rule="d437542e0-false-d437548e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Item) = ('571') or not(@Item)">(OBX_segment_Relevante_medicatie): de waarde van Item MOET '571' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Relevante_medicatie): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Identifier') or not(@LongName)">(OBX_segment_Relevante_medicatie): de waarde van LongName MOET 'Observation Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d437542e0-false-d437548e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3">
      <extends rule="d437692e0-false-d437698e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d437692e0-false-d437698e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6">
      <extends rule="d437811e0-false-d437817e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d437811e0-false-d437817e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (OBX_segment_Relevante_medicatie)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Item) = ('572') or not(@Item)">(OBX_segment_Relevante_medicatie): de waarde van Item MOET '572' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Relevante_medicatie): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Sub-ID') or not(@LongName)">(OBX_segment_Relevante_medicatie): de waarde van LongName MOET 'Observation Sub-ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (OBX_segment_Relevante_medicatie)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Item) = ('573') or not(@Item)">(OBX_segment_Relevante_medicatie): de waarde van Item MOET '573' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Type) = ('varies') or not(@Type)">(OBX_segment_Relevante_medicatie): de waarde van Type MOET 'varies' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Value') or not(@LongName)">(OBX_segment_Relevante_medicatie): de waarde van LongName MOET 'Observation Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (OBX_segment_Relevante_medicatie)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6">
      <extends rule="d437943e0-false-d437949e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Item) = ('574') or not(@Item)">(OBX_segment_Relevante_medicatie): de waarde van Item MOET '574' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Relevante_medicatie): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(OBX_segment_Relevante_medicatie): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d437943e0-false-d437949e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3">
      <extends rule="d438093e0-false-d438099e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d438093e0-false-d438099e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6">
      <extends rule="d438212e0-false-d438218e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d438212e0-false-d438218e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (OBX_segment_Relevante_medicatie)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Item) = ('575') or not(@Item)">(OBX_segment_Relevante_medicatie): de waarde van Item MOET '575' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Relevante_medicatie): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@LongName) = ('References Range') or not(@LongName)">(OBX_segment_Relevante_medicatie): de waarde van LongName MOET 'References Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (OBX_segment_Relevante_medicatie)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Item) = ('576') or not(@Item)">(OBX_segment_Relevante_medicatie): de waarde van Item MOET '576' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OBX_segment_Relevante_medicatie): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Table) = ('HL70078') or not(@Table)">(OBX_segment_Relevante_medicatie): de waarde van Table MOET 'HL70078' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@LongName) = ('Abnormal Flags') or not(@LongName)">(OBX_segment_Relevante_medicatie): de waarde van LongName MOET 'Abnormal Flags' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (OBX_segment_Relevante_medicatie)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Item) = ('577') or not(@Item)">(OBX_segment_Relevante_medicatie): de waarde van Item MOET '577' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Type) = ('NM') or not(@Type)">(OBX_segment_Relevante_medicatie): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@LongName) = ('Probability') or not(@LongName)">(OBX_segment_Relevante_medicatie): de waarde van LongName MOET 'Probability' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (OBX_segment_Relevante_medicatie)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10">
      <extends rule="d438396e0-false-d438402e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Item) = ('578') or not(@Item)">(OBX_segment_Relevante_medicatie): de waarde van Item MOET '578' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Relevante_medicatie): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Table) = ('HL70080') or not(@Table)">(OBX_segment_Relevante_medicatie): de waarde van Table MOET 'HL70080' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@LongName) = ('Nature of Abnormal Test') or not(@LongName)">(OBX_segment_Relevante_medicatie): de waarde van LongName MOET 'Nature of Abnormal Test' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d438396e0-false-d438402e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (OBX_segment_Relevante_medicatie)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11">
      <extends rule="d438453e0-false-d438459e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Item) = ('579') or not(@Item)">(OBX_segment_Relevante_medicatie): de waarde van Item MOET '579' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Relevante_medicatie): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Table) = ('HL70085') or not(@Table)">(OBX_segment_Relevante_medicatie): de waarde van Table MOET 'HL70085' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Result Status') or not(@LongName)">(OBX_segment_Relevante_medicatie): de waarde van LongName MOET 'Observation Result Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d438453e0-false-d438459e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (OBX_segment_Relevante_medicatie)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12">
      <extends rule="d438504e0-false-d438510e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Item) = ('580') or not(@Item)">(OBX_segment_Relevante_medicatie): de waarde van Item MOET '580' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Relevante_medicatie): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@LongName) = ('Effective Date of Reference Range') or not(@LongName)">(OBX_segment_Relevante_medicatie): de waarde van LongName MOET 'Effective Date of Reference Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d438504e0-false-d438510e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2">
      <extends rule="d438592e0-false-d438598e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d438592e0-false-d438598e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (OBX_segment_Relevante_medicatie)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Item) = ('581') or not(@Item)">(OBX_segment_Relevante_medicatie): de waarde van Item MOET '581' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Relevante_medicatie): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@LongName) = ('User Defined Access Checks') or not(@LongName)">(OBX_segment_Relevante_medicatie): de waarde van LongName MOET 'User Defined Access Checks' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (OBX_segment_Relevante_medicatie)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14">
      <extends rule="d438684e0-false-d438690e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Item) = ('582') or not(@Item)">(OBX_segment_Relevante_medicatie): de waarde van Item MOET '582' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Relevante_medicatie): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Observation') or not(@LongName)">(OBX_segment_Relevante_medicatie): de waarde van LongName MOET 'Date/Time of the Observation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d438684e0-false-d438690e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2">
      <extends rule="d438772e0-false-d438778e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d438772e0-false-d438778e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (OBX_segment_Relevante_medicatie)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15">
      <extends rule="d438824e0-false-d438830e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Item) = ('583') or not(@Item)">(OBX_segment_Relevante_medicatie): de waarde van Item MOET '583' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Relevante_medicatie): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@LongName) = ('Producer''s ID') or not(@LongName)">(OBX_segment_Relevante_medicatie): de waarde van LongName MOET 'Producer''s ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d438824e0-false-d438830e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3">
      <extends rule="d438974e0-false-d438980e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d438974e0-false-d438980e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6">
      <extends rule="d439093e0-false-d439099e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d439093e0-false-d439099e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (OBX_segment_Relevante_medicatie)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16">
      <extends rule="d439145e0-false-d439151e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Item) = ('584') or not(@Item)">(OBX_segment_Relevante_medicatie): de waarde van Item MOET '584' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(OBX_segment_Relevante_medicatie): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@LongName) = ('Responsible Observer') or not(@LongName)">(OBX_segment_Relevante_medicatie): de waarde van LongName MOET 'Responsible Observer' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d439145e0-false-d439151e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2">
      <extends rule="d439374e0-false-d439380e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d439374e0-false-d439380e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9">
      <extends rule="d439836e0-false-d439842e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d439836e0-false-d439842e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d439971e0-false-d439977e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d439971e0-false-d439977e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10">
      <extends rule="d440023e0-false-d440029e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d440023e0-false-d440029e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12">
      <extends rule="d440108e0-false-d440114e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d440108e0-false-d440114e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13">
      <extends rule="d440159e0-false-d440165e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d440159e0-false-d440165e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14">
      <extends rule="d440204e0-false-d440210e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d440204e0-false-d440210e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d440339e0-false-d440345e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d440339e0-false-d440345e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15">
      <extends rule="d440391e0-false-d440397e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d440391e0-false-d440397e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16">
      <extends rule="d440442e0-false-d440448e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d440442e0-false-d440448e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d440592e0-false-d440598e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d440592e0-false-d440598e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d440711e0-false-d440717e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d440711e0-false-d440717e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17">
      <extends rule="d440757e0-false-d440763e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d440757e0-false-d440763e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d440805e0-false-d440811e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d440805e0-false-d440811e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d440893e0-false-d440899e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d440893e0-false-d440899e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d440939e0-false-d440945e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d440939e0-false-d440945e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d441027e0-false-d441033e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d441027e0-false-d441033e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18">
      <extends rule="d441080e0-false-d441086e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d441080e0-false-d441086e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19">
      <extends rule="d441125e0-false-d441131e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d441125e0-false-d441131e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d441213e0-false-d441219e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d441213e0-false-d441219e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20">
      <extends rule="d441259e0-false-d441265e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d441259e0-false-d441265e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d441347e0-false-d441353e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d441347e0-false-d441353e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22">
      <extends rule="d441427e0-false-d441433e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d441427e0-false-d441433e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d441598e0-false-d441604e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d441598e0-false-d441604e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d441717e0-false-d441723e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d441717e0-false-d441723e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23">
      <extends rule="d441865e0-false-d441871e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d441865e0-false-d441871e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d442036e0-false-d442042e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d442036e0-false-d442042e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d442155e0-false-d442161e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d442155e0-false-d442161e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (OBX_segment_Relevante_medicatie)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17">
      <extends rule="d442310e0-false-d442316e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Item) = ('936') or not(@Item)">(OBX_segment_Relevante_medicatie): de waarde van Item MOET '936' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Relevante_medicatie): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Method') or not(@LongName)">(OBX_segment_Relevante_medicatie): de waarde van LongName MOET 'Observation Method' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d442310e0-false-d442316e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3">
      <extends rule="d442460e0-false-d442466e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d442460e0-false-d442466e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6">
      <extends rule="d442579e0-false-d442585e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d442579e0-false-d442585e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (OBX_segment_Relevante_medicatie)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18">
      <extends rule="d442631e0-false-d442637e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Item) = ('1479') or not(@Item)">(OBX_segment_Relevante_medicatie): de waarde van Item MOET '1479' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Type) = ('EI') or not(@Type)">(OBX_segment_Relevante_medicatie): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@LongName) = ('Equipment Instance Identifier') or not(@LongName)">(OBX_segment_Relevante_medicatie): de waarde van LongName MOET 'Equipment Instance Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d442631e0-false-d442637e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4">
      <extends rule="d442807e0-false-d442813e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d442807e0-false-d442813e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (OBX_segment_Relevante_medicatie)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19">
      <extends rule="d442859e0-false-d442865e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Item) = ('1480') or not(@Item)">(OBX_segment_Relevante_medicatie): de waarde van Item MOET '1480' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Relevante_medicatie): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.21-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Analysis') or not(@LongName)">(OBX_segment_Relevante_medicatie): de waarde van LongName MOET 'Date/Time of the Analysis' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d442859e0-false-d442865e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2">
      <extends rule="d442947e0-false-d442953e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d442947e0-false-d442953e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION"
         id="d41e3299-false-d442972e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OBX_segment_Symptoom)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="count(hl7v2:OBX.1) &lt;= 1">(OBX_segment_Symptoom): element hl7v2:OBX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &gt;= 1">(OBX_segment_Symptoom): element hl7v2:OBX.2 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &lt;= 1">(OBX_segment_Symptoom): element hl7v2:OBX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &gt;= 1">(OBX_segment_Symptoom): element hl7v2:OBX.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &lt;= 1">(OBX_segment_Symptoom): element hl7v2:OBX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="count(hl7v2:OBX.4) &lt;= 1">(OBX_segment_Symptoom): element hl7v2:OBX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &gt;= 1">(OBX_segment_Symptoom): element hl7v2:OBX.5 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &lt;= 1">(OBX_segment_Symptoom): element hl7v2:OBX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="count(hl7v2:OBX.6) &lt;= 1">(OBX_segment_Symptoom): element hl7v2:OBX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="count(hl7v2:OBX.7) &lt;= 1">(OBX_segment_Symptoom): element hl7v2:OBX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="count(hl7v2:OBX.9) &lt;= 1">(OBX_segment_Symptoom): element hl7v2:OBX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &gt;= 1">(OBX_segment_Symptoom): element hl7v2:OBX.11 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &lt;= 1">(OBX_segment_Symptoom): element hl7v2:OBX.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="count(hl7v2:OBX.12) &lt;= 1">(OBX_segment_Symptoom): element hl7v2:OBX.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="count(hl7v2:OBX.13) &lt;= 1">(OBX_segment_Symptoom): element hl7v2:OBX.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="count(hl7v2:OBX.14) &lt;= 1">(OBX_segment_Symptoom): element hl7v2:OBX.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="count(hl7v2:OBX.15) &lt;= 1">(OBX_segment_Symptoom): element hl7v2:OBX.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="count(hl7v2:OBX.19) &lt;= 1">(OBX_segment_Symptoom): element hl7v2:OBX.19 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (OBX_segment_Symptoom)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Item) = ('569') or not(@Item)">(OBX_segment_Symptoom): de waarde van Item MOET '569' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Type) = ('SI') or not(@Type)">(OBX_segment_Symptoom): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@LongName) = ('Set ID - OBX') or not(@LongName)">(OBX_segment_Symptoom): de waarde van LongName MOET 'Set ID - OBX' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (OBX_segment_Symptoom)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2">
      <extends rule="d443225e0-false-d443231e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Item) = ('570') or not(@Item)">(OBX_segment_Symptoom): de waarde van Item MOET '570' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Symptoom): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Table) = ('HL70125') or not(@Table)">(OBX_segment_Symptoom): de waarde van Table MOET 'HL70125' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@LongName) = ('Value Type') or not(@LongName)">(OBX_segment_Symptoom): de waarde van LongName MOET 'Value Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d443225e0-false-d443231e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="text()='ST'">(ID_datatype): de elementinhoud van hl7v2:OBX.2 MOET ''ST'' zijn. Gevonden: "<value-of select="."/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (OBX_segment_Symptoom)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3">
      <extends rule="d443289e0-false-d443295e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Item) = ('571') or not(@Item)">(OBX_segment_Symptoom): de waarde van Item MOET '571' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Symptoom): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Identifier') or not(@LongName)">(OBX_segment_Symptoom): de waarde van LongName MOET 'Observation Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d443289e0-false-d443295e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="@nullFlavor or (@code='418799008' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Finding reported by subject or history provider (finding)' and @codeSystemName='SCT')">(CE_datatype): de elementwaarde MOET een zijn van 'code '418799008' codeSystem '2.16.840.1.113883.6.96' displayName='Finding reported by subject or history provider (finding)' codeSystemName='SCT''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3">
      <extends rule="d443446e0-false-d443452e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d443446e0-false-d443452e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6">
      <extends rule="d443565e0-false-d443571e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d443565e0-false-d443571e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (OBX_segment_Symptoom)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Item) = ('572') or not(@Item)">(OBX_segment_Symptoom): de waarde van Item MOET '572' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Symptoom): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Sub-ID') or not(@LongName)">(OBX_segment_Symptoom): de waarde van LongName MOET 'Observation Sub-ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (OBX_segment_Symptoom)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Item) = ('573') or not(@Item)">(OBX_segment_Symptoom): de waarde van Item MOET '573' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Type) = ('varies') or not(@Type)">(OBX_segment_Symptoom): de waarde van Type MOET 'varies' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Value') or not(@LongName)">(OBX_segment_Symptoom): de waarde van LongName MOET 'Observation Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (OBX_segment_Symptoom)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6">
      <extends rule="d443697e0-false-d443703e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Item) = ('574') or not(@Item)">(OBX_segment_Symptoom): de waarde van Item MOET '574' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Symptoom): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(OBX_segment_Symptoom): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d443697e0-false-d443703e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3">
      <extends rule="d443847e0-false-d443853e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d443847e0-false-d443853e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6">
      <extends rule="d443966e0-false-d443972e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d443966e0-false-d443972e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (OBX_segment_Symptoom)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Item) = ('575') or not(@Item)">(OBX_segment_Symptoom): de waarde van Item MOET '575' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Symptoom): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@LongName) = ('References Range') or not(@LongName)">(OBX_segment_Symptoom): de waarde van LongName MOET 'References Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (OBX_segment_Symptoom)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Item) = ('576') or not(@Item)">(OBX_segment_Symptoom): de waarde van Item MOET '576' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OBX_segment_Symptoom): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Table) = ('HL70078') or not(@Table)">(OBX_segment_Symptoom): de waarde van Table MOET 'HL70078' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@LongName) = ('Abnormal Flags') or not(@LongName)">(OBX_segment_Symptoom): de waarde van LongName MOET 'Abnormal Flags' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (OBX_segment_Symptoom)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Item) = ('577') or not(@Item)">(OBX_segment_Symptoom): de waarde van Item MOET '577' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Type) = ('NM') or not(@Type)">(OBX_segment_Symptoom): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@LongName) = ('Probability') or not(@LongName)">(OBX_segment_Symptoom): de waarde van LongName MOET 'Probability' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (OBX_segment_Symptoom)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10">
      <extends rule="d444150e0-false-d444156e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Item) = ('578') or not(@Item)">(OBX_segment_Symptoom): de waarde van Item MOET '578' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Symptoom): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Table) = ('HL70080') or not(@Table)">(OBX_segment_Symptoom): de waarde van Table MOET 'HL70080' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@LongName) = ('Nature of Abnormal Test') or not(@LongName)">(OBX_segment_Symptoom): de waarde van LongName MOET 'Nature of Abnormal Test' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d444150e0-false-d444156e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (OBX_segment_Symptoom)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11">
      <extends rule="d444207e0-false-d444213e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Item) = ('579') or not(@Item)">(OBX_segment_Symptoom): de waarde van Item MOET '579' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Symptoom): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Table) = ('HL70085') or not(@Table)">(OBX_segment_Symptoom): de waarde van Table MOET 'HL70085' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Result Status') or not(@LongName)">(OBX_segment_Symptoom): de waarde van LongName MOET 'Observation Result Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d444207e0-false-d444213e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (OBX_segment_Symptoom)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12">
      <extends rule="d444258e0-false-d444264e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Item) = ('580') or not(@Item)">(OBX_segment_Symptoom): de waarde van Item MOET '580' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Symptoom): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@LongName) = ('Effective Date of Reference Range') or not(@LongName)">(OBX_segment_Symptoom): de waarde van LongName MOET 'Effective Date of Reference Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d444258e0-false-d444264e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2">
      <extends rule="d444346e0-false-d444352e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d444346e0-false-d444352e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (OBX_segment_Symptoom)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Item) = ('581') or not(@Item)">(OBX_segment_Symptoom): de waarde van Item MOET '581' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Symptoom): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@LongName) = ('User Defined Access Checks') or not(@LongName)">(OBX_segment_Symptoom): de waarde van LongName MOET 'User Defined Access Checks' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (OBX_segment_Symptoom)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14">
      <extends rule="d444438e0-false-d444444e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Item) = ('582') or not(@Item)">(OBX_segment_Symptoom): de waarde van Item MOET '582' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Symptoom): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Observation') or not(@LongName)">(OBX_segment_Symptoom): de waarde van LongName MOET 'Date/Time of the Observation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d444438e0-false-d444444e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2">
      <extends rule="d444526e0-false-d444532e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d444526e0-false-d444532e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (OBX_segment_Symptoom)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15">
      <extends rule="d444578e0-false-d444584e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Item) = ('583') or not(@Item)">(OBX_segment_Symptoom): de waarde van Item MOET '583' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Symptoom): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@LongName) = ('Producer''s ID') or not(@LongName)">(OBX_segment_Symptoom): de waarde van LongName MOET 'Producer''s ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d444578e0-false-d444584e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3">
      <extends rule="d444728e0-false-d444734e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d444728e0-false-d444734e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6">
      <extends rule="d444847e0-false-d444853e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d444847e0-false-d444853e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (OBX_segment_Symptoom)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16">
      <extends rule="d444899e0-false-d444905e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Item) = ('584') or not(@Item)">(OBX_segment_Symptoom): de waarde van Item MOET '584' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(OBX_segment_Symptoom): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@LongName) = ('Responsible Observer') or not(@LongName)">(OBX_segment_Symptoom): de waarde van LongName MOET 'Responsible Observer' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d444899e0-false-d444905e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2">
      <extends rule="d445128e0-false-d445134e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d445128e0-false-d445134e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9">
      <extends rule="d445590e0-false-d445596e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d445590e0-false-d445596e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d445725e0-false-d445731e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d445725e0-false-d445731e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10">
      <extends rule="d445777e0-false-d445783e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d445777e0-false-d445783e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12">
      <extends rule="d445862e0-false-d445868e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d445862e0-false-d445868e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13">
      <extends rule="d445913e0-false-d445919e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d445913e0-false-d445919e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14">
      <extends rule="d445958e0-false-d445964e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d445958e0-false-d445964e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d446093e0-false-d446099e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d446093e0-false-d446099e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15">
      <extends rule="d446145e0-false-d446151e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d446145e0-false-d446151e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16">
      <extends rule="d446196e0-false-d446202e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d446196e0-false-d446202e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d446346e0-false-d446352e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d446346e0-false-d446352e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d446465e0-false-d446471e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d446465e0-false-d446471e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17">
      <extends rule="d446511e0-false-d446517e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d446511e0-false-d446517e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d446559e0-false-d446565e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d446559e0-false-d446565e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d446647e0-false-d446653e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d446647e0-false-d446653e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d446693e0-false-d446699e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d446693e0-false-d446699e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d446781e0-false-d446787e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d446781e0-false-d446787e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18">
      <extends rule="d446834e0-false-d446840e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d446834e0-false-d446840e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19">
      <extends rule="d446879e0-false-d446885e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d446879e0-false-d446885e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d446967e0-false-d446973e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d446967e0-false-d446973e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20">
      <extends rule="d447013e0-false-d447019e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d447013e0-false-d447019e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d447101e0-false-d447107e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d447101e0-false-d447107e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22">
      <extends rule="d447181e0-false-d447187e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d447181e0-false-d447187e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d447352e0-false-d447358e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d447352e0-false-d447358e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d447471e0-false-d447477e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d447471e0-false-d447477e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23">
      <extends rule="d447619e0-false-d447625e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d447619e0-false-d447625e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d447790e0-false-d447796e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d447790e0-false-d447796e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d447909e0-false-d447915e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d447909e0-false-d447915e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (OBX_segment_Symptoom)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17">
      <extends rule="d448064e0-false-d448070e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Item) = ('936') or not(@Item)">(OBX_segment_Symptoom): de waarde van Item MOET '936' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Symptoom): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Method') or not(@LongName)">(OBX_segment_Symptoom): de waarde van LongName MOET 'Observation Method' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d448064e0-false-d448070e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3">
      <extends rule="d448214e0-false-d448220e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d448214e0-false-d448220e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6">
      <extends rule="d448333e0-false-d448339e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d448333e0-false-d448339e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (OBX_segment_Symptoom)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18">
      <extends rule="d448385e0-false-d448391e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Item) = ('1479') or not(@Item)">(OBX_segment_Symptoom): de waarde van Item MOET '1479' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Type) = ('EI') or not(@Type)">(OBX_segment_Symptoom): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@LongName) = ('Equipment Instance Identifier') or not(@LongName)">(OBX_segment_Symptoom): de waarde van LongName MOET 'Equipment Instance Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d448385e0-false-d448391e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4">
      <extends rule="d448561e0-false-d448567e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d448561e0-false-d448567e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (OBX_segment_Symptoom)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19">
      <extends rule="d448613e0-false-d448619e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Item) = ('1480') or not(@Item)">(OBX_segment_Symptoom): de waarde van Item MOET '1480' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Symptoom): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.22-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Analysis') or not(@LongName)">(OBX_segment_Symptoom): de waarde van LongName MOET 'Date/Time of the Analysis' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d448613e0-false-d448619e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2">
      <extends rule="d448701e0-false-d448707e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d448701e0-false-d448707e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION"
         id="d41e3307-false-d448726e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.23
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OBX_segment_Vaccinatiestatus)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="count(hl7v2:OBX.1) &lt;= 1">(OBX_segment_Vaccinatiestatus): element hl7v2:OBX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &gt;= 1">(OBX_segment_Vaccinatiestatus): element hl7v2:OBX.2 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &lt;= 1">(OBX_segment_Vaccinatiestatus): element hl7v2:OBX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &gt;= 1">(OBX_segment_Vaccinatiestatus): element hl7v2:OBX.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &lt;= 1">(OBX_segment_Vaccinatiestatus): element hl7v2:OBX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="count(hl7v2:OBX.4) &lt;= 1">(OBX_segment_Vaccinatiestatus): element hl7v2:OBX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &gt;= 1">(OBX_segment_Vaccinatiestatus): element hl7v2:OBX.5 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="count(hl7v2:OBX.6) &lt;= 1">(OBX_segment_Vaccinatiestatus): element hl7v2:OBX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="count(hl7v2:OBX.7) &lt;= 1">(OBX_segment_Vaccinatiestatus): element hl7v2:OBX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="count(hl7v2:OBX.9) &lt;= 1">(OBX_segment_Vaccinatiestatus): element hl7v2:OBX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &gt;= 1">(OBX_segment_Vaccinatiestatus): element hl7v2:OBX.11 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &lt;= 1">(OBX_segment_Vaccinatiestatus): element hl7v2:OBX.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="count(hl7v2:OBX.12) &lt;= 1">(OBX_segment_Vaccinatiestatus): element hl7v2:OBX.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="count(hl7v2:OBX.13) &lt;= 1">(OBX_segment_Vaccinatiestatus): element hl7v2:OBX.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="count(hl7v2:OBX.14) &lt;= 1">(OBX_segment_Vaccinatiestatus): element hl7v2:OBX.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="count(hl7v2:OBX.15) &lt;= 1">(OBX_segment_Vaccinatiestatus): element hl7v2:OBX.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="count(hl7v2:OBX.19) &lt;= 1">(OBX_segment_Vaccinatiestatus): element hl7v2:OBX.19 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.23
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (OBX_segment_Vaccinatiestatus)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Item) = ('569') or not(@Item)">(OBX_segment_Vaccinatiestatus): de waarde van Item MOET '569' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Type) = ('SI') or not(@Type)">(OBX_segment_Vaccinatiestatus): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@LongName) = ('Set ID - OBX') or not(@LongName)">(OBX_segment_Vaccinatiestatus): de waarde van LongName MOET 'Set ID - OBX' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.23
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (OBX_segment_Vaccinatiestatus)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2">
      <extends rule="d448974e0-false-d448980e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Item) = ('570') or not(@Item)">(OBX_segment_Vaccinatiestatus): de waarde van Item MOET '570' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Vaccinatiestatus): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Table) = ('HL70125') or not(@Table)">(OBX_segment_Vaccinatiestatus): de waarde van Table MOET 'HL70125' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@LongName) = ('Value Type') or not(@LongName)">(OBX_segment_Vaccinatiestatus): de waarde van LongName MOET 'Value Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d448974e0-false-d448980e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="text()='TS'">(ID_datatype): de elementinhoud van hl7v2:OBX.2 MOET ''TS'' zijn. Gevonden: "<value-of select="."/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.23
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (OBX_segment_Vaccinatiestatus)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3">
      <extends rule="d449031e0-false-d449037e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Item) = ('571') or not(@Item)">(OBX_segment_Vaccinatiestatus): de waarde van Item MOET '571' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Vaccinatiestatus): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Identifier') or not(@LongName)">(OBX_segment_Vaccinatiestatus): de waarde van LongName MOET 'Observation Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d449031e0-false-d449037e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3">
      <extends rule="d449181e0-false-d449187e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d449181e0-false-d449187e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6">
      <extends rule="d449300e0-false-d449306e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d449300e0-false-d449306e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.23
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (OBX_segment_Vaccinatiestatus)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Item) = ('572') or not(@Item)">(OBX_segment_Vaccinatiestatus): de waarde van Item MOET '572' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Vaccinatiestatus): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Sub-ID') or not(@LongName)">(OBX_segment_Vaccinatiestatus): de waarde van LongName MOET 'Observation Sub-ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.23
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (OBX_segment_Vaccinatiestatus)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5">
      <extends rule="d449392e0-false-d449398e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Item) = ('573') or not(@Item)">(OBX_segment_Vaccinatiestatus): de waarde van Item MOET '573' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Type) = ('varies') or not(@Type)">(OBX_segment_Vaccinatiestatus): de waarde van Type MOET 'varies' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Value') or not(@LongName)">(OBX_segment_Vaccinatiestatus): de waarde van LongName MOET 'Observation Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d449392e0-false-d449398e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5/hl7v2:TS.2">
      <extends rule="d449480e0-false-d449486e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d449480e0-false-d449486e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.23
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (OBX_segment_Vaccinatiestatus)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6">
      <extends rule="d449532e0-false-d449538e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Item) = ('574') or not(@Item)">(OBX_segment_Vaccinatiestatus): de waarde van Item MOET '574' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Vaccinatiestatus): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(OBX_segment_Vaccinatiestatus): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d449532e0-false-d449538e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3">
      <extends rule="d449682e0-false-d449688e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d449682e0-false-d449688e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6">
      <extends rule="d449801e0-false-d449807e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d449801e0-false-d449807e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.23
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (OBX_segment_Vaccinatiestatus)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Item) = ('575') or not(@Item)">(OBX_segment_Vaccinatiestatus): de waarde van Item MOET '575' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Vaccinatiestatus): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@LongName) = ('References Range') or not(@LongName)">(OBX_segment_Vaccinatiestatus): de waarde van LongName MOET 'References Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.23
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (OBX_segment_Vaccinatiestatus)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Item) = ('576') or not(@Item)">(OBX_segment_Vaccinatiestatus): de waarde van Item MOET '576' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OBX_segment_Vaccinatiestatus): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Table) = ('HL70078') or not(@Table)">(OBX_segment_Vaccinatiestatus): de waarde van Table MOET 'HL70078' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@LongName) = ('Abnormal Flags') or not(@LongName)">(OBX_segment_Vaccinatiestatus): de waarde van LongName MOET 'Abnormal Flags' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.23
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (OBX_segment_Vaccinatiestatus)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Item) = ('577') or not(@Item)">(OBX_segment_Vaccinatiestatus): de waarde van Item MOET '577' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Type) = ('NM') or not(@Type)">(OBX_segment_Vaccinatiestatus): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@LongName) = ('Probability') or not(@LongName)">(OBX_segment_Vaccinatiestatus): de waarde van LongName MOET 'Probability' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.23
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (OBX_segment_Vaccinatiestatus)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10">
      <extends rule="d449985e0-false-d449991e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Item) = ('578') or not(@Item)">(OBX_segment_Vaccinatiestatus): de waarde van Item MOET '578' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Vaccinatiestatus): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Table) = ('HL70080') or not(@Table)">(OBX_segment_Vaccinatiestatus): de waarde van Table MOET 'HL70080' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@LongName) = ('Nature of Abnormal Test') or not(@LongName)">(OBX_segment_Vaccinatiestatus): de waarde van LongName MOET 'Nature of Abnormal Test' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d449985e0-false-d449991e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.23
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (OBX_segment_Vaccinatiestatus)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11">
      <extends rule="d450042e0-false-d450048e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Item) = ('579') or not(@Item)">(OBX_segment_Vaccinatiestatus): de waarde van Item MOET '579' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Vaccinatiestatus): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Table) = ('HL70085') or not(@Table)">(OBX_segment_Vaccinatiestatus): de waarde van Table MOET 'HL70085' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Result Status') or not(@LongName)">(OBX_segment_Vaccinatiestatus): de waarde van LongName MOET 'Observation Result Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d450042e0-false-d450048e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.23
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (OBX_segment_Vaccinatiestatus)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12">
      <extends rule="d450093e0-false-d450099e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Item) = ('580') or not(@Item)">(OBX_segment_Vaccinatiestatus): de waarde van Item MOET '580' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Vaccinatiestatus): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@LongName) = ('Effective Date of Reference Range') or not(@LongName)">(OBX_segment_Vaccinatiestatus): de waarde van LongName MOET 'Effective Date of Reference Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d450093e0-false-d450099e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2">
      <extends rule="d450181e0-false-d450187e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d450181e0-false-d450187e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.23
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (OBX_segment_Vaccinatiestatus)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Item) = ('581') or not(@Item)">(OBX_segment_Vaccinatiestatus): de waarde van Item MOET '581' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Vaccinatiestatus): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@LongName) = ('User Defined Access Checks') or not(@LongName)">(OBX_segment_Vaccinatiestatus): de waarde van LongName MOET 'User Defined Access Checks' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.23
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (OBX_segment_Vaccinatiestatus)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14">
      <extends rule="d450273e0-false-d450279e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Item) = ('582') or not(@Item)">(OBX_segment_Vaccinatiestatus): de waarde van Item MOET '582' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Vaccinatiestatus): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Observation') or not(@LongName)">(OBX_segment_Vaccinatiestatus): de waarde van LongName MOET 'Date/Time of the Observation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d450273e0-false-d450279e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2">
      <extends rule="d450361e0-false-d450367e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d450361e0-false-d450367e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.23
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (OBX_segment_Vaccinatiestatus)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15">
      <extends rule="d450413e0-false-d450419e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Item) = ('583') or not(@Item)">(OBX_segment_Vaccinatiestatus): de waarde van Item MOET '583' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Vaccinatiestatus): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@LongName) = ('Producer''s ID') or not(@LongName)">(OBX_segment_Vaccinatiestatus): de waarde van LongName MOET 'Producer''s ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d450413e0-false-d450419e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3">
      <extends rule="d450563e0-false-d450569e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d450563e0-false-d450569e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6">
      <extends rule="d450682e0-false-d450688e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d450682e0-false-d450688e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.23
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (OBX_segment_Vaccinatiestatus)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16">
      <extends rule="d450734e0-false-d450740e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Item) = ('584') or not(@Item)">(OBX_segment_Vaccinatiestatus): de waarde van Item MOET '584' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(OBX_segment_Vaccinatiestatus): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@LongName) = ('Responsible Observer') or not(@LongName)">(OBX_segment_Vaccinatiestatus): de waarde van LongName MOET 'Responsible Observer' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d450734e0-false-d450740e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2">
      <extends rule="d450963e0-false-d450969e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d450963e0-false-d450969e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9">
      <extends rule="d451425e0-false-d451431e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d451425e0-false-d451431e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d451560e0-false-d451566e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d451560e0-false-d451566e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10">
      <extends rule="d451612e0-false-d451618e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d451612e0-false-d451618e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12">
      <extends rule="d451697e0-false-d451703e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d451697e0-false-d451703e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13">
      <extends rule="d451748e0-false-d451754e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d451748e0-false-d451754e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14">
      <extends rule="d451793e0-false-d451799e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d451793e0-false-d451799e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d451928e0-false-d451934e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d451928e0-false-d451934e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15">
      <extends rule="d451980e0-false-d451986e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d451980e0-false-d451986e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16">
      <extends rule="d452031e0-false-d452037e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d452031e0-false-d452037e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d452181e0-false-d452187e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d452181e0-false-d452187e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d452300e0-false-d452306e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d452300e0-false-d452306e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17">
      <extends rule="d452346e0-false-d452352e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d452346e0-false-d452352e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d452394e0-false-d452400e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d452394e0-false-d452400e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d452482e0-false-d452488e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d452482e0-false-d452488e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d452528e0-false-d452534e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d452528e0-false-d452534e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d452616e0-false-d452622e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d452616e0-false-d452622e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18">
      <extends rule="d452669e0-false-d452675e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d452669e0-false-d452675e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19">
      <extends rule="d452714e0-false-d452720e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d452714e0-false-d452720e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d452802e0-false-d452808e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d452802e0-false-d452808e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20">
      <extends rule="d452848e0-false-d452854e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d452848e0-false-d452854e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d452936e0-false-d452942e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d452936e0-false-d452942e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22">
      <extends rule="d453016e0-false-d453022e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d453016e0-false-d453022e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d453187e0-false-d453193e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d453187e0-false-d453193e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d453306e0-false-d453312e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d453306e0-false-d453312e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23">
      <extends rule="d453454e0-false-d453460e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d453454e0-false-d453460e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d453625e0-false-d453631e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d453625e0-false-d453631e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d453744e0-false-d453750e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d453744e0-false-d453750e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.23
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (OBX_segment_Vaccinatiestatus)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17">
      <extends rule="d453899e0-false-d453905e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Item) = ('936') or not(@Item)">(OBX_segment_Vaccinatiestatus): de waarde van Item MOET '936' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Vaccinatiestatus): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Method') or not(@LongName)">(OBX_segment_Vaccinatiestatus): de waarde van LongName MOET 'Observation Method' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d453899e0-false-d453905e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3">
      <extends rule="d454049e0-false-d454055e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d454049e0-false-d454055e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6">
      <extends rule="d454168e0-false-d454174e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d454168e0-false-d454174e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.23
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (OBX_segment_Vaccinatiestatus)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18">
      <extends rule="d454220e0-false-d454226e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Item) = ('1479') or not(@Item)">(OBX_segment_Vaccinatiestatus): de waarde van Item MOET '1479' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Type) = ('EI') or not(@Type)">(OBX_segment_Vaccinatiestatus): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@LongName) = ('Equipment Instance Identifier') or not(@LongName)">(OBX_segment_Vaccinatiestatus): de waarde van LongName MOET 'Equipment Instance Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d454220e0-false-d454226e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4">
      <extends rule="d454396e0-false-d454402e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d454396e0-false-d454402e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.23
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (OBX_segment_Vaccinatiestatus)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19">
      <extends rule="d454448e0-false-d454454e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Item) = ('1480') or not(@Item)">(OBX_segment_Vaccinatiestatus): de waarde van Item MOET '1480' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Vaccinatiestatus): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.23-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Analysis') or not(@LongName)">(OBX_segment_Vaccinatiestatus): de waarde van LongName MOET 'Date/Time of the Analysis' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d454448e0-false-d454454e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2">
      <extends rule="d454536e0-false-d454542e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d454536e0-false-d454542e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION"
         id="d41e3315-false-d454561e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.24
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OBX_segment_Recente_ingrepen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="count(hl7v2:OBX.1) &lt;= 1">(OBX_segment_Recente_ingrepen): element hl7v2:OBX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &gt;= 1">(OBX_segment_Recente_ingrepen): element hl7v2:OBX.2 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &lt;= 1">(OBX_segment_Recente_ingrepen): element hl7v2:OBX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &gt;= 1">(OBX_segment_Recente_ingrepen): element hl7v2:OBX.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &lt;= 1">(OBX_segment_Recente_ingrepen): element hl7v2:OBX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="count(hl7v2:OBX.4) &lt;= 1">(OBX_segment_Recente_ingrepen): element hl7v2:OBX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &gt;= 1">(OBX_segment_Recente_ingrepen): element hl7v2:OBX.5 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &lt;= 1">(OBX_segment_Recente_ingrepen): element hl7v2:OBX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="count(hl7v2:OBX.6) &lt;= 1">(OBX_segment_Recente_ingrepen): element hl7v2:OBX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="count(hl7v2:OBX.7) &lt;= 1">(OBX_segment_Recente_ingrepen): element hl7v2:OBX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="count(hl7v2:OBX.9) &lt;= 1">(OBX_segment_Recente_ingrepen): element hl7v2:OBX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &gt;= 1">(OBX_segment_Recente_ingrepen): element hl7v2:OBX.11 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &lt;= 1">(OBX_segment_Recente_ingrepen): element hl7v2:OBX.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="count(hl7v2:OBX.12) &lt;= 1">(OBX_segment_Recente_ingrepen): element hl7v2:OBX.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="count(hl7v2:OBX.13) &lt;= 1">(OBX_segment_Recente_ingrepen): element hl7v2:OBX.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="count(hl7v2:OBX.14) &lt;= 1">(OBX_segment_Recente_ingrepen): element hl7v2:OBX.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="count(hl7v2:OBX.15) &lt;= 1">(OBX_segment_Recente_ingrepen): element hl7v2:OBX.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="count(hl7v2:OBX.19) &lt;= 1">(OBX_segment_Recente_ingrepen): element hl7v2:OBX.19 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.24
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (OBX_segment_Recente_ingrepen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Item) = ('569') or not(@Item)">(OBX_segment_Recente_ingrepen): de waarde van Item MOET '569' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Type) = ('SI') or not(@Type)">(OBX_segment_Recente_ingrepen): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@LongName) = ('Set ID - OBX') or not(@LongName)">(OBX_segment_Recente_ingrepen): de waarde van LongName MOET 'Set ID - OBX' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.24
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (OBX_segment_Recente_ingrepen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2">
      <extends rule="d454814e0-false-d454820e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Item) = ('570') or not(@Item)">(OBX_segment_Recente_ingrepen): de waarde van Item MOET '570' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Recente_ingrepen): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Table) = ('HL70125') or not(@Table)">(OBX_segment_Recente_ingrepen): de waarde van Table MOET 'HL70125' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@LongName) = ('Value Type') or not(@LongName)">(OBX_segment_Recente_ingrepen): de waarde van LongName MOET 'Value Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d454814e0-false-d454820e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="text()='TS'">(ID_datatype): de elementinhoud van hl7v2:OBX.2 MOET ''TS'' zijn. Gevonden: "<value-of select="."/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.24
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (OBX_segment_Recente_ingrepen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3">
      <extends rule="d454878e0-false-d454884e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Item) = ('571') or not(@Item)">(OBX_segment_Recente_ingrepen): de waarde van Item MOET '571' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Recente_ingrepen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Identifier') or not(@LongName)">(OBX_segment_Recente_ingrepen): de waarde van LongName MOET 'Observation Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d454878e0-false-d454884e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="@nullFlavor or (@code='71388002' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Verrichting (verrichting)' and @codeSystemName='SCT')">(CE_datatype): de elementwaarde MOET een zijn van 'code '71388002' codeSystem '2.16.840.1.113883.6.96' displayName='Verrichting (verrichting)' codeSystemName='SCT''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3">
      <extends rule="d455035e0-false-d455041e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d455035e0-false-d455041e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6">
      <extends rule="d455154e0-false-d455160e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d455154e0-false-d455160e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.24
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (OBX_segment_Recente_ingrepen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Item) = ('572') or not(@Item)">(OBX_segment_Recente_ingrepen): de waarde van Item MOET '572' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Recente_ingrepen): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Sub-ID') or not(@LongName)">(OBX_segment_Recente_ingrepen): de waarde van LongName MOET 'Observation Sub-ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.24
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (OBX_segment_Recente_ingrepen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5">
      <extends rule="d455246e0-false-d455252e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Item) = ('573') or not(@Item)">(OBX_segment_Recente_ingrepen): de waarde van Item MOET '573' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Type) = ('varies') or not(@Type)">(OBX_segment_Recente_ingrepen): de waarde van Type MOET 'varies' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Value') or not(@LongName)">(OBX_segment_Recente_ingrepen): de waarde van LongName MOET 'Observation Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d455246e0-false-d455252e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5/hl7v2:TS.2">
      <extends rule="d455334e0-false-d455340e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d455334e0-false-d455340e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.24
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (OBX_segment_Recente_ingrepen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6">
      <extends rule="d455386e0-false-d455392e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Item) = ('574') or not(@Item)">(OBX_segment_Recente_ingrepen): de waarde van Item MOET '574' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Recente_ingrepen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(OBX_segment_Recente_ingrepen): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d455386e0-false-d455392e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3">
      <extends rule="d455536e0-false-d455542e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d455536e0-false-d455542e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6">
      <extends rule="d455655e0-false-d455661e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d455655e0-false-d455661e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.24
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (OBX_segment_Recente_ingrepen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Item) = ('575') or not(@Item)">(OBX_segment_Recente_ingrepen): de waarde van Item MOET '575' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Recente_ingrepen): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@LongName) = ('References Range') or not(@LongName)">(OBX_segment_Recente_ingrepen): de waarde van LongName MOET 'References Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.24
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (OBX_segment_Recente_ingrepen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Item) = ('576') or not(@Item)">(OBX_segment_Recente_ingrepen): de waarde van Item MOET '576' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OBX_segment_Recente_ingrepen): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Table) = ('HL70078') or not(@Table)">(OBX_segment_Recente_ingrepen): de waarde van Table MOET 'HL70078' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@LongName) = ('Abnormal Flags') or not(@LongName)">(OBX_segment_Recente_ingrepen): de waarde van LongName MOET 'Abnormal Flags' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.24
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (OBX_segment_Recente_ingrepen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Item) = ('577') or not(@Item)">(OBX_segment_Recente_ingrepen): de waarde van Item MOET '577' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Type) = ('NM') or not(@Type)">(OBX_segment_Recente_ingrepen): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@LongName) = ('Probability') or not(@LongName)">(OBX_segment_Recente_ingrepen): de waarde van LongName MOET 'Probability' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.24
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (OBX_segment_Recente_ingrepen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10">
      <extends rule="d455839e0-false-d455845e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Item) = ('578') or not(@Item)">(OBX_segment_Recente_ingrepen): de waarde van Item MOET '578' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Recente_ingrepen): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Table) = ('HL70080') or not(@Table)">(OBX_segment_Recente_ingrepen): de waarde van Table MOET 'HL70080' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@LongName) = ('Nature of Abnormal Test') or not(@LongName)">(OBX_segment_Recente_ingrepen): de waarde van LongName MOET 'Nature of Abnormal Test' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d455839e0-false-d455845e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.24
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (OBX_segment_Recente_ingrepen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11">
      <extends rule="d455896e0-false-d455902e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Item) = ('579') or not(@Item)">(OBX_segment_Recente_ingrepen): de waarde van Item MOET '579' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Recente_ingrepen): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Table) = ('HL70085') or not(@Table)">(OBX_segment_Recente_ingrepen): de waarde van Table MOET 'HL70085' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Result Status') or not(@LongName)">(OBX_segment_Recente_ingrepen): de waarde van LongName MOET 'Observation Result Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d455896e0-false-d455902e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.24
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (OBX_segment_Recente_ingrepen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12">
      <extends rule="d455947e0-false-d455953e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Item) = ('580') or not(@Item)">(OBX_segment_Recente_ingrepen): de waarde van Item MOET '580' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Recente_ingrepen): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@LongName) = ('Effective Date of Reference Range') or not(@LongName)">(OBX_segment_Recente_ingrepen): de waarde van LongName MOET 'Effective Date of Reference Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d455947e0-false-d455953e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2">
      <extends rule="d456035e0-false-d456041e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d456035e0-false-d456041e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.24
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (OBX_segment_Recente_ingrepen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Item) = ('581') or not(@Item)">(OBX_segment_Recente_ingrepen): de waarde van Item MOET '581' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Recente_ingrepen): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@LongName) = ('User Defined Access Checks') or not(@LongName)">(OBX_segment_Recente_ingrepen): de waarde van LongName MOET 'User Defined Access Checks' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.24
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (OBX_segment_Recente_ingrepen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14">
      <extends rule="d456127e0-false-d456133e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Item) = ('582') or not(@Item)">(OBX_segment_Recente_ingrepen): de waarde van Item MOET '582' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Recente_ingrepen): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Observation') or not(@LongName)">(OBX_segment_Recente_ingrepen): de waarde van LongName MOET 'Date/Time of the Observation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d456127e0-false-d456133e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2">
      <extends rule="d456215e0-false-d456221e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d456215e0-false-d456221e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.24
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (OBX_segment_Recente_ingrepen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15">
      <extends rule="d456267e0-false-d456273e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Item) = ('583') or not(@Item)">(OBX_segment_Recente_ingrepen): de waarde van Item MOET '583' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Recente_ingrepen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@LongName) = ('Producer''s ID') or not(@LongName)">(OBX_segment_Recente_ingrepen): de waarde van LongName MOET 'Producer''s ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d456267e0-false-d456273e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3">
      <extends rule="d456417e0-false-d456423e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d456417e0-false-d456423e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6">
      <extends rule="d456536e0-false-d456542e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d456536e0-false-d456542e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.24
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (OBX_segment_Recente_ingrepen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16">
      <extends rule="d456588e0-false-d456594e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Item) = ('584') or not(@Item)">(OBX_segment_Recente_ingrepen): de waarde van Item MOET '584' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(OBX_segment_Recente_ingrepen): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@LongName) = ('Responsible Observer') or not(@LongName)">(OBX_segment_Recente_ingrepen): de waarde van LongName MOET 'Responsible Observer' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d456588e0-false-d456594e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2">
      <extends rule="d456817e0-false-d456823e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d456817e0-false-d456823e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9">
      <extends rule="d457279e0-false-d457285e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d457279e0-false-d457285e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d457414e0-false-d457420e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d457414e0-false-d457420e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10">
      <extends rule="d457466e0-false-d457472e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d457466e0-false-d457472e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12">
      <extends rule="d457551e0-false-d457557e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d457551e0-false-d457557e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13">
      <extends rule="d457602e0-false-d457608e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d457602e0-false-d457608e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14">
      <extends rule="d457647e0-false-d457653e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d457647e0-false-d457653e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d457782e0-false-d457788e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d457782e0-false-d457788e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15">
      <extends rule="d457834e0-false-d457840e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d457834e0-false-d457840e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16">
      <extends rule="d457885e0-false-d457891e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d457885e0-false-d457891e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d458035e0-false-d458041e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d458035e0-false-d458041e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d458154e0-false-d458160e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d458154e0-false-d458160e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17">
      <extends rule="d458200e0-false-d458206e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d458200e0-false-d458206e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d458248e0-false-d458254e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d458248e0-false-d458254e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d458336e0-false-d458342e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d458336e0-false-d458342e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d458382e0-false-d458388e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d458382e0-false-d458388e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d458470e0-false-d458476e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d458470e0-false-d458476e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18">
      <extends rule="d458523e0-false-d458529e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d458523e0-false-d458529e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19">
      <extends rule="d458568e0-false-d458574e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d458568e0-false-d458574e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d458656e0-false-d458662e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d458656e0-false-d458662e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20">
      <extends rule="d458702e0-false-d458708e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d458702e0-false-d458708e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d458790e0-false-d458796e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d458790e0-false-d458796e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22">
      <extends rule="d458870e0-false-d458876e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d458870e0-false-d458876e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d459041e0-false-d459047e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d459041e0-false-d459047e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d459160e0-false-d459166e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d459160e0-false-d459166e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23">
      <extends rule="d459308e0-false-d459314e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d459308e0-false-d459314e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d459479e0-false-d459485e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d459479e0-false-d459485e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d459598e0-false-d459604e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d459598e0-false-d459604e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.24
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (OBX_segment_Recente_ingrepen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17">
      <extends rule="d459753e0-false-d459759e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Item) = ('936') or not(@Item)">(OBX_segment_Recente_ingrepen): de waarde van Item MOET '936' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Recente_ingrepen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Method') or not(@LongName)">(OBX_segment_Recente_ingrepen): de waarde van LongName MOET 'Observation Method' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d459753e0-false-d459759e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3">
      <extends rule="d459903e0-false-d459909e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d459903e0-false-d459909e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6">
      <extends rule="d460022e0-false-d460028e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d460022e0-false-d460028e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.24
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (OBX_segment_Recente_ingrepen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18">
      <extends rule="d460074e0-false-d460080e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Item) = ('1479') or not(@Item)">(OBX_segment_Recente_ingrepen): de waarde van Item MOET '1479' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Type) = ('EI') or not(@Type)">(OBX_segment_Recente_ingrepen): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@LongName) = ('Equipment Instance Identifier') or not(@LongName)">(OBX_segment_Recente_ingrepen): de waarde van LongName MOET 'Equipment Instance Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d460074e0-false-d460080e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4">
      <extends rule="d460250e0-false-d460256e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d460250e0-false-d460256e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.24
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (OBX_segment_Recente_ingrepen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19">
      <extends rule="d460302e0-false-d460308e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Item) = ('1480') or not(@Item)">(OBX_segment_Recente_ingrepen): de waarde van Item MOET '1480' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Recente_ingrepen): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.24-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Analysis') or not(@LongName)">(OBX_segment_Recente_ingrepen): de waarde van LongName MOET 'Date/Time of the Analysis' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d460302e0-false-d460308e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2">
      <extends rule="d460390e0-false-d460396e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d460390e0-false-d460396e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION"
         id="d41e3323-false-d460415e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.25
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OBX_segment_Prothetisch_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="count(hl7v2:OBX.1) &lt;= 1">(OBX_segment_Prothetisch_materiaal): element hl7v2:OBX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &gt;= 1">(OBX_segment_Prothetisch_materiaal): element hl7v2:OBX.2 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &lt;= 1">(OBX_segment_Prothetisch_materiaal): element hl7v2:OBX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &gt;= 1">(OBX_segment_Prothetisch_materiaal): element hl7v2:OBX.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &lt;= 1">(OBX_segment_Prothetisch_materiaal): element hl7v2:OBX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="count(hl7v2:OBX.4) &lt;= 1">(OBX_segment_Prothetisch_materiaal): element hl7v2:OBX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &gt;= 1">(OBX_segment_Prothetisch_materiaal): element hl7v2:OBX.5 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="count(hl7v2:OBX.6) &lt;= 1">(OBX_segment_Prothetisch_materiaal): element hl7v2:OBX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="count(hl7v2:OBX.7) &lt;= 1">(OBX_segment_Prothetisch_materiaal): element hl7v2:OBX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="count(hl7v2:OBX.9) &lt;= 1">(OBX_segment_Prothetisch_materiaal): element hl7v2:OBX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &gt;= 1">(OBX_segment_Prothetisch_materiaal): element hl7v2:OBX.11 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &lt;= 1">(OBX_segment_Prothetisch_materiaal): element hl7v2:OBX.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="count(hl7v2:OBX.12) &lt;= 1">(OBX_segment_Prothetisch_materiaal): element hl7v2:OBX.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="count(hl7v2:OBX.13) &lt;= 1">(OBX_segment_Prothetisch_materiaal): element hl7v2:OBX.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="count(hl7v2:OBX.14) &lt;= 1">(OBX_segment_Prothetisch_materiaal): element hl7v2:OBX.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="count(hl7v2:OBX.15) &lt;= 1">(OBX_segment_Prothetisch_materiaal): element hl7v2:OBX.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="count(hl7v2:OBX.19) &lt;= 1">(OBX_segment_Prothetisch_materiaal): element hl7v2:OBX.19 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.25
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (OBX_segment_Prothetisch_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Item) = ('569') or not(@Item)">(OBX_segment_Prothetisch_materiaal): de waarde van Item MOET '569' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Type) = ('SI') or not(@Type)">(OBX_segment_Prothetisch_materiaal): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@LongName) = ('Set ID - OBX') or not(@LongName)">(OBX_segment_Prothetisch_materiaal): de waarde van LongName MOET 'Set ID - OBX' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.25
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (OBX_segment_Prothetisch_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2">
      <extends rule="d460657e0-false-d460663e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Item) = ('570') or not(@Item)">(OBX_segment_Prothetisch_materiaal): de waarde van Item MOET '570' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Prothetisch_materiaal): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Table) = ('HL70125') or not(@Table)">(OBX_segment_Prothetisch_materiaal): de waarde van Table MOET 'HL70125' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@LongName) = ('Value Type') or not(@LongName)">(OBX_segment_Prothetisch_materiaal): de waarde van LongName MOET 'Value Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d460657e0-false-d460663e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.25
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (OBX_segment_Prothetisch_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3">
      <extends rule="d460715e0-false-d460721e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Item) = ('571') or not(@Item)">(OBX_segment_Prothetisch_materiaal): de waarde van Item MOET '571' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Prothetisch_materiaal): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Identifier') or not(@LongName)">(OBX_segment_Prothetisch_materiaal): de waarde van LongName MOET 'Observation Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d460715e0-false-d460721e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="@nullFlavor or (@code='313150002' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Synthetic surgical material (substance)' and @codeSystemName='SCT')">(CE_datatype): de elementwaarde MOET een zijn van 'code '313150002' codeSystem '2.16.840.1.113883.6.96' displayName='Synthetic surgical material (substance)' codeSystemName='SCT''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3">
      <extends rule="d460872e0-false-d460878e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d460872e0-false-d460878e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6">
      <extends rule="d460991e0-false-d460997e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d460991e0-false-d460997e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.25
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (OBX_segment_Prothetisch_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Item) = ('572') or not(@Item)">(OBX_segment_Prothetisch_materiaal): de waarde van Item MOET '572' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Prothetisch_materiaal): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Sub-ID') or not(@LongName)">(OBX_segment_Prothetisch_materiaal): de waarde van LongName MOET 'Observation Sub-ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.25
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (OBX_segment_Prothetisch_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Item) = ('573') or not(@Item)">(OBX_segment_Prothetisch_materiaal): de waarde van Item MOET '573' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Type) = ('varies') or not(@Type)">(OBX_segment_Prothetisch_materiaal): de waarde van Type MOET 'varies' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Value') or not(@LongName)">(OBX_segment_Prothetisch_materiaal): de waarde van LongName MOET 'Observation Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.67
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (varies_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.25
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (OBX_segment_Prothetisch_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6">
      <extends rule="d461123e0-false-d461129e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Item) = ('574') or not(@Item)">(OBX_segment_Prothetisch_materiaal): de waarde van Item MOET '574' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Prothetisch_materiaal): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(OBX_segment_Prothetisch_materiaal): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d461123e0-false-d461129e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3">
      <extends rule="d461273e0-false-d461279e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d461273e0-false-d461279e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6">
      <extends rule="d461392e0-false-d461398e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d461392e0-false-d461398e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.25
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (OBX_segment_Prothetisch_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Item) = ('575') or not(@Item)">(OBX_segment_Prothetisch_materiaal): de waarde van Item MOET '575' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Prothetisch_materiaal): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@LongName) = ('References Range') or not(@LongName)">(OBX_segment_Prothetisch_materiaal): de waarde van LongName MOET 'References Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.25
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (OBX_segment_Prothetisch_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Item) = ('576') or not(@Item)">(OBX_segment_Prothetisch_materiaal): de waarde van Item MOET '576' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OBX_segment_Prothetisch_materiaal): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Table) = ('HL70078') or not(@Table)">(OBX_segment_Prothetisch_materiaal): de waarde van Table MOET 'HL70078' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@LongName) = ('Abnormal Flags') or not(@LongName)">(OBX_segment_Prothetisch_materiaal): de waarde van LongName MOET 'Abnormal Flags' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.25
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (OBX_segment_Prothetisch_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Item) = ('577') or not(@Item)">(OBX_segment_Prothetisch_materiaal): de waarde van Item MOET '577' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Type) = ('NM') or not(@Type)">(OBX_segment_Prothetisch_materiaal): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@LongName) = ('Probability') or not(@LongName)">(OBX_segment_Prothetisch_materiaal): de waarde van LongName MOET 'Probability' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.25
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (OBX_segment_Prothetisch_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10">
      <extends rule="d461576e0-false-d461582e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Item) = ('578') or not(@Item)">(OBX_segment_Prothetisch_materiaal): de waarde van Item MOET '578' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Prothetisch_materiaal): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Table) = ('HL70080') or not(@Table)">(OBX_segment_Prothetisch_materiaal): de waarde van Table MOET 'HL70080' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@LongName) = ('Nature of Abnormal Test') or not(@LongName)">(OBX_segment_Prothetisch_materiaal): de waarde van LongName MOET 'Nature of Abnormal Test' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d461576e0-false-d461582e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.25
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (OBX_segment_Prothetisch_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11">
      <extends rule="d461633e0-false-d461639e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Item) = ('579') or not(@Item)">(OBX_segment_Prothetisch_materiaal): de waarde van Item MOET '579' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Prothetisch_materiaal): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Table) = ('HL70085') or not(@Table)">(OBX_segment_Prothetisch_materiaal): de waarde van Table MOET 'HL70085' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Result Status') or not(@LongName)">(OBX_segment_Prothetisch_materiaal): de waarde van LongName MOET 'Observation Result Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d461633e0-false-d461639e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.25
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (OBX_segment_Prothetisch_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12">
      <extends rule="d461684e0-false-d461690e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Item) = ('580') or not(@Item)">(OBX_segment_Prothetisch_materiaal): de waarde van Item MOET '580' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Prothetisch_materiaal): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@LongName) = ('Effective Date of Reference Range') or not(@LongName)">(OBX_segment_Prothetisch_materiaal): de waarde van LongName MOET 'Effective Date of Reference Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d461684e0-false-d461690e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2">
      <extends rule="d461772e0-false-d461778e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d461772e0-false-d461778e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.25
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (OBX_segment_Prothetisch_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Item) = ('581') or not(@Item)">(OBX_segment_Prothetisch_materiaal): de waarde van Item MOET '581' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Prothetisch_materiaal): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@LongName) = ('User Defined Access Checks') or not(@LongName)">(OBX_segment_Prothetisch_materiaal): de waarde van LongName MOET 'User Defined Access Checks' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.25
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (OBX_segment_Prothetisch_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14">
      <extends rule="d461864e0-false-d461870e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Item) = ('582') or not(@Item)">(OBX_segment_Prothetisch_materiaal): de waarde van Item MOET '582' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Prothetisch_materiaal): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Observation') or not(@LongName)">(OBX_segment_Prothetisch_materiaal): de waarde van LongName MOET 'Date/Time of the Observation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d461864e0-false-d461870e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2">
      <extends rule="d461952e0-false-d461958e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d461952e0-false-d461958e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.25
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (OBX_segment_Prothetisch_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15">
      <extends rule="d462004e0-false-d462010e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Item) = ('583') or not(@Item)">(OBX_segment_Prothetisch_materiaal): de waarde van Item MOET '583' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Prothetisch_materiaal): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@LongName) = ('Producer''s ID') or not(@LongName)">(OBX_segment_Prothetisch_materiaal): de waarde van LongName MOET 'Producer''s ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d462004e0-false-d462010e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3">
      <extends rule="d462154e0-false-d462160e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d462154e0-false-d462160e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6">
      <extends rule="d462273e0-false-d462279e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d462273e0-false-d462279e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.25
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (OBX_segment_Prothetisch_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16">
      <extends rule="d462325e0-false-d462331e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Item) = ('584') or not(@Item)">(OBX_segment_Prothetisch_materiaal): de waarde van Item MOET '584' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(OBX_segment_Prothetisch_materiaal): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@LongName) = ('Responsible Observer') or not(@LongName)">(OBX_segment_Prothetisch_materiaal): de waarde van LongName MOET 'Responsible Observer' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d462325e0-false-d462331e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2">
      <extends rule="d462554e0-false-d462560e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d462554e0-false-d462560e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9">
      <extends rule="d463016e0-false-d463022e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d463016e0-false-d463022e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d463151e0-false-d463157e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d463151e0-false-d463157e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10">
      <extends rule="d463203e0-false-d463209e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d463203e0-false-d463209e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12">
      <extends rule="d463288e0-false-d463294e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d463288e0-false-d463294e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13">
      <extends rule="d463339e0-false-d463345e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d463339e0-false-d463345e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14">
      <extends rule="d463384e0-false-d463390e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d463384e0-false-d463390e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d463519e0-false-d463525e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d463519e0-false-d463525e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15">
      <extends rule="d463571e0-false-d463577e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d463571e0-false-d463577e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16">
      <extends rule="d463622e0-false-d463628e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d463622e0-false-d463628e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d463772e0-false-d463778e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d463772e0-false-d463778e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d463891e0-false-d463897e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d463891e0-false-d463897e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17">
      <extends rule="d463937e0-false-d463943e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d463937e0-false-d463943e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d463985e0-false-d463991e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d463985e0-false-d463991e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d464073e0-false-d464079e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d464073e0-false-d464079e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d464119e0-false-d464125e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d464119e0-false-d464125e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d464207e0-false-d464213e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d464207e0-false-d464213e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18">
      <extends rule="d464260e0-false-d464266e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d464260e0-false-d464266e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19">
      <extends rule="d464305e0-false-d464311e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d464305e0-false-d464311e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d464393e0-false-d464399e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d464393e0-false-d464399e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20">
      <extends rule="d464439e0-false-d464445e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d464439e0-false-d464445e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d464527e0-false-d464533e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d464527e0-false-d464533e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22">
      <extends rule="d464607e0-false-d464613e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d464607e0-false-d464613e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d464778e0-false-d464784e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d464778e0-false-d464784e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d464897e0-false-d464903e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d464897e0-false-d464903e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23">
      <extends rule="d465045e0-false-d465051e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d465045e0-false-d465051e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d465216e0-false-d465222e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d465216e0-false-d465222e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d465335e0-false-d465341e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d465335e0-false-d465341e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.25
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (OBX_segment_Prothetisch_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17">
      <extends rule="d465490e0-false-d465496e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Item) = ('936') or not(@Item)">(OBX_segment_Prothetisch_materiaal): de waarde van Item MOET '936' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Prothetisch_materiaal): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Method') or not(@LongName)">(OBX_segment_Prothetisch_materiaal): de waarde van LongName MOET 'Observation Method' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d465490e0-false-d465496e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3">
      <extends rule="d465640e0-false-d465646e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d465640e0-false-d465646e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6">
      <extends rule="d465759e0-false-d465765e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d465759e0-false-d465765e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.25
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (OBX_segment_Prothetisch_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18">
      <extends rule="d465811e0-false-d465817e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Item) = ('1479') or not(@Item)">(OBX_segment_Prothetisch_materiaal): de waarde van Item MOET '1479' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Type) = ('EI') or not(@Type)">(OBX_segment_Prothetisch_materiaal): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@LongName) = ('Equipment Instance Identifier') or not(@LongName)">(OBX_segment_Prothetisch_materiaal): de waarde van LongName MOET 'Equipment Instance Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d465811e0-false-d465817e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4">
      <extends rule="d465987e0-false-d465993e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d465987e0-false-d465993e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.25
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (OBX_segment_Prothetisch_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19">
      <extends rule="d466039e0-false-d466045e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Item) = ('1480') or not(@Item)">(OBX_segment_Prothetisch_materiaal): de waarde van Item MOET '1480' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Prothetisch_materiaal): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.25-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Analysis') or not(@LongName)">(OBX_segment_Prothetisch_materiaal): de waarde van LongName MOET 'Date/Time of the Analysis' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d466039e0-false-d466045e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2">
      <extends rule="d466127e0-false-d466133e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d466127e0-false-d466133e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION"
         id="d41e3331-false-d466152e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OBX_segment_Externe_factor_contact_dieren_planten)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="count(hl7v2:OBX.1) &lt;= 1">(OBX_segment_Externe_factor_contact_dieren_planten): element hl7v2:OBX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &gt;= 1">(OBX_segment_Externe_factor_contact_dieren_planten): element hl7v2:OBX.2 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &lt;= 1">(OBX_segment_Externe_factor_contact_dieren_planten): element hl7v2:OBX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &gt;= 1">(OBX_segment_Externe_factor_contact_dieren_planten): element hl7v2:OBX.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &lt;= 1">(OBX_segment_Externe_factor_contact_dieren_planten): element hl7v2:OBX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="count(hl7v2:OBX.4) &lt;= 1">(OBX_segment_Externe_factor_contact_dieren_planten): element hl7v2:OBX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &gt;= 1">(OBX_segment_Externe_factor_contact_dieren_planten): element hl7v2:OBX.5 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="count(hl7v2:OBX.6) &lt;= 1">(OBX_segment_Externe_factor_contact_dieren_planten): element hl7v2:OBX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="count(hl7v2:OBX.7) &lt;= 1">(OBX_segment_Externe_factor_contact_dieren_planten): element hl7v2:OBX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="count(hl7v2:OBX.9) &lt;= 1">(OBX_segment_Externe_factor_contact_dieren_planten): element hl7v2:OBX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &gt;= 1">(OBX_segment_Externe_factor_contact_dieren_planten): element hl7v2:OBX.11 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &lt;= 1">(OBX_segment_Externe_factor_contact_dieren_planten): element hl7v2:OBX.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="count(hl7v2:OBX.12) &lt;= 1">(OBX_segment_Externe_factor_contact_dieren_planten): element hl7v2:OBX.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="count(hl7v2:OBX.13) &lt;= 1">(OBX_segment_Externe_factor_contact_dieren_planten): element hl7v2:OBX.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="count(hl7v2:OBX.14) &lt;= 1">(OBX_segment_Externe_factor_contact_dieren_planten): element hl7v2:OBX.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="count(hl7v2:OBX.15) &lt;= 1">(OBX_segment_Externe_factor_contact_dieren_planten): element hl7v2:OBX.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="count(hl7v2:OBX.19) &lt;= 1">(OBX_segment_Externe_factor_contact_dieren_planten): element hl7v2:OBX.19 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (OBX_segment_Externe_factor_contact_dieren_planten)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Item) = ('569') or not(@Item)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Item MOET '569' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Type) = ('SI') or not(@Type)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@LongName) = ('Set ID - OBX') or not(@LongName)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van LongName MOET 'Set ID - OBX' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (OBX_segment_Externe_factor_contact_dieren_planten)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2">
      <extends rule="d466394e0-false-d466400e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Item) = ('570') or not(@Item)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Item MOET '570' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Table) = ('HL70125') or not(@Table)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Table MOET 'HL70125' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@LongName) = ('Value Type') or not(@LongName)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van LongName MOET 'Value Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d466394e0-false-d466400e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (OBX_segment_Externe_factor_contact_dieren_planten)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3">
      <extends rule="d466445e0-false-d466451e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Item) = ('571') or not(@Item)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Item MOET '571' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Identifier') or not(@LongName)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van LongName MOET 'Observation Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d466445e0-false-d466451e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3">
      <extends rule="d466595e0-false-d466601e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d466595e0-false-d466601e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6">
      <extends rule="d466714e0-false-d466720e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d466714e0-false-d466720e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (OBX_segment_Externe_factor_contact_dieren_planten)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Item) = ('572') or not(@Item)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Item MOET '572' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Sub-ID') or not(@LongName)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van LongName MOET 'Observation Sub-ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (OBX_segment_Externe_factor_contact_dieren_planten)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Item) = ('573') or not(@Item)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Item MOET '573' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Type) = ('varies') or not(@Type)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Type MOET 'varies' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Value') or not(@LongName)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van LongName MOET 'Observation Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.67
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (varies_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (OBX_segment_Externe_factor_contact_dieren_planten)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6">
      <extends rule="d466846e0-false-d466852e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Item) = ('574') or not(@Item)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Item MOET '574' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d466846e0-false-d466852e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3">
      <extends rule="d466996e0-false-d467002e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d466996e0-false-d467002e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6">
      <extends rule="d467115e0-false-d467121e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d467115e0-false-d467121e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (OBX_segment_Externe_factor_contact_dieren_planten)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Item) = ('575') or not(@Item)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Item MOET '575' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@LongName) = ('References Range') or not(@LongName)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van LongName MOET 'References Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (OBX_segment_Externe_factor_contact_dieren_planten)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Item) = ('576') or not(@Item)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Item MOET '576' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Table) = ('HL70078') or not(@Table)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Table MOET 'HL70078' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@LongName) = ('Abnormal Flags') or not(@LongName)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van LongName MOET 'Abnormal Flags' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (OBX_segment_Externe_factor_contact_dieren_planten)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Item) = ('577') or not(@Item)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Item MOET '577' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Type) = ('NM') or not(@Type)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@LongName) = ('Probability') or not(@LongName)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van LongName MOET 'Probability' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (OBX_segment_Externe_factor_contact_dieren_planten)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10">
      <extends rule="d467299e0-false-d467305e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Item) = ('578') or not(@Item)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Item MOET '578' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Table) = ('HL70080') or not(@Table)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Table MOET 'HL70080' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@LongName) = ('Nature of Abnormal Test') or not(@LongName)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van LongName MOET 'Nature of Abnormal Test' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d467299e0-false-d467305e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (OBX_segment_Externe_factor_contact_dieren_planten)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11">
      <extends rule="d467356e0-false-d467362e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Item) = ('579') or not(@Item)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Item MOET '579' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Table) = ('HL70085') or not(@Table)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Table MOET 'HL70085' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Result Status') or not(@LongName)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van LongName MOET 'Observation Result Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d467356e0-false-d467362e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (OBX_segment_Externe_factor_contact_dieren_planten)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12">
      <extends rule="d467407e0-false-d467413e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Item) = ('580') or not(@Item)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Item MOET '580' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@LongName) = ('Effective Date of Reference Range') or not(@LongName)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van LongName MOET 'Effective Date of Reference Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d467407e0-false-d467413e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2">
      <extends rule="d467495e0-false-d467501e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d467495e0-false-d467501e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (OBX_segment_Externe_factor_contact_dieren_planten)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Item) = ('581') or not(@Item)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Item MOET '581' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@LongName) = ('User Defined Access Checks') or not(@LongName)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van LongName MOET 'User Defined Access Checks' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (OBX_segment_Externe_factor_contact_dieren_planten)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14">
      <extends rule="d467587e0-false-d467593e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Item) = ('582') or not(@Item)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Item MOET '582' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Observation') or not(@LongName)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van LongName MOET 'Date/Time of the Observation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d467587e0-false-d467593e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2">
      <extends rule="d467675e0-false-d467681e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d467675e0-false-d467681e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (OBX_segment_Externe_factor_contact_dieren_planten)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15">
      <extends rule="d467727e0-false-d467733e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Item) = ('583') or not(@Item)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Item MOET '583' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@LongName) = ('Producer''s ID') or not(@LongName)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van LongName MOET 'Producer''s ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d467727e0-false-d467733e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3">
      <extends rule="d467877e0-false-d467883e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d467877e0-false-d467883e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6">
      <extends rule="d467996e0-false-d468002e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d467996e0-false-d468002e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (OBX_segment_Externe_factor_contact_dieren_planten)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16">
      <extends rule="d468048e0-false-d468054e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Item) = ('584') or not(@Item)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Item MOET '584' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@LongName) = ('Responsible Observer') or not(@LongName)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van LongName MOET 'Responsible Observer' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d468048e0-false-d468054e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2">
      <extends rule="d468277e0-false-d468283e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d468277e0-false-d468283e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9">
      <extends rule="d468739e0-false-d468745e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d468739e0-false-d468745e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d468874e0-false-d468880e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d468874e0-false-d468880e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10">
      <extends rule="d468926e0-false-d468932e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d468926e0-false-d468932e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12">
      <extends rule="d469011e0-false-d469017e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d469011e0-false-d469017e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13">
      <extends rule="d469062e0-false-d469068e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d469062e0-false-d469068e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14">
      <extends rule="d469107e0-false-d469113e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d469107e0-false-d469113e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d469242e0-false-d469248e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d469242e0-false-d469248e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15">
      <extends rule="d469294e0-false-d469300e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d469294e0-false-d469300e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16">
      <extends rule="d469345e0-false-d469351e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d469345e0-false-d469351e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d469495e0-false-d469501e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d469495e0-false-d469501e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d469614e0-false-d469620e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d469614e0-false-d469620e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17">
      <extends rule="d469660e0-false-d469666e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d469660e0-false-d469666e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d469708e0-false-d469714e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d469708e0-false-d469714e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d469796e0-false-d469802e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d469796e0-false-d469802e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d469842e0-false-d469848e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d469842e0-false-d469848e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d469930e0-false-d469936e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d469930e0-false-d469936e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18">
      <extends rule="d469983e0-false-d469989e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d469983e0-false-d469989e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19">
      <extends rule="d470028e0-false-d470034e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d470028e0-false-d470034e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d470116e0-false-d470122e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d470116e0-false-d470122e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20">
      <extends rule="d470162e0-false-d470168e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d470162e0-false-d470168e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d470250e0-false-d470256e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d470250e0-false-d470256e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22">
      <extends rule="d470330e0-false-d470336e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d470330e0-false-d470336e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d470501e0-false-d470507e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d470501e0-false-d470507e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d470620e0-false-d470626e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d470620e0-false-d470626e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23">
      <extends rule="d470768e0-false-d470774e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d470768e0-false-d470774e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d470939e0-false-d470945e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d470939e0-false-d470945e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d471058e0-false-d471064e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d471058e0-false-d471064e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (OBX_segment_Externe_factor_contact_dieren_planten)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17">
      <extends rule="d471213e0-false-d471219e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Item) = ('936') or not(@Item)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Item MOET '936' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Method') or not(@LongName)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van LongName MOET 'Observation Method' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d471213e0-false-d471219e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3">
      <extends rule="d471363e0-false-d471369e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d471363e0-false-d471369e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6">
      <extends rule="d471482e0-false-d471488e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d471482e0-false-d471488e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (OBX_segment_Externe_factor_contact_dieren_planten)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18">
      <extends rule="d471534e0-false-d471540e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Item) = ('1479') or not(@Item)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Item MOET '1479' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Type) = ('EI') or not(@Type)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@LongName) = ('Equipment Instance Identifier') or not(@LongName)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van LongName MOET 'Equipment Instance Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d471534e0-false-d471540e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4">
      <extends rule="d471710e0-false-d471716e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d471710e0-false-d471716e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (OBX_segment_Externe_factor_contact_dieren_planten)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19">
      <extends rule="d471762e0-false-d471768e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Item) = ('1480') or not(@Item)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Item MOET '1480' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.26-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Analysis') or not(@LongName)">(OBX_segment_Externe_factor_contact_dieren_planten): de waarde van LongName MOET 'Date/Time of the Analysis' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d471762e0-false-d471768e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2">
      <extends rule="d471850e0-false-d471856e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d471850e0-false-d471856e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION"
         id="d41e3339-false-d471875e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:NTE) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:NTE komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OBX_segment_Externe_factor_verblijf_in_buitenland)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="count(hl7v2:OBX.1) &lt;= 1">(OBX_segment_Externe_factor_verblijf_in_buitenland): element hl7v2:OBX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &gt;= 1">(OBX_segment_Externe_factor_verblijf_in_buitenland): element hl7v2:OBX.2 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &lt;= 1">(OBX_segment_Externe_factor_verblijf_in_buitenland): element hl7v2:OBX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &gt;= 1">(OBX_segment_Externe_factor_verblijf_in_buitenland): element hl7v2:OBX.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &lt;= 1">(OBX_segment_Externe_factor_verblijf_in_buitenland): element hl7v2:OBX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="count(hl7v2:OBX.4) &lt;= 1">(OBX_segment_Externe_factor_verblijf_in_buitenland): element hl7v2:OBX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &gt;= 1">(OBX_segment_Externe_factor_verblijf_in_buitenland): element hl7v2:OBX.5 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="count(hl7v2:OBX.6) &lt;= 1">(OBX_segment_Externe_factor_verblijf_in_buitenland): element hl7v2:OBX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="count(hl7v2:OBX.7) &lt;= 1">(OBX_segment_Externe_factor_verblijf_in_buitenland): element hl7v2:OBX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="count(hl7v2:OBX.9) &lt;= 1">(OBX_segment_Externe_factor_verblijf_in_buitenland): element hl7v2:OBX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &gt;= 1">(OBX_segment_Externe_factor_verblijf_in_buitenland): element hl7v2:OBX.11 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &lt;= 1">(OBX_segment_Externe_factor_verblijf_in_buitenland): element hl7v2:OBX.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="count(hl7v2:OBX.12) &lt;= 1">(OBX_segment_Externe_factor_verblijf_in_buitenland): element hl7v2:OBX.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="count(hl7v2:OBX.13) &lt;= 1">(OBX_segment_Externe_factor_verblijf_in_buitenland): element hl7v2:OBX.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="count(hl7v2:OBX.14) &lt;= 1">(OBX_segment_Externe_factor_verblijf_in_buitenland): element hl7v2:OBX.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="count(hl7v2:OBX.15) &lt;= 1">(OBX_segment_Externe_factor_verblijf_in_buitenland): element hl7v2:OBX.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="count(hl7v2:OBX.19) &lt;= 1">(OBX_segment_Externe_factor_verblijf_in_buitenland): element hl7v2:OBX.19 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (OBX_segment_Externe_factor_verblijf_in_buitenland)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Item) = ('569') or not(@Item)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Item MOET '569' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Type) = ('SI') or not(@Type)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@LongName) = ('Set ID - OBX') or not(@LongName)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van LongName MOET 'Set ID - OBX' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (OBX_segment_Externe_factor_verblijf_in_buitenland)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2">
      <extends rule="d472130e0-false-d472136e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Item) = ('570') or not(@Item)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Item MOET '570' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Table) = ('HL70125') or not(@Table)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Table MOET 'HL70125' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@LongName) = ('Value Type') or not(@LongName)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van LongName MOET 'Value Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d472130e0-false-d472136e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="text()='ST'">(ID_datatype): de elementinhoud van hl7v2:OBX.2 MOET ''ST'' zijn. Gevonden: "<value-of select="."/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (OBX_segment_Externe_factor_verblijf_in_buitenland)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3">
      <extends rule="d472187e0-false-d472193e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Item) = ('571') or not(@Item)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Item MOET '571' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Identifier') or not(@LongName)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van LongName MOET 'Observation Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d472187e0-false-d472193e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3">
      <extends rule="d472337e0-false-d472343e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d472337e0-false-d472343e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6">
      <extends rule="d472456e0-false-d472462e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d472456e0-false-d472462e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (OBX_segment_Externe_factor_verblijf_in_buitenland)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Item) = ('572') or not(@Item)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Item MOET '572' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Sub-ID') or not(@LongName)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van LongName MOET 'Observation Sub-ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (OBX_segment_Externe_factor_verblijf_in_buitenland)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Item) = ('573') or not(@Item)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Item MOET '573' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Type) = ('varies') or not(@Type)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Type MOET 'varies' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Value') or not(@LongName)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van LongName MOET 'Observation Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.67
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (varies_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (OBX_segment_Externe_factor_verblijf_in_buitenland)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6">
      <extends rule="d472588e0-false-d472594e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Item) = ('574') or not(@Item)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Item MOET '574' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d472588e0-false-d472594e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3">
      <extends rule="d472738e0-false-d472744e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d472738e0-false-d472744e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6">
      <extends rule="d472857e0-false-d472863e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d472857e0-false-d472863e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (OBX_segment_Externe_factor_verblijf_in_buitenland)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Item) = ('575') or not(@Item)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Item MOET '575' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@LongName) = ('References Range') or not(@LongName)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van LongName MOET 'References Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (OBX_segment_Externe_factor_verblijf_in_buitenland)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Item) = ('576') or not(@Item)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Item MOET '576' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Table) = ('HL70078') or not(@Table)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Table MOET 'HL70078' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@LongName) = ('Abnormal Flags') or not(@LongName)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van LongName MOET 'Abnormal Flags' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (OBX_segment_Externe_factor_verblijf_in_buitenland)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Item) = ('577') or not(@Item)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Item MOET '577' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Type) = ('NM') or not(@Type)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@LongName) = ('Probability') or not(@LongName)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van LongName MOET 'Probability' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (OBX_segment_Externe_factor_verblijf_in_buitenland)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10">
      <extends rule="d473041e0-false-d473047e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Item) = ('578') or not(@Item)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Item MOET '578' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Table) = ('HL70080') or not(@Table)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Table MOET 'HL70080' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@LongName) = ('Nature of Abnormal Test') or not(@LongName)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van LongName MOET 'Nature of Abnormal Test' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d473041e0-false-d473047e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (OBX_segment_Externe_factor_verblijf_in_buitenland)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11">
      <extends rule="d473098e0-false-d473104e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Item) = ('579') or not(@Item)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Item MOET '579' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Table) = ('HL70085') or not(@Table)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Table MOET 'HL70085' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Result Status') or not(@LongName)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van LongName MOET 'Observation Result Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d473098e0-false-d473104e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (OBX_segment_Externe_factor_verblijf_in_buitenland)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12">
      <extends rule="d473149e0-false-d473155e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Item) = ('580') or not(@Item)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Item MOET '580' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@LongName) = ('Effective Date of Reference Range') or not(@LongName)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van LongName MOET 'Effective Date of Reference Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d473149e0-false-d473155e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2">
      <extends rule="d473237e0-false-d473243e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d473237e0-false-d473243e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (OBX_segment_Externe_factor_verblijf_in_buitenland)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Item) = ('581') or not(@Item)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Item MOET '581' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@LongName) = ('User Defined Access Checks') or not(@LongName)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van LongName MOET 'User Defined Access Checks' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (OBX_segment_Externe_factor_verblijf_in_buitenland)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14">
      <extends rule="d473329e0-false-d473335e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Item) = ('582') or not(@Item)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Item MOET '582' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Observation') or not(@LongName)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van LongName MOET 'Date/Time of the Observation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d473329e0-false-d473335e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2">
      <extends rule="d473417e0-false-d473423e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d473417e0-false-d473423e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (OBX_segment_Externe_factor_verblijf_in_buitenland)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15">
      <extends rule="d473469e0-false-d473475e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Item) = ('583') or not(@Item)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Item MOET '583' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@LongName) = ('Producer''s ID') or not(@LongName)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van LongName MOET 'Producer''s ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d473469e0-false-d473475e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3">
      <extends rule="d473619e0-false-d473625e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d473619e0-false-d473625e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6">
      <extends rule="d473738e0-false-d473744e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d473738e0-false-d473744e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (OBX_segment_Externe_factor_verblijf_in_buitenland)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16">
      <extends rule="d473790e0-false-d473796e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Item) = ('584') or not(@Item)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Item MOET '584' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@LongName) = ('Responsible Observer') or not(@LongName)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van LongName MOET 'Responsible Observer' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d473790e0-false-d473796e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2">
      <extends rule="d474019e0-false-d474025e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d474019e0-false-d474025e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9">
      <extends rule="d474481e0-false-d474487e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d474481e0-false-d474487e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d474616e0-false-d474622e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d474616e0-false-d474622e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10">
      <extends rule="d474668e0-false-d474674e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d474668e0-false-d474674e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12">
      <extends rule="d474753e0-false-d474759e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d474753e0-false-d474759e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13">
      <extends rule="d474804e0-false-d474810e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d474804e0-false-d474810e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14">
      <extends rule="d474849e0-false-d474855e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d474849e0-false-d474855e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d474984e0-false-d474990e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d474984e0-false-d474990e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15">
      <extends rule="d475036e0-false-d475042e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d475036e0-false-d475042e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16">
      <extends rule="d475087e0-false-d475093e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d475087e0-false-d475093e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d475237e0-false-d475243e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d475237e0-false-d475243e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d475356e0-false-d475362e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d475356e0-false-d475362e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17">
      <extends rule="d475402e0-false-d475408e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d475402e0-false-d475408e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d475450e0-false-d475456e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d475450e0-false-d475456e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d475538e0-false-d475544e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d475538e0-false-d475544e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d475584e0-false-d475590e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d475584e0-false-d475590e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d475672e0-false-d475678e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d475672e0-false-d475678e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18">
      <extends rule="d475725e0-false-d475731e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d475725e0-false-d475731e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19">
      <extends rule="d475770e0-false-d475776e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d475770e0-false-d475776e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d475858e0-false-d475864e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d475858e0-false-d475864e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20">
      <extends rule="d475904e0-false-d475910e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d475904e0-false-d475910e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d475992e0-false-d475998e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d475992e0-false-d475998e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22">
      <extends rule="d476072e0-false-d476078e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d476072e0-false-d476078e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d476243e0-false-d476249e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d476243e0-false-d476249e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d476362e0-false-d476368e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d476362e0-false-d476368e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23">
      <extends rule="d476510e0-false-d476516e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d476510e0-false-d476516e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d476681e0-false-d476687e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d476681e0-false-d476687e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d476800e0-false-d476806e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d476800e0-false-d476806e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (OBX_segment_Externe_factor_verblijf_in_buitenland)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17">
      <extends rule="d476955e0-false-d476961e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Item) = ('936') or not(@Item)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Item MOET '936' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Method') or not(@LongName)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van LongName MOET 'Observation Method' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d476955e0-false-d476961e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3">
      <extends rule="d477105e0-false-d477111e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d477105e0-false-d477111e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6">
      <extends rule="d477224e0-false-d477230e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d477224e0-false-d477230e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (OBX_segment_Externe_factor_verblijf_in_buitenland)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18">
      <extends rule="d477276e0-false-d477282e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Item) = ('1479') or not(@Item)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Item MOET '1479' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Type) = ('EI') or not(@Type)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@LongName) = ('Equipment Instance Identifier') or not(@LongName)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van LongName MOET 'Equipment Instance Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d477276e0-false-d477282e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4">
      <extends rule="d477452e0-false-d477458e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d477452e0-false-d477458e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (OBX_segment_Externe_factor_verblijf_in_buitenland)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19">
      <extends rule="d477504e0-false-d477510e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Item) = ('1480') or not(@Item)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Item MOET '1480' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.27-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Analysis') or not(@LongName)">(OBX_segment_Externe_factor_verblijf_in_buitenland): de waarde van LongName MOET 'Date/Time of the Analysis' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d477504e0-false-d477510e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2">
      <extends rule="d477592e0-false-d477598e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d477592e0-false-d477598e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.30
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE
Item: (NTE_segment_externe_factor_ziekenhuisopname_buitenland)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.30-2015-07-21T172000.html"
              test="count(hl7v2:NTE.1) &lt;= 1">(NTE_segment_externe_factor_ziekenhuisopname_buitenland): element hl7v2:NTE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.30-2015-07-21T172000.html"
              test="count(hl7v2:NTE.2) &lt;= 1">(NTE_segment_externe_factor_ziekenhuisopname_buitenland): element hl7v2:NTE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.30-2015-07-21T172000.html"
              test="count(hl7v2:NTE.4) &lt;= 1">(NTE_segment_externe_factor_ziekenhuisopname_buitenland): element hl7v2:NTE.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.30
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.1
Item: (NTE_segment_externe_factor_ziekenhuisopname_buitenland)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.30-2015-07-21T172000.html"
              test="string(@Item) = ('96') or not(@Item)">(NTE_segment_externe_factor_ziekenhuisopname_buitenland): de waarde van Item MOET '96' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.30-2015-07-21T172000.html"
              test="string(@Type) = ('SI') or not(@Type)">(NTE_segment_externe_factor_ziekenhuisopname_buitenland): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.30-2015-07-21T172000.html"
              test="string(@LongName) = ('Set ID - NTE') or not(@LongName)">(NTE_segment_externe_factor_ziekenhuisopname_buitenland): de waarde van LongName MOET 'Set ID - NTE' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.30
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.2
Item: (NTE_segment_externe_factor_ziekenhuisopname_buitenland)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.2">
      <extends rule="d477735e0-false-d477741e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.30-2015-07-21T172000.html"
              test="string(@Item) = ('97') or not(@Item)">(NTE_segment_externe_factor_ziekenhuisopname_buitenland): de waarde van Item MOET '97' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.30-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(NTE_segment_externe_factor_ziekenhuisopname_buitenland): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.30-2015-07-21T172000.html"
              test="string(@Table) = ('HL70105') or not(@Table)">(NTE_segment_externe_factor_ziekenhuisopname_buitenland): de waarde van Table MOET 'HL70105' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.30-2015-07-21T172000.html"
              test="string(@LongName) = ('Source of Comment') or not(@LongName)">(NTE_segment_externe_factor_ziekenhuisopname_buitenland): de waarde van LongName MOET 'Source of Comment' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d477735e0-false-d477741e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.30
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.3
Item: (NTE_segment_externe_factor_ziekenhuisopname_buitenland)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.30-2015-07-21T172000.html"
              test="string(@Item) = ('98') or not(@Item)">(NTE_segment_externe_factor_ziekenhuisopname_buitenland): de waarde van Item MOET '98' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.30-2015-07-21T172000.html"
              test="string(@Type) = ('FT') or not(@Type)">(NTE_segment_externe_factor_ziekenhuisopname_buitenland): de waarde van Type MOET 'FT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.30-2015-07-21T172000.html"
              test="string(@LongName) = ('Comment') or not(@LongName)">(NTE_segment_externe_factor_ziekenhuisopname_buitenland): de waarde van LongName MOET 'Comment' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.3
Item: (FT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape
Item: (FT_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.27-2013-02-10T000000.html"
              test="@V">(FT_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.30
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4
Item: (NTE_segment_externe_factor_ziekenhuisopname_buitenland)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4">
      <extends rule="d477912e0-false-d477918e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.30-2015-07-21T172000.html"
              test="string(@Item) = ('1318') or not(@Item)">(NTE_segment_externe_factor_ziekenhuisopname_buitenland): de waarde van Item MOET '1318' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.30-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(NTE_segment_externe_factor_ziekenhuisopname_buitenland): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.30-2015-07-21T172000.html"
              test="string(@Table) = ('HL70364') or not(@Table)">(NTE_segment_externe_factor_ziekenhuisopname_buitenland): de waarde van Table MOET 'HL70364' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.30-2015-07-21T172000.html"
              test="string(@LongName) = ('Comment Type') or not(@LongName)">(NTE_segment_externe_factor_ziekenhuisopname_buitenland): de waarde van LongName MOET 'Comment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d477912e0-false-d477918e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.3">
      <extends rule="d478062e0-false-d478068e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d478062e0-false-d478068e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.6">
      <extends rule="d478181e0-false-d478187e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d478181e0-false-d478187e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION"
         id="d41e3350-false-d478206e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OBX_segment_Externe_factor_beroep)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="count(hl7v2:OBX.1) &lt;= 1">(OBX_segment_Externe_factor_beroep): element hl7v2:OBX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &gt;= 1">(OBX_segment_Externe_factor_beroep): element hl7v2:OBX.2 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &lt;= 1">(OBX_segment_Externe_factor_beroep): element hl7v2:OBX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &gt;= 1">(OBX_segment_Externe_factor_beroep): element hl7v2:OBX.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &lt;= 1">(OBX_segment_Externe_factor_beroep): element hl7v2:OBX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="count(hl7v2:OBX.4) &lt;= 1">(OBX_segment_Externe_factor_beroep): element hl7v2:OBX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="count(hl7v2:OBX.5) &gt;= 1">(OBX_segment_Externe_factor_beroep): element hl7v2:OBX.5 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="count(hl7v2:OBX.6) &lt;= 1">(OBX_segment_Externe_factor_beroep): element hl7v2:OBX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="count(hl7v2:OBX.7) &lt;= 1">(OBX_segment_Externe_factor_beroep): element hl7v2:OBX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="count(hl7v2:OBX.9) &lt;= 1">(OBX_segment_Externe_factor_beroep): element hl7v2:OBX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &gt;= 1">(OBX_segment_Externe_factor_beroep): element hl7v2:OBX.11 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &lt;= 1">(OBX_segment_Externe_factor_beroep): element hl7v2:OBX.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="count(hl7v2:OBX.12) &lt;= 1">(OBX_segment_Externe_factor_beroep): element hl7v2:OBX.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="count(hl7v2:OBX.13) &lt;= 1">(OBX_segment_Externe_factor_beroep): element hl7v2:OBX.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="count(hl7v2:OBX.14) &lt;= 1">(OBX_segment_Externe_factor_beroep): element hl7v2:OBX.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="count(hl7v2:OBX.15) &lt;= 1">(OBX_segment_Externe_factor_beroep): element hl7v2:OBX.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="count(hl7v2:OBX.19) &lt;= 1">(OBX_segment_Externe_factor_beroep): element hl7v2:OBX.19 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (OBX_segment_Externe_factor_beroep)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Item) = ('569') or not(@Item)">(OBX_segment_Externe_factor_beroep): de waarde van Item MOET '569' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Type) = ('SI') or not(@Type)">(OBX_segment_Externe_factor_beroep): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@LongName) = ('Set ID - OBX') or not(@LongName)">(OBX_segment_Externe_factor_beroep): de waarde van LongName MOET 'Set ID - OBX' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (OBX_segment_Externe_factor_beroep)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2">
      <extends rule="d478454e0-false-d478460e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Item) = ('570') or not(@Item)">(OBX_segment_Externe_factor_beroep): de waarde van Item MOET '570' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Externe_factor_beroep): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Table) = ('HL70125') or not(@Table)">(OBX_segment_Externe_factor_beroep): de waarde van Table MOET 'HL70125' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@LongName) = ('Value Type') or not(@LongName)">(OBX_segment_Externe_factor_beroep): de waarde van LongName MOET 'Value Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d478454e0-false-d478460e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="text()='ST'">(ID_datatype): de elementinhoud van hl7v2:OBX.2 MOET ''ST'' zijn. Gevonden: "<value-of select="."/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (OBX_segment_Externe_factor_beroep)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3">
      <extends rule="d478518e0-false-d478524e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Item) = ('571') or not(@Item)">(OBX_segment_Externe_factor_beroep): de waarde van Item MOET '571' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Externe_factor_beroep): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Identifier') or not(@LongName)">(OBX_segment_Externe_factor_beroep): de waarde van LongName MOET 'Observation Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d478518e0-false-d478524e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="@nullFlavor or (@code='184104002' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Patient occupation (observable entity)' and @codeSystemName='SCT')">(CE_datatype): de elementwaarde MOET een zijn van 'code '184104002' codeSystem '2.16.840.1.113883.6.96' displayName='Patient occupation (observable entity)' codeSystemName='SCT''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3">
      <extends rule="d478675e0-false-d478681e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d478675e0-false-d478681e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6">
      <extends rule="d478794e0-false-d478800e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d478794e0-false-d478800e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (OBX_segment_Externe_factor_beroep)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Item) = ('572') or not(@Item)">(OBX_segment_Externe_factor_beroep): de waarde van Item MOET '572' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Externe_factor_beroep): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Sub-ID') or not(@LongName)">(OBX_segment_Externe_factor_beroep): de waarde van LongName MOET 'Observation Sub-ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (OBX_segment_Externe_factor_beroep)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Item) = ('573') or not(@Item)">(OBX_segment_Externe_factor_beroep): de waarde van Item MOET '573' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Type) = ('varies') or not(@Type)">(OBX_segment_Externe_factor_beroep): de waarde van Type MOET 'varies' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Value') or not(@LongName)">(OBX_segment_Externe_factor_beroep): de waarde van LongName MOET 'Observation Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (OBX_segment_Externe_factor_beroep)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6">
      <extends rule="d478926e0-false-d478932e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Item) = ('574') or not(@Item)">(OBX_segment_Externe_factor_beroep): de waarde van Item MOET '574' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Externe_factor_beroep): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(OBX_segment_Externe_factor_beroep): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d478926e0-false-d478932e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3">
      <extends rule="d479076e0-false-d479082e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d479076e0-false-d479082e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6">
      <extends rule="d479195e0-false-d479201e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d479195e0-false-d479201e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (OBX_segment_Externe_factor_beroep)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Item) = ('575') or not(@Item)">(OBX_segment_Externe_factor_beroep): de waarde van Item MOET '575' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Externe_factor_beroep): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@LongName) = ('References Range') or not(@LongName)">(OBX_segment_Externe_factor_beroep): de waarde van LongName MOET 'References Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (OBX_segment_Externe_factor_beroep)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Item) = ('576') or not(@Item)">(OBX_segment_Externe_factor_beroep): de waarde van Item MOET '576' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OBX_segment_Externe_factor_beroep): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Table) = ('HL70078') or not(@Table)">(OBX_segment_Externe_factor_beroep): de waarde van Table MOET 'HL70078' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@LongName) = ('Abnormal Flags') or not(@LongName)">(OBX_segment_Externe_factor_beroep): de waarde van LongName MOET 'Abnormal Flags' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (OBX_segment_Externe_factor_beroep)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Item) = ('577') or not(@Item)">(OBX_segment_Externe_factor_beroep): de waarde van Item MOET '577' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Type) = ('NM') or not(@Type)">(OBX_segment_Externe_factor_beroep): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@LongName) = ('Probability') or not(@LongName)">(OBX_segment_Externe_factor_beroep): de waarde van LongName MOET 'Probability' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (OBX_segment_Externe_factor_beroep)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10">
      <extends rule="d479379e0-false-d479385e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Item) = ('578') or not(@Item)">(OBX_segment_Externe_factor_beroep): de waarde van Item MOET '578' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Externe_factor_beroep): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Table) = ('HL70080') or not(@Table)">(OBX_segment_Externe_factor_beroep): de waarde van Table MOET 'HL70080' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@LongName) = ('Nature of Abnormal Test') or not(@LongName)">(OBX_segment_Externe_factor_beroep): de waarde van LongName MOET 'Nature of Abnormal Test' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d479379e0-false-d479385e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (OBX_segment_Externe_factor_beroep)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11">
      <extends rule="d479436e0-false-d479442e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Item) = ('579') or not(@Item)">(OBX_segment_Externe_factor_beroep): de waarde van Item MOET '579' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Externe_factor_beroep): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Table) = ('HL70085') or not(@Table)">(OBX_segment_Externe_factor_beroep): de waarde van Table MOET 'HL70085' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Result Status') or not(@LongName)">(OBX_segment_Externe_factor_beroep): de waarde van LongName MOET 'Observation Result Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d479436e0-false-d479442e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (OBX_segment_Externe_factor_beroep)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12">
      <extends rule="d479487e0-false-d479493e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Item) = ('580') or not(@Item)">(OBX_segment_Externe_factor_beroep): de waarde van Item MOET '580' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Externe_factor_beroep): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@LongName) = ('Effective Date of Reference Range') or not(@LongName)">(OBX_segment_Externe_factor_beroep): de waarde van LongName MOET 'Effective Date of Reference Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d479487e0-false-d479493e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2">
      <extends rule="d479575e0-false-d479581e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d479575e0-false-d479581e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (OBX_segment_Externe_factor_beroep)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Item) = ('581') or not(@Item)">(OBX_segment_Externe_factor_beroep): de waarde van Item MOET '581' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Externe_factor_beroep): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@LongName) = ('User Defined Access Checks') or not(@LongName)">(OBX_segment_Externe_factor_beroep): de waarde van LongName MOET 'User Defined Access Checks' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (OBX_segment_Externe_factor_beroep)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14">
      <extends rule="d479667e0-false-d479673e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Item) = ('582') or not(@Item)">(OBX_segment_Externe_factor_beroep): de waarde van Item MOET '582' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Externe_factor_beroep): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Observation') or not(@LongName)">(OBX_segment_Externe_factor_beroep): de waarde van LongName MOET 'Date/Time of the Observation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d479667e0-false-d479673e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2">
      <extends rule="d479755e0-false-d479761e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d479755e0-false-d479761e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (OBX_segment_Externe_factor_beroep)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15">
      <extends rule="d479807e0-false-d479813e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Item) = ('583') or not(@Item)">(OBX_segment_Externe_factor_beroep): de waarde van Item MOET '583' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Externe_factor_beroep): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@LongName) = ('Producer''s ID') or not(@LongName)">(OBX_segment_Externe_factor_beroep): de waarde van LongName MOET 'Producer''s ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d479807e0-false-d479813e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3">
      <extends rule="d479957e0-false-d479963e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d479957e0-false-d479963e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6">
      <extends rule="d480076e0-false-d480082e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d480076e0-false-d480082e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (OBX_segment_Externe_factor_beroep)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16">
      <extends rule="d480128e0-false-d480134e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Item) = ('584') or not(@Item)">(OBX_segment_Externe_factor_beroep): de waarde van Item MOET '584' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(OBX_segment_Externe_factor_beroep): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@LongName) = ('Responsible Observer') or not(@LongName)">(OBX_segment_Externe_factor_beroep): de waarde van LongName MOET 'Responsible Observer' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d480128e0-false-d480134e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2">
      <extends rule="d480357e0-false-d480363e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d480357e0-false-d480363e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9">
      <extends rule="d480819e0-false-d480825e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d480819e0-false-d480825e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d480954e0-false-d480960e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d480954e0-false-d480960e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10">
      <extends rule="d481006e0-false-d481012e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d481006e0-false-d481012e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12">
      <extends rule="d481091e0-false-d481097e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d481091e0-false-d481097e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13">
      <extends rule="d481142e0-false-d481148e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d481142e0-false-d481148e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14">
      <extends rule="d481187e0-false-d481193e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d481187e0-false-d481193e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d481322e0-false-d481328e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d481322e0-false-d481328e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15">
      <extends rule="d481374e0-false-d481380e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d481374e0-false-d481380e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16">
      <extends rule="d481425e0-false-d481431e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d481425e0-false-d481431e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d481575e0-false-d481581e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d481575e0-false-d481581e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d481694e0-false-d481700e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d481694e0-false-d481700e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17">
      <extends rule="d481740e0-false-d481746e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d481740e0-false-d481746e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d481788e0-false-d481794e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d481788e0-false-d481794e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d481876e0-false-d481882e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d481876e0-false-d481882e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d481922e0-false-d481928e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d481922e0-false-d481928e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d482010e0-false-d482016e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d482010e0-false-d482016e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18">
      <extends rule="d482063e0-false-d482069e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d482063e0-false-d482069e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19">
      <extends rule="d482108e0-false-d482114e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d482108e0-false-d482114e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d482196e0-false-d482202e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d482196e0-false-d482202e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20">
      <extends rule="d482242e0-false-d482248e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d482242e0-false-d482248e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d482330e0-false-d482336e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d482330e0-false-d482336e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22">
      <extends rule="d482410e0-false-d482416e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d482410e0-false-d482416e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d482581e0-false-d482587e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d482581e0-false-d482587e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d482700e0-false-d482706e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d482700e0-false-d482706e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23">
      <extends rule="d482848e0-false-d482854e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d482848e0-false-d482854e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d483019e0-false-d483025e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d483019e0-false-d483025e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d483138e0-false-d483144e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d483138e0-false-d483144e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (OBX_segment_Externe_factor_beroep)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17">
      <extends rule="d483293e0-false-d483299e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Item) = ('936') or not(@Item)">(OBX_segment_Externe_factor_beroep): de waarde van Item MOET '936' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Externe_factor_beroep): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Method') or not(@LongName)">(OBX_segment_Externe_factor_beroep): de waarde van LongName MOET 'Observation Method' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d483293e0-false-d483299e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3">
      <extends rule="d483443e0-false-d483449e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d483443e0-false-d483449e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6">
      <extends rule="d483562e0-false-d483568e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d483562e0-false-d483568e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (OBX_segment_Externe_factor_beroep)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18">
      <extends rule="d483614e0-false-d483620e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Item) = ('1479') or not(@Item)">(OBX_segment_Externe_factor_beroep): de waarde van Item MOET '1479' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Type) = ('EI') or not(@Type)">(OBX_segment_Externe_factor_beroep): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@LongName) = ('Equipment Instance Identifier') or not(@LongName)">(OBX_segment_Externe_factor_beroep): de waarde van LongName MOET 'Equipment Instance Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d483614e0-false-d483620e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4">
      <extends rule="d483790e0-false-d483796e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d483790e0-false-d483796e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (OBX_segment_Externe_factor_beroep)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19">
      <extends rule="d483842e0-false-d483848e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Item) = ('1480') or not(@Item)">(OBX_segment_Externe_factor_beroep): de waarde van Item MOET '1480' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Externe_factor_beroep): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.28-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Analysis') or not(@LongName)">(OBX_segment_Externe_factor_beroep): de waarde van LongName MOET 'Date/Time of the Analysis' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d483842e0-false-d483848e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2">
      <extends rule="d483930e0-false-d483936e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d483930e0-false-d483936e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION"
         id="d41e3358-false-d483955e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.29
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OBX_segment_Resultaat_sneltest)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="count(hl7v2:OBX.1) &lt;= 1">(OBX_segment_Resultaat_sneltest): element hl7v2:OBX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &lt;= 1">(OBX_segment_Resultaat_sneltest): element hl7v2:OBX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &gt;= 1">(OBX_segment_Resultaat_sneltest): element hl7v2:OBX.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &lt;= 1">(OBX_segment_Resultaat_sneltest): element hl7v2:OBX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="count(hl7v2:OBX.4) &lt;= 1">(OBX_segment_Resultaat_sneltest): element hl7v2:OBX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="count(hl7v2:OBX.6) &lt;= 1">(OBX_segment_Resultaat_sneltest): element hl7v2:OBX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="count(hl7v2:OBX.7) &lt;= 1">(OBX_segment_Resultaat_sneltest): element hl7v2:OBX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="count(hl7v2:OBX.9) &lt;= 1">(OBX_segment_Resultaat_sneltest): element hl7v2:OBX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &gt;= 1">(OBX_segment_Resultaat_sneltest): element hl7v2:OBX.11 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &lt;= 1">(OBX_segment_Resultaat_sneltest): element hl7v2:OBX.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="count(hl7v2:OBX.12) &lt;= 1">(OBX_segment_Resultaat_sneltest): element hl7v2:OBX.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="count(hl7v2:OBX.13) &lt;= 1">(OBX_segment_Resultaat_sneltest): element hl7v2:OBX.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="count(hl7v2:OBX.14) &lt;= 1">(OBX_segment_Resultaat_sneltest): element hl7v2:OBX.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="count(hl7v2:OBX.15) &lt;= 1">(OBX_segment_Resultaat_sneltest): element hl7v2:OBX.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="count(hl7v2:OBX.19) &lt;= 1">(OBX_segment_Resultaat_sneltest): element hl7v2:OBX.19 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.29
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (OBX_segment_Resultaat_sneltest)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Item) = ('569') or not(@Item)">(OBX_segment_Resultaat_sneltest): de waarde van Item MOET '569' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Type) = ('SI') or not(@Type)">(OBX_segment_Resultaat_sneltest): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@LongName) = ('Set ID - OBX') or not(@LongName)">(OBX_segment_Resultaat_sneltest): de waarde van LongName MOET 'Set ID - OBX' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.29
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (OBX_segment_Resultaat_sneltest)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2">
      <extends rule="d484185e0-false-d484191e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Item) = ('570') or not(@Item)">(OBX_segment_Resultaat_sneltest): de waarde van Item MOET '570' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Resultaat_sneltest): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Table) = ('HL70125') or not(@Table)">(OBX_segment_Resultaat_sneltest): de waarde van Table MOET 'HL70125' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@LongName) = ('Value Type') or not(@LongName)">(OBX_segment_Resultaat_sneltest): de waarde van LongName MOET 'Value Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d484185e0-false-d484191e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.29
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (OBX_segment_Resultaat_sneltest)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3">
      <extends rule="d484236e0-false-d484242e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Item) = ('571') or not(@Item)">(OBX_segment_Resultaat_sneltest): de waarde van Item MOET '571' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Resultaat_sneltest): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Identifier') or not(@LongName)">(OBX_segment_Resultaat_sneltest): de waarde van LongName MOET 'Observation Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d484236e0-false-d484242e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3">
      <extends rule="d484386e0-false-d484392e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d484386e0-false-d484392e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6">
      <extends rule="d484505e0-false-d484511e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d484505e0-false-d484511e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.29
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (OBX_segment_Resultaat_sneltest)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Item) = ('572') or not(@Item)">(OBX_segment_Resultaat_sneltest): de waarde van Item MOET '572' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Resultaat_sneltest): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Sub-ID') or not(@LongName)">(OBX_segment_Resultaat_sneltest): de waarde van LongName MOET 'Observation Sub-ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.29
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (OBX_segment_Resultaat_sneltest)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Item) = ('573') or not(@Item)">(OBX_segment_Resultaat_sneltest): de waarde van Item MOET '573' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Type) = ('varies') or not(@Type)">(OBX_segment_Resultaat_sneltest): de waarde van Type MOET 'varies' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Value') or not(@LongName)">(OBX_segment_Resultaat_sneltest): de waarde van LongName MOET 'Observation Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.67
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (varies_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.29
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (OBX_segment_Resultaat_sneltest)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6">
      <extends rule="d484637e0-false-d484643e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Item) = ('574') or not(@Item)">(OBX_segment_Resultaat_sneltest): de waarde van Item MOET '574' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Resultaat_sneltest): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(OBX_segment_Resultaat_sneltest): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d484637e0-false-d484643e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3">
      <extends rule="d484787e0-false-d484793e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d484787e0-false-d484793e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6">
      <extends rule="d484906e0-false-d484912e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d484906e0-false-d484912e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.29
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (OBX_segment_Resultaat_sneltest)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Item) = ('575') or not(@Item)">(OBX_segment_Resultaat_sneltest): de waarde van Item MOET '575' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Resultaat_sneltest): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@LongName) = ('References Range') or not(@LongName)">(OBX_segment_Resultaat_sneltest): de waarde van LongName MOET 'References Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.29
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (OBX_segment_Resultaat_sneltest)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Item) = ('576') or not(@Item)">(OBX_segment_Resultaat_sneltest): de waarde van Item MOET '576' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OBX_segment_Resultaat_sneltest): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Table) = ('HL70078') or not(@Table)">(OBX_segment_Resultaat_sneltest): de waarde van Table MOET 'HL70078' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@LongName) = ('Abnormal Flags') or not(@LongName)">(OBX_segment_Resultaat_sneltest): de waarde van LongName MOET 'Abnormal Flags' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.29
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (OBX_segment_Resultaat_sneltest)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Item) = ('577') or not(@Item)">(OBX_segment_Resultaat_sneltest): de waarde van Item MOET '577' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Type) = ('NM') or not(@Type)">(OBX_segment_Resultaat_sneltest): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@LongName) = ('Probability') or not(@LongName)">(OBX_segment_Resultaat_sneltest): de waarde van LongName MOET 'Probability' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.29
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (OBX_segment_Resultaat_sneltest)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10">
      <extends rule="d485090e0-false-d485096e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Item) = ('578') or not(@Item)">(OBX_segment_Resultaat_sneltest): de waarde van Item MOET '578' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Resultaat_sneltest): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Table) = ('HL70080') or not(@Table)">(OBX_segment_Resultaat_sneltest): de waarde van Table MOET 'HL70080' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@LongName) = ('Nature of Abnormal Test') or not(@LongName)">(OBX_segment_Resultaat_sneltest): de waarde van LongName MOET 'Nature of Abnormal Test' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d485090e0-false-d485096e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.29
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (OBX_segment_Resultaat_sneltest)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11">
      <extends rule="d485147e0-false-d485153e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Item) = ('579') or not(@Item)">(OBX_segment_Resultaat_sneltest): de waarde van Item MOET '579' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Resultaat_sneltest): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Table) = ('HL70085') or not(@Table)">(OBX_segment_Resultaat_sneltest): de waarde van Table MOET 'HL70085' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Result Status') or not(@LongName)">(OBX_segment_Resultaat_sneltest): de waarde van LongName MOET 'Observation Result Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d485147e0-false-d485153e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.29
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (OBX_segment_Resultaat_sneltest)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12">
      <extends rule="d485198e0-false-d485204e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Item) = ('580') or not(@Item)">(OBX_segment_Resultaat_sneltest): de waarde van Item MOET '580' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Resultaat_sneltest): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@LongName) = ('Effective Date of Reference Range') or not(@LongName)">(OBX_segment_Resultaat_sneltest): de waarde van LongName MOET 'Effective Date of Reference Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d485198e0-false-d485204e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2">
      <extends rule="d485286e0-false-d485292e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d485286e0-false-d485292e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.29
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (OBX_segment_Resultaat_sneltest)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Item) = ('581') or not(@Item)">(OBX_segment_Resultaat_sneltest): de waarde van Item MOET '581' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Resultaat_sneltest): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@LongName) = ('User Defined Access Checks') or not(@LongName)">(OBX_segment_Resultaat_sneltest): de waarde van LongName MOET 'User Defined Access Checks' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.29
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (OBX_segment_Resultaat_sneltest)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14">
      <extends rule="d485378e0-false-d485384e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Item) = ('582') or not(@Item)">(OBX_segment_Resultaat_sneltest): de waarde van Item MOET '582' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Resultaat_sneltest): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Observation') or not(@LongName)">(OBX_segment_Resultaat_sneltest): de waarde van LongName MOET 'Date/Time of the Observation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d485378e0-false-d485384e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2">
      <extends rule="d485466e0-false-d485472e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d485466e0-false-d485472e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.29
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (OBX_segment_Resultaat_sneltest)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15">
      <extends rule="d485518e0-false-d485524e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Item) = ('583') or not(@Item)">(OBX_segment_Resultaat_sneltest): de waarde van Item MOET '583' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Resultaat_sneltest): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@LongName) = ('Producer''s ID') or not(@LongName)">(OBX_segment_Resultaat_sneltest): de waarde van LongName MOET 'Producer''s ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d485518e0-false-d485524e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3">
      <extends rule="d485668e0-false-d485674e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d485668e0-false-d485674e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6">
      <extends rule="d485787e0-false-d485793e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d485787e0-false-d485793e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.29
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (OBX_segment_Resultaat_sneltest)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16">
      <extends rule="d485839e0-false-d485845e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Item) = ('584') or not(@Item)">(OBX_segment_Resultaat_sneltest): de waarde van Item MOET '584' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(OBX_segment_Resultaat_sneltest): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@LongName) = ('Responsible Observer') or not(@LongName)">(OBX_segment_Resultaat_sneltest): de waarde van LongName MOET 'Responsible Observer' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d485839e0-false-d485845e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2">
      <extends rule="d486068e0-false-d486074e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d486068e0-false-d486074e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9">
      <extends rule="d486530e0-false-d486536e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d486530e0-false-d486536e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d486665e0-false-d486671e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d486665e0-false-d486671e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10">
      <extends rule="d486717e0-false-d486723e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d486717e0-false-d486723e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12">
      <extends rule="d486802e0-false-d486808e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d486802e0-false-d486808e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13">
      <extends rule="d486853e0-false-d486859e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d486853e0-false-d486859e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14">
      <extends rule="d486898e0-false-d486904e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d486898e0-false-d486904e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d487033e0-false-d487039e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d487033e0-false-d487039e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15">
      <extends rule="d487085e0-false-d487091e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d487085e0-false-d487091e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16">
      <extends rule="d487136e0-false-d487142e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d487136e0-false-d487142e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d487286e0-false-d487292e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d487286e0-false-d487292e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d487405e0-false-d487411e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d487405e0-false-d487411e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17">
      <extends rule="d487451e0-false-d487457e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d487451e0-false-d487457e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d487499e0-false-d487505e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d487499e0-false-d487505e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d487587e0-false-d487593e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d487587e0-false-d487593e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d487633e0-false-d487639e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d487633e0-false-d487639e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d487721e0-false-d487727e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d487721e0-false-d487727e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18">
      <extends rule="d487774e0-false-d487780e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d487774e0-false-d487780e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19">
      <extends rule="d487819e0-false-d487825e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d487819e0-false-d487825e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d487907e0-false-d487913e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d487907e0-false-d487913e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20">
      <extends rule="d487953e0-false-d487959e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d487953e0-false-d487959e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d488041e0-false-d488047e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d488041e0-false-d488047e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22">
      <extends rule="d488121e0-false-d488127e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d488121e0-false-d488127e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d488292e0-false-d488298e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d488292e0-false-d488298e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d488411e0-false-d488417e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d488411e0-false-d488417e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23">
      <extends rule="d488559e0-false-d488565e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d488559e0-false-d488565e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d488730e0-false-d488736e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d488730e0-false-d488736e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d488849e0-false-d488855e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d488849e0-false-d488855e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.29
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (OBX_segment_Resultaat_sneltest)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17">
      <extends rule="d489004e0-false-d489010e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Item) = ('936') or not(@Item)">(OBX_segment_Resultaat_sneltest): de waarde van Item MOET '936' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Resultaat_sneltest): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Method') or not(@LongName)">(OBX_segment_Resultaat_sneltest): de waarde van LongName MOET 'Observation Method' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d489004e0-false-d489010e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3">
      <extends rule="d489154e0-false-d489160e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d489154e0-false-d489160e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6">
      <extends rule="d489273e0-false-d489279e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d489273e0-false-d489279e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.29
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (OBX_segment_Resultaat_sneltest)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18">
      <extends rule="d489325e0-false-d489331e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Item) = ('1479') or not(@Item)">(OBX_segment_Resultaat_sneltest): de waarde van Item MOET '1479' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Type) = ('EI') or not(@Type)">(OBX_segment_Resultaat_sneltest): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@LongName) = ('Equipment Instance Identifier') or not(@LongName)">(OBX_segment_Resultaat_sneltest): de waarde van LongName MOET 'Equipment Instance Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d489325e0-false-d489331e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4">
      <extends rule="d489501e0-false-d489507e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d489501e0-false-d489507e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.29
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (OBX_segment_Resultaat_sneltest)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19">
      <extends rule="d489553e0-false-d489559e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Item) = ('1480') or not(@Item)">(OBX_segment_Resultaat_sneltest): de waarde van Item MOET '1480' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Resultaat_sneltest): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.29-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Analysis') or not(@LongName)">(OBX_segment_Resultaat_sneltest): de waarde van LongName MOET 'Date/Time of the Analysis' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d489553e0-false-d489559e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2">
      <extends rule="d489641e0-false-d489647e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d489641e0-false-d489647e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION"
         id="d41e3366-false-d489666e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:TCD) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:TCD komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX
Item: (OBX_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="count(hl7v2:OBX.1) &lt;= 1">(OBX_segment_Lab2Lab_aanvraag): element hl7v2:OBX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &lt;= 1">(OBX_segment_Lab2Lab_aanvraag): element hl7v2:OBX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &gt;= 1">(OBX_segment_Lab2Lab_aanvraag): element hl7v2:OBX.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &lt;= 1">(OBX_segment_Lab2Lab_aanvraag): element hl7v2:OBX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="count(hl7v2:OBX.4) &lt;= 1">(OBX_segment_Lab2Lab_aanvraag): element hl7v2:OBX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="count(hl7v2:OBX.6) &lt;= 1">(OBX_segment_Lab2Lab_aanvraag): element hl7v2:OBX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="count(hl7v2:OBX.7) &lt;= 1">(OBX_segment_Lab2Lab_aanvraag): element hl7v2:OBX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="count(hl7v2:OBX.9) &lt;= 1">(OBX_segment_Lab2Lab_aanvraag): element hl7v2:OBX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &gt;= 1">(OBX_segment_Lab2Lab_aanvraag): element hl7v2:OBX.11 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &lt;= 1">(OBX_segment_Lab2Lab_aanvraag): element hl7v2:OBX.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="count(hl7v2:OBX.12) &lt;= 1">(OBX_segment_Lab2Lab_aanvraag): element hl7v2:OBX.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="count(hl7v2:OBX.13) &lt;= 1">(OBX_segment_Lab2Lab_aanvraag): element hl7v2:OBX.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="count(hl7v2:OBX.14) &lt;= 1">(OBX_segment_Lab2Lab_aanvraag): element hl7v2:OBX.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="count(hl7v2:OBX.15) &lt;= 1">(OBX_segment_Lab2Lab_aanvraag): element hl7v2:OBX.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="count(hl7v2:OBX.19) &lt;= 1">(OBX_segment_Lab2Lab_aanvraag): element hl7v2:OBX.19 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (OBX_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Item) = ('569') or not(@Item)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Item MOET '569' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Type) = ('SI') or not(@Type)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@LongName) = ('Set ID - OBX') or not(@LongName)">(OBX_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Set ID - OBX' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (OBX_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2">
      <extends rule="d489905e0-false-d489911e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Item) = ('570') or not(@Item)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Item MOET '570' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Table) = ('HL70125') or not(@Table)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70125' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@LongName) = ('Value Type') or not(@LongName)">(OBX_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Value Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d489905e0-false-d489911e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (OBX_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3">
      <extends rule="d489956e0-false-d489962e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Item) = ('571') or not(@Item)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Item MOET '571' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Identifier') or not(@LongName)">(OBX_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Observation Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d489956e0-false-d489962e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3">
      <extends rule="d490106e0-false-d490112e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d490106e0-false-d490112e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6">
      <extends rule="d490225e0-false-d490231e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d490225e0-false-d490231e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (OBX_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Item) = ('572') or not(@Item)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Item MOET '572' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Sub-ID') or not(@LongName)">(OBX_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Observation Sub-ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (OBX_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Item) = ('573') or not(@Item)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Item MOET '573' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Type) = ('varies') or not(@Type)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'varies' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Value') or not(@LongName)">(OBX_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Observation Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.67
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.5
Item: (varies_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (OBX_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6">
      <extends rule="d490357e0-false-d490363e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Item) = ('574') or not(@Item)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Item MOET '574' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(OBX_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d490357e0-false-d490363e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3">
      <extends rule="d490507e0-false-d490513e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d490507e0-false-d490513e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6">
      <extends rule="d490626e0-false-d490632e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d490626e0-false-d490632e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (OBX_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Item) = ('575') or not(@Item)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Item MOET '575' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@LongName) = ('References Range') or not(@LongName)">(OBX_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'References Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (OBX_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Item) = ('576') or not(@Item)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Item MOET '576' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Table) = ('HL70078') or not(@Table)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70078' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@LongName) = ('Abnormal Flags') or not(@LongName)">(OBX_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Abnormal Flags' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (OBX_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Item) = ('577') or not(@Item)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Item MOET '577' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Type) = ('NM') or not(@Type)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@LongName) = ('Probability') or not(@LongName)">(OBX_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Probability' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.9
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (OBX_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10">
      <extends rule="d490810e0-false-d490816e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Item) = ('578') or not(@Item)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Item MOET '578' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Table) = ('HL70080') or not(@Table)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70080' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@LongName) = ('Nature of Abnormal Test') or not(@LongName)">(OBX_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Nature of Abnormal Test' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d490810e0-false-d490816e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (OBX_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11">
      <extends rule="d490867e0-false-d490873e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Item) = ('579') or not(@Item)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Item MOET '579' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Table) = ('HL70085') or not(@Table)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70085' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Result Status') or not(@LongName)">(OBX_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Observation Result Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d490867e0-false-d490873e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (OBX_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12">
      <extends rule="d490918e0-false-d490924e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Item) = ('580') or not(@Item)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Item MOET '580' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@LongName) = ('Effective Date of Reference Range') or not(@LongName)">(OBX_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Effective Date of Reference Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d490918e0-false-d490924e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2">
      <extends rule="d491006e0-false-d491012e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d491006e0-false-d491012e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (OBX_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Item) = ('581') or not(@Item)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Item MOET '581' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@LongName) = ('User Defined Access Checks') or not(@LongName)">(OBX_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'User Defined Access Checks' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.13
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (OBX_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14">
      <extends rule="d491098e0-false-d491104e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Item) = ('582') or not(@Item)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Item MOET '582' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Observation') or not(@LongName)">(OBX_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Date/Time of the Observation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d491098e0-false-d491104e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2">
      <extends rule="d491186e0-false-d491192e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d491186e0-false-d491192e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (OBX_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15">
      <extends rule="d491238e0-false-d491244e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Item) = ('583') or not(@Item)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Item MOET '583' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@LongName) = ('Producer''s ID') or not(@LongName)">(OBX_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Producer''s ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d491238e0-false-d491244e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3">
      <extends rule="d491388e0-false-d491394e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d491388e0-false-d491394e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6">
      <extends rule="d491507e0-false-d491513e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d491507e0-false-d491513e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (OBX_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16">
      <extends rule="d491559e0-false-d491565e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Item) = ('584') or not(@Item)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Item MOET '584' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@LongName) = ('Responsible Observer') or not(@LongName)">(OBX_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Responsible Observer' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d491559e0-false-d491565e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2">
      <extends rule="d491788e0-false-d491794e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d491788e0-false-d491794e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9">
      <extends rule="d492250e0-false-d492256e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d492250e0-false-d492256e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d492385e0-false-d492391e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d492385e0-false-d492391e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10">
      <extends rule="d492437e0-false-d492443e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d492437e0-false-d492443e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12">
      <extends rule="d492522e0-false-d492528e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d492522e0-false-d492528e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13">
      <extends rule="d492573e0-false-d492579e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d492573e0-false-d492579e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14">
      <extends rule="d492618e0-false-d492624e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d492618e0-false-d492624e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d492753e0-false-d492759e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d492753e0-false-d492759e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15">
      <extends rule="d492805e0-false-d492811e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d492805e0-false-d492811e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16">
      <extends rule="d492856e0-false-d492862e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d492856e0-false-d492862e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d493006e0-false-d493012e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d493006e0-false-d493012e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d493125e0-false-d493131e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d493125e0-false-d493131e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17">
      <extends rule="d493171e0-false-d493177e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d493171e0-false-d493177e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d493219e0-false-d493225e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d493219e0-false-d493225e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d493307e0-false-d493313e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d493307e0-false-d493313e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d493353e0-false-d493359e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d493353e0-false-d493359e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d493441e0-false-d493447e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d493441e0-false-d493447e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18">
      <extends rule="d493494e0-false-d493500e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d493494e0-false-d493500e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19">
      <extends rule="d493539e0-false-d493545e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d493539e0-false-d493545e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d493627e0-false-d493633e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d493627e0-false-d493633e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20">
      <extends rule="d493673e0-false-d493679e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d493673e0-false-d493679e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d493761e0-false-d493767e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d493761e0-false-d493767e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22">
      <extends rule="d493841e0-false-d493847e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d493841e0-false-d493847e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d494012e0-false-d494018e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d494012e0-false-d494018e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d494131e0-false-d494137e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d494131e0-false-d494137e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23">
      <extends rule="d494279e0-false-d494285e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d494279e0-false-d494285e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d494450e0-false-d494456e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d494450e0-false-d494456e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d494569e0-false-d494575e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d494569e0-false-d494575e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (OBX_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17">
      <extends rule="d494724e0-false-d494730e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Item) = ('936') or not(@Item)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Item MOET '936' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Method') or not(@LongName)">(OBX_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Observation Method' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d494724e0-false-d494730e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3">
      <extends rule="d494874e0-false-d494880e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d494874e0-false-d494880e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6">
      <extends rule="d494993e0-false-d494999e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d494993e0-false-d494999e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (OBX_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18">
      <extends rule="d495045e0-false-d495051e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Item) = ('1479') or not(@Item)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1479' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Type) = ('EI') or not(@Type)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@LongName) = ('Equipment Instance Identifier') or not(@LongName)">(OBX_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Equipment Instance Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d495045e0-false-d495051e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4">
      <extends rule="d495221e0-false-d495227e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d495221e0-false-d495227e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (OBX_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19">
      <extends rule="d495273e0-false-d495279e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Item) = ('1480') or not(@Item)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1480' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.6-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Analysis') or not(@LongName)">(OBX_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Date/Time of the Analysis' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d495273e0-false-d495279e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2">
      <extends rule="d495361e0-false-d495367e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d495361e0-false-d495367e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.141
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD
Item: (TCD_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="count(hl7v2:TCD.1) &gt;= 1">(TCD_segment): element hl7v2:TCD.1 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="count(hl7v2:TCD.1) &lt;= 1">(TCD_segment): element hl7v2:TCD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="count(hl7v2:TCD.2) &lt;= 1">(TCD_segment): element hl7v2:TCD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="count(hl7v2:TCD.3) &lt;= 1">(TCD_segment): element hl7v2:TCD.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="count(hl7v2:TCD.4) &lt;= 1">(TCD_segment): element hl7v2:TCD.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="count(hl7v2:TCD.5) &lt;= 1">(TCD_segment): element hl7v2:TCD.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="count(hl7v2:TCD.6) &lt;= 1">(TCD_segment): element hl7v2:TCD.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="count(hl7v2:TCD.7) &lt;= 1">(TCD_segment): element hl7v2:TCD.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="count(hl7v2:TCD.8) &lt;= 1">(TCD_segment): element hl7v2:TCD.8 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.141
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.1
Item: (TCD_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.1">
      <extends rule="d495497e0-false-d495503e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Item) = ('238') or not(@Item)">(TCD_segment): de waarde van Item MOET '238' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(TCD_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal Service Identifier') or not(@LongName)">(TCD_segment): de waarde van LongName MOET 'Universal Service Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d495497e0-false-d495503e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.3">
      <extends rule="d495647e0-false-d495653e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d495647e0-false-d495653e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.6">
      <extends rule="d495766e0-false-d495772e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.1/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d495766e0-false-d495772e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.141
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.2
Item: (TCD_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.2">
      <extends rule="d495818e0-false-d495824e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Item) = ('1420') or not(@Item)">(TCD_segment): de waarde van Item MOET '1420' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Type) = ('SN') or not(@Type)">(TCD_segment): de waarde van Type MOET 'SN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@LongName) = ('Auto-Dilution Factor') or not(@LongName)">(TCD_segment): de waarde van LongName MOET 'Auto-Dilution Factor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.2
Item: (SN_datatype)
-->
   <rule fpi="RULC-1" id="d495818e0-false-d495824e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.1) &lt;= 1">(SN_datatype): element hl7v2:SN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.2) &lt;= 1">(SN_datatype): element hl7v2:SN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.3) &lt;= 1">(SN_datatype): element hl7v2:SN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.4) &lt;= 1">(SN_datatype): element hl7v2:SN.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.2/hl7v2:SN.1
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.2/hl7v2:SN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Comparator') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Comparator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.2/hl7v2:SN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.2/hl7v2:SN.2
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.2/hl7v2:SN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(SN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Num1') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Num1' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.2/hl7v2:SN.2
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.2/hl7v2:SN.3
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.2/hl7v2:SN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Separator/Suffix') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Separator/Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.2/hl7v2:SN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.2/hl7v2:SN.4
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.2/hl7v2:SN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(SN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Num2') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Num2' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.2/hl7v2:SN.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.141
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.3
Item: (TCD_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.3">
      <extends rule="d496023e0-false-d496029e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Item) = ('1421') or not(@Item)">(TCD_segment): de waarde van Item MOET '1421' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Type) = ('SN') or not(@Type)">(TCD_segment): de waarde van Type MOET 'SN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@LongName) = ('Rerun Dilution Factor') or not(@LongName)">(TCD_segment): de waarde van LongName MOET 'Rerun Dilution Factor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.3
Item: (SN_datatype)
-->
   <rule fpi="RULC-1" id="d496023e0-false-d496029e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.1) &lt;= 1">(SN_datatype): element hl7v2:SN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.2) &lt;= 1">(SN_datatype): element hl7v2:SN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.3) &lt;= 1">(SN_datatype): element hl7v2:SN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.4) &lt;= 1">(SN_datatype): element hl7v2:SN.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.3/hl7v2:SN.1
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.3/hl7v2:SN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Comparator') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Comparator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.3/hl7v2:SN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.3/hl7v2:SN.2
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.3/hl7v2:SN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(SN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Num1') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Num1' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.3/hl7v2:SN.2
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.3/hl7v2:SN.3
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.3/hl7v2:SN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Separator/Suffix') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Separator/Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.3/hl7v2:SN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.3/hl7v2:SN.4
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.3/hl7v2:SN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(SN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Num2') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Num2' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.3/hl7v2:SN.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.141
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.4
Item: (TCD_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.4">
      <extends rule="d496228e0-false-d496234e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Item) = ('1422') or not(@Item)">(TCD_segment): de waarde van Item MOET '1422' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Type) = ('SN') or not(@Type)">(TCD_segment): de waarde van Type MOET 'SN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@LongName) = ('Pre-Dilution Factor') or not(@LongName)">(TCD_segment): de waarde van LongName MOET 'Pre-Dilution Factor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.4
Item: (SN_datatype)
-->
   <rule fpi="RULC-1" id="d496228e0-false-d496234e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.1) &lt;= 1">(SN_datatype): element hl7v2:SN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.2) &lt;= 1">(SN_datatype): element hl7v2:SN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.3) &lt;= 1">(SN_datatype): element hl7v2:SN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.4) &lt;= 1">(SN_datatype): element hl7v2:SN.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.4/hl7v2:SN.1
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.4/hl7v2:SN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Comparator') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Comparator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.4/hl7v2:SN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.4/hl7v2:SN.2
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.4/hl7v2:SN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(SN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Num1') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Num1' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.4/hl7v2:SN.2
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.4/hl7v2:SN.3
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.4/hl7v2:SN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Separator/Suffix') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Separator/Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.4/hl7v2:SN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.4/hl7v2:SN.4
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.4/hl7v2:SN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(SN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Num2') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Num2' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.4/hl7v2:SN.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.141
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.5
Item: (TCD_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.5">
      <extends rule="d496433e0-false-d496439e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Item) = ('1413') or not(@Item)">(TCD_segment): de waarde van Item MOET '1413' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Type) = ('SN') or not(@Type)">(TCD_segment): de waarde van Type MOET 'SN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@LongName) = ('Endogenous Content of Pre-Dilution Diluent') or not(@LongName)">(TCD_segment): de waarde van LongName MOET 'Endogenous Content of Pre-Dilution Diluent' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.5
Item: (SN_datatype)
-->
   <rule fpi="RULC-1" id="d496433e0-false-d496439e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.1) &lt;= 1">(SN_datatype): element hl7v2:SN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.2) &lt;= 1">(SN_datatype): element hl7v2:SN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.3) &lt;= 1">(SN_datatype): element hl7v2:SN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.4) &lt;= 1">(SN_datatype): element hl7v2:SN.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.5/hl7v2:SN.1
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.5/hl7v2:SN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Comparator') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Comparator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.5/hl7v2:SN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.5/hl7v2:SN.2
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.5/hl7v2:SN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(SN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Num1') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Num1' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.5/hl7v2:SN.2
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.5/hl7v2:SN.3
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.5/hl7v2:SN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Separator/Suffix') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Separator/Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.5/hl7v2:SN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.5/hl7v2:SN.4
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.5/hl7v2:SN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(SN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Num2') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Num2' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.5/hl7v2:SN.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.141
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.6
Item: (TCD_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.6">
      <extends rule="d496644e0-false-d496650e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Item) = ('1416') or not(@Item)">(TCD_segment): de waarde van Item MOET '1416' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TCD_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(TCD_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@LongName) = ('Automatic Repeat Allowed') or not(@LongName)">(TCD_segment): de waarde van LongName MOET 'Automatic Repeat Allowed' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d496644e0-false-d496650e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.141
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.7
Item: (TCD_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.7">
      <extends rule="d496701e0-false-d496707e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Item) = ('1424') or not(@Item)">(TCD_segment): de waarde van Item MOET '1424' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TCD_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(TCD_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@LongName) = ('Reflex Allowed') or not(@LongName)">(TCD_segment): de waarde van LongName MOET 'Reflex Allowed' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d496701e0-false-d496707e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.141
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.8
Item: (TCD_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.8">
      <extends rule="d496758e0-false-d496764e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Item) = ('1425') or not(@Item)">(TCD_segment): de waarde van Item MOET '1425' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(TCD_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@Table) = ('HL70389') or not(@Table)">(TCD_segment): de waarde van Table MOET 'HL70389' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.141-2013-02-10T000000.html"
              test="string(@LongName) = ('Analyte Repeat Status') or not(@LongName)">(TCD_segment): de waarde van LongName MOET 'Analyte Repeat Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.8
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d496758e0-false-d496764e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.3">
      <extends rule="d496908e0-false-d496914e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d496908e0-false-d496914e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.6">
      <extends rule="d497027e0-false-d497033e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:TCD/hl7v2:TCD.8/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d497027e0-false-d497033e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.39
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE
Item: (NTE_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="count(hl7v2:NTE.1) &lt;= 1">(NTE_segment): element hl7v2:NTE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="count(hl7v2:NTE.2) &lt;= 1">(NTE_segment): element hl7v2:NTE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="count(hl7v2:NTE.3) &gt;= 1">(NTE_segment): element hl7v2:NTE.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="count(hl7v2:NTE.4) &lt;= 1">(NTE_segment): element hl7v2:NTE.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.39
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.1
Item: (NTE_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Item) = ('96') or not(@Item)">(NTE_segment): de waarde van Item MOET '96' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Type) = ('SI') or not(@Type)">(NTE_segment): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@LongName) = ('Set ID - NTE') or not(@LongName)">(NTE_segment): de waarde van LongName MOET 'Set ID - NTE' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.39
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.2
Item: (NTE_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.2">
      <extends rule="d497176e0-false-d497182e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Item) = ('97') or not(@Item)">(NTE_segment): de waarde van Item MOET '97' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(NTE_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Table) = ('HL70105') or not(@Table)">(NTE_segment): de waarde van Table MOET 'HL70105' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@LongName) = ('Source of Comment') or not(@LongName)">(NTE_segment): de waarde van LongName MOET 'Source of Comment' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d497176e0-false-d497182e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.39
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.3
Item: (NTE_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Item) = ('98') or not(@Item)">(NTE_segment): de waarde van Item MOET '98' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Type) = ('FT') or not(@Type)">(NTE_segment): de waarde van Type MOET 'FT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@LongName) = ('Comment') or not(@LongName)">(NTE_segment): de waarde van LongName MOET 'Comment' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.3
Item: (FT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape
Item: (FT_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.27-2013-02-10T000000.html"
              test="@V">(FT_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.39
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4
Item: (NTE_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4">
      <extends rule="d497353e0-false-d497359e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Item) = ('1318') or not(@Item)">(NTE_segment): de waarde van Item MOET '1318' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(NTE_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Table) = ('HL70364') or not(@Table)">(NTE_segment): de waarde van Table MOET 'HL70364' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@LongName) = ('Comment Type') or not(@LongName)">(NTE_segment): de waarde van LongName MOET 'Comment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d497353e0-false-d497359e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.3">
      <extends rule="d497503e0-false-d497509e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d497503e0-false-d497509e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.6">
      <extends rule="d497622e0-false-d497628e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.OBSERVATION/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d497622e0-false-d497628e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN"
         id="d41e3378-false-d497647e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:SPM) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:SPM is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:SPM) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:SPM komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM
Item: (SPM_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="count(hl7v2:SPM.1) &lt;= 1">(SPM_segment_Lab_algemeen): element hl7v2:SPM.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="count(hl7v2:SPM.2) &gt;= 1">(SPM_segment_Lab_algemeen): element hl7v2:SPM.2 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="count(hl7v2:SPM.2) &lt;= 1">(SPM_segment_Lab_algemeen): element hl7v2:SPM.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="count(hl7v2:SPM.4) &gt;= 1">(SPM_segment_Lab_algemeen): element hl7v2:SPM.4 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="count(hl7v2:SPM.4) &lt;= 1">(SPM_segment_Lab_algemeen): element hl7v2:SPM.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="count(hl7v2:SPM.7) &lt;= 1">(SPM_segment_Lab_algemeen): element hl7v2:SPM.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="count(hl7v2:SPM.8) &lt;= 1">(SPM_segment_Lab_algemeen): element hl7v2:SPM.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="count(hl7v2:SPM.10) &lt;= 1">(SPM_segment_Lab_algemeen): element hl7v2:SPM.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="count(hl7v2:SPM.12) &lt;= 1">(SPM_segment_Lab_algemeen): element hl7v2:SPM.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="count(hl7v2:SPM.13) &lt;= 1">(SPM_segment_Lab_algemeen): element hl7v2:SPM.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="count(hl7v2:SPM.17) &lt;= 1">(SPM_segment_Lab_algemeen): element hl7v2:SPM.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="count(hl7v2:SPM.18) &lt;= 1">(SPM_segment_Lab_algemeen): element hl7v2:SPM.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="count(hl7v2:SPM.19) &lt;= 1">(SPM_segment_Lab_algemeen): element hl7v2:SPM.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="count(hl7v2:SPM.20) &lt;= 1">(SPM_segment_Lab_algemeen): element hl7v2:SPM.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="count(hl7v2:SPM.22) &lt;= 1">(SPM_segment_Lab_algemeen): element hl7v2:SPM.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="count(hl7v2:SPM.23) &lt;= 1">(SPM_segment_Lab_algemeen): element hl7v2:SPM.23 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="count(hl7v2:SPM.25) &lt;= 1">(SPM_segment_Lab_algemeen): element hl7v2:SPM.25 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="count(hl7v2:SPM.26) &lt;= 1">(SPM_segment_Lab_algemeen): element hl7v2:SPM.26 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="count(hl7v2:SPM.27) &lt;= 1">(SPM_segment_Lab_algemeen): element hl7v2:SPM.27 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="count(hl7v2:SPM.28) &lt;= 1">(SPM_segment_Lab_algemeen): element hl7v2:SPM.28 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="count(hl7v2:SPM.29) &lt;= 1">(SPM_segment_Lab_algemeen): element hl7v2:SPM.29 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.1
Item: (SPM_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Item) = ('1754') or not(@Item)">(SPM_segment_Lab_algemeen): de waarde van Item MOET '1754' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Type) = ('SI') or not(@Type)">(SPM_segment_Lab_algemeen): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@LongName) = ('Set ID _ SPM') or not(@LongName)">(SPM_segment_Lab_algemeen): de waarde van LongName MOET 'Set ID _ SPM' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2
Item: (SPM_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2">
      <extends rule="d497925e0-false-d497931e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Item) = ('1755') or not(@Item)">(SPM_segment_Lab_algemeen): de waarde van Item MOET '1755' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Type) = ('EIP') or not(@Type)">(SPM_segment_Lab_algemeen): de waarde van Type MOET 'EIP' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@LongName) = ('Specimen ID') or not(@LongName)">(SPM_segment_Lab_algemeen): de waarde van LongName MOET 'Specimen ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2
Item: (EIP_datatype)
-->
   <rule fpi="RULC-1" id="d497925e0-false-d497931e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="count(hl7v2:EIP.1) &lt;= 1">(EIP_datatype): element hl7v2:EIP.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="count(hl7v2:EIP.2) &lt;= 1">(EIP_datatype): element hl7v2:EIP.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2/hl7v2:EIP.1
Item: (EIP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2/hl7v2:EIP.1">
      <extends rule="d497973e0-false-d497979e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(EIP_datatype): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="string(@LongName) = ('Placer Assigned Identifier') or not(@LongName)">(EIP_datatype): de waarde van LongName MOET 'Placer Assigned Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2/hl7v2:EIP.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d497973e0-false-d497979e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2/hl7v2:EIP.1/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2/hl7v2:EIP.1/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2/hl7v2:EIP.1/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2/hl7v2:EIP.1/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2/hl7v2:EIP.1/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2/hl7v2:EIP.1/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2/hl7v2:EIP.1/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2/hl7v2:EIP.1/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2/hl7v2:EIP.1/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2/hl7v2:EIP.1/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2/hl7v2:EIP.1/hl7v2:EI.4">
      <extends rule="d498149e0-false-d498155e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2/hl7v2:EIP.1/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d498149e0-false-d498155e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2/hl7v2:EIP.2
Item: (EIP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2/hl7v2:EIP.2">
      <extends rule="d498195e0-false-d498201e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(EIP_datatype): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="string(@LongName) = ('Filler Assigned Identifier') or not(@LongName)">(EIP_datatype): de waarde van LongName MOET 'Filler Assigned Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2/hl7v2:EIP.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d498195e0-false-d498201e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2/hl7v2:EIP.2/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2/hl7v2:EIP.2/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2/hl7v2:EIP.2/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2/hl7v2:EIP.2/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2/hl7v2:EIP.2/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2/hl7v2:EIP.2/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2/hl7v2:EIP.2/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2/hl7v2:EIP.2/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2/hl7v2:EIP.2/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2/hl7v2:EIP.2/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2/hl7v2:EIP.2/hl7v2:EI.4">
      <extends rule="d498371e0-false-d498377e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.2/hl7v2:EIP.2/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d498371e0-false-d498377e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3
Item: (SPM_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3">
      <extends rule="d498424e0-false-d498430e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Item) = ('1756') or not(@Item)">(SPM_segment_Lab_algemeen): de waarde van Item MOET '1756' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Type) = ('EIP') or not(@Type)">(SPM_segment_Lab_algemeen): de waarde van Type MOET 'EIP' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@LongName) = ('Specimen Parent IDs') or not(@LongName)">(SPM_segment_Lab_algemeen): de waarde van LongName MOET 'Specimen Parent IDs' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3
Item: (EIP_datatype)
-->
   <rule fpi="RULC-1" id="d498424e0-false-d498430e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="count(hl7v2:EIP.1) &lt;= 1">(EIP_datatype): element hl7v2:EIP.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="count(hl7v2:EIP.2) &lt;= 1">(EIP_datatype): element hl7v2:EIP.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3/hl7v2:EIP.1
Item: (EIP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3/hl7v2:EIP.1">
      <extends rule="d498472e0-false-d498478e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(EIP_datatype): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="string(@LongName) = ('Placer Assigned Identifier') or not(@LongName)">(EIP_datatype): de waarde van LongName MOET 'Placer Assigned Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3/hl7v2:EIP.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d498472e0-false-d498478e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3/hl7v2:EIP.1/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3/hl7v2:EIP.1/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3/hl7v2:EIP.1/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3/hl7v2:EIP.1/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3/hl7v2:EIP.1/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3/hl7v2:EIP.1/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3/hl7v2:EIP.1/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3/hl7v2:EIP.1/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3/hl7v2:EIP.1/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3/hl7v2:EIP.1/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3/hl7v2:EIP.1/hl7v2:EI.4">
      <extends rule="d498648e0-false-d498654e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3/hl7v2:EIP.1/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d498648e0-false-d498654e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3/hl7v2:EIP.2
Item: (EIP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3/hl7v2:EIP.2">
      <extends rule="d498694e0-false-d498700e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(EIP_datatype): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="string(@LongName) = ('Filler Assigned Identifier') or not(@LongName)">(EIP_datatype): de waarde van LongName MOET 'Filler Assigned Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3/hl7v2:EIP.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d498694e0-false-d498700e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3/hl7v2:EIP.2/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3/hl7v2:EIP.2/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3/hl7v2:EIP.2/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3/hl7v2:EIP.2/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3/hl7v2:EIP.2/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3/hl7v2:EIP.2/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3/hl7v2:EIP.2/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3/hl7v2:EIP.2/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3/hl7v2:EIP.2/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3/hl7v2:EIP.2/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3/hl7v2:EIP.2/hl7v2:EI.4">
      <extends rule="d498870e0-false-d498876e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.3/hl7v2:EIP.2/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d498870e0-false-d498876e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.4
Item: (SPM_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.4">
      <extends rule="d498929e0-false-d498935e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Item) = ('1900') or not(@Item)">(SPM_segment_Lab_algemeen): de waarde van Item MOET '1900' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPM_segment_Lab_algemeen): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Table) = ('HL70487') or not(@Table)">(SPM_segment_Lab_algemeen): de waarde van Table MOET 'HL70487' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@LongName) = ('Specimen Type') or not(@LongName)">(SPM_segment_Lab_algemeen): de waarde van LongName MOET 'Specimen Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d498929e0-false-d498935e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.4/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.4/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.4/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.4/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.4/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.4/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.4/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.4/hl7v2:CWE.3">
      <extends rule="d499100e0-false-d499106e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.4/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d499100e0-false-d499106e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.4/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.4/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.4/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.4/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.4/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.4/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.4/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.4/hl7v2:CWE.6">
      <extends rule="d499219e0-false-d499225e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.4/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d499219e0-false-d499225e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.4/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.4/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.4/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.4/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.4/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.4/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.4/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.4/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.4/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.5
Item: (SPM_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.5">
      <extends rule="d499379e0-false-d499385e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Item) = ('1757') or not(@Item)">(SPM_segment_Lab_algemeen): de waarde van Item MOET '1757' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPM_segment_Lab_algemeen): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Table) = ('HL70541') or not(@Table)">(SPM_segment_Lab_algemeen): de waarde van Table MOET 'HL70541' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@LongName) = ('Specimen Type Modifier') or not(@LongName)">(SPM_segment_Lab_algemeen): de waarde van LongName MOET 'Specimen Type Modifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d499379e0-false-d499385e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.5/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.5/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.5/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.5/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.5/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.5/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.5/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.5/hl7v2:CWE.3">
      <extends rule="d499550e0-false-d499556e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.5/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d499550e0-false-d499556e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.5/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.5/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.5/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.5/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.5/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.5/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.5/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.5/hl7v2:CWE.6">
      <extends rule="d499669e0-false-d499675e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.5/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d499669e0-false-d499675e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.5/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.5/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.5/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.5/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.5/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.5/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.5/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.5/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.5/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.6
Item: (SPM_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.6">
      <extends rule="d499829e0-false-d499835e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Item) = ('1758') or not(@Item)">(SPM_segment_Lab_algemeen): de waarde van Item MOET '1758' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPM_segment_Lab_algemeen): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Table) = ('HL70371') or not(@Table)">(SPM_segment_Lab_algemeen): de waarde van Table MOET 'HL70371' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@LongName) = ('Specimen Additives') or not(@LongName)">(SPM_segment_Lab_algemeen): de waarde van LongName MOET 'Specimen Additives' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d499829e0-false-d499835e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.6/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.6/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.6/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.6/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.6/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.6/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.6/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.6/hl7v2:CWE.3">
      <extends rule="d500000e0-false-d500006e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.6/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d500000e0-false-d500006e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.6/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.6/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.6/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.6/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.6/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.6/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.6/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.6/hl7v2:CWE.6">
      <extends rule="d500119e0-false-d500125e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.6/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d500119e0-false-d500125e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.6/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.6/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.6/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.6/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.6/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.6/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.6/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.6/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.6/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.7
Item: (SPM_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.7">
      <extends rule="d500279e0-false-d500285e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Item) = ('1759') or not(@Item)">(SPM_segment_Lab_algemeen): de waarde van Item MOET '1759' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPM_segment_Lab_algemeen): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Table) = ('HL70488') or not(@Table)">(SPM_segment_Lab_algemeen): de waarde van Table MOET 'HL70488' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@LongName) = ('Specimen Collection Method') or not(@LongName)">(SPM_segment_Lab_algemeen): de waarde van LongName MOET 'Specimen Collection Method' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d500279e0-false-d500285e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.7/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.7/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.7/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.7/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.7/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.7/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.7/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.7/hl7v2:CWE.3">
      <extends rule="d500450e0-false-d500456e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.7/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d500450e0-false-d500456e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.7/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.7/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.7/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.7/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.7/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.7/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.7/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.7/hl7v2:CWE.6">
      <extends rule="d500569e0-false-d500575e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.7/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d500569e0-false-d500575e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.7/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.7/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.7/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.7/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.7/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.7/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.7/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.7/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.7/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.8
Item: (SPM_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.8">
      <extends rule="d500723e0-false-d500729e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Item) = ('1901') or not(@Item)">(SPM_segment_Lab_algemeen): de waarde van Item MOET '1901' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPM_segment_Lab_algemeen): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@LongName) = ('Specimen Source Site') or not(@LongName)">(SPM_segment_Lab_algemeen): de waarde van LongName MOET 'Specimen Source Site' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d500723e0-false-d500729e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.8/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.8/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.8/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.8/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.8/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.8/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.8/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.8/hl7v2:CWE.3">
      <extends rule="d500894e0-false-d500900e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.8/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d500894e0-false-d500900e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.8/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.8/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.8/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.8/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.8/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.8/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.8/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.8/hl7v2:CWE.6">
      <extends rule="d501013e0-false-d501019e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.8/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d501013e0-false-d501019e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.8/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.8/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.8/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.8/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.8/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.8/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.8/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.8/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.8/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.9
Item: (SPM_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.9">
      <extends rule="d501173e0-false-d501179e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Item) = ('1760') or not(@Item)">(SPM_segment_Lab_algemeen): de waarde van Item MOET '1760' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPM_segment_Lab_algemeen): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Table) = ('HL70542') or not(@Table)">(SPM_segment_Lab_algemeen): de waarde van Table MOET 'HL70542' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@LongName) = ('Specimen Source Site Modifier') or not(@LongName)">(SPM_segment_Lab_algemeen): de waarde van LongName MOET 'Specimen Source Site Modifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d501173e0-false-d501179e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.9/hl7v2:CWE.3">
      <extends rule="d501344e0-false-d501350e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d501344e0-false-d501350e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.9/hl7v2:CWE.6">
      <extends rule="d501463e0-false-d501469e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d501463e0-false-d501469e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.10
Item: (SPM_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.10">
      <extends rule="d501623e0-false-d501629e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Item) = ('1761') or not(@Item)">(SPM_segment_Lab_algemeen): de waarde van Item MOET '1761' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPM_segment_Lab_algemeen): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Table) = ('HL70543') or not(@Table)">(SPM_segment_Lab_algemeen): de waarde van Table MOET 'HL70543' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@LongName) = ('Specimen Collection Site') or not(@LongName)">(SPM_segment_Lab_algemeen): de waarde van LongName MOET 'Specimen Collection Site' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d501623e0-false-d501629e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.10/hl7v2:CWE.3">
      <extends rule="d501794e0-false-d501800e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d501794e0-false-d501800e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.10/hl7v2:CWE.6">
      <extends rule="d501913e0-false-d501919e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d501913e0-false-d501919e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.11
Item: (SPM_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.11">
      <extends rule="d502073e0-false-d502079e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Item) = ('1762') or not(@Item)">(SPM_segment_Lab_algemeen): de waarde van Item MOET '1762' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPM_segment_Lab_algemeen): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Table) = ('HL70369') or not(@Table)">(SPM_segment_Lab_algemeen): de waarde van Table MOET 'HL70369' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@LongName) = ('Specimen Role') or not(@LongName)">(SPM_segment_Lab_algemeen): de waarde van LongName MOET 'Specimen Role' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.11
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d502073e0-false-d502079e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.11/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.11/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.11/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.11/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.11/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.11/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.11/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.11/hl7v2:CWE.3">
      <extends rule="d502244e0-false-d502250e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.11/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d502244e0-false-d502250e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.11/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.11/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.11/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.11/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.11/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.11/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.11/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.11/hl7v2:CWE.6">
      <extends rule="d502363e0-false-d502369e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.11/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d502363e0-false-d502369e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.11/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.11/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.11/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.11/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.11/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.11/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.11/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.11/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.11/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.12
Item: (SPM_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.12">
      <extends rule="d502517e0-false-d502523e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Item) = ('1902') or not(@Item)">(SPM_segment_Lab_algemeen): de waarde van Item MOET '1902' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Type) = ('CQ') or not(@Type)">(SPM_segment_Lab_algemeen): de waarde van Type MOET 'CQ' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@LongName) = ('Specimen Collection Amount') or not(@LongName)">(SPM_segment_Lab_algemeen): de waarde van LongName MOET 'Specimen Collection Amount' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.12
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1" id="d502517e0-false-d502523e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.1) &lt;= 1">(CQ_datatype): element hl7v2:CQ.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.2) &lt;= 1">(CQ_datatype): element hl7v2:CQ.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.12/hl7v2:CQ.1
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.12/hl7v2:CQ.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.12/hl7v2:CQ.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.12/hl7v2:CQ.2
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.12/hl7v2:CQ.2">
      <extends rule="d502599e0-false-d502605e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.12/hl7v2:CQ.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d502599e0-false-d502605e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.12/hl7v2:CQ.2/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.12/hl7v2:CQ.2/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.12/hl7v2:CQ.2/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.12/hl7v2:CQ.2/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.12/hl7v2:CQ.2/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.12/hl7v2:CQ.2/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.12/hl7v2:CQ.2/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.12/hl7v2:CQ.2/hl7v2:CE.3">
      <extends rule="d502749e0-false-d502755e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.12/hl7v2:CQ.2/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d502749e0-false-d502755e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.12/hl7v2:CQ.2/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.12/hl7v2:CQ.2/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.12/hl7v2:CQ.2/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.12/hl7v2:CQ.2/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.12/hl7v2:CQ.2/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.12/hl7v2:CQ.2/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.12/hl7v2:CQ.2/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.12/hl7v2:CQ.2/hl7v2:CE.6">
      <extends rule="d502868e0-false-d502874e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.12/hl7v2:CQ.2/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d502868e0-false-d502874e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.13
Item: (SPM_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Item) = ('1763') or not(@Item)">(SPM_segment_Lab_algemeen): de waarde van Item MOET '1763' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Type) = ('NM') or not(@Type)">(SPM_segment_Lab_algemeen): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@LongName) = ('Grouped Specimen Count') or not(@LongName)">(SPM_segment_Lab_algemeen): de waarde van LongName MOET 'Grouped Specimen Count' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.13
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.14
Item: (SPM_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Item) = ('1764') or not(@Item)">(SPM_segment_Lab_algemeen): de waarde van Item MOET '1764' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Type) = ('ST') or not(@Type)">(SPM_segment_Lab_algemeen): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@LongName) = ('Specimen Description') or not(@LongName)">(SPM_segment_Lab_algemeen): de waarde van LongName MOET 'Specimen Description' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.14
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.15
Item: (SPM_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.15">
      <extends rule="d503007e0-false-d503013e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Item) = ('1908') or not(@Item)">(SPM_segment_Lab_algemeen): de waarde van Item MOET '1908' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPM_segment_Lab_algemeen): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Table) = ('HL70376') or not(@Table)">(SPM_segment_Lab_algemeen): de waarde van Table MOET 'HL70376' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@LongName) = ('Specimen Handling Code') or not(@LongName)">(SPM_segment_Lab_algemeen): de waarde van LongName MOET 'Specimen Handling Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.15
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d503007e0-false-d503013e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.15/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.15/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.15/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.15/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.15/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.15/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.15/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.15/hl7v2:CWE.3">
      <extends rule="d503178e0-false-d503184e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.15/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d503178e0-false-d503184e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.15/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.15/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.15/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.15/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.15/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.15/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.15/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.15/hl7v2:CWE.6">
      <extends rule="d503297e0-false-d503303e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.15/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d503297e0-false-d503303e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.15/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.15/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.15/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.15/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.15/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.15/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.15/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.15/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.15/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.16
Item: (SPM_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.16">
      <extends rule="d503457e0-false-d503463e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Item) = ('1903') or not(@Item)">(SPM_segment_Lab_algemeen): de waarde van Item MOET '1903' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPM_segment_Lab_algemeen): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Table) = ('HL70489') or not(@Table)">(SPM_segment_Lab_algemeen): de waarde van Table MOET 'HL70489' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@LongName) = ('Specimen Risk Code') or not(@LongName)">(SPM_segment_Lab_algemeen): de waarde van LongName MOET 'Specimen Risk Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.16
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d503457e0-false-d503463e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.16/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.16/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.16/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.16/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.16/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.16/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.16/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.16/hl7v2:CWE.3">
      <extends rule="d503628e0-false-d503634e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.16/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d503628e0-false-d503634e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.16/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.16/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.16/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.16/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.16/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.16/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.16/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.16/hl7v2:CWE.6">
      <extends rule="d503747e0-false-d503753e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.16/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d503747e0-false-d503753e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.16/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.16/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.16/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.16/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.16/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.16/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.16/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.16/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.16/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.17
Item: (SPM_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.17">
      <extends rule="d503901e0-false-d503907e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Item) = ('1765') or not(@Item)">(SPM_segment_Lab_algemeen): de waarde van Item MOET '1765' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Type) = ('DR') or not(@Type)">(SPM_segment_Lab_algemeen): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@LongName) = ('Specimen Collection Date/Time') or not(@LongName)">(SPM_segment_Lab_algemeen): de waarde van LongName MOET 'Specimen Collection Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d503901e0-false-d503907e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.17/hl7v2:DR.1">
      <extends rule="d503949e0-false-d503955e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d503949e0-false-d503955e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d504037e0-false-d504043e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d504037e0-false-d504043e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.17/hl7v2:DR.2">
      <extends rule="d504083e0-false-d504089e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d504083e0-false-d504089e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d504171e0-false-d504177e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d504171e0-false-d504177e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.18
Item: (SPM_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.18">
      <extends rule="d504224e0-false-d504230e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Item) = ('248') or not(@Item)">(SPM_segment_Lab_algemeen): de waarde van Item MOET '248' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Type) = ('TS') or not(@Type)">(SPM_segment_Lab_algemeen): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@LongName) = ('Specimen Received Date/Time') or not(@LongName)">(SPM_segment_Lab_algemeen): de waarde van LongName MOET 'Specimen Received Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.18
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d504224e0-false-d504230e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.18/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.18/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.18/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.18/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.18/hl7v2:TS.2">
      <extends rule="d504312e0-false-d504318e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.18/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d504312e0-false-d504318e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.19
Item: (SPM_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.19">
      <extends rule="d504364e0-false-d504370e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Item) = ('1904') or not(@Item)">(SPM_segment_Lab_algemeen): de waarde van Item MOET '1904' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Type) = ('TS') or not(@Type)">(SPM_segment_Lab_algemeen): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@LongName) = ('Specimen Expiration Date/Time') or not(@LongName)">(SPM_segment_Lab_algemeen): de waarde van LongName MOET 'Specimen Expiration Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d504364e0-false-d504370e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.19/hl7v2:TS.2">
      <extends rule="d504452e0-false-d504458e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d504452e0-false-d504458e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.20
Item: (SPM_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.20">
      <extends rule="d504510e0-false-d504516e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Item) = ('1766') or not(@Item)">(SPM_segment_Lab_algemeen): de waarde van Item MOET '1766' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Type) = ('ID') or not(@Type)">(SPM_segment_Lab_algemeen): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(SPM_segment_Lab_algemeen): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@LongName) = ('Specimen Availability') or not(@LongName)">(SPM_segment_Lab_algemeen): de waarde van LongName MOET 'Specimen Availability' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.20
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d504510e0-false-d504516e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.21
Item: (SPM_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.21">
      <extends rule="d504567e0-false-d504573e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Item) = ('1767') or not(@Item)">(SPM_segment_Lab_algemeen): de waarde van Item MOET '1767' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPM_segment_Lab_algemeen): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Table) = ('HL70490') or not(@Table)">(SPM_segment_Lab_algemeen): de waarde van Table MOET 'HL70490' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@LongName) = ('Specimen Reject Reason') or not(@LongName)">(SPM_segment_Lab_algemeen): de waarde van LongName MOET 'Specimen Reject Reason' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.21
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d504567e0-false-d504573e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.21/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.21/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.21/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.21/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.21/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.21/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.21/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.21/hl7v2:CWE.3">
      <extends rule="d504738e0-false-d504744e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.21/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d504738e0-false-d504744e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.21/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.21/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.21/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.21/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.21/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.21/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.21/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.21/hl7v2:CWE.6">
      <extends rule="d504857e0-false-d504863e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.21/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d504857e0-false-d504863e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.21/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.21/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.21/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.21/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.21/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.21/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.21/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.21/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.21/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.22
Item: (SPM_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.22">
      <extends rule="d505017e0-false-d505023e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Item) = ('1768') or not(@Item)">(SPM_segment_Lab_algemeen): de waarde van Item MOET '1768' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPM_segment_Lab_algemeen): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Table) = ('HL70491') or not(@Table)">(SPM_segment_Lab_algemeen): de waarde van Table MOET 'HL70491' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@LongName) = ('Specimen Quality') or not(@LongName)">(SPM_segment_Lab_algemeen): de waarde van LongName MOET 'Specimen Quality' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d505017e0-false-d505023e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.22/hl7v2:CWE.3">
      <extends rule="d505188e0-false-d505194e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d505188e0-false-d505194e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.22/hl7v2:CWE.6">
      <extends rule="d505307e0-false-d505313e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d505307e0-false-d505313e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.23
Item: (SPM_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.23">
      <extends rule="d505467e0-false-d505473e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Item) = ('1769') or not(@Item)">(SPM_segment_Lab_algemeen): de waarde van Item MOET '1769' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPM_segment_Lab_algemeen): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Table) = ('HL70492') or not(@Table)">(SPM_segment_Lab_algemeen): de waarde van Table MOET 'HL70492' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@LongName) = ('Specimen Appropriateness') or not(@LongName)">(SPM_segment_Lab_algemeen): de waarde van LongName MOET 'Specimen Appropriateness' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d505467e0-false-d505473e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.23/hl7v2:CWE.3">
      <extends rule="d505638e0-false-d505644e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d505638e0-false-d505644e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.23/hl7v2:CWE.6">
      <extends rule="d505757e0-false-d505763e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d505757e0-false-d505763e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.24
Item: (SPM_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.24">
      <extends rule="d505917e0-false-d505923e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Item) = ('1770') or not(@Item)">(SPM_segment_Lab_algemeen): de waarde van Item MOET '1770' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPM_segment_Lab_algemeen): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Table) = ('HL70493') or not(@Table)">(SPM_segment_Lab_algemeen): de waarde van Table MOET 'HL70493' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@LongName) = ('Specimen Condition') or not(@LongName)">(SPM_segment_Lab_algemeen): de waarde van LongName MOET 'Specimen Condition' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.24
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d505917e0-false-d505923e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.24/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.24/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.24/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.24/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.24/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.24/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.24/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.24/hl7v2:CWE.3">
      <extends rule="d506088e0-false-d506094e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.24/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d506088e0-false-d506094e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.24/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.24/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.24/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.24/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.24/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.24/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.24/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.24/hl7v2:CWE.6">
      <extends rule="d506207e0-false-d506213e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.24/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d506207e0-false-d506213e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.24/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.24/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.24/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.24/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.24/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.24/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.24/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.24/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.24/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.25
Item: (SPM_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.25">
      <extends rule="d506361e0-false-d506367e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Item) = ('1771') or not(@Item)">(SPM_segment_Lab_algemeen): de waarde van Item MOET '1771' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Type) = ('CQ') or not(@Type)">(SPM_segment_Lab_algemeen): de waarde van Type MOET 'CQ' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@LongName) = ('Specimen Current Quantity') or not(@LongName)">(SPM_segment_Lab_algemeen): de waarde van LongName MOET 'Specimen Current Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.25
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1" id="d506361e0-false-d506367e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.1) &lt;= 1">(CQ_datatype): element hl7v2:CQ.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.2) &lt;= 1">(CQ_datatype): element hl7v2:CQ.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.25/hl7v2:CQ.1
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.25/hl7v2:CQ.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.25/hl7v2:CQ.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.25/hl7v2:CQ.2
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.25/hl7v2:CQ.2">
      <extends rule="d506443e0-false-d506449e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.25/hl7v2:CQ.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d506443e0-false-d506449e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.25/hl7v2:CQ.2/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.25/hl7v2:CQ.2/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.25/hl7v2:CQ.2/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.25/hl7v2:CQ.2/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.25/hl7v2:CQ.2/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.25/hl7v2:CQ.2/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.25/hl7v2:CQ.2/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.25/hl7v2:CQ.2/hl7v2:CE.3">
      <extends rule="d506593e0-false-d506599e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.25/hl7v2:CQ.2/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d506593e0-false-d506599e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.25/hl7v2:CQ.2/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.25/hl7v2:CQ.2/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.25/hl7v2:CQ.2/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.25/hl7v2:CQ.2/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.25/hl7v2:CQ.2/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.25/hl7v2:CQ.2/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.25/hl7v2:CQ.2/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.25/hl7v2:CQ.2/hl7v2:CE.6">
      <extends rule="d506712e0-false-d506718e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.25/hl7v2:CQ.2/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d506712e0-false-d506718e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.26
Item: (SPM_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.26">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Item) = ('1772') or not(@Item)">(SPM_segment_Lab_algemeen): de waarde van Item MOET '1772' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Type) = ('NM') or not(@Type)">(SPM_segment_Lab_algemeen): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@LongName) = ('Number of Specimen Containers') or not(@LongName)">(SPM_segment_Lab_algemeen): de waarde van LongName MOET 'Number of Specimen Containers' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.26
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.27
Item: (SPM_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.27">
      <extends rule="d506805e0-false-d506811e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Item) = ('1773') or not(@Item)">(SPM_segment_Lab_algemeen): de waarde van Item MOET '1773' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPM_segment_Lab_algemeen): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@LongName) = ('Container Type') or not(@LongName)">(SPM_segment_Lab_algemeen): de waarde van LongName MOET 'Container Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.27
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d506805e0-false-d506811e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.27/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.27/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.27/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.27/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.27/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.27/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.27/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.27/hl7v2:CWE.3">
      <extends rule="d506976e0-false-d506982e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.27/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d506976e0-false-d506982e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.27/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.27/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.27/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.27/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.27/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.27/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.27/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.27/hl7v2:CWE.6">
      <extends rule="d507095e0-false-d507101e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.27/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d507095e0-false-d507101e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.27/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.27/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.27/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.27/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.27/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.27/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.27/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.27/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.27/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.28
Item: (SPM_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.28">
      <extends rule="d507255e0-false-d507261e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Item) = ('1774') or not(@Item)">(SPM_segment_Lab_algemeen): de waarde van Item MOET '1774' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPM_segment_Lab_algemeen): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Table) = ('HL70544') or not(@Table)">(SPM_segment_Lab_algemeen): de waarde van Table MOET 'HL70544' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@LongName) = ('Container Condition') or not(@LongName)">(SPM_segment_Lab_algemeen): de waarde van LongName MOET 'Container Condition' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.28
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d507255e0-false-d507261e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.28/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.28/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.28/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.28/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.28/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.28/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.28/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.28/hl7v2:CWE.3">
      <extends rule="d507426e0-false-d507432e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.28/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d507426e0-false-d507432e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.28/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.28/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.28/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.28/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.28/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.28/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.28/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.28/hl7v2:CWE.6">
      <extends rule="d507545e0-false-d507551e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.28/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d507545e0-false-d507551e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.28/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.28/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.28/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.28/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.28/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.28/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.28/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.28/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.28/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.29
Item: (SPM_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.29">
      <extends rule="d507705e0-false-d507711e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Item) = ('1775') or not(@Item)">(SPM_segment_Lab_algemeen): de waarde van Item MOET '1775' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPM_segment_Lab_algemeen): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@Table) = ('HL70494') or not(@Table)">(SPM_segment_Lab_algemeen): de waarde van Table MOET 'HL70494' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.48-2017-05-13T205543.html"
              test="string(@LongName) = ('Specimen Child Role') or not(@LongName)">(SPM_segment_Lab_algemeen): de waarde van LongName MOET 'Specimen Child Role' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.29
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d507705e0-false-d507711e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.29/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.29/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.29/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.29/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.29/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.29/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.29/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.29/hl7v2:CWE.3">
      <extends rule="d507876e0-false-d507882e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.29/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d507876e0-false-d507882e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.29/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.29/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.29/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.29/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.29/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.29/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.29/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.29/hl7v2:CWE.6">
      <extends rule="d507995e0-false-d508001e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.29/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d507995e0-false-d508001e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.29/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.29/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.29/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.29/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.29/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.29/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.29/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.29/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:SPM/hl7v2:SPM.29/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.37
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX
Item: (OBX_segment_Aspect_van_het_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="count(hl7v2:OBX.1) &lt;= 1">(OBX_segment_Aspect_van_het_materiaal): element hl7v2:OBX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &lt;= 1">(OBX_segment_Aspect_van_het_materiaal): element hl7v2:OBX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &gt;= 1">(OBX_segment_Aspect_van_het_materiaal): element hl7v2:OBX.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &lt;= 1">(OBX_segment_Aspect_van_het_materiaal): element hl7v2:OBX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="count(hl7v2:OBX.4) &lt;= 1">(OBX_segment_Aspect_van_het_materiaal): element hl7v2:OBX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="count(hl7v2:OBX.6) &lt;= 1">(OBX_segment_Aspect_van_het_materiaal): element hl7v2:OBX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="count(hl7v2:OBX.7) &lt;= 1">(OBX_segment_Aspect_van_het_materiaal): element hl7v2:OBX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="count(hl7v2:OBX.9) &lt;= 1">(OBX_segment_Aspect_van_het_materiaal): element hl7v2:OBX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &gt;= 1">(OBX_segment_Aspect_van_het_materiaal): element hl7v2:OBX.11 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &lt;= 1">(OBX_segment_Aspect_van_het_materiaal): element hl7v2:OBX.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="count(hl7v2:OBX.12) &lt;= 1">(OBX_segment_Aspect_van_het_materiaal): element hl7v2:OBX.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="count(hl7v2:OBX.13) &lt;= 1">(OBX_segment_Aspect_van_het_materiaal): element hl7v2:OBX.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="count(hl7v2:OBX.14) &lt;= 1">(OBX_segment_Aspect_van_het_materiaal): element hl7v2:OBX.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="count(hl7v2:OBX.15) &lt;= 1">(OBX_segment_Aspect_van_het_materiaal): element hl7v2:OBX.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="count(hl7v2:OBX.19) &lt;= 1">(OBX_segment_Aspect_van_het_materiaal): element hl7v2:OBX.19 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.37
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.1
Item: (OBX_segment_Aspect_van_het_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Item) = ('569') or not(@Item)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Item MOET '569' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Type) = ('SI') or not(@Type)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@LongName) = ('Set ID - OBX') or not(@LongName)">(OBX_segment_Aspect_van_het_materiaal): de waarde van LongName MOET 'Set ID - OBX' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.37
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.2
Item: (OBX_segment_Aspect_van_het_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.2">
      <extends rule="d508338e0-false-d508344e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Item) = ('570') or not(@Item)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Item MOET '570' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Table) = ('HL70125') or not(@Table)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Table MOET 'HL70125' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@LongName) = ('Value Type') or not(@LongName)">(OBX_segment_Aspect_van_het_materiaal): de waarde van LongName MOET 'Value Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d508338e0-false-d508344e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="text()='ST'">(ID_datatype): de elementinhoud van hl7v2:OBX.2 MOET ''ST'' zijn. Gevonden: "<value-of select="."/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.37
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.3
Item: (OBX_segment_Aspect_van_het_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.3">
      <extends rule="d508395e0-false-d508401e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Item) = ('571') or not(@Item)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Item MOET '571' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Identifier') or not(@LongName)">(OBX_segment_Aspect_van_het_materiaal): de waarde van LongName MOET 'Observation Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d508395e0-false-d508401e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3">
      <extends rule="d508545e0-false-d508551e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d508545e0-false-d508551e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6">
      <extends rule="d508664e0-false-d508670e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d508664e0-false-d508670e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.37
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.4
Item: (OBX_segment_Aspect_van_het_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Item) = ('572') or not(@Item)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Item MOET '572' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Sub-ID') or not(@LongName)">(OBX_segment_Aspect_van_het_materiaal): de waarde van LongName MOET 'Observation Sub-ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.37
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.5
Item: (OBX_segment_Aspect_van_het_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Item) = ('573') or not(@Item)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Item MOET '573' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Type) = ('varies') or not(@Type)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Type MOET 'varies' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Value') or not(@LongName)">(OBX_segment_Aspect_van_het_materiaal): de waarde van LongName MOET 'Observation Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.67
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.5
Item: (varies_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.37
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.6
Item: (OBX_segment_Aspect_van_het_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.6">
      <extends rule="d508796e0-false-d508802e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Item) = ('574') or not(@Item)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Item MOET '574' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(OBX_segment_Aspect_van_het_materiaal): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d508796e0-false-d508802e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3">
      <extends rule="d508946e0-false-d508952e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d508946e0-false-d508952e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6">
      <extends rule="d509065e0-false-d509071e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d509065e0-false-d509071e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.37
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.7
Item: (OBX_segment_Aspect_van_het_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Item) = ('575') or not(@Item)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Item MOET '575' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@LongName) = ('References Range') or not(@LongName)">(OBX_segment_Aspect_van_het_materiaal): de waarde van LongName MOET 'References Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.37
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.8
Item: (OBX_segment_Aspect_van_het_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Item) = ('576') or not(@Item)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Item MOET '576' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Table) = ('HL70078') or not(@Table)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Table MOET 'HL70078' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@LongName) = ('Abnormal Flags') or not(@LongName)">(OBX_segment_Aspect_van_het_materiaal): de waarde van LongName MOET 'Abnormal Flags' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.37
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.9
Item: (OBX_segment_Aspect_van_het_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Item) = ('577') or not(@Item)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Item MOET '577' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Type) = ('NM') or not(@Type)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@LongName) = ('Probability') or not(@LongName)">(OBX_segment_Aspect_van_het_materiaal): de waarde van LongName MOET 'Probability' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.9
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.37
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.10
Item: (OBX_segment_Aspect_van_het_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.10">
      <extends rule="d509249e0-false-d509255e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Item) = ('578') or not(@Item)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Item MOET '578' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Table) = ('HL70080') or not(@Table)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Table MOET 'HL70080' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@LongName) = ('Nature of Abnormal Test') or not(@LongName)">(OBX_segment_Aspect_van_het_materiaal): de waarde van LongName MOET 'Nature of Abnormal Test' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d509249e0-false-d509255e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.37
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.11
Item: (OBX_segment_Aspect_van_het_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.11">
      <extends rule="d509306e0-false-d509312e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Item) = ('579') or not(@Item)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Item MOET '579' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Table) = ('HL70085') or not(@Table)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Table MOET 'HL70085' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Result Status') or not(@LongName)">(OBX_segment_Aspect_van_het_materiaal): de waarde van LongName MOET 'Observation Result Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d509306e0-false-d509312e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.37
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.12
Item: (OBX_segment_Aspect_van_het_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.12">
      <extends rule="d509357e0-false-d509363e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Item) = ('580') or not(@Item)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Item MOET '580' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@LongName) = ('Effective Date of Reference Range') or not(@LongName)">(OBX_segment_Aspect_van_het_materiaal): de waarde van LongName MOET 'Effective Date of Reference Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d509357e0-false-d509363e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2">
      <extends rule="d509445e0-false-d509451e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d509445e0-false-d509451e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.37
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.13
Item: (OBX_segment_Aspect_van_het_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Item) = ('581') or not(@Item)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Item MOET '581' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@LongName) = ('User Defined Access Checks') or not(@LongName)">(OBX_segment_Aspect_van_het_materiaal): de waarde van LongName MOET 'User Defined Access Checks' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.13
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.37
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.14
Item: (OBX_segment_Aspect_van_het_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.14">
      <extends rule="d509537e0-false-d509543e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Item) = ('582') or not(@Item)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Item MOET '582' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Observation') or not(@LongName)">(OBX_segment_Aspect_van_het_materiaal): de waarde van LongName MOET 'Date/Time of the Observation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d509537e0-false-d509543e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2">
      <extends rule="d509625e0-false-d509631e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d509625e0-false-d509631e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.37
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.15
Item: (OBX_segment_Aspect_van_het_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.15">
      <extends rule="d509677e0-false-d509683e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Item) = ('583') or not(@Item)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Item MOET '583' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@LongName) = ('Producer''s ID') or not(@LongName)">(OBX_segment_Aspect_van_het_materiaal): de waarde van LongName MOET 'Producer''s ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.15
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d509677e0-false-d509683e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3">
      <extends rule="d509827e0-false-d509833e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d509827e0-false-d509833e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6">
      <extends rule="d509946e0-false-d509952e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d509946e0-false-d509952e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.37
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16
Item: (OBX_segment_Aspect_van_het_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16">
      <extends rule="d509998e0-false-d510004e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Item) = ('584') or not(@Item)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Item MOET '584' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@LongName) = ('Responsible Observer') or not(@LongName)">(OBX_segment_Aspect_van_het_materiaal): de waarde van LongName MOET 'Responsible Observer' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d509998e0-false-d510004e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2">
      <extends rule="d510227e0-false-d510233e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d510227e0-false-d510233e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9">
      <extends rule="d510689e0-false-d510695e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d510689e0-false-d510695e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d510824e0-false-d510830e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d510824e0-false-d510830e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10">
      <extends rule="d510876e0-false-d510882e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d510876e0-false-d510882e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12">
      <extends rule="d510961e0-false-d510967e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d510961e0-false-d510967e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13">
      <extends rule="d511012e0-false-d511018e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d511012e0-false-d511018e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14">
      <extends rule="d511057e0-false-d511063e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d511057e0-false-d511063e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d511192e0-false-d511198e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d511192e0-false-d511198e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15">
      <extends rule="d511244e0-false-d511250e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d511244e0-false-d511250e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16">
      <extends rule="d511295e0-false-d511301e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d511295e0-false-d511301e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d511445e0-false-d511451e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d511445e0-false-d511451e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d511564e0-false-d511570e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d511564e0-false-d511570e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17">
      <extends rule="d511610e0-false-d511616e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d511610e0-false-d511616e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d511658e0-false-d511664e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d511658e0-false-d511664e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d511746e0-false-d511752e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d511746e0-false-d511752e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d511792e0-false-d511798e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d511792e0-false-d511798e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d511880e0-false-d511886e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d511880e0-false-d511886e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18">
      <extends rule="d511933e0-false-d511939e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d511933e0-false-d511939e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19">
      <extends rule="d511978e0-false-d511984e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d511978e0-false-d511984e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d512066e0-false-d512072e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d512066e0-false-d512072e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20">
      <extends rule="d512112e0-false-d512118e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d512112e0-false-d512118e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d512200e0-false-d512206e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d512200e0-false-d512206e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22">
      <extends rule="d512280e0-false-d512286e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d512280e0-false-d512286e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d512451e0-false-d512457e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d512451e0-false-d512457e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d512570e0-false-d512576e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d512570e0-false-d512576e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23">
      <extends rule="d512718e0-false-d512724e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d512718e0-false-d512724e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d512889e0-false-d512895e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d512889e0-false-d512895e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d513008e0-false-d513014e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d513008e0-false-d513014e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.37
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.17
Item: (OBX_segment_Aspect_van_het_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.17">
      <extends rule="d513163e0-false-d513169e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Item) = ('936') or not(@Item)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Item MOET '936' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Method') or not(@LongName)">(OBX_segment_Aspect_van_het_materiaal): de waarde van LongName MOET 'Observation Method' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.17
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d513163e0-false-d513169e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3">
      <extends rule="d513313e0-false-d513319e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d513313e0-false-d513319e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6">
      <extends rule="d513432e0-false-d513438e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d513432e0-false-d513438e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.37
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.18
Item: (OBX_segment_Aspect_van_het_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.18">
      <extends rule="d513484e0-false-d513490e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Item) = ('1479') or not(@Item)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Item MOET '1479' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Type) = ('EI') or not(@Type)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@LongName) = ('Equipment Instance Identifier') or not(@LongName)">(OBX_segment_Aspect_van_het_materiaal): de waarde van LongName MOET 'Equipment Instance Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.18
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d513484e0-false-d513490e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4">
      <extends rule="d513660e0-false-d513666e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d513660e0-false-d513666e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.37
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.19
Item: (OBX_segment_Aspect_van_het_materiaal)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.19">
      <extends rule="d513712e0-false-d513718e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Item) = ('1480') or not(@Item)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Item MOET '1480' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Aspect_van_het_materiaal): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.37-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Analysis') or not(@LongName)">(OBX_segment_Aspect_van_het_materiaal): de waarde van LongName MOET 'Date/Time of the Analysis' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d513712e0-false-d513718e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2">
      <extends rule="d513800e0-false-d513806e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d513800e0-false-d513806e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER"
         id="d41e3386-false-d513825e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:SAC) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:SAC is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:SAC) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:SAC komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.1) &lt;= 1">(SAC_segment): element hl7v2:SAC.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.2) &lt;= 1">(SAC_segment): element hl7v2:SAC.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.3) &lt;= 1">(SAC_segment): element hl7v2:SAC.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.4) &lt;= 1">(SAC_segment): element hl7v2:SAC.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.5) &lt;= 1">(SAC_segment): element hl7v2:SAC.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.6) &lt;= 1">(SAC_segment): element hl7v2:SAC.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.7) &lt;= 1">(SAC_segment): element hl7v2:SAC.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.8) &lt;= 1">(SAC_segment): element hl7v2:SAC.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.9) &lt;= 1">(SAC_segment): element hl7v2:SAC.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.10) &lt;= 1">(SAC_segment): element hl7v2:SAC.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.11) &lt;= 1">(SAC_segment): element hl7v2:SAC.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.12) &lt;= 1">(SAC_segment): element hl7v2:SAC.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.13) &lt;= 1">(SAC_segment): element hl7v2:SAC.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.14) &lt;= 1">(SAC_segment): element hl7v2:SAC.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.16) &lt;= 1">(SAC_segment): element hl7v2:SAC.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.17) &lt;= 1">(SAC_segment): element hl7v2:SAC.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.18) &lt;= 1">(SAC_segment): element hl7v2:SAC.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.19) &lt;= 1">(SAC_segment): element hl7v2:SAC.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.20) &lt;= 1">(SAC_segment): element hl7v2:SAC.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.21) &lt;= 1">(SAC_segment): element hl7v2:SAC.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.22) &lt;= 1">(SAC_segment): element hl7v2:SAC.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.23) &lt;= 1">(SAC_segment): element hl7v2:SAC.23 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.24) &lt;= 1">(SAC_segment): element hl7v2:SAC.24 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.25) &lt;= 1">(SAC_segment): element hl7v2:SAC.25 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.26) &lt;= 1">(SAC_segment): element hl7v2:SAC.26 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.28) &lt;= 1">(SAC_segment): element hl7v2:SAC.28 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.29) &lt;= 1">(SAC_segment): element hl7v2:SAC.29 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.30) &lt;= 1">(SAC_segment): element hl7v2:SAC.30 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.31) &lt;= 1">(SAC_segment): element hl7v2:SAC.31 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.32) &lt;= 1">(SAC_segment): element hl7v2:SAC.32 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.33) &lt;= 1">(SAC_segment): element hl7v2:SAC.33 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.34) &lt;= 1">(SAC_segment): element hl7v2:SAC.34 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.35) &lt;= 1">(SAC_segment): element hl7v2:SAC.35 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.36) &lt;= 1">(SAC_segment): element hl7v2:SAC.36 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.37) &lt;= 1">(SAC_segment): element hl7v2:SAC.37 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.38) &lt;= 1">(SAC_segment): element hl7v2:SAC.38 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.39) &lt;= 1">(SAC_segment): element hl7v2:SAC.39 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="count(hl7v2:SAC.42) &lt;= 1">(SAC_segment): element hl7v2:SAC.42 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.1
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.1">
      <extends rule="d514174e0-false-d514180e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1329') or not(@Item)">(SAC_segment): de waarde van Item MOET '1329' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(SAC_segment): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('External Accession Identifier') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'External Accession Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d514174e0-false-d514180e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.1/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.1/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.1/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.1/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.1/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.1/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.1/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.1/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.1/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.1/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.1/hl7v2:EI.4">
      <extends rule="d514350e0-false-d514356e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.1/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d514350e0-false-d514356e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.2
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.2">
      <extends rule="d514402e0-false-d514408e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1330') or not(@Item)">(SAC_segment): de waarde van Item MOET '1330' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(SAC_segment): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Accession Identifier') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Accession Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d514402e0-false-d514408e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.2/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.2/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.2/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.2/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.2/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.2/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.2/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.2/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.2/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.2/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.2/hl7v2:EI.4">
      <extends rule="d514578e0-false-d514584e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.2/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d514578e0-false-d514584e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.3
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.3">
      <extends rule="d514630e0-false-d514636e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1331') or not(@Item)">(SAC_segment): de waarde van Item MOET '1331' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(SAC_segment): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Container Identifier') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Container Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d514630e0-false-d514636e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.3/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.3/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.3/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.3/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.3/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.3/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.3/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.3/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.3/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.3/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.3/hl7v2:EI.4">
      <extends rule="d514806e0-false-d514812e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.3/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d514806e0-false-d514812e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.4
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.4">
      <extends rule="d514858e0-false-d514864e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1332') or not(@Item)">(SAC_segment): de waarde van Item MOET '1332' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(SAC_segment): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Primary (parent) Container Identifier') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Primary (parent) Container Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d514858e0-false-d514864e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.4/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.4/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.4/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.4/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.4/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.4/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.4/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.4/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.4/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.4/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.4/hl7v2:EI.4">
      <extends rule="d515034e0-false-d515040e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.4/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d515034e0-false-d515040e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.5
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.5">
      <extends rule="d515086e0-false-d515092e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1333') or not(@Item)">(SAC_segment): de waarde van Item MOET '1333' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(SAC_segment): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Equipment Container Identifier') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Equipment Container Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.5
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d515086e0-false-d515092e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.5/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.5/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.5/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.5/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.5/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.5/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.5/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.5/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.5/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.5/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.5/hl7v2:EI.4">
      <extends rule="d515262e0-false-d515268e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.5/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d515262e0-false-d515268e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6">
      <extends rule="d515314e0-false-d515320e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('249') or not(@Item)">(SAC_segment): de waarde van Item MOET '249' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('SPS') or not(@Type)">(SAC_segment): de waarde van Type MOET 'SPS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Specimen Source') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Specimen Source' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.61
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6
Item: (SPS_datatype)
-->
   <rule fpi="RULC-1" id="d515314e0-false-d515320e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="count(hl7v2:SPS.1) &lt;= 1">(SPS_datatype): element hl7v2:SPS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="count(hl7v2:SPS.2) &lt;= 1">(SPS_datatype): element hl7v2:SPS.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="count(hl7v2:SPS.3) &lt;= 1">(SPS_datatype): element hl7v2:SPS.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="count(hl7v2:SPS.4) &lt;= 1">(SPS_datatype): element hl7v2:SPS.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="count(hl7v2:SPS.5) &lt;= 1">(SPS_datatype): element hl7v2:SPS.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="count(hl7v2:SPS.6) &lt;= 1">(SPS_datatype): element hl7v2:SPS.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="count(hl7v2:SPS.7) &lt;= 1">(SPS_datatype): element hl7v2:SPS.7 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.61
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.1
Item: (SPS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.1">
      <extends rule="d515397e0-false-d515403e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPS_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@LongName) = ('Specimen Source Name or Code') or not(@LongName)">(SPS_datatype): de waarde van LongName MOET 'Specimen Source Name or Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d515397e0-false-d515403e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.1/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.1/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.1/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.1/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.1/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.1/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.1/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.1/hl7v2:CWE.3">
      <extends rule="d515568e0-false-d515574e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.1/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d515568e0-false-d515574e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.1/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.1/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.1/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.1/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.1/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.1/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.1/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.1/hl7v2:CWE.6">
      <extends rule="d515687e0-false-d515693e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.1/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d515687e0-false-d515693e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.1/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.1/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.1/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.1/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.1/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.1/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.1/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.1/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.1/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.61
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.2
Item: (SPS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.2">
      <extends rule="d515841e0-false-d515847e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPS_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Table) = ('HL70371') or not(@Table)">(SPS_datatype): de waarde van Table MOET 'HL70371' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@LongName) = ('Additives') or not(@LongName)">(SPS_datatype): de waarde van LongName MOET 'Additives' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d515841e0-false-d515847e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.2/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.2/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.2/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.2/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.2/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.2/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.2/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.2/hl7v2:CWE.3">
      <extends rule="d516012e0-false-d516018e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.2/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d516012e0-false-d516018e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.2/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.2/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.2/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.2/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.2/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.2/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.2/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.2/hl7v2:CWE.6">
      <extends rule="d516131e0-false-d516137e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.2/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d516131e0-false-d516137e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.2/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.2/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.2/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.2/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.2/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.2/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.2/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.2/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.2/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.61
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.3
Item: (SPS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Type) = ('TX') or not(@Type)">(SPS_datatype): de waarde van Type MOET 'TX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@LongName) = ('Specimen Collection Method') or not(@LongName)">(SPS_datatype): de waarde van LongName MOET 'Specimen Collection Method' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.3
Item: (TX_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.3/hl7v2:escape
Item: (TX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.3/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.65-2013-02-10T000000.html"
              test="@V">(TX_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.3/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.3/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.3/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.3/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.3/hl7v2:escape/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.3/hl7v2:escape/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.61
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.4
Item: (SPS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.4">
      <extends rule="d516399e0-false-d516405e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPS_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Table) = ('HL70163') or not(@Table)">(SPS_datatype): de waarde van Table MOET 'HL70163' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@LongName) = ('Body Site') or not(@LongName)">(SPS_datatype): de waarde van LongName MOET 'Body Site' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d516399e0-false-d516405e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.4/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.4/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.4/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.4/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.4/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.4/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.4/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.4/hl7v2:CWE.3">
      <extends rule="d516570e0-false-d516576e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.4/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d516570e0-false-d516576e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.4/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.4/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.4/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.4/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.4/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.4/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.4/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.4/hl7v2:CWE.6">
      <extends rule="d516689e0-false-d516695e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.4/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d516689e0-false-d516695e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.4/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.4/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.4/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.4/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.4/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.4/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.4/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.4/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.4/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.61
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.5
Item: (SPS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.5">
      <extends rule="d516843e0-false-d516849e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPS_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Table) = ('HL70495') or not(@Table)">(SPS_datatype): de waarde van Table MOET 'HL70495' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@LongName) = ('Site Modifier') or not(@LongName)">(SPS_datatype): de waarde van LongName MOET 'Site Modifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d516843e0-false-d516849e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.5/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.5/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.5/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.5/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.5/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.5/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.5/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.5/hl7v2:CWE.3">
      <extends rule="d517014e0-false-d517020e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.5/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d517014e0-false-d517020e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.5/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.5/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.5/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.5/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.5/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.5/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.5/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.5/hl7v2:CWE.6">
      <extends rule="d517133e0-false-d517139e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.5/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d517133e0-false-d517139e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.5/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.5/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.5/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.5/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.5/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.5/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.5/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.5/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.5/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.61
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.6
Item: (SPS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.6">
      <extends rule="d517281e0-false-d517287e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPS_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@LongName) = ('Collection Method Modifier Code') or not(@LongName)">(SPS_datatype): de waarde van LongName MOET 'Collection Method Modifier Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d517281e0-false-d517287e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.6/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.6/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.6/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.6/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.6/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.6/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.6/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.6/hl7v2:CWE.3">
      <extends rule="d517452e0-false-d517458e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.6/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d517452e0-false-d517458e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.6/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.6/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.6/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.6/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.6/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.6/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.6/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.6/hl7v2:CWE.6">
      <extends rule="d517571e0-false-d517577e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.6/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d517571e0-false-d517577e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.6/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.6/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.6/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.6/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.6/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.6/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.6/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.6/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.6/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.61
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.7
Item: (SPS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.7">
      <extends rule="d517725e0-false-d517731e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPS_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Table) = ('HL70369') or not(@Table)">(SPS_datatype): de waarde van Table MOET 'HL70369' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@LongName) = ('Specimen Role') or not(@LongName)">(SPS_datatype): de waarde van LongName MOET 'Specimen Role' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d517725e0-false-d517731e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.7/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.7/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.7/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.7/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.7/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.7/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.7/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.7/hl7v2:CWE.3">
      <extends rule="d517896e0-false-d517902e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.7/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d517896e0-false-d517902e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.7/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.7/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.7/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.7/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.7/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.7/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.7/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.7/hl7v2:CWE.6">
      <extends rule="d518015e0-false-d518021e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.7/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d518015e0-false-d518021e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.7/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.7/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.7/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.7/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.7/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.7/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.7/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.7/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.6/hl7v2:SPS.7/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.7
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.7">
      <extends rule="d518170e0-false-d518176e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1334') or not(@Item)">(SAC_segment): de waarde van Item MOET '1334' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(SAC_segment): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Registration Date/Time') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Registration Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.7
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d518170e0-false-d518176e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.7/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.7/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.7/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.7/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.7/hl7v2:TS.2">
      <extends rule="d518258e0-false-d518264e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.7/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d518258e0-false-d518264e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.8
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.8">
      <extends rule="d518316e0-false-d518322e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1335') or not(@Item)">(SAC_segment): de waarde van Item MOET '1335' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(SAC_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Table) = ('HL70370') or not(@Table)">(SAC_segment): de waarde van Table MOET 'HL70370' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Container Status') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Container Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.8
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d518316e0-false-d518322e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.8/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.8/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.8/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.8/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.8/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.8/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.8/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.8/hl7v2:CE.3">
      <extends rule="d518466e0-false-d518472e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.8/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d518466e0-false-d518472e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.8/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.8/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.8/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.8/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.8/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.8/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.8/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.8/hl7v2:CE.6">
      <extends rule="d518585e0-false-d518591e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.8/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d518585e0-false-d518591e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.9
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.9">
      <extends rule="d518643e0-false-d518649e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1336') or not(@Item)">(SAC_segment): de waarde van Item MOET '1336' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(SAC_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Table) = ('HL70378') or not(@Table)">(SAC_segment): de waarde van Table MOET 'HL70378' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Carrier Type') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Carrier Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.9
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d518643e0-false-d518649e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.9/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.9/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.9/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.9/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.9/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.9/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.9/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.9/hl7v2:CE.3">
      <extends rule="d518793e0-false-d518799e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.9/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d518793e0-false-d518799e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.9/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.9/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.9/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.9/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.9/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.9/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.9/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.9/hl7v2:CE.6">
      <extends rule="d518912e0-false-d518918e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.9/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d518912e0-false-d518918e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.10
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.10">
      <extends rule="d518964e0-false-d518970e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1337') or not(@Item)">(SAC_segment): de waarde van Item MOET '1337' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(SAC_segment): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Carrier Identifier') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Carrier Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.10
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d518964e0-false-d518970e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.10/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.10/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.10/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.10/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.10/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.10/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.10/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.10/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.10/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.10/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.10/hl7v2:EI.4">
      <extends rule="d519140e0-false-d519146e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.10/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d519140e0-false-d519146e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.11
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.11">
      <extends rule="d519192e0-false-d519198e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1338') or not(@Item)">(SAC_segment): de waarde van Item MOET '1338' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('NA') or not(@Type)">(SAC_segment): de waarde van Type MOET 'NA' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Position in Carrier') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Position in Carrier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.37
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.11
Item: (NA_datatype)
-->
   <rule fpi="RULC-1" id="d519192e0-false-d519198e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.37-2013-02-10T000000.html"
              test="*[matches(local-name(),'^NA\.\d+$')]">(NA_datatype): Element names in the datatype NA SHALL conform to pattern 'NA.n' where n is an integer</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.37-2013-02-10T000000.html"
              test="*[. castable as xs:decimal]">(NA_datatype): Element values in the datatype NA SHALL be a valid NM - Numeric</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.37-2013-02-10T000000.html"
              test="count(hl7v2:NA.1) &gt;= 1">(NA_datatype): element hl7v2:NA.1 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.37-2013-02-10T000000.html"
              test="count(hl7v2:NA.1) &lt;= 1">(NA_datatype): element hl7v2:NA.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.37-2013-02-10T000000.html"
              test="count(hl7v2:NA.2) &lt;= 1">(NA_datatype): element hl7v2:NA.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.37-2013-02-10T000000.html"
              test="count(hl7v2:NA.3) &lt;= 1">(NA_datatype): element hl7v2:NA.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.37-2013-02-10T000000.html"
              test="count(hl7v2:NA.4) &lt;= 1">(NA_datatype): element hl7v2:NA.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.37
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.11/hl7v2:NA.1
Item: (NA_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.11/hl7v2:NA.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.37-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(NA_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.37-2013-02-10T000000.html"
              test="string(@LongName) = ('Value1') or not(@LongName)">(NA_datatype): de waarde van LongName MOET 'Value1' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.11/hl7v2:NA.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.37
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.11/hl7v2:NA.2
Item: (NA_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.11/hl7v2:NA.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.37-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(NA_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.37-2013-02-10T000000.html"
              test="string(@LongName) = ('Value2') or not(@LongName)">(NA_datatype): de waarde van LongName MOET 'Value2' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.11/hl7v2:NA.2
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.37
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.11/hl7v2:NA.3
Item: (NA_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.11/hl7v2:NA.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.37-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(NA_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.37-2013-02-10T000000.html"
              test="string(@LongName) = ('Value3') or not(@LongName)">(NA_datatype): de waarde van LongName MOET 'Value3' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.11/hl7v2:NA.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.37
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.11/hl7v2:NA.4
Item: (NA_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.11/hl7v2:NA.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.37-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(NA_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.37-2013-02-10T000000.html"
              test="string(@LongName) = ('Value4') or not(@LongName)">(NA_datatype): de waarde van LongName MOET 'Value4' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.11/hl7v2:NA.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.12
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.12">
      <extends rule="d519409e0-false-d519415e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1339') or not(@Item)">(SAC_segment): de waarde van Item MOET '1339' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(SAC_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Table) = ('HL70379') or not(@Table)">(SAC_segment): de waarde van Table MOET 'HL70379' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Tray Type - SAC') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Tray Type - SAC' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.12
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d519409e0-false-d519415e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.12/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.12/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.12/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.12/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.12/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.12/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.12/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.12/hl7v2:CE.3">
      <extends rule="d519559e0-false-d519565e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.12/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d519559e0-false-d519565e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.12/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.12/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.12/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.12/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.12/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.12/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.12/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.12/hl7v2:CE.6">
      <extends rule="d519678e0-false-d519684e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.12/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d519678e0-false-d519684e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.13
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.13">
      <extends rule="d519730e0-false-d519736e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1340') or not(@Item)">(SAC_segment): de waarde van Item MOET '1340' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(SAC_segment): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Tray Identifier') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Tray Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.13
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d519730e0-false-d519736e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.13/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.13/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.13/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.13/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.13/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.13/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.13/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.13/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.13/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.13/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.13/hl7v2:EI.4">
      <extends rule="d519906e0-false-d519912e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.13/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d519906e0-false-d519912e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.14
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.14">
      <extends rule="d519958e0-false-d519964e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1341') or not(@Item)">(SAC_segment): de waarde van Item MOET '1341' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('NA') or not(@Type)">(SAC_segment): de waarde van Type MOET 'NA' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Position in Tray') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Position in Tray' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.37
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.14
Item: (NA_datatype)
-->
   <rule fpi="RULC-1" id="d519958e0-false-d519964e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.37-2013-02-10T000000.html"
              test="*[matches(local-name(),'^NA\.\d+$')]">(NA_datatype): Element names in the datatype NA SHALL conform to pattern 'NA.n' where n is an integer</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.37-2013-02-10T000000.html"
              test="*[. castable as xs:decimal]">(NA_datatype): Element values in the datatype NA SHALL be a valid NM - Numeric</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.37-2013-02-10T000000.html"
              test="count(hl7v2:NA.1) &gt;= 1">(NA_datatype): element hl7v2:NA.1 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.37-2013-02-10T000000.html"
              test="count(hl7v2:NA.1) &lt;= 1">(NA_datatype): element hl7v2:NA.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.37-2013-02-10T000000.html"
              test="count(hl7v2:NA.2) &lt;= 1">(NA_datatype): element hl7v2:NA.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.37-2013-02-10T000000.html"
              test="count(hl7v2:NA.3) &lt;= 1">(NA_datatype): element hl7v2:NA.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.37-2013-02-10T000000.html"
              test="count(hl7v2:NA.4) &lt;= 1">(NA_datatype): element hl7v2:NA.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.37
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.14/hl7v2:NA.1
Item: (NA_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.14/hl7v2:NA.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.37-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(NA_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.37-2013-02-10T000000.html"
              test="string(@LongName) = ('Value1') or not(@LongName)">(NA_datatype): de waarde van LongName MOET 'Value1' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.14/hl7v2:NA.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.37
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.14/hl7v2:NA.2
Item: (NA_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.14/hl7v2:NA.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.37-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(NA_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.37-2013-02-10T000000.html"
              test="string(@LongName) = ('Value2') or not(@LongName)">(NA_datatype): de waarde van LongName MOET 'Value2' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.14/hl7v2:NA.2
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.37
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.14/hl7v2:NA.3
Item: (NA_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.14/hl7v2:NA.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.37-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(NA_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.37-2013-02-10T000000.html"
              test="string(@LongName) = ('Value3') or not(@LongName)">(NA_datatype): de waarde van LongName MOET 'Value3' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.14/hl7v2:NA.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.37
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.14/hl7v2:NA.4
Item: (NA_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.14/hl7v2:NA.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.37-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(NA_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.37-2013-02-10T000000.html"
              test="string(@LongName) = ('Value4') or not(@LongName)">(NA_datatype): de waarde van LongName MOET 'Value4' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.14/hl7v2:NA.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.15
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.15">
      <extends rule="d520169e0-false-d520175e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1342') or not(@Item)">(SAC_segment): de waarde van Item MOET '1342' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(SAC_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Location') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.15
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d520169e0-false-d520175e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.15/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.15/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.15/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.15/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.15/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.15/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.15/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.15/hl7v2:CE.3">
      <extends rule="d520319e0-false-d520325e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.15/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d520319e0-false-d520325e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.15/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.15/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.15/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.15/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.15/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.15/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.15/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.15/hl7v2:CE.6">
      <extends rule="d520438e0-false-d520444e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.15/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d520438e0-false-d520444e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.16
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.16">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1343') or not(@Item)">(SAC_segment): de waarde van Item MOET '1343' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(SAC_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Container Height') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Container Height' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.16
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.17
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.17">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1344') or not(@Item)">(SAC_segment): de waarde van Item MOET '1344' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(SAC_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Container Diameter') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Container Diameter' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.17
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.18
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.18">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1345') or not(@Item)">(SAC_segment): de waarde van Item MOET '1345' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(SAC_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Barrier Delta') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Barrier Delta' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.18
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.19
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.19">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1346') or not(@Item)">(SAC_segment): de waarde van Item MOET '1346' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(SAC_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Bottom Delta') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Bottom Delta' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.19
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.20
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.20">
      <extends rule="d520650e0-false-d520656e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1347') or not(@Item)">(SAC_segment): de waarde van Item MOET '1347' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(SAC_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Container Height/Diameter/Delta Units') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Container Height/Diameter/Delta Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.20
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d520650e0-false-d520656e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.20/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.20/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.20/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.20/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.20/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.20/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.20/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.20/hl7v2:CE.3">
      <extends rule="d520800e0-false-d520806e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.20/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d520800e0-false-d520806e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.20/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.20/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.20/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.20/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.20/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.20/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.20/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.20/hl7v2:CE.6">
      <extends rule="d520919e0-false-d520925e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.20/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d520919e0-false-d520925e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.21
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('644') or not(@Item)">(SAC_segment): de waarde van Item MOET '644' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(SAC_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Container Volume') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Container Volume' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.21
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.22
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.22">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1349') or not(@Item)">(SAC_segment): de waarde van Item MOET '1349' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(SAC_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Available Specimen Volume') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Available Specimen Volume' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.22
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.23
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.23">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1350') or not(@Item)">(SAC_segment): de waarde van Item MOET '1350' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(SAC_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Initial Specimen Volume') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Initial Specimen Volume' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.23
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.24
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.24">
      <extends rule="d521091e0-false-d521097e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1351') or not(@Item)">(SAC_segment): de waarde van Item MOET '1351' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(SAC_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Volume Units') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Volume Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.24
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d521091e0-false-d521097e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.24/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.24/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.24/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.24/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.24/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.24/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.24/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.24/hl7v2:CE.3">
      <extends rule="d521241e0-false-d521247e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.24/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d521241e0-false-d521247e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.24/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.24/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.24/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.24/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.24/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.24/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.24/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.24/hl7v2:CE.6">
      <extends rule="d521360e0-false-d521366e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.24/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d521360e0-false-d521366e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.25
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.25">
      <extends rule="d521418e0-false-d521424e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1352') or not(@Item)">(SAC_segment): de waarde van Item MOET '1352' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(SAC_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Table) = ('HL70380') or not(@Table)">(SAC_segment): de waarde van Table MOET 'HL70380' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Separator Type') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Separator Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.25
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d521418e0-false-d521424e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.25/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.25/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.25/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.25/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.25/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.25/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.25/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.25/hl7v2:CE.3">
      <extends rule="d521568e0-false-d521574e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.25/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d521568e0-false-d521574e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.25/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.25/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.25/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.25/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.25/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.25/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.25/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.25/hl7v2:CE.6">
      <extends rule="d521687e0-false-d521693e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.25/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d521687e0-false-d521693e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.26
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.26">
      <extends rule="d521745e0-false-d521751e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1353') or not(@Item)">(SAC_segment): de waarde van Item MOET '1353' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(SAC_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Table) = ('HL70381') or not(@Table)">(SAC_segment): de waarde van Table MOET 'HL70381' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Cap Type') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Cap Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.26
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d521745e0-false-d521751e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.26/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.26/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.26/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.26/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.26/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.26/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.26/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.26/hl7v2:CE.3">
      <extends rule="d521895e0-false-d521901e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.26/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d521895e0-false-d521901e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.26/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.26/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.26/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.26/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.26/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.26/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.26/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.26/hl7v2:CE.6">
      <extends rule="d522014e0-false-d522020e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.26/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d522014e0-false-d522020e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.27
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.27">
      <extends rule="d522072e0-false-d522078e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('647') or not(@Item)">(SAC_segment): de waarde van Item MOET '647' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SAC_segment): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Table) = ('HL70371') or not(@Table)">(SAC_segment): de waarde van Table MOET 'HL70371' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Additive') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Additive' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.27
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d522072e0-false-d522078e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.27/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.27/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.27/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.27/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.27/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.27/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.27/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.27/hl7v2:CWE.3">
      <extends rule="d522243e0-false-d522249e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.27/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d522243e0-false-d522249e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.27/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.27/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.27/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.27/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.27/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.27/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.27/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.27/hl7v2:CWE.6">
      <extends rule="d522362e0-false-d522368e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.27/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d522362e0-false-d522368e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.27/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.27/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.27/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.27/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.27/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.27/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.27/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.27/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.27/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.28
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.28">
      <extends rule="d522516e0-false-d522522e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1355') or not(@Item)">(SAC_segment): de waarde van Item MOET '1355' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(SAC_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Specimen Component') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Specimen Component' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.28
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d522516e0-false-d522522e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.28/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.28/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.28/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.28/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.28/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.28/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.28/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.28/hl7v2:CE.3">
      <extends rule="d522666e0-false-d522672e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.28/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d522666e0-false-d522672e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.28/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.28/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.28/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.28/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.28/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.28/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.28/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.28/hl7v2:CE.6">
      <extends rule="d522785e0-false-d522791e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.28/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d522785e0-false-d522791e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.29
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.29">
      <extends rule="d522837e0-false-d522843e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1356') or not(@Item)">(SAC_segment): de waarde van Item MOET '1356' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('SN') or not(@Type)">(SAC_segment): de waarde van Type MOET 'SN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Dilution Factor') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Dilution Factor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.29
Item: (SN_datatype)
-->
   <rule fpi="RULC-1" id="d522837e0-false-d522843e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.1) &lt;= 1">(SN_datatype): element hl7v2:SN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.2) &lt;= 1">(SN_datatype): element hl7v2:SN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.3) &lt;= 1">(SN_datatype): element hl7v2:SN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.4) &lt;= 1">(SN_datatype): element hl7v2:SN.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.29/hl7v2:SN.1
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.29/hl7v2:SN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Comparator') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Comparator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.29/hl7v2:SN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.29/hl7v2:SN.2
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.29/hl7v2:SN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(SN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Num1') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Num1' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.29/hl7v2:SN.2
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.29/hl7v2:SN.3
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.29/hl7v2:SN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Separator/Suffix') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Separator/Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.29/hl7v2:SN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.29/hl7v2:SN.4
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.29/hl7v2:SN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(SN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Num2') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Num2' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.29/hl7v2:SN.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.30
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.30">
      <extends rule="d523048e0-false-d523054e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1357') or not(@Item)">(SAC_segment): de waarde van Item MOET '1357' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(SAC_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Table) = ('HL70373') or not(@Table)">(SAC_segment): de waarde van Table MOET 'HL70373' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Treatment') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Treatment' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.30
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d523048e0-false-d523054e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.30/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.30/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.30/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.30/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.30/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.30/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.30/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.30/hl7v2:CE.3">
      <extends rule="d523198e0-false-d523204e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.30/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d523198e0-false-d523204e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.30/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.30/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.30/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.30/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.30/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.30/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.30/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.30/hl7v2:CE.6">
      <extends rule="d523317e0-false-d523323e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.30/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d523317e0-false-d523323e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.31
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.31">
      <extends rule="d523369e0-false-d523375e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1358') or not(@Item)">(SAC_segment): de waarde van Item MOET '1358' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('SN') or not(@Type)">(SAC_segment): de waarde van Type MOET 'SN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Temperature') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Temperature' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.31
Item: (SN_datatype)
-->
   <rule fpi="RULC-1" id="d523369e0-false-d523375e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.1) &lt;= 1">(SN_datatype): element hl7v2:SN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.2) &lt;= 1">(SN_datatype): element hl7v2:SN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.3) &lt;= 1">(SN_datatype): element hl7v2:SN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="count(hl7v2:SN.4) &lt;= 1">(SN_datatype): element hl7v2:SN.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.31/hl7v2:SN.1
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.31/hl7v2:SN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Comparator') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Comparator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.31/hl7v2:SN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.31/hl7v2:SN.2
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.31/hl7v2:SN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(SN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Num1') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Num1' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.31/hl7v2:SN.2
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.31/hl7v2:SN.3
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.31/hl7v2:SN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Separator/Suffix') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Separator/Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.31/hl7v2:SN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.59
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.31/hl7v2:SN.4
Item: (SN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.31/hl7v2:SN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(SN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.59-2013-02-10T000000.html"
              test="string(@LongName) = ('Num2') or not(@LongName)">(SN_datatype): de waarde van LongName MOET 'Num2' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.31/hl7v2:SN.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.32
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.32">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1359') or not(@Item)">(SAC_segment): de waarde van Item MOET '1359' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(SAC_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Hemolysis Index') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Hemolysis Index' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.32
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.33
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.33">
      <extends rule="d523614e0-false-d523620e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1360') or not(@Item)">(SAC_segment): de waarde van Item MOET '1360' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(SAC_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Hemolysis Index Units') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Hemolysis Index Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.33
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d523614e0-false-d523620e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.33/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.33/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.33/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.33/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.33/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.33/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.33/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.33/hl7v2:CE.3">
      <extends rule="d523764e0-false-d523770e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.33/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d523764e0-false-d523770e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.33/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.33/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.33/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.33/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.33/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.33/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.33/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.33/hl7v2:CE.6">
      <extends rule="d523883e0-false-d523889e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.33/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d523883e0-false-d523889e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.34
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.34">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1361') or not(@Item)">(SAC_segment): de waarde van Item MOET '1361' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(SAC_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Lipemia Index') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Lipemia Index' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.34
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.35
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.35">
      <extends rule="d523975e0-false-d523981e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1362') or not(@Item)">(SAC_segment): de waarde van Item MOET '1362' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(SAC_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Lipemia Index Units') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Lipemia Index Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.35
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d523975e0-false-d523981e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.35/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.35/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.35/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.35/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.35/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.35/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.35/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.35/hl7v2:CE.3">
      <extends rule="d524125e0-false-d524131e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.35/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d524125e0-false-d524131e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.35/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.35/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.35/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.35/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.35/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.35/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.35/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.35/hl7v2:CE.6">
      <extends rule="d524244e0-false-d524250e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.35/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d524244e0-false-d524250e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.36
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.36">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1363') or not(@Item)">(SAC_segment): de waarde van Item MOET '1363' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(SAC_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Icterus Index') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Icterus Index' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.36
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.37
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.37">
      <extends rule="d524336e0-false-d524342e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1364') or not(@Item)">(SAC_segment): de waarde van Item MOET '1364' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(SAC_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Icterus Index Units') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Icterus Index Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.37
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d524336e0-false-d524342e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.37/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.37/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.37/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.37/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.37/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.37/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.37/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.37/hl7v2:CE.3">
      <extends rule="d524486e0-false-d524492e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.37/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d524486e0-false-d524492e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.37/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.37/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.37/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.37/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.37/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.37/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.37/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.37/hl7v2:CE.6">
      <extends rule="d524605e0-false-d524611e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.37/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d524605e0-false-d524611e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.38
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.38">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1365') or not(@Item)">(SAC_segment): de waarde van Item MOET '1365' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(SAC_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Fibrin Index') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Fibrin Index' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.38
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.39
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.39">
      <extends rule="d524697e0-false-d524703e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1366') or not(@Item)">(SAC_segment): de waarde van Item MOET '1366' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(SAC_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Fibrin Index Units') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Fibrin Index Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.39
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d524697e0-false-d524703e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.39/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.39/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.39/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.39/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.39/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.39/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.39/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.39/hl7v2:CE.3">
      <extends rule="d524847e0-false-d524853e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.39/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d524847e0-false-d524853e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.39/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.39/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.39/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.39/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.39/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.39/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.39/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.39/hl7v2:CE.6">
      <extends rule="d524966e0-false-d524972e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.39/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d524966e0-false-d524972e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.40
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.40">
      <extends rule="d525024e0-false-d525030e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1367') or not(@Item)">(SAC_segment): de waarde van Item MOET '1367' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(SAC_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Table) = ('HL70374') or not(@Table)">(SAC_segment): de waarde van Table MOET 'HL70374' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('System Induced Contaminants') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'System Induced Contaminants' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.40
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d525024e0-false-d525030e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.40/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.40/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.40/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.40/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.40/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.40/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.40/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.40/hl7v2:CE.3">
      <extends rule="d525174e0-false-d525180e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.40/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d525174e0-false-d525180e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.40/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.40/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.40/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.40/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.40/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.40/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.40/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.40/hl7v2:CE.6">
      <extends rule="d525293e0-false-d525299e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.40/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d525293e0-false-d525299e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.41
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.41">
      <extends rule="d525351e0-false-d525357e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1368') or not(@Item)">(SAC_segment): de waarde van Item MOET '1368' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(SAC_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Table) = ('HL70382') or not(@Table)">(SAC_segment): de waarde van Table MOET 'HL70382' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Drug Interference') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Drug Interference' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.41
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d525351e0-false-d525357e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.41/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.41/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.41/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.41/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.41/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.41/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.41/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.41/hl7v2:CE.3">
      <extends rule="d525501e0-false-d525507e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.41/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d525501e0-false-d525507e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.41/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.41/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.41/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.41/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.41/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.41/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.41/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.41/hl7v2:CE.6">
      <extends rule="d525620e0-false-d525626e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.41/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d525620e0-false-d525626e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.42
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.42">
      <extends rule="d525678e0-false-d525684e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1369') or not(@Item)">(SAC_segment): de waarde van Item MOET '1369' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(SAC_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Table) = ('HL70375') or not(@Table)">(SAC_segment): de waarde van Table MOET 'HL70375' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Artificial Blood') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Artificial Blood' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.42
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d525678e0-false-d525684e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.42/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.42/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.42/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.42/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.42/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.42/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.42/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.42/hl7v2:CE.3">
      <extends rule="d525828e0-false-d525834e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.42/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d525828e0-false-d525834e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.42/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.42/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.42/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.42/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.42/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.42/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.42/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.42/hl7v2:CE.6">
      <extends rule="d525947e0-false-d525953e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.42/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d525947e0-false-d525953e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.43
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.43">
      <extends rule="d526005e0-false-d526011e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1370') or not(@Item)">(SAC_segment): de waarde van Item MOET '1370' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SAC_segment): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Table) = ('HL70376') or not(@Table)">(SAC_segment): de waarde van Table MOET 'HL70376' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Special Handling Code') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Special Handling Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.43
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d526005e0-false-d526011e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.43/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.43/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.43/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.43/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.43/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.43/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.43/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.43/hl7v2:CWE.3">
      <extends rule="d526176e0-false-d526182e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.43/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d526176e0-false-d526182e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.43/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.43/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.43/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.43/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.43/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.43/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.43/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.43/hl7v2:CWE.6">
      <extends rule="d526295e0-false-d526301e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.43/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d526295e0-false-d526301e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.43/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.43/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.43/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.43/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.43/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.43/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.43/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.43/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.43/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.133
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.44
Item: (SAC_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.44">
      <extends rule="d526455e0-false-d526461e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Item) = ('1371') or not(@Item)">(SAC_segment): de waarde van Item MOET '1371' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(SAC_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@Table) = ('HL70377') or not(@Table)">(SAC_segment): de waarde van Table MOET 'HL70377' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.133-2013-02-10T000000.html"
              test="string(@LongName) = ('Other Environmental Factors') or not(@LongName)">(SAC_segment): de waarde van LongName MOET 'Other Environmental Factors' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.44
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d526455e0-false-d526461e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.44/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.44/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.44/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.44/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.44/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.44/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.44/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.44/hl7v2:CE.3">
      <extends rule="d526605e0-false-d526611e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.44/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d526605e0-false-d526611e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.44/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.44/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.44/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.44/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.44/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.44/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.44/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.44/hl7v2:CE.6">
      <extends rule="d526724e0-false-d526730e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:SAC/hl7v2:SAC.44/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d526724e0-false-d526730e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.1) &lt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &lt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &gt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &lt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.4) &lt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.6) &lt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.7) &lt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.8) &lt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.9) &lt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &gt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.11 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &lt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.12) &lt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.13) &lt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.14) &lt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.15) &lt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.19) &lt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.19 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.1
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('569') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '569' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('SI') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Set ID - OBX') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Set ID - OBX' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.2
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.2">
      <extends rule="d526964e0-false-d526970e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('570') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '570' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Table) = ('HL70125') or not(@Table)">(OBX_segment_Lab2Lab_resultaat): de waarde van Table MOET 'HL70125' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Value Type') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Value Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d526964e0-false-d526970e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.3
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.3">
      <extends rule="d527015e0-false-d527021e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('571') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '571' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Identifier') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Observation Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d527015e0-false-d527021e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3">
      <extends rule="d527165e0-false-d527171e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d527165e0-false-d527171e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6">
      <extends rule="d527284e0-false-d527290e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d527284e0-false-d527290e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.4
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('572') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '572' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Sub-ID') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Observation Sub-ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.5
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('573') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '573' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('varies') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'varies' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Value') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Observation Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.67
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.5
Item: (varies_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.6
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.6">
      <extends rule="d527416e0-false-d527422e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('574') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '574' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d527416e0-false-d527422e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3">
      <extends rule="d527566e0-false-d527572e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d527566e0-false-d527572e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6">
      <extends rule="d527685e0-false-d527691e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d527685e0-false-d527691e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.7
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('575') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '575' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('References Range') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'References Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.8
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.8">
      <extends rule="d527797e0-false-d527803e0"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('576') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '576' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Table) = ('HL70078') or not(@Table)">(OBX_segment_Lab2Lab_resultaat): de waarde van Table MOET 'HL70078' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Abnormal Flags') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Abnormal Flags' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.8
Item: (IS_datatype)
-->
   <rule fpi="RULC-1" id="d527797e0-false-d527803e0" abstract="true">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.84-2013-02-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.1937.777.10.11.78-2015-09-04T000000.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(IS_datatype): de elementwaarde MOET een zijn van '2.16.840.1.113883.3.1937.777.10.11.78 Abnormal flags (2015-09-04T00:00:00)'.</assert>
      <report fpi="CD-DEPR-BSP"
              role="warning"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.84-2013-02-10T000000.html"
              test="exists(doc('include/voc-2.16.840.1.113883.3.1937.777.10.11.78-2015-09-04T000000.xml')//valueSet[1]/conceptList/concept[@type='D'][@code = $theCode][@codeSystem = $theCodeSystem])">(IS_datatype): element hl7v2:OBX.8 is gecodeerd met bindingssterkte 'required' en bevat een code die verouderd is.</report>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.9
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('577') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '577' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('NM') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Probability') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Probability' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.9
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.10
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.10">
      <extends rule="d527898e0-false-d527904e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('578') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '578' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Table) = ('HL70080') or not(@Table)">(OBX_segment_Lab2Lab_resultaat): de waarde van Table MOET 'HL70080' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Nature of Abnormal Test') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Nature of Abnormal Test' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d527898e0-false-d527904e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.11
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.11">
      <extends rule="d527955e0-false-d527961e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('579') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '579' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Table) = ('HL70085') or not(@Table)">(OBX_segment_Lab2Lab_resultaat): de waarde van Table MOET 'HL70085' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Result Status') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Observation Result Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d527955e0-false-d527961e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.12
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.12">
      <extends rule="d528006e0-false-d528012e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('580') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '580' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Effective Date of Reference Range') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Effective Date of Reference Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d528006e0-false-d528012e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2">
      <extends rule="d528094e0-false-d528100e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d528094e0-false-d528100e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.13
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('581') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '581' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('User Defined Access Checks') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'User Defined Access Checks' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.13
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.14
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.14">
      <extends rule="d528186e0-false-d528192e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('582') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '582' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Observation') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Date/Time of the Observation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d528186e0-false-d528192e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2">
      <extends rule="d528274e0-false-d528280e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d528274e0-false-d528280e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.15
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.15">
      <extends rule="d528326e0-false-d528332e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('583') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '583' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Producer''s ID') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Producer''s ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.15
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d528326e0-false-d528332e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3">
      <extends rule="d528476e0-false-d528482e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d528476e0-false-d528482e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6">
      <extends rule="d528595e0-false-d528601e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d528595e0-false-d528601e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16">
      <extends rule="d528647e0-false-d528653e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('584') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '584' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Responsible Observer') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Responsible Observer' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d528647e0-false-d528653e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2">
      <extends rule="d528876e0-false-d528882e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d528876e0-false-d528882e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9">
      <extends rule="d529338e0-false-d529344e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d529338e0-false-d529344e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d529473e0-false-d529479e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d529473e0-false-d529479e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10">
      <extends rule="d529525e0-false-d529531e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d529525e0-false-d529531e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12">
      <extends rule="d529610e0-false-d529616e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d529610e0-false-d529616e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13">
      <extends rule="d529661e0-false-d529667e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d529661e0-false-d529667e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14">
      <extends rule="d529706e0-false-d529712e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d529706e0-false-d529712e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d529841e0-false-d529847e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d529841e0-false-d529847e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15">
      <extends rule="d529893e0-false-d529899e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d529893e0-false-d529899e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16">
      <extends rule="d529944e0-false-d529950e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d529944e0-false-d529950e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d530094e0-false-d530100e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d530094e0-false-d530100e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d530213e0-false-d530219e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d530213e0-false-d530219e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17">
      <extends rule="d530259e0-false-d530265e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d530259e0-false-d530265e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d530307e0-false-d530313e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d530307e0-false-d530313e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d530395e0-false-d530401e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d530395e0-false-d530401e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d530441e0-false-d530447e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d530441e0-false-d530447e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d530529e0-false-d530535e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d530529e0-false-d530535e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18">
      <extends rule="d530582e0-false-d530588e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d530582e0-false-d530588e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19">
      <extends rule="d530627e0-false-d530633e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d530627e0-false-d530633e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d530715e0-false-d530721e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d530715e0-false-d530721e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20">
      <extends rule="d530761e0-false-d530767e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d530761e0-false-d530767e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d530849e0-false-d530855e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d530849e0-false-d530855e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22">
      <extends rule="d530929e0-false-d530935e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d530929e0-false-d530935e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d531100e0-false-d531106e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d531100e0-false-d531106e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d531219e0-false-d531225e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d531219e0-false-d531225e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23">
      <extends rule="d531367e0-false-d531373e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d531367e0-false-d531373e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d531538e0-false-d531544e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d531538e0-false-d531544e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d531657e0-false-d531663e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d531657e0-false-d531663e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.17
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.17">
      <extends rule="d531812e0-false-d531818e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('936') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '936' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Method') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Observation Method' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.17
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d531812e0-false-d531818e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3">
      <extends rule="d531962e0-false-d531968e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d531962e0-false-d531968e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6">
      <extends rule="d532081e0-false-d532087e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d532081e0-false-d532087e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.18
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.18">
      <extends rule="d532133e0-false-d532139e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('1479') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '1479' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('EI') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Equipment Instance Identifier') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Equipment Instance Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.18
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d532133e0-false-d532139e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4">
      <extends rule="d532309e0-false-d532315e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d532309e0-false-d532315e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.19
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.19">
      <extends rule="d532361e0-false-d532367e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('1480') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '1480' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Analysis') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Date/Time of the Analysis' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d532361e0-false-d532367e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2">
      <extends rule="d532449e0-false-d532455e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.SPECIMEN/hl7v2:OML_O21.CONTAINER/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d532449e0-false-d532455e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT"
         id="d41e3394-false-d532474e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OML_O21.PATIENT_PRIOR) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OML_O21.PATIENT_PRIOR komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OML_O21.PATIENT_VISIT_PRIOR) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OML_O21.PATIENT_VISIT_PRIOR komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OML_O21.ORDER_PRIOR) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:OML_O21.ORDER_PRIOR is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR"
         id="d41e3403-false-d532505e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:PID) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:PID is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:PID) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:PID komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:PD1) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:PD1 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.1) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.2) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.3) &gt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.5) &gt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.5 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.7) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.8) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.12) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.15) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.16) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.17) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.18) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.19) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.20) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.23) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.23 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.24) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.24 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.25) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.25 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.27) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.27 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.28) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.28 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.29) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.29 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.30) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.30 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.31) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.31 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.33) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.33 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.34) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.34 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.35) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.35 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.36) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.36 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.37) &lt;= 1">(PID_segment_Lab_algemeen): element hl7v2:PID.37 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="count(hl7v2:PID.38) &lt;= 2">(PID_segment_Lab_algemeen): element hl7v2:PID.38 komt te vaak voor [max 2x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.1
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('104') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '104' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('SI') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Set ID - PID') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Set ID - PID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2">
      <extends rule="d532836e0-false-d532842e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('105') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '105' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CX') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Patient ID') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Patient ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d532836e0-false-d532842e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.3">
      <extends rule="d533014e0-false-d533020e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d533014e0-false-d533020e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.4">
      <extends rule="d533065e0-false-d533071e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d533065e0-false-d533071e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d533200e0-false-d533206e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d533200e0-false-d533206e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.5">
      <extends rule="d533252e0-false-d533258e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d533252e0-false-d533258e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.6">
      <extends rule="d533297e0-false-d533303e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d533297e0-false-d533303e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d533432e0-false-d533438e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d533432e0-false-d533438e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9">
      <extends rule="d533546e0-false-d533552e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d533546e0-false-d533552e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d533717e0-false-d533723e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d533717e0-false-d533723e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d533836e0-false-d533842e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d533836e0-false-d533842e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10">
      <extends rule="d533984e0-false-d533990e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d533984e0-false-d533990e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d534155e0-false-d534161e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d534155e0-false-d534161e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d534274e0-false-d534280e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d534274e0-false-d534280e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.2/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3">
      <extends rule="d534429e0-false-d534435e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('106') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '106' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CX') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Patient Identifier List') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Patient Identifier List' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d534429e0-false-d534435e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.3">
      <extends rule="d534607e0-false-d534613e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d534607e0-false-d534613e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.4">
      <extends rule="d534658e0-false-d534664e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d534658e0-false-d534664e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d534793e0-false-d534799e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d534793e0-false-d534799e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.5">
      <extends rule="d534845e0-false-d534851e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d534845e0-false-d534851e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.6">
      <extends rule="d534890e0-false-d534896e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d534890e0-false-d534896e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d535025e0-false-d535031e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d535025e0-false-d535031e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9">
      <extends rule="d535139e0-false-d535145e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d535139e0-false-d535145e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d535310e0-false-d535316e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d535310e0-false-d535316e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d535429e0-false-d535435e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d535429e0-false-d535435e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10">
      <extends rule="d535577e0-false-d535583e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d535577e0-false-d535583e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d535748e0-false-d535754e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d535748e0-false-d535754e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d535867e0-false-d535873e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d535867e0-false-d535873e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.3/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4">
      <extends rule="d536022e0-false-d536028e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('107') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '107' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CX') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Alternate Patient ID - PID') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Alternate Patient ID - PID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d536022e0-false-d536028e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.3">
      <extends rule="d536200e0-false-d536206e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d536200e0-false-d536206e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.4">
      <extends rule="d536251e0-false-d536257e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d536251e0-false-d536257e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d536386e0-false-d536392e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d536386e0-false-d536392e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.5">
      <extends rule="d536438e0-false-d536444e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d536438e0-false-d536444e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.6">
      <extends rule="d536483e0-false-d536489e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d536483e0-false-d536489e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d536618e0-false-d536624e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d536618e0-false-d536624e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9">
      <extends rule="d536732e0-false-d536738e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d536732e0-false-d536738e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d536903e0-false-d536909e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d536903e0-false-d536909e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d537022e0-false-d537028e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d537022e0-false-d537028e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10">
      <extends rule="d537170e0-false-d537176e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d537170e0-false-d537176e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d537341e0-false-d537347e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d537341e0-false-d537347e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d537460e0-false-d537466e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d537460e0-false-d537466e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.4/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5">
      <extends rule="d537615e0-false-d537621e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('108') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '108' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('XPN') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'XPN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Patient Name') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Patient Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1" id="d537615e0-false-d537621e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.1) &lt;= 1">(XPN_datatype): element hl7v2:XPN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.2) &lt;= 1">(XPN_datatype): element hl7v2:XPN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.3) &lt;= 1">(XPN_datatype): element hl7v2:XPN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.4) &lt;= 1">(XPN_datatype): element hl7v2:XPN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.5) &lt;= 1">(XPN_datatype): element hl7v2:XPN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.6) &lt;= 1">(XPN_datatype): element hl7v2:XPN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.7) &lt;= 1">(XPN_datatype): element hl7v2:XPN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.8) &lt;= 1">(XPN_datatype): element hl7v2:XPN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.9) &lt;= 1">(XPN_datatype): element hl7v2:XPN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.10) &lt;= 1">(XPN_datatype): element hl7v2:XPN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.11) &lt;= 1">(XPN_datatype): element hl7v2:XPN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.12) &lt;= 1">(XPN_datatype): element hl7v2:XPN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.13) &lt;= 1">(XPN_datatype): element hl7v2:XPN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.14) &lt;= 1">(XPN_datatype): element hl7v2:XPN.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1">
      <extends rule="d537747e0-false-d537753e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d537747e0-false-d537753e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.1/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.2
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.3
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.4
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.5
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.6
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.7
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.7">
      <extends rule="d538169e0-false-d538175e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d538169e0-false-d538175e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.8
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.8">
      <extends rule="d538220e0-false-d538226e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.8
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d538220e0-false-d538226e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9">
      <extends rule="d538271e0-false-d538277e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d538271e0-false-d538277e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.3">
      <extends rule="d538421e0-false-d538427e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d538421e0-false-d538427e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.6">
      <extends rule="d538540e0-false-d538546e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.9/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d538540e0-false-d538546e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10">
      <extends rule="d538586e0-false-d538592e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d538586e0-false-d538592e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.1">
      <extends rule="d538634e0-false-d538640e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d538634e0-false-d538640e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d538722e0-false-d538728e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d538722e0-false-d538728e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.2">
      <extends rule="d538768e0-false-d538774e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d538768e0-false-d538774e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d538856e0-false-d538862e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d538856e0-false-d538862e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.11
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.11">
      <extends rule="d538909e0-false-d538915e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d538909e0-false-d538915e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.12
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.12">
      <extends rule="d538954e0-false-d538960e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d538954e0-false-d538960e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.12/hl7v2:TS.2">
      <extends rule="d539042e0-false-d539048e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d539042e0-false-d539048e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.13
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.13">
      <extends rule="d539088e0-false-d539094e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d539088e0-false-d539094e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.13/hl7v2:TS.2">
      <extends rule="d539176e0-false-d539182e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d539176e0-false-d539182e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.14
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.5/hl7v2:XPN.14
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6">
      <extends rule="d539263e0-false-d539269e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('109') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '109' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('XPN') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'XPN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Mother''s Maiden Name') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Mother''s Maiden Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1" id="d539263e0-false-d539269e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.1) &lt;= 1">(XPN_datatype): element hl7v2:XPN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.2) &lt;= 1">(XPN_datatype): element hl7v2:XPN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.3) &lt;= 1">(XPN_datatype): element hl7v2:XPN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.4) &lt;= 1">(XPN_datatype): element hl7v2:XPN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.5) &lt;= 1">(XPN_datatype): element hl7v2:XPN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.6) &lt;= 1">(XPN_datatype): element hl7v2:XPN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.7) &lt;= 1">(XPN_datatype): element hl7v2:XPN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.8) &lt;= 1">(XPN_datatype): element hl7v2:XPN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.9) &lt;= 1">(XPN_datatype): element hl7v2:XPN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.10) &lt;= 1">(XPN_datatype): element hl7v2:XPN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.11) &lt;= 1">(XPN_datatype): element hl7v2:XPN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.12) &lt;= 1">(XPN_datatype): element hl7v2:XPN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.13) &lt;= 1">(XPN_datatype): element hl7v2:XPN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.14) &lt;= 1">(XPN_datatype): element hl7v2:XPN.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1">
      <extends rule="d539395e0-false-d539401e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d539395e0-false-d539401e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.1/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.2
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.3
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.4
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.5
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.6
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.7
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.7">
      <extends rule="d539817e0-false-d539823e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d539817e0-false-d539823e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.8
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.8">
      <extends rule="d539868e0-false-d539874e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.8
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d539868e0-false-d539874e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9">
      <extends rule="d539919e0-false-d539925e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d539919e0-false-d539925e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.3">
      <extends rule="d540069e0-false-d540075e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d540069e0-false-d540075e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.6">
      <extends rule="d540188e0-false-d540194e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.9/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d540188e0-false-d540194e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10">
      <extends rule="d540234e0-false-d540240e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d540234e0-false-d540240e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.1">
      <extends rule="d540282e0-false-d540288e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d540282e0-false-d540288e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d540370e0-false-d540376e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d540370e0-false-d540376e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.2">
      <extends rule="d540416e0-false-d540422e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d540416e0-false-d540422e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d540504e0-false-d540510e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d540504e0-false-d540510e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.11
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.11">
      <extends rule="d540557e0-false-d540563e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d540557e0-false-d540563e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.12
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.12">
      <extends rule="d540602e0-false-d540608e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d540602e0-false-d540608e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.12/hl7v2:TS.2">
      <extends rule="d540690e0-false-d540696e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d540690e0-false-d540696e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.13
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.13">
      <extends rule="d540736e0-false-d540742e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d540736e0-false-d540742e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.13/hl7v2:TS.2">
      <extends rule="d540824e0-false-d540830e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d540824e0-false-d540830e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.14
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.6/hl7v2:XPN.14
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.7
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.7">
      <extends rule="d540911e0-false-d540917e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('110') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '110' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('TS') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Date/Time of Birth') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Date/Time of Birth' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.7
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d540911e0-false-d540917e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.7/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.7/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.7/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.7/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.7/hl7v2:TS.2">
      <extends rule="d540999e0-false-d541005e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.7/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d540999e0-false-d541005e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.8
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.8">
      <extends rule="d541066e0-false-d541072e0"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('111') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '111' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('IS') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70001') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70001' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Administrative Sex') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Administrative Sex' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.8
Item: (IS_datatype)
-->
   <rule fpi="RULC-1" id="d541066e0-false-d541072e0" abstract="true">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.84-2013-02-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.1937.777.10.11.1-2013-02-10T000000.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(IS_datatype): de elementwaarde MOET een zijn van '2.16.840.1.113883.3.1937.777.10.11.1 Administrative Sex (2013-02-10T00:00:00)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9">
      <extends rule="d541116e0-false-d541122e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('112') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '112' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('XPN') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'XPN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Patient Alias') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Patient Alias' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1" id="d541116e0-false-d541122e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.1) &lt;= 1">(XPN_datatype): element hl7v2:XPN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.2) &lt;= 1">(XPN_datatype): element hl7v2:XPN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.3) &lt;= 1">(XPN_datatype): element hl7v2:XPN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.4) &lt;= 1">(XPN_datatype): element hl7v2:XPN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.5) &lt;= 1">(XPN_datatype): element hl7v2:XPN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.6) &lt;= 1">(XPN_datatype): element hl7v2:XPN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.7) &lt;= 1">(XPN_datatype): element hl7v2:XPN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.8) &lt;= 1">(XPN_datatype): element hl7v2:XPN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.9) &lt;= 1">(XPN_datatype): element hl7v2:XPN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.10) &lt;= 1">(XPN_datatype): element hl7v2:XPN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.11) &lt;= 1">(XPN_datatype): element hl7v2:XPN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.12) &lt;= 1">(XPN_datatype): element hl7v2:XPN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.13) &lt;= 1">(XPN_datatype): element hl7v2:XPN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="count(hl7v2:XPN.14) &lt;= 1">(XPN_datatype): element hl7v2:XPN.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1">
      <extends rule="d541248e0-false-d541254e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d541248e0-false-d541254e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.1/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.2
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.3
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.4
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.5
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.6
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.7
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.7">
      <extends rule="d541670e0-false-d541676e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d541670e0-false-d541676e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.8
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.8">
      <extends rule="d541721e0-false-d541727e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.8
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d541721e0-false-d541727e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9">
      <extends rule="d541772e0-false-d541778e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d541772e0-false-d541778e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.3">
      <extends rule="d541922e0-false-d541928e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d541922e0-false-d541928e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.6">
      <extends rule="d542041e0-false-d542047e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.9/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d542041e0-false-d542047e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10">
      <extends rule="d542087e0-false-d542093e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d542087e0-false-d542093e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.1">
      <extends rule="d542135e0-false-d542141e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d542135e0-false-d542141e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d542223e0-false-d542229e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d542223e0-false-d542229e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.2">
      <extends rule="d542269e0-false-d542275e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d542269e0-false-d542275e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d542357e0-false-d542363e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.10/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d542357e0-false-d542363e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.11
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.11">
      <extends rule="d542410e0-false-d542416e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XPN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d542410e0-false-d542416e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.12
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.12">
      <extends rule="d542455e0-false-d542461e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d542455e0-false-d542461e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.12/hl7v2:TS.2">
      <extends rule="d542543e0-false-d542549e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d542543e0-false-d542549e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.13
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.13">
      <extends rule="d542589e0-false-d542595e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d542589e0-false-d542595e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.13/hl7v2:TS.2">
      <extends rule="d542677e0-false-d542683e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d542677e0-false-d542683e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.76
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.14
Item: (XPN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XPN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.76-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XPN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.9/hl7v2:XPN.14
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.10
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.10">
      <extends rule="d542770e0-false-d542776e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('113') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '113' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CE') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70005') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70005' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Race') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Race' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.10
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d542770e0-false-d542776e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.3">
      <extends rule="d542920e0-false-d542926e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d542920e0-false-d542926e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.6">
      <extends rule="d543039e0-false-d543045e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.10/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d543039e0-false-d543045e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11">
      <extends rule="d543091e0-false-d543097e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('114') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '114' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('XAD') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'XAD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Patient Address') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Patient Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1" id="d543091e0-false-d543097e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.1) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.2) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.3) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.4) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.5) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.6) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.7) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.8) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.9) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.10) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.11) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.12) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.13) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.14) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.1
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.1">
      <extends rule="d543223e0-false-d543229e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('SAD') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'SAD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Street Address') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Street Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.1
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1" id="d543223e0-false-d543229e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.1) &lt;= 1">(SAD_datatype): element hl7v2:SAD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.2) &lt;= 1">(SAD_datatype): element hl7v2:SAD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.3) &lt;= 1">(SAD_datatype): element hl7v2:SAD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.1/hl7v2:SAD.1
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.1/hl7v2:SAD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Street or Mailing Address') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Street or Mailing Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.1/hl7v2:SAD.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.1/hl7v2:SAD.2
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.1/hl7v2:SAD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Street Name') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Street Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.1/hl7v2:SAD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.1/hl7v2:SAD.3
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.1/hl7v2:SAD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Dwelling Number') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Dwelling Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.1/hl7v2:SAD.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.2
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Other Designation') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Other Designation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.3
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('City') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'City' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.4
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('State or Province') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'State or Province' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.5
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Zip or Postal Code') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Zip or Postal Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.6
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.6">
      <extends rule="d543523e0-false-d543529e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70399') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70399' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Country') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Country' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d543523e0-false-d543529e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.7
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.7">
      <extends rule="d543585e0-false-d543591e0"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70190') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70190' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Address Type') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Address Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d543585e0-false-d543591e0" abstract="true">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.25.11.409-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ID_datatype): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.25.11.409 Adrestype HL7v2 NL (DYNAMISCH)'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.8
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Other Geographic Designation') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Other Geographic Designation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.9
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('IS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70289') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70289' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('County/Parish Code') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'County/Parish Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.10
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('IS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70288') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70288' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Census Tract') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Census Tract' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.10
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.11
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.11">
      <extends rule="d543761e0-false-d543767e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Address Representation Code') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Address Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d543761e0-false-d543767e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12">
      <extends rule="d543806e0-false-d543812e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('DR') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Address Validity Range') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Address Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d543806e0-false-d543812e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.1">
      <extends rule="d543854e0-false-d543860e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d543854e0-false-d543860e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d543942e0-false-d543948e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d543942e0-false-d543948e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.2">
      <extends rule="d543988e0-false-d543994e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d543988e0-false-d543994e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d544076e0-false-d544082e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d544076e0-false-d544082e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.13
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.13">
      <extends rule="d544123e0-false-d544129e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('TS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d544123e0-false-d544129e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.13/hl7v2:TS.2">
      <extends rule="d544211e0-false-d544217e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d544211e0-false-d544217e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.14
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.14">
      <extends rule="d544257e0-false-d544263e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('TS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d544257e0-false-d544263e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.14/hl7v2:TS.2">
      <extends rule="d544345e0-false-d544351e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.11/hl7v2:XAD.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d544345e0-false-d544351e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.12
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('115') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '115' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('IS') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70289') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70289' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('County Code') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'County Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.12
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13">
      <extends rule="d544444e0-false-d544450e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('116') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '116' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('XTN') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'XTN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Phone Number - Home') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Phone Number - Home' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" id="d544444e0-false-d544450e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.1) &lt;= 1">(XTN_datatype): element hl7v2:XTN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.2) &lt;= 1">(XTN_datatype): element hl7v2:XTN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.3) &lt;= 1">(XTN_datatype): element hl7v2:XTN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.4) &lt;= 1">(XTN_datatype): element hl7v2:XTN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.5) &lt;= 1">(XTN_datatype): element hl7v2:XTN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.6) &lt;= 1">(XTN_datatype): element hl7v2:XTN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.7) &lt;= 1">(XTN_datatype): element hl7v2:XTN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.8) &lt;= 1">(XTN_datatype): element hl7v2:XTN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.9) &lt;= 1">(XTN_datatype): element hl7v2:XTN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.10) &lt;= 1">(XTN_datatype): element hl7v2:XTN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.11) &lt;= 1">(XTN_datatype): element hl7v2:XTN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.12) &lt;= 1">(XTN_datatype): element hl7v2:XTN.12 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.1
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telephone Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telephone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.2
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.2">
      <extends rule="d544602e0-false-d544608e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70201') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70201' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Use Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Use Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d544602e0-false-d544608e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.3
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.3">
      <extends rule="d544653e0-false-d544659e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70202') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70202' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Equipment Type') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Equipment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d544653e0-false-d544659e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.4
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Email Address') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Email Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.5
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Country Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Country Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.6
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Area/City Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Area/City Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.6
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.7
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Local Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Local Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.7
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.8
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.8
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.9
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Any Text') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Any Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.10
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension Prefix') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.11
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Speed Dial Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Speed Dial Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.12
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Unformatted Telephone number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Unformatted Telephone number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.13/hl7v2:XTN.12
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14">
      <extends rule="d545011e0-false-d545017e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('117') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '117' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('XTN') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'XTN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Phone Number - Business') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Phone Number - Business' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" id="d545011e0-false-d545017e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.1) &lt;= 1">(XTN_datatype): element hl7v2:XTN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.2) &lt;= 1">(XTN_datatype): element hl7v2:XTN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.3) &lt;= 1">(XTN_datatype): element hl7v2:XTN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.4) &lt;= 1">(XTN_datatype): element hl7v2:XTN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.5) &lt;= 1">(XTN_datatype): element hl7v2:XTN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.6) &lt;= 1">(XTN_datatype): element hl7v2:XTN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.7) &lt;= 1">(XTN_datatype): element hl7v2:XTN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.8) &lt;= 1">(XTN_datatype): element hl7v2:XTN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.9) &lt;= 1">(XTN_datatype): element hl7v2:XTN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.10) &lt;= 1">(XTN_datatype): element hl7v2:XTN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.11) &lt;= 1">(XTN_datatype): element hl7v2:XTN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.12) &lt;= 1">(XTN_datatype): element hl7v2:XTN.12 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.1
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telephone Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telephone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.2
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.2">
      <extends rule="d545169e0-false-d545175e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70201') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70201' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Use Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Use Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d545169e0-false-d545175e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.3
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.3">
      <extends rule="d545220e0-false-d545226e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70202') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70202' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Equipment Type') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Equipment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d545220e0-false-d545226e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.4
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Email Address') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Email Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.5
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Country Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Country Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.6
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Area/City Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Area/City Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.6
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.7
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Local Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Local Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.7
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.8
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.8
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.9
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Any Text') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Any Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.10
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension Prefix') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.11
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Speed Dial Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Speed Dial Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.12
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Unformatted Telephone number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Unformatted Telephone number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.14/hl7v2:XTN.12
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.15
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.15">
      <extends rule="d545584e0-false-d545590e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('118') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '118' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CE') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70296') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70296' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Primary Language') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Primary Language' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.15
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d545584e0-false-d545590e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.3">
      <extends rule="d545734e0-false-d545740e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d545734e0-false-d545740e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.6">
      <extends rule="d545853e0-false-d545859e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.15/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d545853e0-false-d545859e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.16
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.16">
      <extends rule="d545911e0-false-d545917e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('119') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '119' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CE') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70002') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70002' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Marital Status') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Marital Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d545911e0-false-d545917e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.3">
      <extends rule="d546061e0-false-d546067e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d546061e0-false-d546067e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.6">
      <extends rule="d546180e0-false-d546186e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d546180e0-false-d546186e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.17
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.17">
      <extends rule="d546238e0-false-d546244e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('120') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '120' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CE') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70006') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70006' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Religion') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Religion' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.17
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d546238e0-false-d546244e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.3">
      <extends rule="d546388e0-false-d546394e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d546388e0-false-d546394e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.6">
      <extends rule="d546507e0-false-d546513e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.17/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d546507e0-false-d546513e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18">
      <extends rule="d546559e0-false-d546565e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('121') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '121' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CX') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Patient Account Number') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Patient Account Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d546559e0-false-d546565e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.3">
      <extends rule="d546737e0-false-d546743e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d546737e0-false-d546743e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.4">
      <extends rule="d546788e0-false-d546794e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d546788e0-false-d546794e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d546923e0-false-d546929e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d546923e0-false-d546929e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.5">
      <extends rule="d546975e0-false-d546981e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d546975e0-false-d546981e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.6">
      <extends rule="d547020e0-false-d547026e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d547020e0-false-d547026e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d547155e0-false-d547161e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d547155e0-false-d547161e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9">
      <extends rule="d547269e0-false-d547275e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d547269e0-false-d547275e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d547440e0-false-d547446e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d547440e0-false-d547446e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d547559e0-false-d547565e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d547559e0-false-d547565e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10">
      <extends rule="d547707e0-false-d547713e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d547707e0-false-d547713e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d547878e0-false-d547884e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d547878e0-false-d547884e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d547997e0-false-d548003e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d547997e0-false-d548003e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.18/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.19
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.19">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('122') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '122' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('ST') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('SSN Number - Patient') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'SSN Number - Patient' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.19
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.20
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.20">
      <extends rule="d548192e0-false-d548198e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('123') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '123' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('DLN') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'DLN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Driver''s License Number - Patient') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Driver''s License Number - Patient' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.16
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.20
Item: (DLN_datatype)
-->
   <rule fpi="RULC-1" id="d548192e0-false-d548198e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.16-2013-02-10T000000.html"
              test="count(hl7v2:DLN.1) &lt;= 1">(DLN_datatype): element hl7v2:DLN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.16-2013-02-10T000000.html"
              test="count(hl7v2:DLN.2) &lt;= 1">(DLN_datatype): element hl7v2:DLN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.16-2013-02-10T000000.html"
              test="count(hl7v2:DLN.3) &lt;= 1">(DLN_datatype): element hl7v2:DLN.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.16
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.20/hl7v2:DLN.1
Item: (DLN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.20/hl7v2:DLN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.16-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(DLN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.16-2013-02-10T000000.html"
              test="string(@LongName) = ('License Number') or not(@LongName)">(DLN_datatype): de waarde van LongName MOET 'License Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.20/hl7v2:DLN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.16
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.20/hl7v2:DLN.2
Item: (DLN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.20/hl7v2:DLN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.16-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(DLN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.16-2013-02-10T000000.html"
              test="string(@Table) = ('HL70333') or not(@Table)">(DLN_datatype): de waarde van Table MOET 'HL70333' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.16-2013-02-10T000000.html"
              test="string(@LongName) = ('Issuing State, Province, Country') or not(@LongName)">(DLN_datatype): de waarde van LongName MOET 'Issuing State, Province, Country' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.20/hl7v2:DLN.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.16
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.20/hl7v2:DLN.3
Item: (DLN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.20/hl7v2:DLN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.16-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(DLN_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.16-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(DLN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.20/hl7v2:DLN.3
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21">
      <extends rule="d548362e0-false-d548368e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('124') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '124' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CX') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Mother''s Identifier') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Mother''s Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d548362e0-false-d548368e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.3">
      <extends rule="d548540e0-false-d548546e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d548540e0-false-d548546e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.4">
      <extends rule="d548591e0-false-d548597e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d548591e0-false-d548597e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d548726e0-false-d548732e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d548726e0-false-d548732e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.5">
      <extends rule="d548778e0-false-d548784e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d548778e0-false-d548784e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.6">
      <extends rule="d548823e0-false-d548829e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d548823e0-false-d548829e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d548958e0-false-d548964e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d548958e0-false-d548964e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9">
      <extends rule="d549072e0-false-d549078e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d549072e0-false-d549078e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d549243e0-false-d549249e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d549243e0-false-d549249e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d549362e0-false-d549368e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d549362e0-false-d549368e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10">
      <extends rule="d549510e0-false-d549516e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d549510e0-false-d549516e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d549681e0-false-d549687e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d549681e0-false-d549687e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d549800e0-false-d549806e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d549800e0-false-d549806e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.21/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.22
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.22">
      <extends rule="d549961e0-false-d549967e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('125') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '125' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CE') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70189') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70189' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Ethnic Group') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Ethnic Group' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.22
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d549961e0-false-d549967e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.3">
      <extends rule="d550111e0-false-d550117e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d550111e0-false-d550117e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.6">
      <extends rule="d550230e0-false-d550236e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.22/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d550230e0-false-d550236e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.23
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.23">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('126') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '126' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('ST') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Birth Place') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Birth Place' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.23
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.24
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.24">
      <extends rule="d550328e0-false-d550334e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('127') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '127' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('ID') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Multiple Birth Indicator') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Multiple Birth Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.24
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d550328e0-false-d550334e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.25
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.25">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('128') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '128' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('NM') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Birth Order') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Birth Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.25
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.26
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.26">
      <extends rule="d550425e0-false-d550431e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('129') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '129' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CE') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70171') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70171' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Citizenship') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Citizenship' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.26
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d550425e0-false-d550431e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.3">
      <extends rule="d550575e0-false-d550581e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d550575e0-false-d550581e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.6">
      <extends rule="d550694e0-false-d550700e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.26/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d550694e0-false-d550700e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.27
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.27">
      <extends rule="d550752e0-false-d550758e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('130') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '130' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CE') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70172') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70172' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Veterans Military Status') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Veterans Military Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.27
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d550752e0-false-d550758e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.3">
      <extends rule="d550902e0-false-d550908e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d550902e0-false-d550908e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.6">
      <extends rule="d551021e0-false-d551027e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.27/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d551021e0-false-d551027e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.28
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.28">
      <extends rule="d551079e0-false-d551085e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('739') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '739' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CE') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70212') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70212' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Nationality') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Nationality' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.28
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d551079e0-false-d551085e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.3">
      <extends rule="d551229e0-false-d551235e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d551229e0-false-d551235e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.6">
      <extends rule="d551348e0-false-d551354e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.28/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d551348e0-false-d551354e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.29
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.29">
      <extends rule="d551400e0-false-d551406e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('740') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '740' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('TS') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Patient Death Date and Time') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Patient Death Date and Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.29
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d551400e0-false-d551406e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.29/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.29/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.29/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.29/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.29/hl7v2:TS.2">
      <extends rule="d551488e0-false-d551494e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.29/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d551488e0-false-d551494e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.30
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.30">
      <extends rule="d551546e0-false-d551552e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('741') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '741' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('ID') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Patient Death Indicator') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Patient Death Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.30
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d551546e0-false-d551552e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.31
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.31">
      <extends rule="d551603e0-false-d551609e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('1535') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '1535' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('ID') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Identity Unknown Indicator') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Identity Unknown Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.31
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d551603e0-false-d551609e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.32
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.32">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('1536') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '1536' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('IS') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70445') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70445' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Identity Reliability Code') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Identity Reliability Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.32
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.33
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.33">
      <extends rule="d551700e0-false-d551706e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('1537') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '1537' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('TS') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Last Update Date/Time') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Last Update Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.33
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d551700e0-false-d551706e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.33/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.33/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.33/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.33/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.33/hl7v2:TS.2">
      <extends rule="d551788e0-false-d551794e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.33/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d551788e0-false-d551794e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.34
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.34">
      <extends rule="d551840e0-false-d551846e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('1538') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '1538' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('HD') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Last Update Facility') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Last Update Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.34
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d551840e0-false-d551846e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.34/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.34/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.34/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.34/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.34/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.34/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.34/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.34/hl7v2:HD.3">
      <extends rule="d551975e0-false-d551981e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.34/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d551975e0-false-d551981e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.35
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.35">
      <extends rule="d552033e0-false-d552039e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('1539') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '1539' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CE') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70446') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70446' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Species Code') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Species Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.35
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d552033e0-false-d552039e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.3">
      <extends rule="d552183e0-false-d552189e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d552183e0-false-d552189e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.6">
      <extends rule="d552302e0-false-d552308e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.35/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d552302e0-false-d552308e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.36
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.36">
      <extends rule="d552360e0-false-d552366e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('1540') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '1540' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CE') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70447') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70447' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Breed Code') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Breed Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.36
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d552360e0-false-d552366e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.3">
      <extends rule="d552510e0-false-d552516e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d552510e0-false-d552516e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.6">
      <extends rule="d552629e0-false-d552635e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.36/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d552629e0-false-d552635e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.37
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.37">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('1541') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '1541' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('ST') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Strain') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Strain' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.37
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.38
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.38">
      <extends rule="d552727e0-false-d552733e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('1542') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '1542' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CE') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70429') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70429' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Production Class Code') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Production Class Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.38
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d552727e0-false-d552733e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.3">
      <extends rule="d552877e0-false-d552883e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d552877e0-false-d552883e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.6">
      <extends rule="d552996e0-false-d553002e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.38/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d552996e0-false-d553002e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.39
Item: (PID_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.39">
      <extends rule="d553054e0-false-d553060e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Item) = ('1840') or not(@Item)">(PID_segment_Lab_algemeen): de waarde van Item MOET '1840' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Type) = ('CWE') or not(@Type)">(PID_segment_Lab_algemeen): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@Table) = ('HL70171') or not(@Table)">(PID_segment_Lab_algemeen): de waarde van Table MOET 'HL70171' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.3-2015-07-21T114402.html"
              test="string(@LongName) = ('Tribal Citizenship') or not(@LongName)">(PID_segment_Lab_algemeen): de waarde van LongName MOET 'Tribal Citizenship' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.39
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d553054e0-false-d553060e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.3">
      <extends rule="d553225e0-false-d553231e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d553225e0-false-d553231e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.6">
      <extends rule="d553344e0-false-d553350e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d553344e0-false-d553350e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PID/hl7v2:PID.39/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="count(hl7v2:PD1.2) &lt;= 1">(PD1_segment): element hl7v2:PD1.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="count(hl7v2:PD1.5) &lt;= 1">(PD1_segment): element hl7v2:PD1.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="count(hl7v2:PD1.6) &lt;= 1">(PD1_segment): element hl7v2:PD1.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="count(hl7v2:PD1.7) &lt;= 1">(PD1_segment): element hl7v2:PD1.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="count(hl7v2:PD1.8) &lt;= 1">(PD1_segment): element hl7v2:PD1.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="count(hl7v2:PD1.9) &lt;= 1">(PD1_segment): element hl7v2:PD1.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="count(hl7v2:PD1.11) &lt;= 1">(PD1_segment): element hl7v2:PD1.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="count(hl7v2:PD1.12) &lt;= 1">(PD1_segment): element hl7v2:PD1.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="count(hl7v2:PD1.13) &lt;= 1">(PD1_segment): element hl7v2:PD1.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="count(hl7v2:PD1.16) &lt;= 1">(PD1_segment): element hl7v2:PD1.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="count(hl7v2:PD1.17) &lt;= 1">(PD1_segment): element hl7v2:PD1.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="count(hl7v2:PD1.18) &lt;= 1">(PD1_segment): element hl7v2:PD1.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="count(hl7v2:PD1.19) &lt;= 1">(PD1_segment): element hl7v2:PD1.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="count(hl7v2:PD1.20) &lt;= 1">(PD1_segment): element hl7v2:PD1.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="count(hl7v2:PD1.21) &lt;= 1">(PD1_segment): element hl7v2:PD1.21 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.1
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('755') or not(@Item)">(PD1_segment): de waarde van Item MOET '755' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PD1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Table) = ('HL70223') or not(@Table)">(PD1_segment): de waarde van Table MOET 'HL70223' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Living Dependency') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Living Dependency' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.2
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('742') or not(@Item)">(PD1_segment): de waarde van Item MOET '742' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PD1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Table) = ('HL70220') or not(@Table)">(PD1_segment): de waarde van Table MOET 'HL70220' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Living Arrangement') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Living Arrangement' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3">
      <extends rule="d553729e0-false-d553735e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('756') or not(@Item)">(PD1_segment): de waarde van Item MOET '756' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('XON') or not(@Type)">(PD1_segment): de waarde van Type MOET 'XON' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Patient Primary Facility') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Patient Primary Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3
Item: (XON_datatype)
-->
   <rule fpi="RULC-1" id="d553729e0-false-d553735e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.1) &lt;= 1">(XON_datatype): element hl7v2:XON.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.2) &lt;= 1">(XON_datatype): element hl7v2:XON.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.3) &lt;= 1">(XON_datatype): element hl7v2:XON.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.4) &lt;= 1">(XON_datatype): element hl7v2:XON.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.5) &lt;= 1">(XON_datatype): element hl7v2:XON.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.6) &lt;= 1">(XON_datatype): element hl7v2:XON.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.7) &lt;= 1">(XON_datatype): element hl7v2:XON.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.8) &lt;= 1">(XON_datatype): element hl7v2:XON.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.9) &lt;= 1">(XON_datatype): element hl7v2:XON.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.10) &lt;= 1">(XON_datatype): element hl7v2:XON.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.1
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.2
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XON_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70204') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70204' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.3
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.4
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.5
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.5">
      <extends rule="d553981e0-false-d553987e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d553981e0-false-d553987e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.6
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.6">
      <extends rule="d554032e0-false-d554038e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d554032e0-false-d554038e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.6/hl7v2:HD.3">
      <extends rule="d554167e0-false-d554173e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d554167e0-false-d554173e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.7
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.7">
      <extends rule="d554219e0-false-d554225e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d554219e0-false-d554225e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.8
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.8">
      <extends rule="d554264e0-false-d554270e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.8
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d554264e0-false-d554270e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.8/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.8/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.8/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.8/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.8/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.8/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.8/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.8/hl7v2:HD.3">
      <extends rule="d554399e0-false-d554405e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.8/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d554399e0-false-d554405e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.9
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.9">
      <extends rule="d554451e0-false-d554457e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.9
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d554451e0-false-d554457e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.10
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Identifier') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.3/hl7v2:XON.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4">
      <extends rule="d554537e0-false-d554543e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('757') or not(@Item)">(PD1_segment): de waarde van Item MOET '757' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(PD1_segment): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Patient Primary Care Provider Name &amp; ID No.') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Patient Primary Care Provider Name &amp; ID No.' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d554537e0-false-d554543e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2">
      <extends rule="d554766e0-false-d554772e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d554766e0-false-d554772e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.9">
      <extends rule="d555228e0-false-d555234e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d555228e0-false-d555234e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d555363e0-false-d555369e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d555363e0-false-d555369e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.10">
      <extends rule="d555415e0-false-d555421e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d555415e0-false-d555421e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.12">
      <extends rule="d555500e0-false-d555506e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d555500e0-false-d555506e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.13">
      <extends rule="d555551e0-false-d555557e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d555551e0-false-d555557e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.14">
      <extends rule="d555596e0-false-d555602e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d555596e0-false-d555602e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d555731e0-false-d555737e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d555731e0-false-d555737e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.15">
      <extends rule="d555783e0-false-d555789e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d555783e0-false-d555789e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16">
      <extends rule="d555834e0-false-d555840e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d555834e0-false-d555840e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d555984e0-false-d555990e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d555984e0-false-d555990e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d556103e0-false-d556109e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d556103e0-false-d556109e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17">
      <extends rule="d556149e0-false-d556155e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d556149e0-false-d556155e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d556197e0-false-d556203e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d556197e0-false-d556203e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d556285e0-false-d556291e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d556285e0-false-d556291e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d556331e0-false-d556337e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d556331e0-false-d556337e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d556419e0-false-d556425e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d556419e0-false-d556425e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.18">
      <extends rule="d556472e0-false-d556478e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d556472e0-false-d556478e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.19">
      <extends rule="d556517e0-false-d556523e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d556517e0-false-d556523e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d556605e0-false-d556611e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d556605e0-false-d556611e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.20">
      <extends rule="d556651e0-false-d556657e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d556651e0-false-d556657e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d556739e0-false-d556745e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d556739e0-false-d556745e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22">
      <extends rule="d556819e0-false-d556825e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d556819e0-false-d556825e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d556990e0-false-d556996e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d556990e0-false-d556996e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d557109e0-false-d557115e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d557109e0-false-d557115e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23">
      <extends rule="d557257e0-false-d557263e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d557257e0-false-d557263e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d557428e0-false-d557434e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d557428e0-false-d557434e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d557547e0-false-d557553e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d557547e0-false-d557553e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.4/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.5
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('745') or not(@Item)">(PD1_segment): de waarde van Item MOET '745' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PD1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Table) = ('HL70231') or not(@Table)">(PD1_segment): de waarde van Table MOET 'HL70231' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Student Indicator') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Student Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.5
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.6
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('753') or not(@Item)">(PD1_segment): de waarde van Item MOET '753' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PD1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Table) = ('HL70295') or not(@Table)">(PD1_segment): de waarde van Table MOET 'HL70295' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Handicap') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Handicap' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.7
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('759') or not(@Item)">(PD1_segment): de waarde van Item MOET '759' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PD1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Table) = ('HL70315') or not(@Table)">(PD1_segment): de waarde van Table MOET 'HL70315' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Living Will Code') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Living Will Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.8
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('760') or not(@Item)">(PD1_segment): de waarde van Item MOET '760' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PD1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Table) = ('HL70316') or not(@Table)">(PD1_segment): de waarde van Table MOET 'HL70316' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Organ Donor Code') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Organ Donor Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.9
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.9">
      <extends rule="d557892e0-false-d557898e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('761') or not(@Item)">(PD1_segment): de waarde van Item MOET '761' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(PD1_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(PD1_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Separate Bill') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Separate Bill' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.9
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d557892e0-false-d557898e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10">
      <extends rule="d557943e0-false-d557949e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('762') or not(@Item)">(PD1_segment): de waarde van Item MOET '762' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('CX') or not(@Type)">(PD1_segment): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Duplicate Patient') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Duplicate Patient' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d557943e0-false-d557949e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.3">
      <extends rule="d558121e0-false-d558127e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d558121e0-false-d558127e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.4">
      <extends rule="d558172e0-false-d558178e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d558172e0-false-d558178e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d558307e0-false-d558313e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d558307e0-false-d558313e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.5">
      <extends rule="d558359e0-false-d558365e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d558359e0-false-d558365e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.6">
      <extends rule="d558404e0-false-d558410e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d558404e0-false-d558410e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d558539e0-false-d558545e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d558539e0-false-d558545e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9">
      <extends rule="d558653e0-false-d558659e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d558653e0-false-d558659e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d558824e0-false-d558830e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d558824e0-false-d558830e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d558943e0-false-d558949e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d558943e0-false-d558949e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10">
      <extends rule="d559091e0-false-d559097e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d559091e0-false-d559097e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d559262e0-false-d559268e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d559262e0-false-d559268e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d559381e0-false-d559387e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d559381e0-false-d559387e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.10/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.11
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.11">
      <extends rule="d559542e0-false-d559548e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('743') or not(@Item)">(PD1_segment): de waarde van Item MOET '743' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(PD1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Table) = ('HL70215') or not(@Table)">(PD1_segment): de waarde van Table MOET 'HL70215' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Publicity Code') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Publicity Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.11
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d559542e0-false-d559548e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.3">
      <extends rule="d559692e0-false-d559698e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d559692e0-false-d559698e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.6">
      <extends rule="d559811e0-false-d559817e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.11/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d559811e0-false-d559817e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.12
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.12">
      <extends rule="d559869e0-false-d559875e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('744') or not(@Item)">(PD1_segment): de waarde van Item MOET '744' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(PD1_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(PD1_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Protection Indicator') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Protection Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d559869e0-false-d559875e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.13
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('1566') or not(@Item)">(PD1_segment): de waarde van Item MOET '1566' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(PD1_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Protection Indicator Effective Date') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Protection Indicator Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.13
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14">
      <extends rule="d559960e0-false-d559966e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('1567') or not(@Item)">(PD1_segment): de waarde van Item MOET '1567' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('XON') or not(@Type)">(PD1_segment): de waarde van Type MOET 'XON' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Place of Worship') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Place of Worship' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14
Item: (XON_datatype)
-->
   <rule fpi="RULC-1" id="d559960e0-false-d559966e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.1) &lt;= 1">(XON_datatype): element hl7v2:XON.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.2) &lt;= 1">(XON_datatype): element hl7v2:XON.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.3) &lt;= 1">(XON_datatype): element hl7v2:XON.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.4) &lt;= 1">(XON_datatype): element hl7v2:XON.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.5) &lt;= 1">(XON_datatype): element hl7v2:XON.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.6) &lt;= 1">(XON_datatype): element hl7v2:XON.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.7) &lt;= 1">(XON_datatype): element hl7v2:XON.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.8) &lt;= 1">(XON_datatype): element hl7v2:XON.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.9) &lt;= 1">(XON_datatype): element hl7v2:XON.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.10) &lt;= 1">(XON_datatype): element hl7v2:XON.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.1
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.2
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XON_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70204') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70204' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.3
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.4
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.5
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.5">
      <extends rule="d560212e0-false-d560218e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d560212e0-false-d560218e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.6
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.6">
      <extends rule="d560263e0-false-d560269e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d560263e0-false-d560269e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.6/hl7v2:HD.3">
      <extends rule="d560398e0-false-d560404e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d560398e0-false-d560404e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.7
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.7">
      <extends rule="d560450e0-false-d560456e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d560450e0-false-d560456e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.8
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.8">
      <extends rule="d560495e0-false-d560501e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.8
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d560495e0-false-d560501e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.8/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.8/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.8/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.8/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.8/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.8/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.8/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.8/hl7v2:HD.3">
      <extends rule="d560630e0-false-d560636e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.8/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d560630e0-false-d560636e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.9
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.9">
      <extends rule="d560682e0-false-d560688e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.9
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d560682e0-false-d560688e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.10
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Identifier') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.14/hl7v2:XON.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.15
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.15">
      <extends rule="d560774e0-false-d560780e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('1568') or not(@Item)">(PD1_segment): de waarde van Item MOET '1568' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(PD1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Table) = ('HL70435') or not(@Table)">(PD1_segment): de waarde van Table MOET 'HL70435' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Advance Directive Code') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Advance Directive Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.15
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d560774e0-false-d560780e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.3">
      <extends rule="d560924e0-false-d560930e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d560924e0-false-d560930e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.6">
      <extends rule="d561043e0-false-d561049e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.15/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d561043e0-false-d561049e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.16
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.16">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('1569') or not(@Item)">(PD1_segment): de waarde van Item MOET '1569' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PD1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Table) = ('HL70441') or not(@Table)">(PD1_segment): de waarde van Table MOET 'HL70441' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Immunization Registry Status') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Immunization Registry Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.16
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.17
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.17">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('1570') or not(@Item)">(PD1_segment): de waarde van Item MOET '1570' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(PD1_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Immunization Registry Status Effective Date') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Immunization Registry Status Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.17
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.18
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.18">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('1571') or not(@Item)">(PD1_segment): de waarde van Item MOET '1571' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(PD1_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Publicity Code Effective Date') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Publicity Code Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.18
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.19
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.19">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('1572') or not(@Item)">(PD1_segment): de waarde van Item MOET '1572' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PD1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Table) = ('HL70140') or not(@Table)">(PD1_segment): de waarde van Table MOET 'HL70140' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Military Branch') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Military Branch' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.19
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.20
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.20">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('486') or not(@Item)">(PD1_segment): de waarde van Item MOET '486' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PD1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Table) = ('HL70141') or not(@Table)">(PD1_segment): de waarde van Table MOET 'HL70141' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Military Rank/Grade') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Military Rank/Grade' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.20
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.96
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.21
Item: (PD1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Item) = ('1573') or not(@Item)">(PD1_segment): de waarde van Item MOET '1573' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PD1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@Table) = ('HL70142') or not(@Table)">(PD1_segment): de waarde van Table MOET 'HL70142' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.96-2013-02-10T000000.html"
              test="string(@LongName) = ('Military Status') or not(@LongName)">(PD1_segment): de waarde van LongName MOET 'Military Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_PRIOR/hl7v2:PD1/hl7v2:PD1.21
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR"
         id="d41e3410-false-d561332e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:PV1) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:PV1 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:PV1) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:PV1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:PV2) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:PV2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.1) &lt;= 1">(PV1_segment): element hl7v2:PV1.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.2) &gt;= 1">(PV1_segment): element hl7v2:PV1.2 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.2) &lt;= 1">(PV1_segment): element hl7v2:PV1.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.3) &lt;= 1">(PV1_segment): element hl7v2:PV1.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.4) &lt;= 1">(PV1_segment): element hl7v2:PV1.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.5) &lt;= 1">(PV1_segment): element hl7v2:PV1.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.6) &lt;= 1">(PV1_segment): element hl7v2:PV1.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.10) &lt;= 1">(PV1_segment): element hl7v2:PV1.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.11) &lt;= 1">(PV1_segment): element hl7v2:PV1.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.12) &lt;= 1">(PV1_segment): element hl7v2:PV1.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.13) &lt;= 1">(PV1_segment): element hl7v2:PV1.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.14) &lt;= 1">(PV1_segment): element hl7v2:PV1.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.16) &lt;= 1">(PV1_segment): element hl7v2:PV1.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.18) &lt;= 1">(PV1_segment): element hl7v2:PV1.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.19) &lt;= 1">(PV1_segment): element hl7v2:PV1.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.21) &lt;= 1">(PV1_segment): element hl7v2:PV1.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.22) &lt;= 1">(PV1_segment): element hl7v2:PV1.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.23) &lt;= 1">(PV1_segment): element hl7v2:PV1.23 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.28) &lt;= 1">(PV1_segment): element hl7v2:PV1.28 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.29) &lt;= 1">(PV1_segment): element hl7v2:PV1.29 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.30) &lt;= 1">(PV1_segment): element hl7v2:PV1.30 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.31) &lt;= 1">(PV1_segment): element hl7v2:PV1.31 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.32) &lt;= 1">(PV1_segment): element hl7v2:PV1.32 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.33) &lt;= 1">(PV1_segment): element hl7v2:PV1.33 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.34) &lt;= 1">(PV1_segment): element hl7v2:PV1.34 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.35) &lt;= 1">(PV1_segment): element hl7v2:PV1.35 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.36) &lt;= 1">(PV1_segment): element hl7v2:PV1.36 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.37) &lt;= 1">(PV1_segment): element hl7v2:PV1.37 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.38) &lt;= 1">(PV1_segment): element hl7v2:PV1.38 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.39) &lt;= 1">(PV1_segment): element hl7v2:PV1.39 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.40) &lt;= 1">(PV1_segment): element hl7v2:PV1.40 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.41) &lt;= 1">(PV1_segment): element hl7v2:PV1.41 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.42) &lt;= 1">(PV1_segment): element hl7v2:PV1.42 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.43) &lt;= 1">(PV1_segment): element hl7v2:PV1.43 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.44) &lt;= 1">(PV1_segment): element hl7v2:PV1.44 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.46) &lt;= 1">(PV1_segment): element hl7v2:PV1.46 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.47) &lt;= 1">(PV1_segment): element hl7v2:PV1.47 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.48) &lt;= 1">(PV1_segment): element hl7v2:PV1.48 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.49) &lt;= 1">(PV1_segment): element hl7v2:PV1.49 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.50) &lt;= 1">(PV1_segment): element hl7v2:PV1.50 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="count(hl7v2:PV1.51) &lt;= 1">(PV1_segment): element hl7v2:PV1.51 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.1
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('131') or not(@Item)">(PV1_segment): de waarde van Item MOET '131' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('SI') or not(@Type)">(PV1_segment): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Set ID - PV1') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Set ID - PV1' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.2
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('132') or not(@Item)">(PV1_segment): de waarde van Item MOET '132' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Table) = ('HL70004') or not(@Table)">(PV1_segment): de waarde van Table MOET 'HL70004' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Patient Class') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Patient Class' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3">
      <extends rule="d561804e0-false-d561810e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('133') or not(@Item)">(PV1_segment): de waarde van Item MOET '133' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('PL') or not(@Type)">(PV1_segment): de waarde van Type MOET 'PL' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigned Patient Location') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Assigned Patient Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3
Item: (PL_datatype)
-->
   <rule fpi="RULC-1" id="d561804e0-false-d561810e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.1) &lt;= 1">(PL_datatype): element hl7v2:PL.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.2) &lt;= 1">(PL_datatype): element hl7v2:PL.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.3) &lt;= 1">(PL_datatype): element hl7v2:PL.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.4) &lt;= 1">(PL_datatype): element hl7v2:PL.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.5) &lt;= 1">(PL_datatype): element hl7v2:PL.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.6) &lt;= 1">(PL_datatype): element hl7v2:PL.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.7) &lt;= 1">(PL_datatype): element hl7v2:PL.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.8) &lt;= 1">(PL_datatype): element hl7v2:PL.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.9) &lt;= 1">(PL_datatype): element hl7v2:PL.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.10) &lt;= 1">(PL_datatype): element hl7v2:PL.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.11) &lt;= 1">(PL_datatype): element hl7v2:PL.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.1
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70302') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70302' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Point of Care') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Point of Care' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.2
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70303') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70303' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Room') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Room' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.3
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70304') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70304' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Bed') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Bed' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.3
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.4
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.4">
      <extends rule="d562035e0-false-d562041e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Facility') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d562035e0-false-d562041e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.4/hl7v2:HD.3">
      <extends rule="d562170e0-false-d562176e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d562170e0-false-d562176e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.5
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70306') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70306' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Status') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Location Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.5
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.6
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70305') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70305' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Person Location Type') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Person Location Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.7
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70307') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70307' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Building') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Building' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.8
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70308') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70308' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Floor') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Floor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.9
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(PL_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Description') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Location Description' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.10
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.10">
      <extends rule="d562410e0-false-d562416e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(PL_datatype): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Comprehensive Location Identifier') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Comprehensive Location Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.10
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d562410e0-false-d562416e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.10/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.10/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.10/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.10/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.10/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.10/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.10/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.10/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.10/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.10/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.10/hl7v2:EI.4">
      <extends rule="d562586e0-false-d562592e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.10/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d562586e0-false-d562592e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.11
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.11">
      <extends rule="d562632e0-false-d562638e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority for Location') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Assigning Authority for Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.11
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d562632e0-false-d562638e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.11/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.11/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.11/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.11/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.11/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.11/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.11/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.11/hl7v2:HD.3">
      <extends rule="d562767e0-false-d562773e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.3/hl7v2:PL.11/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d562767e0-false-d562773e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.4
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('134') or not(@Item)">(PV1_segment): de waarde van Item MOET '134' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Table) = ('HL70007') or not(@Table)">(PV1_segment): de waarde van Table MOET 'HL70007' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Admission Type') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Admission Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.4
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5">
      <extends rule="d562866e0-false-d562872e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('135') or not(@Item)">(PV1_segment): de waarde van Item MOET '135' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('CX') or not(@Type)">(PV1_segment): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Preadmit Number') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Preadmit Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d562866e0-false-d562872e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.3">
      <extends rule="d563044e0-false-d563050e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d563044e0-false-d563050e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.4">
      <extends rule="d563095e0-false-d563101e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d563095e0-false-d563101e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d563230e0-false-d563236e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d563230e0-false-d563236e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.5">
      <extends rule="d563282e0-false-d563288e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d563282e0-false-d563288e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.6">
      <extends rule="d563327e0-false-d563333e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d563327e0-false-d563333e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d563462e0-false-d563468e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d563462e0-false-d563468e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9">
      <extends rule="d563576e0-false-d563582e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d563576e0-false-d563582e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d563747e0-false-d563753e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d563747e0-false-d563753e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d563866e0-false-d563872e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d563866e0-false-d563872e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10">
      <extends rule="d564014e0-false-d564020e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d564014e0-false-d564020e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d564185e0-false-d564191e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d564185e0-false-d564191e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d564304e0-false-d564310e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d564304e0-false-d564310e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.5/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6">
      <extends rule="d564459e0-false-d564465e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('136') or not(@Item)">(PV1_segment): de waarde van Item MOET '136' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('PL') or not(@Type)">(PV1_segment): de waarde van Type MOET 'PL' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Prior Patient Location') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Prior Patient Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6
Item: (PL_datatype)
-->
   <rule fpi="RULC-1" id="d564459e0-false-d564465e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.1) &lt;= 1">(PL_datatype): element hl7v2:PL.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.2) &lt;= 1">(PL_datatype): element hl7v2:PL.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.3) &lt;= 1">(PL_datatype): element hl7v2:PL.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.4) &lt;= 1">(PL_datatype): element hl7v2:PL.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.5) &lt;= 1">(PL_datatype): element hl7v2:PL.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.6) &lt;= 1">(PL_datatype): element hl7v2:PL.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.7) &lt;= 1">(PL_datatype): element hl7v2:PL.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.8) &lt;= 1">(PL_datatype): element hl7v2:PL.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.9) &lt;= 1">(PL_datatype): element hl7v2:PL.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.10) &lt;= 1">(PL_datatype): element hl7v2:PL.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.11) &lt;= 1">(PL_datatype): element hl7v2:PL.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.1
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70302') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70302' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Point of Care') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Point of Care' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.2
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70303') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70303' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Room') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Room' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.3
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70304') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70304' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Bed') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Bed' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.3
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.4
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.4">
      <extends rule="d564690e0-false-d564696e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Facility') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d564690e0-false-d564696e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.4/hl7v2:HD.3">
      <extends rule="d564825e0-false-d564831e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d564825e0-false-d564831e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.5
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70306') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70306' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Status') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Location Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.5
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.6
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70305') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70305' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Person Location Type') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Person Location Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.7
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70307') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70307' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Building') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Building' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.8
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70308') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70308' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Floor') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Floor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.9
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(PL_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Description') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Location Description' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.10
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.10">
      <extends rule="d565065e0-false-d565071e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(PL_datatype): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Comprehensive Location Identifier') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Comprehensive Location Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.10
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d565065e0-false-d565071e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.10/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.10/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.10/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.10/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.10/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.10/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.10/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.10/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.10/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.10/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.10/hl7v2:EI.4">
      <extends rule="d565241e0-false-d565247e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.10/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d565241e0-false-d565247e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.11
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.11">
      <extends rule="d565287e0-false-d565293e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority for Location') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Assigning Authority for Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.11
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d565287e0-false-d565293e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.11/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.11/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.11/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.11/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.11/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.11/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.11/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.11/hl7v2:HD.3">
      <extends rule="d565422e0-false-d565428e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.6/hl7v2:PL.11/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d565422e0-false-d565428e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7">
      <extends rule="d565481e0-false-d565487e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('137') or not(@Item)">(PV1_segment): de waarde van Item MOET '137' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(PV1_segment): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Table) = ('HL70010') or not(@Table)">(PV1_segment): de waarde van Table MOET 'HL70010' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Attending Doctor') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Attending Doctor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d565481e0-false-d565487e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2">
      <extends rule="d565710e0-false-d565716e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d565710e0-false-d565716e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.9">
      <extends rule="d566172e0-false-d566178e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d566172e0-false-d566178e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d566307e0-false-d566313e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d566307e0-false-d566313e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.10">
      <extends rule="d566359e0-false-d566365e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d566359e0-false-d566365e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.12">
      <extends rule="d566444e0-false-d566450e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d566444e0-false-d566450e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.13">
      <extends rule="d566495e0-false-d566501e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d566495e0-false-d566501e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.14">
      <extends rule="d566540e0-false-d566546e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d566540e0-false-d566546e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d566675e0-false-d566681e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d566675e0-false-d566681e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.15">
      <extends rule="d566727e0-false-d566733e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d566727e0-false-d566733e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16">
      <extends rule="d566778e0-false-d566784e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d566778e0-false-d566784e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d566928e0-false-d566934e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d566928e0-false-d566934e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d567047e0-false-d567053e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d567047e0-false-d567053e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17">
      <extends rule="d567093e0-false-d567099e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d567093e0-false-d567099e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d567141e0-false-d567147e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d567141e0-false-d567147e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d567229e0-false-d567235e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d567229e0-false-d567235e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d567275e0-false-d567281e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d567275e0-false-d567281e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d567363e0-false-d567369e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d567363e0-false-d567369e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.18">
      <extends rule="d567416e0-false-d567422e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d567416e0-false-d567422e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.19">
      <extends rule="d567461e0-false-d567467e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d567461e0-false-d567467e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d567549e0-false-d567555e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d567549e0-false-d567555e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.20">
      <extends rule="d567595e0-false-d567601e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d567595e0-false-d567601e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d567683e0-false-d567689e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d567683e0-false-d567689e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22">
      <extends rule="d567763e0-false-d567769e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d567763e0-false-d567769e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d567934e0-false-d567940e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d567934e0-false-d567940e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d568053e0-false-d568059e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d568053e0-false-d568059e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23">
      <extends rule="d568201e0-false-d568207e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d568201e0-false-d568207e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d568372e0-false-d568378e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d568372e0-false-d568378e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d568491e0-false-d568497e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d568491e0-false-d568497e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.7/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8">
      <extends rule="d568652e0-false-d568658e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('138') or not(@Item)">(PV1_segment): de waarde van Item MOET '138' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(PV1_segment): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Table) = ('HL70010') or not(@Table)">(PV1_segment): de waarde van Table MOET 'HL70010' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Referring Doctor') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Referring Doctor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d568652e0-false-d568658e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2">
      <extends rule="d568881e0-false-d568887e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d568881e0-false-d568887e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.9">
      <extends rule="d569343e0-false-d569349e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d569343e0-false-d569349e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d569478e0-false-d569484e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d569478e0-false-d569484e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.10">
      <extends rule="d569530e0-false-d569536e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d569530e0-false-d569536e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.12">
      <extends rule="d569615e0-false-d569621e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d569615e0-false-d569621e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.13">
      <extends rule="d569666e0-false-d569672e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d569666e0-false-d569672e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.14">
      <extends rule="d569711e0-false-d569717e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d569711e0-false-d569717e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d569846e0-false-d569852e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d569846e0-false-d569852e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.15">
      <extends rule="d569898e0-false-d569904e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d569898e0-false-d569904e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16">
      <extends rule="d569949e0-false-d569955e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d569949e0-false-d569955e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d570099e0-false-d570105e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d570099e0-false-d570105e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d570218e0-false-d570224e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d570218e0-false-d570224e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17">
      <extends rule="d570264e0-false-d570270e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d570264e0-false-d570270e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d570312e0-false-d570318e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d570312e0-false-d570318e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d570400e0-false-d570406e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d570400e0-false-d570406e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d570446e0-false-d570452e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d570446e0-false-d570452e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d570534e0-false-d570540e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d570534e0-false-d570540e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.18">
      <extends rule="d570587e0-false-d570593e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d570587e0-false-d570593e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.19">
      <extends rule="d570632e0-false-d570638e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d570632e0-false-d570638e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d570720e0-false-d570726e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d570720e0-false-d570726e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.20">
      <extends rule="d570766e0-false-d570772e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d570766e0-false-d570772e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d570854e0-false-d570860e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d570854e0-false-d570860e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22">
      <extends rule="d570934e0-false-d570940e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d570934e0-false-d570940e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d571105e0-false-d571111e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d571105e0-false-d571111e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d571224e0-false-d571230e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d571224e0-false-d571230e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23">
      <extends rule="d571372e0-false-d571378e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d571372e0-false-d571378e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d571543e0-false-d571549e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d571543e0-false-d571549e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d571662e0-false-d571668e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d571662e0-false-d571668e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.8/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9">
      <extends rule="d571823e0-false-d571829e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('139') or not(@Item)">(PV1_segment): de waarde van Item MOET '139' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(PV1_segment): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Table) = ('HL70010') or not(@Table)">(PV1_segment): de waarde van Table MOET 'HL70010' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Consulting Doctor') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Consulting Doctor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d571823e0-false-d571829e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2">
      <extends rule="d572052e0-false-d572058e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d572052e0-false-d572058e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.9">
      <extends rule="d572514e0-false-d572520e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d572514e0-false-d572520e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d572649e0-false-d572655e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d572649e0-false-d572655e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.10">
      <extends rule="d572701e0-false-d572707e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d572701e0-false-d572707e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.12">
      <extends rule="d572786e0-false-d572792e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d572786e0-false-d572792e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.13">
      <extends rule="d572837e0-false-d572843e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d572837e0-false-d572843e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.14">
      <extends rule="d572882e0-false-d572888e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d572882e0-false-d572888e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d573017e0-false-d573023e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d573017e0-false-d573023e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.15">
      <extends rule="d573069e0-false-d573075e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d573069e0-false-d573075e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16">
      <extends rule="d573120e0-false-d573126e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d573120e0-false-d573126e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d573270e0-false-d573276e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d573270e0-false-d573276e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d573389e0-false-d573395e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d573389e0-false-d573395e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17">
      <extends rule="d573435e0-false-d573441e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d573435e0-false-d573441e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d573483e0-false-d573489e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d573483e0-false-d573489e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d573571e0-false-d573577e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d573571e0-false-d573577e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d573617e0-false-d573623e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d573617e0-false-d573623e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d573705e0-false-d573711e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d573705e0-false-d573711e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.18">
      <extends rule="d573758e0-false-d573764e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d573758e0-false-d573764e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.19">
      <extends rule="d573803e0-false-d573809e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d573803e0-false-d573809e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d573891e0-false-d573897e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d573891e0-false-d573897e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.20">
      <extends rule="d573937e0-false-d573943e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d573937e0-false-d573943e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d574025e0-false-d574031e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d574025e0-false-d574031e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22">
      <extends rule="d574105e0-false-d574111e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d574105e0-false-d574111e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d574276e0-false-d574282e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d574276e0-false-d574282e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d574395e0-false-d574401e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d574395e0-false-d574401e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23">
      <extends rule="d574543e0-false-d574549e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d574543e0-false-d574549e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d574714e0-false-d574720e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d574714e0-false-d574720e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d574833e0-false-d574839e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d574833e0-false-d574839e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.9/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.10
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('140') or not(@Item)">(PV1_segment): de waarde van Item MOET '140' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Table) = ('HL70069') or not(@Table)">(PV1_segment): de waarde van Table MOET 'HL70069' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Hospital Service') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Hospital Service' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.10
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11">
      <extends rule="d575034e0-false-d575040e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('141') or not(@Item)">(PV1_segment): de waarde van Item MOET '141' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('PL') or not(@Type)">(PV1_segment): de waarde van Type MOET 'PL' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Temporary Location') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Temporary Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11
Item: (PL_datatype)
-->
   <rule fpi="RULC-1" id="d575034e0-false-d575040e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.1) &lt;= 1">(PL_datatype): element hl7v2:PL.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.2) &lt;= 1">(PL_datatype): element hl7v2:PL.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.3) &lt;= 1">(PL_datatype): element hl7v2:PL.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.4) &lt;= 1">(PL_datatype): element hl7v2:PL.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.5) &lt;= 1">(PL_datatype): element hl7v2:PL.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.6) &lt;= 1">(PL_datatype): element hl7v2:PL.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.7) &lt;= 1">(PL_datatype): element hl7v2:PL.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.8) &lt;= 1">(PL_datatype): element hl7v2:PL.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.9) &lt;= 1">(PL_datatype): element hl7v2:PL.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.10) &lt;= 1">(PL_datatype): element hl7v2:PL.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.11) &lt;= 1">(PL_datatype): element hl7v2:PL.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.1
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70302') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70302' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Point of Care') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Point of Care' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.2
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70303') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70303' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Room') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Room' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.3
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70304') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70304' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Bed') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Bed' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.3
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.4
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.4">
      <extends rule="d575265e0-false-d575271e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Facility') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d575265e0-false-d575271e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.4/hl7v2:HD.3">
      <extends rule="d575400e0-false-d575406e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d575400e0-false-d575406e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.5
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70306') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70306' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Status') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Location Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.5
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.6
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70305') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70305' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Person Location Type') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Person Location Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.7
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70307') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70307' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Building') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Building' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.8
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70308') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70308' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Floor') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Floor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.9
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(PL_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Description') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Location Description' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.10
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.10">
      <extends rule="d575640e0-false-d575646e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(PL_datatype): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Comprehensive Location Identifier') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Comprehensive Location Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.10
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d575640e0-false-d575646e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.10/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.10/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.10/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.10/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.10/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.10/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.10/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.10/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.10/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.10/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.10/hl7v2:EI.4">
      <extends rule="d575816e0-false-d575822e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.10/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d575816e0-false-d575822e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.11
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.11">
      <extends rule="d575862e0-false-d575868e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority for Location') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Assigning Authority for Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.11
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d575862e0-false-d575868e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.11/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.11/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.11/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.11/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.11/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.11/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.11/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.11/hl7v2:HD.3">
      <extends rule="d575997e0-false-d576003e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.11/hl7v2:PL.11/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d575997e0-false-d576003e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.12
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('142') or not(@Item)">(PV1_segment): de waarde van Item MOET '142' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Table) = ('HL70087') or not(@Table)">(PV1_segment): de waarde van Table MOET 'HL70087' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Preadmit Test Indicator') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Preadmit Test Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.12
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.13
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('143') or not(@Item)">(PV1_segment): de waarde van Item MOET '143' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Table) = ('HL70092') or not(@Table)">(PV1_segment): de waarde van Table MOET 'HL70092' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Re-admission Indicator') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Re-admission Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.13
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.14
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('144') or not(@Item)">(PV1_segment): de waarde van Item MOET '144' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Table) = ('HL70023') or not(@Table)">(PV1_segment): de waarde van Table MOET 'HL70023' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Admit Source') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Admit Source' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.14
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.15
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.15">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('145') or not(@Item)">(PV1_segment): de waarde van Item MOET '145' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Table) = ('HL70009') or not(@Table)">(PV1_segment): de waarde van Table MOET 'HL70009' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Ambulatory Status') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Ambulatory Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.15
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.16
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.16">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('146') or not(@Item)">(PV1_segment): de waarde van Item MOET '146' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Table) = ('HL70099') or not(@Table)">(PV1_segment): de waarde van Table MOET 'HL70099' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('VIP Indicator') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'VIP Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.16
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17">
      <extends rule="d576286e0-false-d576292e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('147') or not(@Item)">(PV1_segment): de waarde van Item MOET '147' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(PV1_segment): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Table) = ('HL70010') or not(@Table)">(PV1_segment): de waarde van Table MOET 'HL70010' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Admitting Doctor') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Admitting Doctor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d576286e0-false-d576292e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2">
      <extends rule="d576515e0-false-d576521e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d576515e0-false-d576521e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.9">
      <extends rule="d576977e0-false-d576983e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d576977e0-false-d576983e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d577112e0-false-d577118e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d577112e0-false-d577118e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.10">
      <extends rule="d577164e0-false-d577170e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d577164e0-false-d577170e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.12">
      <extends rule="d577249e0-false-d577255e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d577249e0-false-d577255e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.13">
      <extends rule="d577300e0-false-d577306e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d577300e0-false-d577306e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.14">
      <extends rule="d577345e0-false-d577351e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d577345e0-false-d577351e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d577480e0-false-d577486e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d577480e0-false-d577486e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.15">
      <extends rule="d577532e0-false-d577538e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d577532e0-false-d577538e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16">
      <extends rule="d577583e0-false-d577589e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d577583e0-false-d577589e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d577733e0-false-d577739e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d577733e0-false-d577739e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d577852e0-false-d577858e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d577852e0-false-d577858e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17">
      <extends rule="d577898e0-false-d577904e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d577898e0-false-d577904e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d577946e0-false-d577952e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d577946e0-false-d577952e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d578034e0-false-d578040e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d578034e0-false-d578040e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d578080e0-false-d578086e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d578080e0-false-d578086e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d578168e0-false-d578174e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d578168e0-false-d578174e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.18">
      <extends rule="d578221e0-false-d578227e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d578221e0-false-d578227e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.19">
      <extends rule="d578266e0-false-d578272e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d578266e0-false-d578272e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d578354e0-false-d578360e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d578354e0-false-d578360e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.20">
      <extends rule="d578400e0-false-d578406e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d578400e0-false-d578406e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d578488e0-false-d578494e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d578488e0-false-d578494e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22">
      <extends rule="d578568e0-false-d578574e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d578568e0-false-d578574e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d578739e0-false-d578745e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d578739e0-false-d578745e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d578858e0-false-d578864e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d578858e0-false-d578864e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23">
      <extends rule="d579006e0-false-d579012e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d579006e0-false-d579012e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d579177e0-false-d579183e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d579177e0-false-d579183e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d579296e0-false-d579302e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d579296e0-false-d579302e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.17/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.18
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.18">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('148') or not(@Item)">(PV1_segment): de waarde van Item MOET '148' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Table) = ('HL70018') or not(@Table)">(PV1_segment): de waarde van Table MOET 'HL70018' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Patient Type') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Patient Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.18
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19">
      <extends rule="d579497e0-false-d579503e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('149') or not(@Item)">(PV1_segment): de waarde van Item MOET '149' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('CX') or not(@Type)">(PV1_segment): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Visit Number') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Visit Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d579497e0-false-d579503e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.3">
      <extends rule="d579675e0-false-d579681e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d579675e0-false-d579681e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.4">
      <extends rule="d579726e0-false-d579732e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d579726e0-false-d579732e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d579861e0-false-d579867e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d579861e0-false-d579867e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.5">
      <extends rule="d579913e0-false-d579919e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d579913e0-false-d579919e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.6">
      <extends rule="d579958e0-false-d579964e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d579958e0-false-d579964e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d580093e0-false-d580099e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d580093e0-false-d580099e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9">
      <extends rule="d580207e0-false-d580213e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d580207e0-false-d580213e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d580378e0-false-d580384e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d580378e0-false-d580384e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d580497e0-false-d580503e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d580497e0-false-d580503e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10">
      <extends rule="d580645e0-false-d580651e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d580645e0-false-d580651e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d580816e0-false-d580822e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d580816e0-false-d580822e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d580935e0-false-d580941e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d580935e0-false-d580941e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.19/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.20
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.20">
      <extends rule="d581096e0-false-d581102e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('150') or not(@Item)">(PV1_segment): de waarde van Item MOET '150' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('FC') or not(@Type)">(PV1_segment): de waarde van Type MOET 'FC' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Table) = ('HL70064') or not(@Table)">(PV1_segment): de waarde van Table MOET 'HL70064' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Financial Class') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Financial Class' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.25
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.20
Item: (FC_datatype)
-->
   <rule fpi="RULC-1" id="d581096e0-false-d581102e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.25-2013-02-10T000000.html"
              test="count(hl7v2:FC.1) &lt;= 1">(FC_datatype): element hl7v2:FC.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.25-2013-02-10T000000.html"
              test="count(hl7v2:FC.2) &lt;= 1">(FC_datatype): element hl7v2:FC.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.25
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.20/hl7v2:FC.1
Item: (FC_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.20/hl7v2:FC.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.25-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(FC_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.25-2013-02-10T000000.html"
              test="string(@Table) = ('HL70064') or not(@Table)">(FC_datatype): de waarde van Table MOET 'HL70064' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.25-2013-02-10T000000.html"
              test="string(@LongName) = ('Financial Class Code') or not(@LongName)">(FC_datatype): de waarde van LongName MOET 'Financial Class Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.20/hl7v2:FC.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.25
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.20/hl7v2:FC.2
Item: (FC_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.20/hl7v2:FC.2">
      <extends rule="d581184e0-false-d581190e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.25-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(FC_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.25-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(FC_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.20/hl7v2:FC.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d581184e0-false-d581190e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.20/hl7v2:FC.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.20/hl7v2:FC.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.20/hl7v2:FC.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.20/hl7v2:FC.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.20/hl7v2:FC.2/hl7v2:TS.2">
      <extends rule="d581272e0-false-d581278e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.20/hl7v2:FC.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d581272e0-false-d581278e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.21
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('151') or not(@Item)">(PV1_segment): de waarde van Item MOET '151' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Table) = ('HL70032') or not(@Table)">(PV1_segment): de waarde van Table MOET 'HL70032' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Charge Price Indicator') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Charge Price Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.21
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.22
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.22">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('152') or not(@Item)">(PV1_segment): de waarde van Item MOET '152' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Table) = ('HL70045') or not(@Table)">(PV1_segment): de waarde van Table MOET 'HL70045' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Courtesy Code') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Courtesy Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.22
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.23
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.23">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('153') or not(@Item)">(PV1_segment): de waarde van Item MOET '153' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Table) = ('HL70046') or not(@Table)">(PV1_segment): de waarde van Table MOET 'HL70046' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Credit Rating') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Credit Rating' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.23
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.24
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.24">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('154') or not(@Item)">(PV1_segment): de waarde van Item MOET '154' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Table) = ('HL70044') or not(@Table)">(PV1_segment): de waarde van Table MOET 'HL70044' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Contract Code') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Contract Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.24
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.25
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.25">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('155') or not(@Item)">(PV1_segment): de waarde van Item MOET '155' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(PV1_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Contract Effective Date') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Contract Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.25
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.26
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.26">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('156') or not(@Item)">(PV1_segment): de waarde van Item MOET '156' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(PV1_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Contract Amount') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Contract Amount' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.26
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.27
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.27">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('157') or not(@Item)">(PV1_segment): de waarde van Item MOET '157' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(PV1_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Contract Period') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Contract Period' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.27
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.28
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.28">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('158') or not(@Item)">(PV1_segment): de waarde van Item MOET '158' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Table) = ('HL70073') or not(@Table)">(PV1_segment): de waarde van Table MOET 'HL70073' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Interest Code') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Interest Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.28
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.29
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.29">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('159') or not(@Item)">(PV1_segment): de waarde van Item MOET '159' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Table) = ('HL70110') or not(@Table)">(PV1_segment): de waarde van Table MOET 'HL70110' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Transfer to Bad Debt Code') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Transfer to Bad Debt Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.29
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.30
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.30">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('160') or not(@Item)">(PV1_segment): de waarde van Item MOET '160' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(PV1_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Transfer to Bad Debt Date') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Transfer to Bad Debt Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.30
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.31
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.31">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('161') or not(@Item)">(PV1_segment): de waarde van Item MOET '161' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Table) = ('HL70021') or not(@Table)">(PV1_segment): de waarde van Table MOET 'HL70021' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Bad Debt Agency Code') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Bad Debt Agency Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.31
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.32
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.32">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('162') or not(@Item)">(PV1_segment): de waarde van Item MOET '162' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(PV1_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Bad Debt Transfer Amount') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Bad Debt Transfer Amount' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.32
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.33
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.33">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('163') or not(@Item)">(PV1_segment): de waarde van Item MOET '163' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(PV1_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Bad Debt Recovery Amount') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Bad Debt Recovery Amount' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.33
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.34
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.34">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('164') or not(@Item)">(PV1_segment): de waarde van Item MOET '164' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Table) = ('HL70111') or not(@Table)">(PV1_segment): de waarde van Table MOET 'HL70111' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Delete Account Indicator') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Delete Account Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.34
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.35
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.35">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('165') or not(@Item)">(PV1_segment): de waarde van Item MOET '165' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(PV1_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Delete Account Date') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Delete Account Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.35
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.36
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.36">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('166') or not(@Item)">(PV1_segment): de waarde van Item MOET '166' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Table) = ('HL70112') or not(@Table)">(PV1_segment): de waarde van Table MOET 'HL70112' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Discharge Disposition') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Discharge Disposition' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.36
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.37
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.37">
      <extends rule="d582025e0-false-d582031e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('167') or not(@Item)">(PV1_segment): de waarde van Item MOET '167' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('DLD') or not(@Type)">(PV1_segment): de waarde van Type MOET 'DLD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Table) = ('HL70113') or not(@Table)">(PV1_segment): de waarde van Table MOET 'HL70113' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Discharged to Location') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Discharged to Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.15
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.37
Item: (DLD_datatype)
-->
   <rule fpi="RULC-1" id="d582025e0-false-d582031e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.15-2013-02-10T000000.html"
              test="count(hl7v2:DLD.1) &lt;= 1">(DLD_datatype): element hl7v2:DLD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.15-2013-02-10T000000.html"
              test="count(hl7v2:DLD.2) &lt;= 1">(DLD_datatype): element hl7v2:DLD.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.15
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.37/hl7v2:DLD.1
Item: (DLD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.37/hl7v2:DLD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.15-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(DLD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.15-2013-02-10T000000.html"
              test="string(@Table) = ('HL70113') or not(@Table)">(DLD_datatype): de waarde van Table MOET 'HL70113' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.15-2013-02-10T000000.html"
              test="string(@LongName) = ('Discharge Location') or not(@LongName)">(DLD_datatype): de waarde van LongName MOET 'Discharge Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.37/hl7v2:DLD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.15
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.37/hl7v2:DLD.2
Item: (DLD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.37/hl7v2:DLD.2">
      <extends rule="d582113e0-false-d582119e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.15-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DLD_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.15-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(DLD_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.37/hl7v2:DLD.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d582113e0-false-d582119e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.37/hl7v2:DLD.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.37/hl7v2:DLD.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.37/hl7v2:DLD.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.37/hl7v2:DLD.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.37/hl7v2:DLD.2/hl7v2:TS.2">
      <extends rule="d582201e0-false-d582207e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.37/hl7v2:DLD.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d582201e0-false-d582207e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.38
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.38">
      <extends rule="d582260e0-false-d582266e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('168') or not(@Item)">(PV1_segment): de waarde van Item MOET '168' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(PV1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Table) = ('HL70114') or not(@Table)">(PV1_segment): de waarde van Table MOET 'HL70114' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Diet Type') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Diet Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.38
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d582260e0-false-d582266e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.3">
      <extends rule="d582410e0-false-d582416e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d582410e0-false-d582416e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.6">
      <extends rule="d582529e0-false-d582535e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.38/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d582529e0-false-d582535e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.39
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.39">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('169') or not(@Item)">(PV1_segment): de waarde van Item MOET '169' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Table) = ('HL70115') or not(@Table)">(PV1_segment): de waarde van Table MOET 'HL70115' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Servicing Facility') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Servicing Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.39
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.40
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.40">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('170') or not(@Item)">(PV1_segment): de waarde van Item MOET '170' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Table) = ('HL70116') or not(@Table)">(PV1_segment): de waarde van Table MOET 'HL70116' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Bed Status') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Bed Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.40
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.41
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.41">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('171') or not(@Item)">(PV1_segment): de waarde van Item MOET '171' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Table) = ('HL70117') or not(@Table)">(PV1_segment): de waarde van Table MOET 'HL70117' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Account Status') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Account Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.41
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42">
      <extends rule="d582719e0-false-d582725e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('172') or not(@Item)">(PV1_segment): de waarde van Item MOET '172' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('PL') or not(@Type)">(PV1_segment): de waarde van Type MOET 'PL' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Pending Location') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Pending Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42
Item: (PL_datatype)
-->
   <rule fpi="RULC-1" id="d582719e0-false-d582725e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.1) &lt;= 1">(PL_datatype): element hl7v2:PL.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.2) &lt;= 1">(PL_datatype): element hl7v2:PL.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.3) &lt;= 1">(PL_datatype): element hl7v2:PL.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.4) &lt;= 1">(PL_datatype): element hl7v2:PL.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.5) &lt;= 1">(PL_datatype): element hl7v2:PL.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.6) &lt;= 1">(PL_datatype): element hl7v2:PL.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.7) &lt;= 1">(PL_datatype): element hl7v2:PL.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.8) &lt;= 1">(PL_datatype): element hl7v2:PL.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.9) &lt;= 1">(PL_datatype): element hl7v2:PL.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.10) &lt;= 1">(PL_datatype): element hl7v2:PL.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.11) &lt;= 1">(PL_datatype): element hl7v2:PL.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.1
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70302') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70302' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Point of Care') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Point of Care' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.2
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70303') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70303' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Room') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Room' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.3
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70304') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70304' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Bed') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Bed' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.3
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.4
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.4">
      <extends rule="d582950e0-false-d582956e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Facility') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d582950e0-false-d582956e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.4/hl7v2:HD.3">
      <extends rule="d583085e0-false-d583091e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d583085e0-false-d583091e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.5
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70306') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70306' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Status') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Location Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.5
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.6
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70305') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70305' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Person Location Type') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Person Location Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.7
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70307') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70307' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Building') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Building' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.8
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70308') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70308' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Floor') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Floor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.9
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(PL_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Description') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Location Description' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.10
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.10">
      <extends rule="d583325e0-false-d583331e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(PL_datatype): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Comprehensive Location Identifier') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Comprehensive Location Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.10
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d583325e0-false-d583331e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.10/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.10/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.10/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.10/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.10/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.10/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.10/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.10/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.10/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.10/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.10/hl7v2:EI.4">
      <extends rule="d583501e0-false-d583507e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.10/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d583501e0-false-d583507e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.11
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.11">
      <extends rule="d583547e0-false-d583553e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority for Location') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Assigning Authority for Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.11
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d583547e0-false-d583553e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.11/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.11/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.11/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.11/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.11/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.11/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.11/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.11/hl7v2:HD.3">
      <extends rule="d583682e0-false-d583688e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.42/hl7v2:PL.11/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d583682e0-false-d583688e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43">
      <extends rule="d583735e0-false-d583741e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('173') or not(@Item)">(PV1_segment): de waarde van Item MOET '173' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('PL') or not(@Type)">(PV1_segment): de waarde van Type MOET 'PL' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Prior Temporary Location') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Prior Temporary Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43
Item: (PL_datatype)
-->
   <rule fpi="RULC-1" id="d583735e0-false-d583741e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.1) &lt;= 1">(PL_datatype): element hl7v2:PL.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.2) &lt;= 1">(PL_datatype): element hl7v2:PL.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.3) &lt;= 1">(PL_datatype): element hl7v2:PL.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.4) &lt;= 1">(PL_datatype): element hl7v2:PL.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.5) &lt;= 1">(PL_datatype): element hl7v2:PL.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.6) &lt;= 1">(PL_datatype): element hl7v2:PL.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.7) &lt;= 1">(PL_datatype): element hl7v2:PL.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.8) &lt;= 1">(PL_datatype): element hl7v2:PL.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.9) &lt;= 1">(PL_datatype): element hl7v2:PL.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.10) &lt;= 1">(PL_datatype): element hl7v2:PL.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.11) &lt;= 1">(PL_datatype): element hl7v2:PL.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.1
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70302') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70302' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Point of Care') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Point of Care' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.2
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70303') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70303' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Room') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Room' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.3
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70304') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70304' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Bed') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Bed' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.3
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.4
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.4">
      <extends rule="d583966e0-false-d583972e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Facility') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d583966e0-false-d583972e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.4/hl7v2:HD.3">
      <extends rule="d584101e0-false-d584107e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d584101e0-false-d584107e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.5
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70306') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70306' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Status') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Location Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.5
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.6
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70305') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70305' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Person Location Type') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Person Location Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.7
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70307') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70307' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Building') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Building' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.8
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70308') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70308' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Floor') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Floor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.9
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(PL_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Description') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Location Description' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.10
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.10">
      <extends rule="d584341e0-false-d584347e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(PL_datatype): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Comprehensive Location Identifier') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Comprehensive Location Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.10
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d584341e0-false-d584347e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.10/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.10/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.10/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.10/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.10/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.10/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.10/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.10/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.10/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.10/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.10/hl7v2:EI.4">
      <extends rule="d584517e0-false-d584523e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.10/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d584517e0-false-d584523e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.11
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.11">
      <extends rule="d584563e0-false-d584569e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority for Location') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Assigning Authority for Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.11
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d584563e0-false-d584569e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.11/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.11/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.11/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.11/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.11/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.11/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.11/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.11/hl7v2:HD.3">
      <extends rule="d584698e0-false-d584704e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.43/hl7v2:PL.11/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d584698e0-false-d584704e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.44
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.44">
      <extends rule="d584751e0-false-d584757e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('174') or not(@Item)">(PV1_segment): de waarde van Item MOET '174' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(PV1_segment): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Admit Date/Time') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Admit Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.44
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d584751e0-false-d584757e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.44/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.44/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.44/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.44/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.44/hl7v2:TS.2">
      <extends rule="d584839e0-false-d584845e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.44/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d584839e0-false-d584845e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.45
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.45">
      <extends rule="d584891e0-false-d584897e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('175') or not(@Item)">(PV1_segment): de waarde van Item MOET '175' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(PV1_segment): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Discharge Date/Time') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Discharge Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.45
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d584891e0-false-d584897e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.45/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.45/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.45/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.45/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.45/hl7v2:TS.2">
      <extends rule="d584979e0-false-d584985e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.45/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d584979e0-false-d584985e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.46
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.46">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('176') or not(@Item)">(PV1_segment): de waarde van Item MOET '176' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(PV1_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Current Patient Balance') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Current Patient Balance' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.46
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.47
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.47">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('177') or not(@Item)">(PV1_segment): de waarde van Item MOET '177' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(PV1_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Total Charges') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Total Charges' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.47
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.48
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.48">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('178') or not(@Item)">(PV1_segment): de waarde van Item MOET '178' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(PV1_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Total Adjustments') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Total Adjustments' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.48
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.49
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.49">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('179') or not(@Item)">(PV1_segment): de waarde van Item MOET '179' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(PV1_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Total Payments') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Total Payments' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.49
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50">
      <extends rule="d585197e0-false-d585203e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('180') or not(@Item)">(PV1_segment): de waarde van Item MOET '180' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('CX') or not(@Type)">(PV1_segment): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(PV1_segment): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Visit ID') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Alternate Visit ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d585197e0-false-d585203e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.3">
      <extends rule="d585375e0-false-d585381e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d585375e0-false-d585381e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.4">
      <extends rule="d585426e0-false-d585432e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d585426e0-false-d585432e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d585561e0-false-d585567e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d585561e0-false-d585567e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.5">
      <extends rule="d585613e0-false-d585619e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d585613e0-false-d585619e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.6">
      <extends rule="d585658e0-false-d585664e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d585658e0-false-d585664e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d585793e0-false-d585799e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d585793e0-false-d585799e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9">
      <extends rule="d585907e0-false-d585913e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d585907e0-false-d585913e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d586078e0-false-d586084e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d586078e0-false-d586084e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d586197e0-false-d586203e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d586197e0-false-d586203e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10">
      <extends rule="d586345e0-false-d586351e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d586345e0-false-d586351e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d586516e0-false-d586522e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d586516e0-false-d586522e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d586635e0-false-d586641e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d586635e0-false-d586641e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.50/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.51
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.51">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('1226') or not(@Item)">(PV1_segment): de waarde van Item MOET '1226' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Table) = ('HL70326') or not(@Table)">(PV1_segment): de waarde van Table MOET 'HL70326' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Visit Indicator') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Visit Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.51
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.109
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52
Item: (PV1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52">
      <extends rule="d586842e0-false-d586848e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Item) = ('1274') or not(@Item)">(PV1_segment): de waarde van Item MOET '1274' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(PV1_segment): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@Table) = ('HL70010') or not(@Table)">(PV1_segment): de waarde van Table MOET 'HL70010' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.109-2013-02-10T000000.html"
              test="string(@LongName) = ('Other Healthcare Provider') or not(@LongName)">(PV1_segment): de waarde van LongName MOET 'Other Healthcare Provider' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d586842e0-false-d586848e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2">
      <extends rule="d587071e0-false-d587077e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d587071e0-false-d587077e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.9">
      <extends rule="d587533e0-false-d587539e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d587533e0-false-d587539e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d587668e0-false-d587674e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d587668e0-false-d587674e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.10">
      <extends rule="d587720e0-false-d587726e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d587720e0-false-d587726e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.12">
      <extends rule="d587805e0-false-d587811e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d587805e0-false-d587811e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.13">
      <extends rule="d587856e0-false-d587862e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d587856e0-false-d587862e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.14">
      <extends rule="d587901e0-false-d587907e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d587901e0-false-d587907e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d588036e0-false-d588042e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d588036e0-false-d588042e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.15">
      <extends rule="d588088e0-false-d588094e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d588088e0-false-d588094e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16">
      <extends rule="d588139e0-false-d588145e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d588139e0-false-d588145e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d588289e0-false-d588295e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d588289e0-false-d588295e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d588408e0-false-d588414e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d588408e0-false-d588414e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17">
      <extends rule="d588454e0-false-d588460e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d588454e0-false-d588460e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d588502e0-false-d588508e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d588502e0-false-d588508e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d588590e0-false-d588596e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d588590e0-false-d588596e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d588636e0-false-d588642e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d588636e0-false-d588642e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d588724e0-false-d588730e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d588724e0-false-d588730e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.18">
      <extends rule="d588777e0-false-d588783e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d588777e0-false-d588783e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.19">
      <extends rule="d588822e0-false-d588828e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d588822e0-false-d588828e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d588910e0-false-d588916e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d588910e0-false-d588916e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.20">
      <extends rule="d588956e0-false-d588962e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d588956e0-false-d588962e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d589044e0-false-d589050e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d589044e0-false-d589050e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22">
      <extends rule="d589124e0-false-d589130e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d589124e0-false-d589130e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d589295e0-false-d589301e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d589295e0-false-d589301e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d589414e0-false-d589420e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d589414e0-false-d589420e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23">
      <extends rule="d589562e0-false-d589568e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d589562e0-false-d589568e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d589733e0-false-d589739e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d589733e0-false-d589739e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d589852e0-false-d589858e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d589852e0-false-d589858e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV1/hl7v2:PV1.52/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.1) &lt;= 1">(PV2_segment): element hl7v2:PV2.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.2) &lt;= 1">(PV2_segment): element hl7v2:PV2.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.3) &lt;= 1">(PV2_segment): element hl7v2:PV2.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.4) &lt;= 1">(PV2_segment): element hl7v2:PV2.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.6) &lt;= 1">(PV2_segment): element hl7v2:PV2.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.8) &lt;= 1">(PV2_segment): element hl7v2:PV2.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.9) &lt;= 1">(PV2_segment): element hl7v2:PV2.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.10) &lt;= 1">(PV2_segment): element hl7v2:PV2.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.11) &lt;= 1">(PV2_segment): element hl7v2:PV2.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.12) &lt;= 1">(PV2_segment): element hl7v2:PV2.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.14) &lt;= 1">(PV2_segment): element hl7v2:PV2.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.15) &lt;= 1">(PV2_segment): element hl7v2:PV2.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.16) &lt;= 1">(PV2_segment): element hl7v2:PV2.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.17) &lt;= 1">(PV2_segment): element hl7v2:PV2.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.18) &lt;= 1">(PV2_segment): element hl7v2:PV2.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.19) &lt;= 1">(PV2_segment): element hl7v2:PV2.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.20) &lt;= 1">(PV2_segment): element hl7v2:PV2.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.21) &lt;= 1">(PV2_segment): element hl7v2:PV2.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.22) &lt;= 1">(PV2_segment): element hl7v2:PV2.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.24) &lt;= 1">(PV2_segment): element hl7v2:PV2.24 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.25) &lt;= 1">(PV2_segment): element hl7v2:PV2.25 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.26) &lt;= 1">(PV2_segment): element hl7v2:PV2.26 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.27) &lt;= 1">(PV2_segment): element hl7v2:PV2.27 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.28) &lt;= 1">(PV2_segment): element hl7v2:PV2.28 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.29) &lt;= 1">(PV2_segment): element hl7v2:PV2.29 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.30) &lt;= 1">(PV2_segment): element hl7v2:PV2.30 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.31) &lt;= 1">(PV2_segment): element hl7v2:PV2.31 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.32) &lt;= 1">(PV2_segment): element hl7v2:PV2.32 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.33) &lt;= 1">(PV2_segment): element hl7v2:PV2.33 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.34) &lt;= 1">(PV2_segment): element hl7v2:PV2.34 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.35) &lt;= 1">(PV2_segment): element hl7v2:PV2.35 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.36) &lt;= 1">(PV2_segment): element hl7v2:PV2.36 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.37) &lt;= 1">(PV2_segment): element hl7v2:PV2.37 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.38) &lt;= 1">(PV2_segment): element hl7v2:PV2.38 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.40) &lt;= 1">(PV2_segment): element hl7v2:PV2.40 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.42) &lt;= 1">(PV2_segment): element hl7v2:PV2.42 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.43) &lt;= 1">(PV2_segment): element hl7v2:PV2.43 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.44) &lt;= 1">(PV2_segment): element hl7v2:PV2.44 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.46) &lt;= 1">(PV2_segment): element hl7v2:PV2.46 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.47) &lt;= 1">(PV2_segment): element hl7v2:PV2.47 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="count(hl7v2:PV2.48) &lt;= 1">(PV2_segment): element hl7v2:PV2.48 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1">
      <extends rule="d590332e0-false-d590338e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('181') or not(@Item)">(PV2_segment): de waarde van Item MOET '181' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('PL') or not(@Type)">(PV2_segment): de waarde van Type MOET 'PL' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Prior Pending Location') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Prior Pending Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1
Item: (PL_datatype)
-->
   <rule fpi="RULC-1" id="d590332e0-false-d590338e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.1) &lt;= 1">(PL_datatype): element hl7v2:PL.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.2) &lt;= 1">(PL_datatype): element hl7v2:PL.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.3) &lt;= 1">(PL_datatype): element hl7v2:PL.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.4) &lt;= 1">(PL_datatype): element hl7v2:PL.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.5) &lt;= 1">(PL_datatype): element hl7v2:PL.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.6) &lt;= 1">(PL_datatype): element hl7v2:PL.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.7) &lt;= 1">(PL_datatype): element hl7v2:PL.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.8) &lt;= 1">(PL_datatype): element hl7v2:PL.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.9) &lt;= 1">(PL_datatype): element hl7v2:PL.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.10) &lt;= 1">(PL_datatype): element hl7v2:PL.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.11) &lt;= 1">(PL_datatype): element hl7v2:PL.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.1
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70302') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70302' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Point of Care') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Point of Care' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.2
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70303') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70303' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Room') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Room' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.3
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70304') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70304' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Bed') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Bed' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.3
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.4
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.4">
      <extends rule="d590563e0-false-d590569e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Facility') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d590563e0-false-d590569e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.4/hl7v2:HD.3">
      <extends rule="d590698e0-false-d590704e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d590698e0-false-d590704e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.5
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70306') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70306' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Status') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Location Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.5
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.6
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70305') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70305' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Person Location Type') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Person Location Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.7
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70307') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70307' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Building') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Building' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.8
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70308') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70308' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Floor') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Floor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.9
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(PL_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Description') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Location Description' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.10
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.10">
      <extends rule="d590938e0-false-d590944e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(PL_datatype): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Comprehensive Location Identifier') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Comprehensive Location Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.10
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d590938e0-false-d590944e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.10/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.10/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.10/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.10/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.10/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.10/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.10/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.10/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.10/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.10/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.10/hl7v2:EI.4">
      <extends rule="d591114e0-false-d591120e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.10/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d591114e0-false-d591120e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.11
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.11">
      <extends rule="d591160e0-false-d591166e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority for Location') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Assigning Authority for Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.11
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d591160e0-false-d591166e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.11/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.11/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.11/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.11/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.11/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.11/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.11/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.11/hl7v2:HD.3">
      <extends rule="d591295e0-false-d591301e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.1/hl7v2:PL.11/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d591295e0-false-d591301e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.2
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.2">
      <extends rule="d591354e0-false-d591360e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('182') or not(@Item)">(PV2_segment): de waarde van Item MOET '182' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(PV2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70129') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70129' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Accommodation Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Accommodation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d591354e0-false-d591360e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.3">
      <extends rule="d591504e0-false-d591510e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d591504e0-false-d591510e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.6">
      <extends rule="d591623e0-false-d591629e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.2/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d591623e0-false-d591629e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.3
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.3">
      <extends rule="d591675e0-false-d591681e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('183') or not(@Item)">(PV2_segment): de waarde van Item MOET '183' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(PV2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Admit Reason') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Admit Reason' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d591675e0-false-d591681e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.3">
      <extends rule="d591825e0-false-d591831e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d591825e0-false-d591831e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.6">
      <extends rule="d591944e0-false-d591950e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d591944e0-false-d591950e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.4
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.4">
      <extends rule="d591996e0-false-d592002e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('184') or not(@Item)">(PV2_segment): de waarde van Item MOET '184' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(PV2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Transfer Reason') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Transfer Reason' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d591996e0-false-d592002e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.3">
      <extends rule="d592146e0-false-d592152e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d592146e0-false-d592152e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.6">
      <extends rule="d592265e0-false-d592271e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.4/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d592265e0-false-d592271e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.5
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('185') or not(@Item)">(PV2_segment): de waarde van Item MOET '185' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(PV2_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Patient Valuables') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Patient Valuables' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.6
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('186') or not(@Item)">(PV2_segment): de waarde van Item MOET '186' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(PV2_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Patient Valuables Location') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Patient Valuables Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.7
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('187') or not(@Item)">(PV2_segment): de waarde van Item MOET '187' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70130') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70130' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Visit User Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Visit User Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.8
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.8">
      <extends rule="d592443e0-false-d592449e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('188') or not(@Item)">(PV2_segment): de waarde van Item MOET '188' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Expected Admit Date/Time') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Expected Admit Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.8
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d592443e0-false-d592449e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.8/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.8/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.8/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.8/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.8/hl7v2:TS.2">
      <extends rule="d592531e0-false-d592537e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.8/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d592531e0-false-d592537e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.9
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.9">
      <extends rule="d592583e0-false-d592589e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('189') or not(@Item)">(PV2_segment): de waarde van Item MOET '189' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Expected Discharge Date/Time') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Expected Discharge Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.9
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d592583e0-false-d592589e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.9/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.9/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.9/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.9/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.9/hl7v2:TS.2">
      <extends rule="d592671e0-false-d592677e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.9/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d592671e0-false-d592677e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.10
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('711') or not(@Item)">(PV2_segment): de waarde van Item MOET '711' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(PV2_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Estimated Length of Inpatient Stay') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Estimated Length of Inpatient Stay' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.10
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.11
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('712') or not(@Item)">(PV2_segment): de waarde van Item MOET '712' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(PV2_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Actual Length of Inpatient Stay') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Actual Length of Inpatient Stay' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.11
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.12
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('713') or not(@Item)">(PV2_segment): de waarde van Item MOET '713' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(PV2_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Visit Description') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Visit Description' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.12
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13">
      <extends rule="d592843e0-false-d592849e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('714') or not(@Item)">(PV2_segment): de waarde van Item MOET '714' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(PV2_segment): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Referral Source Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Referral Source Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d592843e0-false-d592849e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2">
      <extends rule="d593072e0-false-d593078e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d593072e0-false-d593078e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.9">
      <extends rule="d593534e0-false-d593540e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d593534e0-false-d593540e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d593669e0-false-d593675e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d593669e0-false-d593675e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.10">
      <extends rule="d593721e0-false-d593727e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d593721e0-false-d593727e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.12">
      <extends rule="d593806e0-false-d593812e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d593806e0-false-d593812e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.13">
      <extends rule="d593857e0-false-d593863e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d593857e0-false-d593863e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.14">
      <extends rule="d593902e0-false-d593908e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d593902e0-false-d593908e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d594037e0-false-d594043e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d594037e0-false-d594043e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.15">
      <extends rule="d594089e0-false-d594095e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d594089e0-false-d594095e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16">
      <extends rule="d594140e0-false-d594146e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d594140e0-false-d594146e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d594290e0-false-d594296e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d594290e0-false-d594296e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d594409e0-false-d594415e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d594409e0-false-d594415e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17">
      <extends rule="d594455e0-false-d594461e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d594455e0-false-d594461e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d594503e0-false-d594509e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d594503e0-false-d594509e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d594591e0-false-d594597e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d594591e0-false-d594597e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d594637e0-false-d594643e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d594637e0-false-d594643e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d594725e0-false-d594731e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d594725e0-false-d594731e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.18">
      <extends rule="d594778e0-false-d594784e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d594778e0-false-d594784e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.19">
      <extends rule="d594823e0-false-d594829e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d594823e0-false-d594829e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d594911e0-false-d594917e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d594911e0-false-d594917e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.20">
      <extends rule="d594957e0-false-d594963e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d594957e0-false-d594963e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d595045e0-false-d595051e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d595045e0-false-d595051e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22">
      <extends rule="d595125e0-false-d595131e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d595125e0-false-d595131e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d595296e0-false-d595302e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d595296e0-false-d595302e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d595415e0-false-d595421e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d595415e0-false-d595421e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23">
      <extends rule="d595563e0-false-d595569e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d595563e0-false-d595569e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d595734e0-false-d595740e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d595734e0-false-d595740e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d595853e0-false-d595859e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d595853e0-false-d595859e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.13/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.14
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('715') or not(@Item)">(PV2_segment): de waarde van Item MOET '715' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(PV2_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Previous Service Date') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Previous Service Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.14
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.15
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.15">
      <extends rule="d596054e0-false-d596060e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('716') or not(@Item)">(PV2_segment): de waarde van Item MOET '716' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(PV2_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Employment Illness Related Indicator') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Employment Illness Related Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d596054e0-false-d596060e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.16
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.16">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('717') or not(@Item)">(PV2_segment): de waarde van Item MOET '717' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70213') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70213' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Purge Status Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Purge Status Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.16
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.17
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.17">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('718') or not(@Item)">(PV2_segment): de waarde van Item MOET '718' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(PV2_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Purge Status Date') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Purge Status Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.17
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.18
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.18">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('719') or not(@Item)">(PV2_segment): de waarde van Item MOET '719' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70214') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70214' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Special Program Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Special Program Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.18
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.19
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.19">
      <extends rule="d596243e0-false-d596249e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('720') or not(@Item)">(PV2_segment): de waarde van Item MOET '720' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(PV2_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Retention Indicator') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Retention Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.19
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d596243e0-false-d596249e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.20
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.20">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('721') or not(@Item)">(PV2_segment): de waarde van Item MOET '721' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(PV2_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Expected Number of Insurance Plans') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Expected Number of Insurance Plans' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.20
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.21
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('722') or not(@Item)">(PV2_segment): de waarde van Item MOET '722' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70215') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70215' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Visit Publicity Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Visit Publicity Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.21
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.22
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.22">
      <extends rule="d596386e0-false-d596392e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('723') or not(@Item)">(PV2_segment): de waarde van Item MOET '723' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(PV2_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Visit Protection Indicator') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Visit Protection Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.22
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d596386e0-false-d596392e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23">
      <extends rule="d596437e0-false-d596443e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('724') or not(@Item)">(PV2_segment): de waarde van Item MOET '724' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('XON') or not(@Type)">(PV2_segment): de waarde van Type MOET 'XON' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Clinic Organization Name') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Clinic Organization Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23
Item: (XON_datatype)
-->
   <rule fpi="RULC-1" id="d596437e0-false-d596443e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.1) &lt;= 1">(XON_datatype): element hl7v2:XON.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.2) &lt;= 1">(XON_datatype): element hl7v2:XON.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.3) &lt;= 1">(XON_datatype): element hl7v2:XON.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.4) &lt;= 1">(XON_datatype): element hl7v2:XON.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.5) &lt;= 1">(XON_datatype): element hl7v2:XON.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.6) &lt;= 1">(XON_datatype): element hl7v2:XON.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.7) &lt;= 1">(XON_datatype): element hl7v2:XON.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.8) &lt;= 1">(XON_datatype): element hl7v2:XON.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.9) &lt;= 1">(XON_datatype): element hl7v2:XON.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.10) &lt;= 1">(XON_datatype): element hl7v2:XON.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.1
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.2
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XON_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70204') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70204' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.3
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.4
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.5
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.5">
      <extends rule="d596689e0-false-d596695e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d596689e0-false-d596695e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.6
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.6">
      <extends rule="d596740e0-false-d596746e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d596740e0-false-d596746e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.6/hl7v2:HD.3">
      <extends rule="d596875e0-false-d596881e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d596875e0-false-d596881e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.7
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.7">
      <extends rule="d596927e0-false-d596933e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d596927e0-false-d596933e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.8
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.8">
      <extends rule="d596972e0-false-d596978e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.8
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d596972e0-false-d596978e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.8/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.8/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.8/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.8/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.8/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.8/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.8/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.8/hl7v2:HD.3">
      <extends rule="d597107e0-false-d597113e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.8/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d597107e0-false-d597113e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.9
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.9">
      <extends rule="d597159e0-false-d597165e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.9
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d597159e0-false-d597165e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.10
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Identifier') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.23/hl7v2:XON.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.24
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.24">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('725') or not(@Item)">(PV2_segment): de waarde van Item MOET '725' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70216') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70216' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Patient Status Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Patient Status Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.24
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.25
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.25">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('726') or not(@Item)">(PV2_segment): de waarde van Item MOET '726' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70217') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70217' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Visit Priority Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Visit Priority Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.25
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.26
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.26">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('727') or not(@Item)">(PV2_segment): de waarde van Item MOET '727' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(PV2_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Previous Treatment Date') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Previous Treatment Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.26
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.27
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.27">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('728') or not(@Item)">(PV2_segment): de waarde van Item MOET '728' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70112') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70112' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Expected Discharge Disposition') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Expected Discharge Disposition' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.27
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.28
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.28">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('729') or not(@Item)">(PV2_segment): de waarde van Item MOET '729' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(PV2_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Signature on File Date') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Signature on File Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.28
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.29
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.29">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('730') or not(@Item)">(PV2_segment): de waarde van Item MOET '730' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(PV2_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('First Similar Illness Date') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'First Similar Illness Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.29
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.30
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.30">
      <extends rule="d597509e0-false-d597515e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('731') or not(@Item)">(PV2_segment): de waarde van Item MOET '731' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(PV2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70218') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70218' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Patient Charge Adjustment Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Patient Charge Adjustment Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.30
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d597509e0-false-d597515e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.3">
      <extends rule="d597659e0-false-d597665e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d597659e0-false-d597665e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.6">
      <extends rule="d597778e0-false-d597784e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.30/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d597778e0-false-d597784e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.31
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.31">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('732') or not(@Item)">(PV2_segment): de waarde van Item MOET '732' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70219') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70219' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Recurring Service Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Recurring Service Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.31
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.32
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.32">
      <extends rule="d597882e0-false-d597888e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('733') or not(@Item)">(PV2_segment): de waarde van Item MOET '733' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(PV2_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Billing Media Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Billing Media Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.32
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d597882e0-false-d597888e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.33
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.33">
      <extends rule="d597933e0-false-d597939e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('734') or not(@Item)">(PV2_segment): de waarde van Item MOET '734' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Expected Surgery Date and Time') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Expected Surgery Date and Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.33
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d597933e0-false-d597939e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.33/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.33/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.33/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.33/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.33/hl7v2:TS.2">
      <extends rule="d598021e0-false-d598027e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.33/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d598021e0-false-d598027e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.34
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.34">
      <extends rule="d598079e0-false-d598085e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('735') or not(@Item)">(PV2_segment): de waarde van Item MOET '735' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(PV2_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Military Partnership Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Military Partnership Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.34
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d598079e0-false-d598085e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.35
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.35">
      <extends rule="d598136e0-false-d598142e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('736') or not(@Item)">(PV2_segment): de waarde van Item MOET '736' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(PV2_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Military Non-Availability Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Military Non-Availability Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.35
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d598136e0-false-d598142e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.36
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.36">
      <extends rule="d598193e0-false-d598199e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('737') or not(@Item)">(PV2_segment): de waarde van Item MOET '737' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(PV2_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Newborn Baby Indicator') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Newborn Baby Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.36
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d598193e0-false-d598199e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.37
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.37">
      <extends rule="d598250e0-false-d598256e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('738') or not(@Item)">(PV2_segment): de waarde van Item MOET '738' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(PV2_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Baby Detained Indicator') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Baby Detained Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.37
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d598250e0-false-d598256e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.38
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.38">
      <extends rule="d598307e0-false-d598313e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('1543') or not(@Item)">(PV2_segment): de waarde van Item MOET '1543' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(PV2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70430') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70430' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Mode of Arrival Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Mode of Arrival Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.38
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d598307e0-false-d598313e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.3">
      <extends rule="d598457e0-false-d598463e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d598457e0-false-d598463e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.6">
      <extends rule="d598576e0-false-d598582e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.38/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d598576e0-false-d598582e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.39
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.39">
      <extends rule="d598634e0-false-d598640e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('1544') or not(@Item)">(PV2_segment): de waarde van Item MOET '1544' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(PV2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70431') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70431' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Recreational Drug Use Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Recreational Drug Use Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.39
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d598634e0-false-d598640e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.3">
      <extends rule="d598784e0-false-d598790e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d598784e0-false-d598790e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.6">
      <extends rule="d598903e0-false-d598909e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.39/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d598903e0-false-d598909e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.40
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.40">
      <extends rule="d598961e0-false-d598967e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('1545') or not(@Item)">(PV2_segment): de waarde van Item MOET '1545' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(PV2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70432') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70432' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Admission Level of Care Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Admission Level of Care Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.40
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d598961e0-false-d598967e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.3">
      <extends rule="d599111e0-false-d599117e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d599111e0-false-d599117e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.6">
      <extends rule="d599230e0-false-d599236e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.40/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d599230e0-false-d599236e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.41
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.41">
      <extends rule="d599288e0-false-d599294e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('1546') or not(@Item)">(PV2_segment): de waarde van Item MOET '1546' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(PV2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70433') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70433' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Precaution Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Precaution Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.41
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d599288e0-false-d599294e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.3">
      <extends rule="d599438e0-false-d599444e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d599438e0-false-d599444e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.6">
      <extends rule="d599557e0-false-d599563e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.41/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d599557e0-false-d599563e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.42
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.42">
      <extends rule="d599615e0-false-d599621e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('1547') or not(@Item)">(PV2_segment): de waarde van Item MOET '1547' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(PV2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70434') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70434' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Patient Condition Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Patient Condition Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.42
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d599615e0-false-d599621e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.3">
      <extends rule="d599765e0-false-d599771e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d599765e0-false-d599771e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.6">
      <extends rule="d599884e0-false-d599890e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.42/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d599884e0-false-d599890e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.43
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.43">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('759') or not(@Item)">(PV2_segment): de waarde van Item MOET '759' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70315') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70315' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Living Will Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Living Will Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.43
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.44
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.44">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('760') or not(@Item)">(PV2_segment): de waarde van Item MOET '760' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70316') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70316' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Organ Donor Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Organ Donor Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.44
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.45
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.45">
      <extends rule="d600034e0-false-d600040e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('1548') or not(@Item)">(PV2_segment): de waarde van Item MOET '1548' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(PV2_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70435') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70435' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Advance Directive Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Advance Directive Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.45
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d600034e0-false-d600040e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.3">
      <extends rule="d600184e0-false-d600190e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d600184e0-false-d600190e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.6">
      <extends rule="d600303e0-false-d600309e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.45/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d600303e0-false-d600309e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.46
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.46">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('1549') or not(@Item)">(PV2_segment): de waarde van Item MOET '1549' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(PV2_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Patient Status Effective Date') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Patient Status Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.46
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.47
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.47">
      <extends rule="d600395e0-false-d600401e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('1550') or not(@Item)">(PV2_segment): de waarde van Item MOET '1550' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Expected LOA Return Date/Time') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Expected LOA Return Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.47
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d600395e0-false-d600401e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.47/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.47/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.47/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.47/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.47/hl7v2:TS.2">
      <extends rule="d600483e0-false-d600489e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.47/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d600483e0-false-d600489e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.48
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.48">
      <extends rule="d600535e0-false-d600541e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('1841') or not(@Item)">(PV2_segment): de waarde van Item MOET '1841' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Expected Pre-admission Testing Date/Time') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Expected Pre-admission Testing Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.48
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d600535e0-false-d600541e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.48/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.48/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.48/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.48/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.48/hl7v2:TS.2">
      <extends rule="d600623e0-false-d600629e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.48/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d600623e0-false-d600629e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.110
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.49
Item: (PV2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.49">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Item) = ('1842') or not(@Item)">(PV2_segment): de waarde van Item MOET '1842' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PV2_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@Table) = ('HL70534') or not(@Table)">(PV2_segment): de waarde van Table MOET 'HL70534' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.110-2013-02-10T000000.html"
              test="string(@LongName) = ('Notify Clergy Code') or not(@LongName)">(PV2_segment): de waarde van LongName MOET 'Notify Clergy Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.PATIENT_VISIT_PRIOR/hl7v2:PV2/hl7v2:PV2.49
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1
Item: (AL1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.9-2013-02-10T000000.html"
              test="count(hl7v2:AL1.1) &gt;= 1">(AL1_segment): element hl7v2:AL1.1 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.9-2013-02-10T000000.html"
              test="count(hl7v2:AL1.1) &lt;= 1">(AL1_segment): element hl7v2:AL1.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.9-2013-02-10T000000.html"
              test="count(hl7v2:AL1.2) &lt;= 1">(AL1_segment): element hl7v2:AL1.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.9-2013-02-10T000000.html"
              test="count(hl7v2:AL1.3) &gt;= 1">(AL1_segment): element hl7v2:AL1.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.9-2013-02-10T000000.html"
              test="count(hl7v2:AL1.3) &lt;= 1">(AL1_segment): element hl7v2:AL1.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.9-2013-02-10T000000.html"
              test="count(hl7v2:AL1.4) &lt;= 1">(AL1_segment): element hl7v2:AL1.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.9-2013-02-10T000000.html"
              test="count(hl7v2:AL1.6) &lt;= 1">(AL1_segment): element hl7v2:AL1.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.1
Item: (AL1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.9-2013-02-10T000000.html"
              test="string(@Item) = ('203') or not(@Item)">(AL1_segment): de waarde van Item MOET '203' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.9-2013-02-10T000000.html"
              test="string(@Type) = ('SI') or not(@Type)">(AL1_segment): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Set ID - AL1') or not(@LongName)">(AL1_segment): de waarde van LongName MOET 'Set ID - AL1' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.2
Item: (AL1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.2">
      <extends rule="d600838e0-false-d600844e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.9-2013-02-10T000000.html"
              test="string(@Item) = ('204') or not(@Item)">(AL1_segment): de waarde van Item MOET '204' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.9-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(AL1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.9-2013-02-10T000000.html"
              test="string(@Table) = ('HL70127') or not(@Table)">(AL1_segment): de waarde van Table MOET 'HL70127' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Allergen Type Code') or not(@LongName)">(AL1_segment): de waarde van LongName MOET 'Allergen Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d600838e0-false-d600844e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.3">
      <extends rule="d600988e0-false-d600994e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d600988e0-false-d600994e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.6">
      <extends rule="d601107e0-false-d601113e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.2/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d601107e0-false-d601113e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.3
Item: (AL1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.3">
      <extends rule="d601159e0-false-d601165e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.9-2013-02-10T000000.html"
              test="string(@Item) = ('205') or not(@Item)">(AL1_segment): de waarde van Item MOET '205' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.9-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(AL1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Allergen Code/Mnemonic/Description') or not(@LongName)">(AL1_segment): de waarde van LongName MOET 'Allergen Code/Mnemonic/Description' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d601159e0-false-d601165e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.3">
      <extends rule="d601309e0-false-d601315e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d601309e0-false-d601315e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.6">
      <extends rule="d601428e0-false-d601434e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d601428e0-false-d601434e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.4
Item: (AL1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.4">
      <extends rule="d601486e0-false-d601492e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.9-2013-02-10T000000.html"
              test="string(@Item) = ('206') or not(@Item)">(AL1_segment): de waarde van Item MOET '206' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.9-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(AL1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.9-2013-02-10T000000.html"
              test="string(@Table) = ('HL70128') or not(@Table)">(AL1_segment): de waarde van Table MOET 'HL70128' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Allergy Severity Code') or not(@LongName)">(AL1_segment): de waarde van LongName MOET 'Allergy Severity Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d601486e0-false-d601492e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.3">
      <extends rule="d601636e0-false-d601642e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d601636e0-false-d601642e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.6">
      <extends rule="d601755e0-false-d601761e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.4/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d601755e0-false-d601761e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.5
Item: (AL1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.9-2013-02-10T000000.html"
              test="string(@Item) = ('207') or not(@Item)">(AL1_segment): de waarde van Item MOET '207' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.9-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(AL1_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Allergy Reaction Code') or not(@LongName)">(AL1_segment): de waarde van LongName MOET 'Allergy Reaction Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.6
Item: (AL1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.9-2013-02-10T000000.html"
              test="string(@Item) = ('208') or not(@Item)">(AL1_segment): de waarde van Item MOET '208' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.9-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(AL1_segment): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Identification Date') or not(@LongName)">(AL1_segment): de waarde van LongName MOET 'Identification Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:AL1/hl7v2:AL1.6
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR"
         id="d41e3420-false-d601860e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:ORC) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:ORC komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBR) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBR is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBR) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBR komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OML_O21.OBSERVATION_PRIOR) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:OML_O21.OBSERVATION_PRIOR is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.1) &gt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.1 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.1) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.2) &gt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.2 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.2) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.3) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.4) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.5) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.6) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.8) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.9) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.13) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.15) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.16) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.17) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.18) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.20) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.25) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.25 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.26) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.26 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.27) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.27 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.28) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.28 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.29) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.29 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="count(hl7v2:ORC.30) &lt;= 1">(ORC_segment_Lab_algemeen): element hl7v2:ORC.30 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.1
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.1">
      <extends rule="d602126e0-false-d602132e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('215') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '215' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('ID') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Table) = ('HL70119') or not(@Table)">(ORC_segment_Lab_algemeen): de waarde van Table MOET 'HL70119' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Order Control') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Order Control' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.1
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d602126e0-false-d602132e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.2
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.2">
      <extends rule="d602177e0-false-d602183e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('216') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '216' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('EI') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Placer Order Number') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Placer Order Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d602177e0-false-d602183e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.2/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.2/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.2/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.2/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.2/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.2/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.2/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.2/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.2/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.2/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.2/hl7v2:EI.4">
      <extends rule="d602353e0-false-d602359e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.2/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d602353e0-false-d602359e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.3
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.3">
      <extends rule="d602405e0-false-d602411e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('217') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '217' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('EI') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Filler Order Number') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Filler Order Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d602405e0-false-d602411e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.3/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.3/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.3/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.3/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.3/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.3/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.3/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.3/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.3/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.3/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.3/hl7v2:EI.4">
      <extends rule="d602581e0-false-d602587e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.3/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d602581e0-false-d602587e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.4
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.4">
      <extends rule="d602633e0-false-d602639e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('218') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '218' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('EI') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Placer Group Number') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Placer Group Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d602633e0-false-d602639e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.4/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.4/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.4/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.4/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.4/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.4/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.4/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.4/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.4/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.4/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.4/hl7v2:EI.4">
      <extends rule="d602809e0-false-d602815e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.4/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d602809e0-false-d602815e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.5
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.5">
      <extends rule="d602867e0-false-d602873e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('219') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '219' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('ID') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Table) = ('HL70038') or not(@Table)">(ORC_segment_Lab_algemeen): de waarde van Table MOET 'HL70038' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Order Status') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Order Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d602867e0-false-d602873e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.6
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.6">
      <extends rule="d602924e0-false-d602930e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('220') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '220' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('ID') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Table) = ('HL70121') or not(@Table)">(ORC_segment_Lab_algemeen): de waarde van Table MOET 'HL70121' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Response Flag') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Response Flag' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d602924e0-false-d602930e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7">
      <extends rule="d602975e0-false-d602981e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('221') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '221' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('TQ') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'TQ' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Quantity/Timing') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Quantity/Timing' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1" id="d602975e0-false-d602981e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.1) &lt;= 1">(TQ_datatype): element hl7v2:TQ.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.2) &lt;= 1">(TQ_datatype): element hl7v2:TQ.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.3) &lt;= 1">(TQ_datatype): element hl7v2:TQ.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.4) &lt;= 1">(TQ_datatype): element hl7v2:TQ.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.5) &lt;= 1">(TQ_datatype): element hl7v2:TQ.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.6) &lt;= 1">(TQ_datatype): element hl7v2:TQ.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.7) &lt;= 1">(TQ_datatype): element hl7v2:TQ.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.8) &lt;= 1">(TQ_datatype): element hl7v2:TQ.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.9) &lt;= 1">(TQ_datatype): element hl7v2:TQ.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.10) &lt;= 1">(TQ_datatype): element hl7v2:TQ.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.11) &lt;= 1">(TQ_datatype): element hl7v2:TQ.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.12) &lt;= 1">(TQ_datatype): element hl7v2:TQ.12 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1">
      <extends rule="d603093e0-false-d603099e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('CQ') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'CQ' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1" id="d603093e0-false-d603099e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.1) &lt;= 1">(CQ_datatype): element hl7v2:CQ.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.2) &lt;= 1">(CQ_datatype): element hl7v2:CQ.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.1
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2">
      <extends rule="d603175e0-false-d603181e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d603175e0-false-d603181e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.3">
      <extends rule="d603325e0-false-d603331e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d603325e0-false-d603331e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.6">
      <extends rule="d603444e0-false-d603450e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d603444e0-false-d603450e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.2
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.2">
      <extends rule="d603491e0-false-d603497e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('RI') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'RI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Interval') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Interval' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.54
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.2
Item: (RI_datatype)
-->
   <rule fpi="RULC-1" id="d603491e0-false-d603497e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.54-2013-02-10T000000.html"
              test="count(hl7v2:RI.1) &lt;= 1">(RI_datatype): element hl7v2:RI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.54-2013-02-10T000000.html"
              test="count(hl7v2:RI.2) &lt;= 1">(RI_datatype): element hl7v2:RI.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.54
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.2/hl7v2:RI.1
Item: (RI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.2/hl7v2:RI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.54-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(RI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.54-2013-02-10T000000.html"
              test="string(@Table) = ('HL70335') or not(@Table)">(RI_datatype): de waarde van Table MOET 'HL70335' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.54-2013-02-10T000000.html"
              test="string(@LongName) = ('Repeat Pattern') or not(@LongName)">(RI_datatype): de waarde van LongName MOET 'Repeat Pattern' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.2/hl7v2:RI.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.54
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.2/hl7v2:RI.2
Item: (RI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.2/hl7v2:RI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.54-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(RI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.54-2013-02-10T000000.html"
              test="string(@LongName) = ('Explicit Time Interval') or not(@LongName)">(RI_datatype): de waarde van LongName MOET 'Explicit Time Interval' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.2/hl7v2:RI.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.3
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Duration') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Duration' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.4
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.4">
      <extends rule="d603648e0-false-d603654e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Start Date/Time') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.4
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d603648e0-false-d603654e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.4/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.4/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.4/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.4/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.4/hl7v2:TS.2">
      <extends rule="d603736e0-false-d603742e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.4/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d603736e0-false-d603742e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.5
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.5">
      <extends rule="d603782e0-false-d603788e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('End Date/Time') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.5
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d603782e0-false-d603788e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.5/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.5/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.5/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.5/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.5/hl7v2:TS.2">
      <extends rule="d603870e0-false-d603876e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.5/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d603870e0-false-d603876e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.6
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Priority') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Priority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.7
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Condition') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Condition' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.8
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('TX') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'TX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.8
Item: (TX_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.8/hl7v2:escape
Item: (TX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.8/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.65-2013-02-10T000000.html"
              test="@V">(TX_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.8/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.8/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.8/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.8/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.8/hl7v2:escape/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.8/hl7v2:escape/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.9
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.9">
      <extends rule="d604104e0-false-d604110e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Table) = ('HL70472') or not(@Table)">(TQ_datatype): de waarde van Table MOET 'HL70472' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Conjunction') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Conjunction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.9
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d604104e0-false-d604110e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10">
      <extends rule="d604149e0-false-d604155e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('OSD') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'OSD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Order Sequencing') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Order Sequencing' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1" id="d604149e0-false-d604155e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.1) &lt;= 1">(OSD_datatype): element hl7v2:OSD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.2) &lt;= 1">(OSD_datatype): element hl7v2:OSD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.3) &lt;= 1">(OSD_datatype): element hl7v2:OSD.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.4) &lt;= 1">(OSD_datatype): element hl7v2:OSD.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.5) &lt;= 1">(OSD_datatype): element hl7v2:OSD.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.6) &lt;= 1">(OSD_datatype): element hl7v2:OSD.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.7) &lt;= 1">(OSD_datatype): element hl7v2:OSD.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.8) &lt;= 1">(OSD_datatype): element hl7v2:OSD.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.9) &lt;= 1">(OSD_datatype): element hl7v2:OSD.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.10) &lt;= 1">(OSD_datatype): element hl7v2:OSD.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.11) &lt;= 1">(OSD_datatype): element hl7v2:OSD.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.1
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.1">
      <extends rule="d604266e0-false-d604272e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Table) = ('HL70524') or not(@Table)">(OSD_datatype): de waarde van Table MOET 'HL70524' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Sequence/Results Flag') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Sequence/Results Flag' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.1
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d604266e0-false-d604272e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.2
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Placer Order Number: Entity Identifier') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Placer Order Number: Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.3
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(OSD_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Placer Order Number: Namespace ID') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Placer Order Number: Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.3
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.4
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Filler Order Number: Entity Identifier') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Filler Order Number: Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.5
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(OSD_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Filler Order Number: Namespace ID') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Filler Order Number: Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.5
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.6
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Sequence Condition Value') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Sequence Condition Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.7
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Maximum Number of Repeats') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Maximum Number of Repeats' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.7
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.8
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Placer Order Number: Universal ID') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Placer Order Number: Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.9
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.9">
      <extends rule="d604567e0-false-d604573e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(OSD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Placer Order Number: Universal ID Type') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Placer Order Number: Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.9
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d604567e0-false-d604573e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.10
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Filler Order Number: Universal ID') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Filler Order Number: Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.11
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.11">
      <extends rule="d604652e0-false-d604658e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(OSD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Filler Order Number: Universal ID Type') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Filler Order Number: Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.10/hl7v2:OSD.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d604652e0-false-d604658e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11">
      <extends rule="d604698e0-false-d604704e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Occurrence Duration') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Occurrence Duration' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d604698e0-false-d604704e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.3">
      <extends rule="d604848e0-false-d604854e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d604848e0-false-d604854e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.6">
      <extends rule="d604967e0-false-d604973e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.11/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d604967e0-false-d604973e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.12
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Total Occurrences') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Total Occurrences' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.7/hl7v2:TQ.12
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8">
      <extends rule="d605054e0-false-d605060e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('222') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '222' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('EIP') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'EIP' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Parent') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Parent' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8
Item: (EIP_datatype)
-->
   <rule fpi="RULC-1" id="d605054e0-false-d605060e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="count(hl7v2:EIP.1) &lt;= 1">(EIP_datatype): element hl7v2:EIP.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="count(hl7v2:EIP.2) &lt;= 1">(EIP_datatype): element hl7v2:EIP.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.1
Item: (EIP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.1">
      <extends rule="d605102e0-false-d605108e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(EIP_datatype): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="string(@LongName) = ('Placer Assigned Identifier') or not(@LongName)">(EIP_datatype): de waarde van LongName MOET 'Placer Assigned Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d605102e0-false-d605108e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.1/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.1/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.1/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.1/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.1/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.1/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.1/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.1/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.1/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.1/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.1/hl7v2:EI.4">
      <extends rule="d605278e0-false-d605284e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.1/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d605278e0-false-d605284e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.2
Item: (EIP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.2">
      <extends rule="d605324e0-false-d605330e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(EIP_datatype): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="string(@LongName) = ('Filler Assigned Identifier') or not(@LongName)">(EIP_datatype): de waarde van LongName MOET 'Filler Assigned Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d605324e0-false-d605330e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.2/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.2/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.2/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.2/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.2/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.2/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.2/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.2/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.2/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.2/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.2/hl7v2:EI.4">
      <extends rule="d605500e0-false-d605506e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.8/hl7v2:EIP.2/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d605500e0-false-d605506e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.9
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.9">
      <extends rule="d605553e0-false-d605559e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('223') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '223' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('TS') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Date/Time of Transaction') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Date/Time of Transaction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.9
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d605553e0-false-d605559e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.9/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.9/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.9/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.9/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.9/hl7v2:TS.2">
      <extends rule="d605641e0-false-d605647e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.9/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d605641e0-false-d605647e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10">
      <extends rule="d605693e0-false-d605699e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('224') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '224' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('XCN') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Entered By') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Entered By' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d605693e0-false-d605699e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2">
      <extends rule="d605922e0-false-d605928e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d605922e0-false-d605928e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.9">
      <extends rule="d606384e0-false-d606390e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d606384e0-false-d606390e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d606519e0-false-d606525e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d606519e0-false-d606525e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.10">
      <extends rule="d606571e0-false-d606577e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d606571e0-false-d606577e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.12">
      <extends rule="d606656e0-false-d606662e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d606656e0-false-d606662e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.13">
      <extends rule="d606707e0-false-d606713e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d606707e0-false-d606713e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.14">
      <extends rule="d606752e0-false-d606758e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d606752e0-false-d606758e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d606887e0-false-d606893e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d606887e0-false-d606893e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.15">
      <extends rule="d606939e0-false-d606945e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d606939e0-false-d606945e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16">
      <extends rule="d606990e0-false-d606996e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d606990e0-false-d606996e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d607140e0-false-d607146e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d607140e0-false-d607146e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d607259e0-false-d607265e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d607259e0-false-d607265e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17">
      <extends rule="d607305e0-false-d607311e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d607305e0-false-d607311e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d607353e0-false-d607359e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d607353e0-false-d607359e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d607441e0-false-d607447e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d607441e0-false-d607447e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d607487e0-false-d607493e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d607487e0-false-d607493e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d607575e0-false-d607581e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d607575e0-false-d607581e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.18">
      <extends rule="d607628e0-false-d607634e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d607628e0-false-d607634e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.19">
      <extends rule="d607673e0-false-d607679e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d607673e0-false-d607679e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d607761e0-false-d607767e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d607761e0-false-d607767e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.20">
      <extends rule="d607807e0-false-d607813e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d607807e0-false-d607813e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d607895e0-false-d607901e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d607895e0-false-d607901e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22">
      <extends rule="d607975e0-false-d607981e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d607975e0-false-d607981e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d608146e0-false-d608152e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d608146e0-false-d608152e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d608265e0-false-d608271e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d608265e0-false-d608271e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23">
      <extends rule="d608413e0-false-d608419e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d608413e0-false-d608419e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d608584e0-false-d608590e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d608584e0-false-d608590e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d608703e0-false-d608709e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d608703e0-false-d608709e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.10/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11">
      <extends rule="d608858e0-false-d608864e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('225') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '225' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('XCN') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Verified By') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Verified By' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d608858e0-false-d608864e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2">
      <extends rule="d609087e0-false-d609093e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d609087e0-false-d609093e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.9">
      <extends rule="d609549e0-false-d609555e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d609549e0-false-d609555e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d609684e0-false-d609690e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d609684e0-false-d609690e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.10">
      <extends rule="d609736e0-false-d609742e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d609736e0-false-d609742e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.12">
      <extends rule="d609821e0-false-d609827e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d609821e0-false-d609827e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.13">
      <extends rule="d609872e0-false-d609878e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d609872e0-false-d609878e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.14">
      <extends rule="d609917e0-false-d609923e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d609917e0-false-d609923e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d610052e0-false-d610058e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d610052e0-false-d610058e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.15">
      <extends rule="d610104e0-false-d610110e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d610104e0-false-d610110e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16">
      <extends rule="d610155e0-false-d610161e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d610155e0-false-d610161e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d610305e0-false-d610311e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d610305e0-false-d610311e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d610424e0-false-d610430e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d610424e0-false-d610430e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17">
      <extends rule="d610470e0-false-d610476e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d610470e0-false-d610476e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d610518e0-false-d610524e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d610518e0-false-d610524e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d610606e0-false-d610612e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d610606e0-false-d610612e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d610652e0-false-d610658e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d610652e0-false-d610658e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d610740e0-false-d610746e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d610740e0-false-d610746e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.18">
      <extends rule="d610793e0-false-d610799e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d610793e0-false-d610799e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.19">
      <extends rule="d610838e0-false-d610844e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d610838e0-false-d610844e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d610926e0-false-d610932e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d610926e0-false-d610932e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.20">
      <extends rule="d610972e0-false-d610978e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d610972e0-false-d610978e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d611060e0-false-d611066e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d611060e0-false-d611066e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22">
      <extends rule="d611140e0-false-d611146e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d611140e0-false-d611146e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d611311e0-false-d611317e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d611311e0-false-d611317e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d611430e0-false-d611436e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d611430e0-false-d611436e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23">
      <extends rule="d611578e0-false-d611584e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d611578e0-false-d611584e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d611749e0-false-d611755e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d611749e0-false-d611755e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d611868e0-false-d611874e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d611868e0-false-d611874e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.11/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12">
      <extends rule="d612023e0-false-d612029e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('226') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '226' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('XCN') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Ordering Provider') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Ordering Provider' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d612023e0-false-d612029e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2">
      <extends rule="d612252e0-false-d612258e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d612252e0-false-d612258e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.9">
      <extends rule="d612714e0-false-d612720e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d612714e0-false-d612720e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d612849e0-false-d612855e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d612849e0-false-d612855e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.10">
      <extends rule="d612901e0-false-d612907e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d612901e0-false-d612907e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.12">
      <extends rule="d612986e0-false-d612992e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d612986e0-false-d612992e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.13">
      <extends rule="d613037e0-false-d613043e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d613037e0-false-d613043e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.14">
      <extends rule="d613082e0-false-d613088e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d613082e0-false-d613088e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d613217e0-false-d613223e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d613217e0-false-d613223e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.15">
      <extends rule="d613269e0-false-d613275e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d613269e0-false-d613275e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16">
      <extends rule="d613320e0-false-d613326e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d613320e0-false-d613326e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d613470e0-false-d613476e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d613470e0-false-d613476e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d613589e0-false-d613595e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d613589e0-false-d613595e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17">
      <extends rule="d613635e0-false-d613641e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d613635e0-false-d613641e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d613683e0-false-d613689e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d613683e0-false-d613689e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d613771e0-false-d613777e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d613771e0-false-d613777e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d613817e0-false-d613823e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d613817e0-false-d613823e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d613905e0-false-d613911e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d613905e0-false-d613911e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.18">
      <extends rule="d613958e0-false-d613964e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d613958e0-false-d613964e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.19">
      <extends rule="d614003e0-false-d614009e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d614003e0-false-d614009e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d614091e0-false-d614097e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d614091e0-false-d614097e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.20">
      <extends rule="d614137e0-false-d614143e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d614137e0-false-d614143e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d614225e0-false-d614231e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d614225e0-false-d614231e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22">
      <extends rule="d614305e0-false-d614311e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d614305e0-false-d614311e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d614476e0-false-d614482e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d614476e0-false-d614482e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d614595e0-false-d614601e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d614595e0-false-d614601e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23">
      <extends rule="d614743e0-false-d614749e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d614743e0-false-d614749e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d614914e0-false-d614920e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d614914e0-false-d614920e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d615033e0-false-d615039e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d615033e0-false-d615039e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.12/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13">
      <extends rule="d615188e0-false-d615194e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('227') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '227' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('PL') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'PL' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Enterer''s Location') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Enterer''s Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13
Item: (PL_datatype)
-->
   <rule fpi="RULC-1" id="d615188e0-false-d615194e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.1) &lt;= 1">(PL_datatype): element hl7v2:PL.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.2) &lt;= 1">(PL_datatype): element hl7v2:PL.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.3) &lt;= 1">(PL_datatype): element hl7v2:PL.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.4) &lt;= 1">(PL_datatype): element hl7v2:PL.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.5) &lt;= 1">(PL_datatype): element hl7v2:PL.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.6) &lt;= 1">(PL_datatype): element hl7v2:PL.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.7) &lt;= 1">(PL_datatype): element hl7v2:PL.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.8) &lt;= 1">(PL_datatype): element hl7v2:PL.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.9) &lt;= 1">(PL_datatype): element hl7v2:PL.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.10) &lt;= 1">(PL_datatype): element hl7v2:PL.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.11) &lt;= 1">(PL_datatype): element hl7v2:PL.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.1
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70302') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70302' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Point of Care') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Point of Care' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.2
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70303') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70303' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Room') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Room' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.3
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70304') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70304' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Bed') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Bed' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.3
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.4
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.4">
      <extends rule="d615419e0-false-d615425e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Facility') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d615419e0-false-d615425e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.4/hl7v2:HD.3">
      <extends rule="d615554e0-false-d615560e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d615554e0-false-d615560e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.5
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70306') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70306' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Status') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Location Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.5
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.6
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70305') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70305' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Person Location Type') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Person Location Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.7
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70307') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70307' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Building') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Building' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.8
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70308') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70308' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Floor') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Floor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.9
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(PL_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Description') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Location Description' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.10
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.10">
      <extends rule="d615794e0-false-d615800e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(PL_datatype): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Comprehensive Location Identifier') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Comprehensive Location Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.10
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d615794e0-false-d615800e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.10/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.10/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.10/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.10/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.10/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.10/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.10/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.10/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.10/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.10/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.10/hl7v2:EI.4">
      <extends rule="d615970e0-false-d615976e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.10/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d615970e0-false-d615976e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.11
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.11">
      <extends rule="d616016e0-false-d616022e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority for Location') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Assigning Authority for Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.11
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d616016e0-false-d616022e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.11/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.11/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.11/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.11/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.11/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.11/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.11/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.11/hl7v2:HD.3">
      <extends rule="d616151e0-false-d616157e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.13/hl7v2:PL.11/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d616151e0-false-d616157e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14">
      <extends rule="d616204e0-false-d616210e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('228') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '228' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('XTN') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'XTN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Call Back Phone Number') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Call Back Phone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" id="d616204e0-false-d616210e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.1) &lt;= 1">(XTN_datatype): element hl7v2:XTN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.2) &lt;= 1">(XTN_datatype): element hl7v2:XTN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.3) &lt;= 1">(XTN_datatype): element hl7v2:XTN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.4) &lt;= 1">(XTN_datatype): element hl7v2:XTN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.5) &lt;= 1">(XTN_datatype): element hl7v2:XTN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.6) &lt;= 1">(XTN_datatype): element hl7v2:XTN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.7) &lt;= 1">(XTN_datatype): element hl7v2:XTN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.8) &lt;= 1">(XTN_datatype): element hl7v2:XTN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.9) &lt;= 1">(XTN_datatype): element hl7v2:XTN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.10) &lt;= 1">(XTN_datatype): element hl7v2:XTN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.11) &lt;= 1">(XTN_datatype): element hl7v2:XTN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.12) &lt;= 1">(XTN_datatype): element hl7v2:XTN.12 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.1
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telephone Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telephone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.2
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.2">
      <extends rule="d616362e0-false-d616368e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70201') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70201' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Use Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Use Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d616362e0-false-d616368e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.3
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.3">
      <extends rule="d616413e0-false-d616419e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70202') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70202' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Equipment Type') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Equipment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d616413e0-false-d616419e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.4
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Email Address') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Email Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.5
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Country Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Country Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.6
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Area/City Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Area/City Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.6
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.7
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Local Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Local Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.7
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.8
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.8
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.9
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Any Text') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Any Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.10
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension Prefix') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.11
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Speed Dial Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Speed Dial Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.12
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Unformatted Telephone number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Unformatted Telephone number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.14/hl7v2:XTN.12
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.15
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.15">
      <extends rule="d616771e0-false-d616777e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('229') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '229' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('TS') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Order Effective Date/Time') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Order Effective Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.15
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d616771e0-false-d616777e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.15/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.15/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.15/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.15/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.15/hl7v2:TS.2">
      <extends rule="d616859e0-false-d616865e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.15/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d616859e0-false-d616865e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.16
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.16">
      <extends rule="d616911e0-false-d616917e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('230') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '230' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('CE') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Order Control Code Reason') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Order Control Code Reason' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d616911e0-false-d616917e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.3">
      <extends rule="d617061e0-false-d617067e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d617061e0-false-d617067e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.6">
      <extends rule="d617180e0-false-d617186e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d617180e0-false-d617186e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.17
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.17">
      <extends rule="d617232e0-false-d617238e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('231') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '231' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('CE') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Entering Organization') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Entering Organization' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.17
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d617232e0-false-d617238e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.3">
      <extends rule="d617382e0-false-d617388e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d617382e0-false-d617388e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.6">
      <extends rule="d617501e0-false-d617507e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.17/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d617501e0-false-d617507e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.18
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.18">
      <extends rule="d617553e0-false-d617559e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('232') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '232' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('CE') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Entering Device') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Entering Device' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.18
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d617553e0-false-d617559e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.3">
      <extends rule="d617703e0-false-d617709e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d617703e0-false-d617709e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.6">
      <extends rule="d617822e0-false-d617828e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.18/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d617822e0-false-d617828e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19">
      <extends rule="d617874e0-false-d617880e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('233') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '233' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('XCN') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Action By') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Action By' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d617874e0-false-d617880e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2">
      <extends rule="d618103e0-false-d618109e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d618103e0-false-d618109e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.9">
      <extends rule="d618565e0-false-d618571e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d618565e0-false-d618571e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d618700e0-false-d618706e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d618700e0-false-d618706e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.10">
      <extends rule="d618752e0-false-d618758e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d618752e0-false-d618758e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.12">
      <extends rule="d618837e0-false-d618843e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d618837e0-false-d618843e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.13">
      <extends rule="d618888e0-false-d618894e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d618888e0-false-d618894e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.14">
      <extends rule="d618933e0-false-d618939e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d618933e0-false-d618939e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d619068e0-false-d619074e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d619068e0-false-d619074e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.15">
      <extends rule="d619120e0-false-d619126e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d619120e0-false-d619126e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16">
      <extends rule="d619171e0-false-d619177e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d619171e0-false-d619177e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d619321e0-false-d619327e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d619321e0-false-d619327e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d619440e0-false-d619446e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d619440e0-false-d619446e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17">
      <extends rule="d619486e0-false-d619492e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d619486e0-false-d619492e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d619534e0-false-d619540e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d619534e0-false-d619540e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d619622e0-false-d619628e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d619622e0-false-d619628e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d619668e0-false-d619674e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d619668e0-false-d619674e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d619756e0-false-d619762e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d619756e0-false-d619762e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.18">
      <extends rule="d619809e0-false-d619815e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d619809e0-false-d619815e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.19">
      <extends rule="d619854e0-false-d619860e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d619854e0-false-d619860e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d619942e0-false-d619948e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d619942e0-false-d619948e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.20">
      <extends rule="d619988e0-false-d619994e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d619988e0-false-d619994e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d620076e0-false-d620082e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d620076e0-false-d620082e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22">
      <extends rule="d620156e0-false-d620162e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d620156e0-false-d620162e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d620327e0-false-d620333e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d620327e0-false-d620333e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d620446e0-false-d620452e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d620446e0-false-d620452e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23">
      <extends rule="d620594e0-false-d620600e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d620594e0-false-d620600e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d620765e0-false-d620771e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d620765e0-false-d620771e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d620884e0-false-d620890e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d620884e0-false-d620890e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.19/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.20
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.20">
      <extends rule="d621045e0-false-d621051e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('1310') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '1310' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('CE') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Table) = ('HL70339') or not(@Table)">(ORC_segment_Lab_algemeen): de waarde van Table MOET 'HL70339' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Advanced Beneficiary Notice Code') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Advanced Beneficiary Notice Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.20
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d621045e0-false-d621051e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.3">
      <extends rule="d621195e0-false-d621201e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d621195e0-false-d621201e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.6">
      <extends rule="d621314e0-false-d621320e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.20/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d621314e0-false-d621320e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21">
      <extends rule="d621366e0-false-d621372e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('1311') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '1311' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('XON') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'XON' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Ordering Facility Name') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Ordering Facility Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21
Item: (XON_datatype)
-->
   <rule fpi="RULC-1" id="d621366e0-false-d621372e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.1) &lt;= 1">(XON_datatype): element hl7v2:XON.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.2) &lt;= 1">(XON_datatype): element hl7v2:XON.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.3) &lt;= 1">(XON_datatype): element hl7v2:XON.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.4) &lt;= 1">(XON_datatype): element hl7v2:XON.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.5) &lt;= 1">(XON_datatype): element hl7v2:XON.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.6) &lt;= 1">(XON_datatype): element hl7v2:XON.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.7) &lt;= 1">(XON_datatype): element hl7v2:XON.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.8) &lt;= 1">(XON_datatype): element hl7v2:XON.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.9) &lt;= 1">(XON_datatype): element hl7v2:XON.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="count(hl7v2:XON.10) &lt;= 1">(XON_datatype): element hl7v2:XON.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.1
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.2
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XON_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70204') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70204' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Name Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.3
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.4
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XON_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.5
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.5">
      <extends rule="d621618e0-false-d621624e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d621618e0-false-d621624e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.6
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.6">
      <extends rule="d621669e0-false-d621675e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d621669e0-false-d621675e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.6/hl7v2:HD.3">
      <extends rule="d621804e0-false-d621810e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d621804e0-false-d621810e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.7
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.7">
      <extends rule="d621856e0-false-d621862e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d621856e0-false-d621862e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.8
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.8">
      <extends rule="d621901e0-false-d621907e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XON_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.8
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d621901e0-false-d621907e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.8/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.8/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.8/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.8/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.8/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.8/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.8/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.8/hl7v2:HD.3">
      <extends rule="d622036e0-false-d622042e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.8/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d622036e0-false-d622042e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.9
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.9">
      <extends rule="d622088e0-false-d622094e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XON_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.9
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d622088e0-false-d622094e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.75
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.10
Item: (XON_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XON_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.75-2013-02-10T000000.html"
              test="string(@LongName) = ('Organization Identifier') or not(@LongName)">(XON_datatype): de waarde van LongName MOET 'Organization Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.21/hl7v2:XON.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22">
      <extends rule="d622174e0-false-d622180e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('1312') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '1312' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('XAD') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'XAD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Ordering Facility Address') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Ordering Facility Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1" id="d622174e0-false-d622180e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.1) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.2) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.3) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.4) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.5) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.6) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.7) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.8) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.9) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.10) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.11) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.12) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.13) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.14) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.1
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.1">
      <extends rule="d622306e0-false-d622312e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('SAD') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'SAD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Street Address') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Street Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.1
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1" id="d622306e0-false-d622312e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.1) &lt;= 1">(SAD_datatype): element hl7v2:SAD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.2) &lt;= 1">(SAD_datatype): element hl7v2:SAD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.3) &lt;= 1">(SAD_datatype): element hl7v2:SAD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.1/hl7v2:SAD.1
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.1/hl7v2:SAD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Street or Mailing Address') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Street or Mailing Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.1/hl7v2:SAD.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.1/hl7v2:SAD.2
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.1/hl7v2:SAD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Street Name') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Street Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.1/hl7v2:SAD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.1/hl7v2:SAD.3
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.1/hl7v2:SAD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Dwelling Number') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Dwelling Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.1/hl7v2:SAD.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.2
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Other Designation') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Other Designation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.3
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('City') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'City' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.4
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('State or Province') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'State or Province' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.5
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Zip or Postal Code') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Zip or Postal Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.6
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.6">
      <extends rule="d622606e0-false-d622612e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70399') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70399' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Country') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Country' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d622606e0-false-d622612e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.7
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.7">
      <extends rule="d622668e0-false-d622674e0"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70190') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70190' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Address Type') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Address Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d622668e0-false-d622674e0" abstract="true">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.25.11.409-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ID_datatype): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.25.11.409 Adrestype HL7v2 NL (DYNAMISCH)'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.8
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Other Geographic Designation') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Other Geographic Designation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.9
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('IS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70289') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70289' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('County/Parish Code') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'County/Parish Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.10
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('IS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70288') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70288' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Census Tract') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Census Tract' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.10
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.11
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.11">
      <extends rule="d622844e0-false-d622850e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Address Representation Code') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Address Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d622844e0-false-d622850e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12">
      <extends rule="d622889e0-false-d622895e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('DR') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Address Validity Range') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Address Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d622889e0-false-d622895e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.1">
      <extends rule="d622937e0-false-d622943e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d622937e0-false-d622943e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d623025e0-false-d623031e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d623025e0-false-d623031e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.2">
      <extends rule="d623071e0-false-d623077e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d623071e0-false-d623077e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d623159e0-false-d623165e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d623159e0-false-d623165e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.13
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.13">
      <extends rule="d623206e0-false-d623212e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('TS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d623206e0-false-d623212e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.13/hl7v2:TS.2">
      <extends rule="d623294e0-false-d623300e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d623294e0-false-d623300e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.14
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.14">
      <extends rule="d623340e0-false-d623346e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('TS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d623340e0-false-d623346e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.14/hl7v2:TS.2">
      <extends rule="d623428e0-false-d623434e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.22/hl7v2:XAD.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d623428e0-false-d623434e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23">
      <extends rule="d623481e0-false-d623487e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('1313') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '1313' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('XTN') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'XTN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Ordering Facility Phone Number') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Ordering Facility Phone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" id="d623481e0-false-d623487e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.1) &lt;= 1">(XTN_datatype): element hl7v2:XTN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.2) &lt;= 1">(XTN_datatype): element hl7v2:XTN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.3) &lt;= 1">(XTN_datatype): element hl7v2:XTN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.4) &lt;= 1">(XTN_datatype): element hl7v2:XTN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.5) &lt;= 1">(XTN_datatype): element hl7v2:XTN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.6) &lt;= 1">(XTN_datatype): element hl7v2:XTN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.7) &lt;= 1">(XTN_datatype): element hl7v2:XTN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.8) &lt;= 1">(XTN_datatype): element hl7v2:XTN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.9) &lt;= 1">(XTN_datatype): element hl7v2:XTN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.10) &lt;= 1">(XTN_datatype): element hl7v2:XTN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.11) &lt;= 1">(XTN_datatype): element hl7v2:XTN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.12) &lt;= 1">(XTN_datatype): element hl7v2:XTN.12 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.1
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telephone Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telephone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.2
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.2">
      <extends rule="d623639e0-false-d623645e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70201') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70201' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Use Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Use Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d623639e0-false-d623645e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.3
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.3">
      <extends rule="d623690e0-false-d623696e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70202') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70202' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Equipment Type') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Equipment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d623690e0-false-d623696e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.4
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Email Address') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Email Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.5
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Country Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Country Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.6
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Area/City Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Area/City Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.6
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.7
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Local Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Local Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.7
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.8
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.8
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.9
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Any Text') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Any Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.10
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension Prefix') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.11
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Speed Dial Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Speed Dial Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.12
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Unformatted Telephone number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Unformatted Telephone number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.23/hl7v2:XTN.12
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24">
      <extends rule="d624048e0-false-d624054e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('1314') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '1314' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('XAD') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'XAD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Ordering Provider Address') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Ordering Provider Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1" id="d624048e0-false-d624054e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.1) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.2) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.3) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.4) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.5) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.6) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.7) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.8) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.9) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.10) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.11) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.12) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.13) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="count(hl7v2:XAD.14) &lt;= 1">(XAD_datatype_NL): element hl7v2:XAD.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.1
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.1">
      <extends rule="d624180e0-false-d624186e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('SAD') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'SAD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Street Address') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Street Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.1
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1" id="d624180e0-false-d624186e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.1) &lt;= 1">(SAD_datatype): element hl7v2:SAD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.2) &lt;= 1">(SAD_datatype): element hl7v2:SAD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="count(hl7v2:SAD.3) &lt;= 1">(SAD_datatype): element hl7v2:SAD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.1/hl7v2:SAD.1
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.1/hl7v2:SAD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Street or Mailing Address') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Street or Mailing Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.1/hl7v2:SAD.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.1/hl7v2:SAD.2
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.1/hl7v2:SAD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Street Name') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Street Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.1/hl7v2:SAD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.57
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.1/hl7v2:SAD.3
Item: (SAD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.1/hl7v2:SAD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(SAD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.57-2013-02-10T000000.html"
              test="string(@LongName) = ('Dwelling Number') or not(@LongName)">(SAD_datatype): de waarde van LongName MOET 'Dwelling Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.1/hl7v2:SAD.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.2
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Other Designation') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Other Designation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.3
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('City') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'City' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.4
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('State or Province') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'State or Province' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.5
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Zip or Postal Code') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Zip or Postal Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.6
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.6">
      <extends rule="d624480e0-false-d624486e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70399') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70399' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Country') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Country' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d624480e0-false-d624486e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.7
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.7">
      <extends rule="d624542e0-false-d624548e0"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70190') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70190' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Address Type') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Address Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d624542e0-false-d624548e0" abstract="true">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.25.11.409-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ID_datatype): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.25.11.409 Adrestype HL7v2 NL (DYNAMISCH)'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.8
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ST') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Other Geographic Designation') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Other Geographic Designation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.9
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('IS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70289') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70289' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('County/Parish Code') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'County/Parish Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.10
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('IS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70288') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70288' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Census Tract') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Census Tract' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.10
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.11
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.11">
      <extends rule="d624718e0-false-d624724e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('ID') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XAD_datatype_NL): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Address Representation Code') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Address Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d624718e0-false-d624724e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12">
      <extends rule="d624763e0-false-d624769e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('DR') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Address Validity Range') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Address Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d624763e0-false-d624769e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.1">
      <extends rule="d624811e0-false-d624817e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d624811e0-false-d624817e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d624899e0-false-d624905e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d624899e0-false-d624905e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.2">
      <extends rule="d624945e0-false-d624951e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d624945e0-false-d624951e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d625033e0-false-d625039e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.12/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d625033e0-false-d625039e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.13
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.13">
      <extends rule="d625080e0-false-d625086e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('TS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.13
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d625080e0-false-d625086e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.13/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.13/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.13/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.13/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.13/hl7v2:TS.2">
      <extends rule="d625168e0-false-d625174e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.13/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d625168e0-false-d625174e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.36
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.14
Item: (XAD_datatype_NL)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.14">
      <extends rule="d625214e0-false-d625220e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@Type) = ('TS') or not(@Type)">(XAD_datatype_NL): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.36-2016-07-19T160132.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XAD_datatype_NL): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d625214e0-false-d625220e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.14/hl7v2:TS.2">
      <extends rule="d625302e0-false-d625308e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.24/hl7v2:XAD.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d625302e0-false-d625308e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.25
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.25">
      <extends rule="d625355e0-false-d625361e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('1473') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '1473' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('CWE') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Order Status Modifier') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Order Status Modifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.25
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d625355e0-false-d625361e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.3">
      <extends rule="d625526e0-false-d625532e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d625526e0-false-d625532e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.6">
      <extends rule="d625645e0-false-d625651e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d625645e0-false-d625651e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.25/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.26
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.26">
      <extends rule="d625805e0-false-d625811e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('1641') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '1641' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('CWE') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Table) = ('HL70552') or not(@Table)">(ORC_segment_Lab_algemeen): de waarde van Table MOET 'HL70552' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Advanced Beneficiary Notice Override Reason') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Advanced Beneficiary Notice Override Reason' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.26
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d625805e0-false-d625811e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.3">
      <extends rule="d625976e0-false-d625982e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d625976e0-false-d625982e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.6">
      <extends rule="d626095e0-false-d626101e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d626095e0-false-d626101e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.26/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.27
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.27">
      <extends rule="d626249e0-false-d626255e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('1642') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '1642' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('TS') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Filler''s Expected Availability Date/Time') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Filler''s Expected Availability Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.27
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d626249e0-false-d626255e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.27/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.27/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.27/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.27/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.27/hl7v2:TS.2">
      <extends rule="d626337e0-false-d626343e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.27/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d626337e0-false-d626343e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.28
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.28">
      <extends rule="d626395e0-false-d626401e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('615') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '615' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('CWE') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Table) = ('HL70177') or not(@Table)">(ORC_segment_Lab_algemeen): de waarde van Table MOET 'HL70177' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Confidentiality Code') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Confidentiality Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.28
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d626395e0-false-d626401e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.3">
      <extends rule="d626566e0-false-d626572e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d626566e0-false-d626572e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.6">
      <extends rule="d626685e0-false-d626691e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d626685e0-false-d626691e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.28/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.29
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.29">
      <extends rule="d626845e0-false-d626851e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('1643') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '1643' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('CWE') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Table) = ('HL70482') or not(@Table)">(ORC_segment_Lab_algemeen): de waarde van Table MOET 'HL70482' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Order Type') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Order Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.29
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d626845e0-false-d626851e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.3">
      <extends rule="d627016e0-false-d627022e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d627016e0-false-d627022e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.6">
      <extends rule="d627135e0-false-d627141e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d627135e0-false-d627141e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.29/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.30
Item: (ORC_segment_Lab_algemeen)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.30">
      <extends rule="d627295e0-false-d627301e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Item) = ('1644') or not(@Item)">(ORC_segment_Lab_algemeen): de waarde van Item MOET '1644' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Type) = ('CNE') or not(@Type)">(ORC_segment_Lab_algemeen): de waarde van Type MOET 'CNE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@Table) = ('HL70483') or not(@Table)">(ORC_segment_Lab_algemeen): de waarde van Table MOET 'HL70483' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.7-2015-07-21T172057.html"
              test="string(@LongName) = ('Enterer Authorization Mode') or not(@LongName)">(ORC_segment_Lab_algemeen): de waarde van LongName MOET 'Enterer Authorization Mode' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.30
Item: (CNE_datatype)
-->
   <rule fpi="RULC-1" id="d627295e0-false-d627301e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="count(hl7v2:CNE.1) &lt;= 1">(CNE_datatype): element hl7v2:CNE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="count(hl7v2:CNE.2) &lt;= 1">(CNE_datatype): element hl7v2:CNE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="count(hl7v2:CNE.3) &lt;= 1">(CNE_datatype): element hl7v2:CNE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="count(hl7v2:CNE.4) &lt;= 1">(CNE_datatype): element hl7v2:CNE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="count(hl7v2:CNE.5) &lt;= 1">(CNE_datatype): element hl7v2:CNE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="count(hl7v2:CNE.6) &lt;= 1">(CNE_datatype): element hl7v2:CNE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="count(hl7v2:CNE.7) &lt;= 1">(CNE_datatype): element hl7v2:CNE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="count(hl7v2:CNE.8) &lt;= 1">(CNE_datatype): element hl7v2:CNE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="count(hl7v2:CNE.9) &lt;= 1">(CNE_datatype): element hl7v2:CNE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.1
Item: (CNE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CNE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.2
Item: (CNE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CNE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.3
Item: (CNE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.3">
      <extends rule="d627466e0-false-d627472e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CNE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CNE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CNE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d627466e0-false-d627472e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.4
Item: (CNE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CNE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.5
Item: (CNE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CNE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.6
Item: (CNE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.6">
      <extends rule="d627585e0-false-d627591e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CNE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CNE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CNE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d627585e0-false-d627591e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.7
Item: (CNE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CNE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.8
Item: (CNE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CNE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.9
Item: (CNE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CNE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:ORC/hl7v2:ORC.30/hl7v2:CNE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.1) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.2) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.3) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.4) &gt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.4 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.4) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.5) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.6) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.7) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.8) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.9) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.11) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.12) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.13) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.14) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.15) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.18) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.19) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.20) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.21) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.22) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.23) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.23 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.24) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.24 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.25) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.25 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.26) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.26 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.29) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.29 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.30) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.30 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.32) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.32 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.36) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.36 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.37) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.37 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.40) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.40 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.41) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.41 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.42) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.42 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.44) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.44 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.48) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.48 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="count(hl7v2:OBR.49) &lt;= 1">(OBR_segment_Lab2Lab_aanvraag): element hl7v2:OBR.49 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.1
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('237') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '237' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('SI') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Set ID - OBR') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Set ID - OBR' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.2
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.2">
      <extends rule="d628075e0-false-d628081e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('216') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '216' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('EI') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Placer Order Number') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Placer Order Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d628075e0-false-d628081e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.2/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.2/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.2/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.2/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.2/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.2/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.2/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.2/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.2/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.2/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.2/hl7v2:EI.4">
      <extends rule="d628251e0-false-d628257e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.2/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d628251e0-false-d628257e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.3
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.3">
      <extends rule="d628303e0-false-d628309e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('217') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '217' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('EI') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Filler Order Number') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Filler Order Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d628303e0-false-d628309e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.3/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.3/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.3/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.3/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.3/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.3/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.3/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.3/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.3/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.3/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.3/hl7v2:EI.4">
      <extends rule="d628479e0-false-d628485e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.3/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d628479e0-false-d628485e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.4
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.4">
      <extends rule="d628538e0-false-d628544e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('238') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '238' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Universal Service Identifier') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Universal Service Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d628538e0-false-d628544e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.1' and @codeSystemName='LN')">(CE_datatype): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.6.1' codeSystemName='LN''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.3">
      <extends rule="d628695e0-false-d628701e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d628695e0-false-d628701e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.6">
      <extends rule="d628814e0-false-d628820e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.4/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d628814e0-false-d628820e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.5
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.5">
      <extends rule="d628866e0-false-d628872e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('239') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '239' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Priority _ OBR') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Priority _ OBR' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d628866e0-false-d628872e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.6
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.6">
      <extends rule="d628917e0-false-d628923e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('240') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '240' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Requested Date/Time') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Requested Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.6
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d628917e0-false-d628923e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.6/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.6/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.6/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.6/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.6/hl7v2:TS.2">
      <extends rule="d629005e0-false-d629011e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.6/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d629005e0-false-d629011e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.7
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.7">
      <extends rule="d629057e0-false-d629063e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('241') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '241' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Observation Date/Time') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Observation Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.7
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d629057e0-false-d629063e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.7/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.7/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.7/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.7/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.7/hl7v2:TS.2">
      <extends rule="d629145e0-false-d629151e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.7/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d629145e0-false-d629151e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.8
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.8">
      <extends rule="d629197e0-false-d629203e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('242') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '242' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Observation End Date/Time') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Observation End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.8
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d629197e0-false-d629203e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.8/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.8/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.8/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.8/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.8/hl7v2:TS.2">
      <extends rule="d629285e0-false-d629291e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.8/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d629285e0-false-d629291e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.9
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.9">
      <extends rule="d629337e0-false-d629343e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('243') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '243' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('CQ') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CQ' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Collection Volume') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Collection Volume' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.9
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1" id="d629337e0-false-d629343e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.1) &lt;= 1">(CQ_datatype): element hl7v2:CQ.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.2) &lt;= 1">(CQ_datatype): element hl7v2:CQ.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.1
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2">
      <extends rule="d629419e0-false-d629425e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d629419e0-false-d629425e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.3">
      <extends rule="d629569e0-false-d629575e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d629569e0-false-d629575e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.6">
      <extends rule="d629688e0-false-d629694e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.9/hl7v2:CQ.2/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d629688e0-false-d629694e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10">
      <extends rule="d629741e0-false-d629747e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('244') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '244' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('XCN') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Collector Identifier') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Collector Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d629741e0-false-d629747e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2">
      <extends rule="d629970e0-false-d629976e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d629970e0-false-d629976e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.9">
      <extends rule="d630432e0-false-d630438e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d630432e0-false-d630438e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d630567e0-false-d630573e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d630567e0-false-d630573e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.10">
      <extends rule="d630619e0-false-d630625e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d630619e0-false-d630625e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.12">
      <extends rule="d630704e0-false-d630710e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d630704e0-false-d630710e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.13">
      <extends rule="d630755e0-false-d630761e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d630755e0-false-d630761e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.14">
      <extends rule="d630800e0-false-d630806e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d630800e0-false-d630806e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d630935e0-false-d630941e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d630935e0-false-d630941e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.15">
      <extends rule="d630987e0-false-d630993e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d630987e0-false-d630993e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16">
      <extends rule="d631038e0-false-d631044e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d631038e0-false-d631044e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d631188e0-false-d631194e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d631188e0-false-d631194e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d631307e0-false-d631313e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d631307e0-false-d631313e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17">
      <extends rule="d631353e0-false-d631359e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d631353e0-false-d631359e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d631401e0-false-d631407e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d631401e0-false-d631407e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d631489e0-false-d631495e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d631489e0-false-d631495e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d631535e0-false-d631541e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d631535e0-false-d631541e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d631623e0-false-d631629e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d631623e0-false-d631629e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.18">
      <extends rule="d631676e0-false-d631682e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d631676e0-false-d631682e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.19">
      <extends rule="d631721e0-false-d631727e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d631721e0-false-d631727e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d631809e0-false-d631815e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d631809e0-false-d631815e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.20">
      <extends rule="d631855e0-false-d631861e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d631855e0-false-d631861e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d631943e0-false-d631949e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d631943e0-false-d631949e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22">
      <extends rule="d632023e0-false-d632029e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d632023e0-false-d632029e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d632194e0-false-d632200e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d632194e0-false-d632200e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d632313e0-false-d632319e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d632313e0-false-d632319e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23">
      <extends rule="d632461e0-false-d632467e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d632461e0-false-d632467e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d632632e0-false-d632638e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d632632e0-false-d632638e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d632751e0-false-d632757e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d632751e0-false-d632757e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.10/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.11
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.11">
      <extends rule="d632912e0-false-d632918e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('245') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '245' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Table) = ('HL70065') or not(@Table)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70065' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Specimen Action Code') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Specimen Action Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d632912e0-false-d632918e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.12
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.12">
      <extends rule="d632963e0-false-d632969e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('246') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '246' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Danger Code') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Danger Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.12
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d632963e0-false-d632969e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.3">
      <extends rule="d633113e0-false-d633119e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d633113e0-false-d633119e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.6">
      <extends rule="d633232e0-false-d633238e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.12/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d633232e0-false-d633238e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.13
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('247') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '247' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Relevant Clinical Information') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Relevant Clinical Information' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.13
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.14
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.14">
      <extends rule="d633324e0-false-d633330e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('248') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '248' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Specimen Received Date/Time') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Specimen Received Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d633324e0-false-d633330e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.14/hl7v2:TS.2">
      <extends rule="d633412e0-false-d633418e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d633412e0-false-d633418e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15">
      <extends rule="d633464e0-false-d633470e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('249') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '249' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('SPS') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'SPS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Specimen Source') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Specimen Source' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.61
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15
Item: (SPS_datatype)
-->
   <rule fpi="RULC-1" id="d633464e0-false-d633470e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="count(hl7v2:SPS.1) &lt;= 1">(SPS_datatype): element hl7v2:SPS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="count(hl7v2:SPS.2) &lt;= 1">(SPS_datatype): element hl7v2:SPS.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="count(hl7v2:SPS.3) &lt;= 1">(SPS_datatype): element hl7v2:SPS.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="count(hl7v2:SPS.4) &lt;= 1">(SPS_datatype): element hl7v2:SPS.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="count(hl7v2:SPS.5) &lt;= 1">(SPS_datatype): element hl7v2:SPS.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="count(hl7v2:SPS.6) &lt;= 1">(SPS_datatype): element hl7v2:SPS.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="count(hl7v2:SPS.7) &lt;= 1">(SPS_datatype): element hl7v2:SPS.7 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.61
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1
Item: (SPS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1">
      <extends rule="d633547e0-false-d633553e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPS_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@LongName) = ('Specimen Source Name or Code') or not(@LongName)">(SPS_datatype): de waarde van LongName MOET 'Specimen Source Name or Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d633547e0-false-d633553e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.3">
      <extends rule="d633718e0-false-d633724e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d633718e0-false-d633724e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.6">
      <extends rule="d633837e0-false-d633843e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d633837e0-false-d633843e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.1/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.61
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2
Item: (SPS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2">
      <extends rule="d633991e0-false-d633997e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPS_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Table) = ('HL70371') or not(@Table)">(SPS_datatype): de waarde van Table MOET 'HL70371' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@LongName) = ('Additives') or not(@LongName)">(SPS_datatype): de waarde van LongName MOET 'Additives' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d633991e0-false-d633997e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.3">
      <extends rule="d634162e0-false-d634168e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d634162e0-false-d634168e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.6">
      <extends rule="d634281e0-false-d634287e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d634281e0-false-d634287e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.2/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.61
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.3
Item: (SPS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Type) = ('TX') or not(@Type)">(SPS_datatype): de waarde van Type MOET 'TX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@LongName) = ('Specimen Collection Method') or not(@LongName)">(SPS_datatype): de waarde van LongName MOET 'Specimen Collection Method' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.3
Item: (TX_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.3/hl7v2:escape
Item: (TX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.3/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.65-2013-02-10T000000.html"
              test="@V">(TX_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.3/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.3/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.3/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.3/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.3/hl7v2:escape/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.3/hl7v2:escape/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.61
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4
Item: (SPS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4">
      <extends rule="d634549e0-false-d634555e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPS_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Table) = ('HL70163') or not(@Table)">(SPS_datatype): de waarde van Table MOET 'HL70163' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@LongName) = ('Body Site') or not(@LongName)">(SPS_datatype): de waarde van LongName MOET 'Body Site' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d634549e0-false-d634555e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.3">
      <extends rule="d634720e0-false-d634726e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d634720e0-false-d634726e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.6">
      <extends rule="d634839e0-false-d634845e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d634839e0-false-d634845e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.4/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.61
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5
Item: (SPS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5">
      <extends rule="d634993e0-false-d634999e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPS_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Table) = ('HL70495') or not(@Table)">(SPS_datatype): de waarde van Table MOET 'HL70495' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@LongName) = ('Site Modifier') or not(@LongName)">(SPS_datatype): de waarde van LongName MOET 'Site Modifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d634993e0-false-d634999e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.3">
      <extends rule="d635164e0-false-d635170e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d635164e0-false-d635170e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.6">
      <extends rule="d635283e0-false-d635289e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d635283e0-false-d635289e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.5/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.61
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6
Item: (SPS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6">
      <extends rule="d635431e0-false-d635437e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPS_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@LongName) = ('Collection Method Modifier Code') or not(@LongName)">(SPS_datatype): de waarde van LongName MOET 'Collection Method Modifier Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d635431e0-false-d635437e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.3">
      <extends rule="d635602e0-false-d635608e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d635602e0-false-d635608e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.6">
      <extends rule="d635721e0-false-d635727e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d635721e0-false-d635727e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.6/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.61
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7
Item: (SPS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7">
      <extends rule="d635875e0-false-d635881e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(SPS_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@Table) = ('HL70369') or not(@Table)">(SPS_datatype): de waarde van Table MOET 'HL70369' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.61-2013-02-10T000000.html"
              test="string(@LongName) = ('Specimen Role') or not(@LongName)">(SPS_datatype): de waarde van LongName MOET 'Specimen Role' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d635875e0-false-d635881e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.3">
      <extends rule="d636046e0-false-d636052e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d636046e0-false-d636052e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.6">
      <extends rule="d636165e0-false-d636171e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d636165e0-false-d636171e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.15/hl7v2:SPS.7/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16">
      <extends rule="d636320e0-false-d636326e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('226') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '226' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('XCN') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Ordering Provider') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Ordering Provider' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d636320e0-false-d636326e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2">
      <extends rule="d636549e0-false-d636555e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d636549e0-false-d636555e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.9">
      <extends rule="d637011e0-false-d637017e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d637011e0-false-d637017e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d637146e0-false-d637152e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d637146e0-false-d637152e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.10">
      <extends rule="d637198e0-false-d637204e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d637198e0-false-d637204e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.12">
      <extends rule="d637283e0-false-d637289e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d637283e0-false-d637289e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.13">
      <extends rule="d637334e0-false-d637340e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d637334e0-false-d637340e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.14">
      <extends rule="d637379e0-false-d637385e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d637379e0-false-d637385e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d637514e0-false-d637520e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d637514e0-false-d637520e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.15">
      <extends rule="d637566e0-false-d637572e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d637566e0-false-d637572e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16">
      <extends rule="d637617e0-false-d637623e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d637617e0-false-d637623e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d637767e0-false-d637773e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d637767e0-false-d637773e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d637886e0-false-d637892e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d637886e0-false-d637892e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17">
      <extends rule="d637932e0-false-d637938e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d637932e0-false-d637938e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d637980e0-false-d637986e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d637980e0-false-d637986e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d638068e0-false-d638074e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d638068e0-false-d638074e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d638114e0-false-d638120e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d638114e0-false-d638120e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d638202e0-false-d638208e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d638202e0-false-d638208e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.18">
      <extends rule="d638255e0-false-d638261e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d638255e0-false-d638261e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.19">
      <extends rule="d638300e0-false-d638306e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d638300e0-false-d638306e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d638388e0-false-d638394e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d638388e0-false-d638394e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.20">
      <extends rule="d638434e0-false-d638440e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d638434e0-false-d638440e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d638522e0-false-d638528e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d638522e0-false-d638528e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22">
      <extends rule="d638602e0-false-d638608e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d638602e0-false-d638608e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d638773e0-false-d638779e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d638773e0-false-d638779e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d638892e0-false-d638898e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d638892e0-false-d638898e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23">
      <extends rule="d639040e0-false-d639046e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d639040e0-false-d639046e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d639211e0-false-d639217e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d639211e0-false-d639217e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d639330e0-false-d639336e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d639330e0-false-d639336e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17">
      <extends rule="d639485e0-false-d639491e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('250') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '250' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('XTN') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'XTN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Order Callback Phone Number') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Order Callback Phone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1" id="d639485e0-false-d639491e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.1) &lt;= 1">(XTN_datatype): element hl7v2:XTN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.2) &lt;= 1">(XTN_datatype): element hl7v2:XTN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.3) &lt;= 1">(XTN_datatype): element hl7v2:XTN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.4) &lt;= 1">(XTN_datatype): element hl7v2:XTN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.5) &lt;= 1">(XTN_datatype): element hl7v2:XTN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.6) &lt;= 1">(XTN_datatype): element hl7v2:XTN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.7) &lt;= 1">(XTN_datatype): element hl7v2:XTN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.8) &lt;= 1">(XTN_datatype): element hl7v2:XTN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.9) &lt;= 1">(XTN_datatype): element hl7v2:XTN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.10) &lt;= 1">(XTN_datatype): element hl7v2:XTN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.11) &lt;= 1">(XTN_datatype): element hl7v2:XTN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="count(hl7v2:XTN.12) &lt;= 1">(XTN_datatype): element hl7v2:XTN.12 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.1
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telephone Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telephone Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.2
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.2">
      <extends rule="d639643e0-false-d639649e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70201') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70201' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Use Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Use Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d639643e0-false-d639649e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.3
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.3">
      <extends rule="d639694e0-false-d639700e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Table) = ('HL70202') or not(@Table)">(XTN_datatype): de waarde van Table MOET 'HL70202' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Telecommunication Equipment Type') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Telecommunication Equipment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d639694e0-false-d639700e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.4
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Email Address') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Email Address' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.5
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Country Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Country Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.6
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Area/City Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Area/City Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.6
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.7
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Local Number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Local Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.7
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.8
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.8
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.9
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Any Text') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Any Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.10
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Extension Prefix') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Extension Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.11
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Speed Dial Code') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Speed Dial Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.77
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.12
Item: (XTN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XTN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.77-2013-02-10T000000.html"
              test="string(@LongName) = ('Unformatted Telephone number') or not(@LongName)">(XTN_datatype): de waarde van LongName MOET 'Unformatted Telephone number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.17/hl7v2:XTN.12
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.18
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.18">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('251') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '251' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Placer Field 1') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Placer Field 1' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.18
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.19
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.19">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('252') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '252' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Placer Field 2') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Placer Field 2' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.19
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.20
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.20">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('253') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '253' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Filler Field 1') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Filler Field 1' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.20
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.21
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('254') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '254' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Filler Field 2') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Filler Field 2' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.22
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.22">
      <extends rule="d640212e0-false-d640218e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('255') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '255' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Results Rpt/Status Chng - Date/Time') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Results Rpt/Status Chng - Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.22
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d640212e0-false-d640218e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.22/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.22/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.22/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.22/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.22/hl7v2:TS.2">
      <extends rule="d640300e0-false-d640306e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.22/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d640300e0-false-d640306e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23">
      <extends rule="d640352e0-false-d640358e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('256') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '256' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('MOC') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'MOC' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Charge to Practice') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Charge to Practice' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.34
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23
Item: (MOC_datatype)
-->
   <rule fpi="RULC-1" id="d640352e0-false-d640358e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.34-2013-02-10T000000.html"
              test="count(hl7v2:MOC.1) &lt;= 1">(MOC_datatype): element hl7v2:MOC.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.34-2013-02-10T000000.html"
              test="count(hl7v2:MOC.2) &lt;= 1">(MOC_datatype): element hl7v2:MOC.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.34
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.1
Item: (MOC_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.1">
      <extends rule="d640400e0-false-d640406e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.34-2013-02-10T000000.html"
              test="string(@Type) = ('MO') or not(@Type)">(MOC_datatype): de waarde van Type MOET 'MO' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.34-2013-02-10T000000.html"
              test="string(@LongName) = ('Monetary Amount') or not(@LongName)">(MOC_datatype): de waarde van LongName MOET 'Monetary Amount' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.1
Item: (MO_datatype)
-->
   <rule fpi="RULC-1" id="d640400e0-false-d640406e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="count(hl7v2:MO.1) &lt;= 1">(MO_datatype): element hl7v2:MO.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="count(hl7v2:MO.2) &lt;= 1">(MO_datatype): element hl7v2:MO.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.1/hl7v2:MO.1
Item: (MO_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.1/hl7v2:MO.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(MO_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(MO_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.1/hl7v2:MO.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.1/hl7v2:MO.2
Item: (MO_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.1/hl7v2:MO.2">
      <extends rule="d640482e0-false-d640488e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(MO_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Denomination') or not(@LongName)">(MO_datatype): de waarde van LongName MOET 'Denomination' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.1/hl7v2:MO.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d640482e0-false-d640488e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.34
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2
Item: (MOC_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2">
      <extends rule="d640528e0-false-d640534e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.34-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(MOC_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.34-2013-02-10T000000.html"
              test="string(@LongName) = ('Charge Code') or not(@LongName)">(MOC_datatype): de waarde van LongName MOET 'Charge Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d640528e0-false-d640534e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.3">
      <extends rule="d640678e0-false-d640684e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d640678e0-false-d640684e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.6">
      <extends rule="d640797e0-false-d640803e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.23/hl7v2:MOC.2/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d640797e0-false-d640803e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.24
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.24">
      <extends rule="d640856e0-false-d640862e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('257') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '257' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Table) = ('HL70074') or not(@Table)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70074' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Diagnostic Serv Sect ID') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Diagnostic Serv Sect ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.24
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d640856e0-false-d640862e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.25
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.25">
      <extends rule="d640913e0-false-d640919e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('258') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '258' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Table) = ('HL70123') or not(@Table)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70123' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Result Status') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Result Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.25
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d640913e0-false-d640919e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26">
      <extends rule="d640964e0-false-d640970e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('259') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '259' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('PRL') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'PRL' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Parent Result') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Parent Result' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26
Item: (PRL_datatype)
-->
   <rule fpi="RULC-1" id="d640964e0-false-d640970e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.47-2013-02-10T000000.html"
              test="count(hl7v2:PRL.1) &lt;= 1">(PRL_datatype): element hl7v2:PRL.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.47-2013-02-10T000000.html"
              test="count(hl7v2:PRL.2) &lt;= 1">(PRL_datatype): element hl7v2:PRL.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.47-2013-02-10T000000.html"
              test="count(hl7v2:PRL.3) &lt;= 1">(PRL_datatype): element hl7v2:PRL.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1
Item: (PRL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1">
      <extends rule="d641019e0-false-d641025e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.47-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(PRL_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.47-2013-02-10T000000.html"
              test="string(@LongName) = ('Parent Observation Identifier') or not(@LongName)">(PRL_datatype): de waarde van LongName MOET 'Parent Observation Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d641019e0-false-d641025e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.3">
      <extends rule="d641169e0-false-d641175e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d641169e0-false-d641175e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.6">
      <extends rule="d641288e0-false-d641294e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.1/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d641288e0-false-d641294e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.2
Item: (PRL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.47-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(PRL_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.47-2013-02-10T000000.html"
              test="string(@LongName) = ('Parent Observation Sub-identifier') or not(@LongName)">(PRL_datatype): de waarde van LongName MOET 'Parent Observation Sub-identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.47
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.3
Item: (PRL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.47-2013-02-10T000000.html"
              test="string(@Type) = ('TX') or not(@Type)">(PRL_datatype): de waarde van Type MOET 'TX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.47-2013-02-10T000000.html"
              test="string(@LongName) = ('Parent Observation Value Descriptor') or not(@LongName)">(PRL_datatype): de waarde van LongName MOET 'Parent Observation Value Descriptor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.3
Item: (TX_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.3/hl7v2:escape
Item: (TX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.3/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.65-2013-02-10T000000.html"
              test="@V">(TX_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.3/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.3/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.3/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.3/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.3/hl7v2:escape/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.26/hl7v2:PRL.3/hl7v2:escape/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27">
      <extends rule="d641489e0-false-d641495e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('221') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '221' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('TQ') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'TQ' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Quantity/Timing') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Quantity/Timing' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1" id="d641489e0-false-d641495e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.1) &lt;= 1">(TQ_datatype): element hl7v2:TQ.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.2) &lt;= 1">(TQ_datatype): element hl7v2:TQ.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.3) &lt;= 1">(TQ_datatype): element hl7v2:TQ.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.4) &lt;= 1">(TQ_datatype): element hl7v2:TQ.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.5) &lt;= 1">(TQ_datatype): element hl7v2:TQ.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.6) &lt;= 1">(TQ_datatype): element hl7v2:TQ.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.7) &lt;= 1">(TQ_datatype): element hl7v2:TQ.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.8) &lt;= 1">(TQ_datatype): element hl7v2:TQ.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.9) &lt;= 1">(TQ_datatype): element hl7v2:TQ.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.10) &lt;= 1">(TQ_datatype): element hl7v2:TQ.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.11) &lt;= 1">(TQ_datatype): element hl7v2:TQ.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="count(hl7v2:TQ.12) &lt;= 1">(TQ_datatype): element hl7v2:TQ.12 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1">
      <extends rule="d641607e0-false-d641613e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('CQ') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'CQ' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1" id="d641607e0-false-d641613e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.1) &lt;= 1">(CQ_datatype): element hl7v2:CQ.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.2) &lt;= 1">(CQ_datatype): element hl7v2:CQ.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.1
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2">
      <extends rule="d641689e0-false-d641695e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d641689e0-false-d641695e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.3">
      <extends rule="d641839e0-false-d641845e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d641839e0-false-d641845e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.6">
      <extends rule="d641958e0-false-d641964e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.1/hl7v2:CQ.2/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d641958e0-false-d641964e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.2
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.2">
      <extends rule="d642005e0-false-d642011e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('RI') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'RI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Interval') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Interval' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.54
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.2
Item: (RI_datatype)
-->
   <rule fpi="RULC-1" id="d642005e0-false-d642011e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.54-2013-02-10T000000.html"
              test="count(hl7v2:RI.1) &lt;= 1">(RI_datatype): element hl7v2:RI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.54-2013-02-10T000000.html"
              test="count(hl7v2:RI.2) &lt;= 1">(RI_datatype): element hl7v2:RI.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.54
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.2/hl7v2:RI.1
Item: (RI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.2/hl7v2:RI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.54-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(RI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.54-2013-02-10T000000.html"
              test="string(@Table) = ('HL70335') or not(@Table)">(RI_datatype): de waarde van Table MOET 'HL70335' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.54-2013-02-10T000000.html"
              test="string(@LongName) = ('Repeat Pattern') or not(@LongName)">(RI_datatype): de waarde van LongName MOET 'Repeat Pattern' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.2/hl7v2:RI.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.54
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.2/hl7v2:RI.2
Item: (RI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.2/hl7v2:RI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.54-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(RI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.54-2013-02-10T000000.html"
              test="string(@LongName) = ('Explicit Time Interval') or not(@LongName)">(RI_datatype): de waarde van LongName MOET 'Explicit Time Interval' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.2/hl7v2:RI.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.3
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Duration') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Duration' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.4
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.4">
      <extends rule="d642162e0-false-d642168e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Start Date/Time') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.4
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d642162e0-false-d642168e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.4/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.4/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.4/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.4/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.4/hl7v2:TS.2">
      <extends rule="d642250e0-false-d642256e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.4/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d642250e0-false-d642256e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.5
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.5">
      <extends rule="d642296e0-false-d642302e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('End Date/Time') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.5
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d642296e0-false-d642302e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.5/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.5/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.5/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.5/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.5/hl7v2:TS.2">
      <extends rule="d642384e0-false-d642390e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.5/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d642384e0-false-d642390e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.6
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Priority') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Priority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.7
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Condition') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Condition' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.8
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('TX') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'TX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.8
Item: (TX_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.8/hl7v2:escape
Item: (TX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.8/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.65-2013-02-10T000000.html"
              test="@V">(TX_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.8/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.8/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.8/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.8/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.8/hl7v2:escape/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.8/hl7v2:escape/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.9
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.9">
      <extends rule="d642618e0-false-d642624e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Table) = ('HL70472') or not(@Table)">(TQ_datatype): de waarde van Table MOET 'HL70472' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Conjunction') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Conjunction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.9
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d642618e0-false-d642624e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10">
      <extends rule="d642663e0-false-d642669e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('OSD') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'OSD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Order Sequencing') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Order Sequencing' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1" id="d642663e0-false-d642669e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.1) &lt;= 1">(OSD_datatype): element hl7v2:OSD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.2) &lt;= 1">(OSD_datatype): element hl7v2:OSD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.3) &lt;= 1">(OSD_datatype): element hl7v2:OSD.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.4) &lt;= 1">(OSD_datatype): element hl7v2:OSD.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.5) &lt;= 1">(OSD_datatype): element hl7v2:OSD.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.6) &lt;= 1">(OSD_datatype): element hl7v2:OSD.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.7) &lt;= 1">(OSD_datatype): element hl7v2:OSD.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.8) &lt;= 1">(OSD_datatype): element hl7v2:OSD.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.9) &lt;= 1">(OSD_datatype): element hl7v2:OSD.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.10) &lt;= 1">(OSD_datatype): element hl7v2:OSD.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="count(hl7v2:OSD.11) &lt;= 1">(OSD_datatype): element hl7v2:OSD.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.1
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.1">
      <extends rule="d642780e0-false-d642786e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Table) = ('HL70524') or not(@Table)">(OSD_datatype): de waarde van Table MOET 'HL70524' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Sequence/Results Flag') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Sequence/Results Flag' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.1
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d642780e0-false-d642786e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.2
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Placer Order Number: Entity Identifier') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Placer Order Number: Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.3
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(OSD_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Placer Order Number: Namespace ID') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Placer Order Number: Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.3
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.4
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Filler Order Number: Entity Identifier') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Filler Order Number: Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.5
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(OSD_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Filler Order Number: Namespace ID') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Filler Order Number: Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.5
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.6
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Sequence Condition Value') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Sequence Condition Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.7
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Maximum Number of Repeats') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Maximum Number of Repeats' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.7
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.8
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Placer Order Number: Universal ID') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Placer Order Number: Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.9
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.9">
      <extends rule="d643081e0-false-d643087e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(OSD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Placer Order Number: Universal ID Type') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Placer Order Number: Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.9
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d643081e0-false-d643087e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.10
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Filler Order Number: Universal ID') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Filler Order Number: Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.41
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.11
Item: (OSD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.11">
      <extends rule="d643166e0-false-d643172e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OSD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(OSD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.41-2013-02-10T000000.html"
              test="string(@LongName) = ('Filler Order Number: Universal ID Type') or not(@LongName)">(OSD_datatype): de waarde van LongName MOET 'Filler Order Number: Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.10/hl7v2:OSD.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d643166e0-false-d643172e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11">
      <extends rule="d643212e0-false-d643218e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Occurrence Duration') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Occurrence Duration' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d643212e0-false-d643218e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.3">
      <extends rule="d643362e0-false-d643368e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d643362e0-false-d643368e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.6">
      <extends rule="d643481e0-false-d643487e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.11/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d643481e0-false-d643487e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.63
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.12
Item: (TQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.12">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(TQ_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.63-2013-02-10T000000.html"
              test="string(@LongName) = ('Total Occurrences') or not(@LongName)">(TQ_datatype): de waarde van LongName MOET 'Total Occurrences' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.27/hl7v2:TQ.12
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28">
      <extends rule="d643568e0-false-d643574e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('260') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '260' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('XCN') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Result Copies To') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Result Copies To' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d643568e0-false-d643574e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2">
      <extends rule="d643797e0-false-d643803e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d643797e0-false-d643803e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.9">
      <extends rule="d644259e0-false-d644265e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d644259e0-false-d644265e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d644394e0-false-d644400e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d644394e0-false-d644400e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.10">
      <extends rule="d644446e0-false-d644452e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d644446e0-false-d644452e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.12">
      <extends rule="d644531e0-false-d644537e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d644531e0-false-d644537e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.13">
      <extends rule="d644582e0-false-d644588e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d644582e0-false-d644588e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.14">
      <extends rule="d644627e0-false-d644633e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d644627e0-false-d644633e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d644762e0-false-d644768e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d644762e0-false-d644768e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.15">
      <extends rule="d644814e0-false-d644820e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d644814e0-false-d644820e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16">
      <extends rule="d644865e0-false-d644871e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d644865e0-false-d644871e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d645015e0-false-d645021e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d645015e0-false-d645021e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d645134e0-false-d645140e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d645134e0-false-d645140e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17">
      <extends rule="d645180e0-false-d645186e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d645180e0-false-d645186e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d645228e0-false-d645234e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d645228e0-false-d645234e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d645316e0-false-d645322e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d645316e0-false-d645322e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d645362e0-false-d645368e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d645362e0-false-d645368e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d645450e0-false-d645456e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d645450e0-false-d645456e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.18">
      <extends rule="d645503e0-false-d645509e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d645503e0-false-d645509e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.19">
      <extends rule="d645548e0-false-d645554e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d645548e0-false-d645554e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d645636e0-false-d645642e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d645636e0-false-d645642e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.20">
      <extends rule="d645682e0-false-d645688e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d645682e0-false-d645688e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d645770e0-false-d645776e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d645770e0-false-d645776e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22">
      <extends rule="d645850e0-false-d645856e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d645850e0-false-d645856e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d646021e0-false-d646027e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d646021e0-false-d646027e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d646140e0-false-d646146e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d646140e0-false-d646146e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23">
      <extends rule="d646288e0-false-d646294e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d646288e0-false-d646294e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d646459e0-false-d646465e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d646459e0-false-d646465e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d646578e0-false-d646584e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d646578e0-false-d646584e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.28/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29">
      <extends rule="d646733e0-false-d646739e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('261') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '261' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('EIP') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'EIP' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Parent') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Parent' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29
Item: (EIP_datatype)
-->
   <rule fpi="RULC-1" id="d646733e0-false-d646739e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="count(hl7v2:EIP.1) &lt;= 1">(EIP_datatype): element hl7v2:EIP.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="count(hl7v2:EIP.2) &lt;= 1">(EIP_datatype): element hl7v2:EIP.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.1
Item: (EIP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.1">
      <extends rule="d646781e0-false-d646787e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(EIP_datatype): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="string(@LongName) = ('Placer Assigned Identifier') or not(@LongName)">(EIP_datatype): de waarde van LongName MOET 'Placer Assigned Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d646781e0-false-d646787e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.1/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.1/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.1/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.1/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.1/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.1/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.1/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.1/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.1/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.1/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.1/hl7v2:EI.4">
      <extends rule="d646957e0-false-d646963e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.1/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d646957e0-false-d646963e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.22
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.2
Item: (EIP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.2">
      <extends rule="d647003e0-false-d647009e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(EIP_datatype): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.22-2013-02-10T000000.html"
              test="string(@LongName) = ('Filler Assigned Identifier') or not(@LongName)">(EIP_datatype): de waarde van LongName MOET 'Filler Assigned Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d647003e0-false-d647009e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.2/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.2/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.2/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.2/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.2/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.2/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.2/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.2/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.2/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.2/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.2/hl7v2:EI.4">
      <extends rule="d647179e0-false-d647185e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.29/hl7v2:EIP.2/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d647179e0-false-d647185e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.30
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.30">
      <extends rule="d647238e0-false-d647244e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('262') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '262' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Table) = ('HL70124') or not(@Table)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70124' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Transportation Mode') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Transportation Mode' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.30
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d647238e0-false-d647244e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.31
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.31">
      <extends rule="d647289e0-false-d647295e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('263') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '263' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Reason for Study') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Reason for Study' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.31
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d647289e0-false-d647295e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.3">
      <extends rule="d647439e0-false-d647445e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d647439e0-false-d647445e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.6">
      <extends rule="d647558e0-false-d647564e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.31/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d647558e0-false-d647564e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32">
      <extends rule="d647610e0-false-d647616e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('264') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '264' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('NDL') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'NDL' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Principal Result Interpreter') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Principal Result Interpreter' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1" id="d647610e0-false-d647616e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.1) &lt;= 1">(NDL_datatype): element hl7v2:NDL.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.2) &lt;= 1">(NDL_datatype): element hl7v2:NDL.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.3) &lt;= 1">(NDL_datatype): element hl7v2:NDL.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.4) &lt;= 1">(NDL_datatype): element hl7v2:NDL.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.5) &lt;= 1">(NDL_datatype): element hl7v2:NDL.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.6) &lt;= 1">(NDL_datatype): element hl7v2:NDL.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.7) &lt;= 1">(NDL_datatype): element hl7v2:NDL.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.8) &lt;= 1">(NDL_datatype): element hl7v2:NDL.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.9) &lt;= 1">(NDL_datatype): element hl7v2:NDL.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.10) &lt;= 1">(NDL_datatype): element hl7v2:NDL.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.11) &lt;= 1">(NDL_datatype): element hl7v2:NDL.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1">
      <extends rule="d647721e0-false-d647727e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('CNN') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'CNN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Name') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1" id="d647721e0-false-d647727e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.1) &lt;= 1">(CNN_datatype): element hl7v2:CNN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.2) &lt;= 1">(CNN_datatype): element hl7v2:CNN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.3) &lt;= 1">(CNN_datatype): element hl7v2:CNN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.4) &lt;= 1">(CNN_datatype): element hl7v2:CNN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.5) &lt;= 1">(CNN_datatype): element hl7v2:CNN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.6) &lt;= 1">(CNN_datatype): element hl7v2:CNN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.7) &lt;= 1">(CNN_datatype): element hl7v2:CNN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.8) &lt;= 1">(CNN_datatype): element hl7v2:CNN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.9) &lt;= 1">(CNN_datatype): element hl7v2:CNN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.10) &lt;= 1">(CNN_datatype): element hl7v2:CNN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.11) &lt;= 1">(CNN_datatype): element hl7v2:CNN.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.1
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.2
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.3
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.4
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.5
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.6
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.7
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Degree (e.g., MD' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.8
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.9
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority - Namespace ID') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Assigning Authority - Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.10
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority - Universal ID') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Assigning Authority - Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.11
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.11">
      <extends rule="d648196e0-false-d648202e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority - Universal ID Type') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Assigning Authority - Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.1/hl7v2:CNN.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d648196e0-false-d648202e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.2
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.2">
      <extends rule="d648242e0-false-d648248e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Start Date/time') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Start Date/time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d648242e0-false-d648248e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.2/hl7v2:TS.2">
      <extends rule="d648330e0-false-d648336e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d648330e0-false-d648336e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.3
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.3">
      <extends rule="d648376e0-false-d648382e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('End Date/time') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'End Date/time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.3
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d648376e0-false-d648382e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.3/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.3/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.3/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.3/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.3/hl7v2:TS.2">
      <extends rule="d648464e0-false-d648470e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.3/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d648464e0-false-d648470e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.4
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70302') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70302' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Point of Care') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Point of Care' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.4
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.5
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70303') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70303' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Room') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Room' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.5
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.6
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70304') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70304' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Bed') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Bed' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.7
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.7">
      <extends rule="d648630e0-false-d648636e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Facility') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.7
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d648630e0-false-d648636e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.7/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.7/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.7/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.7/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.7/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.7/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.7/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.7/hl7v2:HD.3">
      <extends rule="d648765e0-false-d648771e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.7/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d648765e0-false-d648771e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.8
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70306') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70306' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Status') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Location Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.9
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70305') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70305' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Patient Location Type') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Patient Location Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.10
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70307') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70307' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Building') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Building' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.10
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.11
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70308') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70308' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Floor') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Floor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.32/hl7v2:NDL.11
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33">
      <extends rule="d648978e0-false-d648984e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('265') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '265' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('NDL') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'NDL' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Assistant Result Interpreter') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Assistant Result Interpreter' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1" id="d648978e0-false-d648984e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.1) &lt;= 1">(NDL_datatype): element hl7v2:NDL.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.2) &lt;= 1">(NDL_datatype): element hl7v2:NDL.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.3) &lt;= 1">(NDL_datatype): element hl7v2:NDL.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.4) &lt;= 1">(NDL_datatype): element hl7v2:NDL.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.5) &lt;= 1">(NDL_datatype): element hl7v2:NDL.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.6) &lt;= 1">(NDL_datatype): element hl7v2:NDL.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.7) &lt;= 1">(NDL_datatype): element hl7v2:NDL.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.8) &lt;= 1">(NDL_datatype): element hl7v2:NDL.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.9) &lt;= 1">(NDL_datatype): element hl7v2:NDL.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.10) &lt;= 1">(NDL_datatype): element hl7v2:NDL.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.11) &lt;= 1">(NDL_datatype): element hl7v2:NDL.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1">
      <extends rule="d649089e0-false-d649095e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('CNN') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'CNN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Name') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1" id="d649089e0-false-d649095e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.1) &lt;= 1">(CNN_datatype): element hl7v2:CNN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.2) &lt;= 1">(CNN_datatype): element hl7v2:CNN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.3) &lt;= 1">(CNN_datatype): element hl7v2:CNN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.4) &lt;= 1">(CNN_datatype): element hl7v2:CNN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.5) &lt;= 1">(CNN_datatype): element hl7v2:CNN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.6) &lt;= 1">(CNN_datatype): element hl7v2:CNN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.7) &lt;= 1">(CNN_datatype): element hl7v2:CNN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.8) &lt;= 1">(CNN_datatype): element hl7v2:CNN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.9) &lt;= 1">(CNN_datatype): element hl7v2:CNN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.10) &lt;= 1">(CNN_datatype): element hl7v2:CNN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.11) &lt;= 1">(CNN_datatype): element hl7v2:CNN.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.1
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.2
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.3
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.4
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.5
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.6
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.7
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Degree (e.g., MD' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.8
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.9
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority - Namespace ID') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Assigning Authority - Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.10
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority - Universal ID') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Assigning Authority - Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.11
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.11">
      <extends rule="d649564e0-false-d649570e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority - Universal ID Type') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Assigning Authority - Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.1/hl7v2:CNN.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d649564e0-false-d649570e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.2
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.2">
      <extends rule="d649610e0-false-d649616e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Start Date/time') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Start Date/time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d649610e0-false-d649616e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.2/hl7v2:TS.2">
      <extends rule="d649698e0-false-d649704e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d649698e0-false-d649704e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.3
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.3">
      <extends rule="d649744e0-false-d649750e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('End Date/time') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'End Date/time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.3
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d649744e0-false-d649750e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.3/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.3/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.3/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.3/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.3/hl7v2:TS.2">
      <extends rule="d649832e0-false-d649838e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.3/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d649832e0-false-d649838e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.4
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70302') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70302' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Point of Care') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Point of Care' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.4
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.5
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70303') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70303' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Room') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Room' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.5
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.6
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70304') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70304' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Bed') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Bed' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.7
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.7">
      <extends rule="d649998e0-false-d650004e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Facility') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.7
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d649998e0-false-d650004e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.7/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.7/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.7/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.7/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.7/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.7/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.7/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.7/hl7v2:HD.3">
      <extends rule="d650133e0-false-d650139e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.7/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d650133e0-false-d650139e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.8
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70306') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70306' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Status') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Location Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.9
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70305') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70305' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Patient Location Type') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Patient Location Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.10
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70307') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70307' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Building') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Building' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.10
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.11
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70308') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70308' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Floor') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Floor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.33/hl7v2:NDL.11
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34">
      <extends rule="d650346e0-false-d650352e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('266') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '266' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('NDL') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'NDL' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Technician') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Technician' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1" id="d650346e0-false-d650352e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.1) &lt;= 1">(NDL_datatype): element hl7v2:NDL.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.2) &lt;= 1">(NDL_datatype): element hl7v2:NDL.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.3) &lt;= 1">(NDL_datatype): element hl7v2:NDL.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.4) &lt;= 1">(NDL_datatype): element hl7v2:NDL.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.5) &lt;= 1">(NDL_datatype): element hl7v2:NDL.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.6) &lt;= 1">(NDL_datatype): element hl7v2:NDL.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.7) &lt;= 1">(NDL_datatype): element hl7v2:NDL.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.8) &lt;= 1">(NDL_datatype): element hl7v2:NDL.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.9) &lt;= 1">(NDL_datatype): element hl7v2:NDL.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.10) &lt;= 1">(NDL_datatype): element hl7v2:NDL.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.11) &lt;= 1">(NDL_datatype): element hl7v2:NDL.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1">
      <extends rule="d650457e0-false-d650463e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('CNN') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'CNN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Name') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1" id="d650457e0-false-d650463e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.1) &lt;= 1">(CNN_datatype): element hl7v2:CNN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.2) &lt;= 1">(CNN_datatype): element hl7v2:CNN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.3) &lt;= 1">(CNN_datatype): element hl7v2:CNN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.4) &lt;= 1">(CNN_datatype): element hl7v2:CNN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.5) &lt;= 1">(CNN_datatype): element hl7v2:CNN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.6) &lt;= 1">(CNN_datatype): element hl7v2:CNN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.7) &lt;= 1">(CNN_datatype): element hl7v2:CNN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.8) &lt;= 1">(CNN_datatype): element hl7v2:CNN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.9) &lt;= 1">(CNN_datatype): element hl7v2:CNN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.10) &lt;= 1">(CNN_datatype): element hl7v2:CNN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.11) &lt;= 1">(CNN_datatype): element hl7v2:CNN.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.1
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.2
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.3
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.4
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.5
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.6
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.7
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Degree (e.g., MD' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.8
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.9
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority - Namespace ID') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Assigning Authority - Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.10
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority - Universal ID') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Assigning Authority - Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.11
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.11">
      <extends rule="d650932e0-false-d650938e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority - Universal ID Type') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Assigning Authority - Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.1/hl7v2:CNN.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d650932e0-false-d650938e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.2
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.2">
      <extends rule="d650978e0-false-d650984e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Start Date/time') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Start Date/time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d650978e0-false-d650984e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.2/hl7v2:TS.2">
      <extends rule="d651066e0-false-d651072e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d651066e0-false-d651072e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.3
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.3">
      <extends rule="d651112e0-false-d651118e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('End Date/time') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'End Date/time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.3
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d651112e0-false-d651118e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.3/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.3/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.3/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.3/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.3/hl7v2:TS.2">
      <extends rule="d651200e0-false-d651206e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.3/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d651200e0-false-d651206e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.4
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70302') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70302' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Point of Care') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Point of Care' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.4
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.5
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70303') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70303' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Room') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Room' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.5
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.6
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70304') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70304' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Bed') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Bed' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.7
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.7">
      <extends rule="d651366e0-false-d651372e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Facility') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.7
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d651366e0-false-d651372e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.7/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.7/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.7/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.7/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.7/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.7/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.7/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.7/hl7v2:HD.3">
      <extends rule="d651501e0-false-d651507e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.7/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d651501e0-false-d651507e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.8
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70306') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70306' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Status') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Location Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.9
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70305') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70305' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Patient Location Type') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Patient Location Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.10
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70307') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70307' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Building') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Building' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.10
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.11
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70308') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70308' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Floor') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Floor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.34/hl7v2:NDL.11
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35">
      <extends rule="d651714e0-false-d651720e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('267') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '267' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('NDL') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'NDL' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Transcriptionist') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Transcriptionist' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1" id="d651714e0-false-d651720e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.1) &lt;= 1">(NDL_datatype): element hl7v2:NDL.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.2) &lt;= 1">(NDL_datatype): element hl7v2:NDL.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.3) &lt;= 1">(NDL_datatype): element hl7v2:NDL.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.4) &lt;= 1">(NDL_datatype): element hl7v2:NDL.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.5) &lt;= 1">(NDL_datatype): element hl7v2:NDL.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.6) &lt;= 1">(NDL_datatype): element hl7v2:NDL.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.7) &lt;= 1">(NDL_datatype): element hl7v2:NDL.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.8) &lt;= 1">(NDL_datatype): element hl7v2:NDL.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.9) &lt;= 1">(NDL_datatype): element hl7v2:NDL.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.10) &lt;= 1">(NDL_datatype): element hl7v2:NDL.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="count(hl7v2:NDL.11) &lt;= 1">(NDL_datatype): element hl7v2:NDL.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1">
      <extends rule="d651825e0-false-d651831e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('CNN') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'CNN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Name') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1" id="d651825e0-false-d651831e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.1) &lt;= 1">(CNN_datatype): element hl7v2:CNN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.2) &lt;= 1">(CNN_datatype): element hl7v2:CNN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.3) &lt;= 1">(CNN_datatype): element hl7v2:CNN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.4) &lt;= 1">(CNN_datatype): element hl7v2:CNN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.5) &lt;= 1">(CNN_datatype): element hl7v2:CNN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.6) &lt;= 1">(CNN_datatype): element hl7v2:CNN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.7) &lt;= 1">(CNN_datatype): element hl7v2:CNN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.8) &lt;= 1">(CNN_datatype): element hl7v2:CNN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.9) &lt;= 1">(CNN_datatype): element hl7v2:CNN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.10) &lt;= 1">(CNN_datatype): element hl7v2:CNN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="count(hl7v2:CNN.11) &lt;= 1">(CNN_datatype): element hl7v2:CNN.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.1
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.2
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.3
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.4
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.5
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.6
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.7
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Degree (e.g., MD' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.8
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.9
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority - Namespace ID') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Assigning Authority - Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.10
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority - Universal ID') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Assigning Authority - Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.10
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.7
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.11
Item: (CNN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.11">
      <extends rule="d652300e0-false-d652306e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CNN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(CNN_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.7-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority - Universal ID Type') or not(@LongName)">(CNN_datatype): de waarde van LongName MOET 'Assigning Authority - Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.1/hl7v2:CNN.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d652300e0-false-d652306e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.2
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.2">
      <extends rule="d652346e0-false-d652352e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Start Date/time') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Start Date/time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d652346e0-false-d652352e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.2/hl7v2:TS.2">
      <extends rule="d652434e0-false-d652440e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d652434e0-false-d652440e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.3
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.3">
      <extends rule="d652480e0-false-d652486e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('End Date/time') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'End Date/time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.3
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d652480e0-false-d652486e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.3/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.3/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.3/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.3/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.3/hl7v2:TS.2">
      <extends rule="d652568e0-false-d652574e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.3/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d652568e0-false-d652574e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.4
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70302') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70302' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Point of Care') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Point of Care' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.4
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.5
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70303') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70303' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Room') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Room' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.5
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.6
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70304') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70304' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Bed') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Bed' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.7
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.7">
      <extends rule="d652734e0-false-d652740e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Facility') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.7
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d652734e0-false-d652740e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.7/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.7/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.7/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.7/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.7/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.7/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.7/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.7/hl7v2:HD.3">
      <extends rule="d652869e0-false-d652875e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.7/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d652869e0-false-d652875e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.8
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70306') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70306' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Status') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Location Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.9
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70305') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70305' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Patient Location Type') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Patient Location Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.9
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.10
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70307') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70307' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Building') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Building' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.10
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.38
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.11
Item: (NDL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(NDL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@Table) = ('HL70308') or not(@Table)">(NDL_datatype): de waarde van Table MOET 'HL70308' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.38-2013-02-10T000000.html"
              test="string(@LongName) = ('Floor') or not(@LongName)">(NDL_datatype): de waarde van LongName MOET 'Floor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.35/hl7v2:NDL.11
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.36
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.36">
      <extends rule="d653082e0-false-d653088e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('268') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '268' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Scheduled Date/Time') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Scheduled Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.36
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d653082e0-false-d653088e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.36/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.36/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.36/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.36/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.36/hl7v2:TS.2">
      <extends rule="d653170e0-false-d653176e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.36/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d653170e0-false-d653176e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.37
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.37">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('1028') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1028' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('NM') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Number of Sample Containers *') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Number of Sample Containers *' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.37
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.38
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.38">
      <extends rule="d653262e0-false-d653268e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('1029') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1029' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Transport Logistics of Collected Sample') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Transport Logistics of Collected Sample' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.38
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d653262e0-false-d653268e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.3">
      <extends rule="d653412e0-false-d653418e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d653412e0-false-d653418e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.6">
      <extends rule="d653531e0-false-d653537e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.38/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d653531e0-false-d653537e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.39
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.39">
      <extends rule="d653583e0-false-d653589e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('1030') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1030' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Collector''s Comment *') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Collector''s Comment *' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.39
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d653583e0-false-d653589e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.3">
      <extends rule="d653733e0-false-d653739e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d653733e0-false-d653739e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.6">
      <extends rule="d653852e0-false-d653858e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.39/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d653852e0-false-d653858e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.40
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.40">
      <extends rule="d653904e0-false-d653910e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('1031') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1031' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Transport Arrangement Responsibility') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Transport Arrangement Responsibility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.40
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d653904e0-false-d653910e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.3">
      <extends rule="d654054e0-false-d654060e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d654054e0-false-d654060e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.6">
      <extends rule="d654173e0-false-d654179e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.40/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d654173e0-false-d654179e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.41
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.41">
      <extends rule="d654231e0-false-d654237e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('1032') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1032' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Table) = ('HL70224') or not(@Table)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70224' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Transport Arranged') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Transport Arranged' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.41
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d654231e0-false-d654237e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.42
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.42">
      <extends rule="d654288e0-false-d654294e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('1033') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1033' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Table) = ('HL70225') or not(@Table)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70225' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Escort Required') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Escort Required' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.42
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d654288e0-false-d654294e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.43
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.43">
      <extends rule="d654339e0-false-d654345e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('1034') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1034' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Planned Patient Transport Comment') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Planned Patient Transport Comment' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.43
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d654339e0-false-d654345e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.3">
      <extends rule="d654489e0-false-d654495e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d654489e0-false-d654495e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.6">
      <extends rule="d654608e0-false-d654614e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.43/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d654608e0-false-d654614e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.44
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.44">
      <extends rule="d654666e0-false-d654672e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('393') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '393' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Table) = ('HL70088') or not(@Table)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70088' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Procedure Code') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Procedure Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.44
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d654666e0-false-d654672e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.3">
      <extends rule="d654816e0-false-d654822e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d654816e0-false-d654822e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.6">
      <extends rule="d654935e0-false-d654941e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.44/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d654935e0-false-d654941e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.45
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.45">
      <extends rule="d654993e0-false-d654999e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('1316') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1316' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Table) = ('HL70340') or not(@Table)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70340' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Procedure Code Modifier') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Procedure Code Modifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.45
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d654993e0-false-d654999e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.3">
      <extends rule="d655143e0-false-d655149e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d655143e0-false-d655149e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.6">
      <extends rule="d655262e0-false-d655268e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.45/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d655262e0-false-d655268e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.46
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.46">
      <extends rule="d655320e0-false-d655326e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('1474') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1474' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Table) = ('HL70411') or not(@Table)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70411' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Placer Supplemental Service Information') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Placer Supplemental Service Information' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.46
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d655320e0-false-d655326e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.3">
      <extends rule="d655470e0-false-d655476e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d655470e0-false-d655476e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.6">
      <extends rule="d655589e0-false-d655595e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.46/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d655589e0-false-d655595e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.47
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.47">
      <extends rule="d655647e0-false-d655653e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('1475') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1475' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Table) = ('HL70411') or not(@Table)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70411' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Filler Supplemental Service Information') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Filler Supplemental Service Information' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.47
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d655647e0-false-d655653e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.3">
      <extends rule="d655797e0-false-d655803e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d655797e0-false-d655803e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.6">
      <extends rule="d655916e0-false-d655922e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.47/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d655916e0-false-d655922e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.48
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.48">
      <extends rule="d655974e0-false-d655980e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('1646') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1646' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('CWE') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Table) = ('HL70476') or not(@Table)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70476' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Medically Necessary Duplicate Procedure Reason.') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Medically Necessary Duplicate Procedure Reason.' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.48
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d655974e0-false-d655980e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.3">
      <extends rule="d656145e0-false-d656151e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d656145e0-false-d656151e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.6">
      <extends rule="d656264e0-false-d656270e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d656264e0-false-d656270e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.48/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.49
Item: (OBR_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.49">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Item) = ('1647') or not(@Item)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1647' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Type) = ('IS') or not(@Type)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@Table) = ('HL70507') or not(@Table)">(OBR_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70507' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.5-2015-07-21T171850.html"
              test="string(@LongName) = ('Result Handling') or not(@LongName)">(OBR_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Result Handling' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OBR/hl7v2:OBR.49
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.39
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE
Item: (NTE_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="count(hl7v2:NTE.1) &lt;= 1">(NTE_segment): element hl7v2:NTE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="count(hl7v2:NTE.2) &lt;= 1">(NTE_segment): element hl7v2:NTE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="count(hl7v2:NTE.3) &gt;= 1">(NTE_segment): element hl7v2:NTE.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="count(hl7v2:NTE.4) &lt;= 1">(NTE_segment): element hl7v2:NTE.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.39
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.1
Item: (NTE_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Item) = ('96') or not(@Item)">(NTE_segment): de waarde van Item MOET '96' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Type) = ('SI') or not(@Type)">(NTE_segment): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@LongName) = ('Set ID - NTE') or not(@LongName)">(NTE_segment): de waarde van LongName MOET 'Set ID - NTE' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.39
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.2
Item: (NTE_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.2">
      <extends rule="d656561e0-false-d656567e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Item) = ('97') or not(@Item)">(NTE_segment): de waarde van Item MOET '97' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(NTE_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Table) = ('HL70105') or not(@Table)">(NTE_segment): de waarde van Table MOET 'HL70105' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@LongName) = ('Source of Comment') or not(@LongName)">(NTE_segment): de waarde van LongName MOET 'Source of Comment' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d656561e0-false-d656567e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.39
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.3
Item: (NTE_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Item) = ('98') or not(@Item)">(NTE_segment): de waarde van Item MOET '98' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Type) = ('FT') or not(@Type)">(NTE_segment): de waarde van Type MOET 'FT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@LongName) = ('Comment') or not(@LongName)">(NTE_segment): de waarde van LongName MOET 'Comment' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.3
Item: (FT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape
Item: (FT_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.27-2013-02-10T000000.html"
              test="@V">(FT_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.39
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.4
Item: (NTE_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.4">
      <extends rule="d656738e0-false-d656744e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Item) = ('1318') or not(@Item)">(NTE_segment): de waarde van Item MOET '1318' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(NTE_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Table) = ('HL70364') or not(@Table)">(NTE_segment): de waarde van Table MOET 'HL70364' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@LongName) = ('Comment Type') or not(@LongName)">(NTE_segment): de waarde van LongName MOET 'Comment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d656738e0-false-d656744e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.3">
      <extends rule="d656888e0-false-d656894e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d656888e0-false-d656894e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.6">
      <extends rule="d657007e0-false-d657013e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d657007e0-false-d657013e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR"
         id="d41e3428-false-d657032e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:TQ1) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:TQ1 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:TQ1) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:TQ1 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.10
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1
Item: (TQ1_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="count(hl7v2:TQ1.1) &lt;= 1">(TQ1_segment_Lab2Lab_aanvraag): element hl7v2:TQ1.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="count(hl7v2:TQ1.2) &lt;= 1">(TQ1_segment_Lab2Lab_aanvraag): element hl7v2:TQ1.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="count(hl7v2:TQ1.6) &lt;= 1">(TQ1_segment_Lab2Lab_aanvraag): element hl7v2:TQ1.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="count(hl7v2:TQ1.7) &lt;= 1">(TQ1_segment_Lab2Lab_aanvraag): element hl7v2:TQ1.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="count(hl7v2:TQ1.8) &lt;= 1">(TQ1_segment_Lab2Lab_aanvraag): element hl7v2:TQ1.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="count(hl7v2:TQ1.10) &lt;= 1">(TQ1_segment_Lab2Lab_aanvraag): element hl7v2:TQ1.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="count(hl7v2:TQ1.11) &lt;= 1">(TQ1_segment_Lab2Lab_aanvraag): element hl7v2:TQ1.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="count(hl7v2:TQ1.12) &lt;= 1">(TQ1_segment_Lab2Lab_aanvraag): element hl7v2:TQ1.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="count(hl7v2:TQ1.13) &lt;= 1">(TQ1_segment_Lab2Lab_aanvraag): element hl7v2:TQ1.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="count(hl7v2:TQ1.14) &lt;= 1">(TQ1_segment_Lab2Lab_aanvraag): element hl7v2:TQ1.14 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.10
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.1
Item: (TQ1_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Item) = ('1627') or not(@Item)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1627' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Type) = ('SI') or not(@Type)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@LongName) = ('Set ID - TQ1') or not(@LongName)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Set ID - TQ1' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.10
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2
Item: (TQ1_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2">
      <extends rule="d657221e0-false-d657227e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Item) = ('1628') or not(@Item)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1628' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Type) = ('CQ') or not(@Type)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CQ' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1" id="d657221e0-false-d657227e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.1) &lt;= 1">(CQ_datatype): element hl7v2:CQ.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.2) &lt;= 1">(CQ_datatype): element hl7v2:CQ.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.1
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2">
      <extends rule="d657303e0-false-d657309e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d657303e0-false-d657309e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.3">
      <extends rule="d657453e0-false-d657459e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d657453e0-false-d657459e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.6">
      <extends rule="d657572e0-false-d657578e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.2/hl7v2:CQ.2/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d657572e0-false-d657578e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.10
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3
Item: (TQ1_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3">
      <extends rule="d657631e0-false-d657637e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Item) = ('1629') or not(@Item)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1629' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Type) = ('RPT') or not(@Type)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'RPT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Table) = ('HL70335') or not(@Table)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70335' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@LongName) = ('Repeat Pattern') or not(@LongName)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Repeat Pattern' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.56
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3
Item: (RPT_datatype)
-->
   <rule fpi="RULC-1" id="d657631e0-false-d657637e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="count(hl7v2:RPT.1) &lt;= 1">(RPT_datatype): element hl7v2:RPT.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="count(hl7v2:RPT.2) &lt;= 1">(RPT_datatype): element hl7v2:RPT.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="count(hl7v2:RPT.3) &lt;= 1">(RPT_datatype): element hl7v2:RPT.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="count(hl7v2:RPT.4) &lt;= 1">(RPT_datatype): element hl7v2:RPT.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="count(hl7v2:RPT.5) &lt;= 1">(RPT_datatype): element hl7v2:RPT.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="count(hl7v2:RPT.6) &lt;= 1">(RPT_datatype): element hl7v2:RPT.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="count(hl7v2:RPT.7) &lt;= 1">(RPT_datatype): element hl7v2:RPT.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="count(hl7v2:RPT.8) &lt;= 1">(RPT_datatype): element hl7v2:RPT.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="count(hl7v2:RPT.9) &lt;= 1">(RPT_datatype): element hl7v2:RPT.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="count(hl7v2:RPT.10) &lt;= 1">(RPT_datatype): element hl7v2:RPT.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="count(hl7v2:RPT.11) &lt;= 1">(RPT_datatype): element hl7v2:RPT.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.56
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1
Item: (RPT_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1">
      <extends rule="d657748e0-false-d657754e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(RPT_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@Table) = ('HL70335') or not(@Table)">(RPT_datatype): de waarde van Table MOET 'HL70335' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@LongName) = ('Repeat Pattern Code') or not(@LongName)">(RPT_datatype): de waarde van LongName MOET 'Repeat Pattern Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d657748e0-false-d657754e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.3">
      <extends rule="d657919e0-false-d657925e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d657919e0-false-d657925e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.6">
      <extends rule="d658038e0-false-d658044e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d658038e0-false-d658044e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.1/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.56
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.2
Item: (RPT_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.2">
      <extends rule="d658192e0-false-d658198e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(RPT_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@Table) = ('HL70527') or not(@Table)">(RPT_datatype): de waarde van Table MOET 'HL70527' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@LongName) = ('Calendar Alignment') or not(@LongName)">(RPT_datatype): de waarde van LongName MOET 'Calendar Alignment' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d658192e0-false-d658198e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.56
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.3
Item: (RPT_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(RPT_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@LongName) = ('Phase Range Begin Value') or not(@LongName)">(RPT_datatype): de waarde van LongName MOET 'Phase Range Begin Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.56
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.4
Item: (RPT_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(RPT_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@LongName) = ('Phase Range End Value') or not(@LongName)">(RPT_datatype): de waarde van LongName MOET 'Phase Range End Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.56
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.5
Item: (RPT_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(RPT_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@LongName) = ('Period Quantity') or not(@LongName)">(RPT_datatype): de waarde van LongName MOET 'Period Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.5
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.56
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.6
Item: (RPT_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(RPT_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@LongName) = ('Period Units') or not(@LongName)">(RPT_datatype): de waarde van LongName MOET 'Period Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.56
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.7
Item: (RPT_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.7">
      <extends rule="d658379e0-false-d658385e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(RPT_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@Table) = ('HL70136') or not(@Table)">(RPT_datatype): de waarde van Table MOET 'HL70136' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@LongName) = ('Institution Specified Time') or not(@LongName)">(RPT_datatype): de waarde van LongName MOET 'Institution Specified Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d658379e0-false-d658385e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.56
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.8
Item: (RPT_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.8">
      <extends rule="d658430e0-false-d658436e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(RPT_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@Table) = ('HL70528') or not(@Table)">(RPT_datatype): de waarde van Table MOET 'HL70528' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@LongName) = ('Event') or not(@LongName)">(RPT_datatype): de waarde van LongName MOET 'Event' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.8
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d658430e0-false-d658436e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.56
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.9
Item: (RPT_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(RPT_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@LongName) = ('Event Offset Quantity') or not(@LongName)">(RPT_datatype): de waarde van LongName MOET 'Event Offset Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.9
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.56
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.10
Item: (RPT_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(RPT_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@LongName) = ('Event Offset Units') or not(@LongName)">(RPT_datatype): de waarde van LongName MOET 'Event Offset Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.10
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.56
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.11
Item: (RPT_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@Type) = ('GTS') or not(@Type)">(RPT_datatype): de waarde van Type MOET 'GTS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.56-2013-02-10T000000.html"
              test="string(@LongName) = ('General Timing Specification') or not(@LongName)">(RPT_datatype): de waarde van LongName MOET 'General Timing Specification' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.82
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.3/hl7v2:RPT.11
Item: (GTS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.10
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.4
Item: (TQ1_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Item) = ('1630') or not(@Item)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1630' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Type) = ('TM') or not(@Type)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'TM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@LongName) = ('Explicit Time') or not(@LongName)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Explicit Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.90
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.4
Item: (TM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.10
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5
Item: (TQ1_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5">
      <extends rule="d658624e0-false-d658630e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Item) = ('1631') or not(@Item)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1631' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Type) = ('CQ') or not(@Type)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CQ' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@LongName) = ('Relative Time and Units') or not(@LongName)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Relative Time and Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1" id="d658624e0-false-d658630e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.1) &lt;= 1">(CQ_datatype): element hl7v2:CQ.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.2) &lt;= 1">(CQ_datatype): element hl7v2:CQ.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.1
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2">
      <extends rule="d658706e0-false-d658712e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d658706e0-false-d658712e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.3">
      <extends rule="d658856e0-false-d658862e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d658856e0-false-d658862e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.6">
      <extends rule="d658975e0-false-d658981e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.5/hl7v2:CQ.2/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d658975e0-false-d658981e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.10
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6
Item: (TQ1_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6">
      <extends rule="d659028e0-false-d659034e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Item) = ('1632') or not(@Item)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1632' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Type) = ('CQ') or not(@Type)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CQ' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@LongName) = ('Service Duration') or not(@LongName)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Service Duration' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1" id="d659028e0-false-d659034e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.1) &lt;= 1">(CQ_datatype): element hl7v2:CQ.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.2) &lt;= 1">(CQ_datatype): element hl7v2:CQ.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.1
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2">
      <extends rule="d659110e0-false-d659116e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d659110e0-false-d659116e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.3">
      <extends rule="d659260e0-false-d659266e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d659260e0-false-d659266e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.6">
      <extends rule="d659379e0-false-d659385e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.6/hl7v2:CQ.2/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d659379e0-false-d659385e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.10
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.7
Item: (TQ1_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.7">
      <extends rule="d659432e0-false-d659438e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Item) = ('1633') or not(@Item)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1633' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Type) = ('TS') or not(@Type)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@LongName) = ('Start date/time') or not(@LongName)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Start date/time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.7
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d659432e0-false-d659438e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.7/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.7/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.7/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.7/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.7/hl7v2:TS.2">
      <extends rule="d659520e0-false-d659526e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.7/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d659520e0-false-d659526e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.10
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.8
Item: (TQ1_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.8">
      <extends rule="d659572e0-false-d659578e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Item) = ('1634') or not(@Item)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1634' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Type) = ('TS') or not(@Type)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@LongName) = ('End date/time') or not(@LongName)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'End date/time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.8
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d659572e0-false-d659578e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.8/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.8/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.8/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.8/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.8/hl7v2:TS.2">
      <extends rule="d659660e0-false-d659666e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.8/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d659660e0-false-d659666e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.10
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9
Item: (TQ1_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9">
      <extends rule="d659718e0-false-d659724e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Item) = ('1635') or not(@Item)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1635' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Type) = ('CWE') or not(@Type)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Table) = ('HL70485') or not(@Table)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70485' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@LongName) = ('Priority') or not(@LongName)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Priority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d659718e0-false-d659724e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.3">
      <extends rule="d659889e0-false-d659895e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d659889e0-false-d659895e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.6">
      <extends rule="d660008e0-false-d660014e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d660008e0-false-d660014e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.10
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.10
Item: (TQ1_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Item) = ('1636') or not(@Item)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1636' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Type) = ('TX') or not(@Type)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'TX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@LongName) = ('Condition text') or not(@LongName)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Condition text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.10
Item: (TX_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.10/hl7v2:escape
Item: (TX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.10/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.65-2013-02-10T000000.html"
              test="@V">(TX_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.10/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.10/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.10/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.10/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.10/hl7v2:escape/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.10/hl7v2:escape/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.10
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.11
Item: (TQ1_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Item) = ('1637') or not(@Item)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1637' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Type) = ('TX') or not(@Type)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'TX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@LongName) = ('Text instruction') or not(@LongName)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Text instruction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.11
Item: (TX_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.65
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.11/hl7v2:escape
Item: (TX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.11/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.65-2013-02-10T000000.html"
              test="@V">(TX_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.11/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.11/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.11/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.11/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.11/hl7v2:escape/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.11/hl7v2:escape/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.10
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.12
Item: (TQ1_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.12">
      <extends rule="d660408e0-false-d660414e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Item) = ('1638') or not(@Item)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1638' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Type) = ('ID') or not(@Type)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Table) = ('HL70427') or not(@Table)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Table MOET 'HL70427' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@LongName) = ('Conjunction') or not(@LongName)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Conjunction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d660408e0-false-d660414e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.10
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13
Item: (TQ1_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13">
      <extends rule="d660459e0-false-d660465e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Item) = ('1639') or not(@Item)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1639' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Type) = ('CQ') or not(@Type)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'CQ' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@LongName) = ('Occurrence duration') or not(@LongName)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Occurrence duration' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1" id="d660459e0-false-d660465e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.1) &lt;= 1">(CQ_datatype): element hl7v2:CQ.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.2) &lt;= 1">(CQ_datatype): element hl7v2:CQ.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.1
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2">
      <extends rule="d660541e0-false-d660547e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d660541e0-false-d660547e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.3">
      <extends rule="d660691e0-false-d660697e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d660691e0-false-d660697e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.6">
      <extends rule="d660810e0-false-d660816e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.13/hl7v2:CQ.2/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d660810e0-false-d660816e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.10
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.14
Item: (TQ1_segment_Lab2Lab_aanvraag)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.14">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Item) = ('1640') or not(@Item)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Item MOET '1640' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@Type) = ('NM') or not(@Type)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.10-2015-12-28T143014.html"
              test="string(@LongName) = ('Total occurrence''s') or not(@LongName)">(TQ1_segment_Lab2Lab_aanvraag): de waarde van LongName MOET 'Total occurrence''s' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ1/hl7v2:TQ1.14
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.143
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2
Item: (TQ2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="count(hl7v2:TQ2.1) &lt;= 1">(TQ2_segment): element hl7v2:TQ2.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="count(hl7v2:TQ2.2) &lt;= 1">(TQ2_segment): element hl7v2:TQ2.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="count(hl7v2:TQ2.6) &lt;= 1">(TQ2_segment): element hl7v2:TQ2.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="count(hl7v2:TQ2.7) &lt;= 1">(TQ2_segment): element hl7v2:TQ2.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="count(hl7v2:TQ2.8) &lt;= 1">(TQ2_segment): element hl7v2:TQ2.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="count(hl7v2:TQ2.9) &lt;= 1">(TQ2_segment): element hl7v2:TQ2.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="count(hl7v2:TQ2.10) &lt;= 1">(TQ2_segment): element hl7v2:TQ2.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.143
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.1
Item: (TQ2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Item) = ('1648') or not(@Item)">(TQ2_segment): de waarde van Item MOET '1648' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Type) = ('SI') or not(@Type)">(TQ2_segment): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@LongName) = ('Set ID - TQ2') or not(@LongName)">(TQ2_segment): de waarde van LongName MOET 'Set ID - TQ2' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.143
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.2
Item: (TQ2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.2">
      <extends rule="d661026e0-false-d661032e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Item) = ('1649') or not(@Item)">(TQ2_segment): de waarde van Item MOET '1649' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TQ2_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Table) = ('HL70503') or not(@Table)">(TQ2_segment): de waarde van Table MOET 'HL70503' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@LongName) = ('Sequence/Results Flag') or not(@LongName)">(TQ2_segment): de waarde van LongName MOET 'Sequence/Results Flag' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d661026e0-false-d661032e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.143
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.3
Item: (TQ2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.3">
      <extends rule="d661077e0-false-d661083e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Item) = ('1650') or not(@Item)">(TQ2_segment): de waarde van Item MOET '1650' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(TQ2_segment): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@LongName) = ('Related Placer Number') or not(@LongName)">(TQ2_segment): de waarde van LongName MOET 'Related Placer Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d661077e0-false-d661083e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.3/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.3/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.3/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.3/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.3/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.3/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.3/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.3/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.3/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.3/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.3/hl7v2:EI.4">
      <extends rule="d661253e0-false-d661259e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.3/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d661253e0-false-d661259e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.143
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.4
Item: (TQ2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.4">
      <extends rule="d661305e0-false-d661311e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Item) = ('1651') or not(@Item)">(TQ2_segment): de waarde van Item MOET '1651' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(TQ2_segment): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@LongName) = ('Related Filler Number') or not(@LongName)">(TQ2_segment): de waarde van LongName MOET 'Related Filler Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d661305e0-false-d661311e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.4/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.4/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.4/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.4/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.4/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.4/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.4/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.4/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.4/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.4/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.4/hl7v2:EI.4">
      <extends rule="d661481e0-false-d661487e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.4/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d661481e0-false-d661487e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.143
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.5
Item: (TQ2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.5">
      <extends rule="d661533e0-false-d661539e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Item) = ('1652') or not(@Item)">(TQ2_segment): de waarde van Item MOET '1652' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(TQ2_segment): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@LongName) = ('Related Placer Group Number') or not(@LongName)">(TQ2_segment): de waarde van LongName MOET 'Related Placer Group Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.5
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d661533e0-false-d661539e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.5/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.5/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.5/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.5/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.5/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.5/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.5/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.5/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.5/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.5/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.5/hl7v2:EI.4">
      <extends rule="d661709e0-false-d661715e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.5/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d661709e0-false-d661715e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.143
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.6
Item: (TQ2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.6">
      <extends rule="d661767e0-false-d661773e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Item) = ('1653') or not(@Item)">(TQ2_segment): de waarde van Item MOET '1653' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TQ2_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Table) = ('HL70504') or not(@Table)">(TQ2_segment): de waarde van Table MOET 'HL70504' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@LongName) = ('Sequence Condition Code') or not(@LongName)">(TQ2_segment): de waarde van LongName MOET 'Sequence Condition Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d661767e0-false-d661773e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.143
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.7
Item: (TQ2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.7">
      <extends rule="d661824e0-false-d661830e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Item) = ('1654') or not(@Item)">(TQ2_segment): de waarde van Item MOET '1654' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TQ2_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Table) = ('HL70505') or not(@Table)">(TQ2_segment): de waarde van Table MOET 'HL70505' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@LongName) = ('Cyclic Entry/Exit Indicator') or not(@LongName)">(TQ2_segment): de waarde van LongName MOET 'Cyclic Entry/Exit Indicator' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.7
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d661824e0-false-d661830e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.143
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8
Item: (TQ2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8">
      <extends rule="d661875e0-false-d661881e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Item) = ('1655') or not(@Item)">(TQ2_segment): de waarde van Item MOET '1655' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Type) = ('CQ') or not(@Type)">(TQ2_segment): de waarde van Type MOET 'CQ' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@LongName) = ('Sequence Condition Time Interval') or not(@LongName)">(TQ2_segment): de waarde van LongName MOET 'Sequence Condition Time Interval' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1" id="d661875e0-false-d661881e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.1) &lt;= 1">(CQ_datatype): element hl7v2:CQ.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="count(hl7v2:CQ.2) &lt;= 1">(CQ_datatype): element hl7v2:CQ.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.1
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.9
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2
Item: (CQ_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2">
      <extends rule="d661957e0-false-d661963e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CQ_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.9-2013-02-10T000000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(CQ_datatype): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d661957e0-false-d661963e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.3">
      <extends rule="d662107e0-false-d662113e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d662107e0-false-d662113e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.6">
      <extends rule="d662226e0-false-d662232e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.8/hl7v2:CQ.2/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d662226e0-false-d662232e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.143
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.9
Item: (TQ2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Item) = ('1656') or not(@Item)">(TQ2_segment): de waarde van Item MOET '1656' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(TQ2_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@LongName) = ('Cyclic Group Maximum Number of Repeats') or not(@LongName)">(TQ2_segment): de waarde van LongName MOET 'Cyclic Group Maximum Number of Repeats' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.9
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.143
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.10
Item: (TQ2_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.10">
      <extends rule="d662325e0-false-d662331e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Item) = ('1657') or not(@Item)">(TQ2_segment): de waarde van Item MOET '1657' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TQ2_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@Table) = ('HL70506') or not(@Table)">(TQ2_segment): de waarde van Table MOET 'HL70506' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.143-2013-02-10T000000.html"
              test="string(@LongName) = ('Special Service Request Relationship') or not(@LongName)">(TQ2_segment): de waarde van LongName MOET 'Special Service Request Relationship' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.TIMING_PRIOR/hl7v2:TQ2/hl7v2:TQ2.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d662325e0-false-d662331e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR
Item: (OML_O21_Lab2Lab)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR"
         id="d41e3435-false-d662349e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &gt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.1-2015-07-21T113502.html"
              test="count(hl7v2:OBX) &lt;= 1">(OML_O21_Lab2Lab): element hl7v2:OBX komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.1) &lt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.2) &lt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &gt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.3) &lt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.4) &lt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.6) &lt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.7) &lt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.8) &lt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.9) &lt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &gt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.11 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.11) &lt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.12) &lt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.13) &lt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.14) &lt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.15) &lt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="count(hl7v2:OBX.19) &lt;= 1">(OBX_segment_Lab2Lab_resultaat): element hl7v2:OBX.19 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.1
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('569') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '569' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('SI') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Set ID - OBX') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Set ID - OBX' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.2
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.2">
      <extends rule="d662586e0-false-d662592e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('570') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '570' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Table) = ('HL70125') or not(@Table)">(OBX_segment_Lab2Lab_resultaat): de waarde van Table MOET 'HL70125' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Value Type') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Value Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d662586e0-false-d662592e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.3
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.3">
      <extends rule="d662637e0-false-d662643e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('571') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '571' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Identifier') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Observation Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d662637e0-false-d662643e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3">
      <extends rule="d662787e0-false-d662793e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d662787e0-false-d662793e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6">
      <extends rule="d662906e0-false-d662912e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d662906e0-false-d662912e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.4
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('572') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '572' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Sub-ID') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Observation Sub-ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.5
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('573') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '573' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('varies') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'varies' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Value') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Observation Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.67
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.5
Item: (varies_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.6
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.6">
      <extends rule="d663038e0-false-d663044e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('574') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '574' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Units') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d663038e0-false-d663044e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3">
      <extends rule="d663188e0-false-d663194e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d663188e0-false-d663194e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6">
      <extends rule="d663307e0-false-d663313e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.6/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d663307e0-false-d663313e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.7
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('575') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '575' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('References Range') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'References Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.8
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.8">
      <extends rule="d663419e0-false-d663425e0"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('576') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '576' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('IS') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Table) = ('HL70078') or not(@Table)">(OBX_segment_Lab2Lab_resultaat): de waarde van Table MOET 'HL70078' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Abnormal Flags') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Abnormal Flags' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.8
Item: (IS_datatype)
-->
   <rule fpi="RULC-1" id="d663419e0-false-d663425e0" abstract="true">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.84-2013-02-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.1937.777.10.11.78-2015-09-04T000000.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(IS_datatype): de elementwaarde MOET een zijn van '2.16.840.1.113883.3.1937.777.10.11.78 Abnormal flags (2015-09-04T00:00:00)'.</assert>
      <report fpi="CD-DEPR-BSP"
              role="warning"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.84-2013-02-10T000000.html"
              test="exists(doc('include/voc-2.16.840.1.113883.3.1937.777.10.11.78-2015-09-04T000000.xml')//valueSet[1]/conceptList/concept[@type='D'][@code = $theCode][@codeSystem = $theCodeSystem])">(IS_datatype): element hl7v2:OBX.8 is gecodeerd met bindingssterkte 'required' en bevat een code die verouderd is.</report>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.9
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('577') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '577' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('NM') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Probability') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Probability' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.9
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.10
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.10">
      <extends rule="d663520e0-false-d663526e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('578') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '578' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Table) = ('HL70080') or not(@Table)">(OBX_segment_Lab2Lab_resultaat): de waarde van Table MOET 'HL70080' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Nature of Abnormal Test') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Nature of Abnormal Test' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d663520e0-false-d663526e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.11
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.11">
      <extends rule="d663577e0-false-d663583e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('579') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '579' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('ID') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Table) = ('HL70085') or not(@Table)">(OBX_segment_Lab2Lab_resultaat): de waarde van Table MOET 'HL70085' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Result Status') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Observation Result Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.11
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d663577e0-false-d663583e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.12
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.12">
      <extends rule="d663628e0-false-d663634e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('580') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '580' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Effective Date of Reference Range') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Effective Date of Reference Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.12
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d663628e0-false-d663634e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2">
      <extends rule="d663716e0-false-d663722e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.12/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d663716e0-false-d663722e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.13
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.13">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('581') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '581' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('ST') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('User Defined Access Checks') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'User Defined Access Checks' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.13
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.14
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.14">
      <extends rule="d663808e0-false-d663814e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('582') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '582' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Observation') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Date/Time of the Observation' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.14
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d663808e0-false-d663814e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2">
      <extends rule="d663896e0-false-d663902e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.14/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d663896e0-false-d663902e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.15
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.15">
      <extends rule="d663948e0-false-d663954e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('583') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '583' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Producer''s ID') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Producer''s ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.15
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d663948e0-false-d663954e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3">
      <extends rule="d664098e0-false-d664104e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d664098e0-false-d664104e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6">
      <extends rule="d664217e0-false-d664223e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.15/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d664217e0-false-d664223e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16">
      <extends rule="d664269e0-false-d664275e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('584') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '584' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Responsible Observer') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Responsible Observer' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d664269e0-false-d664275e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2">
      <extends rule="d664498e0-false-d664504e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d664498e0-false-d664504e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9">
      <extends rule="d664960e0-false-d664966e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d664960e0-false-d664966e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d665095e0-false-d665101e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d665095e0-false-d665101e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10">
      <extends rule="d665147e0-false-d665153e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d665147e0-false-d665153e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12">
      <extends rule="d665232e0-false-d665238e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d665232e0-false-d665238e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13">
      <extends rule="d665283e0-false-d665289e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d665283e0-false-d665289e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14">
      <extends rule="d665328e0-false-d665334e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d665328e0-false-d665334e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d665463e0-false-d665469e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d665463e0-false-d665469e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15">
      <extends rule="d665515e0-false-d665521e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d665515e0-false-d665521e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16">
      <extends rule="d665566e0-false-d665572e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d665566e0-false-d665572e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d665716e0-false-d665722e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d665716e0-false-d665722e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d665835e0-false-d665841e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d665835e0-false-d665841e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17">
      <extends rule="d665881e0-false-d665887e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d665881e0-false-d665887e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d665929e0-false-d665935e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d665929e0-false-d665935e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d666017e0-false-d666023e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d666017e0-false-d666023e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d666063e0-false-d666069e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d666063e0-false-d666069e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d666151e0-false-d666157e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d666151e0-false-d666157e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18">
      <extends rule="d666204e0-false-d666210e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d666204e0-false-d666210e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19">
      <extends rule="d666249e0-false-d666255e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d666249e0-false-d666255e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d666337e0-false-d666343e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d666337e0-false-d666343e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20">
      <extends rule="d666383e0-false-d666389e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d666383e0-false-d666389e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d666471e0-false-d666477e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d666471e0-false-d666477e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22">
      <extends rule="d666551e0-false-d666557e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d666551e0-false-d666557e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d666722e0-false-d666728e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d666722e0-false-d666728e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d666841e0-false-d666847e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d666841e0-false-d666847e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23">
      <extends rule="d666989e0-false-d666995e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d666989e0-false-d666995e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d667160e0-false-d667166e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d667160e0-false-d667166e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d667279e0-false-d667285e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d667279e0-false-d667285e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.16/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.17
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.17">
      <extends rule="d667434e0-false-d667440e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('936') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '936' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('CE') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Observation Method') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Observation Method' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.17
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d667434e0-false-d667440e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3">
      <extends rule="d667584e0-false-d667590e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d667584e0-false-d667590e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6">
      <extends rule="d667703e0-false-d667709e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.17/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d667703e0-false-d667709e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.18
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.18">
      <extends rule="d667755e0-false-d667761e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('1479') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '1479' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('EI') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Equipment Instance Identifier') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Equipment Instance Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.18
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d667755e0-false-d667761e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4">
      <extends rule="d667931e0-false-d667937e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.18/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d667931e0-false-d667937e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.45
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.19
Item: (OBX_segment_Lab2Lab_resultaat)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.19">
      <extends rule="d667983e0-false-d667989e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Item) = ('1480') or not(@Item)">(OBX_segment_Lab2Lab_resultaat): de waarde van Item MOET '1480' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@Type) = ('TS') or not(@Type)">(OBX_segment_Lab2Lab_resultaat): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.45-2015-07-21T172000.html"
              test="string(@LongName) = ('Date/Time of the Analysis') or not(@LongName)">(OBX_segment_Lab2Lab_resultaat): de waarde van LongName MOET 'Date/Time of the Analysis' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d667983e0-false-d667989e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2">
      <extends rule="d668071e0-false-d668077e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:OBX/hl7v2:OBX.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d668071e0-false-d668077e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.39
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE
Item: (NTE_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="count(hl7v2:NTE.1) &lt;= 1">(NTE_segment): element hl7v2:NTE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="count(hl7v2:NTE.2) &lt;= 1">(NTE_segment): element hl7v2:NTE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="count(hl7v2:NTE.3) &gt;= 1">(NTE_segment): element hl7v2:NTE.3 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="count(hl7v2:NTE.4) &lt;= 1">(NTE_segment): element hl7v2:NTE.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.39
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.1
Item: (NTE_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Item) = ('96') or not(@Item)">(NTE_segment): de waarde van Item MOET '96' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Type) = ('SI') or not(@Type)">(NTE_segment): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@LongName) = ('Set ID - NTE') or not(@LongName)">(NTE_segment): de waarde van LongName MOET 'Set ID - NTE' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.39
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.2
Item: (NTE_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.2">
      <extends rule="d668220e0-false-d668226e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Item) = ('97') or not(@Item)">(NTE_segment): de waarde van Item MOET '97' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(NTE_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Table) = ('HL70105') or not(@Table)">(NTE_segment): de waarde van Table MOET 'HL70105' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@LongName) = ('Source of Comment') or not(@LongName)">(NTE_segment): de waarde van LongName MOET 'Source of Comment' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d668220e0-false-d668226e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.39
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.3
Item: (NTE_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Item) = ('98') or not(@Item)">(NTE_segment): de waarde van Item MOET '98' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Type) = ('FT') or not(@Type)">(NTE_segment): de waarde van Type MOET 'FT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@LongName) = ('Comment') or not(@LongName)">(NTE_segment): de waarde van LongName MOET 'Comment' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.3
Item: (FT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.27
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape
Item: (FT_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.27-2013-02-10T000000.html"
              test="@V">(FT_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.0
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape/hl7v2:escape
Item: (escapeType_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.3/hl7v2:escape/hl7v2:escape/hl7v2:escape">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.0-2013-02-10T000000.html"
              test="@V">(escapeType_datatype): attribute @V MOET aanwezig zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.39
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.4
Item: (NTE_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.4">
      <extends rule="d668397e0-false-d668403e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Item) = ('1318') or not(@Item)">(NTE_segment): de waarde van Item MOET '1318' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(NTE_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@Table) = ('HL70364') or not(@Table)">(NTE_segment): de waarde van Table MOET 'HL70364' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.2.4.3.11.60.25.10.39-2016-05-31T000000.html"
              test="string(@LongName) = ('Comment Type') or not(@LongName)">(NTE_segment): de waarde van LongName MOET 'Comment Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d668397e0-false-d668403e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.3">
      <extends rule="d668547e0-false-d668553e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d668547e0-false-d668553e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.6">
      <extends rule="d668666e0-false-d668672e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:OML_O21.OBSERVATION_REQUEST/hl7v2:OML_O21.PRIOR_RESULT/hl7v2:OML_O21.ORDER_PRIOR/hl7v2:OML_O21.OBSERVATION_PRIOR/hl7v2:NTE/hl7v2:NTE.4/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d668666e0-false-d668672e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1
Item: (FT1_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="count(hl7v2:FT1.1) &lt;= 1">(FT1_segment): element hl7v2:FT1.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="count(hl7v2:FT1.2) &lt;= 1">(FT1_segment): element hl7v2:FT1.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="count(hl7v2:FT1.3) &lt;= 1">(FT1_segment): element hl7v2:FT1.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="count(hl7v2:FT1.4) &gt;= 1">(FT1_segment): element hl7v2:FT1.4 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="count(hl7v2:FT1.4) &lt;= 1">(FT1_segment): element hl7v2:FT1.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="count(hl7v2:FT1.5) &lt;= 1">(FT1_segment): element hl7v2:FT1.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="count(hl7v2:FT1.6) &gt;= 1">(FT1_segment): element hl7v2:FT1.6 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="count(hl7v2:FT1.6) &lt;= 1">(FT1_segment): element hl7v2:FT1.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="count(hl7v2:FT1.7) &gt;= 1">(FT1_segment): element hl7v2:FT1.7 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="count(hl7v2:FT1.7) &lt;= 1">(FT1_segment): element hl7v2:FT1.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="count(hl7v2:FT1.8) &lt;= 1">(FT1_segment): element hl7v2:FT1.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="count(hl7v2:FT1.9) &lt;= 1">(FT1_segment): element hl7v2:FT1.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="count(hl7v2:FT1.10) &lt;= 1">(FT1_segment): element hl7v2:FT1.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="count(hl7v2:FT1.11) &lt;= 1">(FT1_segment): element hl7v2:FT1.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="count(hl7v2:FT1.12) &lt;= 1">(FT1_segment): element hl7v2:FT1.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="count(hl7v2:FT1.13) &lt;= 1">(FT1_segment): element hl7v2:FT1.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="count(hl7v2:FT1.14) &lt;= 1">(FT1_segment): element hl7v2:FT1.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="count(hl7v2:FT1.15) &lt;= 1">(FT1_segment): element hl7v2:FT1.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="count(hl7v2:FT1.16) &lt;= 1">(FT1_segment): element hl7v2:FT1.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="count(hl7v2:FT1.17) &lt;= 1">(FT1_segment): element hl7v2:FT1.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="count(hl7v2:FT1.18) &lt;= 1">(FT1_segment): element hl7v2:FT1.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="count(hl7v2:FT1.22) &lt;= 1">(FT1_segment): element hl7v2:FT1.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="count(hl7v2:FT1.23) &lt;= 1">(FT1_segment): element hl7v2:FT1.23 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="count(hl7v2:FT1.25) &lt;= 1">(FT1_segment): element hl7v2:FT1.25 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="count(hl7v2:FT1.27) &lt;= 1">(FT1_segment): element hl7v2:FT1.27 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="count(hl7v2:FT1.28) &lt;= 1">(FT1_segment): element hl7v2:FT1.28 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="count(hl7v2:FT1.29) &lt;= 1">(FT1_segment): element hl7v2:FT1.29 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="count(hl7v2:FT1.30) &lt;= 1">(FT1_segment): element hl7v2:FT1.30 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.1
Item: (FT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Item) = ('355') or not(@Item)">(FT1_segment): de waarde van Item MOET '355' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Type) = ('SI') or not(@Type)">(FT1_segment): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Set ID - FT1') or not(@LongName)">(FT1_segment): de waarde van LongName MOET 'Set ID - FT1' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.1
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.2
Item: (FT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Item) = ('356') or not(@Item)">(FT1_segment): de waarde van Item MOET '356' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FT1_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Transaction ID') or not(@LongName)">(FT1_segment): de waarde van LongName MOET 'Transaction ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.3
Item: (FT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Item) = ('357') or not(@Item)">(FT1_segment): de waarde van Item MOET '357' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FT1_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Transaction Batch ID') or not(@LongName)">(FT1_segment): de waarde van LongName MOET 'Transaction Batch ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.4
Item: (FT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.4">
      <extends rule="d669065e0-false-d669071e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Item) = ('358') or not(@Item)">(FT1_segment): de waarde van Item MOET '358' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(FT1_segment): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Transaction Date') or not(@LongName)">(FT1_segment): de waarde van LongName MOET 'Transaction Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.4
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d669065e0-false-d669071e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.4/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.4/hl7v2:DR.1">
      <extends rule="d669113e0-false-d669119e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.4/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d669113e0-false-d669119e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.4/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.4/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.4/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.4/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.4/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d669201e0-false-d669207e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.4/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d669201e0-false-d669207e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.4/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.4/hl7v2:DR.2">
      <extends rule="d669247e0-false-d669253e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.4/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d669247e0-false-d669253e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.4/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.4/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.4/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.4/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.4/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d669335e0-false-d669341e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.4/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d669335e0-false-d669341e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.5
Item: (FT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.5">
      <extends rule="d669388e0-false-d669394e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Item) = ('359') or not(@Item)">(FT1_segment): de waarde van Item MOET '359' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(FT1_segment): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Transaction Posting Date') or not(@LongName)">(FT1_segment): de waarde van LongName MOET 'Transaction Posting Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.5
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d669388e0-false-d669394e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.5/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.5/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.5/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.5/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.5/hl7v2:TS.2">
      <extends rule="d669476e0-false-d669482e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.5/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d669476e0-false-d669482e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.6
Item: (FT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Item) = ('360') or not(@Item)">(FT1_segment): de waarde van Item MOET '360' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(FT1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Table) = ('HL70017') or not(@Table)">(FT1_segment): de waarde van Table MOET 'HL70017' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Transaction Type') or not(@LongName)">(FT1_segment): de waarde van LongName MOET 'Transaction Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.7
Item: (FT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.7">
      <extends rule="d669580e0-false-d669586e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Item) = ('361') or not(@Item)">(FT1_segment): de waarde van Item MOET '361' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(FT1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Table) = ('HL70132') or not(@Table)">(FT1_segment): de waarde van Table MOET 'HL70132' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Transaction Code') or not(@LongName)">(FT1_segment): de waarde van LongName MOET 'Transaction Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.7
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d669580e0-false-d669586e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.7/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.7/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.7/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.7/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.7/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.7/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.7/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.7/hl7v2:CE.3">
      <extends rule="d669730e0-false-d669736e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.7/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d669730e0-false-d669736e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.7/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.7/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.7/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.7/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.7/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.7/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.7/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.7/hl7v2:CE.6">
      <extends rule="d669849e0-false-d669855e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.7/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d669849e0-false-d669855e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.8
Item: (FT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Item) = ('362') or not(@Item)">(FT1_segment): de waarde van Item MOET '362' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FT1_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Transaction Description') or not(@LongName)">(FT1_segment): de waarde van LongName MOET 'Transaction Description' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.9
Item: (FT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Item) = ('363') or not(@Item)">(FT1_segment): de waarde van Item MOET '363' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FT1_segment): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Transaction Description - Alt') or not(@LongName)">(FT1_segment): de waarde van LongName MOET 'Transaction Description - Alt' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.10
Item: (FT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.10">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Item) = ('364') or not(@Item)">(FT1_segment): de waarde van Item MOET '364' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(FT1_segment): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Transaction Quantity') or not(@LongName)">(FT1_segment): de waarde van LongName MOET 'Transaction Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.10
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11
Item: (FT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11">
      <extends rule="d670021e0-false-d670027e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Item) = ('365') or not(@Item)">(FT1_segment): de waarde van Item MOET '365' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Type) = ('CP') or not(@Type)">(FT1_segment): de waarde van Type MOET 'CP' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Transaction Amount - Extended') or not(@LongName)">(FT1_segment): de waarde van LongName MOET 'Transaction Amount - Extended' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11
Item: (CP_datatype)
-->
   <rule fpi="RULC-1" id="d670021e0-false-d670027e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.1) &lt;= 1">(CP_datatype): element hl7v2:CP.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.2) &lt;= 1">(CP_datatype): element hl7v2:CP.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.3) &lt;= 1">(CP_datatype): element hl7v2:CP.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.4) &lt;= 1">(CP_datatype): element hl7v2:CP.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.5) &lt;= 1">(CP_datatype): element hl7v2:CP.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.6) &lt;= 1">(CP_datatype): element hl7v2:CP.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.1
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.1">
      <extends rule="d670097e0-false-d670103e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('MO') or not(@Type)">(CP_datatype): de waarde van Type MOET 'MO' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Price') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Price' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.1
Item: (MO_datatype)
-->
   <rule fpi="RULC-1" id="d670097e0-false-d670103e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="count(hl7v2:MO.1) &lt;= 1">(MO_datatype): element hl7v2:MO.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="count(hl7v2:MO.2) &lt;= 1">(MO_datatype): element hl7v2:MO.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.1/hl7v2:MO.1
Item: (MO_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.1/hl7v2:MO.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(MO_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(MO_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.1/hl7v2:MO.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.1/hl7v2:MO.2
Item: (MO_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.1/hl7v2:MO.2">
      <extends rule="d670179e0-false-d670185e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(MO_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Denomination') or not(@LongName)">(MO_datatype): de waarde van LongName MOET 'Denomination' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.1/hl7v2:MO.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d670179e0-false-d670185e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.2
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.2">
      <extends rule="d670231e0-false-d670237e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CP_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Table) = ('HL70205') or not(@Table)">(CP_datatype): de waarde van Table MOET 'HL70205' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Price Type') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Price Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d670231e0-false-d670237e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.3
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CP_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('To Value') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'To Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.4
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CP_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('To Value') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'To Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.5
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.5">
      <extends rule="d670344e0-false-d670350e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CP_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Units') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Range Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d670344e0-false-d670350e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.5/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.5/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.5/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.5/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.5/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.5/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.5/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.5/hl7v2:CE.3">
      <extends rule="d670494e0-false-d670500e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.5/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d670494e0-false-d670500e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.5/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.5/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.5/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.5/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.5/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.5/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.5/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.5/hl7v2:CE.6">
      <extends rule="d670613e0-false-d670619e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.5/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d670613e0-false-d670619e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.6
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.6">
      <extends rule="d670665e0-false-d670671e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CP_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Table) = ('HL70298') or not(@Table)">(CP_datatype): de waarde van Table MOET 'HL70298' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Type') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Range Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.11/hl7v2:CP.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d670665e0-false-d670671e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12
Item: (FT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12">
      <extends rule="d670717e0-false-d670723e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Item) = ('366') or not(@Item)">(FT1_segment): de waarde van Item MOET '366' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Type) = ('CP') or not(@Type)">(FT1_segment): de waarde van Type MOET 'CP' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Transaction Amount - Unit') or not(@LongName)">(FT1_segment): de waarde van LongName MOET 'Transaction Amount - Unit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12
Item: (CP_datatype)
-->
   <rule fpi="RULC-1" id="d670717e0-false-d670723e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.1) &lt;= 1">(CP_datatype): element hl7v2:CP.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.2) &lt;= 1">(CP_datatype): element hl7v2:CP.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.3) &lt;= 1">(CP_datatype): element hl7v2:CP.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.4) &lt;= 1">(CP_datatype): element hl7v2:CP.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.5) &lt;= 1">(CP_datatype): element hl7v2:CP.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.6) &lt;= 1">(CP_datatype): element hl7v2:CP.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.1
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.1">
      <extends rule="d670793e0-false-d670799e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('MO') or not(@Type)">(CP_datatype): de waarde van Type MOET 'MO' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Price') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Price' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.1
Item: (MO_datatype)
-->
   <rule fpi="RULC-1" id="d670793e0-false-d670799e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="count(hl7v2:MO.1) &lt;= 1">(MO_datatype): element hl7v2:MO.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="count(hl7v2:MO.2) &lt;= 1">(MO_datatype): element hl7v2:MO.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.1/hl7v2:MO.1
Item: (MO_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.1/hl7v2:MO.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(MO_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(MO_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.1/hl7v2:MO.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.1/hl7v2:MO.2
Item: (MO_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.1/hl7v2:MO.2">
      <extends rule="d670875e0-false-d670881e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(MO_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Denomination') or not(@LongName)">(MO_datatype): de waarde van LongName MOET 'Denomination' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.1/hl7v2:MO.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d670875e0-false-d670881e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.2
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.2">
      <extends rule="d670927e0-false-d670933e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CP_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Table) = ('HL70205') or not(@Table)">(CP_datatype): de waarde van Table MOET 'HL70205' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Price Type') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Price Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d670927e0-false-d670933e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.3
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CP_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('To Value') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'To Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.4
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CP_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('To Value') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'To Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.5
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.5">
      <extends rule="d671040e0-false-d671046e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CP_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Units') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Range Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d671040e0-false-d671046e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.5/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.5/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.5/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.5/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.5/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.5/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.5/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.5/hl7v2:CE.3">
      <extends rule="d671190e0-false-d671196e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.5/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d671190e0-false-d671196e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.5/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.5/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.5/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.5/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.5/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.5/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.5/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.5/hl7v2:CE.6">
      <extends rule="d671309e0-false-d671315e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.5/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d671309e0-false-d671315e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.6
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.6">
      <extends rule="d671361e0-false-d671367e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CP_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Table) = ('HL70298') or not(@Table)">(CP_datatype): de waarde van Table MOET 'HL70298' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Type') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Range Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.12/hl7v2:CP.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d671361e0-false-d671367e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.13
Item: (FT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.13">
      <extends rule="d671419e0-false-d671425e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Item) = ('367') or not(@Item)">(FT1_segment): de waarde van Item MOET '367' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(FT1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Table) = ('HL70049') or not(@Table)">(FT1_segment): de waarde van Table MOET 'HL70049' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Department Code') or not(@LongName)">(FT1_segment): de waarde van LongName MOET 'Department Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.13
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d671419e0-false-d671425e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.13/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.13/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.13/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.13/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.13/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.13/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.13/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.13/hl7v2:CE.3">
      <extends rule="d671569e0-false-d671575e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.13/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d671569e0-false-d671575e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.13/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.13/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.13/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.13/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.13/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.13/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.13/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.13/hl7v2:CE.6">
      <extends rule="d671688e0-false-d671694e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.13/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d671688e0-false-d671694e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.14
Item: (FT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.14">
      <extends rule="d671746e0-false-d671752e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Item) = ('368') or not(@Item)">(FT1_segment): de waarde van Item MOET '368' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(FT1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Table) = ('HL70072') or not(@Table)">(FT1_segment): de waarde van Table MOET 'HL70072' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Insurance Plan ID') or not(@LongName)">(FT1_segment): de waarde van LongName MOET 'Insurance Plan ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.14
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d671746e0-false-d671752e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.14/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.14/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.14/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.14/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.14/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.14/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.14/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.14/hl7v2:CE.3">
      <extends rule="d671896e0-false-d671902e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.14/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d671896e0-false-d671902e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.14/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.14/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.14/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.14/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.14/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.14/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.14/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.14/hl7v2:CE.6">
      <extends rule="d672015e0-false-d672021e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.14/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d672015e0-false-d672021e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15
Item: (FT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15">
      <extends rule="d672067e0-false-d672073e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Item) = ('369') or not(@Item)">(FT1_segment): de waarde van Item MOET '369' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Type) = ('CP') or not(@Type)">(FT1_segment): de waarde van Type MOET 'CP' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Insurance Amount') or not(@LongName)">(FT1_segment): de waarde van LongName MOET 'Insurance Amount' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15
Item: (CP_datatype)
-->
   <rule fpi="RULC-1" id="d672067e0-false-d672073e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.1) &lt;= 1">(CP_datatype): element hl7v2:CP.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.2) &lt;= 1">(CP_datatype): element hl7v2:CP.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.3) &lt;= 1">(CP_datatype): element hl7v2:CP.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.4) &lt;= 1">(CP_datatype): element hl7v2:CP.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.5) &lt;= 1">(CP_datatype): element hl7v2:CP.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.6) &lt;= 1">(CP_datatype): element hl7v2:CP.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.1
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.1">
      <extends rule="d672143e0-false-d672149e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('MO') or not(@Type)">(CP_datatype): de waarde van Type MOET 'MO' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Price') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Price' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.1
Item: (MO_datatype)
-->
   <rule fpi="RULC-1" id="d672143e0-false-d672149e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="count(hl7v2:MO.1) &lt;= 1">(MO_datatype): element hl7v2:MO.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="count(hl7v2:MO.2) &lt;= 1">(MO_datatype): element hl7v2:MO.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.1/hl7v2:MO.1
Item: (MO_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.1/hl7v2:MO.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(MO_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(MO_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.1/hl7v2:MO.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.1/hl7v2:MO.2
Item: (MO_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.1/hl7v2:MO.2">
      <extends rule="d672225e0-false-d672231e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(MO_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Denomination') or not(@LongName)">(MO_datatype): de waarde van LongName MOET 'Denomination' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.1/hl7v2:MO.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d672225e0-false-d672231e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.2
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.2">
      <extends rule="d672277e0-false-d672283e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CP_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Table) = ('HL70205') or not(@Table)">(CP_datatype): de waarde van Table MOET 'HL70205' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Price Type') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Price Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d672277e0-false-d672283e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.3
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CP_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('To Value') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'To Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.4
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CP_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('To Value') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'To Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.5
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.5">
      <extends rule="d672390e0-false-d672396e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CP_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Units') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Range Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d672390e0-false-d672396e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.5/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.5/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.5/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.5/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.5/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.5/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.5/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.5/hl7v2:CE.3">
      <extends rule="d672540e0-false-d672546e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.5/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d672540e0-false-d672546e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.5/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.5/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.5/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.5/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.5/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.5/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.5/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.5/hl7v2:CE.6">
      <extends rule="d672659e0-false-d672665e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.5/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d672659e0-false-d672665e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.6
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.6">
      <extends rule="d672711e0-false-d672717e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CP_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Table) = ('HL70298') or not(@Table)">(CP_datatype): de waarde van Table MOET 'HL70298' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Type') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Range Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.15/hl7v2:CP.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d672711e0-false-d672717e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16
Item: (FT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16">
      <extends rule="d672763e0-false-d672769e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Item) = ('133') or not(@Item)">(FT1_segment): de waarde van Item MOET '133' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Type) = ('PL') or not(@Type)">(FT1_segment): de waarde van Type MOET 'PL' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigned Patient Location') or not(@LongName)">(FT1_segment): de waarde van LongName MOET 'Assigned Patient Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16
Item: (PL_datatype)
-->
   <rule fpi="RULC-1" id="d672763e0-false-d672769e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.1) &lt;= 1">(PL_datatype): element hl7v2:PL.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.2) &lt;= 1">(PL_datatype): element hl7v2:PL.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.3) &lt;= 1">(PL_datatype): element hl7v2:PL.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.4) &lt;= 1">(PL_datatype): element hl7v2:PL.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.5) &lt;= 1">(PL_datatype): element hl7v2:PL.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.6) &lt;= 1">(PL_datatype): element hl7v2:PL.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.7) &lt;= 1">(PL_datatype): element hl7v2:PL.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.8) &lt;= 1">(PL_datatype): element hl7v2:PL.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.9) &lt;= 1">(PL_datatype): element hl7v2:PL.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.10) &lt;= 1">(PL_datatype): element hl7v2:PL.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="count(hl7v2:PL.11) &lt;= 1">(PL_datatype): element hl7v2:PL.11 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.1
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70302') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70302' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Point of Care') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Point of Care' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.2
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70303') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70303' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Room') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Room' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.3
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70304') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70304' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Bed') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Bed' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.3
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.4
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.4">
      <extends rule="d672994e0-false-d673000e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Facility') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d672994e0-false-d673000e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.4/hl7v2:HD.3">
      <extends rule="d673129e0-false-d673135e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d673129e0-false-d673135e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.5
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70306') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70306' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Status') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Location Status' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.5
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.6
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70305') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70305' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Person Location Type') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Person Location Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.6
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.7
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70307') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70307' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Building') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Building' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.8
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(PL_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Table) = ('HL70308') or not(@Table)">(PL_datatype): de waarde van Table MOET 'HL70308' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Floor') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Floor' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.9
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(PL_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Location Description') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Location Description' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.10
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.10">
      <extends rule="d673369e0-false-d673375e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(PL_datatype): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Comprehensive Location Identifier') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Comprehensive Location Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.10
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d673369e0-false-d673375e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.10/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.10/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.10/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.10/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.10/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.10/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.10/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.10/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.10/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.10/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.10/hl7v2:EI.4">
      <extends rule="d673545e0-false-d673551e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.10/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d673545e0-false-d673551e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.44
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.11
Item: (PL_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.11">
      <extends rule="d673591e0-false-d673597e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(PL_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.44-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority for Location') or not(@LongName)">(PL_datatype): de waarde van LongName MOET 'Assigning Authority for Location' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.11
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d673591e0-false-d673597e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.11/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.11/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.11/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.11/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.11/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.11/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.11/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.11/hl7v2:HD.3">
      <extends rule="d673726e0-false-d673732e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.16/hl7v2:PL.11/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d673726e0-false-d673732e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.17
Item: (FT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.17">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Item) = ('370') or not(@Item)">(FT1_segment): de waarde van Item MOET '370' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(FT1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Table) = ('HL70024') or not(@Table)">(FT1_segment): de waarde van Table MOET 'HL70024' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Fee Schedule') or not(@LongName)">(FT1_segment): de waarde van LongName MOET 'Fee Schedule' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.17
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.18
Item: (FT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.18">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Item) = ('148') or not(@Item)">(FT1_segment): de waarde van Item MOET '148' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(FT1_segment): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Table) = ('HL70018') or not(@Table)">(FT1_segment): de waarde van Table MOET 'HL70018' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Patient Type') or not(@LongName)">(FT1_segment): de waarde van LongName MOET 'Patient Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.18
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.19
Item: (FT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.19">
      <extends rule="d673877e0-false-d673883e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Item) = ('371') or not(@Item)">(FT1_segment): de waarde van Item MOET '371' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(FT1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Table) = ('HL70051') or not(@Table)">(FT1_segment): de waarde van Table MOET 'HL70051' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Diagnosis Code - FT1') or not(@LongName)">(FT1_segment): de waarde van LongName MOET 'Diagnosis Code - FT1' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.19
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d673877e0-false-d673883e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.19/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.19/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.19/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.19/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.19/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.19/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.19/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.19/hl7v2:CE.3">
      <extends rule="d674027e0-false-d674033e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.19/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d674027e0-false-d674033e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.19/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.19/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.19/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.19/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.19/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.19/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.19/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.19/hl7v2:CE.6">
      <extends rule="d674146e0-false-d674152e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.19/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d674146e0-false-d674152e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20
Item: (FT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20">
      <extends rule="d674204e0-false-d674210e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Item) = ('372') or not(@Item)">(FT1_segment): de waarde van Item MOET '372' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(FT1_segment): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Table) = ('HL70084') or not(@Table)">(FT1_segment): de waarde van Table MOET 'HL70084' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Performed By Code') or not(@LongName)">(FT1_segment): de waarde van LongName MOET 'Performed By Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d674204e0-false-d674210e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.2">
      <extends rule="d674433e0-false-d674439e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d674433e0-false-d674439e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.9">
      <extends rule="d674895e0-false-d674901e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d674895e0-false-d674901e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d675030e0-false-d675036e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d675030e0-false-d675036e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.10">
      <extends rule="d675082e0-false-d675088e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d675082e0-false-d675088e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.12">
      <extends rule="d675167e0-false-d675173e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d675167e0-false-d675173e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.13">
      <extends rule="d675218e0-false-d675224e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d675218e0-false-d675224e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.14">
      <extends rule="d675263e0-false-d675269e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d675263e0-false-d675269e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d675398e0-false-d675404e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d675398e0-false-d675404e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.15">
      <extends rule="d675450e0-false-d675456e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d675450e0-false-d675456e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.16">
      <extends rule="d675501e0-false-d675507e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d675501e0-false-d675507e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d675651e0-false-d675657e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d675651e0-false-d675657e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d675770e0-false-d675776e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d675770e0-false-d675776e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.17">
      <extends rule="d675816e0-false-d675822e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d675816e0-false-d675822e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d675864e0-false-d675870e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d675864e0-false-d675870e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d675952e0-false-d675958e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d675952e0-false-d675958e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d675998e0-false-d676004e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d675998e0-false-d676004e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d676086e0-false-d676092e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d676086e0-false-d676092e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.18">
      <extends rule="d676139e0-false-d676145e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d676139e0-false-d676145e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.19">
      <extends rule="d676184e0-false-d676190e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d676184e0-false-d676190e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d676272e0-false-d676278e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d676272e0-false-d676278e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.20">
      <extends rule="d676318e0-false-d676324e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d676318e0-false-d676324e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d676406e0-false-d676412e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d676406e0-false-d676412e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.22">
      <extends rule="d676486e0-false-d676492e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d676486e0-false-d676492e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d676657e0-false-d676663e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d676657e0-false-d676663e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d676776e0-false-d676782e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d676776e0-false-d676782e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.23">
      <extends rule="d676924e0-false-d676930e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d676924e0-false-d676930e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d677095e0-false-d677101e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d677095e0-false-d677101e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d677214e0-false-d677220e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d677214e0-false-d677220e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.20/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21
Item: (FT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21">
      <extends rule="d677369e0-false-d677375e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Item) = ('373') or not(@Item)">(FT1_segment): de waarde van Item MOET '373' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(FT1_segment): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Ordered By Code') or not(@LongName)">(FT1_segment): de waarde van LongName MOET 'Ordered By Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d677369e0-false-d677375e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.2">
      <extends rule="d677598e0-false-d677604e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d677598e0-false-d677604e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.9">
      <extends rule="d678060e0-false-d678066e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d678060e0-false-d678066e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d678195e0-false-d678201e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d678195e0-false-d678201e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.10">
      <extends rule="d678247e0-false-d678253e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d678247e0-false-d678253e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.12">
      <extends rule="d678332e0-false-d678338e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d678332e0-false-d678338e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.13">
      <extends rule="d678383e0-false-d678389e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d678383e0-false-d678389e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.14">
      <extends rule="d678428e0-false-d678434e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d678428e0-false-d678434e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d678563e0-false-d678569e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d678563e0-false-d678569e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.15">
      <extends rule="d678615e0-false-d678621e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d678615e0-false-d678621e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.16">
      <extends rule="d678666e0-false-d678672e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d678666e0-false-d678672e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d678816e0-false-d678822e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d678816e0-false-d678822e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d678935e0-false-d678941e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d678935e0-false-d678941e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.17">
      <extends rule="d678981e0-false-d678987e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d678981e0-false-d678987e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d679029e0-false-d679035e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d679029e0-false-d679035e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d679117e0-false-d679123e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d679117e0-false-d679123e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d679163e0-false-d679169e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d679163e0-false-d679169e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d679251e0-false-d679257e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d679251e0-false-d679257e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.18">
      <extends rule="d679304e0-false-d679310e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d679304e0-false-d679310e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.19">
      <extends rule="d679349e0-false-d679355e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d679349e0-false-d679355e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d679437e0-false-d679443e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d679437e0-false-d679443e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.20">
      <extends rule="d679483e0-false-d679489e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d679483e0-false-d679489e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d679571e0-false-d679577e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d679571e0-false-d679577e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.22">
      <extends rule="d679651e0-false-d679657e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d679651e0-false-d679657e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d679822e0-false-d679828e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d679822e0-false-d679828e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d679941e0-false-d679947e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d679941e0-false-d679947e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.23">
      <extends rule="d680089e0-false-d680095e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d680089e0-false-d680095e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d680260e0-false-d680266e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d680260e0-false-d680266e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d680379e0-false-d680385e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d680379e0-false-d680385e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.21/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22
Item: (FT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22">
      <extends rule="d680534e0-false-d680540e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Item) = ('374') or not(@Item)">(FT1_segment): de waarde van Item MOET '374' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Type) = ('CP') or not(@Type)">(FT1_segment): de waarde van Type MOET 'CP' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Unit Cost') or not(@LongName)">(FT1_segment): de waarde van LongName MOET 'Unit Cost' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22
Item: (CP_datatype)
-->
   <rule fpi="RULC-1" id="d680534e0-false-d680540e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.1) &lt;= 1">(CP_datatype): element hl7v2:CP.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.2) &lt;= 1">(CP_datatype): element hl7v2:CP.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.3) &lt;= 1">(CP_datatype): element hl7v2:CP.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.4) &lt;= 1">(CP_datatype): element hl7v2:CP.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.5) &lt;= 1">(CP_datatype): element hl7v2:CP.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="count(hl7v2:CP.6) &lt;= 1">(CP_datatype): element hl7v2:CP.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.1
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.1">
      <extends rule="d680610e0-false-d680616e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('MO') or not(@Type)">(CP_datatype): de waarde van Type MOET 'MO' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Price') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Price' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.1
Item: (MO_datatype)
-->
   <rule fpi="RULC-1" id="d680610e0-false-d680616e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="count(hl7v2:MO.1) &lt;= 1">(MO_datatype): element hl7v2:MO.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="count(hl7v2:MO.2) &lt;= 1">(MO_datatype): element hl7v2:MO.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.1/hl7v2:MO.1
Item: (MO_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.1/hl7v2:MO.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(MO_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Quantity') or not(@LongName)">(MO_datatype): de waarde van LongName MOET 'Quantity' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.1/hl7v2:MO.1
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.33
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.1/hl7v2:MO.2
Item: (MO_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.1/hl7v2:MO.2">
      <extends rule="d680692e0-false-d680698e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(MO_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.33-2013-02-10T000000.html"
              test="string(@LongName) = ('Denomination') or not(@LongName)">(MO_datatype): de waarde van LongName MOET 'Denomination' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.1/hl7v2:MO.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d680692e0-false-d680698e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.2
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.2">
      <extends rule="d680744e0-false-d680750e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CP_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Table) = ('HL70205') or not(@Table)">(CP_datatype): de waarde van Table MOET 'HL70205' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Price Type') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Price Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d680744e0-false-d680750e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.3
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CP_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('To Value') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'To Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.3
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.4
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('NM') or not(@Type)">(CP_datatype): de waarde van Type MOET 'NM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('To Value') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'To Value' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.86
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.4
Item: (NM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.5
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.5">
      <extends rule="d680857e0-false-d680863e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CP_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Units') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Range Units' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d680857e0-false-d680863e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.5/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.5/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.5/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.5/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.5/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.5/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.5/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.5/hl7v2:CE.3">
      <extends rule="d681007e0-false-d681013e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.5/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d681007e0-false-d681013e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.5/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.5/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.5/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.5/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.5/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.5/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.5/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.5/hl7v2:CE.6">
      <extends rule="d681126e0-false-d681132e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.5/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d681126e0-false-d681132e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.8
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.6
Item: (CP_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.6">
      <extends rule="d681178e0-false-d681184e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CP_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@Table) = ('HL70298') or not(@Table)">(CP_datatype): de waarde van Table MOET 'HL70298' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.8-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Type') or not(@LongName)">(CP_datatype): de waarde van LongName MOET 'Range Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.22/hl7v2:CP.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d681178e0-false-d681184e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.23
Item: (FT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.23">
      <extends rule="d681230e0-false-d681236e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Item) = ('217') or not(@Item)">(FT1_segment): de waarde van Item MOET '217' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(FT1_segment): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Filler Order Number') or not(@LongName)">(FT1_segment): de waarde van LongName MOET 'Filler Order Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.23
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d681230e0-false-d681236e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.23/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.23/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.23/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.23/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.23/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.23/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.23/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.23/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.23/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.23/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.23/hl7v2:EI.4">
      <extends rule="d681406e0-false-d681412e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.23/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d681406e0-false-d681412e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24
Item: (FT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24">
      <extends rule="d681458e0-false-d681464e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Item) = ('765') or not(@Item)">(FT1_segment): de waarde van Item MOET '765' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Type) = ('XCN') or not(@Type)">(FT1_segment): de waarde van Type MOET 'XCN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Entered By Code') or not(@LongName)">(FT1_segment): de waarde van LongName MOET 'Entered By Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1" id="d681458e0-false-d681464e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.1) &lt;= 1">(XCN_datatype): element hl7v2:XCN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.2) &lt;= 1">(XCN_datatype): element hl7v2:XCN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.3) &lt;= 1">(XCN_datatype): element hl7v2:XCN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.4) &lt;= 1">(XCN_datatype): element hl7v2:XCN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.5) &lt;= 1">(XCN_datatype): element hl7v2:XCN.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.6) &lt;= 1">(XCN_datatype): element hl7v2:XCN.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.7) &lt;= 1">(XCN_datatype): element hl7v2:XCN.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.8) &lt;= 1">(XCN_datatype): element hl7v2:XCN.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.9) &lt;= 1">(XCN_datatype): element hl7v2:XCN.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.10) &lt;= 1">(XCN_datatype): element hl7v2:XCN.10 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.11) &lt;= 1">(XCN_datatype): element hl7v2:XCN.11 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.12) &lt;= 1">(XCN_datatype): element hl7v2:XCN.12 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.13) &lt;= 1">(XCN_datatype): element hl7v2:XCN.13 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.14) &lt;= 1">(XCN_datatype): element hl7v2:XCN.14 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.15) &lt;= 1">(XCN_datatype): element hl7v2:XCN.15 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.16) &lt;= 1">(XCN_datatype): element hl7v2:XCN.16 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.17) &lt;= 1">(XCN_datatype): element hl7v2:XCN.17 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.18) &lt;= 1">(XCN_datatype): element hl7v2:XCN.18 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.19) &lt;= 1">(XCN_datatype): element hl7v2:XCN.19 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.20) &lt;= 1">(XCN_datatype): element hl7v2:XCN.20 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.21) &lt;= 1">(XCN_datatype): element hl7v2:XCN.21 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.22) &lt;= 1">(XCN_datatype): element hl7v2:XCN.22 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="count(hl7v2:XCN.23) &lt;= 1">(XCN_datatype): element hl7v2:XCN.23 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.1
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.2
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.2">
      <extends rule="d681687e0-false-d681693e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('FN') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'FN' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Family Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Family Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1" id="d681687e0-false-d681693e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.1) &lt;= 1">(FN_datatype): element hl7v2:FN.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.2) &lt;= 1">(FN_datatype): element hl7v2:FN.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.3) &lt;= 1">(FN_datatype): element hl7v2:FN.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.4) &lt;= 1">(FN_datatype): element hl7v2:FN.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="count(hl7v2:FN.5) &lt;= 1">(FN_datatype): element hl7v2:FN.5 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.2/hl7v2:FN.1
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.2/hl7v2:FN.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.2/hl7v2:FN.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.2/hl7v2:FN.2
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.2/hl7v2:FN.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname Prefix') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname Prefix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.2/hl7v2:FN.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.2/hl7v2:FN.3
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.2/hl7v2:FN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Own Surname') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Own Surname' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.2/hl7v2:FN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.2/hl7v2:FN.4
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.2/hl7v2:FN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname Prefix From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname Prefix From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.2/hl7v2:FN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.26
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.2/hl7v2:FN.5
Item: (FN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.2/hl7v2:FN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(FN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.26-2013-02-10T000000.html"
              test="string(@LongName) = ('Surname From Partner/Spouse') or not(@LongName)">(FN_datatype): de waarde van LongName MOET 'Surname From Partner/Spouse' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.2/hl7v2:FN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.3
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Given Name') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Given Name' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.4
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Second and Further Given Names or Initials Thereof') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Second and Further Given Names or Initials Thereof' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.5
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Suffix (e.g., JR or III)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Suffix (e.g., JR or III)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.6
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.6">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Prefix (e.g., DR)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Prefix (e.g., DR)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.6
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.7
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70360') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70360' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree (e.g., MD)') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Degree (e.g., MD)' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.7
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.8
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70297') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70297' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Source Table') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Source Table' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.8
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.9
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.9">
      <extends rule="d682149e0-false-d682155e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.9
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d682149e0-false-d682155e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.9/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.9/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.9/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.9/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.9/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.9/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.9/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.9/hl7v2:HD.3">
      <extends rule="d682284e0-false-d682290e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.9/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d682284e0-false-d682290e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.10
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.10">
      <extends rule="d682336e0-false-d682342e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70200') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70200' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.10
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d682336e0-false-d682342e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.11
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.11">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Check Digit') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.11
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.12
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.12">
      <extends rule="d682421e0-false-d682427e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.12
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d682421e0-false-d682427e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.13
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.13">
      <extends rule="d682472e0-false-d682478e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.13
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d682472e0-false-d682478e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.14
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.14">
      <extends rule="d682517e0-false-d682523e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.14
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d682517e0-false-d682523e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.14/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.14/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.14/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.14/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.14/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.14/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.14/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.14/hl7v2:HD.3">
      <extends rule="d682652e0-false-d682658e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.14/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d682652e0-false-d682658e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.15
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.15">
      <extends rule="d682704e0-false-d682710e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70465') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70465' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Representation Code') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Representation Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.15
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d682704e0-false-d682710e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.16
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.16">
      <extends rule="d682755e0-false-d682761e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70448') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70448' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Context') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Context' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.16
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d682755e0-false-d682761e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.16/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.16/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.16/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.16/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.16/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.16/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.16/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.16/hl7v2:CE.3">
      <extends rule="d682905e0-false-d682911e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.16/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d682905e0-false-d682911e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.16/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.16/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.16/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.16/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.16/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.16/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.16/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.16/hl7v2:CE.6">
      <extends rule="d683024e0-false-d683030e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.16/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d683024e0-false-d683030e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.17
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.17">
      <extends rule="d683070e0-false-d683076e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('DR') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'DR' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Validity Range') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Validity Range' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.17
Item: (DR_datatype)
-->
   <rule fpi="RULC-1" id="d683070e0-false-d683076e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.1) &lt;= 1">(DR_datatype): element hl7v2:DR.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="count(hl7v2:DR.2) &lt;= 1">(DR_datatype): element hl7v2:DR.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.17/hl7v2:DR.1
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.17/hl7v2:DR.1">
      <extends rule="d683118e0-false-d683124e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range Start Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range Start Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.17/hl7v2:DR.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d683118e0-false-d683124e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2">
      <extends rule="d683206e0-false-d683212e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.17/hl7v2:DR.1/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d683206e0-false-d683212e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.18
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.17/hl7v2:DR.2
Item: (DR_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.17/hl7v2:DR.2">
      <extends rule="d683252e0-false-d683258e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(DR_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.18-2013-02-10T000000.html"
              test="string(@LongName) = ('Range End Date/Time') or not(@LongName)">(DR_datatype): de waarde van LongName MOET 'Range End Date/Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.17/hl7v2:DR.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d683252e0-false-d683258e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2">
      <extends rule="d683340e0-false-d683346e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.17/hl7v2:DR.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d683340e0-false-d683346e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.18
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.18">
      <extends rule="d683393e0-false-d683399e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Table) = ('HL70444') or not(@Table)">(XCN_datatype): de waarde van Table MOET 'HL70444' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Name Assembly Order') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Name Assembly Order' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.18
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d683393e0-false-d683399e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.19
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.19">
      <extends rule="d683438e0-false-d683444e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.19
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d683438e0-false-d683444e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.19/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.19/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.19/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.19/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.19/hl7v2:TS.2">
      <extends rule="d683526e0-false-d683532e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.19/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d683526e0-false-d683532e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.20
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.20">
      <extends rule="d683572e0-false-d683578e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.20
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d683572e0-false-d683578e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.20/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.20/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.20/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.20/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.20/hl7v2:TS.2">
      <extends rule="d683660e0-false-d683666e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.20/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d683660e0-false-d683666e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.21
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.21">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Professional Suffix') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Professional Suffix' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.21
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.22
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.22">
      <extends rule="d683740e0-false-d683746e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.22
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d683740e0-false-d683746e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.22/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.22/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.22/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.22/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.22/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.22/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.22/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.22/hl7v2:CWE.3">
      <extends rule="d683911e0-false-d683917e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.22/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d683911e0-false-d683917e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.22/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.22/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.22/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.22/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.22/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.22/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.22/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.22/hl7v2:CWE.6">
      <extends rule="d684030e0-false-d684036e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.22/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d684030e0-false-d684036e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.22/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.22/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.22/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.22/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.22/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.22/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.22/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.22/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.22/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.74
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.23
Item: (XCN_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.23">
      <extends rule="d684178e0-false-d684184e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(XCN_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.74-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(XCN_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.23
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d684178e0-false-d684184e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.23/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.23/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.23/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.23/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.23/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.23/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.23/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.23/hl7v2:CWE.3">
      <extends rule="d684349e0-false-d684355e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.23/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d684349e0-false-d684355e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.23/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.23/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.23/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.23/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.23/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.23/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.23/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.23/hl7v2:CWE.6">
      <extends rule="d684468e0-false-d684474e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.23/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d684468e0-false-d684474e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.23/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.23/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.23/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.23/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.23/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.23/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.23/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.23/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.24/hl7v2:XCN.23/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.25
Item: (FT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.25">
      <extends rule="d684629e0-false-d684635e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Item) = ('393') or not(@Item)">(FT1_segment): de waarde van Item MOET '393' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(FT1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Table) = ('HL70088') or not(@Table)">(FT1_segment): de waarde van Table MOET 'HL70088' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Procedure Code') or not(@LongName)">(FT1_segment): de waarde van LongName MOET 'Procedure Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.25
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d684629e0-false-d684635e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.25/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.25/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.25/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.25/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.25/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.25/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.25/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.25/hl7v2:CE.3">
      <extends rule="d684779e0-false-d684785e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.25/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d684779e0-false-d684785e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.25/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.25/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.25/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.25/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.25/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.25/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.25/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.25/hl7v2:CE.6">
      <extends rule="d684898e0-false-d684904e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.25/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d684898e0-false-d684904e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.26
Item: (FT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.26">
      <extends rule="d684956e0-false-d684962e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Item) = ('1316') or not(@Item)">(FT1_segment): de waarde van Item MOET '1316' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(FT1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Table) = ('HL70340') or not(@Table)">(FT1_segment): de waarde van Table MOET 'HL70340' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Procedure Code Modifier') or not(@LongName)">(FT1_segment): de waarde van LongName MOET 'Procedure Code Modifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.26
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d684956e0-false-d684962e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.26/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.26/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.26/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.26/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.26/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.26/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.26/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.26/hl7v2:CE.3">
      <extends rule="d685106e0-false-d685112e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.26/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d685106e0-false-d685112e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.26/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.26/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.26/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.26/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.26/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.26/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.26/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.26/hl7v2:CE.6">
      <extends rule="d685225e0-false-d685231e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.26/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d685225e0-false-d685231e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.27
Item: (FT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.27">
      <extends rule="d685283e0-false-d685289e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Item) = ('1310') or not(@Item)">(FT1_segment): de waarde van Item MOET '1310' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(FT1_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Table) = ('HL70339') or not(@Table)">(FT1_segment): de waarde van Table MOET 'HL70339' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Advanced Beneficiary Notice Code') or not(@LongName)">(FT1_segment): de waarde van LongName MOET 'Advanced Beneficiary Notice Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.27
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d685283e0-false-d685289e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.27/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.27/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.27/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.27/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.27/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.27/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.27/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.27/hl7v2:CE.3">
      <extends rule="d685433e0-false-d685439e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.27/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d685433e0-false-d685439e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.27/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.27/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.27/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.27/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.27/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.27/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.27/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.27/hl7v2:CE.6">
      <extends rule="d685552e0-false-d685558e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.27/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d685552e0-false-d685558e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.28
Item: (FT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.28">
      <extends rule="d685610e0-false-d685616e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Item) = ('1646') or not(@Item)">(FT1_segment): de waarde van Item MOET '1646' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(FT1_segment): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Table) = ('HL70476') or not(@Table)">(FT1_segment): de waarde van Table MOET 'HL70476' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Medically Necessary Duplicate Procedure Reason.') or not(@LongName)">(FT1_segment): de waarde van LongName MOET 'Medically Necessary Duplicate Procedure Reason.' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.28
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d685610e0-false-d685616e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.28/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.28/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.28/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.28/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.28/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.28/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.28/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.28/hl7v2:CWE.3">
      <extends rule="d685781e0-false-d685787e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.28/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d685781e0-false-d685787e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.28/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.28/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.28/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.28/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.28/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.28/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.28/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.28/hl7v2:CWE.6">
      <extends rule="d685900e0-false-d685906e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.28/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d685900e0-false-d685906e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.28/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.28/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.28/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.28/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.28/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.28/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.28/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.28/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.28/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.29
Item: (FT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.29">
      <extends rule="d686060e0-false-d686066e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Item) = ('1845') or not(@Item)">(FT1_segment): de waarde van Item MOET '1845' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Type) = ('CNE') or not(@Type)">(FT1_segment): de waarde van Type MOET 'CNE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Table) = ('HL70549') or not(@Table)">(FT1_segment): de waarde van Table MOET 'HL70549' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@LongName) = ('NDC Code') or not(@LongName)">(FT1_segment): de waarde van LongName MOET 'NDC Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.29
Item: (CNE_datatype)
-->
   <rule fpi="RULC-1" id="d686060e0-false-d686066e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="count(hl7v2:CNE.1) &lt;= 1">(CNE_datatype): element hl7v2:CNE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="count(hl7v2:CNE.2) &lt;= 1">(CNE_datatype): element hl7v2:CNE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="count(hl7v2:CNE.3) &lt;= 1">(CNE_datatype): element hl7v2:CNE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="count(hl7v2:CNE.4) &lt;= 1">(CNE_datatype): element hl7v2:CNE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="count(hl7v2:CNE.5) &lt;= 1">(CNE_datatype): element hl7v2:CNE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="count(hl7v2:CNE.6) &lt;= 1">(CNE_datatype): element hl7v2:CNE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="count(hl7v2:CNE.7) &lt;= 1">(CNE_datatype): element hl7v2:CNE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="count(hl7v2:CNE.8) &lt;= 1">(CNE_datatype): element hl7v2:CNE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="count(hl7v2:CNE.9) &lt;= 1">(CNE_datatype): element hl7v2:CNE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.29/hl7v2:CNE.1
Item: (CNE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.29/hl7v2:CNE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CNE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.29/hl7v2:CNE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.29/hl7v2:CNE.2
Item: (CNE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.29/hl7v2:CNE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CNE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.29/hl7v2:CNE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.29/hl7v2:CNE.3
Item: (CNE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.29/hl7v2:CNE.3">
      <extends rule="d686231e0-false-d686237e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CNE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CNE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CNE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.29/hl7v2:CNE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d686231e0-false-d686237e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.29/hl7v2:CNE.4
Item: (CNE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.29/hl7v2:CNE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CNE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.29/hl7v2:CNE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.29/hl7v2:CNE.5
Item: (CNE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.29/hl7v2:CNE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CNE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.29/hl7v2:CNE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.29/hl7v2:CNE.6
Item: (CNE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.29/hl7v2:CNE.6">
      <extends rule="d686350e0-false-d686356e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CNE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CNE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CNE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.29/hl7v2:CNE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d686350e0-false-d686356e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.29/hl7v2:CNE.7
Item: (CNE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.29/hl7v2:CNE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CNE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.29/hl7v2:CNE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.29/hl7v2:CNE.8
Item: (CNE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.29/hl7v2:CNE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CNE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.29/hl7v2:CNE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.6
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.29/hl7v2:CNE.9
Item: (CNE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.29/hl7v2:CNE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CNE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.6-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CNE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.29/hl7v2:CNE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30
Item: (FT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30">
      <extends rule="d686504e0-false-d686510e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Item) = ('1846') or not(@Item)">(FT1_segment): de waarde van Item MOET '1846' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Type) = ('CX') or not(@Type)">(FT1_segment): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Payment Reference ID') or not(@LongName)">(FT1_segment): de waarde van LongName MOET 'Payment Reference ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d686504e0-false-d686510e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.3">
      <extends rule="d686682e0-false-d686688e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d686682e0-false-d686688e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.4">
      <extends rule="d686733e0-false-d686739e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d686733e0-false-d686739e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d686868e0-false-d686874e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d686868e0-false-d686874e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.5">
      <extends rule="d686920e0-false-d686926e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d686920e0-false-d686926e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.6">
      <extends rule="d686965e0-false-d686971e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d686965e0-false-d686971e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d687100e0-false-d687106e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d687100e0-false-d687106e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.9">
      <extends rule="d687214e0-false-d687220e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d687214e0-false-d687220e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d687385e0-false-d687391e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d687385e0-false-d687391e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d687504e0-false-d687510e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d687504e0-false-d687510e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.10">
      <extends rule="d687652e0-false-d687658e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d687652e0-false-d687658e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d687823e0-false-d687829e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d687823e0-false-d687829e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d687942e0-false-d687948e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d687942e0-false-d687948e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.30/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.48
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.31
Item: (FT1_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.31">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Item) = ('1847') or not(@Item)">(FT1_segment): de waarde van Item MOET '1847' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@Type) = ('SI') or not(@Type)">(FT1_segment): de waarde van Type MOET 'SI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.48-2013-02-10T000000.html"
              test="string(@LongName) = ('Transaction Reference Key') or not(@LongName)">(FT1_segment): de waarde van LongName MOET 'Transaction Reference Key' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.88
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:FT1/hl7v2:FT1.31
Item: (SI_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.31
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI
Item: (CTI_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.31-2013-02-10T000000.html"
              test="count(hl7v2:CTI.1) &gt;= 1">(CTI_segment): element hl7v2:CTI.1 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.31-2013-02-10T000000.html"
              test="count(hl7v2:CTI.1) &lt;= 1">(CTI_segment): element hl7v2:CTI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.31-2013-02-10T000000.html"
              test="count(hl7v2:CTI.2) &lt;= 1">(CTI_segment): element hl7v2:CTI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.31-2013-02-10T000000.html"
              test="count(hl7v2:CTI.3) &lt;= 1">(CTI_segment): element hl7v2:CTI.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.31
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.1
Item: (CTI_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.1">
      <extends rule="d688186e0-false-d688192e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.31-2013-02-10T000000.html"
              test="string(@Item) = ('1011') or not(@Item)">(CTI_segment): de waarde van Item MOET '1011' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.31-2013-02-10T000000.html"
              test="string(@Type) = ('EI') or not(@Type)">(CTI_segment): de waarde van Type MOET 'EI' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.31-2013-02-10T000000.html"
              test="string(@LongName) = ('Sponsor Study ID') or not(@LongName)">(CTI_segment): de waarde van LongName MOET 'Sponsor Study ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1" id="d688186e0-false-d688192e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.1) &lt;= 1">(EI_datatype): element hl7v2:EI.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.2) &lt;= 1">(EI_datatype): element hl7v2:EI.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.3) &lt;= 1">(EI_datatype): element hl7v2:EI.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="count(hl7v2:EI.4) &lt;= 1">(EI_datatype): element hl7v2:EI.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.1/hl7v2:EI.1
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.1/hl7v2:EI.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Entity Identifier') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Entity Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.1/hl7v2:EI.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.1/hl7v2:EI.2
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.1/hl7v2:EI.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(EI_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.1/hl7v2:EI.2
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.1/hl7v2:EI.3
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.1/hl7v2:EI.3">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.1/hl7v2:EI.3
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.21
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.1/hl7v2:EI.4
Item: (EI_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.1/hl7v2:EI.4">
      <extends rule="d688362e0-false-d688368e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(EI_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(EI_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.21-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(EI_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.1/hl7v2:EI.4
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d688362e0-false-d688368e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.31
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.2
Item: (CTI_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.2">
      <extends rule="d688414e0-false-d688420e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.31-2013-02-10T000000.html"
              test="string(@Item) = ('1022') or not(@Item)">(CTI_segment): de waarde van Item MOET '1022' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.31-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CTI_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.31-2013-02-10T000000.html"
              test="string(@LongName) = ('Study Phase Identifier') or not(@LongName)">(CTI_segment): de waarde van LongName MOET 'Study Phase Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d688414e0-false-d688420e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.2/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.2/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.2/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.2/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.2/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.2/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.2/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.2/hl7v2:CE.3">
      <extends rule="d688564e0-false-d688570e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.2/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d688564e0-false-d688570e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.2/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.2/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.2/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.2/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.2/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.2/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.2/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.2/hl7v2:CE.6">
      <extends rule="d688683e0-false-d688689e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.2/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d688683e0-false-d688689e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.31
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.3
Item: (CTI_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.3">
      <extends rule="d688735e0-false-d688741e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.31-2013-02-10T000000.html"
              test="string(@Item) = ('1055') or not(@Item)">(CTI_segment): de waarde van Item MOET '1055' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.31-2013-02-10T000000.html"
              test="string(@Type) = ('CE') or not(@Type)">(CTI_segment): de waarde van Type MOET 'CE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.31-2013-02-10T000000.html"
              test="string(@LongName) = ('Study Scheduled Time Point') or not(@LongName)">(CTI_segment): de waarde van LongName MOET 'Study Scheduled Time Point' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1" id="d688735e0-false-d688741e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.1) &lt;= 1">(CE_datatype): element hl7v2:CE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.2) &lt;= 1">(CE_datatype): element hl7v2:CE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.3) &lt;= 1">(CE_datatype): element hl7v2:CE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.4) &lt;= 1">(CE_datatype): element hl7v2:CE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.5) &lt;= 1">(CE_datatype): element hl7v2:CE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="count(hl7v2:CE.6) &lt;= 1">(CE_datatype): element hl7v2:CE.6 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.3/hl7v2:CE.1
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.3/hl7v2:CE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.3/hl7v2:CE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.3/hl7v2:CE.2
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.3/hl7v2:CE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.3/hl7v2:CE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.3/hl7v2:CE.3
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.3/hl7v2:CE.3">
      <extends rule="d688885e0-false-d688891e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.3/hl7v2:CE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d688885e0-false-d688891e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.3/hl7v2:CE.4
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.3/hl7v2:CE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.3/hl7v2:CE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.3/hl7v2:CE.5
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.3/hl7v2:CE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.3/hl7v2:CE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.5
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.3/hl7v2:CE.6
Item: (CE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.3/hl7v2:CE.6">
      <extends rule="d689004e0-false-d689010e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.5-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:CTI/hl7v2:CTI.3/hl7v2:CE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d689004e0-false-d689010e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.25.10.1
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG
Item: (OML_O21_Lab2Lab)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.15
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG
Item: (BLG_segment)
-->
   <rule fpi="RULC-1" context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.15-2013-02-10T000000.html"
              test="count(hl7v2:BLG.1) &lt;= 1">(BLG_segment): element hl7v2:BLG.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.15-2013-02-10T000000.html"
              test="count(hl7v2:BLG.2) &lt;= 1">(BLG_segment): element hl7v2:BLG.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.15-2013-02-10T000000.html"
              test="count(hl7v2:BLG.3) &lt;= 1">(BLG_segment): element hl7v2:BLG.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.15-2013-02-10T000000.html"
              test="count(hl7v2:BLG.4) &lt;= 1">(BLG_segment): element hl7v2:BLG.4 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.15
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.1
Item: (BLG_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.1">
      <extends rule="d689112e0-false-d689118e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.15-2013-02-10T000000.html"
              test="string(@Item) = ('234') or not(@Item)">(BLG_segment): de waarde van Item MOET '234' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.15-2013-02-10T000000.html"
              test="string(@Type) = ('CCD') or not(@Type)">(BLG_segment): de waarde van Type MOET 'CCD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.15-2013-02-10T000000.html"
              test="string(@Table) = ('HL70100') or not(@Table)">(BLG_segment): de waarde van Table MOET 'HL70100' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.15-2013-02-10T000000.html"
              test="string(@LongName) = ('When to Charge') or not(@LongName)">(BLG_segment): de waarde van LongName MOET 'When to Charge' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.1
Item: (CCD_datatype)
-->
   <rule fpi="RULC-1" id="d689112e0-false-d689118e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.3-2013-02-10T000000.html"
              test="count(hl7v2:CCD.1) &lt;= 1">(CCD_datatype): element hl7v2:CCD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.3-2013-02-10T000000.html"
              test="count(hl7v2:CCD.2) &lt;= 1">(CCD_datatype): element hl7v2:CCD.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.1/hl7v2:CCD.1
Item: (CCD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.1/hl7v2:CCD.1">
      <extends rule="d689166e0-false-d689172e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.3-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CCD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.3-2013-02-10T000000.html"
              test="string(@Table) = ('HL70100') or not(@Table)">(CCD_datatype): de waarde van Table MOET 'HL70100' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.3-2013-02-10T000000.html"
              test="string(@LongName) = ('Invocation Event') or not(@LongName)">(CCD_datatype): de waarde van LongName MOET 'Invocation Event' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.1/hl7v2:CCD.1
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d689166e0-false-d689172e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.3
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.1/hl7v2:CCD.2
Item: (CCD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.1/hl7v2:CCD.2">
      <extends rule="d689211e0-false-d689217e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.3-2013-02-10T000000.html"
              test="string(@Type) = ('TS') or not(@Type)">(CCD_datatype): de waarde van Type MOET 'TS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.3-2013-02-10T000000.html"
              test="string(@LongName) = ('Date/time') or not(@LongName)">(CCD_datatype): de waarde van LongName MOET 'Date/time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.1/hl7v2:CCD.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1" id="d689211e0-false-d689217e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.1) &lt;= 1">(TS_datatype): element hl7v2:TS.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="count(hl7v2:TS.2) &lt;= 1">(TS_datatype): element hl7v2:TS.2 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.1/hl7v2:CCD.2/hl7v2:TS.1
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.1/hl7v2:CCD.2/hl7v2:TS.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('DTM') or not(@Type)">(TS_datatype): de waarde van Type MOET 'DTM' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Time') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Time' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.81
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.1/hl7v2:CCD.2/hl7v2:TS.1
Item: (DTM_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.64
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.1/hl7v2:CCD.2/hl7v2:TS.2
Item: (TS_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.1/hl7v2:CCD.2/hl7v2:TS.2">
      <extends rule="d689299e0-false-d689305e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(TS_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@Table) = ('HL70529') or not(@Table)">(TS_datatype): de waarde van Table MOET 'HL70529' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.64-2013-02-10T000000.html"
              test="string(@LongName) = ('Degree of Precision') or not(@LongName)">(TS_datatype): de waarde van LongName MOET 'Degree of Precision' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.1/hl7v2:CCD.2/hl7v2:TS.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d689299e0-false-d689305e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.15
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.2
Item: (BLG_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.2">
      <extends rule="d689358e0-false-d689364e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.15-2013-02-10T000000.html"
              test="string(@Item) = ('235') or not(@Item)">(BLG_segment): de waarde van Item MOET '235' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.15-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(BLG_segment): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.15-2013-02-10T000000.html"
              test="string(@Table) = ('HL70122') or not(@Table)">(BLG_segment): de waarde van Table MOET 'HL70122' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.15-2013-02-10T000000.html"
              test="string(@LongName) = ('Charge Type') or not(@LongName)">(BLG_segment): de waarde van LongName MOET 'Charge Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.2
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d689358e0-false-d689364e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.15
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3
Item: (BLG_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3">
      <extends rule="d689409e0-false-d689415e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.15-2013-02-10T000000.html"
              test="string(@Item) = ('236') or not(@Item)">(BLG_segment): de waarde van Item MOET '236' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.15-2013-02-10T000000.html"
              test="string(@Type) = ('CX') or not(@Type)">(BLG_segment): de waarde van Type MOET 'CX' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.15-2013-02-10T000000.html"
              test="string(@LongName) = ('Account ID') or not(@LongName)">(BLG_segment): de waarde van LongName MOET 'Account ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1" id="d689409e0-false-d689415e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.1) &lt;= 1">(CX_datatype): element hl7v2:CX.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.2) &lt;= 1">(CX_datatype): element hl7v2:CX.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.3) &lt;= 1">(CX_datatype): element hl7v2:CX.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.4) &lt;= 1">(CX_datatype): element hl7v2:CX.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.5) &lt;= 1">(CX_datatype): element hl7v2:CX.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.6) &lt;= 1">(CX_datatype): element hl7v2:CX.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.7) &lt;= 1">(CX_datatype): element hl7v2:CX.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.8) &lt;= 1">(CX_datatype): element hl7v2:CX.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.9) &lt;= 1">(CX_datatype): element hl7v2:CX.9 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="count(hl7v2:CX.10) &lt;= 1">(CX_datatype): element hl7v2:CX.10 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.1
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('ID Number') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'ID Number' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.2
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.3
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.3">
      <extends rule="d689587e0-false-d689593e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70061') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70061' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Check Digit Scheme') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Check Digit Scheme' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d689587e0-false-d689593e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.4
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.4">
      <extends rule="d689638e0-false-d689644e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70363') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70363' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Authority') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Authority' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.4
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d689638e0-false-d689644e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.4/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.4/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.4/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.4/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.4/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.4/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.4/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.4/hl7v2:HD.3">
      <extends rule="d689773e0-false-d689779e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.4/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d689773e0-false-d689779e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.5
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.5">
      <extends rule="d689825e0-false-d689831e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CX_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Table) = ('HL70203') or not(@Table)">(CX_datatype): de waarde van Table MOET 'HL70203' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier Type Code') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Identifier Type Code' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.5
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d689825e0-false-d689831e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.6
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.6">
      <extends rule="d689870e0-false-d689876e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('HD') or not(@Type)">(CX_datatype): de waarde van Type MOET 'HD' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Facility') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Facility' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.6
Item: (HD_datatype)
-->
   <rule fpi="RULC-1" id="d689870e0-false-d689876e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.1) &lt;= 1">(HD_datatype): element hl7v2:HD.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.2) &lt;= 1">(HD_datatype): element hl7v2:HD.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="count(hl7v2:HD.3) &lt;= 1">(HD_datatype): element hl7v2:HD.3 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.6/hl7v2:HD.1
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.6/hl7v2:HD.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('IS') or not(@Type)">(HD_datatype): de waarde van Type MOET 'IS' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70300') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70300' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Namespace ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Namespace ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.84
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.6/hl7v2:HD.1
Item: (IS_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.6/hl7v2:HD.2
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.6/hl7v2:HD.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.6/hl7v2:HD.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.28
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.6/hl7v2:HD.3
Item: (HD_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.6/hl7v2:HD.3">
      <extends rule="d690005e0-false-d690011e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(HD_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@Table) = ('HL70301') or not(@Table)">(HD_datatype): de waarde van Table MOET 'HL70301' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.28-2013-02-10T000000.html"
              test="string(@LongName) = ('Universal ID Type') or not(@LongName)">(HD_datatype): de waarde van LongName MOET 'Universal ID Type' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.6/hl7v2:HD.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d690005e0-false-d690011e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.7
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Effective Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Effective Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.7
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.8
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('DT') or not(@Type)">(CX_datatype): de waarde van Type MOET 'DT' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Expiration Date') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Expiration Date' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.80
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.8
Item: (DT_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.9
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.9">
      <extends rule="d690119e0-false-d690125e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Jurisdiction') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Jurisdiction' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d690119e0-false-d690125e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.9/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.9/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.9/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.9/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.9/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.9/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.9/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.9/hl7v2:CWE.3">
      <extends rule="d690290e0-false-d690296e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.9/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d690290e0-false-d690296e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.9/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.9/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.9/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.9/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.9/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.9/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.9/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.9/hl7v2:CWE.6">
      <extends rule="d690409e0-false-d690415e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.9/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d690409e0-false-d690415e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.9/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.9/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.9/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.9/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.9/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.9/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.9/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.9/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.9/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.12
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.10
Item: (CX_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.10">
      <extends rule="d690557e0-false-d690563e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(CX_datatype): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.12-2013-02-10T000000.html"
              test="string(@LongName) = ('Assigning Agency or Department') or not(@LongName)">(CX_datatype): de waarde van LongName MOET 'Assigning Agency or Department' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.10
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d690557e0-false-d690563e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.10/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.10/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.10/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.10/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.10/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.10/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.10/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.10/hl7v2:CWE.3">
      <extends rule="d690728e0-false-d690734e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.10/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d690728e0-false-d690734e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.10/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.10/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.10/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.10/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.10/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.10/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.10/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.10/hl7v2:CWE.6">
      <extends rule="d690847e0-false-d690853e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.10/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d690847e0-false-d690853e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.10/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.10/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.10/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.10/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.10/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.10/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.10/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.10/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.3/hl7v2:CX.10/hl7v2:CWE.9
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.13.15
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.4
Item: (BLG_segment)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.4">
      <extends rule="d691008e0-false-d691014e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.15-2013-02-10T000000.html"
              test="string(@Item) = ('1645') or not(@Item)">(BLG_segment): de waarde van Item MOET '1645' zijn. Gevonden: "<value-of select="@Item"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.15-2013-02-10T000000.html"
              test="string(@Type) = ('CWE') or not(@Type)">(BLG_segment): de waarde van Type MOET 'CWE' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.15-2013-02-10T000000.html"
              test="string(@Table) = ('HL70475') or not(@Table)">(BLG_segment): de waarde van Table MOET 'HL70475' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.13.15-2013-02-10T000000.html"
              test="string(@LongName) = ('Charge Type Reason') or not(@LongName)">(BLG_segment): de waarde van LongName MOET 'Charge Type Reason' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1" id="d691008e0-false-d691014e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.1) &lt;= 1">(CWE_datatype): element hl7v2:CWE.1 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.2) &lt;= 1">(CWE_datatype): element hl7v2:CWE.2 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.3) &lt;= 1">(CWE_datatype): element hl7v2:CWE.3 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.4) &lt;= 1">(CWE_datatype): element hl7v2:CWE.4 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.5) &lt;= 1">(CWE_datatype): element hl7v2:CWE.5 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.6) &lt;= 1">(CWE_datatype): element hl7v2:CWE.6 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.7) &lt;= 1">(CWE_datatype): element hl7v2:CWE.7 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.8) &lt;= 1">(CWE_datatype): element hl7v2:CWE.8 komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="count(hl7v2:CWE.9) &lt;= 1">(CWE_datatype): element hl7v2:CWE.9 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.4/hl7v2:CWE.1
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.4/hl7v2:CWE.1">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.4/hl7v2:CWE.1
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.4/hl7v2:CWE.2
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.4/hl7v2:CWE.2">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.4/hl7v2:CWE.2
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.4/hl7v2:CWE.3
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.4/hl7v2:CWE.3">
      <extends rule="d691179e0-false-d691185e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.4/hl7v2:CWE.3
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d691179e0-false-d691185e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.4/hl7v2:CWE.4
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.4/hl7v2:CWE.4">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Identifier') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Identifier' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.4/hl7v2:CWE.4
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.4/hl7v2:CWE.5
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.4/hl7v2:CWE.5">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.4/hl7v2:CWE.5
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.4/hl7v2:CWE.6
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.4/hl7v2:CWE.6">
      <extends rule="d691298e0-false-d691304e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ID') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ID' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Table) = ('HL70396') or not(@Table)">(CWE_datatype): de waarde van Table MOET 'HL70396' zijn. Gevonden: "<value-of select="@Table"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Name of Alternate Coding System') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Name of Alternate Coding System' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.83
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.4/hl7v2:CWE.6
Item: (ID_datatype)
-->
   <rule fpi="RULC-1" id="d691298e0-false-d691304e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="string(@MaxLength) = ('Varies - dependent on length of longest code in code set.')">(ID_datatype): de waarde van MaxLength MOET 'Varies - dependent on length of longest code in code set.' zijn. Gevonden: "<value-of select="@MaxLength"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.83-2013-02-10T000000.html"
              test="not(@MaxLength)">(ID_datatype): attribute @MaxLength MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.4/hl7v2:CWE.7
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.4/hl7v2:CWE.7">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.4/hl7v2:CWE.7
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.4/hl7v2:CWE.8
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.4/hl7v2:CWE.8">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Alternate Coding System Version ID') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Alternate Coding System Version ID' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.4/hl7v2:CWE.8
Item: (ST_datatype)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.11
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.4/hl7v2:CWE.9
Item: (CWE_datatype)
-->
   <rule fpi="RULC-1"
         context="/hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.4/hl7v2:CWE.9">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@Type) = ('ST') or not(@Type)">(CWE_datatype): de waarde van Type MOET 'ST' zijn. Gevonden: "<value-of select="@Type"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/labuitwisseling/lu-html-20230525T170259/tmp-2.16.840.1.113883.3.1937.777.10.15.11-2013-02-10T000000.html"
              test="string(@LongName) = ('Original Text') or not(@LongName)">(CWE_datatype): de waarde van LongName MOET 'Original Text' zijn. Gevonden: "<value-of select="@LongName"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.10.15.89
Context: /hl7v2:OML_O21/hl7v2:OML_O21.ORDER/hl7v2:BLG/hl7v2:BLG.4/hl7v2:CWE.9
Item: (ST_datatype)
-->
</pattern>
